/* Generated from library.scm by the CHICKEN compiler
   http://www.call-cc.org
   Version 5.0.2 (rev bd14d66b)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   command line: library.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-types-file ./types.db -explicit-use -no-trace -output-file library.c -no-module-registration -emit-import-library chicken.bitwise -emit-import-library chicken.blob -emit-import-library chicken.fixnum -emit-import-library chicken.flonum -emit-import-library chicken.gc -emit-import-library chicken.keyword -emit-import-library chicken.platform -emit-import-library chicken.plist -emit-import-library chicken.process-context
   unit: library
   uses: build-version
*/
#include "chicken.h"

#include <errno.h>
#include <float.h>

#ifdef HAVE_SYSEXITS_H
# include <sysexits.h>
#endif

#ifndef EX_SOFTWARE
# define EX_SOFTWARE	70
#endif

#define C_close_file(p)	      (C_fclose((C_FILEPTR)(C_port_file(p))), C_SCHEME_UNDEFINED)
#define C_a_f64peek(ptr, c, b, i)  C_flonum(ptr, ((double *)C_data_pointer(b))[ C_unfix(i) ])
#define C_fetch_c_strlen(b, i) C_fix(strlen((C_char *)C_block_item(b, C_unfix(i))))
#define C_asciiz_strlen(str) C_fix(strlen(C_c_string(str)))
#define C_peek_c_string(b, i, to, len) (C_memcpy(C_data_pointer(to), (C_char *)C_block_item(b, C_unfix(i)), C_unfix(len)), C_SCHEME_UNDEFINED)
#define C_free_mptr(p, i)     (C_free((void *)C_block_item(p, C_unfix(i))), C_SCHEME_UNDEFINED)
#define C_free_sptr(p, i)     (C_free((void *)(((C_char **)C_block_item(p, 0))[ C_unfix(i) ])), C_SCHEME_UNDEFINED)

#define C_a_get_current_seconds(ptr, c, dummy)  C_int64_to_num(ptr, time(NULL))
#define C_peek_c_string_at(ptr, i)    ((C_char *)(((C_char **)ptr)[ i ]))

static C_word
fast_read_line_from_file(C_word str, C_word port, C_word size) {
  int n = C_unfix(size);
  int i;
  int c;
  char *buf = C_c_string(str);
  C_FILEPTR fp = C_port_file(port);

  if ((c = C_getc(fp)) == EOF) {
    if (ferror(fp)) {
      clearerr(fp);
      return C_fix(-1);
    } else { /* feof (fp) */
      return C_SCHEME_END_OF_FILE;
    }
  }

  C_ungetc(c, fp);

  for (i = 0; i < n; i++) {
    c = C_getc(fp);

    if(c == EOF && ferror(fp)) {
      clearerr(fp);
      return C_fix(-(i + 1));
    }

    switch (c) {
    case '\r':	if ((c = C_getc(fp)) != '\n') C_ungetc(c, fp);
    case EOF:	clearerr(fp);
    case '\n':	return C_fix(i);
    }
    buf[i] = c;
  }
  return C_SCHEME_FALSE;
}

static C_word
fast_read_string_from_file(C_word dest, C_word port, C_word len, C_word pos)
{
  size_t m;
  int n = C_unfix (len);
  char * buf = ((char *)C_data_pointer (dest) + C_unfix (pos));
  C_FILEPTR fp = C_port_file (port);

  if(feof(fp)) return C_SCHEME_END_OF_FILE;

  m = fread (buf, sizeof (char), n, fp);

  if (m < n) {
    if (ferror(fp)) /* Report to Scheme, which may retry, so clear errors */
      clearerr(fp);
    else if (feof(fp) && 0 == m) /* eof but m > 0? Return data first, below */
      return C_SCHEME_END_OF_FILE; /* Calling again will get us here */
  }

  return C_fix (m);
}

static C_word
shallow_equal(C_word x, C_word y)
{
  /* assumes x and y are non-immediate */
  int i, len = C_header_size(x);

  if(C_header_size(y) != len) return C_SCHEME_FALSE;      
  else return C_mk_bool(!C_memcmp((void *)x, (void *)y, len * sizeof(C_word)));
}

static C_word
signal_debug_event(C_word mode, C_word msg, C_word args)
{
  C_DEBUG_INFO cell;
  C_word av[ 3 ];
  cell.enabled = 1;
  cell.event = C_DEBUG_SIGNAL;
  cell.loc = "";
  cell.val = "";
  av[ 0 ] = mode;
  av[ 1 ] = msg;
  av[ 2 ] = args;
  C_debugger(&cell, 3, av);
  return C_SCHEME_UNDEFINED;
}

#ifdef NO_DLOAD2
# define HAVE_DLOAD 0
#else
# define HAVE_DLOAD 1
#endif

#ifdef C_ENABLE_PTABLES
# define HAVE_PTABLES 1
#else
# define HAVE_PTABLES 0
#endif

#ifdef C_GC_HOOKS
# define HAVE_GCHOOKS 1
#else
# define HAVE_GCHOOKS 0
#endif

#if defined(C_CROSS_CHICKEN) && C_CROSS_CHICKEN
# define IS_CROSS_CHICKEN 1
#else
# define IS_CROSS_CHICKEN 0
#endif


#define C_chdir(str) C_fix(chdir(C_c_string(str)))
#define C_curdir(buf) (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)
#define C_getenventry(i) (environ[ i ])

#ifdef HAVE_CRT_EXTERNS_H
# include <crt_externs.h>
# define environ (*_NSGetEnviron())
#else
extern char **environ;
#endif

#ifdef HAVE_SETENV
# define C_unsetenv(s)    (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)   C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)   C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)   C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif



static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_build_2dversion_toplevel)
C_externimport void C_ccall C_build_2dversion_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[1394];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,110,111,116,32,120,41,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,98,111,111,108,101,97,110,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,113,63,32,120,32,121,41};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,113,118,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,101,113,117,97,108,63,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,112,97,105,114,63,32,120,41};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,111,110,115,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,97,114,32,120,41,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,100,114,32,120,41,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,97,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,100,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,100,114,32,120,41,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,100,114,32,120,41};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,97,114,32,120,41,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,97,114,32,120,41,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,100,114,32,120,41,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,97,114,32,120,41};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,100,114,32,120,41};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,97,114,32,120,41};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,97,114,32,120,41};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,100,114,32,120,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,97,114,32,120,41};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,100,114,32,120,41};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,110,117,108,108,63,32,120,41};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,105,115,116,32,46,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,101,110,103,116,104,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,108,105,115,116,45,116,97,105,108,32,108,115,116,32,105,41};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,108,105,115,116,45,114,101,102,32,108,115,116,32,105,41,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,109,101,109,98,101,114,32,120,32,108,115,116,41,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,97,115,115,111,99,32,120,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,108,105,115,116,63,32,120,41};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,116,114,105,110,103,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,108,101,110,103,116,104,32,115,41};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,114,101,102,32,115,32,105,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,115,101,116,33,32,115,32,105,32,99,41,0,0,0,0,0,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,116,114,105,110,103,61,63,32,120,32,121,41,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,61,63,32,120,32,121,41};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,101,120,97,99,116,45,62,105,110,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,97,98,115,32,120,41,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,6),67,95,112,108,117,115,0,0};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,7),67,95,109,105,110,117,115,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,7),67,95,116,105,109,101,115,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,113,117,111,116,105,101,110,116,32,97,32,98,41,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,114,101,109,97,105,110,100,101,114,32,97,32,98,41,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,111,100,117,108,111,32,97,32,98,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,118,101,110,63,32,110,41};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,111,100,100,63,32,110,41,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,9),67,95,110,101,113,117,97,108,112,0,0,0,0,0,0,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,10),67,95,103,114,101,97,116,101,114,112,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,7),67,95,108,101,115,115,112,0};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,20),67,95,103,114,101,97,116,101,114,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,17),67,95,108,101,115,115,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,110,117,109,98,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,101,97,108,63,32,120,41};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,63,32,110,41,0,0,0,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,97,99,116,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,122,101,114,111,63,32,110,41};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,112,111,115,105,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,101,103,97,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,18),67,95,110,117,109,98,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,118,101,99,116,111,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,108,101,110,103,116,104,32,118,41};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,114,101,102,32,118,32,105,41,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,115,101,116,33,32,118,32,105,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,104,97,114,63,32,120,41};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,62,105,110,116,101,103,101,114,32,99,41};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,45,62,99,104,97,114,32,110,41};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,61,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,62,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,60,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,62,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,60,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,99,97,115,101,32,99,41,0,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,100,111,119,110,99,97,115,101,32,99,41};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,112,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,108,111,119,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,110,117,109,101,114,105,99,63,32,99,41};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,119,104,105,116,101,115,112,97,99,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,97,108,112,104,97,98,101,116,105,99,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,112,114,111,99,101,100,117,114,101,63,32,120,41,0,0,0};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,7),67,95,97,112,112,108,121,0};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,8),67,95,118,97,108,117,101,115};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,18),67,95,99,97,108,108,95,119,105,116,104,95,118,97,108,117,101,115,0,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,105,110,112,117,116,45,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,111,117,116,112,117,116,45,112,111,114,116,63,32,120,41,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,101,111,102,45,111,98,106,101,99,116,63,32,120,41,0,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,101,118,97,108,32,120,32,46,32,101,110,118,41,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,105,110,116,101,114,97,99,116,105,111,110,45,101,110,118,105,114,111,110,109,101,110,116,41};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,115,99,104,101,109,101,45,114,101,112,111,114,116,45,101,110,118,105,114,111,110,109,101,110,116,32,110,41,0,0,0,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,110,117,108,108,45,101,110,118,105,114,111,110,109,101,110,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,108,111,97,100,32,102,105,108,101,110,97,109,101,32,46,32,101,118,97,108,117,97,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,120,110,117,109,63,32,120,41};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,111,110,117,109,63,32,120,41};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,105,103,110,117,109,63,32,120,41};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,116,110,117,109,63,32,120,41};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,112,108,120,110,117,109,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,63,32,120,41,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,24),67,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,7),40,97,57,49,54,50,41,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,15),40,97,57,49,54,56,32,100,105,118,32,114,101,109,41,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,113,117,111,116,105,101,110,116,38,109,111,100,117,108,111,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,110,105,116,101,63,32,120,41};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,102,105,110,105,116,101,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,97,110,63,32,120,41,0,0,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,8),67,95,115,105,103,110,117,109};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,100,100,49,32,110,41,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,49,32,110,41,0,0,0};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,114,114,111,114,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,111,105,100,32,46,32,95,41,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,109,105,115,101,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,109,97,107,101,45,112,114,111,109,105,115,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,7),40,97,57,50,56,54,41,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,114,111,109,105,115,101,32,111,98,106,41,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,122,41,0,0,0,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,108,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,114,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,110,45,101,120,105,116,32,116,104,117,110,107,41,0,0,0,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,109,101,114,103,101,110,99,121,45,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,100,101,110,116,105,116,121,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,49,54,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,52,57,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,100,105,115,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,57,53,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,57,55,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,115,116,97,110,116,108,121,32,46,32,120,115,41,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,48,55,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,105,112,32,112,114,111,99,41};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,49,53,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,108,101,109,101,110,116,32,112,41,0,0,0,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,7),40,97,57,53,52,49,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,51,54,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,14),40,114,101,99,32,102,48,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,111,115,101,32,46,32,102,110,115,41,0,0,0,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,10),40,102,95,57,53,56,55,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,110,115,41,0,0,0,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,48,50,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,108,105,115,116,45,111,102,63,32,112,114,101,100,41,0,0,0,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,53,50,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,99,115,41,0,0,0,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,15),40,102,95,57,54,54,54,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,97,99,104,32,46,32,112,114,111,99,115,41,0,0,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,116,111,109,63,32,120,41,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,116,97,105,108,63,32,120,32,121,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,9),40,108,111,111,112,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,116,101,114,115,112,101,114,115,101,32,108,115,116,32,120,41};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,117,116,108,97,115,116,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,17),40,108,111,111,112,32,108,105,115,116,115,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,97,116,116,101,110,32,46,32,108,105,115,116,115,48,41,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,106,111,105,110,32,108,115,116,115,32,46,32,108,115,116,41,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,98,108,115,116,32,108,115,116,41,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,114,101,115,115,32,98,108,115,116,32,108,115,116,41};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,48,49,51,32,120,32,108,115,116,41,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,33,32,120,32,121,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,32,107,32,118,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,50,48,53,32,120,32,108,115,116,41,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,114,101,102,32,120,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,108,41};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,115,115,111,99,32,120,32,108,115,116,32,46,32,116,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,32,120,32,121,41};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,32,120,32,121,41};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,32,120,32,121,41};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,61,32,120,32,121,41};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,32,120,32,121,41};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,32,120,32,121,41};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,101,103,32,120,41};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,97,110,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,105,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,120,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,111,116,32,120,41};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,108,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,111,100,100,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,101,118,101,110,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,108,101,110,32,120,41};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,32,120,32,121,41};
static C_char C_TLS li217[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li218[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,111,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li219[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,114,101,109,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li220[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li221[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li222[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li223[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li224[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,100,101,98,117,103,45,109,111,100,101,63,41,0,0,0,0,0};
static C_char C_TLS li225[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,119,97,114,110,105,110,103,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li226[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,111,116,105,99,101,32,109,115,103,32,46,32,97,114,103,115,41};
static C_char C_TLS li227[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,110,97,98,108,101,45,119,97,114,110,105,110,103,115,32,46,32,98,111,111,108,41,0,0,0};
static C_char C_TLS li228[] C_aligned={C_lihdr(0,0,4),67,95,103,99,0,0,0,0};
static C_char C_TLS li229[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,115,108,111,116,32,120,32,105,32,121,41,0,0,0};
static C_char C_TLS li230[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,101,116,105,115,108,111,116,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li231[] C_aligned={C_lihdr(0,0,17),67,95,97,108,108,111,99,97,116,101,95,118,101,99,116,111,114,0,0,0,0,0,0,0};
static C_char C_TLS li232[] C_aligned={C_lihdr(0,0,16),67,95,109,97,107,101,95,115,116,114,117,99,116,117,114,101};
static C_char C_TLS li233[] C_aligned={C_lihdr(0,0,21),67,95,101,110,115,117,114,101,95,104,101,97,112,95,114,101,115,101,114,118,101,0,0,0};
static C_char C_TLS li234[] C_aligned={C_lihdr(0,0,23),67,95,103,101,116,95,115,121,109,98,111,108,95,116,97,98,108,101,95,105,110,102,111,0};
static C_char C_TLS li235[] C_aligned={C_lihdr(0,0,17),67,95,103,101,116,95,109,101,109,111,114,121,95,105,110,102,111,0,0,0,0,0,0,0};
static C_char C_TLS li236[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,115,116,97,114,116,45,116,105,109,101,114,41,0,0,0,0,0};
static C_char C_TLS li237[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li238[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li239[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,115,116,111,112,45,116,105,109,101,114,41,0,0,0,0,0,0};
static C_char C_TLS li240[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,105,109,109,101,100,105,97,116,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li241[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,109,101,115,115,97,103,101,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li242[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,98,121,116,101,32,120,32,105,41};
static C_char C_TLS li243[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,98,121,116,101,32,120,32,105,32,110,41,0,0,0};
static C_char C_TLS li244[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,104,97,108,116,32,109,115,103,41};
static C_char C_TLS li245[] C_aligned={C_lihdr(0,0,8),67,95,98,101,99,111,109,101};
static C_char C_TLS li246[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,108,111,99,107,45,114,101,102,32,120,32,105,41,0,0,0};
static C_char C_TLS li247[] C_aligned={C_lihdr(0,0,14),67,95,97,112,112,108,121,95,118,97,108,117,101,115,0,0};
static C_char C_TLS li248[] C_aligned={C_lihdr(0,0,14),67,95,99,111,112,121,95,99,108,111,115,117,114,101,0,0};
static C_char C_TLS li249[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,98,108,111,99,107,45,115,101,116,33,32,120,32,105,32,121,41};
static C_char C_TLS li250[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0,0};
static C_char C_TLS li251[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,115,101,99,111,110,100,115,41,0,0};
static C_char C_TLS li252[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,112,117,45,116,105,109,101,41,0};
static C_char C_TLS li253[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,117,99,116,117,114,101,32,120,32,121,32,46,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li254[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,98,108,111,98,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li255[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,97,105,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li256[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,108,105,115,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li257[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,105,110,103,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li258[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,110,117,109,98,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li259[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,102,105,120,110,117,109,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li260[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li261[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li262[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,121,109,98,111,108,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li263[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,118,101,99,116,111,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li264[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,99,104,97,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li265[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,98,111,111,108,101,97,110,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li266[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,99,104,101,99,107,45,108,111,99,97,116,105,118,101,32,120,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li267[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li268[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li269[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li270[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,114,101,97,108,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li271[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,114,97,110,103,101,32,105,32,102,114,111,109,32,116,111,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li272[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,115,112,101,99,105,97,108,32,112,116,114,32,46,32,108,111,99,41,0};
static C_char C_TLS li273[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,99,108,111,115,117,114,101,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li274[] C_aligned={C_lihdr(0,0,20),40,108,112,32,112,114,111,109,105,115,101,32,102,111,114,119,97,114,100,41,0,0,0,0};
static C_char C_TLS li275[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,102,111,114,99,101,32,111,98,106,41,0,0,0,0,0,0};
static C_char C_TLS li276[] C_aligned={C_lihdr(0,0,7),67,95,100,108,111,97,100,0};
static C_char C_TLS li277[] C_aligned={C_lihdr(0,0,18),67,95,115,101,116,95,100,108,111,112,101,110,95,102,108,97,103,115,0,0,0,0,0,0};
static C_char C_TLS li278[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,110,111,116,45,97,45,112,114,111,112,101,114,45,108,105,115,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li279[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,110,117,109,98,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li280[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li281[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li282[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li283[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,101,120,97,99,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li284[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,114,101,97,108,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li285[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,98,97,115,101,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li286[] C_aligned={C_lihdr(0,0,11),40,99,111,112,121,32,110,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li287[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li288[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,112,112,101,110,100,32,46,32,108,115,116,115,41,0,0};
static C_char C_TLS li289[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li290[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,97,115,116,45,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li291[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li292[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li293[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,32,108,115,41,0,0,0,0,0};
static C_char C_TLS li294[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,108,105,115,116,32,115,41,0};
static C_char C_TLS li295[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,49,53,49,57,32,108,115,116,41};
static C_char C_TLS li296[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,115,116,114,105,110,103,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li297[] C_aligned={C_lihdr(0,0,9),40,105,116,101,114,32,110,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li298[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,114,101,118,101,114,115,101,45,108,105,115,116,45,62,115,116,114,105,110,103,32,108,41,0,0};
static C_char C_TLS li299[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,102,105,108,108,33,32,115,32,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li300[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,111,112,121,32,115,41,0,0};
static C_char C_TLS li301[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,46,32,101,110,100,41};
static C_char C_TLS li302[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,101,110,100,41,0,0,0};
static C_char C_TLS li303[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,53,55,50,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li304[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,52,48,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li305[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li306[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,54,52,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li307[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li308[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,56,56,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li309[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li310[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,48,57,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li311[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li312[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,54,49,53,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li313[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,53,48,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li314[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li315[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,55,52,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li316[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li317[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,57,56,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li318[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li319[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,49,57,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li320[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li321[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li322[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,115,116,114,115,32,110,41,0,0,0};
static C_char C_TLS li323[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,46,32,97,108,108,41,0,0,0,0};
static C_char C_TLS li324[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,32,46,32,99,104,97,114,115,41,0};
static C_char C_TLS li325[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,111,115,41,0,0,0,0,0,0};
static C_char C_TLS li326[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,114,97,103,109,101,110,116,115,45,62,115,116,114,105,110,103,32,116,111,116,97,108,32,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li327[] C_aligned={C_lihdr(0,0,20),40,100,111,108,111,111,112,49,55,48,48,32,104,100,32,116,108,32,99,41,0,0,0,0};
static C_char C_TLS li328[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,105,41,0,0,0,0};
static C_char C_TLS li329[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,111,112,32,108,115,116,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li330[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,43,32,120,32,121,41};
static C_char C_TLS li331[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,45,32,120,32,121,41};
static C_char C_TLS li332[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,42,32,120,32,121,41};
static C_char C_TLS li333[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,32,120,32,121,41};
static C_char C_TLS li334[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li335[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li336[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,61,32,120,32,121,41};
static C_char C_TLS li337[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,32,120,32,121,41};
static C_char C_TLS li338[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,32,120,32,121,41};
static C_char C_TLS li339[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li340[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li341[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,110,101,103,32,120,41};
static C_char C_TLS li342[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li343[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li344[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,102,108,111,111,114,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li345[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,114,117,110,99,97,116,101,32,120,41,0,0,0};
static C_char C_TLS li346[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,114,111,117,110,100,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li347[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,101,105,108,105,110,103,32,120,41,0,0,0,0};
static C_char C_TLS li348[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,105,110,32,120,41};
static C_char C_TLS li349[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,111,115,32,120,41};
static C_char C_TLS li350[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,97,110,32,120,41};
static C_char C_TLS li351[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,115,105,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li352[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,99,111,115,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li353[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li354[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li355[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,32,120,41};
static C_char C_TLS li356[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,116,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li357[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,108,111,103,32,120,41};
static C_char C_TLS li358[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,113,114,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li359[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,98,115,32,120,41};
static C_char C_TLS li360[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,105,110,116,101,103,101,114,63,32,120,41,0,0,0};
static C_char C_TLS li361[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,108,111,110,117,109,45,112,114,105,110,116,45,112,114,101,99,105,115,105,111,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li362[] C_aligned={C_lihdr(0,0,18),40,109,97,107,101,45,99,111,109,112,108,101,120,32,114,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li363[] C_aligned={C_lihdr(0,0,29),40,115,99,104,101,109,101,35,109,97,107,101,45,114,101,99,116,97,110,103,117,108,97,114,32,114,32,105,41,0,0,0};
static C_char C_TLS li364[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,97,107,101,45,112,111,108,97,114,32,114,32,112,104,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li365[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,108,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li366[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,105,109,97,103,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li367[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,97,110,103,108,101,32,110,41};
static C_char C_TLS li368[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,103,110,105,116,117,100,101,32,120,41,0,0,0,0};
static C_char C_TLS li369[] C_aligned={C_lihdr(0,0,12),40,114,97,116,110,117,109,32,109,32,110,41,0,0,0,0};
static C_char C_TLS li370[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,117,109,101,114,97,116,111,114,32,110,41,0,0,0,0};
static C_char C_TLS li371[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,100,101,110,111,109,105,110,97,116,111,114,32,110,41,0,0};
static C_char C_TLS li372[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,115,105,103,110,117,109,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li373[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,50,50,49,49,32,120,32,105,41};
static C_char C_TLS li374[] C_aligned={C_lihdr(0,0,13),40,100,101,108,105,118,101,114,32,121,32,100,41,0,0,0};
static C_char C_TLS li375[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,45,62,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li376[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,97,110,100,0,0,0};
static C_char C_TLS li377[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,105,111,114,0,0,0};
static C_char C_TLS li378[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,120,111,114,0,0,0};
static C_char C_TLS li379[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,119,105,115,101,45,110,111,116,32,110,41,0};
static C_char C_TLS li380[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,45,62,98,111,111,108,101,97,110,32,110,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li381[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,105,110,116,101,103,101,114,45,108,101,110,103,116,104,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li382[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,97,114,105,116,104,109,101,116,105,99,45,115,104,105,102,116,32,110,32,109,41,0,0};
static C_char C_TLS li383[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,97,114,103,115,32,120,41,0,0,0};
static C_char C_TLS li384[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,47,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0};
static C_char C_TLS li385[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,47,45,50,32,120,32,121,41,0};
static C_char C_TLS li386[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,102,108,111,111,114,32,120,41};
static C_char C_TLS li387[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,99,101,105,108,105,110,103,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li388[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,116,114,117,110,99,97,116,101,32,120,41,0,0,0,0,0};
static C_char C_TLS li389[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,111,117,110,100,32,120,41};
static C_char C_TLS li390[] C_aligned={C_lihdr(0,0,8),40,115,114,32,120,32,121,41};
static C_char C_TLS li391[] C_aligned={C_lihdr(0,0,24),40,102,105,110,100,45,114,97,116,105,111,45,98,101,116,119,101,101,110,32,120,32,121,41};
static C_char C_TLS li392[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,105,122,101,32,120,32,101,41};
static C_char C_TLS li393[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li394[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,120,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li395[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li396[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,105,110,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li397[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,101,120,112,32,110,41,0,0};
static C_char C_TLS li398[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,111,103,45,49,32,120,41,0};
static C_char C_TLS li399[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,111,103,32,97,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li400[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,115,105,110,32,110,41,0,0};
static C_char C_TLS li401[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,111,115,32,110,41,0,0};
static C_char C_TLS li402[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,116,97,110,32,110,41,0,0};
static C_char C_TLS li403[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,115,105,110,32,110,41,0};
static C_char C_TLS li404[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,99,111,115,32,110,41,0};
static C_char C_TLS li405[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,116,97,110,32,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li406[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,50,57,41};
static C_char C_TLS li407[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li408[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,54,48,41};
static C_char C_TLS li409[] C_aligned={C_lihdr(0,0,20),40,97,49,52,50,55,52,32,113,50,53,55,57,32,117,50,53,56,49,41,0,0,0,0};
static C_char C_TLS li410[] C_aligned={C_lihdr(0,0,22),40,97,49,52,50,52,49,32,115,94,50,53,53,57,32,114,94,50,53,54,49,41,0,0};
static C_char C_TLS li411[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,97,41,0,0,0,0};
static C_char C_TLS li412[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li413[] C_aligned={C_lihdr(0,0,8),40,97,49,52,51,56,55,41};
static C_char C_TLS li414[] C_aligned={C_lihdr(0,0,14),40,97,49,52,51,57,51,32,115,94,50,32,114,41,0,0};
static C_char C_TLS li415[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,49,53,41};
static C_char C_TLS li416[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,51,57,41};
static C_char C_TLS li417[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,53,49,32,100,115,94,50,32,100,114,41};
static C_char C_TLS li418[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,50,55,32,110,115,94,50,32,110,114,41};
static C_char C_TLS li419[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,113,114,116,47,108,111,99,32,108,111,99,32,110,41,0,0};
static C_char C_TLS li420[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,115,113,114,116,32,120,41,0};
static C_char C_TLS li421[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,32,107,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li422[] C_aligned={C_lihdr(0,0,10),40,108,112,32,103,48,32,103,49,41,0,0,0,0,0,0};
static C_char C_TLS li423[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,47,108,111,99,32,108,111,99,32,107,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li424[] C_aligned={C_lihdr(0,0,11),40,108,112,32,114,101,115,32,101,50,41,0,0,0,0,0};
static C_char C_TLS li425[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,112,111,119,101,114,32,98,97,115,101,32,101,41,0,0,0,0};
static C_char C_TLS li426[] C_aligned={C_lihdr(0,0,14),40,108,111,103,45,101,120,112,116,32,97,32,98,41,0,0};
static C_char C_TLS li427[] C_aligned={C_lihdr(0,0,15),40,115,108,111,119,45,101,120,112,116,32,97,32,98,41,0};
static C_char C_TLS li428[] C_aligned={C_lihdr(0,0,8),40,97,49,52,55,55,50,41};
static C_char C_TLS li429[] C_aligned={C_lihdr(0,0,15),40,97,49,52,55,56,52,32,100,115,94,110,32,114,41,0};
static C_char C_TLS li430[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,112,116,32,97,32,98,41,0,0,0,0,0,0,0};
static C_char C_TLS li431[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,114,110,97,108,45,103,99,100,32,108,111,99,32,97,32,98,41,0,0,0,0};
static C_char C_TLS li432[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,103,99,100,32,97,32,98,41,0};
static C_char C_TLS li433[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li434[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,103,99,100,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li435[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,99,109,32,120,32,121,41,0};
static C_char C_TLS li436[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li437[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,108,99,109,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li438[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li439[] C_aligned={C_lihdr(0,0,8),40,97,49,53,49,50,57,41};
static C_char C_TLS li440[] C_aligned={C_lihdr(0,0,22),40,97,49,53,49,51,53,32,104,105,50,55,54,52,32,108,111,50,55,54,54,41,0,0};
static C_char C_TLS li441[] C_aligned={C_lihdr(0,0,61),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,62,115,116,114,105,110,103,47,114,101,99,117,114,115,105,118,101,32,110,32,98,97,115,101,32,101,120,112,101,99,116,101,100,45,115,116,114,105,110,103,45,115,105,122,101,41,0,0,0};
static C_char C_TLS li442[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,110,117,109,98,101,114,45,62,115,116,114,105,110,103,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li443[] C_aligned={C_lihdr(0,0,20),40,114,111,117,110,100,45,113,117,111,116,105,101,110,116,32,110,32,100,41,0,0,0,0};
static C_char C_TLS li444[] C_aligned={C_lihdr(0,0,23),40,115,97,102,101,45,101,120,112,111,110,101,110,116,32,118,97,108,117,101,32,101,41,0};
static C_char C_TLS li445[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li446[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,100,105,103,105,116,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li447[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li448[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,104,97,115,104,101,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li449[] C_aligned={C_lihdr(0,0,46),40,115,99,97,110,45,100,105,103,105,116,115,43,104,97,115,104,101,115,32,115,116,97,114,116,32,110,101,103,63,32,97,108,108,45,104,97,115,104,101,115,45,111,107,63,41,0,0};
static C_char C_TLS li450[] C_aligned={C_lihdr(0,0,21),40,115,99,97,110,45,101,120,112,111,110,101,110,116,32,115,116,97,114,116,41,0,0,0};
static C_char C_TLS li451[] C_aligned={C_lihdr(0,0,43),40,115,99,97,110,45,100,101,99,105,109,97,108,45,116,97,105,108,32,115,116,97,114,116,32,110,101,103,63,32,100,101,99,105,109,97,108,45,104,101,97,100,41,0,0,0,0,0};
static C_char C_TLS li452[] C_aligned={C_lihdr(0,0,23),40,115,99,97,110,45,117,114,101,97,108,32,115,116,97,114,116,32,110,101,103,63,41,0};
static C_char C_TLS li453[] C_aligned={C_lihdr(0,0,17),40,115,99,97,110,45,114,101,97,108,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li454[] C_aligned={C_lihdr(0,0,50),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,99,111,109,112,110,117,109,32,114,97,100,105,120,32,115,116,114,32,111,102,102,115,101,116,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li455[] C_aligned={C_lihdr(0,0,32),40,115,99,97,110,45,112,114,101,102,105,120,32,105,32,101,120,110,101,115,115,32,114,97,100,105,120,32,108,101,110,41};
static C_char C_TLS li456[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li457[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li458[] C_aligned={C_lihdr(0,0,18),67,95,102,105,120,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li459[] C_aligned={C_lihdr(0,0,18),67,95,102,108,111,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li460[] C_aligned={C_lihdr(0,0,19),67,95,105,110,116,101,103,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0};
static C_char C_TLS li461[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li462[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,45,115,108,111,116,115,32,120,32,121,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li463[] C_aligned={C_lihdr(0,0,10),40,119,97,108,107,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li464[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,113,117,97,108,61,63,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li465[] C_aligned={C_lihdr(0,0,18),67,95,115,116,114,105,110,103,95,116,111,95,115,121,109,98,111,108,0,0,0,0,0,0};
static C_char C_TLS li466[] C_aligned={C_lihdr(0,0,19),67,95,115,116,114,105,110,103,95,116,111,95,107,101,121,119,111,114,100,0,0,0,0,0};
static C_char C_TLS li467[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li468[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0,0};
static C_char C_TLS li469[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41};
static C_char C_TLS li470[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li471[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li472[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li473[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,116,114,105,110,103,45,62,117,110,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li474[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li475[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,110,115,121,109,32,46,32,115,116,114,45,111,114,45,115,121,109,41,0,0,0,0,0,0};
static C_char C_TLS li476[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,51,54,55,32,103,51,51,55,57,41,0,0,0,0};
static C_char C_TLS li477[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,121,109,98,111,108,45,97,112,112,101,110,100,32,46,32,115,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li478[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,63,32,120,41,0,0,0,0};
static C_char C_TLS li479[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,115,116,114,105,110,103,45,62,107,101,121,119,111,114,100,32,115,41,0,0,0,0,0};
static C_char C_TLS li480[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,45,62,115,116,114,105,110,103,32,107,119,41,0,0,0,0};
static C_char C_TLS li481[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,103,101,116,45,107,101,121,119,111,114,100,32,107,101,121,32,97,114,103,115,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li482[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0};
static C_char C_TLS li483[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0,0};
static C_char C_TLS li484[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,63,32,120,41,0,0};
static C_char C_TLS li485[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,115,105,122,101,32,98,118,41,0,0,0,0,0};
static C_char C_TLS li486[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,115,116,114,105,110,103,45,62,98,108,111,98,32,115,41,0,0,0};
static C_char C_TLS li487[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,62,115,116,114,105,110,103,32,98,118,41,0,0};
static C_char C_TLS li488[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,61,63,32,98,49,32,98,50,41,0,0,0,0,0};
static C_char C_TLS li489[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,118,101,99,116,111,114,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li490[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li491[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,118,101,99,116,111,114,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li492[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li493[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,62,108,105,115,116,32,118,41,0};
static C_char C_TLS li494[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,118,101,99,116,111,114,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li495[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,48,52,41,0,0,0,0};
static C_char C_TLS li496[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,102,105,108,108,33,32,118,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li497[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,49,54,41,0,0,0,0};
static C_char C_TLS li498[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,99,111,112,121,33,32,102,114,111,109,32,116,111,32,46,32,110,41,0};
static C_char C_TLS li499[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,52,55,41,0,0,0,0};
static C_char C_TLS li500[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,118,101,99,116,111,114,32,118,32,105,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li501[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li502[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,55,53,41,0,0,0,0};
static C_char C_TLS li503[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,105,110,105,116,41,0,0};
static C_char C_TLS li504[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,61,63,32,120,32,121,41,0,0};
static C_char C_TLS li505[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,63,32,120,32,121,41,0,0};
static C_char C_TLS li506[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,63,32,120,32,121,41,0,0};
static C_char C_TLS li507[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,61,63,32,120,32,121,41,0};
static C_char C_TLS li508[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,61,63,32,120,32,121,41,0};
static C_char C_TLS li509[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li510[] C_aligned={C_lihdr(0,0,15),40,108,111,111,107,117,112,45,99,104,97,114,32,99,41,0};
static C_char C_TLS li511[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,97,114,45,110,97,109,101,32,120,32,46,32,121,41,0,0};
static C_char C_TLS li512[] C_aligned={C_lihdr(0,0,9),67,95,99,97,108,108,95,99,99,0,0,0,0,0,0,0};
static C_char C_TLS li513[] C_aligned={C_lihdr(0,0,19),67,95,99,97,108,108,95,119,105,116,104,95,99,116,104,117,108,104,117,0,0,0,0,0};
static C_char C_TLS li514[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li515[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,102,111,114,45,101,97,99,104,32,112,32,108,115,116,48,41,0};
static C_char C_TLS li516[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li517[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,109,97,112,32,112,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li518[] C_aligned={C_lihdr(0,0,30),40,109,97,112,115,97,102,101,51,54,53,49,32,112,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0};
static C_char C_TLS li519[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li520[] C_aligned={C_lihdr(0,0,26),40,99,104,101,99,107,51,54,53,50,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li521[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,54,56,50,32,103,51,54,56,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li522[] C_aligned={C_lihdr(0,0,10),40,97,49,56,52,48,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li523[] C_aligned={C_lihdr(0,0,10),40,97,49,56,52,49,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li524[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li525[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,102,111,114,45,101,97,99,104,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41};
static C_char C_TLS li526[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,55,49,51,32,103,51,55,50,53,41,0,0,0,0};
static C_char C_TLS li527[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,48,57,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li528[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,49,57,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li529[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li530[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,109,97,112,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li531[] C_aligned={C_lihdr(0,0,18),40,97,49,56,53,52,51,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li532[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,100,121,110,97,109,105,99,45,119,105,110,100,32,98,101,102,111,114,101,32,116,104,117,110,107,32,97,102,116,101,114,41};
static C_char C_TLS li533[] C_aligned={C_lihdr(0,0,24),40,99,111,110,116,105,110,117,97,116,105,111,110,32,46,32,114,101,115,117,108,116,115,41};
static C_char C_TLS li534[] C_aligned={C_lihdr(0,0,13),40,97,49,56,53,54,55,32,99,111,110,116,41,0,0,0};
static C_char C_TLS li535[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,99,117,114,114,101,110,116,45,99,111,110,116,105,110,117,97,116,105,111,110,32,112,114,111,99,41,0,0,0,0};
static C_char C_TLS li536[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,100,121,110,97,109,105,99,45,117,110,119,105,110,100,32,119,105,110,100,115,32,110,41,0,0};
static C_char C_TLS li537[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li538[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li539[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,117,116,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li540[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,45,99,108,111,115,101,100,63,32,112,41,0,0,0};
static C_char C_TLS li541[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,109,97,107,101,45,112,111,114,116,32,105,47,111,32,99,108,97,115,115,32,110,97,109,101,32,116,121,112,101,41,0,0,0};
static C_char C_TLS li542[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li543[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,52,54,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li544[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li545[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,56,54,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li546[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,50,54,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li547[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,50,57,32,112,32,115,41,0,0,0,0};
static C_char C_TLS li548[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,51,50,32,112,32,100,41,0,0,0,0};
static C_char C_TLS li549[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,51,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li550[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,52,49,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li551[] C_aligned={C_lihdr(0,0,8),40,97,51,49,56,55,56,41};
static C_char C_TLS li552[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,114,101,109,32,97,99,116,32,115,116,97,114,116,41,0,0,0,0};
static C_char C_TLS li553[] C_aligned={C_lihdr(0,0,23),40,97,51,49,56,52,52,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li554[] C_aligned={C_lihdr(0,0,8),40,97,51,50,48,51,57,41};
static C_char C_TLS li555[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,108,101,110,32,108,105,109,105,116,32,98,117,102,102,101,114,32,114,101,115,117,108,116,32,102,41};
static C_char C_TLS li556[] C_aligned={C_lihdr(0,0,17),40,97,51,49,57,52,51,32,112,32,114,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li557[] C_aligned={C_lihdr(0,0,16),67,95,111,112,101,110,95,102,105,108,101,95,112,111,114,116};
static C_char C_TLS li558[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li559[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,99,104,101,99,107,45,111,117,116,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li560[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li561[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,111,112,101,110,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0};
static C_char C_TLS li562[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,56,57,56,41,0,0,0,0,0,0};
static C_char C_TLS li563[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,105,110,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li564[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,50,51,41,0,0,0,0,0,0};
static C_char C_TLS li565[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,111,117,116,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li566[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,52,56,41,0,0,0,0,0,0};
static C_char C_TLS li567[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,117,114,114,101,110,116,45,101,114,114,111,114,45,112,111,114,116,32,46,32,97,114,103,115,41};
static C_char C_TLS li568[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,116,116,121,45,112,111,114,116,63,32,112,111,114,116,41,0,0};
static C_char C_TLS li569[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,100,97,116,97,32,112,111,114,116,41,0,0};
static C_char C_TLS li570[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,101,116,45,112,111,114,116,45,100,97,116,97,33,32,112,111,114,116,32,100,97,116,97,41};
static C_char C_TLS li571[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,51,57,56,53,32,109,111,100,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li572[] C_aligned={C_lihdr(0,0,25),40,111,112,101,110,32,110,97,109,101,32,105,110,112,32,109,111,100,101,115,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li573[] C_aligned={C_lihdr(0,0,20),40,99,108,111,115,101,32,112,111,114,116,32,105,110,112,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li574[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li575[] C_aligned={C_lihdr(0,0,37),40,115,99,104,101,109,101,35,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li576[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,108,111,115,101,45,105,110,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0,0};
static C_char C_TLS li577[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,99,108,111,115,101,45,111,117,116,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0};
static C_char C_TLS li578[] C_aligned={C_lihdr(0,0,8),40,97,49,57,49,53,57,41};
static C_char C_TLS li579[] C_aligned={C_lihdr(0,0,18),40,97,49,57,49,54,53,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li580[] C_aligned={C_lihdr(0,0,43),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li581[] C_aligned={C_lihdr(0,0,8),40,97,49,57,49,56,51,41};
static C_char C_TLS li582[] C_aligned={C_lihdr(0,0,18),40,97,49,57,49,56,57,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li583[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li584[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,48,55,41};
static C_char C_TLS li585[] C_aligned={C_lihdr(0,0,18),40,97,49,57,50,49,56,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li586[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,49,50,41};
static C_char C_TLS li587[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,50,55,41};
static C_char C_TLS li588[] C_aligned={C_lihdr(0,0,46),40,115,99,104,101,109,101,35,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0};
static C_char C_TLS li589[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,52,49,41};
static C_char C_TLS li590[] C_aligned={C_lihdr(0,0,18),40,97,49,57,50,53,50,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li591[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,52,54,41};
static C_char C_TLS li592[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,54,49,41};
static C_char C_TLS li593[] C_aligned={C_lihdr(0,0,45),40,115,99,104,101,109,101,35,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li594[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,102,105,108,101,45,101,120,105,115,116,115,63,32,110,97,109,101,32,102,105,108,101,63,32,100,105,114,63,32,108,111,99,41};
static C_char C_TLS li595[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,108,117,115,104,45,111,117,116,112,117,116,32,112,111,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li596[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,117,115,104,45,111,117,116,112,117,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li597[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,108,105,110,101,32,112,111,114,116,41,0,0};
static C_char C_TLS li598[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,52,49,49,53,32,105,41,0,0};
static C_char C_TLS li599[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li600[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,100,101,99,111,114,97,116,101,45,108,97,109,98,100,97,32,112,114,111,99,32,112,114,101,100,32,100,101,99,111,114,97,116,111,114,41,0,0,0,0,0};
static C_char C_TLS li601[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li602[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,108,97,109,98,100,97,45,100,101,99,111,114,97,116,105,111,110,32,112,114,111,99,32,112,114,101,100,41,0,0,0,0,0};
static C_char C_TLS li603[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,109,97,107,101,45,108,97,109,98,100,97,45,105,110,102,111,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li604[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,63,32,120,41,0,0};
static C_char C_TLS li605[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,32,112,114,111,99,41};
static C_char C_TLS li606[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,45,62,115,116,114,105,110,103,32,105,110,102,111,41};
static C_char C_TLS li607[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,99,101,100,117,114,101,45,105,110,102,111,114,109,97,116,105,111,110,32,120,41,0,0};
static C_char C_TLS li608[] C_aligned={C_lihdr(0,0,12),40,97,49,57,53,51,57,32,112,32,105,41,0,0,0,0};
static C_char C_TLS li609[] C_aligned={C_lihdr(0,0,10),40,97,49,57,53,52,57,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li610[] C_aligned={C_lihdr(0,0,15),40,97,49,57,53,54,53,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li611[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,116,101,114,45,119,105,116,104,45,115,101,116,116,101,114,32,103,101,116,32,115,101,116,32,46,32,114,101,115,116,41};
static C_char C_TLS li612[] C_aligned={C_lihdr(0,0,11),40,102,95,49,57,56,50,50,32,120,41,0,0,0,0,0};
static C_char C_TLS li613[] C_aligned={C_lihdr(0,0,28),40,97,115,115,105,103,110,32,118,97,108,32,110,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41,0,0,0,0};
static C_char C_TLS li614[] C_aligned={C_lihdr(0,0,24),40,98,111,100,121,52,50,54,54,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41};
static C_char C_TLS li615[] C_aligned={C_lihdr(0,0,24),40,100,101,102,45,115,101,116,63,52,50,54,57,32,37,99,111,110,118,101,114,116,63,41};
static C_char C_TLS li616[] C_aligned={C_lihdr(0,0,18),40,100,101,102,45,99,111,110,118,101,114,116,63,52,50,54,56,41,0,0,0,0,0,0};
static C_char C_TLS li617[] C_aligned={C_lihdr(0,0,15),40,97,49,57,55,49,51,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li618[] C_aligned={C_lihdr(0,0,12),40,97,49,57,55,57,53,32,118,97,108,41,0,0,0,0};
static C_char C_TLS li619[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,97,114,97,109,101,116,101,114,32,105,110,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li620[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,114,101,97,100,121,63,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li621[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,114,101,97,100,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li622[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li623[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,47,112,111,114,116,32,112,111,114,116,41,0,0,0,0,0};
static C_char C_TLS li624[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,112,101,101,107,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li625[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,112,101,101,107,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li626[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,100,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li627[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,114,101,97,100,45,112,114,111,109,112,116,45,104,111,111,107,41};
static C_char C_TLS li628[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,105,110,102,105,120,45,108,105,115,116,45,104,111,111,107,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li629[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,104,97,114,112,45,110,117,109,98,101,114,45,104,111,111,107,32,112,111,114,116,32,110,41};
static C_char C_TLS li630[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,119,97,114,110,105,110,103,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li631[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,114,101,97,100,45,101,114,114,111,114,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li632[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,48,57,57,32,99,41,0,0,0,0,0};
static C_char C_TLS li633[] C_aligned={C_lihdr(0,0,21),40,105,110,102,111,32,99,108,97,115,115,32,100,97,116,97,32,118,97,108,41,0,0,0};
static C_char C_TLS li634[] C_aligned={C_lihdr(0,0,8),40,115,107,105,112,32,99,41};
static C_char C_TLS li635[] C_aligned={C_lihdr(0,0,13),40,115,107,105,112,45,116,111,45,101,111,108,41,0,0,0};
static C_char C_TLS li636[] C_aligned={C_lihdr(0,0,22),40,114,101,115,101,114,118,101,100,45,99,104,97,114,97,99,116,101,114,32,99,41,0,0};
static C_char C_TLS li637[] C_aligned={C_lihdr(0,0,29),40,114,101,97,100,45,117,110,114,101,115,101,114,118,101,100,45,99,104,97,114,45,48,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li638[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,99,41};
static C_char C_TLS li639[] C_aligned={C_lihdr(0,0,10),40,114,45,115,112,97,99,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li640[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,115,101,113,32,110,41,0,0,0,0};
static C_char C_TLS li641[] C_aligned={C_lihdr(0,0,22),40,114,45,117,115,101,113,117,101,110,99,101,32,117,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li642[] C_aligned={C_lihdr(0,0,10),40,108,112,32,105,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li643[] C_aligned={C_lihdr(0,0,25),40,114,45,99,111,110,115,45,99,111,100,101,112,111,105,110,116,32,99,112,32,108,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li644[] C_aligned={C_lihdr(0,0,14),40,101,97,116,45,119,115,32,99,32,110,108,63,41,0,0};
static C_char C_TLS li645[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li646[] C_aligned={C_lihdr(0,0,15),40,114,45,115,116,114,105,110,103,32,116,101,114,109,41,0};
static C_char C_TLS li647[] C_aligned={C_lihdr(0,0,19),40,115,116,97,114,116,105,110,103,45,108,105,110,101,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li648[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,57,49,57,32,99,41,0,0,0,0,0};
static C_char C_TLS li649[] C_aligned={C_lihdr(0,0,15),40,97,50,49,48,51,52,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li650[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,97,115,116,41,0,0,0,0,0};
static C_char C_TLS li651[] C_aligned={C_lihdr(0,0,15),40,97,50,48,57,49,53,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li652[] C_aligned={C_lihdr(0,0,18),40,114,45,108,105,115,116,32,115,116,97,114,116,32,101,110,100,41,0,0,0,0,0,0};
static C_char C_TLS li653[] C_aligned={C_lihdr(0,0,10),40,114,45,118,101,99,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li654[] C_aligned={C_lihdr(0,0,15),40,97,50,49,49,54,50,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li655[] C_aligned={C_lihdr(0,0,26),40,114,45,110,117,109,98,101,114,32,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li656[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,101,120,97,99,116,110,101,115,115,32,114,97,100,105,120,41,0};
static C_char C_TLS li657[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0};
static C_char C_TLS li658[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li659[] C_aligned={C_lihdr(0,0,9),40,114,45,116,111,107,101,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li660[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li661[] C_aligned={C_lihdr(0,0,10),40,114,45,100,105,103,105,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li662[] C_aligned={C_lihdr(0,0,15),40,97,50,49,52,54,48,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li663[] C_aligned={C_lihdr(0,0,10),40,114,45,115,121,109,98,111,108,41,0,0,0,0,0,0};
static C_char C_TLS li664[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,32,115,107,119,41,0,0};
static C_char C_TLS li665[] C_aligned={C_lihdr(0,0,12),40,114,45,120,116,111,107,101,110,32,107,41,0,0,0,0};
static C_char C_TLS li666[] C_aligned={C_lihdr(0,0,8),40,114,45,99,104,97,114,41};
static C_char C_TLS li667[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li668[] C_aligned={C_lihdr(0,0,11),40,114,45,99,111,109,109,101,110,116,41,0,0,0,0,0};
static C_char C_TLS li669[] C_aligned={C_lihdr(0,0,14),40,114,45,101,120,116,45,115,121,109,98,111,108,41,0,0};
static C_char C_TLS li670[] C_aligned={C_lihdr(0,0,11),40,114,45,113,117,111,116,101,32,113,41,0,0,0,0,0};
static C_char C_TLS li671[] C_aligned={C_lihdr(0,0,8),40,97,50,50,48,53,51,41};
static C_char C_TLS li672[] C_aligned={C_lihdr(0,0,13),40,97,50,50,48,53,57,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li673[] C_aligned={C_lihdr(0,0,8),40,97,50,50,49,56,48,41};
static C_char C_TLS li674[] C_aligned={C_lihdr(0,0,13),40,97,50,50,49,56,54,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li675[] C_aligned={C_lihdr(0,0,8),40,97,50,50,50,53,49,41};
static C_char C_TLS li676[] C_aligned={C_lihdr(0,0,13),40,97,50,50,50,53,55,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li677[] C_aligned={C_lihdr(0,0,8),40,97,50,50,51,54,53,41};
static C_char C_TLS li678[] C_aligned={C_lihdr(0,0,8),40,97,50,50,51,55,48,41};
static C_char C_TLS li679[] C_aligned={C_lihdr(0,0,8),40,97,50,50,51,55,54,41};
static C_char C_TLS li680[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,49,57,41};
static C_char C_TLS li681[] C_aligned={C_lihdr(0,0,15),40,97,50,50,53,51,48,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li682[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,50,52,41};
static C_char C_TLS li683[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,53,57,41};
static C_char C_TLS li684[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,55,51,41};
static C_char C_TLS li685[] C_aligned={C_lihdr(0,0,13),40,97,50,50,54,55,57,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li686[] C_aligned={C_lihdr(0,0,9),40,114,101,97,100,114,101,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li687[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,114,101,97,100,32,112,111,114,116,32,105,110,102,111,104,97,110,100,108,101,114,41,0,0,0};
static C_char C_TLS li688[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,97,114,45,62,117,116,102,56,45,115,116,114,105,110,103,32,99,41,0,0,0,0,0};
static C_char C_TLS li689[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,117,110,105,99,111,100,101,45,115,117,114,114,111,103,97,116,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li690[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,117,114,114,111,103,97,116,101,115,45,62,99,111,100,101,112,111,105,110,116,32,104,105,32,108,111,41,0,0,0,0,0};
static C_char C_TLS li691[] C_aligned={C_lihdr(0,0,7),40,104,101,120,32,99,41,0};
static C_char C_TLS li692[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,104,41,0,0,0,0};
static C_char C_TLS li693[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,98,121,116,101,118,101,99,116,111,114,45,108,105,116,101,114,97,108,32,112,111,114,116,41,0,0,0,0};
static C_char C_TLS li694[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li695[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,45,48,32,99,32,112,41};
static C_char C_TLS li696[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,47,112,111,114,116,32,99,32,112,111,114,116,41,0,0};
static C_char C_TLS li697[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,119,114,105,116,101,45,99,104,97,114,32,99,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li698[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,110,101,119,108,105,110,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li699[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,119,114,105,116,101,32,120,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li700[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,100,105,115,112,108,97,121,32,120,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li701[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,53,56,32,103,53,48,54,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li702[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li703[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,57,48,32,103,53,48,57,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li704[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,42,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li705[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,116,114,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li706[] C_aligned={C_lihdr(0,0,17),40,111,117,116,99,104,114,32,112,111,114,116,32,99,104,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li707[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,121,109,32,112,111,114,116,32,115,121,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li708[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li709[] C_aligned={C_lihdr(0,0,25),40,111,117,116,114,101,97,100,97,98,108,101,115,121,109,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li710[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li711[] C_aligned={C_lihdr(0,0,22),40,115,121,109,45,105,115,45,114,101,97,100,97,98,108,101,63,32,115,116,114,41,0,0};
static C_char C_TLS li712[] C_aligned={C_lihdr(0,0,10),40,103,53,50,53,57,32,99,110,41,0,0,0,0,0,0};
static C_char C_TLS li713[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,50,56,52,32,105,32,99,41};
static C_char C_TLS li714[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,49,52,32,120,41,0,0};
static C_char C_TLS li715[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,50,56,32,105,41,0,0};
static C_char C_TLS li716[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,53,50,32,105,32,99,41};
static C_char C_TLS li717[] C_aligned={C_lihdr(0,0,7),40,111,117,116,32,120,41,0};
static C_char C_TLS li718[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,112,114,105,110,116,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li719[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,114,111,99,101,100,117,114,101,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0};
static C_char C_TLS li720[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,114,101,103,105,115,116,101,114,45,114,101,99,111,114,100,45,112,114,105,110,116,101,114,32,116,121,112,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li721[] C_aligned={C_lihdr(0,0,8),40,97,50,52,55,52,56,41};
static C_char C_TLS li722[] C_aligned={C_lihdr(0,0,11),40,97,50,52,55,52,50,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li723[] C_aligned={C_lihdr(0,0,8),40,97,50,52,55,57,57,41};
static C_char C_TLS li724[] C_aligned={C_lihdr(0,0,8),40,97,50,52,56,49,52,41};
static C_char C_TLS li725[] C_aligned={C_lihdr(0,0,15),40,97,50,52,56,48,56,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li726[] C_aligned={C_lihdr(0,0,8),40,97,50,52,55,57,51,41};
static C_char C_TLS li727[] C_aligned={C_lihdr(0,0,10),40,97,50,52,55,51,54,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li728[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,117,115,101,114,45,112,114,105,110,116,45,104,111,111,107,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0};
static C_char C_TLS li729[] C_aligned={C_lihdr(0,0,8),40,97,50,52,56,56,49,41};
static C_char C_TLS li730[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,50,52,41};
static C_char C_TLS li731[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,51,48,41};
static C_char C_TLS li732[] C_aligned={C_lihdr(0,0,15),40,97,50,52,56,55,53,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li733[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,119,105,116,104,45,112,114,105,110,116,45,108,101,110,103,116,104,45,108,105,109,105,116,32,108,105,109,105,116,32,116,104,117,110,107,41,0,0,0,0,0};
static C_char C_TLS li734[] C_aligned={C_lihdr(0,0,15),40,99,104,101,99,107,53,52,54,55,32,112,32,110,41,0};
static C_char C_TLS li735[] C_aligned={C_lihdr(0,0,10),40,97,51,49,50,53,50,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li736[] C_aligned={C_lihdr(0,0,10),40,97,51,49,50,55,55,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li737[] C_aligned={C_lihdr(0,0,12),40,97,51,49,50,57,53,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li738[] C_aligned={C_lihdr(0,0,14),40,97,51,49,51,49,52,32,112,32,115,116,114,41,0,0};
static C_char C_TLS li739[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,51,51,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li740[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,51,54,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li741[] C_aligned={C_lihdr(0,0,23),40,97,51,49,51,51,57,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li742[] C_aligned={C_lihdr(0,0,12),40,97,51,49,52,49,52,32,112,111,115,41,0,0,0,0};
static C_char C_TLS li743[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,48,52,41};
static C_char C_TLS li744[] C_aligned={C_lihdr(0,0,29),40,97,51,49,52,50,51,32,110,101,120,116,32,108,105,110,101,32,102,117,108,108,45,108,105,110,101,63,41,0,0,0};
static C_char C_TLS li745[] C_aligned={C_lihdr(0,0,16),40,97,51,49,51,56,48,32,112,32,108,105,109,105,116,41};
static C_char C_TLS li746[] C_aligned={C_lihdr(0,0,10),40,97,51,49,52,54,52,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li747[] C_aligned={C_lihdr(0,0,37),40,99,111,112,121,38,97,112,112,101,110,100,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,111,108,100,45,108,105,110,101,41,0,0,0};
static C_char C_TLS li748[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,52,56,41};
static C_char C_TLS li749[] C_aligned={C_lihdr(0,0,25),40,97,50,53,48,53,52,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li750[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,49,50,41};
static C_char C_TLS li751[] C_aligned={C_lihdr(0,0,25),40,97,50,53,49,49,56,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li752[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,108,105,109,105,116,32,108,105,110,101,41};
static C_char C_TLS li753[] C_aligned={C_lihdr(0,0,56),40,35,35,115,121,115,35,115,99,97,110,45,98,117,102,102,101,114,45,108,105,110,101,32,98,117,102,32,108,105,109,105,116,32,115,116,97,114,116,45,112,111,115,32,101,111,115,45,104,97,110,100,108,101,114,41};
static C_char C_TLS li754[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,105,110,112,117,116,45,115,116,114,105,110,103,32,115,116,114,105,110,103,41,0};
static C_char C_TLS li755[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,111,117,116,112,117,116,45,115,116,114,105,110,103,41,0,0,0,0,0,0,0};
static C_char C_TLS li756[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,111,117,116,112,117,116,45,115,116,114,105,110,103,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li757[] C_aligned={C_lihdr(0,0,9),40,103,53,53,57,55,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li758[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,53,57,54,32,103,53,54,48,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li759[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,114,105,110,116,45,116,111,45,115,116,114,105,110,103,32,120,115,41,0,0,0,0,0,0};
static C_char C_TLS li760[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li761[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li762[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li763[] C_aligned={C_lihdr(0,0,8),40,97,50,53,53,54,48,41};
static C_char C_TLS li764[] C_aligned={C_lihdr(0,0,12),40,103,53,54,54,51,32,105,110,102,111,41,0,0,0,0};
static C_char C_TLS li765[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,54,54,50,32,103,53,54,54,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li766[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,114,101,97,108,108,121,45,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,112,111,114,116,32,99,104,97,105,110,32,104,101,97,100,101,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li767[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li768[] C_aligned={C_lihdr(0,0,7),40,98,114,101,97,107,41,0};
static C_char C_TLS li769[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,117,115,101,114,45,105,110,116,101,114,114,117,112,116,45,104,111,111,107,41,0,0,0,0,0};
static C_char C_TLS li770[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,50,50,32,103,53,55,50,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li771[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li772[] C_aligned={C_lihdr(0,0,21),40,99,108,101,97,110,117,112,45,98,101,102,111,114,101,45,101,120,105,116,41,0,0,0};
static C_char C_TLS li773[] C_aligned={C_lihdr(0,0,8),40,97,50,53,56,54,57,41};
static C_char C_TLS li774[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,57,48,32,103,53,55,57,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li775[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,105,103,110,97,108,45,104,111,111,107,32,109,111,100,101,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li776[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,97,98,111,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li777[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,115,105,103,110,97,108,32,120,41,0,0,0,0};
static C_char C_TLS li778[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,99,41,0,0,0,0,0};
static C_char C_TLS li779[] C_aligned={C_lihdr(0,0,8),40,97,50,54,51,48,57,41};
static C_char C_TLS li780[] C_aligned={C_lihdr(0,0,8),40,97,50,54,51,49,51,41};
static C_char C_TLS li781[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,119,105,116,104,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,104,97,110,100,108,101,114,32,116,104,117,110,107,41};
static C_char C_TLS li782[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,53,57,53,48,41,0,0,0,0,0,0};
static C_char C_TLS li783[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li784[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li785[] C_aligned={C_lihdr(0,0,69),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,111,112,45,108,105,115,116,45,62,107,105,110,100,45,112,114,101,102,105,120,101,100,45,112,114,111,112,45,108,105,115,116,32,108,111,99,32,107,105,110,100,32,112,108,105,115,116,41,0,0,0};
static C_char C_TLS li786[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,112,114,111,112,101,114,116,121,45,99,111,110,100,105,116,105,111,110,32,107,105,110,100,32,46,32,112,114,111,112,115,41};
static C_char C_TLS li787[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,57,57,52,41,0,0,0,0,0};
static C_char C_TLS li788[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,51,57,32,103,54,48,53,49,41,0,0,0,0};
static C_char C_TLS li789[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,49,50,32,103,54,48,50,52,41,0,0,0,0};
static C_char C_TLS li790[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,99,111,109,112,111,115,105,116,101,45,99,111,110,100,105,116,105,111,110,32,99,49,32,46,32,99,111,110,100,115,41,0};
static C_char C_TLS li791[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,57,57,32,103,54,49,49,49,41,0,0,0,0};
static C_char C_TLS li792[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,55,50,32,103,54,48,56,52,41,0,0,0,0};
static C_char C_TLS li793[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li794[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,63,32,120,41};
static C_char C_TLS li795[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li796[] C_aligned={C_lihdr(0,0,9),40,103,54,49,51,53,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li797[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,50,57,32,103,54,49,52,49,41,0,0,0,0};
static C_char C_TLS li798[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,62,108,105,115,116,32,120,41,0,0,0};
static C_char C_TLS li799[] C_aligned={C_lihdr(0,0,11),40,102,95,50,54,56,51,50,32,99,41,0,0,0,0,0};
static C_char C_TLS li800[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,101,100,105,99,97,116,101,32,107,105,110,100,41,0,0,0,0};
static C_char C_TLS li801[] C_aligned={C_lihdr(0,0,11),40,102,95,50,54,56,53,57,32,99,41,0,0,0,0,0};
static C_char C_TLS li802[] C_aligned={C_lihdr(0,0,67),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,45,97,99,99,101,115,115,111,114,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41,0,0,0,0,0};
static C_char C_TLS li803[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,103,101,116,45,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,32,99,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41};
static C_char C_TLS li804[] C_aligned={C_lihdr(0,0,8),40,97,50,54,57,50,53,41};
static C_char C_TLS li805[] C_aligned={C_lihdr(0,0,9),40,103,54,50,48,48,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li806[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,49,57,57,32,103,54,50,48,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li807[] C_aligned={C_lihdr(0,0,21),40,119,114,105,116,101,97,114,103,115,32,97,114,103,115,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li808[] C_aligned={C_lihdr(0,0,11),40,103,54,50,52,51,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li809[] C_aligned={C_lihdr(0,0,22),40,98,111,100,121,54,50,50,48,32,112,111,114,116,32,104,101,97,100,101,114,41,0,0};
static C_char C_TLS li810[] C_aligned={C_lihdr(0,0,22),40,100,101,102,45,104,101,97,100,101,114,54,50,50,51,32,37,112,111,114,116,41,0,0};
static C_char C_TLS li811[] C_aligned={C_lihdr(0,0,14),40,100,101,102,45,112,111,114,116,54,50,50,50,41,0,0};
static C_char C_TLS li812[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,105,110,116,45,101,114,114,111,114,45,109,101,115,115,97,103,101,32,101,120,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li813[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,115,104,111,119,45,101,120,99,101,112,116,105,111,110,45,119,97,114,110,105,110,103,32,101,120,110,32,99,97,117,115,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li814[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,101,114,114,111,114,45,104,111,111,107,32,99,111,100,101,32,108,111,99,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li815[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,116,114,117,99,116,117,114,101,63,32,120,32,115,41,0,0};
static C_char C_TLS li816[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,103,101,110,101,114,105,99,45,115,116,114,117,99,116,117,114,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li817[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,108,111,116,32,120,32,105,41};
static C_char C_TLS li818[] C_aligned={C_lihdr(0,0,14),40,35,35,115,121,115,35,115,105,122,101,32,120,41,0,0};
static C_char C_TLS li819[] C_aligned={C_lihdr(0,0,14),67,95,109,97,107,101,95,112,111,105,110,116,101,114,0,0};
static C_char C_TLS li820[] C_aligned={C_lihdr(0,0,21),67,95,109,97,107,101,95,116,97,103,103,101,100,95,112,111,105,110,116,101,114,0,0,0};
static C_char C_TLS li821[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,112,111,105,110,116,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li822[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,115,101,116,45,112,111,105,110,116,101,114,45,97,100,100,114,101,115,115,33,32,112,116,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li823[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,121,116,101,118,101,99,116,111,114,63,32,120,41,0,0,0};
static C_char C_TLS li824[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,112,98,121,116,101,118,101,99,116,111,114,32,115,41,0,0,0};
static C_char C_TLS li825[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,112,101,114,109,97,110,101,110,116,63,32,120,41,0,0,0,0};
static C_char C_TLS li826[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,97,100,100,114,101,115,115,32,120,41,0};
static C_char C_TLS li827[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,108,111,99,97,116,105,118,101,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li828[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,114,102,105,45,52,45,118,101,99,116,111,114,63,32,120,41};
static C_char C_TLS li829[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,41,0,0,0,0};
static C_char C_TLS li830[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,63,32,120,41,0};
static C_char C_TLS li831[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,97,100,100,114,101,115,115,45,62,112,111,105,110,116,101,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li832[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,97,100,100,114,101,115,115,32,112,116,114,41,0,0,0,0};
static C_char C_TLS li833[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,109,97,107,101,45,99,45,115,116,114,105,110,103,32,115,116,114,32,46,32,114,101,115,116,41};
static C_char C_TLS li834[] C_aligned={C_lihdr(0,0,21),67,95,112,101,101,107,95,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0,0,0};
static C_char C_TLS li835[] C_aligned={C_lihdr(0,0,23),67,95,112,101,101,107,95,117,110,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0};
static C_char C_TLS li836[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,102,105,120,110,117,109,32,98,32,105,41,0};
static C_char C_TLS li837[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,98,121,116,101,32,112,116,114,32,105,41,0};
static C_char C_TLS li838[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,115,116,114,117,99,116,117,114,101,33,32,118,101,99,41,0,0};
static C_char C_TLS li839[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,100,111,117,98,108,101,32,98,32,105,41,0};
static C_char C_TLS li840[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li841[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,112,101,101,107,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li842[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li843[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li844[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,111,107,101,45,99,45,115,116,114,105,110,103,32,98,32,105,32,115,41,0,0,0,0,0};
static C_char C_TLS li845[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,111,107,101,45,105,110,116,101,103,101,114,32,98,32,105,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li846[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,107,101,45,100,111,117,98,108,101,32,98,32,105,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li847[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li848[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41};
static C_char C_TLS li849[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li850[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li851[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,99,108,111,115,117,114,101,33,32,118,101,99,32,97,100,100,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li852[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,121,109,98,111,108,45,104,97,115,45,116,111,112,108,101,118,101,108,45,98,105,110,100,105,110,103,63,32,115,41,0,0};
static C_char C_TLS li853[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41};
static C_char C_TLS li854[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,119,111,114,100,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,119,111,114,100,115,41};
static C_char C_TLS li855[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,99,111,109,112,97,114,101,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41,0,0,0,0,0};
static C_char C_TLS li856[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,112,111,105,110,116,101,114,32,120,41,0};
static C_char C_TLS li857[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,99,104,97,114,45,97,114,103,117,109,101,110,116,32,120,41,0};
static C_char C_TLS li858[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,105,120,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li859[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,108,111,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li860[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,98,108,111,99,107,45,97,114,103,117,109,101,110,116,32,120,41};
static C_char C_TLS li861[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,117,99,116,45,119,114,97,112,112,101,114,45,97,114,103,117,109,101,110,116,32,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li862[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,105,110,103,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li863[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,121,109,98,111,108,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li864[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li865[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,116,97,103,103,101,100,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,32,116,120,41,0,0,0,0};
static C_char C_TLS li866[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41};
static C_char C_TLS li867[] C_aligned={C_lihdr(0,0,57),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,117,110,115,105,103,110,101,100,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41,0,0,0,0,0,0,0};
static C_char C_TLS li868[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,41,0,0,0};
static C_char C_TLS li869[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,109,97,107,101,45,116,104,114,101,97,100,32,116,104,117,110,107,32,115,116,97,116,101,32,110,97,109,101,32,113,41,0,0};
static C_char C_TLS li870[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,109,97,107,101,45,109,117,116,101,120,32,105,100,32,111,119,110,101,114,41,0,0,0,0,0};
static C_char C_TLS li871[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li872[] C_aligned={C_lihdr(0,0,8),40,97,50,56,50,55,54,41};
static C_char C_TLS li873[] C_aligned={C_lihdr(0,0,15),40,97,50,56,50,54,55,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li874[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,116,104,114,101,97,100,45,121,105,101,108,100,33,41,0,0,0};
static C_char C_TLS li875[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,41};
static C_char C_TLS li876[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,45,104,111,111,107,32,110,41,0,0,0,0,0};
static C_char C_TLS li877[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,32,110,41,0,0};
static C_char C_TLS li878[] C_aligned={C_lihdr(0,0,16),67,95,99,111,110,116,101,120,116,95,115,119,105,116,99,104};
static C_char C_TLS li879[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,114,101,97,115,111,110,41,0,0,0};
static C_char C_TLS li880[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,32,115,116,97,116,101,41,0,0,0,0,0};
static C_char C_TLS li881[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,100,105,115,112,97,116,99,104,45,105,110,116,101,114,114,117,112,116,32,107,41,0,0,0,0};
static C_char C_TLS li882[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,117,112,100,97,116,101,45,101,114,114,110,111,41,0,0,0,0};
static C_char C_TLS li883[] C_aligned={C_lihdr(0,0,13),40,35,35,115,121,115,35,101,114,114,110,111,41,0,0,0};
static C_char C_TLS li884[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,54,49,57,32,99,41,0,0};
static C_char C_TLS li885[] C_aligned={C_lihdr(0,0,13),40,114,101,97,100,108,110,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li886[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li887[] C_aligned={C_lihdr(0,0,36),40,114,101,97,100,45,101,115,99,97,112,101,100,45,115,101,120,112,32,112,111,114,116,32,115,107,105,112,45,98,114,97,99,101,63,41,0,0,0,0};
static C_char C_TLS li888[] C_aligned={C_lihdr(0,0,15),40,100,111,108,111,111,112,54,54,53,52,32,108,110,41,0};
static C_char C_TLS li889[] C_aligned={C_lihdr(0,0,15),40,103,101,116,47,99,108,101,97,114,45,115,116,114,41,0};
static C_char C_TLS li890[] C_aligned={C_lihdr(0,0,27),40,108,111,111,112,50,32,108,115,116,32,110,101,120,116,45,115,116,114,105,110,103,32,97,99,99,41,0,0,0,0,0};
static C_char C_TLS li891[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li892[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li893[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,41,0};
static C_char C_TLS li894[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,45,104,111,111,107,32,100,105,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li895[] C_aligned={C_lihdr(0,0,71),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,32,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,54,55,55,49,41,0};
static C_char C_TLS li896[] C_aligned={C_lihdr(0,0,59),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,32,118,97,108,41,0,0,0,0,0};
static C_char C_TLS li897[] C_aligned={C_lihdr(0,0,57),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,117,110,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li898[] C_aligned={C_lihdr(0,0,8),40,115,99,97,110,32,106,41};
static C_char C_TLS li899[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li900[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li901[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,101,120,101,99,117,116,97,98,108,101,45,112,97,116,104,110,97,109,101,41,0,0,0};
static C_char C_TLS li902[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,99,43,97,114,103,118,41,0,0,0,0,0};
static C_char C_TLS li903[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,54,56,49,51,32,105,32,118,41};
static C_char C_TLS li904[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,118,41,0,0};
static C_char C_TLS li905[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,103,99,35,99,117,114,114,101,110,116,45,103,99,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0};
static C_char C_TLS li906[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,103,99,45,114,101,112,111,114,116,33,32,102,108,97,103,41};
static C_char C_TLS li907[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,103,99,35,109,101,109,111,114,121,45,115,116,97,116,105,115,116,105,99,115,41,0,0};
static C_char C_TLS li908[] C_aligned={C_lihdr(0,0,20),67,95,114,101,103,105,115,116,101,114,95,102,105,110,97,108,105,122,101,114,0,0,0,0};
static C_char C_TLS li909[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,102,105,110,97,108,105,122,101,114,33,32,120,32,121,41,0};
static C_char C_TLS li910[] C_aligned={C_lihdr(0,0,8),40,97,50,57,51,48,56,41};
static C_char C_TLS li911[] C_aligned={C_lihdr(0,0,11),40,97,50,57,51,48,50,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li912[] C_aligned={C_lihdr(0,0,8),40,97,50,57,51,50,48,41};
static C_char C_TLS li913[] C_aligned={C_lihdr(0,0,8),40,97,50,57,51,52,51,41};
static C_char C_TLS li914[] C_aligned={C_lihdr(0,0,15),40,97,50,57,51,51,55,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li915[] C_aligned={C_lihdr(0,0,8),40,97,50,57,51,49,52,41};
static C_char C_TLS li916[] C_aligned={C_lihdr(0,0,10),40,97,50,57,50,57,54,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li917[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,56,56,56,32,105,41,0,0};
static C_char C_TLS li918[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,117,110,45,112,101,110,100,105,110,103,45,102,105,110,97,108,105,122,101,114,115,32,115,116,97,116,101,41,0,0,0,0};
static C_char C_TLS li919[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li920[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,102,105,110,97,108,105,122,101,114,115,41};
static C_char C_TLS li921[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,103,99,35,103,99,32,46,32,97,114,103,41,0,0,0};
static C_char C_TLS li922[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,109,97,107,101,45,108,111,99,97,116,105,118,101,32,111,98,106,32,105,110,100,101,120,32,119,101,97,107,63,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li923[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,112,117,116,33,32,115,121,109,32,112,114,111,112,32,118,97,108,41,0,0,0,0,0,0,0};
static C_char C_TLS li924[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,32,115,121,109,32,112,114,111,112,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li925[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,116,108,41,0,0,0,0,0,0};
static C_char C_TLS li926[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,114,101,109,112,114,111,112,33,32,115,121,109,32,112,114,111,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li927[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,108,105,115,116,41,0,0,0,0};
static C_char C_TLS li928[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,45,112,114,111,112,101,114,116,105,101,115,32,115,121,109,32,112,114,111,112,115,41};
static C_char C_TLS li929[] C_aligned={C_lihdr(0,0,10),40,112,110,117,109,32,110,117,109,41,0,0,0,0,0,0};
static C_char C_TLS li930[] C_aligned={C_lihdr(0,0,14),40,114,111,117,110,100,45,116,111,32,120,32,121,41,0,0};
static C_char C_TLS li931[] C_aligned={C_lihdr(0,0,12),40,112,109,101,109,32,98,121,116,101,115,41,0,0,0,0};
static C_char C_TLS li932[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,100,105,115,112,108,97,121,45,116,105,109,101,115,32,105,110,102,111,41,0,0,0,0,0,0};
static C_char C_TLS li933[] C_aligned={C_lihdr(0,0,17),67,95,100,117,109,112,95,104,101,97,112,95,115,116,97,116,101,0,0,0,0,0,0,0};
static C_char C_TLS li934[] C_aligned={C_lihdr(0,0,21),67,95,102,105,108,116,101,114,95,104,101,97,112,95,111,98,106,101,99,116,115,0,0,0};
static C_char C_TLS li935[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,116,121,112,101,41};
static C_char C_TLS li936[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,116,121,112,101,41,0};
static C_char C_TLS li937[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,98,121,116,101,45,111,114,100,101,114,41,0,0,0};
static C_char C_TLS li938[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,118,101,114,115,105,111,110,41,0,0,0,0,0};
static C_char C_TLS li939[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,98,117,105,108,100,45,112,108,97,116,102,111,114,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li940[] C_aligned={C_lihdr(0,0,7),40,115,116,114,32,120,41,0};
static C_char C_TLS li941[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,118,101,114,115,105,111,110,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li942[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,104,111,109,101,41,0};
static C_char C_TLS li943[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,115,116,97,114,116,32,112,111,115,41};
static C_char C_TLS li944[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,115,112,108,105,116,45,112,97,116,104,32,112,97,116,104,41,0};
static C_char C_TLS li945[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,45,62,102,101,97,116,117,114,101,45,105,100,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li946[] C_aligned={C_lihdr(0,0,9),40,99,104,101,99,107,32,102,41,0,0,0,0,0,0,0};
static C_char C_TLS li947[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,56,56,32,103,55,50,57,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li948[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li949[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li950[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,55,51,49,49,32,103,55,51,50,51,41,0,0,0,0};
static C_char C_TLS li951[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,117,110,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0};
static C_char C_TLS li952[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,115,41,0,0,0,0,0};
static C_char C_TLS li953[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,105,100,115,41,0,0,0,0,0,0};
static C_char C_TLS li954[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,63,32,46,32,105,100,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li955[] C_aligned={C_lihdr(0,0,16),67,95,114,101,116,117,114,110,95,116,111,95,104,111,115,116};
static C_char C_TLS li956[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,121,115,116,101,109,45,99,111,110,102,105,103,45,100,105,114,101,99,116,111,114,121,41,0,0,0,0,0,0};
static C_char C_TLS li957[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,121,115,116,101,109,45,99,97,99,104,101,45,100,105,114,101,99,116,111,114,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li958[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,51,48,41,0,0,0,0,0};
static C_char C_TLS li959[] C_aligned={C_lihdr(0,0,12),40,97,51,48,55,57,50,32,110,101,119,41,0,0,0,0};
static C_char C_TLS li960[] C_aligned={C_lihdr(0,0,16),67,95,98,117,105,108,100,95,112,108,97,116,102,111,114,109};
static C_char C_TLS li961[] C_aligned={C_lihdr(0,0,18),67,95,115,111,102,116,119,97,114,101,95,118,101,114,115,105,111,110,0,0,0,0,0,0};
static C_char C_TLS li962[] C_aligned={C_lihdr(0,0,20),67,95,109,97,99,104,105,110,101,95,98,121,116,101,95,111,114,100,101,114,0,0,0,0};
static C_char C_TLS li963[] C_aligned={C_lihdr(0,0,14),67,95,109,97,99,104,105,110,101,95,116,121,112,101,0,0};
static C_char C_TLS li964[] C_aligned={C_lihdr(0,0,15),67,95,115,111,102,116,119,97,114,101,95,116,121,112,101,0};
static C_char C_TLS li965[] C_aligned={C_lihdr(0,0,12),40,97,51,48,56,57,49,32,115,121,109,41,0,0,0,0};
static C_char C_TLS li966[] C_aligned={C_lihdr(0,0,16),40,97,51,48,57,48,48,32,115,121,109,32,108,115,116,41};
static C_char C_TLS li967[] C_aligned={C_lihdr(0,0,10),40,97,51,48,57,52,48,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li968[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li969[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,48,48,32,120,54,56,51,48,51,54,53,57,57,41,0,0,0,0,0};
static C_char C_TLS li970[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,48,54,32,120,54,56,50,48,51,54,54,48,53,41,0,0,0,0,0};
static C_char C_TLS li971[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,49,50,32,120,54,56,50,48,51,54,54,49,49,41,0,0,0,0,0};
static C_char C_TLS li972[] C_aligned={C_lihdr(0,0,8),40,97,51,49,48,50,53,41};
static C_char C_TLS li973[] C_aligned={C_lihdr(0,0,12),40,97,51,49,48,52,55,32,100,105,114,41,0,0,0,0};
static C_char C_TLS li974[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,53,53,32,103,53,56,54,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li975[] C_aligned={C_lihdr(0,0,8),40,97,51,49,48,57,56,41};
static C_char C_TLS li976[] C_aligned={C_lihdr(0,0,9),40,103,53,56,56,55,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li977[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,56,54,32,103,53,56,57,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li978[] C_aligned={C_lihdr(0,0,15),40,97,51,49,50,49,48,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li979[] C_aligned={C_lihdr(0,0,19),40,97,51,49,48,53,51,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li980[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,49,51,41};
static C_char C_TLS li981[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,50,50,41};
static C_char C_TLS li982[] C_aligned={C_lihdr(0,0,15),40,97,51,49,50,50,56,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li983[] C_aligned={C_lihdr(0,0,14),40,97,51,49,52,57,50,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li984[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,48,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li985[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,49,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li986[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,50,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li987[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,51,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li988[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,52,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li989[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,53,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li990[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,54,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li991[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,55,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li992[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,56,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li993[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,57,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li994[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,48,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li995[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,49,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li996[] C_aligned={C_lihdr(0,0,10),40,97,51,49,54,52,54,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li997[] C_aligned={C_lihdr(0,0,13),40,97,51,49,54,50,50,32,112,114,111,99,41,0,0,0};
static C_char C_TLS li998[] C_aligned={C_lihdr(0,0,10),40,97,51,49,54,54,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li999[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,49,55,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1000[] C_aligned={C_lihdr(0,0,15),40,97,51,49,55,51,51,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1001[] C_aligned={C_lihdr(0,0,16),40,97,51,49,54,56,56,32,103,101,116,32,115,101,116,41};
static C_char C_TLS li1002[] C_aligned={C_lihdr(0,0,15),40,97,51,49,54,55,56,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1003[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub6809(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word i=(C_word )(C_a0);
C_return(C_main_argv[C_unfix(i)]);
C_ret:
#undef return

return C_r;}

/* from chicken.process-context#executable-pathname in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
C_regparm static C_word C_fcall stub6801(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mpointer(&C_a,(void*)C_executable_pathname());
return C_r;}

/* from k28992 */
C_regparm static C_word C_fcall stub6789(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k28950 in chicken.process-context#get-environment-variable in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
C_regparm static C_word C_fcall stub6772(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_c_string(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenv(t0));
return C_r;}

/* from k28110 */
C_regparm static C_word C_fcall stub6486(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_free(t0);
return C_r;}

/* from k28101 */
C_regparm static C_word C_fcall stub6478(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

/* from k28049 */
C_regparm static C_word C_fcall stub6459(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub5619(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word x=(C_word )(C_a0);
C_return((C_char *)x);
C_ret:
#undef return

return C_r;}

/* from k15334 */
C_regparm static C_word C_fcall stub2822(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
double t0=(double )C_c_double(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_flonum(&C_a,ldexp(t0,t1));
return C_r;}

C_noret_decl(f33840)
static void C_ccall f33840(C_word c,C_word *av) C_noret;
C_noret_decl(f34368)
static void C_ccall f34368(C_word c,C_word *av) C_noret;
C_noret_decl(f36600)
static void C_ccall f36600(C_word c,C_word *av) C_noret;
C_noret_decl(f36606)
static void C_ccall f36606(C_word c,C_word *av) C_noret;
C_noret_decl(f36612)
static void C_ccall f36612(C_word c,C_word *av) C_noret;
C_noret_decl(f_10013)
static void C_ccall f_10013(C_word c,C_word *av) C_noret;
C_noret_decl(f_10019)
static void C_fcall f_10019(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10035)
static void C_ccall f_10035(C_word c,C_word *av) C_noret;
C_noret_decl(f_10060)
static void C_ccall f_10060(C_word c,C_word *av) C_noret;
C_noret_decl(f_10069)
static void C_fcall f_10069(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10110)
static void C_ccall f_10110(C_word c,C_word *av) C_noret;
C_noret_decl(f_10132)
static void C_ccall f_10132(C_word c,C_word *av) C_noret;
C_noret_decl(f_10164)
static void C_ccall f_10164(C_word c,C_word *av) C_noret;
C_noret_decl(f_10180)
static void C_fcall f_10180(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10183)
static void C_ccall f_10183(C_word c,C_word *av) C_noret;
C_noret_decl(f_10205)
static void C_ccall f_10205(C_word c,C_word *av) C_noret;
C_noret_decl(f_10211)
static void C_fcall f_10211(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10236)
static void C_ccall f_10236(C_word c,C_word *av) C_noret;
C_noret_decl(f_10276)
static void C_ccall f_10276(C_word c,C_word *av) C_noret;
C_noret_decl(f_10283)
static void C_fcall f_10283(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10288)
static void C_fcall f_10288(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10307)
static void C_ccall f_10307(C_word c,C_word *av) C_noret;
C_noret_decl(f_10329)
static void C_ccall f_10329(C_word c,C_word *av) C_noret;
C_noret_decl(f_10332)
static void C_ccall f_10332(C_word c,C_word *av) C_noret;
C_noret_decl(f_10335)
static void C_ccall f_10335(C_word c,C_word *av) C_noret;
C_noret_decl(f_10338)
static void C_ccall f_10338(C_word c,C_word *av) C_noret;
C_noret_decl(f_10344)
static void C_ccall f_10344(C_word c,C_word *av) C_noret;
C_noret_decl(f_10347)
static void C_ccall f_10347(C_word c,C_word *av) C_noret;
C_noret_decl(f_10350)
static void C_ccall f_10350(C_word c,C_word *av) C_noret;
C_noret_decl(f_10353)
static void C_ccall f_10353(C_word c,C_word *av) C_noret;
C_noret_decl(f_10356)
static void C_ccall f_10356(C_word c,C_word *av) C_noret;
C_noret_decl(f_10359)
static void C_ccall f_10359(C_word c,C_word *av) C_noret;
C_noret_decl(f_10362)
static void C_ccall f_10362(C_word c,C_word *av) C_noret;
C_noret_decl(f_10365)
static void C_ccall f_10365(C_word c,C_word *av) C_noret;
C_noret_decl(f_10368)
static void C_ccall f_10368(C_word c,C_word *av) C_noret;
C_noret_decl(f_10371)
static void C_ccall f_10371(C_word c,C_word *av) C_noret;
C_noret_decl(f_10374)
static void C_ccall f_10374(C_word c,C_word *av) C_noret;
C_noret_decl(f_10377)
static void C_ccall f_10377(C_word c,C_word *av) C_noret;
C_noret_decl(f_10380)
static void C_ccall f_10380(C_word c,C_word *av) C_noret;
C_noret_decl(f_10383)
static void C_ccall f_10383(C_word c,C_word *av) C_noret;
C_noret_decl(f_10386)
static void C_ccall f_10386(C_word c,C_word *av) C_noret;
C_noret_decl(f_10389)
static void C_ccall f_10389(C_word c,C_word *av) C_noret;
C_noret_decl(f_10392)
static void C_ccall f_10392(C_word c,C_word *av) C_noret;
C_noret_decl(f_10395)
static void C_ccall f_10395(C_word c,C_word *av) C_noret;
C_noret_decl(f_10398)
static void C_ccall f_10398(C_word c,C_word *av) C_noret;
C_noret_decl(f_10401)
static void C_ccall f_10401(C_word c,C_word *av) C_noret;
C_noret_decl(f_10404)
static void C_ccall f_10404(C_word c,C_word *av) C_noret;
C_noret_decl(f_10407)
static void C_ccall f_10407(C_word c,C_word *av) C_noret;
C_noret_decl(f_10410)
static void C_ccall f_10410(C_word c,C_word *av) C_noret;
C_noret_decl(f_10413)
static void C_ccall f_10413(C_word c,C_word *av) C_noret;
C_noret_decl(f_10416)
static void C_ccall f_10416(C_word c,C_word *av) C_noret;
C_noret_decl(f_10421)
static void C_ccall f_10421(C_word c,C_word *av) C_noret;
C_noret_decl(f_10430)
static void C_ccall f_10430(C_word c,C_word *av) C_noret;
C_noret_decl(f_10442)
static void C_ccall f_10442(C_word c,C_word *av) C_noret;
C_noret_decl(f_10457)
static void C_ccall f_10457(C_word c,C_word *av) C_noret;
C_noret_decl(f_10460)
static void C_ccall f_10460(C_word c,C_word *av) C_noret;
C_noret_decl(f_10468)
static void C_ccall f_10468(C_word c,C_word *av) C_noret;
C_noret_decl(f_10472)
static void C_ccall f_10472(C_word c,C_word *av) C_noret;
C_noret_decl(f_10474)
static void C_ccall f_10474(C_word c,C_word *av) C_noret;
C_noret_decl(f_10478)
static void C_ccall f_10478(C_word c,C_word *av) C_noret;
C_noret_decl(f_10481)
static void C_ccall f_10481(C_word c,C_word *av) C_noret;
C_noret_decl(f_10492)
static void C_ccall f_10492(C_word c,C_word *av) C_noret;
C_noret_decl(f_10494)
static void C_ccall f_10494(C_word c,C_word *av) C_noret;
C_noret_decl(f_10501)
static void C_ccall f_10501(C_word c,C_word *av) C_noret;
C_noret_decl(f_10504)
static void C_ccall f_10504(C_word c,C_word *av) C_noret;
C_noret_decl(f_10507)
static void C_ccall f_10507(C_word c,C_word *av) C_noret;
C_noret_decl(f_10512)
static void C_ccall f_10512(C_word c,C_word *av) C_noret;
C_noret_decl(f_10516)
static void C_ccall f_10516(C_word c,C_word *av) C_noret;
C_noret_decl(f_10521)
static void C_ccall f_10521(C_word c,C_word *av) C_noret;
C_noret_decl(f_10525)
static void C_ccall f_10525(C_word c,C_word *av) C_noret;
C_noret_decl(f_10528)
static void C_ccall f_10528(C_word c,C_word *av) C_noret;
C_noret_decl(f_10556)
static void C_ccall f_10556(C_word c,C_word *av) C_noret;
C_noret_decl(f_10559)
static void C_ccall f_10559(C_word c,C_word *av) C_noret;
C_noret_decl(f_10562)
static void C_ccall f_10562(C_word c,C_word *av) C_noret;
C_noret_decl(f_10579)
static void C_ccall f_10579(C_word c,C_word *av) C_noret;
C_noret_decl(f_10590)
static void C_ccall f_10590(C_word c,C_word *av) C_noret;
C_noret_decl(f_10602)
static void C_ccall f_10602(C_word c,C_word *av) C_noret;
C_noret_decl(f_10613)
static void C_ccall f_10613(C_word c,C_word *av) C_noret;
C_noret_decl(f_10624)
static void C_ccall f_10624(C_word c,C_word *av) C_noret;
C_noret_decl(f_10635)
static void C_ccall f_10635(C_word c,C_word *av) C_noret;
C_noret_decl(f_10646)
static void C_ccall f_10646(C_word c,C_word *av) C_noret;
C_noret_decl(f_10657)
static void C_ccall f_10657(C_word c,C_word *av) C_noret;
C_noret_decl(f_10668)
static void C_ccall f_10668(C_word c,C_word *av) C_noret;
C_noret_decl(f_10679)
static void C_ccall f_10679(C_word c,C_word *av) C_noret;
C_noret_decl(f_10690)
static void C_ccall f_10690(C_word c,C_word *av) C_noret;
C_noret_decl(f_10701)
static void C_ccall f_10701(C_word c,C_word *av) C_noret;
C_noret_decl(f_10712)
static void C_ccall f_10712(C_word c,C_word *av) C_noret;
C_noret_decl(f_10723)
static void C_ccall f_10723(C_word c,C_word *av) C_noret;
C_noret_decl(f_10734)
static void C_ccall f_10734(C_word c,C_word *av) C_noret;
C_noret_decl(f_10751)
static void C_ccall f_10751(C_word c,C_word *av) C_noret;
C_noret_decl(f_10768)
static void C_ccall f_10768(C_word c,C_word *av) C_noret;
C_noret_decl(f_10792)
static void C_ccall f_10792(C_word c,C_word *av) C_noret;
C_noret_decl(f_10809)
static void C_ccall f_10809(C_word c,C_word *av) C_noret;
C_noret_decl(f_10813)
static void C_ccall f_10813(C_word c,C_word *av) C_noret;
C_noret_decl(f_10839)
static void C_ccall f_10839(C_word c,C_word *av) C_noret;
C_noret_decl(f_10859)
static void C_ccall f_10859(C_word c,C_word *av) C_noret;
C_noret_decl(f_10870)
static void C_ccall f_10870(C_word c,C_word *av) C_noret;
C_noret_decl(f_10882)
static void C_fcall f_10882(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_10916)
static void C_ccall f_10916(C_word c,C_word *av) C_noret;
C_noret_decl(f_10931)
static void C_fcall f_10931(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10998)
static void C_ccall f_10998(C_word c,C_word *av) C_noret;
C_noret_decl(f_11014)
static void C_ccall f_11014(C_word c,C_word *av) C_noret;
C_noret_decl(f_11030)
static void C_ccall f_11030(C_word c,C_word *av) C_noret;
C_noret_decl(f_11046)
static void C_ccall f_11046(C_word c,C_word *av) C_noret;
C_noret_decl(f_11062)
static void C_ccall f_11062(C_word c,C_word *av) C_noret;
C_noret_decl(f_11078)
static void C_ccall f_11078(C_word c,C_word *av) C_noret;
C_noret_decl(f_11094)
static void C_ccall f_11094(C_word c,C_word *av) C_noret;
C_noret_decl(f_11110)
static void C_ccall f_11110(C_word c,C_word *av) C_noret;
C_noret_decl(f_11126)
static void C_ccall f_11126(C_word c,C_word *av) C_noret;
C_noret_decl(f_11138)
static void C_fcall f_11138(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11157)
static void C_fcall f_11157(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11188)
static void C_ccall f_11188(C_word c,C_word *av) C_noret;
C_noret_decl(f_11205)
static void C_ccall f_11205(C_word c,C_word *av) C_noret;
C_noret_decl(f_11211)
static void C_fcall f_11211(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11235)
static void C_ccall f_11235(C_word c,C_word *av) C_noret;
C_noret_decl(f_11255)
static void C_ccall f_11255(C_word c,C_word *av) C_noret;
C_noret_decl(f_11259)
static void C_ccall f_11259(C_word c,C_word *av) C_noret;
C_noret_decl(f_11262)
static void C_ccall f_11262(C_word c,C_word *av) C_noret;
C_noret_decl(f_11291)
static void C_ccall f_11291(C_word c,C_word *av) C_noret;
C_noret_decl(f_11307)
static void C_fcall f_11307(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11329)
static void C_ccall f_11329(C_word c,C_word *av) C_noret;
C_noret_decl(f_11345)
static void C_ccall f_11345(C_word c,C_word *av) C_noret;
C_noret_decl(f_11350)
static C_word C_fcall f_11350(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11381)
static void C_ccall f_11381(C_word c,C_word *av) C_noret;
C_noret_decl(f_11392)
static void C_ccall f_11392(C_word c,C_word *av) C_noret;
C_noret_decl(f_11401)
static C_word C_fcall f_11401(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11430)
static void C_ccall f_11430(C_word c,C_word *av) C_noret;
C_noret_decl(f_11443)
static void C_ccall f_11443(C_word c,C_word *av) C_noret;
C_noret_decl(f_11453)
static void C_ccall f_11453(C_word c,C_word *av) C_noret;
C_noret_decl(f_11455)
static void C_ccall f_11455(C_word c,C_word *av) C_noret;
C_noret_decl(f_11462)
static void C_ccall f_11462(C_word c,C_word *av) C_noret;
C_noret_decl(f_11465)
static void C_fcall f_11465(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11474)
static void C_fcall f_11474(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11500)
static void C_ccall f_11500(C_word c,C_word *av) C_noret;
C_noret_decl(f_11505)
static void C_ccall f_11505(C_word c,C_word *av) C_noret;
C_noret_decl(f_11509)
static void C_ccall f_11509(C_word c,C_word *av) C_noret;
C_noret_decl(f_11514)
static void C_ccall f_11514(C_word c,C_word *av) C_noret;
C_noret_decl(f_11535)
static void C_ccall f_11535(C_word c,C_word *av) C_noret;
C_noret_decl(f_11541)
static void C_ccall f_11541(C_word c,C_word *av) C_noret;
C_noret_decl(f_11559)
static void C_ccall f_11559(C_word c,C_word *av) C_noret;
C_noret_decl(f_11565)
static void C_ccall f_11565(C_word c,C_word *av) C_noret;
C_noret_decl(f_11583)
static void C_ccall f_11583(C_word c,C_word *av) C_noret;
C_noret_decl(f_11589)
static void C_ccall f_11589(C_word c,C_word *av) C_noret;
C_noret_decl(f_11604)
static void C_ccall f_11604(C_word c,C_word *av) C_noret;
C_noret_decl(f_11610)
static void C_ccall f_11610(C_word c,C_word *av) C_noret;
C_noret_decl(f_11624)
static void C_ccall f_11624(C_word c,C_word *av) C_noret;
C_noret_decl(f_11645)
static void C_ccall f_11645(C_word c,C_word *av) C_noret;
C_noret_decl(f_11651)
static void C_ccall f_11651(C_word c,C_word *av) C_noret;
C_noret_decl(f_11669)
static void C_ccall f_11669(C_word c,C_word *av) C_noret;
C_noret_decl(f_11675)
static void C_ccall f_11675(C_word c,C_word *av) C_noret;
C_noret_decl(f_11693)
static void C_ccall f_11693(C_word c,C_word *av) C_noret;
C_noret_decl(f_11699)
static void C_ccall f_11699(C_word c,C_word *av) C_noret;
C_noret_decl(f_11714)
static void C_ccall f_11714(C_word c,C_word *av) C_noret;
C_noret_decl(f_11720)
static void C_ccall f_11720(C_word c,C_word *av) C_noret;
C_noret_decl(f_11735)
static void C_ccall f_11735(C_word c,C_word *av) C_noret;
C_noret_decl(f_11745)
static void C_ccall f_11745(C_word c,C_word *av) C_noret;
C_noret_decl(f_11751)
static void C_ccall f_11751(C_word c,C_word *av) C_noret;
C_noret_decl(f_11755)
static void C_ccall f_11755(C_word c,C_word *av) C_noret;
C_noret_decl(f_11757)
static void C_fcall f_11757(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11768)
static void C_ccall f_11768(C_word c,C_word *av) C_noret;
C_noret_decl(f_11780)
static void C_ccall f_11780(C_word c,C_word *av) C_noret;
C_noret_decl(f_11790)
static void C_ccall f_11790(C_word c,C_word *av) C_noret;
C_noret_decl(f_11796)
static void C_ccall f_11796(C_word c,C_word *av) C_noret;
C_noret_decl(f_11800)
static void C_ccall f_11800(C_word c,C_word *av) C_noret;
C_noret_decl(f_11805)
static C_word C_fcall f_11805(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11831)
static void C_ccall f_11831(C_word c,C_word *av) C_noret;
C_noret_decl(f_11835)
static void C_ccall f_11835(C_word c,C_word *av) C_noret;
C_noret_decl(f_11838)
static void C_ccall f_11838(C_word c,C_word *av) C_noret;
C_noret_decl(f_11846)
static void C_fcall f_11846(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11867)
static void C_fcall f_11867(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_11881)
static void C_ccall f_11881(C_word c,C_word *av) C_noret;
C_noret_decl(f_11885)
static void C_ccall f_11885(C_word c,C_word *av) C_noret;
C_noret_decl(f_11926)
static void C_ccall f_11926(C_word c,C_word *av) C_noret;
C_noret_decl(f_11948)
static void C_ccall f_11948(C_word c,C_word *av) C_noret;
C_noret_decl(f_11950)
static void C_ccall f_11950(C_word c,C_word *av) C_noret;
C_noret_decl(f_11972)
static void C_ccall f_11972(C_word c,C_word *av) C_noret;
C_noret_decl(f_11974)
static void C_ccall f_11974(C_word c,C_word *av) C_noret;
C_noret_decl(f_11996)
static void C_ccall f_11996(C_word c,C_word *av) C_noret;
C_noret_decl(f_11998)
static void C_ccall f_11998(C_word c,C_word *av) C_noret;
C_noret_decl(f_12020)
static void C_ccall f_12020(C_word c,C_word *av) C_noret;
C_noret_decl(f_12022)
static void C_ccall f_12022(C_word c,C_word *av) C_noret;
C_noret_decl(f_12044)
static void C_ccall f_12044(C_word c,C_word *av) C_noret;
C_noret_decl(f_12046)
static void C_ccall f_12046(C_word c,C_word *av) C_noret;
C_noret_decl(f_12068)
static void C_ccall f_12068(C_word c,C_word *av) C_noret;
C_noret_decl(f_12070)
static void C_ccall f_12070(C_word c,C_word *av) C_noret;
C_noret_decl(f_12092)
static void C_ccall f_12092(C_word c,C_word *av) C_noret;
C_noret_decl(f_12094)
static void C_ccall f_12094(C_word c,C_word *av) C_noret;
C_noret_decl(f_12116)
static void C_ccall f_12116(C_word c,C_word *av) C_noret;
C_noret_decl(f_12118)
static void C_ccall f_12118(C_word c,C_word *av) C_noret;
C_noret_decl(f_12140)
static void C_ccall f_12140(C_word c,C_word *av) C_noret;
C_noret_decl(f_12142)
static void C_ccall f_12142(C_word c,C_word *av) C_noret;
C_noret_decl(f_12164)
static void C_ccall f_12164(C_word c,C_word *av) C_noret;
C_noret_decl(f_12166)
static void C_ccall f_12166(C_word c,C_word *av) C_noret;
C_noret_decl(f_12188)
static void C_ccall f_12188(C_word c,C_word *av) C_noret;
C_noret_decl(f_12190)
static void C_ccall f_12190(C_word c,C_word *av) C_noret;
C_noret_decl(f_12206)
static void C_ccall f_12206(C_word c,C_word *av) C_noret;
C_noret_decl(f_12208)
static void C_ccall f_12208(C_word c,C_word *av) C_noret;
C_noret_decl(f_12230)
static void C_ccall f_12230(C_word c,C_word *av) C_noret;
C_noret_decl(f_12232)
static void C_ccall f_12232(C_word c,C_word *av) C_noret;
C_noret_decl(f_12254)
static void C_ccall f_12254(C_word c,C_word *av) C_noret;
C_noret_decl(f_12256)
static void C_ccall f_12256(C_word c,C_word *av) C_noret;
C_noret_decl(f_12272)
static void C_ccall f_12272(C_word c,C_word *av) C_noret;
C_noret_decl(f_12274)
static void C_ccall f_12274(C_word c,C_word *av) C_noret;
C_noret_decl(f_12290)
static void C_ccall f_12290(C_word c,C_word *av) C_noret;
C_noret_decl(f_12292)
static void C_ccall f_12292(C_word c,C_word *av) C_noret;
C_noret_decl(f_12308)
static void C_ccall f_12308(C_word c,C_word *av) C_noret;
C_noret_decl(f_12310)
static void C_ccall f_12310(C_word c,C_word *av) C_noret;
C_noret_decl(f_12326)
static void C_ccall f_12326(C_word c,C_word *av) C_noret;
C_noret_decl(f_12328)
static void C_ccall f_12328(C_word c,C_word *av) C_noret;
C_noret_decl(f_12344)
static void C_ccall f_12344(C_word c,C_word *av) C_noret;
C_noret_decl(f_12346)
static void C_ccall f_12346(C_word c,C_word *av) C_noret;
C_noret_decl(f_12362)
static void C_ccall f_12362(C_word c,C_word *av) C_noret;
C_noret_decl(f_12364)
static void C_ccall f_12364(C_word c,C_word *av) C_noret;
C_noret_decl(f_12380)
static void C_ccall f_12380(C_word c,C_word *av) C_noret;
C_noret_decl(f_12382)
static void C_ccall f_12382(C_word c,C_word *av) C_noret;
C_noret_decl(f_12398)
static void C_ccall f_12398(C_word c,C_word *av) C_noret;
C_noret_decl(f_12400)
static void C_ccall f_12400(C_word c,C_word *av) C_noret;
C_noret_decl(f_12416)
static void C_ccall f_12416(C_word c,C_word *av) C_noret;
C_noret_decl(f_12418)
static void C_ccall f_12418(C_word c,C_word *av) C_noret;
C_noret_decl(f_12434)
static void C_ccall f_12434(C_word c,C_word *av) C_noret;
C_noret_decl(f_12436)
static void C_ccall f_12436(C_word c,C_word *av) C_noret;
C_noret_decl(f_12458)
static void C_ccall f_12458(C_word c,C_word *av) C_noret;
C_noret_decl(f_12460)
static void C_ccall f_12460(C_word c,C_word *av) C_noret;
C_noret_decl(f_12476)
static void C_ccall f_12476(C_word c,C_word *av) C_noret;
C_noret_decl(f_12478)
static void C_ccall f_12478(C_word c,C_word *av) C_noret;
C_noret_decl(f_12500)
static void C_ccall f_12500(C_word c,C_word *av) C_noret;
C_noret_decl(f_12502)
static void C_ccall f_12502(C_word c,C_word *av) C_noret;
C_noret_decl(f_12518)
static void C_ccall f_12518(C_word c,C_word *av) C_noret;
C_noret_decl(f_12520)
static void C_ccall f_12520(C_word c,C_word *av) C_noret;
C_noret_decl(f_12536)
static void C_ccall f_12536(C_word c,C_word *av) C_noret;
C_noret_decl(f_12538)
static void C_ccall f_12538(C_word c,C_word *av) C_noret;
C_noret_decl(f_12554)
static void C_ccall f_12554(C_word c,C_word *av) C_noret;
C_noret_decl(f_12556)
static void C_ccall f_12556(C_word c,C_word *av) C_noret;
C_noret_decl(f_12572)
static void C_ccall f_12572(C_word c,C_word *av) C_noret;
C_noret_decl(f_12574)
static void C_ccall f_12574(C_word c,C_word *av) C_noret;
C_noret_decl(f_12584)
static void C_ccall f_12584(C_word c,C_word *av) C_noret;
C_noret_decl(f_12596)
static void C_fcall f_12596(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12606)
static void C_ccall f_12606(C_word c,C_word *av) C_noret;
C_noret_decl(f_12610)
static void C_ccall f_12610(C_word c,C_word *av) C_noret;
C_noret_decl(f_12632)
static void C_ccall f_12632(C_word c,C_word *av) C_noret;
C_noret_decl(f_12636)
static void C_ccall f_12636(C_word c,C_word *av) C_noret;
C_noret_decl(f_12639)
static void C_ccall f_12639(C_word c,C_word *av) C_noret;
C_noret_decl(f_12644)
static void C_ccall f_12644(C_word c,C_word *av) C_noret;
C_noret_decl(f_12648)
static void C_ccall f_12648(C_word c,C_word *av) C_noret;
C_noret_decl(f_12651)
static void C_ccall f_12651(C_word c,C_word *av) C_noret;
C_noret_decl(f_12654)
static void C_ccall f_12654(C_word c,C_word *av) C_noret;
C_noret_decl(f_12665)
static void C_ccall f_12665(C_word c,C_word *av) C_noret;
C_noret_decl(f_12688)
static void C_ccall f_12688(C_word c,C_word *av) C_noret;
C_noret_decl(f_12714)
static void C_ccall f_12714(C_word c,C_word *av) C_noret;
C_noret_decl(f_12723)
static void C_ccall f_12723(C_word c,C_word *av) C_noret;
C_noret_decl(f_12728)
static void C_ccall f_12728(C_word c,C_word *av) C_noret;
C_noret_decl(f_12730)
static void C_ccall f_12730(C_word c,C_word *av) C_noret;
C_noret_decl(f_12769)
static void C_fcall f_12769(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12815)
static void C_ccall f_12815(C_word c,C_word *av) C_noret;
C_noret_decl(f_12839)
static void C_ccall f_12839(C_word c,C_word *av) C_noret;
C_noret_decl(f_12843)
static void C_ccall f_12843(C_word c,C_word *av) C_noret;
C_noret_decl(f_12861)
static void C_ccall f_12861(C_word c,C_word *av) C_noret;
C_noret_decl(f_12885)
static void C_ccall f_12885(C_word c,C_word *av) C_noret;
C_noret_decl(f_12889)
static void C_ccall f_12889(C_word c,C_word *av) C_noret;
C_noret_decl(f_12907)
static void C_ccall f_12907(C_word c,C_word *av) C_noret;
C_noret_decl(f_12948)
static void C_fcall f_12948(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12959)
static void C_ccall f_12959(C_word c,C_word *av) C_noret;
C_noret_decl(f_12965)
static void C_fcall f_12965(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12969)
static void C_ccall f_12969(C_word c,C_word *av) C_noret;
C_noret_decl(f_12974)
static void C_ccall f_12974(C_word c,C_word *av) C_noret;
C_noret_decl(f_12985)
static void C_ccall f_12985(C_word c,C_word *av) C_noret;
C_noret_decl(f_12998)
static void C_ccall f_12998(C_word c,C_word *av) C_noret;
C_noret_decl(f_13013)
static void C_ccall f_13013(C_word c,C_word *av) C_noret;
C_noret_decl(f_13017)
static void C_ccall f_13017(C_word c,C_word *av) C_noret;
C_noret_decl(f_13023)
static void C_ccall f_13023(C_word c,C_word *av) C_noret;
C_noret_decl(f_13027)
static void C_ccall f_13027(C_word c,C_word *av) C_noret;
C_noret_decl(f_13067)
static void C_ccall f_13067(C_word c,C_word *av) C_noret;
C_noret_decl(f_13071)
static void C_ccall f_13071(C_word c,C_word *av) C_noret;
C_noret_decl(f_13093)
static void C_ccall f_13093(C_word c,C_word *av) C_noret;
C_noret_decl(f_13096)
static void C_ccall f_13096(C_word c,C_word *av) C_noret;
C_noret_decl(f_13099)
static void C_ccall f_13099(C_word c,C_word *av) C_noret;
C_noret_decl(f_13102)
static void C_ccall f_13102(C_word c,C_word *av) C_noret;
C_noret_decl(f_13105)
static void C_ccall f_13105(C_word c,C_word *av) C_noret;
C_noret_decl(f_13126)
static void C_ccall f_13126(C_word c,C_word *av) C_noret;
C_noret_decl(f_13128)
static void C_fcall f_13128(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13146)
static void C_ccall f_13146(C_word c,C_word *av) C_noret;
C_noret_decl(f_13156)
static void C_ccall f_13156(C_word c,C_word *av) C_noret;
C_noret_decl(f_13160)
static void C_ccall f_13160(C_word c,C_word *av) C_noret;
C_noret_decl(f_13166)
static void C_fcall f_13166(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13198)
static void C_ccall f_13198(C_word c,C_word *av) C_noret;
C_noret_decl(f_13201)
static void C_ccall f_13201(C_word c,C_word *av) C_noret;
C_noret_decl(f_13204)
static void C_ccall f_13204(C_word c,C_word *av) C_noret;
C_noret_decl(f_13207)
static void C_ccall f_13207(C_word c,C_word *av) C_noret;
C_noret_decl(f_13216)
static void C_ccall f_13216(C_word c,C_word *av) C_noret;
C_noret_decl(f_13219)
static void C_ccall f_13219(C_word c,C_word *av) C_noret;
C_noret_decl(f_13249)
static void C_ccall f_13249(C_word c,C_word *av) C_noret;
C_noret_decl(f_13253)
static void C_ccall f_13253(C_word c,C_word *av) C_noret;
C_noret_decl(f_13320)
static void C_ccall f_13320(C_word c,C_word *av) C_noret;
C_noret_decl(f_13354)
static void C_ccall f_13354(C_word c,C_word *av) C_noret;
C_noret_decl(f_13404)
static void C_ccall f_13404(C_word c,C_word *av) C_noret;
C_noret_decl(f_13445)
static void C_ccall f_13445(C_word c,C_word *av) C_noret;
C_noret_decl(f_13486)
static void C_ccall f_13486(C_word c,C_word *av) C_noret;
C_noret_decl(f_13520)
static void C_ccall f_13520(C_word c,C_word *av) C_noret;
C_noret_decl(f_13544)
static void C_ccall f_13544(C_word c,C_word *av) C_noret;
C_noret_decl(f_13560)
static void C_fcall f_13560(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_13563)
static void C_fcall f_13563(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13567)
static void C_ccall f_13567(C_word c,C_word *av) C_noret;
C_noret_decl(f_13570)
static void C_ccall f_13570(C_word c,C_word *av) C_noret;
C_noret_decl(f_13587)
static void C_ccall f_13587(C_word c,C_word *av) C_noret;
C_noret_decl(f_13605)
static void C_ccall f_13605(C_word c,C_word *av) C_noret;
C_noret_decl(f_13609)
static void C_ccall f_13609(C_word c,C_word *av) C_noret;
C_noret_decl(f_13628)
static void C_ccall f_13628(C_word c,C_word *av) C_noret;
C_noret_decl(f_13632)
static void C_ccall f_13632(C_word c,C_word *av) C_noret;
C_noret_decl(f_13663)
static void C_ccall f_13663(C_word c,C_word *av) C_noret;
C_noret_decl(f_13696)
static void C_ccall f_13696(C_word c,C_word *av) C_noret;
C_noret_decl(f_13700)
static void C_ccall f_13700(C_word c,C_word *av) C_noret;
C_noret_decl(f_13719)
static void C_ccall f_13719(C_word c,C_word *av) C_noret;
C_noret_decl(f_13721)
static void C_ccall f_13721(C_word c,C_word *av) C_noret;
C_noret_decl(f_13728)
static void C_fcall f_13728(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13764)
static void C_ccall f_13764(C_word c,C_word *av) C_noret;
C_noret_decl(f_13771)
static void C_fcall f_13771(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13807)
static void C_ccall f_13807(C_word c,C_word *av) C_noret;
C_noret_decl(f_13822)
static void C_ccall f_13822(C_word c,C_word *av) C_noret;
C_noret_decl(f_13831)
static void C_ccall f_13831(C_word c,C_word *av) C_noret;
C_noret_decl(f_13836)
static void C_ccall f_13836(C_word c,C_word *av) C_noret;
C_noret_decl(f_13849)
static void C_ccall f_13849(C_word c,C_word *av) C_noret;
C_noret_decl(f_13868)
static void C_fcall f_13868(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13872)
static void C_ccall f_13872(C_word c,C_word *av) C_noret;
C_noret_decl(f_13877)
static void C_ccall f_13877(C_word c,C_word *av) C_noret;
C_noret_decl(f_13881)
static void C_ccall f_13881(C_word c,C_word *av) C_noret;
C_noret_decl(f_13885)
static void C_ccall f_13885(C_word c,C_word *av) C_noret;
C_noret_decl(f_13889)
static void C_ccall f_13889(C_word c,C_word *av) C_noret;
C_noret_decl(f_13892)
static void C_ccall f_13892(C_word c,C_word *av) C_noret;
C_noret_decl(f_13906)
static void C_ccall f_13906(C_word c,C_word *av) C_noret;
C_noret_decl(f_13910)
static void C_ccall f_13910(C_word c,C_word *av) C_noret;
C_noret_decl(f_13921)
static void C_ccall f_13921(C_word c,C_word *av) C_noret;
C_noret_decl(f_13941)
static void C_ccall f_13941(C_word c,C_word *av) C_noret;
C_noret_decl(f_13945)
static void C_ccall f_13945(C_word c,C_word *av) C_noret;
C_noret_decl(f_13951)
static void C_ccall f_13951(C_word c,C_word *av) C_noret;
C_noret_decl(f_13971)
static void C_ccall f_13971(C_word c,C_word *av) C_noret;
C_noret_decl(f_13975)
static void C_ccall f_13975(C_word c,C_word *av) C_noret;
C_noret_decl(f_13981)
static void C_ccall f_13981(C_word c,C_word *av) C_noret;
C_noret_decl(f_13998)
static void C_ccall f_13998(C_word c,C_word *av) C_noret;
C_noret_decl(f_14002)
static void C_ccall f_14002(C_word c,C_word *av) C_noret;
C_noret_decl(f_14006)
static void C_ccall f_14006(C_word c,C_word *av) C_noret;
C_noret_decl(f_14016)
static void C_fcall f_14016(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14022)
static void C_fcall f_14022(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14027)
static void C_ccall f_14027(C_word c,C_word *av) C_noret;
C_noret_decl(f_14035)
static void C_ccall f_14035(C_word c,C_word *av) C_noret;
C_noret_decl(f_14055)
static void C_ccall f_14055(C_word c,C_word *av) C_noret;
C_noret_decl(f_14059)
static void C_ccall f_14059(C_word c,C_word *av) C_noret;
C_noret_decl(f_14069)
static void C_fcall f_14069(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14075)
static void C_fcall f_14075(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14080)
static void C_ccall f_14080(C_word c,C_word *av) C_noret;
C_noret_decl(f_14095)
static void C_ccall f_14095(C_word c,C_word *av) C_noret;
C_noret_decl(f_14099)
static void C_ccall f_14099(C_word c,C_word *av) C_noret;
C_noret_decl(f_14128)
static void C_ccall f_14128(C_word c,C_word *av) C_noret;
C_noret_decl(f_14132)
static void C_ccall f_14132(C_word c,C_word *av) C_noret;
C_noret_decl(f_14147)
static void C_ccall f_14147(C_word c,C_word *av) C_noret;
C_noret_decl(f_14157)
static void C_ccall f_14157(C_word c,C_word *av) C_noret;
C_noret_decl(f_14230)
static void C_ccall f_14230(C_word c,C_word *av) C_noret;
C_noret_decl(f_14242)
static void C_ccall f_14242(C_word c,C_word *av) C_noret;
C_noret_decl(f_14261)
static void C_ccall f_14261(C_word c,C_word *av) C_noret;
C_noret_decl(f_14275)
static void C_ccall f_14275(C_word c,C_word *av) C_noret;
C_noret_decl(f_14322)
static void C_ccall f_14322(C_word c,C_word *av) C_noret;
C_noret_decl(f_14326)
static void C_ccall f_14326(C_word c,C_word *av) C_noret;
C_noret_decl(f_14331)
static void C_ccall f_14331(C_word c,C_word *av) C_noret;
C_noret_decl(f_14341)
static void C_ccall f_14341(C_word c,C_word *av) C_noret;
C_noret_decl(f_14345)
static void C_ccall f_14345(C_word c,C_word *av) C_noret;
C_noret_decl(f_14354)
static void C_ccall f_14354(C_word c,C_word *av) C_noret;
C_noret_decl(f_14360)
static void C_ccall f_14360(C_word c,C_word *av) C_noret;
C_noret_decl(f_14377)
static void C_ccall f_14377(C_word c,C_word *av) C_noret;
C_noret_decl(f_14388)
static void C_ccall f_14388(C_word c,C_word *av) C_noret;
C_noret_decl(f_14394)
static void C_ccall f_14394(C_word c,C_word *av) C_noret;
C_noret_decl(f_14405)
static void C_ccall f_14405(C_word c,C_word *av) C_noret;
C_noret_decl(f_14416)
static void C_ccall f_14416(C_word c,C_word *av) C_noret;
C_noret_decl(f_14428)
static void C_ccall f_14428(C_word c,C_word *av) C_noret;
C_noret_decl(f_14440)
static void C_ccall f_14440(C_word c,C_word *av) C_noret;
C_noret_decl(f_14452)
static void C_ccall f_14452(C_word c,C_word *av) C_noret;
C_noret_decl(f_14469)
static void C_ccall f_14469(C_word c,C_word *av) C_noret;
C_noret_decl(f_14476)
static void C_ccall f_14476(C_word c,C_word *av) C_noret;
C_noret_decl(f_14480)
static void C_ccall f_14480(C_word c,C_word *av) C_noret;
C_noret_decl(f_14482)
static void C_ccall f_14482(C_word c,C_word *av) C_noret;
C_noret_decl(f_14488)
static void C_ccall f_14488(C_word c,C_word *av) C_noret;
C_noret_decl(f_14492)
static void C_ccall f_14492(C_word c,C_word *av) C_noret;
C_noret_decl(f_14495)
static void C_ccall f_14495(C_word c,C_word *av) C_noret;
C_noret_decl(f_14500)
static void C_ccall f_14500(C_word c,C_word *av) C_noret;
C_noret_decl(f_14510)
static void C_fcall f_14510(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14528)
static void C_ccall f_14528(C_word c,C_word *av) C_noret;
C_noret_decl(f_14546)
static void C_ccall f_14546(C_word c,C_word *av) C_noret;
C_noret_decl(f_14549)
static void C_fcall f_14549(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14569)
static void C_ccall f_14569(C_word c,C_word *av) C_noret;
C_noret_decl(f_14579)
static void C_ccall f_14579(C_word c,C_word *av) C_noret;
C_noret_decl(f_14583)
static void C_ccall f_14583(C_word c,C_word *av) C_noret;
C_noret_decl(f_14587)
static void C_ccall f_14587(C_word c,C_word *av) C_noret;
C_noret_decl(f_14603)
static void C_ccall f_14603(C_word c,C_word *av) C_noret;
C_noret_decl(f_14620)
static void C_ccall f_14620(C_word c,C_word *av) C_noret;
C_noret_decl(f_14631)
static void C_fcall f_14631(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14651)
static void C_ccall f_14651(C_word c,C_word *av) C_noret;
C_noret_decl(f_14665)
static void C_ccall f_14665(C_word c,C_word *av) C_noret;
C_noret_decl(f_14668)
static void C_fcall f_14668(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14678)
static void C_ccall f_14678(C_word c,C_word *av) C_noret;
C_noret_decl(f_14680)
static void C_fcall f_14680(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14699)
static void C_ccall f_14699(C_word c,C_word *av) C_noret;
C_noret_decl(f_14723)
static void C_fcall f_14723(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14727)
static void C_ccall f_14727(C_word c,C_word *av) C_noret;
C_noret_decl(f_14731)
static void C_ccall f_14731(C_word c,C_word *av) C_noret;
C_noret_decl(f_14766)
static void C_ccall f_14766(C_word c,C_word *av) C_noret;
C_noret_decl(f_14773)
static void C_ccall f_14773(C_word c,C_word *av) C_noret;
C_noret_decl(f_14785)
static void C_ccall f_14785(C_word c,C_word *av) C_noret;
C_noret_decl(f_14805)
static void C_ccall f_14805(C_word c,C_word *av) C_noret;
C_noret_decl(f_14809)
static void C_ccall f_14809(C_word c,C_word *av) C_noret;
C_noret_decl(f_14829)
static void C_fcall f_14829(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14838)
static void C_fcall f_14838(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14849)
static void C_ccall f_14849(C_word c,C_word *av) C_noret;
C_noret_decl(f_14853)
static void C_ccall f_14853(C_word c,C_word *av) C_noret;
C_noret_decl(f_14857)
static void C_ccall f_14857(C_word c,C_word *av) C_noret;
C_noret_decl(f_14864)
static void C_ccall f_14864(C_word c,C_word *av) C_noret;
C_noret_decl(f_14880)
static void C_ccall f_14880(C_word c,C_word *av) C_noret;
C_noret_decl(f_14884)
static void C_ccall f_14884(C_word c,C_word *av) C_noret;
C_noret_decl(f_14925)
static void C_fcall f_14925(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14958)
static void C_ccall f_14958(C_word c,C_word *av) C_noret;
C_noret_decl(f_14987)
static void C_ccall f_14987(C_word c,C_word *av) C_noret;
C_noret_decl(f_14995)
static void C_ccall f_14995(C_word c,C_word *av) C_noret;
C_noret_decl(f_15001)
static void C_ccall f_15001(C_word c,C_word *av) C_noret;
C_noret_decl(f_15021)
static void C_fcall f_15021(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15046)
static void C_ccall f_15046(C_word c,C_word *av) C_noret;
C_noret_decl(f_15052)
static void C_ccall f_15052(C_word c,C_word *av) C_noret;
C_noret_decl(f_15056)
static void C_ccall f_15056(C_word c,C_word *av) C_noret;
C_noret_decl(f_15063)
static void C_ccall f_15063(C_word c,C_word *av) C_noret;
C_noret_decl(f_15083)
static void C_fcall f_15083(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15104)
static void C_ccall f_15104(C_word c,C_word *av) C_noret;
C_noret_decl(f_15118)
static void C_ccall f_15118(C_word c,C_word *av) C_noret;
C_noret_decl(f_15125)
static void C_ccall f_15125(C_word c,C_word *av) C_noret;
C_noret_decl(f_15130)
static void C_ccall f_15130(C_word c,C_word *av) C_noret;
C_noret_decl(f_15136)
static void C_ccall f_15136(C_word c,C_word *av) C_noret;
C_noret_decl(f_15140)
static void C_ccall f_15140(C_word c,C_word *av) C_noret;
C_noret_decl(f_15143)
static void C_ccall f_15143(C_word c,C_word *av) C_noret;
C_noret_decl(f_15150)
static void C_ccall f_15150(C_word c,C_word *av) C_noret;
C_noret_decl(f_15171)
static void C_ccall f_15171(C_word c,C_word *av) C_noret;
C_noret_decl(f_15185)
static void C_ccall f_15185(C_word c,C_word *av) C_noret;
C_noret_decl(f_15189)
static void C_ccall f_15189(C_word c,C_word *av) C_noret;
C_noret_decl(f_15226)
static void C_ccall f_15226(C_word c,C_word *av) C_noret;
C_noret_decl(f_15234)
static void C_ccall f_15234(C_word c,C_word *av) C_noret;
C_noret_decl(f_15261)
static void C_ccall f_15261(C_word c,C_word *av) C_noret;
C_noret_decl(f_15264)
static void C_ccall f_15264(C_word c,C_word *av) C_noret;
C_noret_decl(f_15281)
static void C_ccall f_15281(C_word c,C_word *av) C_noret;
C_noret_decl(f_15284)
static void C_fcall f_15284(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15291)
static void C_ccall f_15291(C_word c,C_word *av) C_noret;
C_noret_decl(f_15302)
static void C_ccall f_15302(C_word c,C_word *av) C_noret;
C_noret_decl(f_15313)
static void C_ccall f_15313(C_word c,C_word *av) C_noret;
C_noret_decl(f_15338)
static void C_fcall f_15338(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15353)
static void C_ccall f_15353(C_word c,C_word *av) C_noret;
C_noret_decl(f_15376)
static void C_fcall f_15376(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15379)
static C_word C_fcall f_15379(C_word t0);
C_noret_decl(f_15389)
static void C_fcall f_15389(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15447)
static void C_ccall f_15447(C_word c,C_word *av) C_noret;
C_noret_decl(f_15463)
static void C_fcall f_15463(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15469)
static void C_fcall f_15469(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15532)
static void C_fcall f_15532(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15571)
static void C_fcall f_15571(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15577)
static void C_fcall f_15577(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15621)
static void C_fcall f_15621(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15625)
static void C_ccall f_15625(C_word c,C_word *av) C_noret;
C_noret_decl(f_15628)
static void C_ccall f_15628(C_word c,C_word *av) C_noret;
C_noret_decl(f_15677)
static void C_fcall f_15677(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15692)
static void C_fcall f_15692(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15701)
static void C_ccall f_15701(C_word c,C_word *av) C_noret;
C_noret_decl(f_15738)
static void C_fcall f_15738(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15748)
static void C_ccall f_15748(C_word c,C_word *av) C_noret;
C_noret_decl(f_15757)
static void C_fcall f_15757(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15760)
static void C_fcall f_15760(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15769)
static void C_fcall f_15769(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15778)
static void C_ccall f_15778(C_word c,C_word *av) C_noret;
C_noret_decl(f_15790)
static void C_ccall f_15790(C_word c,C_word *av) C_noret;
C_noret_decl(f_15796)
static void C_fcall f_15796(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15802)
static void C_ccall f_15802(C_word c,C_word *av) C_noret;
C_noret_decl(f_15843)
static void C_ccall f_15843(C_word c,C_word *av) C_noret;
C_noret_decl(f_15950)
static void C_fcall f_15950(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15957)
static void C_fcall f_15957(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15970)
static void C_ccall f_15970(C_word c,C_word *av) C_noret;
C_noret_decl(f_15976)
static void C_fcall f_15976(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16028)
static void C_fcall f_16028(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16043)
static void C_ccall f_16043(C_word c,C_word *av) C_noret;
C_noret_decl(f_16053)
static void C_ccall f_16053(C_word c,C_word *av) C_noret;
C_noret_decl(f_16089)
static void C_ccall f_16089(C_word c,C_word *av) C_noret;
C_noret_decl(f_16115)
static void C_ccall f_16115(C_word c,C_word *av) C_noret;
C_noret_decl(f_16126)
static void C_ccall f_16126(C_word c,C_word *av) C_noret;
C_noret_decl(f_16293)
static void C_fcall f_16293(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_16308)
static void C_fcall f_16308(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16334)
static void C_fcall f_16334(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16366)
static void C_fcall f_16366(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16403)
static void C_ccall f_16403(C_word c,C_word *av) C_noret;
C_noret_decl(f_16427)
static void C_fcall f_16427(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16477)
static void C_ccall f_16477(C_word c,C_word *av) C_noret;
C_noret_decl(f_16525)
static void C_ccall f_16525(C_word c,C_word *av) C_noret;
C_noret_decl(f_16528)
static void C_ccall f_16528(C_word c,C_word *av) C_noret;
C_noret_decl(f_16547)
static void C_fcall f_16547(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16617)
static void C_ccall f_16617(C_word c,C_word *av) C_noret;
C_noret_decl(f_16638)
static void C_fcall f_16638(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16685)
static void C_ccall f_16685(C_word c,C_word *av) C_noret;
C_noret_decl(f_16765)
static void C_ccall f_16765(C_word c,C_word *av) C_noret;
C_noret_decl(f_16775)
static void C_ccall f_16775(C_word c,C_word *av) C_noret;
C_noret_decl(f_16784)
static void C_fcall f_16784(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_16791)
static void C_fcall f_16791(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17020)
static void C_ccall f_17020(C_word c,C_word *av) C_noret;
C_noret_decl(f_17066)
static void C_ccall f_17066(C_word c,C_word *av) C_noret;
C_noret_decl(f_17069)
static void C_fcall f_17069(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_17096)
static void C_fcall f_17096(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17120)
static void C_ccall f_17120(C_word c,C_word *av) C_noret;
C_noret_decl(f_17137)
static void C_fcall f_17137(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17237)
static void C_ccall f_17237(C_word c,C_word *av) C_noret;
C_noret_decl(f_17240)
static void C_ccall f_17240(C_word c,C_word *av) C_noret;
C_noret_decl(f_17249)
static void C_ccall f_17249(C_word c,C_word *av) C_noret;
C_noret_decl(f_17255)
static void C_ccall f_17255(C_word c,C_word *av) C_noret;
C_noret_decl(f_17266)
static void C_ccall f_17266(C_word c,C_word *av) C_noret;
C_noret_decl(f_17268)
static void C_ccall f_17268(C_word c,C_word *av) C_noret;
C_noret_decl(f_17279)
static void C_ccall f_17279(C_word c,C_word *av) C_noret;
C_noret_decl(f_17281)
static void C_ccall f_17281(C_word c,C_word *av) C_noret;
C_noret_decl(f_17292)
static void C_ccall f_17292(C_word c,C_word *av) C_noret;
C_noret_decl(f_17294)
static void C_ccall f_17294(C_word c,C_word *av) C_noret;
C_noret_decl(f_17311)
static void C_ccall f_17311(C_word c,C_word *av) C_noret;
C_noret_decl(f_17315)
static void C_ccall f_17315(C_word c,C_word *av) C_noret;
C_noret_decl(f_17319)
static void C_ccall f_17319(C_word c,C_word *av) C_noret;
C_noret_decl(f_17328)
static void C_ccall f_17328(C_word c,C_word *av) C_noret;
C_noret_decl(f_17348)
static void C_ccall f_17348(C_word c,C_word *av) C_noret;
C_noret_decl(f_17356)
static void C_ccall f_17356(C_word c,C_word *av) C_noret;
C_noret_decl(f_17371)
static void C_ccall f_17371(C_word c,C_word *av) C_noret;
C_noret_decl(f_17373)
static void C_fcall f_17373(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17398)
static void C_ccall f_17398(C_word c,C_word *av) C_noret;
C_noret_decl(f_17407)
static void C_ccall f_17407(C_word c,C_word *av) C_noret;
C_noret_decl(f_17416)
static void C_ccall f_17416(C_word c,C_word *av) C_noret;
C_noret_decl(f_17425)
static void C_ccall f_17425(C_word c,C_word *av) C_noret;
C_noret_decl(f_17432)
static void C_ccall f_17432(C_word c,C_word *av) C_noret;
C_noret_decl(f_17443)
static void C_ccall f_17443(C_word c,C_word *av) C_noret;
C_noret_decl(f_17471)
static void C_ccall f_17471(C_word c,C_word *av) C_noret;
C_noret_decl(f_17475)
static void C_ccall f_17475(C_word c,C_word *av) C_noret;
C_noret_decl(f_17477)
static void C_ccall f_17477(C_word c,C_word *av) C_noret;
C_noret_decl(f_17481)
static void C_ccall f_17481(C_word c,C_word *av) C_noret;
C_noret_decl(f_17486)
static void C_ccall f_17486(C_word c,C_word *av) C_noret;
C_noret_decl(f_17492)
static void C_ccall f_17492(C_word c,C_word *av) C_noret;
C_noret_decl(f_17496)
static void C_ccall f_17496(C_word c,C_word *av) C_noret;
C_noret_decl(f_17501)
static void C_ccall f_17501(C_word c,C_word *av) C_noret;
C_noret_decl(f_17511)
static void C_ccall f_17511(C_word c,C_word *av) C_noret;
C_noret_decl(f_17513)
static void C_ccall f_17513(C_word c,C_word *av) C_noret;
C_noret_decl(f_17517)
static void C_ccall f_17517(C_word c,C_word *av) C_noret;
C_noret_decl(f_17523)
static void C_ccall f_17523(C_word c,C_word *av) C_noret;
C_noret_decl(f_17525)
static void C_ccall f_17525(C_word c,C_word *av) C_noret;
C_noret_decl(f_17529)
static void C_ccall f_17529(C_word c,C_word *av) C_noret;
C_noret_decl(f_17532)
static void C_ccall f_17532(C_word c,C_word *av) C_noret;
C_noret_decl(f_17548)
static void C_ccall f_17548(C_word c,C_word *av) C_noret;
C_noret_decl(f_17552)
static void C_ccall f_17552(C_word c,C_word *av) C_noret;
C_noret_decl(f_17555)
static void C_ccall f_17555(C_word c,C_word *av) C_noret;
C_noret_decl(f_17577)
static void C_ccall f_17577(C_word c,C_word *av) C_noret;
C_noret_decl(f_17593)
static void C_ccall f_17593(C_word c,C_word *av) C_noret;
C_noret_decl(f_17598)
static C_word C_fcall f_17598(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_17629)
static void C_ccall f_17629(C_word c,C_word *av) C_noret;
C_noret_decl(f_17638)
static void C_fcall f_17638(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17656)
static void C_ccall f_17656(C_word c,C_word *av) C_noret;
C_noret_decl(f_17662)
static void C_ccall f_17662(C_word c,C_word *av) C_noret;
C_noret_decl(f_17668)
static void C_ccall f_17668(C_word c,C_word *av) C_noret;
C_noret_decl(f_17677)
static C_word C_fcall f_17677(C_word t0,C_word t1);
C_noret_decl(f_17696)
static void C_ccall f_17696(C_word c,C_word *av) C_noret;
C_noret_decl(f_17712)
static void C_fcall f_17712(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17715)
static void C_ccall f_17715(C_word c,C_word *av) C_noret;
C_noret_decl(f_17718)
static void C_ccall f_17718(C_word c,C_word *av) C_noret;
C_noret_decl(f_17723)
static C_word C_fcall f_17723(C_word t0,C_word t1);
C_noret_decl(f_17765)
static void C_ccall f_17765(C_word c,C_word *av) C_noret;
C_noret_decl(f_17784)
static void C_ccall f_17784(C_word c,C_word *av) C_noret;
C_noret_decl(f_17787)
static void C_ccall f_17787(C_word c,C_word *av) C_noret;
C_noret_decl(f_17790)
static void C_ccall f_17790(C_word c,C_word *av) C_noret;
C_noret_decl(f_17795)
static C_word C_fcall f_17795(C_word t0,C_word t1);
C_noret_decl(f_17836)
static void C_ccall f_17836(C_word c,C_word *av) C_noret;
C_noret_decl(f_17846)
static void C_ccall f_17846(C_word c,C_word *av) C_noret;
C_noret_decl(f_17857)
static void C_fcall f_17857(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17861)
static void C_ccall f_17861(C_word c,C_word *av) C_noret;
C_noret_decl(f_17864)
static void C_ccall f_17864(C_word c,C_word *av) C_noret;
C_noret_decl(f_17869)
static C_word C_fcall f_17869(C_word t0,C_word t1);
C_noret_decl(f_17896)
static void C_ccall f_17896(C_word c,C_word *av) C_noret;
C_noret_decl(f_17910)
static void C_ccall f_17910(C_word c,C_word *av) C_noret;
C_noret_decl(f_17921)
static void C_ccall f_17921(C_word c,C_word *av) C_noret;
C_noret_decl(f_17932)
static void C_ccall f_17932(C_word c,C_word *av) C_noret;
C_noret_decl(f_17943)
static void C_ccall f_17943(C_word c,C_word *av) C_noret;
C_noret_decl(f_17956)
static void C_ccall f_17956(C_word c,C_word *av) C_noret;
C_noret_decl(f_17958)
static void C_fcall f_17958(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17971)
static C_word C_fcall f_17971(C_word t0,C_word t1);
C_noret_decl(f_17999)
static void C_ccall f_17999(C_word c,C_word *av) C_noret;
C_noret_decl(f_18003)
static void C_fcall f_18003(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18012)
static void C_ccall f_18012(C_word c,C_word *av) C_noret;
C_noret_decl(f_18030)
static void C_ccall f_18030(C_word c,C_word *av) C_noret;
C_noret_decl(f_18033)
static void C_ccall f_18033(C_word c,C_word *av) C_noret;
C_noret_decl(f_18116)
static void C_ccall f_18116(C_word c,C_word *av) C_noret;
C_noret_decl(f_18119)
static void C_ccall f_18119(C_word c,C_word *av) C_noret;
C_noret_decl(f_18122)
static void C_ccall f_18122(C_word c,C_word *av) C_noret;
C_noret_decl(f_18125)
static void C_ccall f_18125(C_word c,C_word *av) C_noret;
C_noret_decl(f_18128)
static void C_ccall f_18128(C_word c,C_word *av) C_noret;
C_noret_decl(f_18131)
static void C_ccall f_18131(C_word c,C_word *av) C_noret;
C_noret_decl(f_18134)
static void C_ccall f_18134(C_word c,C_word *av) C_noret;
C_noret_decl(f_18137)
static void C_ccall f_18137(C_word c,C_word *av) C_noret;
C_noret_decl(f_18140)
static void C_ccall f_18140(C_word c,C_word *av) C_noret;
C_noret_decl(f_18143)
static void C_ccall f_18143(C_word c,C_word *av) C_noret;
C_noret_decl(f_18146)
static void C_ccall f_18146(C_word c,C_word *av) C_noret;
C_noret_decl(f_18149)
static void C_ccall f_18149(C_word c,C_word *av) C_noret;
C_noret_decl(f_18152)
static void C_ccall f_18152(C_word c,C_word *av) C_noret;
C_noret_decl(f_18155)
static void C_ccall f_18155(C_word c,C_word *av) C_noret;
C_noret_decl(f_18160)
static void C_ccall f_18160(C_word c,C_word *av) C_noret;
C_noret_decl(f_18166)
static void C_fcall f_18166(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18182)
static void C_ccall f_18182(C_word c,C_word *av) C_noret;
C_noret_decl(f_18198)
static void C_ccall f_18198(C_word c,C_word *av) C_noret;
C_noret_decl(f_18204)
static void C_fcall f_18204(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18224)
static void C_ccall f_18224(C_word c,C_word *av) C_noret;
C_noret_decl(f_18228)
static void C_ccall f_18228(C_word c,C_word *av) C_noret;
C_noret_decl(f_18240)
static void C_ccall f_18240(C_word c,C_word *av) C_noret;
C_noret_decl(f_18272)
static void C_ccall f_18272(C_word c,C_word *av) C_noret;
C_noret_decl(f_18276)
static void C_ccall f_18276(C_word c,C_word *av) C_noret;
C_noret_decl(f_18284)
static void C_ccall f_18284(C_word c,C_word *av) C_noret;
C_noret_decl(f_18294)
static void C_fcall f_18294(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18302)
static C_word C_fcall f_18302(C_word t0);
C_noret_decl(f_18338)
static void C_ccall f_18338(C_word c,C_word *av) C_noret;
C_noret_decl(f_18353)
static void C_fcall f_18353(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18363)
static void C_ccall f_18363(C_word c,C_word *av) C_noret;
C_noret_decl(f_18383)
static void C_fcall f_18383(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18396)
static void C_ccall f_18396(C_word c,C_word *av) C_noret;
C_noret_decl(f_18403)
static void C_ccall f_18403(C_word c,C_word *av) C_noret;
C_noret_decl(f_18405)
static void C_ccall f_18405(C_word c,C_word *av) C_noret;
C_noret_decl(f_18413)
static void C_ccall f_18413(C_word c,C_word *av) C_noret;
C_noret_decl(f_18415)
static void C_ccall f_18415(C_word c,C_word *av) C_noret;
C_noret_decl(f_18424)
static void C_ccall f_18424(C_word c,C_word *av) C_noret;
C_noret_decl(f_18442)
static void C_fcall f_18442(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18467)
static void C_ccall f_18467(C_word c,C_word *av) C_noret;
C_noret_decl(f_18483)
static void C_fcall f_18483(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18500)
static void C_ccall f_18500(C_word c,C_word *av) C_noret;
C_noret_decl(f_18504)
static void C_ccall f_18504(C_word c,C_word *av) C_noret;
C_noret_decl(f_18508)
static void C_ccall f_18508(C_word c,C_word *av) C_noret;
C_noret_decl(f_18510)
static void C_ccall f_18510(C_word c,C_word *av) C_noret;
C_noret_decl(f_18518)
static void C_ccall f_18518(C_word c,C_word *av) C_noret;
C_noret_decl(f_18520)
static void C_ccall f_18520(C_word c,C_word *av) C_noret;
C_noret_decl(f_18527)
static void C_ccall f_18527(C_word c,C_word *av) C_noret;
C_noret_decl(f_18531)
static void C_ccall f_18531(C_word c,C_word *av) C_noret;
C_noret_decl(f_18535)
static void C_ccall f_18535(C_word c,C_word *av) C_noret;
C_noret_decl(f_18544)
static void C_ccall f_18544(C_word c,C_word *av) C_noret;
C_noret_decl(f_18552)
static void C_ccall f_18552(C_word c,C_word *av) C_noret;
C_noret_decl(f_18562)
static void C_ccall f_18562(C_word c,C_word *av) C_noret;
C_noret_decl(f_18568)
static void C_ccall f_18568(C_word c,C_word *av) C_noret;
C_noret_decl(f_18571)
static void C_ccall f_18571(C_word c,C_word *av) C_noret;
C_noret_decl(f_18575)
static void C_ccall f_18575(C_word c,C_word *av) C_noret;
C_noret_decl(f_18602)
static void C_fcall f_18602(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18618)
static void C_ccall f_18618(C_word c,C_word *av) C_noret;
C_noret_decl(f_18624)
static void C_ccall f_18624(C_word c,C_word *av) C_noret;
C_noret_decl(f_18647)
static void C_ccall f_18647(C_word c,C_word *av) C_noret;
C_noret_decl(f_18660)
static void C_ccall f_18660(C_word c,C_word *av) C_noret;
C_noret_decl(f_18666)
static void C_ccall f_18666(C_word c,C_word *av) C_noret;
C_noret_decl(f_18671)
static void C_ccall f_18671(C_word c,C_word *av) C_noret;
C_noret_decl(f_18676)
static void C_ccall f_18676(C_word c,C_word *av) C_noret;
C_noret_decl(f_18680)
static void C_ccall f_18680(C_word c,C_word *av) C_noret;
C_noret_decl(f_18689)
static void C_ccall f_18689(C_word c,C_word *av) C_noret;
C_noret_decl(f_18720)
static void C_ccall f_18720(C_word c,C_word *av) C_noret;
C_noret_decl(f_18724)
static void C_ccall f_18724(C_word c,C_word *av) C_noret;
C_noret_decl(f_18728)
static void C_ccall f_18728(C_word c,C_word *av) C_noret;
C_noret_decl(f_18731)
static void C_ccall f_18731(C_word c,C_word *av) C_noret;
C_noret_decl(f_18734)
static void C_ccall f_18734(C_word c,C_word *av) C_noret;
C_noret_decl(f_18737)
static void C_ccall f_18737(C_word c,C_word *av) C_noret;
C_noret_decl(f_18739)
static void C_ccall f_18739(C_word c,C_word *av) C_noret;
C_noret_decl(f_18750)
static void C_ccall f_18750(C_word c,C_word *av) C_noret;
C_noret_decl(f_18761)
static void C_ccall f_18761(C_word c,C_word *av) C_noret;
C_noret_decl(f_18772)
static void C_ccall f_18772(C_word c,C_word *av) C_noret;
C_noret_decl(f_18783)
static void C_ccall f_18783(C_word c,C_word *av) C_noret;
C_noret_decl(f_18796)
static void C_ccall f_18796(C_word c,C_word *av) C_noret;
C_noret_decl(f_18798)
static C_word C_fcall f_18798(C_word t0,C_word t1);
C_noret_decl(f_18804)
static C_word C_fcall f_18804(C_word t0);
C_noret_decl(f_18809)
static C_word C_fcall f_18809(C_word t0);
C_noret_decl(f_18844)
static void C_ccall f_18844(C_word c,C_word *av) C_noret;
C_noret_decl(f_18857)
static void C_ccall f_18857(C_word c,C_word *av) C_noret;
C_noret_decl(f_18859)
static C_word C_fcall f_18859(C_word t0,C_word t1);
C_noret_decl(f_18865)
static C_word C_fcall f_18865(C_word t0);
C_noret_decl(f_18870)
static C_word C_fcall f_18870(C_word t0);
C_noret_decl(f_18905)
static void C_ccall f_18905(C_word c,C_word *av) C_noret;
C_noret_decl(f_18918)
static void C_ccall f_18918(C_word c,C_word *av) C_noret;
C_noret_decl(f_18920)
static C_word C_fcall f_18920(C_word t0,C_word t1);
C_noret_decl(f_18926)
static C_word C_fcall f_18926(C_word t0);
C_noret_decl(f_18931)
static C_word C_fcall f_18931(C_word t0);
C_noret_decl(f_18966)
static void C_ccall f_18966(C_word c,C_word *av) C_noret;
C_noret_decl(f_18978)
static void C_ccall f_18978(C_word c,C_word *av) C_noret;
C_noret_decl(f_18980)
static void C_ccall f_18980(C_word c,C_word *av) C_noret;
C_noret_decl(f_18986)
static void C_ccall f_18986(C_word c,C_word *av) C_noret;
C_noret_decl(f_18992)
static void C_fcall f_18992(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_19002)
static void C_ccall f_19002(C_word c,C_word *av) C_noret;
C_noret_decl(f_19005)
static void C_ccall f_19005(C_word c,C_word *av) C_noret;
C_noret_decl(f_19008)
static void C_ccall f_19008(C_word c,C_word *av) C_noret;
C_noret_decl(f_19011)
static void C_ccall f_19011(C_word c,C_word *av) C_noret;
C_noret_decl(f_19014)
static void C_ccall f_19014(C_word c,C_word *av) C_noret;
C_noret_decl(f_19021)
static void C_ccall f_19021(C_word c,C_word *av) C_noret;
C_noret_decl(f_19025)
static void C_ccall f_19025(C_word c,C_word *av) C_noret;
C_noret_decl(f_19029)
static void C_ccall f_19029(C_word c,C_word *av) C_noret;
C_noret_decl(f_19035)
static void C_fcall f_19035(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19048)
static void C_ccall f_19048(C_word c,C_word *av) C_noret;
C_noret_decl(f_19090)
static void C_fcall f_19090(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19094)
static void C_ccall f_19094(C_word c,C_word *av) C_noret;
C_noret_decl(f_19127)
static void C_ccall f_19127(C_word c,C_word *av) C_noret;
C_noret_decl(f_19133)
static void C_ccall f_19133(C_word c,C_word *av) C_noret;
C_noret_decl(f_19139)
static void C_ccall f_19139(C_word c,C_word *av) C_noret;
C_noret_decl(f_19145)
static void C_ccall f_19145(C_word c,C_word *av) C_noret;
C_noret_decl(f_19151)
static void C_ccall f_19151(C_word c,C_word *av) C_noret;
C_noret_decl(f_19155)
static void C_ccall f_19155(C_word c,C_word *av) C_noret;
C_noret_decl(f_19160)
static void C_ccall f_19160(C_word c,C_word *av) C_noret;
C_noret_decl(f_19166)
static void C_ccall f_19166(C_word c,C_word *av) C_noret;
C_noret_decl(f_19170)
static void C_ccall f_19170(C_word c,C_word *av) C_noret;
C_noret_decl(f_19175)
static void C_ccall f_19175(C_word c,C_word *av) C_noret;
C_noret_decl(f_19179)
static void C_ccall f_19179(C_word c,C_word *av) C_noret;
C_noret_decl(f_19184)
static void C_ccall f_19184(C_word c,C_word *av) C_noret;
C_noret_decl(f_19190)
static void C_ccall f_19190(C_word c,C_word *av) C_noret;
C_noret_decl(f_19194)
static void C_ccall f_19194(C_word c,C_word *av) C_noret;
C_noret_decl(f_19199)
static void C_ccall f_19199(C_word c,C_word *av) C_noret;
C_noret_decl(f_19203)
static void C_ccall f_19203(C_word c,C_word *av) C_noret;
C_noret_decl(f_19208)
static void C_ccall f_19208(C_word c,C_word *av) C_noret;
C_noret_decl(f_19213)
static void C_ccall f_19213(C_word c,C_word *av) C_noret;
C_noret_decl(f_19219)
static void C_ccall f_19219(C_word c,C_word *av) C_noret;
C_noret_decl(f_19223)
static void C_ccall f_19223(C_word c,C_word *av) C_noret;
C_noret_decl(f_19228)
static void C_ccall f_19228(C_word c,C_word *av) C_noret;
C_noret_decl(f_19233)
static void C_ccall f_19233(C_word c,C_word *av) C_noret;
C_noret_decl(f_19237)
static void C_ccall f_19237(C_word c,C_word *av) C_noret;
C_noret_decl(f_19242)
static void C_ccall f_19242(C_word c,C_word *av) C_noret;
C_noret_decl(f_19247)
static void C_ccall f_19247(C_word c,C_word *av) C_noret;
C_noret_decl(f_19253)
static void C_ccall f_19253(C_word c,C_word *av) C_noret;
C_noret_decl(f_19257)
static void C_ccall f_19257(C_word c,C_word *av) C_noret;
C_noret_decl(f_19262)
static void C_ccall f_19262(C_word c,C_word *av) C_noret;
C_noret_decl(f_19267)
static void C_ccall f_19267(C_word c,C_word *av) C_noret;
C_noret_decl(f_19272)
static void C_ccall f_19272(C_word c,C_word *av) C_noret;
C_noret_decl(f_19293)
static void C_ccall f_19293(C_word c,C_word *av) C_noret;
C_noret_decl(f_19300)
static void C_ccall f_19300(C_word c,C_word *av) C_noret;
C_noret_decl(f_19306)
static void C_ccall f_19306(C_word c,C_word *av) C_noret;
C_noret_decl(f_19324)
static void C_ccall f_19324(C_word c,C_word *av) C_noret;
C_noret_decl(f_19333)
static void C_ccall f_19333(C_word c,C_word *av) C_noret;
C_noret_decl(f_19346)
static void C_fcall f_19346(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19354)
static void C_ccall f_19354(C_word c,C_word *av) C_noret;
C_noret_decl(f_19359)
static void C_fcall f_19359(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19396)
static void C_ccall f_19396(C_word c,C_word *av) C_noret;
C_noret_decl(f_19408)
static void C_ccall f_19408(C_word c,C_word *av) C_noret;
C_noret_decl(f_19418)
static void C_fcall f_19418(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19434)
static void C_ccall f_19434(C_word c,C_word *av) C_noret;
C_noret_decl(f_19447)
static void C_ccall f_19447(C_word c,C_word *av) C_noret;
C_noret_decl(f_19454)
static void C_ccall f_19454(C_word c,C_word *av) C_noret;
C_noret_decl(f_19456)
static void C_ccall f_19456(C_word c,C_word *av) C_noret;
C_noret_decl(f_19469)
static void C_ccall f_19469(C_word c,C_word *av) C_noret;
C_noret_decl(f_19475)
static void C_ccall f_19475(C_word c,C_word *av) C_noret;
C_noret_decl(f_19482)
static void C_ccall f_19482(C_word c,C_word *av) C_noret;
C_noret_decl(f_19484)
static void C_ccall f_19484(C_word c,C_word *av) C_noret;
C_noret_decl(f_19488)
static void C_ccall f_19488(C_word c,C_word *av) C_noret;
C_noret_decl(f_19491)
static void C_ccall f_19491(C_word c,C_word *av) C_noret;
C_noret_decl(f_19501)
static void C_ccall f_19501(C_word c,C_word *av) C_noret;
C_noret_decl(f_19505)
static void C_ccall f_19505(C_word c,C_word *av) C_noret;
C_noret_decl(f_19513)
static void C_ccall f_19513(C_word c,C_word *av) C_noret;
C_noret_decl(f_19516)
static void C_ccall f_19516(C_word c,C_word *av) C_noret;
C_noret_decl(f_19523)
static void C_ccall f_19523(C_word c,C_word *av) C_noret;
C_noret_decl(f_19526)
static void C_ccall f_19526(C_word c,C_word *av) C_noret;
C_noret_decl(f_19529)
static void C_ccall f_19529(C_word c,C_word *av) C_noret;
C_noret_decl(f_19532)
static void C_ccall f_19532(C_word c,C_word *av) C_noret;
C_noret_decl(f_19540)
static void C_ccall f_19540(C_word c,C_word *av) C_noret;
C_noret_decl(f_19548)
static void C_ccall f_19548(C_word c,C_word *av) C_noret;
C_noret_decl(f_19550)
static void C_ccall f_19550(C_word c,C_word *av) C_noret;
C_noret_decl(f_19566)
static void C_ccall f_19566(C_word c,C_word *av) C_noret;
C_noret_decl(f_19593)
static void C_ccall f_19593(C_word c,C_word *av) C_noret;
C_noret_decl(f_19597)
static void C_ccall f_19597(C_word c,C_word *av) C_noret;
C_noret_decl(f_19601)
static void C_ccall f_19601(C_word c,C_word *av) C_noret;
C_noret_decl(f_19605)
static void C_ccall f_19605(C_word c,C_word *av) C_noret;
C_noret_decl(f_19609)
static void C_ccall f_19609(C_word c,C_word *av) C_noret;
C_noret_decl(f_19613)
static void C_ccall f_19613(C_word c,C_word *av) C_noret;
C_noret_decl(f_19617)
static void C_ccall f_19617(C_word c,C_word *av) C_noret;
C_noret_decl(f_19621)
static void C_ccall f_19621(C_word c,C_word *av) C_noret;
C_noret_decl(f_19625)
static void C_ccall f_19625(C_word c,C_word *av) C_noret;
C_noret_decl(f_19629)
static void C_ccall f_19629(C_word c,C_word *av) C_noret;
C_noret_decl(f_19633)
static void C_ccall f_19633(C_word c,C_word *av) C_noret;
C_noret_decl(f_19637)
static void C_ccall f_19637(C_word c,C_word *av) C_noret;
C_noret_decl(f_19641)
static void C_ccall f_19641(C_word c,C_word *av) C_noret;
C_noret_decl(f_19645)
static void C_ccall f_19645(C_word c,C_word *av) C_noret;
C_noret_decl(f_19649)
static void C_ccall f_19649(C_word c,C_word *av) C_noret;
C_noret_decl(f_19653)
static void C_ccall f_19653(C_word c,C_word *av) C_noret;
C_noret_decl(f_19657)
static void C_ccall f_19657(C_word c,C_word *av) C_noret;
C_noret_decl(f_19664)
static void C_ccall f_19664(C_word c,C_word *av) C_noret;
C_noret_decl(f_19671)
static void C_ccall f_19671(C_word c,C_word *av) C_noret;
C_noret_decl(f_19672)
static void C_fcall f_19672(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_19676)
static void C_fcall f_19676(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19679)
static void C_ccall f_19679(C_word c,C_word *av) C_noret;
C_noret_decl(f_19695)
static void C_ccall f_19695(C_word c,C_word *av) C_noret;
C_noret_decl(f_19706)
static void C_fcall f_19706(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19714)
static void C_ccall f_19714(C_word c,C_word *av) C_noret;
C_noret_decl(f_19726)
static void C_fcall f_19726(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19735)
static void C_fcall f_19735(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19740)
static void C_fcall f_19740(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19796)
static void C_ccall f_19796(C_word c,C_word *av) C_noret;
C_noret_decl(f_19810)
static void C_ccall f_19810(C_word c,C_word *av) C_noret;
C_noret_decl(f_19822)
static void C_ccall f_19822(C_word c,C_word *av) C_noret;
C_noret_decl(f_19828)
static void C_ccall f_19828(C_word c,C_word *av) C_noret;
C_noret_decl(f_19853)
static void C_ccall f_19853(C_word c,C_word *av) C_noret;
C_noret_decl(f_19871)
static void C_ccall f_19871(C_word c,C_word *av) C_noret;
C_noret_decl(f_19875)
static void C_ccall f_19875(C_word c,C_word *av) C_noret;
C_noret_decl(f_19931)
static void C_ccall f_19931(C_word c,C_word *av) C_noret;
C_noret_decl(f_19940)
static void C_ccall f_19940(C_word c,C_word *av) C_noret;
C_noret_decl(f_19953)
static void C_ccall f_19953(C_word c,C_word *av) C_noret;
C_noret_decl(f_19965)
static void C_ccall f_19965(C_word c,C_word *av) C_noret;
C_noret_decl(f_19983)
static void C_ccall f_19983(C_word c,C_word *av) C_noret;
C_noret_decl(f_20003)
static void C_ccall f_20003(C_word c,C_word *av) C_noret;
C_noret_decl(f_20006)
static void C_ccall f_20006(C_word c,C_word *av) C_noret;
C_noret_decl(f_20009)
static void C_ccall f_20009(C_word c,C_word *av) C_noret;
C_noret_decl(f_20017)
static void C_ccall f_20017(C_word c,C_word *av) C_noret;
C_noret_decl(f_20021)
static void C_ccall f_20021(C_word c,C_word *av) C_noret;
C_noret_decl(f_20025)
static void C_ccall f_20025(C_word c,C_word *av) C_noret;
C_noret_decl(f_20029)
static void C_ccall f_20029(C_word c,C_word *av) C_noret;
C_noret_decl(f_20033)
static void C_ccall f_20033(C_word c,C_word *av) C_noret;
C_noret_decl(f_20035)
static void C_ccall f_20035(C_word c,C_word *av) C_noret;
C_noret_decl(f_20043)
static void C_ccall f_20043(C_word c,C_word *av) C_noret;
C_noret_decl(f_20046)
static void C_ccall f_20046(C_word c,C_word *av) C_noret;
C_noret_decl(f_20056)
static void C_ccall f_20056(C_word c,C_word *av) C_noret;
C_noret_decl(f_20058)
static void C_ccall f_20058(C_word c,C_word *av) C_noret;
C_noret_decl(f_20066)
static void C_ccall f_20066(C_word c,C_word *av) C_noret;
C_noret_decl(f_20069)
static void C_ccall f_20069(C_word c,C_word *av) C_noret;
C_noret_decl(f_20079)
static void C_ccall f_20079(C_word c,C_word *av) C_noret;
C_noret_decl(f_20081)
static void C_ccall f_20081(C_word c,C_word *av) C_noret;
C_noret_decl(f_20085)
static void C_ccall f_20085(C_word c,C_word *av) C_noret;
C_noret_decl(f_20088)
static void C_ccall f_20088(C_word c,C_word *av) C_noret;
C_noret_decl(f_20091)
static void C_ccall f_20091(C_word c,C_word *av) C_noret;
C_noret_decl(f_20094)
static void C_ccall f_20094(C_word c,C_word *av) C_noret;
C_noret_decl(f_20097)
static void C_ccall f_20097(C_word c,C_word *av) C_noret;
C_noret_decl(f_20099)
static void C_ccall f_20099(C_word c,C_word *av) C_noret;
C_noret_decl(f_20105)
static void C_fcall f_20105(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20114)
static void C_fcall f_20114(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20122)
static void C_ccall f_20122(C_word c,C_word *av) C_noret;
C_noret_decl(f_20124)
static void C_fcall f_20124(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20131)
static void C_fcall f_20131(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20138)
static void C_ccall f_20138(C_word c,C_word *av) C_noret;
C_noret_decl(f_20151)
static void C_fcall f_20151(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20155)
static void C_ccall f_20155(C_word c,C_word *av) C_noret;
C_noret_decl(f_20160)
static void C_fcall f_20160(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20164)
static void C_ccall f_20164(C_word c,C_word *av) C_noret;
C_noret_decl(f_20175)
static void C_fcall f_20175(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20178)
static void C_fcall f_20178(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20186)
static void C_ccall f_20186(C_word c,C_word *av) C_noret;
C_noret_decl(f_20188)
static void C_fcall f_20188(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20201)
static void C_ccall f_20201(C_word c,C_word *av) C_noret;
C_noret_decl(f_20208)
static void C_ccall f_20208(C_word c,C_word *av) C_noret;
C_noret_decl(f_20217)
static void C_ccall f_20217(C_word c,C_word *av) C_noret;
C_noret_decl(f_20224)
static void C_ccall f_20224(C_word c,C_word *av) C_noret;
C_noret_decl(f_20226)
static void C_fcall f_20226(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20232)
static void C_fcall f_20232(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20242)
static void C_ccall f_20242(C_word c,C_word *av) C_noret;
C_noret_decl(f_20245)
static void C_ccall f_20245(C_word c,C_word *av) C_noret;
C_noret_decl(f_20255)
static void C_ccall f_20255(C_word c,C_word *av) C_noret;
C_noret_decl(f_20258)
static void C_ccall f_20258(C_word c,C_word *av) C_noret;
C_noret_decl(f_20286)
static void C_fcall f_20286(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20290)
static void C_ccall f_20290(C_word c,C_word *av) C_noret;
C_noret_decl(f_20298)
static void C_fcall f_20298(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20323)
static void C_fcall f_20323(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20331)
static void C_ccall f_20331(C_word c,C_word *av) C_noret;
C_noret_decl(f_20333)
static void C_fcall f_20333(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20350)
static void C_ccall f_20350(C_word c,C_word *av) C_noret;
C_noret_decl(f_20363)
static void C_ccall f_20363(C_word c,C_word *av) C_noret;
C_noret_decl(f_20380)
static void C_ccall f_20380(C_word c,C_word *av) C_noret;
C_noret_decl(f_20397)
static void C_ccall f_20397(C_word c,C_word *av) C_noret;
C_noret_decl(f_20414)
static void C_ccall f_20414(C_word c,C_word *av) C_noret;
C_noret_decl(f_20431)
static void C_ccall f_20431(C_word c,C_word *av) C_noret;
C_noret_decl(f_20448)
static void C_ccall f_20448(C_word c,C_word *av) C_noret;
C_noret_decl(f_20465)
static void C_ccall f_20465(C_word c,C_word *av) C_noret;
C_noret_decl(f_20485)
static void C_ccall f_20485(C_word c,C_word *av) C_noret;
C_noret_decl(f_20493)
static void C_ccall f_20493(C_word c,C_word *av) C_noret;
C_noret_decl(f_20502)
static void C_ccall f_20502(C_word c,C_word *av) C_noret;
C_noret_decl(f_20508)
static void C_ccall f_20508(C_word c,C_word *av) C_noret;
C_noret_decl(f_20514)
static void C_fcall f_20514(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20517)
static void C_ccall f_20517(C_word c,C_word *av) C_noret;
C_noret_decl(f_20520)
static void C_ccall f_20520(C_word c,C_word *av) C_noret;
C_noret_decl(f_20530)
static void C_ccall f_20530(C_word c,C_word *av) C_noret;
C_noret_decl(f_20534)
static void C_ccall f_20534(C_word c,C_word *av) C_noret;
C_noret_decl(f_20551)
static void C_ccall f_20551(C_word c,C_word *av) C_noret;
C_noret_decl(f_20556)
static void C_ccall f_20556(C_word c,C_word *av) C_noret;
C_noret_decl(f_20563)
static void C_ccall f_20563(C_word c,C_word *av) C_noret;
C_noret_decl(f_20567)
static void C_ccall f_20567(C_word c,C_word *av) C_noret;
C_noret_decl(f_20576)
static void C_ccall f_20576(C_word c,C_word *av) C_noret;
C_noret_decl(f_20582)
static void C_ccall f_20582(C_word c,C_word *av) C_noret;
C_noret_decl(f_20592)
static void C_ccall f_20592(C_word c,C_word *av) C_noret;
C_noret_decl(f_20596)
static void C_ccall f_20596(C_word c,C_word *av) C_noret;
C_noret_decl(f_20605)
static void C_fcall f_20605(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20612)
static void C_ccall f_20612(C_word c,C_word *av) C_noret;
C_noret_decl(f_20625)
static void C_fcall f_20625(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20630)
static void C_fcall f_20630(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20647)
static void C_ccall f_20647(C_word c,C_word *av) C_noret;
C_noret_decl(f_20662)
static void C_ccall f_20662(C_word c,C_word *av) C_noret;
C_noret_decl(f_20675)
static void C_ccall f_20675(C_word c,C_word *av) C_noret;
C_noret_decl(f_20697)
static void C_ccall f_20697(C_word c,C_word *av) C_noret;
C_noret_decl(f_20700)
static void C_ccall f_20700(C_word c,C_word *av) C_noret;
C_noret_decl(f_20729)
static void C_fcall f_20729(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20739)
static void C_ccall f_20739(C_word c,C_word *av) C_noret;
C_noret_decl(f_20755)
static void C_ccall f_20755(C_word c,C_word *av) C_noret;
C_noret_decl(f_20766)
static void C_ccall f_20766(C_word c,C_word *av) C_noret;
C_noret_decl(f_20773)
static void C_ccall f_20773(C_word c,C_word *av) C_noret;
C_noret_decl(f_20871)
static void C_ccall f_20871(C_word c,C_word *av) C_noret;
C_noret_decl(f_20877)
static void C_fcall f_20877(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20886)
static void C_fcall f_20886(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20900)
static void C_ccall f_20900(C_word c,C_word *av) C_noret;
C_noret_decl(f_20903)
static void C_ccall f_20903(C_word c,C_word *av) C_noret;
C_noret_decl(f_20914)
static void C_ccall f_20914(C_word c,C_word *av) C_noret;
C_noret_decl(f_20916)
static void C_ccall f_20916(C_word c,C_word *av) C_noret;
C_noret_decl(f_20919)
static void C_ccall f_20919(C_word c,C_word *av) C_noret;
C_noret_decl(f_20936)
static void C_ccall f_20936(C_word c,C_word *av) C_noret;
C_noret_decl(f_20941)
static void C_fcall f_20941(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20945)
static void C_ccall f_20945(C_word c,C_word *av) C_noret;
C_noret_decl(f_20948)
static void C_fcall f_20948(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20951)
static void C_ccall f_20951(C_word c,C_word *av) C_noret;
C_noret_decl(f_20961)
static void C_ccall f_20961(C_word c,C_word *av) C_noret;
C_noret_decl(f_20979)
static void C_ccall f_20979(C_word c,C_word *av) C_noret;
C_noret_decl(f_20982)
static void C_ccall f_20982(C_word c,C_word *av) C_noret;
C_noret_decl(f_20991)
static void C_fcall f_20991(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20994)
static void C_ccall f_20994(C_word c,C_word *av) C_noret;
C_noret_decl(f_20997)
static void C_ccall f_20997(C_word c,C_word *av) C_noret;
C_noret_decl(f_21003)
static void C_ccall f_21003(C_word c,C_word *av) C_noret;
C_noret_decl(f_21016)
static void C_ccall f_21016(C_word c,C_word *av) C_noret;
C_noret_decl(f_21020)
static void C_ccall f_21020(C_word c,C_word *av) C_noret;
C_noret_decl(f_21024)
static void C_ccall f_21024(C_word c,C_word *av) C_noret;
C_noret_decl(f_21035)
static void C_ccall f_21035(C_word c,C_word *av) C_noret;
C_noret_decl(f_21039)
static void C_ccall f_21039(C_word c,C_word *av) C_noret;
C_noret_decl(f_21042)
static void C_ccall f_21042(C_word c,C_word *av) C_noret;
C_noret_decl(f_21070)
static void C_ccall f_21070(C_word c,C_word *av) C_noret;
C_noret_decl(f_21126)
static void C_ccall f_21126(C_word c,C_word *av) C_noret;
C_noret_decl(f_21130)
static void C_ccall f_21130(C_word c,C_word *av) C_noret;
C_noret_decl(f_21137)
static void C_ccall f_21137(C_word c,C_word *av) C_noret;
C_noret_decl(f_21139)
static void C_fcall f_21139(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21143)
static void C_ccall f_21143(C_word c,C_word *av) C_noret;
C_noret_decl(f_21157)
static void C_fcall f_21157(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21163)
static void C_ccall f_21163(C_word c,C_word *av) C_noret;
C_noret_decl(f_21170)
static void C_ccall f_21170(C_word c,C_word *av) C_noret;
C_noret_decl(f_21177)
static void C_ccall f_21177(C_word c,C_word *av) C_noret;
C_noret_decl(f_21192)
static void C_fcall f_21192(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21198)
static void C_ccall f_21198(C_word c,C_word *av) C_noret;
C_noret_decl(f_21227)
static void C_fcall f_21227(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21237)
static void C_ccall f_21237(C_word c,C_word *av) C_noret;
C_noret_decl(f_21240)
static void C_ccall f_21240(C_word c,C_word *av) C_noret;
C_noret_decl(f_21276)
static void C_ccall f_21276(C_word c,C_word *av) C_noret;
C_noret_decl(f_21278)
static void C_fcall f_21278(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21288)
static void C_ccall f_21288(C_word c,C_word *av) C_noret;
C_noret_decl(f_21291)
static void C_ccall f_21291(C_word c,C_word *av) C_noret;
C_noret_decl(f_21343)
static void C_ccall f_21343(C_word c,C_word *av) C_noret;
C_noret_decl(f_21345)
static void C_fcall f_21345(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21353)
static void C_ccall f_21353(C_word c,C_word *av) C_noret;
C_noret_decl(f_21355)
static void C_fcall f_21355(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21365)
static void C_fcall f_21365(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21380)
static void C_ccall f_21380(C_word c,C_word *av) C_noret;
C_noret_decl(f_21387)
static void C_ccall f_21387(C_word c,C_word *av) C_noret;
C_noret_decl(f_21409)
static void C_fcall f_21409(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21417)
static void C_ccall f_21417(C_word c,C_word *av) C_noret;
C_noret_decl(f_21419)
static void C_fcall f_21419(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21429)
static void C_fcall f_21429(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21435)
static void C_ccall f_21435(C_word c,C_word *av) C_noret;
C_noret_decl(f_21442)
static void C_ccall f_21442(C_word c,C_word *av) C_noret;
C_noret_decl(f_21455)
static void C_fcall f_21455(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21461)
static void C_ccall f_21461(C_word c,C_word *av) C_noret;
C_noret_decl(f_21465)
static void C_ccall f_21465(C_word c,C_word *av) C_noret;
C_noret_decl(f_21472)
static void C_ccall f_21472(C_word c,C_word *av) C_noret;
C_noret_decl(f_21480)
static void C_fcall f_21480(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21486)
static void C_fcall f_21486(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21490)
static void C_ccall f_21490(C_word c,C_word *av) C_noret;
C_noret_decl(f_21499)
static void C_fcall f_21499(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21505)
static void C_fcall f_21505(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21512)
static void C_ccall f_21512(C_word c,C_word *av) C_noret;
C_noret_decl(f_21523)
static void C_ccall f_21523(C_word c,C_word *av) C_noret;
C_noret_decl(f_21563)
static void C_ccall f_21563(C_word c,C_word *av) C_noret;
C_noret_decl(f_21572)
static void C_ccall f_21572(C_word c,C_word *av) C_noret;
C_noret_decl(f_21579)
static void C_ccall f_21579(C_word c,C_word *av) C_noret;
C_noret_decl(f_21583)
static void C_ccall f_21583(C_word c,C_word *av) C_noret;
C_noret_decl(f_21587)
static void C_ccall f_21587(C_word c,C_word *av) C_noret;
C_noret_decl(f_21596)
static void C_ccall f_21596(C_word c,C_word *av) C_noret;
C_noret_decl(f_21607)
static void C_ccall f_21607(C_word c,C_word *av) C_noret;
C_noret_decl(f_21645)
static void C_ccall f_21645(C_word c,C_word *av) C_noret;
C_noret_decl(f_21694)
static void C_fcall f_21694(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21698)
static void C_ccall f_21698(C_word c,C_word *av) C_noret;
C_noret_decl(f_21701)
static void C_ccall f_21701(C_word c,C_word *av) C_noret;
C_noret_decl(f_21713)
static void C_ccall f_21713(C_word c,C_word *av) C_noret;
C_noret_decl(f_21733)
static void C_fcall f_21733(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21739)
static void C_ccall f_21739(C_word c,C_word *av) C_noret;
C_noret_decl(f_21749)
static void C_ccall f_21749(C_word c,C_word *av) C_noret;
C_noret_decl(f_21878)
static void C_fcall f_21878(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21885)
static void C_ccall f_21885(C_word c,C_word *av) C_noret;
C_noret_decl(f_21903)
static void C_fcall f_21903(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21909)
static void C_fcall f_21909(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21913)
static void C_ccall f_21913(C_word c,C_word *av) C_noret;
C_noret_decl(f_21949)
static void C_ccall f_21949(C_word c,C_word *av) C_noret;
C_noret_decl(f_21972)
static void C_ccall f_21972(C_word c,C_word *av) C_noret;
C_noret_decl(f_21990)
static void C_fcall f_21990(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21994)
static void C_ccall f_21994(C_word c,C_word *av) C_noret;
C_noret_decl(f_22001)
static void C_ccall f_22001(C_word c,C_word *av) C_noret;
C_noret_decl(f_22003)
static void C_fcall f_22003(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22007)
static void C_ccall f_22007(C_word c,C_word *av) C_noret;
C_noret_decl(f_22018)
static void C_ccall f_22018(C_word c,C_word *av) C_noret;
C_noret_decl(f_22034)
static void C_ccall f_22034(C_word c,C_word *av) C_noret;
C_noret_decl(f_22037)
static void C_ccall f_22037(C_word c,C_word *av) C_noret;
C_noret_decl(f_22040)
static void C_ccall f_22040(C_word c,C_word *av) C_noret;
C_noret_decl(f_22046)
static void C_fcall f_22046(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22054)
static void C_ccall f_22054(C_word c,C_word *av) C_noret;
C_noret_decl(f_22060)
static void C_ccall f_22060(C_word c,C_word *av) C_noret;
C_noret_decl(f_22082)
static void C_ccall f_22082(C_word c,C_word *av) C_noret;
C_noret_decl(f_22094)
static void C_ccall f_22094(C_word c,C_word *av) C_noret;
C_noret_decl(f_22106)
static void C_ccall f_22106(C_word c,C_word *av) C_noret;
C_noret_decl(f_22115)
static void C_ccall f_22115(C_word c,C_word *av) C_noret;
C_noret_decl(f_22125)
static void C_ccall f_22125(C_word c,C_word *av) C_noret;
C_noret_decl(f_22134)
static void C_ccall f_22134(C_word c,C_word *av) C_noret;
C_noret_decl(f_22137)
static void C_ccall f_22137(C_word c,C_word *av) C_noret;
C_noret_decl(f_22155)
static void C_ccall f_22155(C_word c,C_word *av) C_noret;
C_noret_decl(f_22158)
static void C_ccall f_22158(C_word c,C_word *av) C_noret;
C_noret_decl(f_22164)
static void C_fcall f_22164(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22181)
static void C_ccall f_22181(C_word c,C_word *av) C_noret;
C_noret_decl(f_22187)
static void C_ccall f_22187(C_word c,C_word *av) C_noret;
C_noret_decl(f_22215)
static void C_ccall f_22215(C_word c,C_word *av) C_noret;
C_noret_decl(f_22238)
static void C_ccall f_22238(C_word c,C_word *av) C_noret;
C_noret_decl(f_22244)
static void C_fcall f_22244(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22252)
static void C_ccall f_22252(C_word c,C_word *av) C_noret;
C_noret_decl(f_22258)
static void C_ccall f_22258(C_word c,C_word *av) C_noret;
C_noret_decl(f_22283)
static void C_ccall f_22283(C_word c,C_word *av) C_noret;
C_noret_decl(f_22295)
static void C_ccall f_22295(C_word c,C_word *av) C_noret;
C_noret_decl(f_22307)
static void C_ccall f_22307(C_word c,C_word *av) C_noret;
C_noret_decl(f_22319)
static void C_ccall f_22319(C_word c,C_word *av) C_noret;
C_noret_decl(f_22331)
static void C_ccall f_22331(C_word c,C_word *av) C_noret;
C_noret_decl(f_22343)
static void C_ccall f_22343(C_word c,C_word *av) C_noret;
C_noret_decl(f_22355)
static void C_ccall f_22355(C_word c,C_word *av) C_noret;
C_noret_decl(f_22358)
static void C_ccall f_22358(C_word c,C_word *av) C_noret;
C_noret_decl(f_22361)
static void C_ccall f_22361(C_word c,C_word *av) C_noret;
C_noret_decl(f_22366)
static void C_ccall f_22366(C_word c,C_word *av) C_noret;
C_noret_decl(f_22371)
static void C_ccall f_22371(C_word c,C_word *av) C_noret;
C_noret_decl(f_22377)
static void C_ccall f_22377(C_word c,C_word *av) C_noret;
C_noret_decl(f_22419)
static void C_ccall f_22419(C_word c,C_word *av) C_noret;
C_noret_decl(f_22431)
static void C_ccall f_22431(C_word c,C_word *av) C_noret;
C_noret_decl(f_22434)
static void C_ccall f_22434(C_word c,C_word *av) C_noret;
C_noret_decl(f_22446)
static void C_ccall f_22446(C_word c,C_word *av) C_noret;
C_noret_decl(f_22458)
static void C_ccall f_22458(C_word c,C_word *av) C_noret;
C_noret_decl(f_22461)
static void C_ccall f_22461(C_word c,C_word *av) C_noret;
C_noret_decl(f_22473)
static void C_ccall f_22473(C_word c,C_word *av) C_noret;
C_noret_decl(f_22485)
static void C_ccall f_22485(C_word c,C_word *av) C_noret;
C_noret_decl(f_22488)
static void C_ccall f_22488(C_word c,C_word *av) C_noret;
C_noret_decl(f_22497)
static void C_ccall f_22497(C_word c,C_word *av) C_noret;
C_noret_decl(f_22512)
static void C_ccall f_22512(C_word c,C_word *av) C_noret;
C_noret_decl(f_22515)
static void C_ccall f_22515(C_word c,C_word *av) C_noret;
C_noret_decl(f_22520)
static void C_ccall f_22520(C_word c,C_word *av) C_noret;
C_noret_decl(f_22525)
static void C_ccall f_22525(C_word c,C_word *av) C_noret;
C_noret_decl(f_22531)
static void C_ccall f_22531(C_word c,C_word *av) C_noret;
C_noret_decl(f_22538)
static void C_fcall f_22538(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22560)
static void C_ccall f_22560(C_word c,C_word *av) C_noret;
C_noret_decl(f_22572)
static void C_ccall f_22572(C_word c,C_word *av) C_noret;
C_noret_decl(f_22575)
static void C_ccall f_22575(C_word c,C_word *av) C_noret;
C_noret_decl(f_22578)
static void C_ccall f_22578(C_word c,C_word *av) C_noret;
C_noret_decl(f_22593)
static void C_ccall f_22593(C_word c,C_word *av) C_noret;
C_noret_decl(f_22602)
static void C_ccall f_22602(C_word c,C_word *av) C_noret;
C_noret_decl(f_22605)
static void C_ccall f_22605(C_word c,C_word *av) C_noret;
C_noret_decl(f_22611)
static void C_fcall f_22611(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22614)
static void C_ccall f_22614(C_word c,C_word *av) C_noret;
C_noret_decl(f_22620)
static void C_ccall f_22620(C_word c,C_word *av) C_noret;
C_noret_decl(f_22639)
static void C_ccall f_22639(C_word c,C_word *av) C_noret;
C_noret_decl(f_22658)
static void C_ccall f_22658(C_word c,C_word *av) C_noret;
C_noret_decl(f_22674)
static void C_ccall f_22674(C_word c,C_word *av) C_noret;
C_noret_decl(f_22680)
static void C_ccall f_22680(C_word c,C_word *av) C_noret;
C_noret_decl(f_22752)
static void C_ccall f_22752(C_word c,C_word *av) C_noret;
C_noret_decl(f_22764)
static void C_ccall f_22764(C_word c,C_word *av) C_noret;
C_noret_decl(f_22842)
static void C_ccall f_22842(C_word c,C_word *av) C_noret;
C_noret_decl(f_22918)
static void C_ccall f_22918(C_word c,C_word *av) C_noret;
C_noret_decl(f_23083)
static void C_ccall f_23083(C_word c,C_word *av) C_noret;
C_noret_decl(f_23095)
static void C_ccall f_23095(C_word c,C_word *av) C_noret;
C_noret_decl(f_23157)
static void C_ccall f_23157(C_word c,C_word *av) C_noret;
C_noret_decl(f_23160)
static void C_fcall f_23160(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23206)
static void C_fcall f_23206(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23210)
static void C_ccall f_23210(C_word c,C_word *av) C_noret;
C_noret_decl(f_23228)
static void C_ccall f_23228(C_word c,C_word *av) C_noret;
C_noret_decl(f_23292)
static void C_ccall f_23292(C_word c,C_word *av) C_noret;
C_noret_decl(f_23303)
static void C_ccall f_23303(C_word c,C_word *av) C_noret;
C_noret_decl(f_23305)
static void C_ccall f_23305(C_word c,C_word *av) C_noret;
C_noret_decl(f_23318)
static void C_ccall f_23318(C_word c,C_word *av) C_noret;
C_noret_decl(f_23330)
static void C_ccall f_23330(C_word c,C_word *av) C_noret;
C_noret_decl(f_23350)
static void C_ccall f_23350(C_word c,C_word *av) C_noret;
C_noret_decl(f_23357)
static void C_ccall f_23357(C_word c,C_word *av) C_noret;
C_noret_decl(f_23366)
static void C_ccall f_23366(C_word c,C_word *av) C_noret;
C_noret_decl(f_23378)
static void C_ccall f_23378(C_word c,C_word *av) C_noret;
C_noret_decl(f_23399)
static void C_ccall f_23399(C_word c,C_word *av) C_noret;
C_noret_decl(f_23414)
static void C_ccall f_23414(C_word c,C_word *av) C_noret;
C_noret_decl(f_23432)
static void C_ccall f_23432(C_word c,C_word *av) C_noret;
C_noret_decl(f_23450)
static void C_ccall f_23450(C_word c,C_word *av) C_noret;
C_noret_decl(f_23469)
static void C_fcall f_23469(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23479)
static void C_ccall f_23479(C_word c,C_word *av) C_noret;
C_noret_decl(f_23493)
static void C_ccall f_23493(C_word c,C_word *av) C_noret;
C_noret_decl(f_23496)
static void C_ccall f_23496(C_word c,C_word *av) C_noret;
C_noret_decl(f_23501)
static void C_ccall f_23501(C_word c,C_word *av) C_noret;
C_noret_decl(f_23520)
static void C_fcall f_23520(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23530)
static void C_ccall f_23530(C_word c,C_word *av) C_noret;
C_noret_decl(f_23544)
static void C_ccall f_23544(C_word c,C_word *av) C_noret;
C_noret_decl(f_23547)
static void C_ccall f_23547(C_word c,C_word *av) C_noret;
C_noret_decl(f_23554)
static void C_ccall f_23554(C_word c,C_word *av) C_noret;
C_noret_decl(f_23558)
static void C_ccall f_23558(C_word c,C_word *av) C_noret;
C_noret_decl(f_23562)
static void C_ccall f_23562(C_word c,C_word *av) C_noret;
C_noret_decl(f_23564)
static void C_ccall f_23564(C_word c,C_word *av) C_noret;
C_noret_decl(f_23571)
static void C_ccall f_23571(C_word c,C_word *av) C_noret;
C_noret_decl(f_23574)
static void C_ccall f_23574(C_word c,C_word *av) C_noret;
C_noret_decl(f_23577)
static void C_ccall f_23577(C_word c,C_word *av) C_noret;
C_noret_decl(f_23579)
static void C_fcall f_23579(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23589)
static void C_ccall f_23589(C_word c,C_word *av) C_noret;
C_noret_decl(f_23595)
static void C_ccall f_23595(C_word c,C_word *av) C_noret;
C_noret_decl(f_23607)
static void C_ccall f_23607(C_word c,C_word *av) C_noret;
C_noret_decl(f_23610)
static void C_ccall f_23610(C_word c,C_word *av) C_noret;
C_noret_decl(f_23613)
static void C_ccall f_23613(C_word c,C_word *av) C_noret;
C_noret_decl(f_23630)
static void C_ccall f_23630(C_word c,C_word *av) C_noret;
C_noret_decl(f_23651)
static void C_fcall f_23651(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23655)
static void C_ccall f_23655(C_word c,C_word *av) C_noret;
C_noret_decl(f_23668)
static void C_ccall f_23668(C_word c,C_word *av) C_noret;
C_noret_decl(f_23671)
static void C_ccall f_23671(C_word c,C_word *av) C_noret;
C_noret_decl(f_23680)
static void C_ccall f_23680(C_word c,C_word *av) C_noret;
C_noret_decl(f_23683)
static void C_ccall f_23683(C_word c,C_word *av) C_noret;
C_noret_decl(f_23711)
static void C_fcall f_23711(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23715)
static void C_ccall f_23715(C_word c,C_word *av) C_noret;
C_noret_decl(f_23724)
static void C_ccall f_23724(C_word c,C_word *av) C_noret;
C_noret_decl(f_23735)
static void C_fcall f_23735(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23742)
static void C_ccall f_23742(C_word c,C_word *av) C_noret;
C_noret_decl(f_23747)
static void C_fcall f_23747(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23769)
static void C_ccall f_23769(C_word c,C_word *av) C_noret;
C_noret_decl(f_23775)
static void C_ccall f_23775(C_word c,C_word *av) C_noret;
C_noret_decl(f_23778)
static void C_ccall f_23778(C_word c,C_word *av) C_noret;
C_noret_decl(f_23789)
static void C_ccall f_23789(C_word c,C_word *av) C_noret;
C_noret_decl(f_23798)
static void C_ccall f_23798(C_word c,C_word *av) C_noret;
C_noret_decl(f_23801)
static void C_ccall f_23801(C_word c,C_word *av) C_noret;
C_noret_decl(f_23824)
static void C_fcall f_23824(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23873)
static void C_fcall f_23873(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23889)
static void C_fcall f_23889(C_word t0,C_word t1) C_noret;
C_noret_decl(f_23896)
static void C_ccall f_23896(C_word c,C_word *av) C_noret;
C_noret_decl(f_23915)
static void C_fcall f_23915(C_word t0,C_word t1) C_noret;
C_noret_decl(f_23973)
static void C_fcall f_23973(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24030)
static void C_ccall f_24030(C_word c,C_word *av) C_noret;
C_noret_decl(f_24035)
static void C_fcall f_24035(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24084)
static void C_ccall f_24084(C_word c,C_word *av) C_noret;
C_noret_decl(f_24090)
static void C_ccall f_24090(C_word c,C_word *av) C_noret;
C_noret_decl(f_24094)
static void C_fcall f_24094(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24117)
static void C_ccall f_24117(C_word c,C_word *av) C_noret;
C_noret_decl(f_24124)
static void C_ccall f_24124(C_word c,C_word *av) C_noret;
C_noret_decl(f_24143)
static void C_ccall f_24143(C_word c,C_word *av) C_noret;
C_noret_decl(f_24182)
static void C_ccall f_24182(C_word c,C_word *av) C_noret;
C_noret_decl(f_24194)
static void C_ccall f_24194(C_word c,C_word *av) C_noret;
C_noret_decl(f_24200)
static void C_ccall f_24200(C_word c,C_word *av) C_noret;
C_noret_decl(f_24219)
static void C_ccall f_24219(C_word c,C_word *av) C_noret;
C_noret_decl(f_24226)
static void C_ccall f_24226(C_word c,C_word *av) C_noret;
C_noret_decl(f_24236)
static void C_ccall f_24236(C_word c,C_word *av) C_noret;
C_noret_decl(f_24245)
static void C_ccall f_24245(C_word c,C_word *av) C_noret;
C_noret_decl(f_24251)
static void C_fcall f_24251(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24264)
static void C_ccall f_24264(C_word c,C_word *av) C_noret;
C_noret_decl(f_24302)
static void C_ccall f_24302(C_word c,C_word *av) C_noret;
C_noret_decl(f_24368)
static void C_ccall f_24368(C_word c,C_word *av) C_noret;
C_noret_decl(f_24371)
static void C_ccall f_24371(C_word c,C_word *av) C_noret;
C_noret_decl(f_24378)
static void C_ccall f_24378(C_word c,C_word *av) C_noret;
C_noret_decl(f_24418)
static void C_ccall f_24418(C_word c,C_word *av) C_noret;
C_noret_decl(f_24421)
static void C_ccall f_24421(C_word c,C_word *av) C_noret;
C_noret_decl(f_24430)
static void C_fcall f_24430(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24440)
static void C_fcall f_24440(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24443)
static void C_ccall f_24443(C_word c,C_word *av) C_noret;
C_noret_decl(f_24452)
static void C_ccall f_24452(C_word c,C_word *av) C_noret;
C_noret_decl(f_24462)
static void C_ccall f_24462(C_word c,C_word *av) C_noret;
C_noret_decl(f_24465)
static void C_ccall f_24465(C_word c,C_word *av) C_noret;
C_noret_decl(f_24491)
static void C_ccall f_24491(C_word c,C_word *av) C_noret;
C_noret_decl(f_24497)
static void C_ccall f_24497(C_word c,C_word *av) C_noret;
C_noret_decl(f_24502)
static void C_fcall f_24502(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24515)
static void C_ccall f_24515(C_word c,C_word *av) C_noret;
C_noret_decl(f_24518)
static void C_ccall f_24518(C_word c,C_word *av) C_noret;
C_noret_decl(f_24529)
static void C_ccall f_24529(C_word c,C_word *av) C_noret;
C_noret_decl(f_24551)
static void C_ccall f_24551(C_word c,C_word *av) C_noret;
C_noret_decl(f_24563)
static void C_ccall f_24563(C_word c,C_word *av) C_noret;
C_noret_decl(f_24566)
static void C_ccall f_24566(C_word c,C_word *av) C_noret;
C_noret_decl(f_24573)
static void C_ccall f_24573(C_word c,C_word *av) C_noret;
C_noret_decl(f_24582)
static void C_ccall f_24582(C_word c,C_word *av) C_noret;
C_noret_decl(f_24585)
static void C_ccall f_24585(C_word c,C_word *av) C_noret;
C_noret_decl(f_24629)
static void C_ccall f_24629(C_word c,C_word *av) C_noret;
C_noret_decl(f_24632)
static void C_ccall f_24632(C_word c,C_word *av) C_noret;
C_noret_decl(f_24641)
static void C_fcall f_24641(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24654)
static void C_ccall f_24654(C_word c,C_word *av) C_noret;
C_noret_decl(f_24657)
static void C_ccall f_24657(C_word c,C_word *av) C_noret;
C_noret_decl(f_24682)
static void C_ccall f_24682(C_word c,C_word *av) C_noret;
C_noret_decl(f_24686)
static void C_ccall f_24686(C_word c,C_word *av) C_noret;
C_noret_decl(f_24696)
static void C_ccall f_24696(C_word c,C_word *av) C_noret;
C_noret_decl(f_24699)
static void C_ccall f_24699(C_word c,C_word *av) C_noret;
C_noret_decl(f_24719)
static void C_ccall f_24719(C_word c,C_word *av) C_noret;
C_noret_decl(f_24732)
static void C_ccall f_24732(C_word c,C_word *av) C_noret;
C_noret_decl(f_24737)
static void C_ccall f_24737(C_word c,C_word *av) C_noret;
C_noret_decl(f_24743)
static void C_ccall f_24743(C_word c,C_word *av) C_noret;
C_noret_decl(f_24749)
static void C_ccall f_24749(C_word c,C_word *av) C_noret;
C_noret_decl(f_24753)
static void C_ccall f_24753(C_word c,C_word *av) C_noret;
C_noret_decl(f_24756)
static void C_ccall f_24756(C_word c,C_word *av) C_noret;
C_noret_decl(f_24771)
static void C_ccall f_24771(C_word c,C_word *av) C_noret;
C_noret_decl(f_24774)
static void C_ccall f_24774(C_word c,C_word *av) C_noret;
C_noret_decl(f_24792)
static void C_ccall f_24792(C_word c,C_word *av) C_noret;
C_noret_decl(f_24794)
static void C_ccall f_24794(C_word c,C_word *av) C_noret;
C_noret_decl(f_24800)
static void C_ccall f_24800(C_word c,C_word *av) C_noret;
C_noret_decl(f_24809)
static void C_ccall f_24809(C_word c,C_word *av) C_noret;
C_noret_decl(f_24815)
static void C_ccall f_24815(C_word c,C_word *av) C_noret;
C_noret_decl(f_24822)
static void C_ccall f_24822(C_word c,C_word *av) C_noret;
C_noret_decl(f_24825)
static void C_ccall f_24825(C_word c,C_word *av) C_noret;
C_noret_decl(f_24828)
static void C_ccall f_24828(C_word c,C_word *av) C_noret;
C_noret_decl(f_24837)
static void C_ccall f_24837(C_word c,C_word *av) C_noret;
C_noret_decl(f_24853)
static void C_ccall f_24853(C_word c,C_word *av) C_noret;
C_noret_decl(f_24868)
static void C_ccall f_24868(C_word c,C_word *av) C_noret;
C_noret_decl(f_24870)
static void C_ccall f_24870(C_word c,C_word *av) C_noret;
C_noret_decl(f_24876)
static void C_ccall f_24876(C_word c,C_word *av) C_noret;
C_noret_decl(f_24882)
static void C_ccall f_24882(C_word c,C_word *av) C_noret;
C_noret_decl(f_24886)
static void C_ccall f_24886(C_word c,C_word *av) C_noret;
C_noret_decl(f_24889)
static void C_ccall f_24889(C_word c,C_word *av) C_noret;
C_noret_decl(f_24892)
static void C_ccall f_24892(C_word c,C_word *av) C_noret;
C_noret_decl(f_24896)
static void C_ccall f_24896(C_word c,C_word *av) C_noret;
C_noret_decl(f_24900)
static void C_ccall f_24900(C_word c,C_word *av) C_noret;
C_noret_decl(f_24904)
static void C_ccall f_24904(C_word c,C_word *av) C_noret;
C_noret_decl(f_24907)
static void C_ccall f_24907(C_word c,C_word *av) C_noret;
C_noret_decl(f_24910)
static void C_ccall f_24910(C_word c,C_word *av) C_noret;
C_noret_decl(f_24913)
static void C_ccall f_24913(C_word c,C_word *av) C_noret;
C_noret_decl(f_24925)
static void C_ccall f_24925(C_word c,C_word *av) C_noret;
C_noret_decl(f_24931)
static void C_ccall f_24931(C_word c,C_word *av) C_noret;
C_noret_decl(f_24935)
static void C_ccall f_24935(C_word c,C_word *av) C_noret;
C_noret_decl(f_24938)
static void C_ccall f_24938(C_word c,C_word *av) C_noret;
C_noret_decl(f_24941)
static void C_ccall f_24941(C_word c,C_word *av) C_noret;
C_noret_decl(f_24944)
static void C_ccall f_24944(C_word c,C_word *av) C_noret;
C_noret_decl(f_24947)
static void C_ccall f_24947(C_word c,C_word *av) C_noret;
C_noret_decl(f_24950)
static void C_ccall f_24950(C_word c,C_word *av) C_noret;
C_noret_decl(f_24955)
static void C_ccall f_24955(C_word c,C_word *av) C_noret;
C_noret_decl(f_24977)
static void C_ccall f_24977(C_word c,C_word *av) C_noret;
C_noret_decl(f_24983)
static void C_ccall f_24983(C_word c,C_word *av) C_noret;
C_noret_decl(f_24986)
static void C_ccall f_24986(C_word c,C_word *av) C_noret;
C_noret_decl(f_25011)
static void C_ccall f_25011(C_word c,C_word *av) C_noret;
C_noret_decl(f_25014)
static void C_fcall f_25014(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_25021)
static void C_ccall f_25021(C_word c,C_word *av) C_noret;
C_noret_decl(f_25034)
static void C_fcall f_25034(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_25044)
static void C_ccall f_25044(C_word c,C_word *av) C_noret;
C_noret_decl(f_25049)
static void C_ccall f_25049(C_word c,C_word *av) C_noret;
C_noret_decl(f_25055)
static void C_ccall f_25055(C_word c,C_word *av) C_noret;
C_noret_decl(f_25082)
static void C_ccall f_25082(C_word c,C_word *av) C_noret;
C_noret_decl(f_25088)
static void C_fcall f_25088(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25099)
static void C_ccall f_25099(C_word c,C_word *av) C_noret;
C_noret_decl(f_25105)
static void C_fcall f_25105(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25108)
static void C_ccall f_25108(C_word c,C_word *av) C_noret;
C_noret_decl(f_25113)
static void C_ccall f_25113(C_word c,C_word *av) C_noret;
C_noret_decl(f_25119)
static void C_ccall f_25119(C_word c,C_word *av) C_noret;
C_noret_decl(f_25143)
static void C_ccall f_25143(C_word c,C_word *av) C_noret;
C_noret_decl(f_25151)
static void C_ccall f_25151(C_word c,C_word *av) C_noret;
C_noret_decl(f_25168)
static void C_ccall f_25168(C_word c,C_word *av) C_noret;
C_noret_decl(f_25208)
static void C_ccall f_25208(C_word c,C_word *av) C_noret;
C_noret_decl(f_25215)
static void C_ccall f_25215(C_word c,C_word *av) C_noret;
C_noret_decl(f_25227)
static void C_ccall f_25227(C_word c,C_word *av) C_noret;
C_noret_decl(f_25231)
static void C_ccall f_25231(C_word c,C_word *av) C_noret;
C_noret_decl(f_25244)
static void C_ccall f_25244(C_word c,C_word *av) C_noret;
C_noret_decl(f_25246)
static void C_ccall f_25246(C_word c,C_word *av) C_noret;
C_noret_decl(f_25280)
static void C_ccall f_25280(C_word c,C_word *av) C_noret;
C_noret_decl(f_25284)
static void C_ccall f_25284(C_word c,C_word *av) C_noret;
C_noret_decl(f_25285)
static void C_fcall f_25285(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25295)
static void C_ccall f_25295(C_word c,C_word *av) C_noret;
C_noret_decl(f_25300)
static void C_fcall f_25300(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25310)
static void C_ccall f_25310(C_word c,C_word *av) C_noret;
C_noret_decl(f_25323)
static void C_ccall f_25323(C_word c,C_word *av) C_noret;
C_noret_decl(f_25334)
static void C_ccall f_25334(C_word c,C_word *av) C_noret;
C_noret_decl(f_25338)
static void C_ccall f_25338(C_word c,C_word *av) C_noret;
C_noret_decl(f_25342)
static void C_ccall f_25342(C_word c,C_word *av) C_noret;
C_noret_decl(f_25364)
static void C_ccall f_25364(C_word c,C_word *av) C_noret;
C_noret_decl(f_25368)
static void C_ccall f_25368(C_word c,C_word *av) C_noret;
C_noret_decl(f_25376)
static void C_ccall f_25376(C_word c,C_word *av) C_noret;
C_noret_decl(f_25392)
static void C_ccall f_25392(C_word c,C_word *av) C_noret;
C_noret_decl(f_25403)
static void C_fcall f_25403(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25422)
static void C_fcall f_25422(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25433)
static void C_ccall f_25433(C_word c,C_word *av) C_noret;
C_noret_decl(f_25441)
static void C_ccall f_25441(C_word c,C_word *av) C_noret;
C_noret_decl(f_25520)
static void C_ccall f_25520(C_word c,C_word *av) C_noret;
C_noret_decl(f_25530)
static void C_ccall f_25530(C_word c,C_word *av) C_noret;
C_noret_decl(f_25531)
static void C_fcall f_25531(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25544)
static void C_ccall f_25544(C_word c,C_word *av) C_noret;
C_noret_decl(f_25547)
static void C_ccall f_25547(C_word c,C_word *av) C_noret;
C_noret_decl(f_25550)
static void C_ccall f_25550(C_word c,C_word *av) C_noret;
C_noret_decl(f_25553)
static void C_ccall f_25553(C_word c,C_word *av) C_noret;
C_noret_decl(f_25561)
static void C_ccall f_25561(C_word c,C_word *av) C_noret;
C_noret_decl(f_25568)
static void C_fcall f_25568(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25571)
static void C_ccall f_25571(C_word c,C_word *av) C_noret;
C_noret_decl(f_25574)
static void C_ccall f_25574(C_word c,C_word *av) C_noret;
C_noret_decl(f_25597)
static void C_ccall f_25597(C_word c,C_word *av) C_noret;
C_noret_decl(f_25602)
static void C_fcall f_25602(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25612)
static void C_ccall f_25612(C_word c,C_word *av) C_noret;
C_noret_decl(f_25625)
static void C_ccall f_25625(C_word c,C_word *av) C_noret;
C_noret_decl(f_25656)
static void C_ccall f_25656(C_word c,C_word *av) C_noret;
C_noret_decl(f_25666)
static void C_ccall f_25666(C_word c,C_word *av) C_noret;
C_noret_decl(f_25716)
static void C_ccall f_25716(C_word c,C_word *av) C_noret;
C_noret_decl(f_25719)
static void C_ccall f_25719(C_word c,C_word *av) C_noret;
C_noret_decl(f_25738)
static void C_fcall f_25738(C_word t0) C_noret;
C_noret_decl(f_25743)
static void C_ccall f_25743(C_word c,C_word *av) C_noret;
C_noret_decl(f_25749)
static void C_ccall f_25749(C_word c,C_word *av) C_noret;
C_noret_decl(f_25752)
static void C_ccall f_25752(C_word c,C_word *av) C_noret;
C_noret_decl(f_25758)
static void C_ccall f_25758(C_word c,C_word *av) C_noret;
C_noret_decl(f_25766)
static void C_fcall f_25766(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25785)
static void C_ccall f_25785(C_word c,C_word *av) C_noret;
C_noret_decl(f_25790)
static void C_fcall f_25790(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25800)
static void C_ccall f_25800(C_word c,C_word *av) C_noret;
C_noret_decl(f_25814)
static void C_ccall f_25814(C_word c,C_word *av) C_noret;
C_noret_decl(f_25821)
static void C_ccall f_25821(C_word c,C_word *av) C_noret;
C_noret_decl(f_25825)
static void C_ccall f_25825(C_word c,C_word *av) C_noret;
C_noret_decl(f_25829)
static void C_ccall f_25829(C_word c,C_word *av) C_noret;
C_noret_decl(f_25831)
static void C_ccall f_25831(C_word c,C_word *av) C_noret;
C_noret_decl(f_25857)
static void C_ccall f_25857(C_word c,C_word *av) C_noret;
C_noret_decl(f_25860)
static void C_ccall f_25860(C_word c,C_word *av) C_noret;
C_noret_decl(f_25863)
static void C_ccall f_25863(C_word c,C_word *av) C_noret;
C_noret_decl(f_25870)
static void C_ccall f_25870(C_word c,C_word *av) C_noret;
C_noret_decl(f_25874)
static void C_ccall f_25874(C_word c,C_word *av) C_noret;
C_noret_decl(f_25880)
static void C_ccall f_25880(C_word c,C_word *av) C_noret;
C_noret_decl(f_25885)
static void C_fcall f_25885(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25895)
static void C_ccall f_25895(C_word c,C_word *av) C_noret;
C_noret_decl(f_25912)
static void C_fcall f_25912(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25933)
static void C_fcall f_25933(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25936)
static void C_fcall f_25936(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25956)
static void C_fcall f_25956(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25964)
static void C_ccall f_25964(C_word c,C_word *av) C_noret;
C_noret_decl(f_26098)
static void C_ccall f_26098(C_word c,C_word *av) C_noret;
C_noret_decl(f_26115)
static void C_ccall f_26115(C_word c,C_word *av) C_noret;
C_noret_decl(f_26119)
static void C_ccall f_26119(C_word c,C_word *av) C_noret;
C_noret_decl(f_26132)
static void C_ccall f_26132(C_word c,C_word *av) C_noret;
C_noret_decl(f_26141)
static void C_ccall f_26141(C_word c,C_word *av) C_noret;
C_noret_decl(f_26144)
static void C_ccall f_26144(C_word c,C_word *av) C_noret;
C_noret_decl(f_26148)
static void C_ccall f_26148(C_word c,C_word *av) C_noret;
C_noret_decl(f_26187)
static void C_ccall f_26187(C_word c,C_word *av) C_noret;
C_noret_decl(f_26190)
static void C_ccall f_26190(C_word c,C_word *av) C_noret;
C_noret_decl(f_26197)
static void C_ccall f_26197(C_word c,C_word *av) C_noret;
C_noret_decl(f_26201)
static void C_ccall f_26201(C_word c,C_word *av) C_noret;
C_noret_decl(f_26227)
static void C_ccall f_26227(C_word c,C_word *av) C_noret;
C_noret_decl(f_26258)
static void C_ccall f_26258(C_word c,C_word *av) C_noret;
C_noret_decl(f_26261)
static void C_ccall f_26261(C_word c,C_word *av) C_noret;
C_noret_decl(f_26273)
static void C_ccall f_26273(C_word c,C_word *av) C_noret;
C_noret_decl(f_26276)
static void C_ccall f_26276(C_word c,C_word *av) C_noret;
C_noret_decl(f_26279)
static void C_ccall f_26279(C_word c,C_word *av) C_noret;
C_noret_decl(f_26304)
static void C_ccall f_26304(C_word c,C_word *av) C_noret;
C_noret_decl(f_26310)
static void C_ccall f_26310(C_word c,C_word *av) C_noret;
C_noret_decl(f_26314)
static void C_ccall f_26314(C_word c,C_word *av) C_noret;
C_noret_decl(f_26318)
static void C_ccall f_26318(C_word c,C_word *av) C_noret;
C_noret_decl(f_26331)
static void C_ccall f_26331(C_word c,C_word *av) C_noret;
C_noret_decl(f_26333)
static C_word C_fcall f_26333(C_word t0,C_word t1);
C_noret_decl(f_26339)
static C_word C_fcall f_26339(C_word t0);
C_noret_decl(f_26344)
static C_word C_fcall f_26344(C_word t0);
C_noret_decl(f_26379)
static void C_fcall f_26379(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_26385)
static void C_fcall f_26385(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26401)
static void C_fcall f_26401(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26423)
static void C_ccall f_26423(C_word c,C_word *av) C_noret;
C_noret_decl(f_26447)
static void C_ccall f_26447(C_word c,C_word *av) C_noret;
C_noret_decl(f_26459)
static void C_ccall f_26459(C_word c,C_word *av) C_noret;
C_noret_decl(f_26461)
static void C_ccall f_26461(C_word c,C_word *av) C_noret;
C_noret_decl(f_26480)
static void C_ccall f_26480(C_word c,C_word *av) C_noret;
C_noret_decl(f_26484)
static void C_ccall f_26484(C_word c,C_word *av) C_noret;
C_noret_decl(f_26496)
static void C_ccall f_26496(C_word c,C_word *av) C_noret;
C_noret_decl(f_26498)
static void C_fcall f_26498(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26542)
static void C_ccall f_26542(C_word c,C_word *av) C_noret;
C_noret_decl(f_26544)
static void C_fcall f_26544(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26578)
static C_word C_fcall f_26578(C_word t0);
C_noret_decl(f_26601)
static void C_ccall f_26601(C_word c,C_word *av) C_noret;
C_noret_decl(f_26608)
static void C_ccall f_26608(C_word c,C_word *av) C_noret;
C_noret_decl(f_26618)
static void C_ccall f_26618(C_word c,C_word *av) C_noret;
C_noret_decl(f_26620)
static void C_fcall f_26620(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26670)
static void C_ccall f_26670(C_word c,C_word *av) C_noret;
C_noret_decl(f_26672)
static void C_fcall f_26672(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26697)
static void C_ccall f_26697(C_word c,C_word *av) C_noret;
C_noret_decl(f_26706)
static void C_ccall f_26706(C_word c,C_word *av) C_noret;
C_noret_decl(f_26712)
static void C_ccall f_26712(C_word c,C_word *av) C_noret;
C_noret_decl(f_26716)
static void C_ccall f_26716(C_word c,C_word *av) C_noret;
C_noret_decl(f_26720)
static void C_fcall f_26720(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26728)
static void C_ccall f_26728(C_word c,C_word *av) C_noret;
C_noret_decl(f_26734)
static void C_fcall f_26734(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26765)
static void C_ccall f_26765(C_word c,C_word *av) C_noret;
C_noret_decl(f_26790)
static void C_fcall f_26790(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26815)
static void C_ccall f_26815(C_word c,C_word *av) C_noret;
C_noret_decl(f_26825)
static void C_ccall f_26825(C_word c,C_word *av) C_noret;
C_noret_decl(f_26830)
static void C_ccall f_26830(C_word c,C_word *av) C_noret;
C_noret_decl(f_26832)
static void C_ccall f_26832(C_word c,C_word *av) C_noret;
C_noret_decl(f_26839)
static void C_ccall f_26839(C_word c,C_word *av) C_noret;
C_noret_decl(f_26851)
static void C_ccall f_26851(C_word c,C_word *av) C_noret;
C_noret_decl(f_26859)
static void C_ccall f_26859(C_word c,C_word *av) C_noret;
C_noret_decl(f_26897)
static void C_ccall f_26897(C_word c,C_word *av) C_noret;
C_noret_decl(f_26901)
static void C_ccall f_26901(C_word c,C_word *av) C_noret;
C_noret_decl(f_26908)
static void C_ccall f_26908(C_word c,C_word *av) C_noret;
C_noret_decl(f_26911)
static void C_ccall f_26911(C_word c,C_word *av) C_noret;
C_noret_decl(f_26914)
static void C_ccall f_26914(C_word c,C_word *av) C_noret;
C_noret_decl(f_26915)
static void C_fcall f_26915(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26917)
static void C_fcall f_26917(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26921)
static void C_ccall f_26921(C_word c,C_word *av) C_noret;
C_noret_decl(f_26926)
static void C_ccall f_26926(C_word c,C_word *av) C_noret;
C_noret_decl(f_26938)
static void C_fcall f_26938(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26948)
static void C_ccall f_26948(C_word c,C_word *av) C_noret;
C_noret_decl(f_26960)
static void C_ccall f_26960(C_word c,C_word *av) C_noret;
C_noret_decl(f_26962)
static void C_fcall f_26962(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_26969)
static void C_ccall f_26969(C_word c,C_word *av) C_noret;
C_noret_decl(f_26972)
static void C_ccall f_26972(C_word c,C_word *av) C_noret;
C_noret_decl(f_26978)
static void C_fcall f_26978(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26981)
static void C_ccall f_26981(C_word c,C_word *av) C_noret;
C_noret_decl(f_26984)
static void C_ccall f_26984(C_word c,C_word *av) C_noret;
C_noret_decl(f_26987)
static void C_ccall f_26987(C_word c,C_word *av) C_noret;
C_noret_decl(f_27002)
static void C_ccall f_27002(C_word c,C_word *av) C_noret;
C_noret_decl(f_27008)
static void C_ccall f_27008(C_word c,C_word *av) C_noret;
C_noret_decl(f_27016)
static void C_fcall f_27016(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27020)
static void C_ccall f_27020(C_word c,C_word *av) C_noret;
C_noret_decl(f_27023)
static void C_ccall f_27023(C_word c,C_word *av) C_noret;
C_noret_decl(f_27026)
static void C_ccall f_27026(C_word c,C_word *av) C_noret;
C_noret_decl(f_27039)
static void C_ccall f_27039(C_word c,C_word *av) C_noret;
C_noret_decl(f_27043)
static void C_ccall f_27043(C_word c,C_word *av) C_noret;
C_noret_decl(f_27064)
static void C_ccall f_27064(C_word c,C_word *av) C_noret;
C_noret_decl(f_27080)
static void C_ccall f_27080(C_word c,C_word *av) C_noret;
C_noret_decl(f_27083)
static void C_ccall f_27083(C_word c,C_word *av) C_noret;
C_noret_decl(f_27089)
static void C_ccall f_27089(C_word c,C_word *av) C_noret;
C_noret_decl(f_27111)
static void C_fcall f_27111(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27116)
static void C_fcall f_27116(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27151)
static void C_ccall f_27151(C_word c,C_word *av) C_noret;
C_noret_decl(f_27161)
static void C_ccall f_27161(C_word c,C_word *av) C_noret;
C_noret_decl(f_27164)
static void C_ccall f_27164(C_word c,C_word *av) C_noret;
C_noret_decl(f_27167)
static void C_ccall f_27167(C_word c,C_word *av) C_noret;
C_noret_decl(f_27170)
static void C_ccall f_27170(C_word c,C_word *av) C_noret;
C_noret_decl(f_27173)
static void C_ccall f_27173(C_word c,C_word *av) C_noret;
C_noret_decl(f_27176)
static void C_ccall f_27176(C_word c,C_word *av) C_noret;
C_noret_decl(f_27183)
static void C_ccall f_27183(C_word c,C_word *av) C_noret;
C_noret_decl(f_27186)
static void C_ccall f_27186(C_word c,C_word *av) C_noret;
C_noret_decl(f_27189)
static void C_ccall f_27189(C_word c,C_word *av) C_noret;
C_noret_decl(f_27200)
static void C_ccall f_27200(C_word c,C_word *av) C_noret;
C_noret_decl(f_27223)
static void C_ccall f_27223(C_word c,C_word *av) C_noret;
C_noret_decl(f_27234)
static void C_ccall f_27234(C_word c,C_word *av) C_noret;
C_noret_decl(f_27238)
static void C_ccall f_27238(C_word c,C_word *av) C_noret;
C_noret_decl(f_27260)
static void C_ccall f_27260(C_word c,C_word *av) C_noret;
C_noret_decl(f_27271)
static void C_ccall f_27271(C_word c,C_word *av) C_noret;
C_noret_decl(f_27275)
static void C_ccall f_27275(C_word c,C_word *av) C_noret;
C_noret_decl(f_27867)
static void C_ccall f_27867(C_word c,C_word *av) C_noret;
C_noret_decl(f_27870)
static void C_ccall f_27870(C_word c,C_word *av) C_noret;
C_noret_decl(f_27873)
static void C_ccall f_27873(C_word c,C_word *av) C_noret;
C_noret_decl(f_27876)
static void C_ccall f_27876(C_word c,C_word *av) C_noret;
C_noret_decl(f_27881)
static void C_ccall f_27881(C_word c,C_word *av) C_noret;
C_noret_decl(f_27884)
static void C_ccall f_27884(C_word c,C_word *av) C_noret;
C_noret_decl(f_27887)
static void C_ccall f_27887(C_word c,C_word *av) C_noret;
C_noret_decl(f_27890)
static void C_ccall f_27890(C_word c,C_word *av) C_noret;
C_noret_decl(f_27893)
static void C_ccall f_27893(C_word c,C_word *av) C_noret;
C_noret_decl(f_27896)
static void C_ccall f_27896(C_word c,C_word *av) C_noret;
C_noret_decl(f_27899)
static void C_ccall f_27899(C_word c,C_word *av) C_noret;
C_noret_decl(f_27902)
static void C_ccall f_27902(C_word c,C_word *av) C_noret;
C_noret_decl(f_27905)
static void C_ccall f_27905(C_word c,C_word *av) C_noret;
C_noret_decl(f_27909)
static void C_ccall f_27909(C_word c,C_word *av) C_noret;
C_noret_decl(f_27911)
static void C_ccall f_27911(C_word c,C_word *av) C_noret;
C_noret_decl(f_27919)
static void C_ccall f_27919(C_word c,C_word *av) C_noret;
C_noret_decl(f_27921)
static void C_ccall f_27921(C_word c,C_word *av) C_noret;
C_noret_decl(f_27925)
static void C_ccall f_27925(C_word c,C_word *av) C_noret;
C_noret_decl(f_27927)
static void C_ccall f_27927(C_word c,C_word *av) C_noret;
C_noret_decl(f_27934)
static void C_ccall f_27934(C_word c,C_word *av) C_noret;
C_noret_decl(f_27944)
static void C_ccall f_27944(C_word c,C_word *av) C_noret;
C_noret_decl(f_27969)
static void C_ccall f_27969(C_word c,C_word *av) C_noret;
C_noret_decl(f_27972)
static void C_ccall f_27972(C_word c,C_word *av) C_noret;
C_noret_decl(f_27975)
static void C_ccall f_27975(C_word c,C_word *av) C_noret;
C_noret_decl(f_27978)
static void C_ccall f_27978(C_word c,C_word *av) C_noret;
C_noret_decl(f_27981)
static void C_ccall f_27981(C_word c,C_word *av) C_noret;
C_noret_decl(f_27991)
static void C_ccall f_27991(C_word c,C_word *av) C_noret;
C_noret_decl(f_27997)
static void C_ccall f_27997(C_word c,C_word *av) C_noret;
C_noret_decl(f_28001)
static void C_ccall f_28001(C_word c,C_word *av) C_noret;
C_noret_decl(f_28003)
static void C_ccall f_28003(C_word c,C_word *av) C_noret;
C_noret_decl(f_28013)
static void C_ccall f_28013(C_word c,C_word *av) C_noret;
C_noret_decl(f_28019)
static void C_ccall f_28019(C_word c,C_word *av) C_noret;
C_noret_decl(f_28023)
static void C_ccall f_28023(C_word c,C_word *av) C_noret;
C_noret_decl(f_28025)
static void C_ccall f_28025(C_word c,C_word *av) C_noret;
C_noret_decl(f_28030)
static void C_ccall f_28030(C_word c,C_word *av) C_noret;
C_noret_decl(f_28032)
static void C_ccall f_28032(C_word c,C_word *av) C_noret;
C_noret_decl(f_28035)
static void C_ccall f_28035(C_word c,C_word *av) C_noret;
C_noret_decl(f_28055)
static void C_ccall f_28055(C_word c,C_word *av) C_noret;
C_noret_decl(f_28061)
static void C_fcall f_28061(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28071)
static void C_ccall f_28071(C_word c,C_word *av) C_noret;
C_noret_decl(f_28081)
static void C_ccall f_28081(C_word c,C_word *av) C_noret;
C_noret_decl(f_28116)
static void C_ccall f_28116(C_word c,C_word *av) C_noret;
C_noret_decl(f_28120)
static void C_ccall f_28120(C_word c,C_word *av) C_noret;
C_noret_decl(f_28125)
static void C_fcall f_28125(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28135)
static void C_ccall f_28135(C_word c,C_word *av) C_noret;
C_noret_decl(f_28145)
static void C_ccall f_28145(C_word c,C_word *av) C_noret;
C_noret_decl(f_28154)
static void C_ccall f_28154(C_word c,C_word *av) C_noret;
C_noret_decl(f_28157)
static void C_ccall f_28157(C_word c,C_word *av) C_noret;
C_noret_decl(f_28160)
static void C_ccall f_28160(C_word c,C_word *av) C_noret;
C_noret_decl(f_28167)
static void C_ccall f_28167(C_word c,C_word *av) C_noret;
C_noret_decl(f_28174)
static void C_ccall f_28174(C_word c,C_word *av) C_noret;
C_noret_decl(f_28177)
static void C_ccall f_28177(C_word c,C_word *av) C_noret;
C_noret_decl(f_28181)
static void C_ccall f_28181(C_word c,C_word *av) C_noret;
C_noret_decl(f_28183)
static void C_ccall f_28183(C_word c,C_word *av) C_noret;
C_noret_decl(f_28186)
static void C_ccall f_28186(C_word c,C_word *av) C_noret;
C_noret_decl(f_28189)
static void C_ccall f_28189(C_word c,C_word *av) C_noret;
C_noret_decl(f_28192)
static void C_ccall f_28192(C_word c,C_word *av) C_noret;
C_noret_decl(f_28195)
static void C_ccall f_28195(C_word c,C_word *av) C_noret;
C_noret_decl(f_28198)
static void C_ccall f_28198(C_word c,C_word *av) C_noret;
C_noret_decl(f_28201)
static void C_ccall f_28201(C_word c,C_word *av) C_noret;
C_noret_decl(f_28204)
static void C_ccall f_28204(C_word c,C_word *av) C_noret;
C_noret_decl(f_28207)
static void C_ccall f_28207(C_word c,C_word *av) C_noret;
C_noret_decl(f_28210)
static void C_ccall f_28210(C_word c,C_word *av) C_noret;
C_noret_decl(f_28213)
static void C_ccall f_28213(C_word c,C_word *av) C_noret;
C_noret_decl(f_28217)
static void C_ccall f_28217(C_word c,C_word *av) C_noret;
C_noret_decl(f_28220)
static void C_ccall f_28220(C_word c,C_word *av) C_noret;
C_noret_decl(f_28236)
static void C_ccall f_28236(C_word c,C_word *av) C_noret;
C_noret_decl(f_28244)
static void C_ccall f_28244(C_word c,C_word *av) C_noret;
C_noret_decl(f_28247)
static void C_ccall f_28247(C_word c,C_word *av) C_noret;
C_noret_decl(f_28253)
static void C_ccall f_28253(C_word c,C_word *av) C_noret;
C_noret_decl(f_28262)
static void C_ccall f_28262(C_word c,C_word *av) C_noret;
C_noret_decl(f_28268)
static void C_ccall f_28268(C_word c,C_word *av) C_noret;
C_noret_decl(f_28277)
static void C_ccall f_28277(C_word c,C_word *av) C_noret;
C_noret_decl(f_28283)
static void C_ccall f_28283(C_word c,C_word *av) C_noret;
C_noret_decl(f_28289)
static void C_ccall f_28289(C_word c,C_word *av) C_noret;
C_noret_decl(f_28292)
static void C_ccall f_28292(C_word c,C_word *av) C_noret;
C_noret_decl(f_28296)
static void C_ccall f_28296(C_word c,C_word *av) C_noret;
C_noret_decl(f_28299)
static void C_ccall f_28299(C_word c,C_word *av) C_noret;
C_noret_decl(f_28304)
static void C_ccall f_28304(C_word c,C_word *av) C_noret;
C_noret_decl(f_28306)
static void C_ccall f_28306(C_word c,C_word *av) C_noret;
C_noret_decl(f_28310)
static void C_ccall f_28310(C_word c,C_word *av) C_noret;
C_noret_decl(f_28337)
static void C_fcall f_28337(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28347)
static void C_ccall f_28347(C_word c,C_word *av) C_noret;
C_noret_decl(f_28356)
static void C_ccall f_28356(C_word c,C_word *av) C_noret;
C_noret_decl(f_28363)
static void C_ccall f_28363(C_word c,C_word *av) C_noret;
C_noret_decl(f_28367)
static void C_ccall f_28367(C_word c,C_word *av) C_noret;
C_noret_decl(f_28381)
static void C_fcall f_28381(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28385)
static void C_ccall f_28385(C_word c,C_word *av) C_noret;
C_noret_decl(f_28392)
static void C_ccall f_28392(C_word c,C_word *av) C_noret;
C_noret_decl(f_28394)
static void C_fcall f_28394(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28416)
static void C_ccall f_28416(C_word c,C_word *av) C_noret;
C_noret_decl(f_28423)
static void C_ccall f_28423(C_word c,C_word *av) C_noret;
C_noret_decl(f_28428)
static void C_fcall f_28428(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28432)
static void C_ccall f_28432(C_word c,C_word *av) C_noret;
C_noret_decl(f_28435)
static void C_ccall f_28435(C_word c,C_word *av) C_noret;
C_noret_decl(f_28438)
static void C_ccall f_28438(C_word c,C_word *av) C_noret;
C_noret_decl(f_28443)
static void C_fcall f_28443(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28447)
static void C_ccall f_28447(C_word c,C_word *av) C_noret;
C_noret_decl(f_28473)
static void C_ccall f_28473(C_word c,C_word *av) C_noret;
C_noret_decl(f_28486)
static void C_ccall f_28486(C_word c,C_word *av) C_noret;
C_noret_decl(f_28489)
static void C_ccall f_28489(C_word c,C_word *av) C_noret;
C_noret_decl(f_28498)
static void C_ccall f_28498(C_word c,C_word *av) C_noret;
C_noret_decl(f_28501)
static void C_ccall f_28501(C_word c,C_word *av) C_noret;
C_noret_decl(f_28504)
static void C_ccall f_28504(C_word c,C_word *av) C_noret;
C_noret_decl(f_28510)
static void C_ccall f_28510(C_word c,C_word *av) C_noret;
C_noret_decl(f_28517)
static void C_ccall f_28517(C_word c,C_word *av) C_noret;
C_noret_decl(f_28519)
static void C_fcall f_28519(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28532)
static void C_ccall f_28532(C_word c,C_word *av) C_noret;
C_noret_decl(f_28545)
static void C_ccall f_28545(C_word c,C_word *av) C_noret;
C_noret_decl(f_28548)
static void C_ccall f_28548(C_word c,C_word *av) C_noret;
C_noret_decl(f_28551)
static void C_ccall f_28551(C_word c,C_word *av) C_noret;
C_noret_decl(f_28558)
static void C_ccall f_28558(C_word c,C_word *av) C_noret;
C_noret_decl(f_28611)
static void C_ccall f_28611(C_word c,C_word *av) C_noret;
C_noret_decl(f_28614)
static void C_ccall f_28614(C_word c,C_word *av) C_noret;
C_noret_decl(f_28617)
static void C_ccall f_28617(C_word c,C_word *av) C_noret;
C_noret_decl(f_28619)
static void C_fcall f_28619(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28623)
static void C_ccall f_28623(C_word c,C_word *av) C_noret;
C_noret_decl(f_28627)
static void C_ccall f_28627(C_word c,C_word *av) C_noret;
C_noret_decl(f_28633)
static void C_ccall f_28633(C_word c,C_word *av) C_noret;
C_noret_decl(f_28638)
static void C_fcall f_28638(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28642)
static void C_ccall f_28642(C_word c,C_word *av) C_noret;
C_noret_decl(f_28654)
static void C_ccall f_28654(C_word c,C_word *av) C_noret;
C_noret_decl(f_28666)
static void C_ccall f_28666(C_word c,C_word *av) C_noret;
C_noret_decl(f_28673)
static void C_ccall f_28673(C_word c,C_word *av) C_noret;
C_noret_decl(f_28679)
static void C_fcall f_28679(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_28693)
static void C_ccall f_28693(C_word c,C_word *av) C_noret;
C_noret_decl(f_28702)
static void C_fcall f_28702(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28732)
static void C_ccall f_28732(C_word c,C_word *av) C_noret;
C_noret_decl(f_28751)
static void C_ccall f_28751(C_word c,C_word *av) C_noret;
C_noret_decl(f_28774)
static void C_ccall f_28774(C_word c,C_word *av) C_noret;
C_noret_decl(f_28783)
static void C_ccall f_28783(C_word c,C_word *av) C_noret;
C_noret_decl(f_28790)
static void C_ccall f_28790(C_word c,C_word *av) C_noret;
C_noret_decl(f_28807)
static void C_ccall f_28807(C_word c,C_word *av) C_noret;
C_noret_decl(f_28815)
static void C_ccall f_28815(C_word c,C_word *av) C_noret;
C_noret_decl(f_28826)
static void C_ccall f_28826(C_word c,C_word *av) C_noret;
C_noret_decl(f_28834)
static void C_ccall f_28834(C_word c,C_word *av) C_noret;
C_noret_decl(f_28841)
static void C_ccall f_28841(C_word c,C_word *av) C_noret;
C_noret_decl(f_28903)
static void C_ccall f_28903(C_word c,C_word *av) C_noret;
C_noret_decl(f_28910)
static void C_ccall f_28910(C_word c,C_word *av) C_noret;
C_noret_decl(f_28913)
static void C_ccall f_28913(C_word c,C_word *av) C_noret;
C_noret_decl(f_28919)
static void C_ccall f_28919(C_word c,C_word *av) C_noret;
C_noret_decl(f_28926)
static void C_ccall f_28926(C_word c,C_word *av) C_noret;
C_noret_decl(f_28930)
static void C_ccall f_28930(C_word c,C_word *av) C_noret;
C_noret_decl(f_28933)
static void C_ccall f_28933(C_word c,C_word *av) C_noret;
C_noret_decl(f_28941)
static void C_ccall f_28941(C_word c,C_word *av) C_noret;
C_noret_decl(f_28943)
static void C_ccall f_28943(C_word c,C_word *av) C_noret;
C_noret_decl(f_28952)
static void C_ccall f_28952(C_word c,C_word *av) C_noret;
C_noret_decl(f_28958)
static void C_ccall f_28958(C_word c,C_word *av) C_noret;
C_noret_decl(f_28969)
static void C_ccall f_28969(C_word c,C_word *av) C_noret;
C_noret_decl(f_28973)
static void C_ccall f_28973(C_word c,C_word *av) C_noret;
C_noret_decl(f_28975)
static void C_ccall f_28975(C_word c,C_word *av) C_noret;
C_noret_decl(f_28983)
static void C_ccall f_28983(C_word c,C_word *av) C_noret;
C_noret_decl(f_28995)
static void C_ccall f_28995(C_word c,C_word *av) C_noret;
C_noret_decl(f_29001)
static void C_fcall f_29001(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29005)
static void C_ccall f_29005(C_word c,C_word *av) C_noret;
C_noret_decl(f_29013)
static void C_fcall f_29013(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29031)
static void C_ccall f_29031(C_word c,C_word *av) C_noret;
C_noret_decl(f_29039)
static void C_ccall f_29039(C_word c,C_word *av) C_noret;
C_noret_decl(f_29043)
static void C_ccall f_29043(C_word c,C_word *av) C_noret;
C_noret_decl(f_29061)
static void C_ccall f_29061(C_word c,C_word *av) C_noret;
C_noret_decl(f_29068)
static void C_ccall f_29068(C_word c,C_word *av) C_noret;
C_noret_decl(f_29080)
static void C_ccall f_29080(C_word c,C_word *av) C_noret;
C_noret_decl(f_29088)
static void C_ccall f_29088(C_word c,C_word *av) C_noret;
C_noret_decl(f_29094)
static void C_fcall f_29094(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_29116)
static void C_ccall f_29116(C_word c,C_word *av) C_noret;
C_noret_decl(f_29120)
static void C_ccall f_29120(C_word c,C_word *av) C_noret;
C_noret_decl(f_29124)
static void C_ccall f_29124(C_word c,C_word *av) C_noret;
C_noret_decl(f_29126)
static void C_ccall f_29126(C_word c,C_word *av) C_noret;
C_noret_decl(f_29129)
static void C_ccall f_29129(C_word c,C_word *av) C_noret;
C_noret_decl(f_29132)
static void C_ccall f_29132(C_word c,C_word *av) C_noret;
C_noret_decl(f_29136)
static void C_ccall f_29136(C_word c,C_word *av) C_noret;
C_noret_decl(f_29139)
static void C_ccall f_29139(C_word c,C_word *av) C_noret;
C_noret_decl(f_29157)
static void C_ccall f_29157(C_word c,C_word *av) C_noret;
C_noret_decl(f_29163)
static void C_ccall f_29163(C_word c,C_word *av) C_noret;
C_noret_decl(f_29167)
static void C_ccall f_29167(C_word c,C_word *av) C_noret;
C_noret_decl(f_29184)
static void C_ccall f_29184(C_word c,C_word *av) C_noret;
C_noret_decl(f_29194)
static void C_ccall f_29194(C_word c,C_word *av) C_noret;
C_noret_decl(f_29198)
static void C_ccall f_29198(C_word c,C_word *av) C_noret;
C_noret_decl(f_29202)
static void C_ccall f_29202(C_word c,C_word *av) C_noret;
C_noret_decl(f_29214)
static void C_ccall f_29214(C_word c,C_word *av) C_noret;
C_noret_decl(f_29224)
static void C_ccall f_29224(C_word c,C_word *av) C_noret;
C_noret_decl(f_29228)
static void C_ccall f_29228(C_word c,C_word *av) C_noret;
C_noret_decl(f_29232)
static void C_fcall f_29232(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29260)
static void C_ccall f_29260(C_word c,C_word *av) C_noret;
C_noret_decl(f_29263)
static void C_ccall f_29263(C_word c,C_word *av) C_noret;
C_noret_decl(f_29266)
static void C_ccall f_29266(C_word c,C_word *av) C_noret;
C_noret_decl(f_29272)
static void C_fcall f_29272(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29285)
static void C_ccall f_29285(C_word c,C_word *av) C_noret;
C_noret_decl(f_29288)
static void C_ccall f_29288(C_word c,C_word *av) C_noret;
C_noret_decl(f_29297)
static void C_ccall f_29297(C_word c,C_word *av) C_noret;
C_noret_decl(f_29303)
static void C_ccall f_29303(C_word c,C_word *av) C_noret;
C_noret_decl(f_29309)
static void C_ccall f_29309(C_word c,C_word *av) C_noret;
C_noret_decl(f_29315)
static void C_ccall f_29315(C_word c,C_word *av) C_noret;
C_noret_decl(f_29321)
static void C_ccall f_29321(C_word c,C_word *av) C_noret;
C_noret_decl(f_29338)
static void C_ccall f_29338(C_word c,C_word *av) C_noret;
C_noret_decl(f_29344)
static void C_ccall f_29344(C_word c,C_word *av) C_noret;
C_noret_decl(f_29359)
static void C_ccall f_29359(C_word c,C_word *av) C_noret;
C_noret_decl(f_29363)
static void C_ccall f_29363(C_word c,C_word *av) C_noret;
C_noret_decl(f_29367)
static void C_ccall f_29367(C_word c,C_word *av) C_noret;
C_noret_decl(f_29371)
static void C_ccall f_29371(C_word c,C_word *av) C_noret;
C_noret_decl(f_29377)
static void C_ccall f_29377(C_word c,C_word *av) C_noret;
C_noret_decl(f_29379)
static void C_ccall f_29379(C_word c,C_word *av) C_noret;
C_noret_decl(f_29385)
static void C_fcall f_29385(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29389)
static void C_ccall f_29389(C_word c,C_word *av) C_noret;
C_noret_decl(f_29398)
static void C_ccall f_29398(C_word c,C_word *av) C_noret;
C_noret_decl(f_29407)
static void C_ccall f_29407(C_word c,C_word *av) C_noret;
C_noret_decl(f_29450)
static void C_ccall f_29450(C_word c,C_word *av) C_noret;
C_noret_decl(f_29472)
static void C_ccall f_29472(C_word c,C_word *av) C_noret;
C_noret_decl(f_29485)
static void C_ccall f_29485(C_word c,C_word *av) C_noret;
C_noret_decl(f_29510)
static void C_ccall f_29510(C_word c,C_word *av) C_noret;
C_noret_decl(f_29526)
static void C_ccall f_29526(C_word c,C_word *av) C_noret;
C_noret_decl(f_29542)
static void C_ccall f_29542(C_word c,C_word *av) C_noret;
C_noret_decl(f_29558)
static void C_ccall f_29558(C_word c,C_word *av) C_noret;
C_noret_decl(f_29574)
static void C_ccall f_29574(C_word c,C_word *av) C_noret;
C_noret_decl(f_29590)
static void C_ccall f_29590(C_word c,C_word *av) C_noret;
C_noret_decl(f_29606)
static void C_ccall f_29606(C_word c,C_word *av) C_noret;
C_noret_decl(f_29622)
static void C_ccall f_29622(C_word c,C_word *av) C_noret;
C_noret_decl(f_29638)
static void C_ccall f_29638(C_word c,C_word *av) C_noret;
C_noret_decl(f_29654)
static void C_ccall f_29654(C_word c,C_word *av) C_noret;
C_noret_decl(f_29661)
static void C_ccall f_29661(C_word c,C_word *av) C_noret;
C_noret_decl(f_29702)
static void C_ccall f_29702(C_word c,C_word *av) C_noret;
C_noret_decl(f_29714)
static void C_ccall f_29714(C_word c,C_word *av) C_noret;
C_noret_decl(f_29720)
static void C_ccall f_29720(C_word c,C_word *av) C_noret;
C_noret_decl(f_29739)
static void C_ccall f_29739(C_word c,C_word *av) C_noret;
C_noret_decl(f_29741)
static void C_ccall f_29741(C_word c,C_word *av) C_noret;
C_noret_decl(f_29764)
static C_word C_fcall f_29764(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_29810)
static void C_ccall f_29810(C_word c,C_word *av) C_noret;
C_noret_decl(f_29812)
static void C_ccall f_29812(C_word c,C_word *av) C_noret;
C_noret_decl(f_29819)
static void C_fcall f_29819(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29831)
static void C_fcall f_29831(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29875)
static void C_ccall f_29875(C_word c,C_word *av) C_noret;
C_noret_decl(f_29890)
static void C_fcall f_29890(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29898)
static void C_ccall f_29898(C_word c,C_word *av) C_noret;
C_noret_decl(f_29904)
static void C_fcall f_29904(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29912)
static void C_ccall f_29912(C_word c,C_word *av) C_noret;
C_noret_decl(f_29916)
static void C_ccall f_29916(C_word c,C_word *av) C_noret;
C_noret_decl(f_29922)
static void C_ccall f_29922(C_word c,C_word *av) C_noret;
C_noret_decl(f_29924)
static void C_fcall f_29924(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29933)
static void C_ccall f_29933(C_word c,C_word *av) C_noret;
C_noret_decl(f_29940)
static void C_ccall f_29940(C_word c,C_word *av) C_noret;
C_noret_decl(f_29944)
static void C_ccall f_29944(C_word c,C_word *av) C_noret;
C_noret_decl(f_29954)
static void C_ccall f_29954(C_word c,C_word *av) C_noret;
C_noret_decl(f_29961)
static void C_ccall f_29961(C_word c,C_word *av) C_noret;
C_noret_decl(f_29965)
static void C_ccall f_29965(C_word c,C_word *av) C_noret;
C_noret_decl(f_29975)
static void C_ccall f_29975(C_word c,C_word *av) C_noret;
C_noret_decl(f_29982)
static void C_ccall f_29982(C_word c,C_word *av) C_noret;
C_noret_decl(f_29986)
static void C_ccall f_29986(C_word c,C_word *av) C_noret;
C_noret_decl(f_29991)
static void C_ccall f_29991(C_word c,C_word *av) C_noret;
C_noret_decl(f_29997)
static void C_ccall f_29997(C_word c,C_word *av) C_noret;
C_noret_decl(f_30000)
static void C_ccall f_30000(C_word c,C_word *av) C_noret;
C_noret_decl(f_30003)
static void C_ccall f_30003(C_word c,C_word *av) C_noret;
C_noret_decl(f_30009)
static void C_ccall f_30009(C_word c,C_word *av) C_noret;
C_noret_decl(f_30018)
static void C_ccall f_30018(C_word c,C_word *av) C_noret;
C_noret_decl(f_30027)
static void C_ccall f_30027(C_word c,C_word *av) C_noret;
C_noret_decl(f_30033)
static void C_ccall f_30033(C_word c,C_word *av) C_noret;
C_noret_decl(f_30036)
static void C_ccall f_30036(C_word c,C_word *av) C_noret;
C_noret_decl(f_30039)
static void C_ccall f_30039(C_word c,C_word *av) C_noret;
C_noret_decl(f_30051)
static void C_ccall f_30051(C_word c,C_word *av) C_noret;
C_noret_decl(f_30054)
static void C_ccall f_30054(C_word c,C_word *av) C_noret;
C_noret_decl(f_30057)
static void C_ccall f_30057(C_word c,C_word *av) C_noret;
C_noret_decl(f_30060)
static void C_ccall f_30060(C_word c,C_word *av) C_noret;
C_noret_decl(f_30072)
static void C_ccall f_30072(C_word c,C_word *av) C_noret;
C_noret_decl(f_30075)
static void C_ccall f_30075(C_word c,C_word *av) C_noret;
C_noret_decl(f_30078)
static void C_ccall f_30078(C_word c,C_word *av) C_noret;
C_noret_decl(f_30081)
static void C_ccall f_30081(C_word c,C_word *av) C_noret;
C_noret_decl(f_30089)
static void C_ccall f_30089(C_word c,C_word *av) C_noret;
C_noret_decl(f_30092)
static void C_ccall f_30092(C_word c,C_word *av) C_noret;
C_noret_decl(f_30105)
static void C_ccall f_30105(C_word c,C_word *av) C_noret;
C_noret_decl(f_30106)
static void C_ccall f_30106(C_word c,C_word *av) C_noret;
C_noret_decl(f_30111)
static void C_ccall f_30111(C_word c,C_word *av) C_noret;
C_noret_decl(f_30112)
static void C_ccall f_30112(C_word c,C_word *av) C_noret;
C_noret_decl(f_30117)
static void C_ccall f_30117(C_word c,C_word *av) C_noret;
C_noret_decl(f_30118)
static void C_ccall f_30118(C_word c,C_word *av) C_noret;
C_noret_decl(f_30123)
static void C_ccall f_30123(C_word c,C_word *av) C_noret;
C_noret_decl(f_30124)
static void C_ccall f_30124(C_word c,C_word *av) C_noret;
C_noret_decl(f_30129)
static void C_ccall f_30129(C_word c,C_word *av) C_noret;
C_noret_decl(f_30130)
static void C_ccall f_30130(C_word c,C_word *av) C_noret;
C_noret_decl(f_30135)
static void C_fcall f_30135(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30137)
static void C_ccall f_30137(C_word c,C_word *av) C_noret;
C_noret_decl(f_30147)
static void C_ccall f_30147(C_word c,C_word *av) C_noret;
C_noret_decl(f_30150)
static void C_ccall f_30150(C_word c,C_word *av) C_noret;
C_noret_decl(f_30153)
static void C_ccall f_30153(C_word c,C_word *av) C_noret;
C_noret_decl(f_30156)
static void C_ccall f_30156(C_word c,C_word *av) C_noret;
C_noret_decl(f_30158)
static void C_fcall f_30158(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30172)
static void C_ccall f_30172(C_word c,C_word *av) C_noret;
C_noret_decl(f_30180)
static void C_ccall f_30180(C_word c,C_word *av) C_noret;
C_noret_decl(f_30184)
static void C_ccall f_30184(C_word c,C_word *av) C_noret;
C_noret_decl(f_30188)
static void C_ccall f_30188(C_word c,C_word *av) C_noret;
C_noret_decl(f_30192)
static void C_ccall f_30192(C_word c,C_word *av) C_noret;
C_noret_decl(f_30198)
static void C_ccall f_30198(C_word c,C_word *av) C_noret;
C_noret_decl(f_30205)
static void C_ccall f_30205(C_word c,C_word *av) C_noret;
C_noret_decl(f_30209)
static void C_ccall f_30209(C_word c,C_word *av) C_noret;
C_noret_decl(f_30213)
static void C_ccall f_30213(C_word c,C_word *av) C_noret;
C_noret_decl(f_30217)
static void C_ccall f_30217(C_word c,C_word *av) C_noret;
C_noret_decl(f_30256)
static void C_ccall f_30256(C_word c,C_word *av) C_noret;
C_noret_decl(f_30259)
static void C_ccall f_30259(C_word c,C_word *av) C_noret;
C_noret_decl(f_30262)
static void C_ccall f_30262(C_word c,C_word *av) C_noret;
C_noret_decl(f_30265)
static void C_ccall f_30265(C_word c,C_word *av) C_noret;
C_noret_decl(f_30268)
static void C_ccall f_30268(C_word c,C_word *av) C_noret;
C_noret_decl(f_30276)
static void C_ccall f_30276(C_word c,C_word *av) C_noret;
C_noret_decl(f_30286)
static void C_ccall f_30286(C_word c,C_word *av) C_noret;
C_noret_decl(f_30308)
static void C_ccall f_30308(C_word c,C_word *av) C_noret;
C_noret_decl(f_30314)
static void C_fcall f_30314(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_30334)
static void C_ccall f_30334(C_word c,C_word *av) C_noret;
C_noret_decl(f_30349)
static void C_ccall f_30349(C_word c,C_word *av) C_noret;
C_noret_decl(f_30353)
static void C_ccall f_30353(C_word c,C_word *av) C_noret;
C_noret_decl(f_30376)
static void C_ccall f_30376(C_word c,C_word *av) C_noret;
C_noret_decl(f_30380)
static void C_ccall f_30380(C_word c,C_word *av) C_noret;
C_noret_decl(f_30397)
static void C_ccall f_30397(C_word c,C_word *av) C_noret;
C_noret_decl(f_30404)
static void C_ccall f_30404(C_word c,C_word *av) C_noret;
C_noret_decl(f_30426)
static void C_ccall f_30426(C_word c,C_word *av) C_noret;
C_noret_decl(f_30431)
static void C_fcall f_30431(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30446)
static void C_ccall f_30446(C_word c,C_word *av) C_noret;
C_noret_decl(f_30449)
static void C_ccall f_30449(C_word c,C_word *av) C_noret;
C_noret_decl(f_30452)
static void C_ccall f_30452(C_word c,C_word *av) C_noret;
C_noret_decl(f_30455)
static void C_ccall f_30455(C_word c,C_word *av) C_noret;
C_noret_decl(f_30458)
static void C_ccall f_30458(C_word c,C_word *av) C_noret;
C_noret_decl(f_30461)
static void C_ccall f_30461(C_word c,C_word *av) C_noret;
C_noret_decl(f_30464)
static void C_fcall f_30464(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30467)
static void C_fcall f_30467(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30470)
static void C_fcall f_30470(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30473)
static void C_fcall f_30473(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30476)
static void C_fcall f_30476(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30480)
static void C_ccall f_30480(C_word c,C_word *av) C_noret;
C_noret_decl(f_30483)
static void C_ccall f_30483(C_word c,C_word *av) C_noret;
C_noret_decl(f_30488)
static void C_ccall f_30488(C_word c,C_word *av) C_noret;
C_noret_decl(f_30494)
static void C_ccall f_30494(C_word c,C_word *av) C_noret;
C_noret_decl(f_30507)
static void C_ccall f_30507(C_word c,C_word *av) C_noret;
C_noret_decl(f_30509)
static void C_fcall f_30509(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30519)
static void C_ccall f_30519(C_word c,C_word *av) C_noret;
C_noret_decl(f_30532)
static void C_ccall f_30532(C_word c,C_word *av) C_noret;
C_noret_decl(f_30539)
static void C_ccall f_30539(C_word c,C_word *av) C_noret;
C_noret_decl(f_30543)
static void C_ccall f_30543(C_word c,C_word *av) C_noret;
C_noret_decl(f_30545)
static void C_fcall f_30545(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30574)
static void C_ccall f_30574(C_word c,C_word *av) C_noret;
C_noret_decl(f_30576)
static void C_fcall f_30576(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30601)
static void C_ccall f_30601(C_word c,C_word *av) C_noret;
C_noret_decl(f_30610)
static void C_ccall f_30610(C_word c,C_word *av) C_noret;
C_noret_decl(f_30613)
static void C_ccall f_30613(C_word c,C_word *av) C_noret;
C_noret_decl(f_30619)
static void C_fcall f_30619(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30643)
static void C_ccall f_30643(C_word c,C_word *av) C_noret;
C_noret_decl(f_30650)
static void C_ccall f_30650(C_word c,C_word *av) C_noret;
C_noret_decl(f_30654)
static void C_ccall f_30654(C_word c,C_word *av) C_noret;
C_noret_decl(f_30666)
static void C_ccall f_30666(C_word c,C_word *av) C_noret;
C_noret_decl(f_30674)
static void C_ccall f_30674(C_word c,C_word *av) C_noret;
C_noret_decl(f_30678)
static void C_ccall f_30678(C_word c,C_word *av) C_noret;
C_noret_decl(f_30687)
static void C_ccall f_30687(C_word c,C_word *av) C_noret;
C_noret_decl(f_30696)
static void C_ccall f_30696(C_word c,C_word *av) C_noret;
C_noret_decl(f_30706)
static void C_ccall f_30706(C_word c,C_word *av) C_noret;
C_noret_decl(f_30714)
static void C_ccall f_30714(C_word c,C_word *av) C_noret;
C_noret_decl(f_30718)
static void C_ccall f_30718(C_word c,C_word *av) C_noret;
C_noret_decl(f_30722)
static void C_ccall f_30722(C_word c,C_word *av) C_noret;
C_noret_decl(f_30752)
static void C_ccall f_30752(C_word c,C_word *av) C_noret;
C_noret_decl(f_30756)
static void C_ccall f_30756(C_word c,C_word *av) C_noret;
C_noret_decl(f_30760)
static void C_ccall f_30760(C_word c,C_word *av) C_noret;
C_noret_decl(f_30764)
static void C_ccall f_30764(C_word c,C_word *av) C_noret;
C_noret_decl(f_30768)
static void C_ccall f_30768(C_word c,C_word *av) C_noret;
C_noret_decl(f_30772)
static void C_ccall f_30772(C_word c,C_word *av) C_noret;
C_noret_decl(f_30775)
static void C_ccall f_30775(C_word c,C_word *av) C_noret;
C_noret_decl(f_30778)
static void C_ccall f_30778(C_word c,C_word *av) C_noret;
C_noret_decl(f_30788)
static void C_ccall f_30788(C_word c,C_word *av) C_noret;
C_noret_decl(f_30791)
static void C_ccall f_30791(C_word c,C_word *av) C_noret;
C_noret_decl(f_30793)
static void C_ccall f_30793(C_word c,C_word *av) C_noret;
C_noret_decl(f_30810)
static C_word C_fcall f_30810(C_word t0);
C_noret_decl(f_30837)
static void C_ccall f_30837(C_word c,C_word *av) C_noret;
C_noret_decl(f_30846)
static void C_ccall f_30846(C_word c,C_word *av) C_noret;
C_noret_decl(f_30866)
static void C_ccall f_30866(C_word c,C_word *av) C_noret;
C_noret_decl(f_30870)
static void C_ccall f_30870(C_word c,C_word *av) C_noret;
C_noret_decl(f_30874)
static void C_ccall f_30874(C_word c,C_word *av) C_noret;
C_noret_decl(f_30878)
static void C_ccall f_30878(C_word c,C_word *av) C_noret;
C_noret_decl(f_30882)
static void C_ccall f_30882(C_word c,C_word *av) C_noret;
C_noret_decl(f_30886)
static void C_ccall f_30886(C_word c,C_word *av) C_noret;
C_noret_decl(f_30890)
static void C_ccall f_30890(C_word c,C_word *av) C_noret;
C_noret_decl(f_30892)
static void C_ccall f_30892(C_word c,C_word *av) C_noret;
C_noret_decl(f_30901)
static void C_ccall f_30901(C_word c,C_word *av) C_noret;
C_noret_decl(f_30911)
static void C_ccall f_30911(C_word c,C_word *av) C_noret;
C_noret_decl(f_30936)
static void C_ccall f_30936(C_word c,C_word *av) C_noret;
C_noret_decl(f_30939)
static void C_ccall f_30939(C_word c,C_word *av) C_noret;
C_noret_decl(f_30941)
static void C_ccall f_30941(C_word c,C_word *av) C_noret;
C_noret_decl(f_30957)
static void C_fcall f_30957(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30976)
static void C_fcall f_30976(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30986)
static void C_ccall f_30986(C_word c,C_word *av) C_noret;
C_noret_decl(f_30996)
static void C_ccall f_30996(C_word c,C_word *av) C_noret;
C_noret_decl(f_31020)
static void C_ccall f_31020(C_word c,C_word *av) C_noret;
C_noret_decl(f_31024)
static void C_ccall f_31024(C_word c,C_word *av) C_noret;
C_noret_decl(f_31026)
static void C_ccall f_31026(C_word c,C_word *av) C_noret;
C_noret_decl(f_31030)
static void C_ccall f_31030(C_word c,C_word *av) C_noret;
C_noret_decl(f_31033)
static void C_ccall f_31033(C_word c,C_word *av) C_noret;
C_noret_decl(f_31048)
static void C_ccall f_31048(C_word c,C_word *av) C_noret;
C_noret_decl(f_31054)
static void C_ccall f_31054(C_word c,C_word *av) C_noret;
C_noret_decl(f_31058)
static void C_ccall f_31058(C_word c,C_word *av) C_noret;
C_noret_decl(f_31067)
static void C_ccall f_31067(C_word c,C_word *av) C_noret;
C_noret_decl(f_31070)
static void C_ccall f_31070(C_word c,C_word *av) C_noret;
C_noret_decl(f_31073)
static void C_ccall f_31073(C_word c,C_word *av) C_noret;
C_noret_decl(f_31076)
static void C_ccall f_31076(C_word c,C_word *av) C_noret;
C_noret_decl(f_31079)
static void C_ccall f_31079(C_word c,C_word *av) C_noret;
C_noret_decl(f_31085)
static void C_ccall f_31085(C_word c,C_word *av) C_noret;
C_noret_decl(f_31091)
static void C_ccall f_31091(C_word c,C_word *av) C_noret;
C_noret_decl(f_31094)
static void C_ccall f_31094(C_word c,C_word *av) C_noret;
C_noret_decl(f_31099)
static void C_ccall f_31099(C_word c,C_word *av) C_noret;
C_noret_decl(f_31109)
static void C_ccall f_31109(C_word c,C_word *av) C_noret;
C_noret_decl(f_31121)
static void C_ccall f_31121(C_word c,C_word *av) C_noret;
C_noret_decl(f_31129)
static void C_fcall f_31129(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31139)
static void C_ccall f_31139(C_word c,C_word *av) C_noret;
C_noret_decl(f_31155)
static void C_ccall f_31155(C_word c,C_word *av) C_noret;
C_noret_decl(f_31161)
static void C_ccall f_31161(C_word c,C_word *av) C_noret;
C_noret_decl(f_31164)
static void C_ccall f_31164(C_word c,C_word *av) C_noret;
C_noret_decl(f_31167)
static void C_ccall f_31167(C_word c,C_word *av) C_noret;
C_noret_decl(f_31168)
static void C_fcall f_31168(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31172)
static void C_ccall f_31172(C_word c,C_word *av) C_noret;
C_noret_decl(f_31178)
static void C_ccall f_31178(C_word c,C_word *av) C_noret;
C_noret_decl(f_31182)
static void C_ccall f_31182(C_word c,C_word *av) C_noret;
C_noret_decl(f_31184)
static void C_fcall f_31184(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31194)
static void C_ccall f_31194(C_word c,C_word *av) C_noret;
C_noret_decl(f_31211)
static void C_ccall f_31211(C_word c,C_word *av) C_noret;
C_noret_decl(f_31214)
static void C_ccall f_31214(C_word c,C_word *av) C_noret;
C_noret_decl(f_31218)
static void C_ccall f_31218(C_word c,C_word *av) C_noret;
C_noret_decl(f_31223)
static void C_ccall f_31223(C_word c,C_word *av) C_noret;
C_noret_decl(f_31229)
static void C_ccall f_31229(C_word c,C_word *av) C_noret;
C_noret_decl(f_31236)
static void C_ccall f_31236(C_word c,C_word *av) C_noret;
C_noret_decl(f_31245)
static void C_ccall f_31245(C_word c,C_word *av) C_noret;
C_noret_decl(f_31253)
static void C_ccall f_31253(C_word c,C_word *av) C_noret;
C_noret_decl(f_31278)
static void C_ccall f_31278(C_word c,C_word *av) C_noret;
C_noret_decl(f_31296)
static void C_ccall f_31296(C_word c,C_word *av) C_noret;
C_noret_decl(f_31300)
static void C_ccall f_31300(C_word c,C_word *av) C_noret;
C_noret_decl(f_31315)
static void C_ccall f_31315(C_word c,C_word *av) C_noret;
C_noret_decl(f_31319)
static void C_ccall f_31319(C_word c,C_word *av) C_noret;
C_noret_decl(f_31334)
static void C_ccall f_31334(C_word c,C_word *av) C_noret;
C_noret_decl(f_31337)
static void C_ccall f_31337(C_word c,C_word *av) C_noret;
C_noret_decl(f_31340)
static void C_ccall f_31340(C_word c,C_word *av) C_noret;
C_noret_decl(f_31350)
static void C_fcall f_31350(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31381)
static void C_ccall f_31381(C_word c,C_word *av) C_noret;
C_noret_decl(f_31405)
static void C_ccall f_31405(C_word c,C_word *av) C_noret;
C_noret_decl(f_31415)
static void C_ccall f_31415(C_word c,C_word *av) C_noret;
C_noret_decl(f_31424)
static void C_ccall f_31424(C_word c,C_word *av) C_noret;
C_noret_decl(f_31465)
static void C_ccall f_31465(C_word c,C_word *av) C_noret;
C_noret_decl(f_31484)
static void C_ccall f_31484(C_word c,C_word *av) C_noret;
C_noret_decl(f_31493)
static void C_ccall f_31493(C_word c,C_word *av) C_noret;
C_noret_decl(f_31503)
static void C_ccall f_31503(C_word c,C_word *av) C_noret;
C_noret_decl(f_31513)
static void C_ccall f_31513(C_word c,C_word *av) C_noret;
C_noret_decl(f_31523)
static void C_ccall f_31523(C_word c,C_word *av) C_noret;
C_noret_decl(f_31533)
static void C_ccall f_31533(C_word c,C_word *av) C_noret;
C_noret_decl(f_31543)
static void C_ccall f_31543(C_word c,C_word *av) C_noret;
C_noret_decl(f_31553)
static void C_ccall f_31553(C_word c,C_word *av) C_noret;
C_noret_decl(f_31563)
static void C_ccall f_31563(C_word c,C_word *av) C_noret;
C_noret_decl(f_31573)
static void C_ccall f_31573(C_word c,C_word *av) C_noret;
C_noret_decl(f_31583)
static void C_ccall f_31583(C_word c,C_word *av) C_noret;
C_noret_decl(f_31593)
static void C_ccall f_31593(C_word c,C_word *av) C_noret;
C_noret_decl(f_31603)
static void C_ccall f_31603(C_word c,C_word *av) C_noret;
C_noret_decl(f_31613)
static void C_ccall f_31613(C_word c,C_word *av) C_noret;
C_noret_decl(f_31623)
static void C_ccall f_31623(C_word c,C_word *av) C_noret;
C_noret_decl(f_31639)
static void C_ccall f_31639(C_word c,C_word *av) C_noret;
C_noret_decl(f_31647)
static void C_ccall f_31647(C_word c,C_word *av) C_noret;
C_noret_decl(f_31663)
static void C_ccall f_31663(C_word c,C_word *av) C_noret;
C_noret_decl(f_31679)
static void C_ccall f_31679(C_word c,C_word *av) C_noret;
C_noret_decl(f_31689)
static void C_ccall f_31689(C_word c,C_word *av) C_noret;
C_noret_decl(f_31699)
static void C_ccall f_31699(C_word c,C_word *av) C_noret;
C_noret_decl(f_31718)
static void C_ccall f_31718(C_word c,C_word *av) C_noret;
C_noret_decl(f_31734)
static void C_ccall f_31734(C_word c,C_word *av) C_noret;
C_noret_decl(f_31747)
static void C_ccall f_31747(C_word c,C_word *av) C_noret;
C_noret_decl(f_31753)
static void C_ccall f_31753(C_word c,C_word *av) C_noret;
C_noret_decl(f_31776)
static void C_ccall f_31776(C_word c,C_word *av) C_noret;
C_noret_decl(f_31780)
static void C_ccall f_31780(C_word c,C_word *av) C_noret;
C_noret_decl(f_31784)
static void C_ccall f_31784(C_word c,C_word *av) C_noret;
C_noret_decl(f_31787)
static void C_ccall f_31787(C_word c,C_word *av) C_noret;
C_noret_decl(f_31793)
static void C_ccall f_31793(C_word c,C_word *av) C_noret;
C_noret_decl(f_31816)
static void C_ccall f_31816(C_word c,C_word *av) C_noret;
C_noret_decl(f_31820)
static void C_ccall f_31820(C_word c,C_word *av) C_noret;
C_noret_decl(f_31824)
static void C_ccall f_31824(C_word c,C_word *av) C_noret;
C_noret_decl(f_31827)
static void C_ccall f_31827(C_word c,C_word *av) C_noret;
C_noret_decl(f_31830)
static void C_ccall f_31830(C_word c,C_word *av) C_noret;
C_noret_decl(f_31833)
static void C_ccall f_31833(C_word c,C_word *av) C_noret;
C_noret_decl(f_31839)
static void C_ccall f_31839(C_word c,C_word *av) C_noret;
C_noret_decl(f_31842)
static void C_ccall f_31842(C_word c,C_word *av) C_noret;
C_noret_decl(f_31845)
static void C_ccall f_31845(C_word c,C_word *av) C_noret;
C_noret_decl(f_31853)
static void C_fcall f_31853(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31855)
static void C_fcall f_31855(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_31879)
static void C_ccall f_31879(C_word c,C_word *av) C_noret;
C_noret_decl(f_31902)
static void C_ccall f_31902(C_word c,C_word *av) C_noret;
C_noret_decl(f_31906)
static void C_ccall f_31906(C_word c,C_word *av) C_noret;
C_noret_decl(f_31910)
static void C_ccall f_31910(C_word c,C_word *av) C_noret;
C_noret_decl(f_31944)
static void C_ccall f_31944(C_word c,C_word *av) C_noret;
C_noret_decl(f_31948)
static void C_ccall f_31948(C_word c,C_word *av) C_noret;
C_noret_decl(f_31951)
static void C_fcall f_31951(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31964)
static void C_fcall f_31964(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_31997)
static void C_ccall f_31997(C_word c,C_word *av) C_noret;
C_noret_decl(f_32012)
static void C_ccall f_32012(C_word c,C_word *av) C_noret;
C_noret_decl(f_32016)
static void C_ccall f_32016(C_word c,C_word *av) C_noret;
C_noret_decl(f_32040)
static void C_ccall f_32040(C_word c,C_word *av) C_noret;
C_noret_decl(f_32048)
static void C_ccall f_32048(C_word c,C_word *av) C_noret;
C_noret_decl(f_32052)
static void C_ccall f_32052(C_word c,C_word *av) C_noret;
C_noret_decl(f_32063)
static void C_ccall f_32063(C_word c,C_word *av) C_noret;
C_noret_decl(f_32067)
static void C_ccall f_32067(C_word c,C_word *av) C_noret;
C_noret_decl(f_32071)
static void C_ccall f_32071(C_word c,C_word *av) C_noret;
C_noret_decl(f_32085)
static void C_ccall f_32085(C_word c,C_word *av) C_noret;
C_noret_decl(f_32117)
static void C_ccall f_32117(C_word c,C_word *av) C_noret;
C_noret_decl(f_8515)
static void C_ccall f_8515(C_word c,C_word *av) C_noret;
C_noret_decl(f_8517)
static void C_ccall f_8517(C_word c,C_word *av) C_noret;
C_noret_decl(f_8520)
static void C_ccall f_8520(C_word c,C_word *av) C_noret;
C_noret_decl(f_8523)
static void C_ccall f_8523(C_word c,C_word *av) C_noret;
C_noret_decl(f_8526)
static void C_ccall f_8526(C_word c,C_word *av) C_noret;
C_noret_decl(f_8529)
static void C_ccall f_8529(C_word c,C_word *av) C_noret;
C_noret_decl(f_8532)
static void C_ccall f_8532(C_word c,C_word *av) C_noret;
C_noret_decl(f_8535)
static void C_ccall f_8535(C_word c,C_word *av) C_noret;
C_noret_decl(f_8538)
static void C_ccall f_8538(C_word c,C_word *av) C_noret;
C_noret_decl(f_8541)
static void C_ccall f_8541(C_word c,C_word *av) C_noret;
C_noret_decl(f_8544)
static void C_ccall f_8544(C_word c,C_word *av) C_noret;
C_noret_decl(f_8547)
static void C_ccall f_8547(C_word c,C_word *av) C_noret;
C_noret_decl(f_8550)
static void C_ccall f_8550(C_word c,C_word *av) C_noret;
C_noret_decl(f_8553)
static void C_ccall f_8553(C_word c,C_word *av) C_noret;
C_noret_decl(f_8556)
static void C_ccall f_8556(C_word c,C_word *av) C_noret;
C_noret_decl(f_8559)
static void C_ccall f_8559(C_word c,C_word *av) C_noret;
C_noret_decl(f_8562)
static void C_ccall f_8562(C_word c,C_word *av) C_noret;
C_noret_decl(f_8565)
static void C_ccall f_8565(C_word c,C_word *av) C_noret;
C_noret_decl(f_8568)
static void C_ccall f_8568(C_word c,C_word *av) C_noret;
C_noret_decl(f_8571)
static void C_ccall f_8571(C_word c,C_word *av) C_noret;
C_noret_decl(f_8585)
static void C_ccall f_8585(C_word c,C_word *av) C_noret;
C_noret_decl(f_8592)
static void C_ccall f_8592(C_word c,C_word *av) C_noret;
C_noret_decl(f_8599)
static void C_ccall f_8599(C_word c,C_word *av) C_noret;
C_noret_decl(f_8613)
static void C_ccall f_8613(C_word c,C_word *av) C_noret;
C_noret_decl(f_8620)
static void C_ccall f_8620(C_word c,C_word *av) C_noret;
C_noret_decl(f_8634)
static void C_ccall f_8634(C_word c,C_word *av) C_noret;
C_noret_decl(f_8648)
static void C_ccall f_8648(C_word c,C_word *av) C_noret;
C_noret_decl(f_8666)
static void C_ccall f_8666(C_word c,C_word *av) C_noret;
C_noret_decl(f_8677)
static void C_ccall f_8677(C_word c,C_word *av) C_noret;
C_noret_decl(f_8688)
static void C_ccall f_8688(C_word c,C_word *av) C_noret;
C_noret_decl(f_8695)
static void C_ccall f_8695(C_word c,C_word *av) C_noret;
C_noret_decl(f_8706)
static void C_ccall f_8706(C_word c,C_word *av) C_noret;
C_noret_decl(f_8710)
static void C_ccall f_8710(C_word c,C_word *av) C_noret;
C_noret_decl(f_8717)
static void C_ccall f_8717(C_word c,C_word *av) C_noret;
C_noret_decl(f_8735)
static void C_ccall f_8735(C_word c,C_word *av) C_noret;
C_noret_decl(f_8746)
static void C_ccall f_8746(C_word c,C_word *av) C_noret;
C_noret_decl(f_8757)
static void C_ccall f_8757(C_word c,C_word *av) C_noret;
C_noret_decl(f_8764)
static void C_ccall f_8764(C_word c,C_word *av) C_noret;
C_noret_decl(f_8782)
static void C_ccall f_8782(C_word c,C_word *av) C_noret;
C_noret_decl(f_8793)
static void C_ccall f_8793(C_word c,C_word *av) C_noret;
C_noret_decl(f_8811)
static void C_ccall f_8811(C_word c,C_word *av) C_noret;
C_noret_decl(f_8817)
static void C_ccall f_8817(C_word c,C_word *av) C_noret;
C_noret_decl(f_8820)
static void C_ccall f_8820(C_word c,C_word *av) C_noret;
C_noret_decl(f_8823)
static void C_ccall f_8823(C_word c,C_word *av) C_noret;
C_noret_decl(f_8826)
static void C_ccall f_8826(C_word c,C_word *av) C_noret;
C_noret_decl(f_8829)
static void C_ccall f_8829(C_word c,C_word *av) C_noret;
C_noret_decl(f_8835)
static void C_fcall f_8835(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_8868)
static void C_ccall f_8868(C_word c,C_word *av) C_noret;
C_noret_decl(f_8871)
static void C_ccall f_8871(C_word c,C_word *av) C_noret;
C_noret_decl(f_8874)
static void C_ccall f_8874(C_word c,C_word *av) C_noret;
C_noret_decl(f_8877)
static void C_ccall f_8877(C_word c,C_word *av) C_noret;
C_noret_decl(f_8880)
static void C_ccall f_8880(C_word c,C_word *av) C_noret;
C_noret_decl(f_8883)
static void C_ccall f_8883(C_word c,C_word *av) C_noret;
C_noret_decl(f_8886)
static void C_ccall f_8886(C_word c,C_word *av) C_noret;
C_noret_decl(f_8889)
static void C_ccall f_8889(C_word c,C_word *av) C_noret;
C_noret_decl(f_8892)
static void C_ccall f_8892(C_word c,C_word *av) C_noret;
C_noret_decl(f_8895)
static void C_ccall f_8895(C_word c,C_word *av) C_noret;
C_noret_decl(f_8898)
static void C_ccall f_8898(C_word c,C_word *av) C_noret;
C_noret_decl(f_8901)
static void C_ccall f_8901(C_word c,C_word *av) C_noret;
C_noret_decl(f_8904)
static void C_ccall f_8904(C_word c,C_word *av) C_noret;
C_noret_decl(f_8908)
static void C_ccall f_8908(C_word c,C_word *av) C_noret;
C_noret_decl(f_8911)
static void C_ccall f_8911(C_word c,C_word *av) C_noret;
C_noret_decl(f_8917)
static void C_ccall f_8917(C_word c,C_word *av) C_noret;
C_noret_decl(f_8920)
static void C_ccall f_8920(C_word c,C_word *av) C_noret;
C_noret_decl(f_8923)
static void C_ccall f_8923(C_word c,C_word *av) C_noret;
C_noret_decl(f_8926)
static void C_ccall f_8926(C_word c,C_word *av) C_noret;
C_noret_decl(f_8929)
static void C_ccall f_8929(C_word c,C_word *av) C_noret;
C_noret_decl(f_8937)
static void C_ccall f_8937(C_word c,C_word *av) C_noret;
C_noret_decl(f_8941)
static void C_ccall f_8941(C_word c,C_word *av) C_noret;
C_noret_decl(f_8944)
static void C_ccall f_8944(C_word c,C_word *av) C_noret;
C_noret_decl(f_8947)
static void C_ccall f_8947(C_word c,C_word *av) C_noret;
C_noret_decl(f_8950)
static void C_ccall f_8950(C_word c,C_word *av) C_noret;
C_noret_decl(f_8953)
static void C_ccall f_8953(C_word c,C_word *av) C_noret;
C_noret_decl(f_8956)
static void C_ccall f_8956(C_word c,C_word *av) C_noret;
C_noret_decl(f_8959)
static void C_ccall f_8959(C_word c,C_word *av) C_noret;
C_noret_decl(f_8962)
static void C_ccall f_8962(C_word c,C_word *av) C_noret;
C_noret_decl(f_8966)
static void C_ccall f_8966(C_word c,C_word *av) C_noret;
C_noret_decl(f_8969)
static void C_ccall f_8969(C_word c,C_word *av) C_noret;
C_noret_decl(f_8972)
static void C_ccall f_8972(C_word c,C_word *av) C_noret;
C_noret_decl(f_8975)
static void C_ccall f_8975(C_word c,C_word *av) C_noret;
C_noret_decl(f_8978)
static void C_ccall f_8978(C_word c,C_word *av) C_noret;
C_noret_decl(f_8986)
static void C_ccall f_8986(C_word c,C_word *av) C_noret;
C_noret_decl(f_8989)
static void C_ccall f_8989(C_word c,C_word *av) C_noret;
C_noret_decl(f_8996)
static void C_ccall f_8996(C_word c,C_word *av) C_noret;
C_noret_decl(f_9000)
static void C_ccall f_9000(C_word c,C_word *av) C_noret;
C_noret_decl(f_9003)
static void C_ccall f_9003(C_word c,C_word *av) C_noret;
C_noret_decl(f_9006)
static void C_ccall f_9006(C_word c,C_word *av) C_noret;
C_noret_decl(f_9009)
static void C_ccall f_9009(C_word c,C_word *av) C_noret;
C_noret_decl(f_9012)
static void C_ccall f_9012(C_word c,C_word *av) C_noret;
C_noret_decl(f_9015)
static void C_ccall f_9015(C_word c,C_word *av) C_noret;
C_noret_decl(f_9018)
static void C_ccall f_9018(C_word c,C_word *av) C_noret;
C_noret_decl(f_9024)
static void C_ccall f_9024(C_word c,C_word *av) C_noret;
C_noret_decl(f_9035)
static void C_ccall f_9035(C_word c,C_word *av) C_noret;
C_noret_decl(f_9041)
static void C_ccall f_9041(C_word c,C_word *av) C_noret;
C_noret_decl(f_9047)
static void C_ccall f_9047(C_word c,C_word *av) C_noret;
C_noret_decl(f_9053)
static void C_ccall f_9053(C_word c,C_word *av) C_noret;
C_noret_decl(f_9059)
static void C_ccall f_9059(C_word c,C_word *av) C_noret;
C_noret_decl(f_9065)
static void C_ccall f_9065(C_word c,C_word *av) C_noret;
C_noret_decl(f_9072)
static void C_ccall f_9072(C_word c,C_word *av) C_noret;
C_noret_decl(f_9078)
static void C_ccall f_9078(C_word c,C_word *av) C_noret;
C_noret_decl(f_9094)
static void C_ccall f_9094(C_word c,C_word *av) C_noret;
C_noret_decl(f_9105)
static void C_ccall f_9105(C_word c,C_word *av) C_noret;
C_noret_decl(f_9111)
static void C_ccall f_9111(C_word c,C_word *av) C_noret;
C_noret_decl(f_9117)
static void C_ccall f_9117(C_word c,C_word *av) C_noret;
C_noret_decl(f_9123)
static void C_ccall f_9123(C_word c,C_word *av) C_noret;
C_noret_decl(f_9129)
static void C_ccall f_9129(C_word c,C_word *av) C_noret;
C_noret_decl(f_9138)
static void C_ccall f_9138(C_word c,C_word *av) C_noret;
C_noret_decl(f_9141)
static void C_ccall f_9141(C_word c,C_word *av) C_noret;
C_noret_decl(f_9144)
static void C_ccall f_9144(C_word c,C_word *av) C_noret;
C_noret_decl(f_9147)
static void C_ccall f_9147(C_word c,C_word *av) C_noret;
C_noret_decl(f_9150)
static void C_ccall f_9150(C_word c,C_word *av) C_noret;
C_noret_decl(f_9153)
static void C_ccall f_9153(C_word c,C_word *av) C_noret;
C_noret_decl(f_9157)
static void C_ccall f_9157(C_word c,C_word *av) C_noret;
C_noret_decl(f_9163)
static void C_ccall f_9163(C_word c,C_word *av) C_noret;
C_noret_decl(f_9169)
static void C_ccall f_9169(C_word c,C_word *av) C_noret;
C_noret_decl(f_9202)
static void C_ccall f_9202(C_word c,C_word *av) C_noret;
C_noret_decl(f_9205)
static void C_ccall f_9205(C_word c,C_word *av) C_noret;
C_noret_decl(f_9208)
static void C_ccall f_9208(C_word c,C_word *av) C_noret;
C_noret_decl(f_9216)
static void C_ccall f_9216(C_word c,C_word *av) C_noret;
C_noret_decl(f_9221)
static void C_ccall f_9221(C_word c,C_word *av) C_noret;
C_noret_decl(f_9227)
static void C_ccall f_9227(C_word c,C_word *av) C_noret;
C_noret_decl(f_9242)
static void C_ccall f_9242(C_word c,C_word *av) C_noret;
C_noret_decl(f_9263)
static void C_ccall f_9263(C_word c,C_word *av) C_noret;
C_noret_decl(f_9269)
static void C_ccall f_9269(C_word c,C_word *av) C_noret;
C_noret_decl(f_9275)
static void C_ccall f_9275(C_word c,C_word *av) C_noret;
C_noret_decl(f_9282)
static void C_ccall f_9282(C_word c,C_word *av) C_noret;
C_noret_decl(f_9287)
static void C_ccall f_9287(C_word c,C_word *av) C_noret;
C_noret_decl(f_9290)
static void C_ccall f_9290(C_word c,C_word *av) C_noret;
C_noret_decl(f_9299)
static void C_fcall f_9299(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9317)
static void C_ccall f_9317(C_word c,C_word *av) C_noret;
C_noret_decl(f_9327)
static void C_ccall f_9327(C_word c,C_word *av) C_noret;
C_noret_decl(f_9336)
static void C_fcall f_9336(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9354)
static void C_ccall f_9354(C_word c,C_word *av) C_noret;
C_noret_decl(f_9367)
static void C_ccall f_9367(C_word c,C_word *av) C_noret;
C_noret_decl(f_9374)
static void C_ccall f_9374(C_word c,C_word *av) C_noret;
C_noret_decl(f_9381)
static void C_ccall f_9381(C_word c,C_word *av) C_noret;
C_noret_decl(f_9392)
static void C_ccall f_9392(C_word c,C_word *av) C_noret;
C_noret_decl(f_9399)
static void C_ccall f_9399(C_word c,C_word *av) C_noret;
C_noret_decl(f_9411)
static void C_ccall f_9411(C_word c,C_word *av) C_noret;
C_noret_decl(f_9414)
static void C_ccall f_9414(C_word c,C_word *av) C_noret;
C_noret_decl(f_9416)
static void C_ccall f_9416(C_word c,C_word *av) C_noret;
C_noret_decl(f_9422)
static void C_fcall f_9422(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9438)
static void C_ccall f_9438(C_word c,C_word *av) C_noret;
C_noret_decl(f_9447)
static void C_ccall f_9447(C_word c,C_word *av) C_noret;
C_noret_decl(f_9449)
static void C_ccall f_9449(C_word c,C_word *av) C_noret;
C_noret_decl(f_9455)
static void C_fcall f_9455(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9468)
static void C_ccall f_9468(C_word c,C_word *av) C_noret;
C_noret_decl(f_9484)
static void C_ccall f_9484(C_word c,C_word *av) C_noret;
C_noret_decl(f_9495)
static void C_ccall f_9495(C_word c,C_word *av) C_noret;
C_noret_decl(f_9497)
static void C_ccall f_9497(C_word c,C_word *av) C_noret;
C_noret_decl(f_9505)
static void C_ccall f_9505(C_word c,C_word *av) C_noret;
C_noret_decl(f_9507)
static void C_ccall f_9507(C_word c,C_word *av) C_noret;
C_noret_decl(f_9513)
static void C_ccall f_9513(C_word c,C_word *av) C_noret;
C_noret_decl(f_9515)
static void C_ccall f_9515(C_word c,C_word *av) C_noret;
C_noret_decl(f_9523)
static void C_ccall f_9523(C_word c,C_word *av) C_noret;
C_noret_decl(f_9525)
static void C_ccall f_9525(C_word c,C_word *av) C_noret;
C_noret_decl(f_9528)
static void C_ccall f_9528(C_word c,C_word *av) C_noret;
C_noret_decl(f_9536)
static void C_ccall f_9536(C_word c,C_word *av) C_noret;
C_noret_decl(f_9542)
static void C_ccall f_9542(C_word c,C_word *av) C_noret;
C_noret_decl(f_9550)
static void C_ccall f_9550(C_word c,C_word *av) C_noret;
C_noret_decl(f_9561)
static void C_ccall f_9561(C_word c,C_word *av) C_noret;
C_noret_decl(f_9573)
static void C_fcall f_9573(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9587)
static void C_ccall f_9587(C_word c,C_word *av) C_noret;
C_noret_decl(f_9595)
static void C_ccall f_9595(C_word c,C_word *av) C_noret;
C_noret_decl(f_9598)
static void C_ccall f_9598(C_word c,C_word *av) C_noret;
C_noret_decl(f_9600)
static void C_ccall f_9600(C_word c,C_word *av) C_noret;
C_noret_decl(f_9602)
static void C_ccall f_9602(C_word c,C_word *av) C_noret;
C_noret_decl(f_9608)
static void C_fcall f_9608(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9627)
static void C_ccall f_9627(C_word c,C_word *av) C_noret;
C_noret_decl(f_9644)
static void C_ccall f_9644(C_word c,C_word *av) C_noret;
C_noret_decl(f_9652)
static void C_ccall f_9652(C_word c,C_word *av) C_noret;
C_noret_decl(f_9666)
static void C_ccall f_9666(C_word c,C_word *av) C_noret;
C_noret_decl(f_9672)
static void C_fcall f_9672(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9691)
static void C_ccall f_9691(C_word c,C_word *av) C_noret;
C_noret_decl(f_9700)
static void C_ccall f_9700(C_word c,C_word *av) C_noret;
C_noret_decl(f_9703)
static void C_ccall f_9703(C_word c,C_word *av) C_noret;
C_noret_decl(f_9715)
static C_word C_fcall f_9715(C_word t0,C_word t1);
C_noret_decl(f_9731)
static void C_ccall f_9731(C_word c,C_word *av) C_noret;
C_noret_decl(f_9737)
static void C_fcall f_9737(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9762)
static void C_ccall f_9762(C_word c,C_word *av) C_noret;
C_noret_decl(f_9764)
static void C_ccall f_9764(C_word c,C_word *av) C_noret;
C_noret_decl(f_9773)
static void C_fcall f_9773(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9794)
static void C_ccall f_9794(C_word c,C_word *av) C_noret;
C_noret_decl(f_9796)
static void C_ccall f_9796(C_word c,C_word *av) C_noret;
C_noret_decl(f_9802)
static void C_fcall f_9802(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9828)
static void C_ccall f_9828(C_word c,C_word *av) C_noret;
C_noret_decl(f_9835)
static void C_ccall f_9835(C_word c,C_word *av) C_noret;
C_noret_decl(f_9837)
static void C_ccall f_9837(C_word c,C_word *av) C_noret;
C_noret_decl(f_9841)
static void C_fcall f_9841(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9849)
static void C_fcall f_9849(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9884)
static void C_ccall f_9884(C_word c,C_word *av) C_noret;
C_noret_decl(f_9894)
static void C_ccall f_9894(C_word c,C_word *av) C_noret;
C_noret_decl(f_9903)
static void C_fcall f_9903(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9945)
static void C_ccall f_9945(C_word c,C_word *av) C_noret;
C_noret_decl(f_9974)
static void C_ccall f_9974(C_word c,C_word *av) C_noret;
C_noret_decl(f_9981)
static void C_fcall f_9981(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9984)
static void C_ccall f_9984(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externexport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

C_noret_decl(trf_10019)
static void C_ccall trf_10019(C_word c,C_word *av) C_noret;
static void C_ccall trf_10019(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10019(t0,t1,t2);}

C_noret_decl(trf_10069)
static void C_ccall trf_10069(C_word c,C_word *av) C_noret;
static void C_ccall trf_10069(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10069(t0,t1,t2);}

C_noret_decl(trf_10180)
static void C_ccall trf_10180(C_word c,C_word *av) C_noret;
static void C_ccall trf_10180(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10180(t0,t1);}

C_noret_decl(trf_10211)
static void C_ccall trf_10211(C_word c,C_word *av) C_noret;
static void C_ccall trf_10211(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10211(t0,t1,t2);}

C_noret_decl(trf_10283)
static void C_ccall trf_10283(C_word c,C_word *av) C_noret;
static void C_ccall trf_10283(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10283(t0,t1);}

C_noret_decl(trf_10288)
static void C_ccall trf_10288(C_word c,C_word *av) C_noret;
static void C_ccall trf_10288(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10288(t0,t1,t2);}

C_noret_decl(trf_10882)
static void C_ccall trf_10882(C_word c,C_word *av) C_noret;
static void C_ccall trf_10882(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_10882(t0,t1,t2,t3);}

C_noret_decl(trf_10931)
static void C_ccall trf_10931(C_word c,C_word *av) C_noret;
static void C_ccall trf_10931(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10931(t0,t1);}

C_noret_decl(trf_11138)
static void C_ccall trf_11138(C_word c,C_word *av) C_noret;
static void C_ccall trf_11138(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11138(t0,t1,t2);}

C_noret_decl(trf_11157)
static void C_ccall trf_11157(C_word c,C_word *av) C_noret;
static void C_ccall trf_11157(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11157(t0,t1,t2);}

C_noret_decl(trf_11211)
static void C_ccall trf_11211(C_word c,C_word *av) C_noret;
static void C_ccall trf_11211(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11211(t0,t1,t2,t3);}

C_noret_decl(trf_11307)
static void C_ccall trf_11307(C_word c,C_word *av) C_noret;
static void C_ccall trf_11307(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11307(t0,t1,t2,t3);}

C_noret_decl(trf_11465)
static void C_ccall trf_11465(C_word c,C_word *av) C_noret;
static void C_ccall trf_11465(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11465(t0,t1);}

C_noret_decl(trf_11474)
static void C_ccall trf_11474(C_word c,C_word *av) C_noret;
static void C_ccall trf_11474(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11474(t0,t1);}

C_noret_decl(trf_11757)
static void C_ccall trf_11757(C_word c,C_word *av) C_noret;
static void C_ccall trf_11757(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11757(t0,t1,t2,t3);}

C_noret_decl(trf_11846)
static void C_ccall trf_11846(C_word c,C_word *av) C_noret;
static void C_ccall trf_11846(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11846(t0,t1,t2,t3);}

C_noret_decl(trf_11867)
static void C_ccall trf_11867(C_word c,C_word *av) C_noret;
static void C_ccall trf_11867(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_11867(t0,t1,t2,t3,t4);}

C_noret_decl(trf_12596)
static void C_ccall trf_12596(C_word c,C_word *av) C_noret;
static void C_ccall trf_12596(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12596(t0,t1,t2);}

C_noret_decl(trf_12769)
static void C_ccall trf_12769(C_word c,C_word *av) C_noret;
static void C_ccall trf_12769(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12769(t0,t1,t2);}

C_noret_decl(trf_12948)
static void C_ccall trf_12948(C_word c,C_word *av) C_noret;
static void C_ccall trf_12948(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12948(t0,t1,t2,t3);}

C_noret_decl(trf_12965)
static void C_ccall trf_12965(C_word c,C_word *av) C_noret;
static void C_ccall trf_12965(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12965(t0,t1,t2,t3);}

C_noret_decl(trf_13128)
static void C_ccall trf_13128(C_word c,C_word *av) C_noret;
static void C_ccall trf_13128(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13128(t0,t1,t2,t3);}

C_noret_decl(trf_13166)
static void C_ccall trf_13166(C_word c,C_word *av) C_noret;
static void C_ccall trf_13166(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13166(t0,t1);}

C_noret_decl(trf_13560)
static void C_ccall trf_13560(C_word c,C_word *av) C_noret;
static void C_ccall trf_13560(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_13560(t0,t1,t2);}

C_noret_decl(trf_13563)
static void C_ccall trf_13563(C_word c,C_word *av) C_noret;
static void C_ccall trf_13563(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13563(t0,t1,t2,t3);}

C_noret_decl(trf_13728)
static void C_ccall trf_13728(C_word c,C_word *av) C_noret;
static void C_ccall trf_13728(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13728(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13771)
static void C_ccall trf_13771(C_word c,C_word *av) C_noret;
static void C_ccall trf_13771(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13771(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13868)
static void C_ccall trf_13868(C_word c,C_word *av) C_noret;
static void C_ccall trf_13868(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13868(t0,t1);}

C_noret_decl(trf_14016)
static void C_ccall trf_14016(C_word c,C_word *av) C_noret;
static void C_ccall trf_14016(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14016(t0,t1);}

C_noret_decl(trf_14022)
static void C_ccall trf_14022(C_word c,C_word *av) C_noret;
static void C_ccall trf_14022(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14022(t0,t1);}

C_noret_decl(trf_14069)
static void C_ccall trf_14069(C_word c,C_word *av) C_noret;
static void C_ccall trf_14069(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14069(t0,t1);}

C_noret_decl(trf_14075)
static void C_ccall trf_14075(C_word c,C_word *av) C_noret;
static void C_ccall trf_14075(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14075(t0,t1);}

C_noret_decl(trf_14510)
static void C_ccall trf_14510(C_word c,C_word *av) C_noret;
static void C_ccall trf_14510(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14510(t0,t1);}

C_noret_decl(trf_14549)
static void C_ccall trf_14549(C_word c,C_word *av) C_noret;
static void C_ccall trf_14549(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14549(t0,t1,t2,t3);}

C_noret_decl(trf_14631)
static void C_ccall trf_14631(C_word c,C_word *av) C_noret;
static void C_ccall trf_14631(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14631(t0,t1,t2,t3);}

C_noret_decl(trf_14668)
static void C_ccall trf_14668(C_word c,C_word *av) C_noret;
static void C_ccall trf_14668(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14668(t0,t1,t2);}

C_noret_decl(trf_14680)
static void C_ccall trf_14680(C_word c,C_word *av) C_noret;
static void C_ccall trf_14680(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14680(t0,t1,t2);}

C_noret_decl(trf_14723)
static void C_ccall trf_14723(C_word c,C_word *av) C_noret;
static void C_ccall trf_14723(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14723(t0,t1);}

C_noret_decl(trf_14829)
static void C_ccall trf_14829(C_word c,C_word *av) C_noret;
static void C_ccall trf_14829(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14829(t0,t1);}

C_noret_decl(trf_14838)
static void C_ccall trf_14838(C_word c,C_word *av) C_noret;
static void C_ccall trf_14838(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14838(t0,t1);}

C_noret_decl(trf_14925)
static void C_ccall trf_14925(C_word c,C_word *av) C_noret;
static void C_ccall trf_14925(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14925(t0,t1,t2,t3);}

C_noret_decl(trf_15021)
static void C_ccall trf_15021(C_word c,C_word *av) C_noret;
static void C_ccall trf_15021(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15021(t0,t1,t2,t3);}

C_noret_decl(trf_15083)
static void C_ccall trf_15083(C_word c,C_word *av) C_noret;
static void C_ccall trf_15083(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15083(t0,t1,t2,t3);}

C_noret_decl(trf_15284)
static void C_ccall trf_15284(C_word c,C_word *av) C_noret;
static void C_ccall trf_15284(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15284(t0,t1);}

C_noret_decl(trf_15338)
static void C_ccall trf_15338(C_word c,C_word *av) C_noret;
static void C_ccall trf_15338(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15338(t0,t1,t2);}

C_noret_decl(trf_15376)
static void C_ccall trf_15376(C_word c,C_word *av) C_noret;
static void C_ccall trf_15376(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15376(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15389)
static void C_ccall trf_15389(C_word c,C_word *av) C_noret;
static void C_ccall trf_15389(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15389(t0,t1,t2,t3);}

C_noret_decl(trf_15463)
static void C_ccall trf_15463(C_word c,C_word *av) C_noret;
static void C_ccall trf_15463(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15463(t0,t1,t2);}

C_noret_decl(trf_15469)
static void C_ccall trf_15469(C_word c,C_word *av) C_noret;
static void C_ccall trf_15469(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15469(t0,t1,t2);}

C_noret_decl(trf_15532)
static void C_ccall trf_15532(C_word c,C_word *av) C_noret;
static void C_ccall trf_15532(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15532(t0,t1);}

C_noret_decl(trf_15571)
static void C_ccall trf_15571(C_word c,C_word *av) C_noret;
static void C_ccall trf_15571(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15571(t0,t1,t2);}

C_noret_decl(trf_15577)
static void C_ccall trf_15577(C_word c,C_word *av) C_noret;
static void C_ccall trf_15577(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15577(t0,t1,t2);}

C_noret_decl(trf_15621)
static void C_ccall trf_15621(C_word c,C_word *av) C_noret;
static void C_ccall trf_15621(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15621(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15677)
static void C_ccall trf_15677(C_word c,C_word *av) C_noret;
static void C_ccall trf_15677(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15677(t0,t1,t2);}

C_noret_decl(trf_15692)
static void C_ccall trf_15692(C_word c,C_word *av) C_noret;
static void C_ccall trf_15692(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15692(t0,t1);}

C_noret_decl(trf_15738)
static void C_ccall trf_15738(C_word c,C_word *av) C_noret;
static void C_ccall trf_15738(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15738(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15757)
static void C_ccall trf_15757(C_word c,C_word *av) C_noret;
static void C_ccall trf_15757(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15757(t0,t1);}

C_noret_decl(trf_15760)
static void C_ccall trf_15760(C_word c,C_word *av) C_noret;
static void C_ccall trf_15760(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15760(t0,t1);}

C_noret_decl(trf_15769)
static void C_ccall trf_15769(C_word c,C_word *av) C_noret;
static void C_ccall trf_15769(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15769(t0,t1);}

C_noret_decl(trf_15796)
static void C_ccall trf_15796(C_word c,C_word *av) C_noret;
static void C_ccall trf_15796(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15796(t0,t1);}

C_noret_decl(trf_15950)
static void C_ccall trf_15950(C_word c,C_word *av) C_noret;
static void C_ccall trf_15950(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15950(t0,t1,t2,t3);}

C_noret_decl(trf_15957)
static void C_ccall trf_15957(C_word c,C_word *av) C_noret;
static void C_ccall trf_15957(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15957(t0,t1);}

C_noret_decl(trf_15976)
static void C_ccall trf_15976(C_word c,C_word *av) C_noret;
static void C_ccall trf_15976(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15976(t0,t1);}

C_noret_decl(trf_16028)
static void C_ccall trf_16028(C_word c,C_word *av) C_noret;
static void C_ccall trf_16028(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16028(t0,t1);}

C_noret_decl(trf_16293)
static void C_ccall trf_16293(C_word c,C_word *av) C_noret;
static void C_ccall trf_16293(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_16293(t0,t1,t2);}

C_noret_decl(trf_16308)
static void C_ccall trf_16308(C_word c,C_word *av) C_noret;
static void C_ccall trf_16308(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16308(t0,t1);}

C_noret_decl(trf_16334)
static void C_ccall trf_16334(C_word c,C_word *av) C_noret;
static void C_ccall trf_16334(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16334(t0,t1);}

C_noret_decl(trf_16366)
static void C_ccall trf_16366(C_word c,C_word *av) C_noret;
static void C_ccall trf_16366(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16366(t0,t1);}

C_noret_decl(trf_16427)
static void C_ccall trf_16427(C_word c,C_word *av) C_noret;
static void C_ccall trf_16427(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16427(t0,t1);}

C_noret_decl(trf_16547)
static void C_ccall trf_16547(C_word c,C_word *av) C_noret;
static void C_ccall trf_16547(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16547(t0,t1);}

C_noret_decl(trf_16638)
static void C_ccall trf_16638(C_word c,C_word *av) C_noret;
static void C_ccall trf_16638(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16638(t0,t1);}

C_noret_decl(trf_16784)
static void C_ccall trf_16784(C_word c,C_word *av) C_noret;
static void C_ccall trf_16784(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_16784(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_16791)
static void C_ccall trf_16791(C_word c,C_word *av) C_noret;
static void C_ccall trf_16791(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16791(t0,t1);}

C_noret_decl(trf_17069)
static void C_ccall trf_17069(C_word c,C_word *av) C_noret;
static void C_ccall trf_17069(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_17069(t0,t1,t2,t3,t4);}

C_noret_decl(trf_17096)
static void C_ccall trf_17096(C_word c,C_word *av) C_noret;
static void C_ccall trf_17096(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17096(t0,t1,t2);}

C_noret_decl(trf_17137)
static void C_ccall trf_17137(C_word c,C_word *av) C_noret;
static void C_ccall trf_17137(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17137(t0,t1,t2,t3);}

C_noret_decl(trf_17373)
static void C_ccall trf_17373(C_word c,C_word *av) C_noret;
static void C_ccall trf_17373(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17373(t0,t1,t2);}

C_noret_decl(trf_17638)
static void C_ccall trf_17638(C_word c,C_word *av) C_noret;
static void C_ccall trf_17638(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17638(t0,t1,t2);}

C_noret_decl(trf_17712)
static void C_ccall trf_17712(C_word c,C_word *av) C_noret;
static void C_ccall trf_17712(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_17712(t0,t1);}

C_noret_decl(trf_17857)
static void C_ccall trf_17857(C_word c,C_word *av) C_noret;
static void C_ccall trf_17857(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17857(t0,t1,t2,t3);}

C_noret_decl(trf_17958)
static void C_ccall trf_17958(C_word c,C_word *av) C_noret;
static void C_ccall trf_17958(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17958(t0,t1,t2);}

C_noret_decl(trf_18003)
static void C_ccall trf_18003(C_word c,C_word *av) C_noret;
static void C_ccall trf_18003(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18003(t0,t1);}

C_noret_decl(trf_18166)
static void C_ccall trf_18166(C_word c,C_word *av) C_noret;
static void C_ccall trf_18166(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18166(t0,t1,t2);}

C_noret_decl(trf_18204)
static void C_ccall trf_18204(C_word c,C_word *av) C_noret;
static void C_ccall trf_18204(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18204(t0,t1,t2);}

C_noret_decl(trf_18294)
static void C_ccall trf_18294(C_word c,C_word *av) C_noret;
static void C_ccall trf_18294(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18294(t0,t1);}

C_noret_decl(trf_18353)
static void C_ccall trf_18353(C_word c,C_word *av) C_noret;
static void C_ccall trf_18353(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18353(t0,t1,t2);}

C_noret_decl(trf_18383)
static void C_ccall trf_18383(C_word c,C_word *av) C_noret;
static void C_ccall trf_18383(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18383(t0,t1,t2);}

C_noret_decl(trf_18442)
static void C_ccall trf_18442(C_word c,C_word *av) C_noret;
static void C_ccall trf_18442(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18442(t0,t1,t2);}

C_noret_decl(trf_18483)
static void C_ccall trf_18483(C_word c,C_word *av) C_noret;
static void C_ccall trf_18483(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18483(t0,t1,t2);}

C_noret_decl(trf_18602)
static void C_ccall trf_18602(C_word c,C_word *av) C_noret;
static void C_ccall trf_18602(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18602(t0,t1,t2);}

C_noret_decl(trf_18992)
static void C_ccall trf_18992(C_word c,C_word *av) C_noret;
static void C_ccall trf_18992(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_18992(t0,t1,t2,t3,t4);}

C_noret_decl(trf_19035)
static void C_ccall trf_19035(C_word c,C_word *av) C_noret;
static void C_ccall trf_19035(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19035(t0,t1,t2);}

C_noret_decl(trf_19090)
static void C_ccall trf_19090(C_word c,C_word *av) C_noret;
static void C_ccall trf_19090(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19090(t0,t1,t2,t3);}

C_noret_decl(trf_19346)
static void C_ccall trf_19346(C_word c,C_word *av) C_noret;
static void C_ccall trf_19346(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19346(t0,t1,t2);}

C_noret_decl(trf_19359)
static void C_ccall trf_19359(C_word c,C_word *av) C_noret;
static void C_ccall trf_19359(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19359(t0,t1,t2);}

C_noret_decl(trf_19418)
static void C_ccall trf_19418(C_word c,C_word *av) C_noret;
static void C_ccall trf_19418(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19418(t0,t1,t2);}

C_noret_decl(trf_19672)
static void C_ccall trf_19672(C_word c,C_word *av) C_noret;
static void C_ccall trf_19672(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_19672(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_19676)
static void C_ccall trf_19676(C_word c,C_word *av) C_noret;
static void C_ccall trf_19676(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19676(t0,t1);}

C_noret_decl(trf_19706)
static void C_ccall trf_19706(C_word c,C_word *av) C_noret;
static void C_ccall trf_19706(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19706(t0,t1);}

C_noret_decl(trf_19726)
static void C_ccall trf_19726(C_word c,C_word *av) C_noret;
static void C_ccall trf_19726(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19726(t0,t1,t2,t3);}

C_noret_decl(trf_19735)
static void C_ccall trf_19735(C_word c,C_word *av) C_noret;
static void C_ccall trf_19735(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19735(t0,t1,t2);}

C_noret_decl(trf_19740)
static void C_ccall trf_19740(C_word c,C_word *av) C_noret;
static void C_ccall trf_19740(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19740(t0,t1);}

C_noret_decl(trf_20105)
static void C_ccall trf_20105(C_word c,C_word *av) C_noret;
static void C_ccall trf_20105(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20105(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20114)
static void C_ccall trf_20114(C_word c,C_word *av) C_noret;
static void C_ccall trf_20114(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20114(t0,t1);}

C_noret_decl(trf_20124)
static void C_ccall trf_20124(C_word c,C_word *av) C_noret;
static void C_ccall trf_20124(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20124(t0,t1,t2);}

C_noret_decl(trf_20131)
static void C_ccall trf_20131(C_word c,C_word *av) C_noret;
static void C_ccall trf_20131(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20131(t0,t1);}

C_noret_decl(trf_20151)
static void C_ccall trf_20151(C_word c,C_word *av) C_noret;
static void C_ccall trf_20151(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20151(t0,t1,t2);}

C_noret_decl(trf_20160)
static void C_ccall trf_20160(C_word c,C_word *av) C_noret;
static void C_ccall trf_20160(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20160(t0,t1,t2);}

C_noret_decl(trf_20175)
static void C_ccall trf_20175(C_word c,C_word *av) C_noret;
static void C_ccall trf_20175(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20175(t0,t1);}

C_noret_decl(trf_20178)
static void C_ccall trf_20178(C_word c,C_word *av) C_noret;
static void C_ccall trf_20178(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20178(t0,t1);}

C_noret_decl(trf_20188)
static void C_ccall trf_20188(C_word c,C_word *av) C_noret;
static void C_ccall trf_20188(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20188(t0,t1,t2);}

C_noret_decl(trf_20226)
static void C_ccall trf_20226(C_word c,C_word *av) C_noret;
static void C_ccall trf_20226(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20226(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20232)
static void C_ccall trf_20232(C_word c,C_word *av) C_noret;
static void C_ccall trf_20232(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20232(t0,t1,t2,t3);}

C_noret_decl(trf_20286)
static void C_ccall trf_20286(C_word c,C_word *av) C_noret;
static void C_ccall trf_20286(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20286(t0,t1,t2);}

C_noret_decl(trf_20298)
static void C_ccall trf_20298(C_word c,C_word *av) C_noret;
static void C_ccall trf_20298(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20298(t0,t1,t2,t3);}

C_noret_decl(trf_20323)
static void C_ccall trf_20323(C_word c,C_word *av) C_noret;
static void C_ccall trf_20323(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20323(t0,t1,t2);}

C_noret_decl(trf_20333)
static void C_ccall trf_20333(C_word c,C_word *av) C_noret;
static void C_ccall trf_20333(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20333(t0,t1,t2,t3);}

C_noret_decl(trf_20514)
static void C_ccall trf_20514(C_word c,C_word *av) C_noret;
static void C_ccall trf_20514(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20514(t0,t1);}

C_noret_decl(trf_20605)
static void C_ccall trf_20605(C_word c,C_word *av) C_noret;
static void C_ccall trf_20605(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20605(t0,t1);}

C_noret_decl(trf_20625)
static void C_ccall trf_20625(C_word c,C_word *av) C_noret;
static void C_ccall trf_20625(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20625(t0,t1);}

C_noret_decl(trf_20630)
static void C_ccall trf_20630(C_word c,C_word *av) C_noret;
static void C_ccall trf_20630(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20630(t0,t1,t2,t3);}

C_noret_decl(trf_20729)
static void C_ccall trf_20729(C_word c,C_word *av) C_noret;
static void C_ccall trf_20729(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20729(t0,t1);}

C_noret_decl(trf_20877)
static void C_ccall trf_20877(C_word c,C_word *av) C_noret;
static void C_ccall trf_20877(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20877(t0,t1,t2,t3);}

C_noret_decl(trf_20886)
static void C_ccall trf_20886(C_word c,C_word *av) C_noret;
static void C_ccall trf_20886(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20886(t0,t1,t2);}

C_noret_decl(trf_20941)
static void C_ccall trf_20941(C_word c,C_word *av) C_noret;
static void C_ccall trf_20941(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20941(t0,t1,t2);}

C_noret_decl(trf_20948)
static void C_ccall trf_20948(C_word c,C_word *av) C_noret;
static void C_ccall trf_20948(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20948(t0,t1);}

C_noret_decl(trf_20991)
static void C_ccall trf_20991(C_word c,C_word *av) C_noret;
static void C_ccall trf_20991(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20991(t0,t1);}

C_noret_decl(trf_21139)
static void C_ccall trf_21139(C_word c,C_word *av) C_noret;
static void C_ccall trf_21139(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21139(t0,t1);}

C_noret_decl(trf_21157)
static void C_ccall trf_21157(C_word c,C_word *av) C_noret;
static void C_ccall trf_21157(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21157(t0,t1,t2,t3);}

C_noret_decl(trf_21192)
static void C_ccall trf_21192(C_word c,C_word *av) C_noret;
static void C_ccall trf_21192(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21192(t0,t1);}

C_noret_decl(trf_21227)
static void C_ccall trf_21227(C_word c,C_word *av) C_noret;
static void C_ccall trf_21227(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21227(t0,t1,t2);}

C_noret_decl(trf_21278)
static void C_ccall trf_21278(C_word c,C_word *av) C_noret;
static void C_ccall trf_21278(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21278(t0,t1,t2);}

C_noret_decl(trf_21345)
static void C_ccall trf_21345(C_word c,C_word *av) C_noret;
static void C_ccall trf_21345(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21345(t0,t1);}

C_noret_decl(trf_21355)
static void C_ccall trf_21355(C_word c,C_word *av) C_noret;
static void C_ccall trf_21355(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21355(t0,t1,t2,t3);}

C_noret_decl(trf_21365)
static void C_ccall trf_21365(C_word c,C_word *av) C_noret;
static void C_ccall trf_21365(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21365(t0,t1);}

C_noret_decl(trf_21409)
static void C_ccall trf_21409(C_word c,C_word *av) C_noret;
static void C_ccall trf_21409(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21409(t0,t1);}

C_noret_decl(trf_21419)
static void C_ccall trf_21419(C_word c,C_word *av) C_noret;
static void C_ccall trf_21419(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21419(t0,t1,t2,t3);}

C_noret_decl(trf_21429)
static void C_ccall trf_21429(C_word c,C_word *av) C_noret;
static void C_ccall trf_21429(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21429(t0,t1);}

C_noret_decl(trf_21455)
static void C_ccall trf_21455(C_word c,C_word *av) C_noret;
static void C_ccall trf_21455(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21455(t0,t1);}

C_noret_decl(trf_21480)
static void C_ccall trf_21480(C_word c,C_word *av) C_noret;
static void C_ccall trf_21480(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21480(t0,t1,t2);}

C_noret_decl(trf_21486)
static void C_ccall trf_21486(C_word c,C_word *av) C_noret;
static void C_ccall trf_21486(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21486(t0,t1,t2,t3);}

C_noret_decl(trf_21499)
static void C_ccall trf_21499(C_word c,C_word *av) C_noret;
static void C_ccall trf_21499(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21499(t0,t1);}

C_noret_decl(trf_21505)
static void C_ccall trf_21505(C_word c,C_word *av) C_noret;
static void C_ccall trf_21505(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21505(t0,t1);}

C_noret_decl(trf_21694)
static void C_ccall trf_21694(C_word c,C_word *av) C_noret;
static void C_ccall trf_21694(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21694(t0,t1);}

C_noret_decl(trf_21733)
static void C_ccall trf_21733(C_word c,C_word *av) C_noret;
static void C_ccall trf_21733(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21733(t0,t1);}

C_noret_decl(trf_21878)
static void C_ccall trf_21878(C_word c,C_word *av) C_noret;
static void C_ccall trf_21878(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21878(t0,t1);}

C_noret_decl(trf_21903)
static void C_ccall trf_21903(C_word c,C_word *av) C_noret;
static void C_ccall trf_21903(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21903(t0,t1);}

C_noret_decl(trf_21909)
static void C_ccall trf_21909(C_word c,C_word *av) C_noret;
static void C_ccall trf_21909(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21909(t0,t1,t2);}

C_noret_decl(trf_21990)
static void C_ccall trf_21990(C_word c,C_word *av) C_noret;
static void C_ccall trf_21990(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21990(t0,t1);}

C_noret_decl(trf_22003)
static void C_ccall trf_22003(C_word c,C_word *av) C_noret;
static void C_ccall trf_22003(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22003(t0,t1,t2);}

C_noret_decl(trf_22046)
static void C_ccall trf_22046(C_word c,C_word *av) C_noret;
static void C_ccall trf_22046(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22046(t0,t1);}

C_noret_decl(trf_22164)
static void C_ccall trf_22164(C_word c,C_word *av) C_noret;
static void C_ccall trf_22164(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22164(t0,t1);}

C_noret_decl(trf_22244)
static void C_ccall trf_22244(C_word c,C_word *av) C_noret;
static void C_ccall trf_22244(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22244(t0,t1);}

C_noret_decl(trf_22538)
static void C_ccall trf_22538(C_word c,C_word *av) C_noret;
static void C_ccall trf_22538(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22538(t0,t1);}

C_noret_decl(trf_22611)
static void C_ccall trf_22611(C_word c,C_word *av) C_noret;
static void C_ccall trf_22611(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22611(t0,t1);}

C_noret_decl(trf_23160)
static void C_ccall trf_23160(C_word c,C_word *av) C_noret;
static void C_ccall trf_23160(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23160(t0,t1,t2);}

C_noret_decl(trf_23206)
static void C_ccall trf_23206(C_word c,C_word *av) C_noret;
static void C_ccall trf_23206(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23206(t0,t1,t2,t3);}

C_noret_decl(trf_23469)
static void C_ccall trf_23469(C_word c,C_word *av) C_noret;
static void C_ccall trf_23469(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23469(t0,t1,t2);}

C_noret_decl(trf_23520)
static void C_ccall trf_23520(C_word c,C_word *av) C_noret;
static void C_ccall trf_23520(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23520(t0,t1,t2);}

C_noret_decl(trf_23579)
static void C_ccall trf_23579(C_word c,C_word *av) C_noret;
static void C_ccall trf_23579(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23579(t0,t1,t2,t3);}

C_noret_decl(trf_23651)
static void C_ccall trf_23651(C_word c,C_word *av) C_noret;
static void C_ccall trf_23651(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23651(t0,t1,t2,t3);}

C_noret_decl(trf_23711)
static void C_ccall trf_23711(C_word c,C_word *av) C_noret;
static void C_ccall trf_23711(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23711(t0,t1,t2,t3);}

C_noret_decl(trf_23735)
static void C_ccall trf_23735(C_word c,C_word *av) C_noret;
static void C_ccall trf_23735(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23735(t0,t1,t2,t3);}

C_noret_decl(trf_23747)
static void C_ccall trf_23747(C_word c,C_word *av) C_noret;
static void C_ccall trf_23747(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23747(t0,t1,t2);}

C_noret_decl(trf_23824)
static void C_ccall trf_23824(C_word c,C_word *av) C_noret;
static void C_ccall trf_23824(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23824(t0,t1,t2);}

C_noret_decl(trf_23873)
static void C_ccall trf_23873(C_word c,C_word *av) C_noret;
static void C_ccall trf_23873(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23873(t0,t1,t2);}

C_noret_decl(trf_23889)
static void C_ccall trf_23889(C_word c,C_word *av) C_noret;
static void C_ccall trf_23889(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_23889(t0,t1);}

C_noret_decl(trf_23915)
static void C_ccall trf_23915(C_word c,C_word *av) C_noret;
static void C_ccall trf_23915(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_23915(t0,t1);}

C_noret_decl(trf_23973)
static void C_ccall trf_23973(C_word c,C_word *av) C_noret;
static void C_ccall trf_23973(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_23973(t0,t1);}

C_noret_decl(trf_24035)
static void C_ccall trf_24035(C_word c,C_word *av) C_noret;
static void C_ccall trf_24035(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24035(t0,t1,t2);}

C_noret_decl(trf_24094)
static void C_ccall trf_24094(C_word c,C_word *av) C_noret;
static void C_ccall trf_24094(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24094(t0,t1,t2);}

C_noret_decl(trf_24251)
static void C_ccall trf_24251(C_word c,C_word *av) C_noret;
static void C_ccall trf_24251(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24251(t0,t1,t2,t3);}

C_noret_decl(trf_24430)
static void C_ccall trf_24430(C_word c,C_word *av) C_noret;
static void C_ccall trf_24430(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24430(t0,t1,t2);}

C_noret_decl(trf_24440)
static void C_ccall trf_24440(C_word c,C_word *av) C_noret;
static void C_ccall trf_24440(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24440(t0,t1);}

C_noret_decl(trf_24502)
static void C_ccall trf_24502(C_word c,C_word *av) C_noret;
static void C_ccall trf_24502(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24502(t0,t1,t2);}

C_noret_decl(trf_24641)
static void C_ccall trf_24641(C_word c,C_word *av) C_noret;
static void C_ccall trf_24641(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24641(t0,t1,t2,t3);}

C_noret_decl(trf_25014)
static void C_ccall trf_25014(C_word c,C_word *av) C_noret;
static void C_ccall trf_25014(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_25014(t0,t1,t2,t3,t4);}

C_noret_decl(trf_25034)
static void C_ccall trf_25034(C_word c,C_word *av) C_noret;
static void C_ccall trf_25034(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_25034(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_25088)
static void C_ccall trf_25088(C_word c,C_word *av) C_noret;
static void C_ccall trf_25088(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25088(t0,t1);}

C_noret_decl(trf_25105)
static void C_ccall trf_25105(C_word c,C_word *av) C_noret;
static void C_ccall trf_25105(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25105(t0,t1);}

C_noret_decl(trf_25285)
static void C_ccall trf_25285(C_word c,C_word *av) C_noret;
static void C_ccall trf_25285(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25285(t0,t1,t2);}

C_noret_decl(trf_25300)
static void C_ccall trf_25300(C_word c,C_word *av) C_noret;
static void C_ccall trf_25300(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25300(t0,t1,t2);}

C_noret_decl(trf_25403)
static void C_ccall trf_25403(C_word c,C_word *av) C_noret;
static void C_ccall trf_25403(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25403(t0,t1,t2);}

C_noret_decl(trf_25422)
static void C_ccall trf_25422(C_word c,C_word *av) C_noret;
static void C_ccall trf_25422(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25422(t0,t1);}

C_noret_decl(trf_25531)
static void C_ccall trf_25531(C_word c,C_word *av) C_noret;
static void C_ccall trf_25531(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25531(t0,t1,t2);}

C_noret_decl(trf_25568)
static void C_ccall trf_25568(C_word c,C_word *av) C_noret;
static void C_ccall trf_25568(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25568(t0,t1);}

C_noret_decl(trf_25602)
static void C_ccall trf_25602(C_word c,C_word *av) C_noret;
static void C_ccall trf_25602(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25602(t0,t1,t2);}

C_noret_decl(trf_25738)
static void C_ccall trf_25738(C_word c,C_word *av) C_noret;
static void C_ccall trf_25738(C_word c,C_word *av){
C_word t0=av[0];
f_25738(t0);}

C_noret_decl(trf_25766)
static void C_ccall trf_25766(C_word c,C_word *av) C_noret;
static void C_ccall trf_25766(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25766(t0,t1);}

C_noret_decl(trf_25790)
static void C_ccall trf_25790(C_word c,C_word *av) C_noret;
static void C_ccall trf_25790(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25790(t0,t1,t2);}

C_noret_decl(trf_25885)
static void C_ccall trf_25885(C_word c,C_word *av) C_noret;
static void C_ccall trf_25885(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25885(t0,t1,t2);}

C_noret_decl(trf_25912)
static void C_ccall trf_25912(C_word c,C_word *av) C_noret;
static void C_ccall trf_25912(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25912(t0,t1);}

C_noret_decl(trf_25933)
static void C_ccall trf_25933(C_word c,C_word *av) C_noret;
static void C_ccall trf_25933(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25933(t0,t1);}

C_noret_decl(trf_25936)
static void C_ccall trf_25936(C_word c,C_word *av) C_noret;
static void C_ccall trf_25936(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25936(t0,t1);}

C_noret_decl(trf_25956)
static void C_ccall trf_25956(C_word c,C_word *av) C_noret;
static void C_ccall trf_25956(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25956(t0,t1);}

C_noret_decl(trf_26379)
static void C_ccall trf_26379(C_word c,C_word *av) C_noret;
static void C_ccall trf_26379(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_26379(t0,t1,t2,t3);}

C_noret_decl(trf_26385)
static void C_ccall trf_26385(C_word c,C_word *av) C_noret;
static void C_ccall trf_26385(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26385(t0,t1,t2);}

C_noret_decl(trf_26401)
static void C_ccall trf_26401(C_word c,C_word *av) C_noret;
static void C_ccall trf_26401(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26401(t0,t1);}

C_noret_decl(trf_26498)
static void C_ccall trf_26498(C_word c,C_word *av) C_noret;
static void C_ccall trf_26498(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26498(t0,t1,t2);}

C_noret_decl(trf_26544)
static void C_ccall trf_26544(C_word c,C_word *av) C_noret;
static void C_ccall trf_26544(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26544(t0,t1,t2);}

C_noret_decl(trf_26620)
static void C_ccall trf_26620(C_word c,C_word *av) C_noret;
static void C_ccall trf_26620(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26620(t0,t1,t2);}

C_noret_decl(trf_26672)
static void C_ccall trf_26672(C_word c,C_word *av) C_noret;
static void C_ccall trf_26672(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26672(t0,t1,t2);}

C_noret_decl(trf_26720)
static void C_ccall trf_26720(C_word c,C_word *av) C_noret;
static void C_ccall trf_26720(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26720(t0,t1,t2);}

C_noret_decl(trf_26734)
static void C_ccall trf_26734(C_word c,C_word *av) C_noret;
static void C_ccall trf_26734(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26734(t0,t1,t2);}

C_noret_decl(trf_26790)
static void C_ccall trf_26790(C_word c,C_word *av) C_noret;
static void C_ccall trf_26790(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26790(t0,t1,t2);}

C_noret_decl(trf_26915)
static void C_ccall trf_26915(C_word c,C_word *av) C_noret;
static void C_ccall trf_26915(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26915(t0,t1,t2);}

C_noret_decl(trf_26917)
static void C_ccall trf_26917(C_word c,C_word *av) C_noret;
static void C_ccall trf_26917(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26917(t0,t1,t2);}

C_noret_decl(trf_26938)
static void C_ccall trf_26938(C_word c,C_word *av) C_noret;
static void C_ccall trf_26938(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26938(t0,t1,t2);}

C_noret_decl(trf_26962)
static void C_ccall trf_26962(C_word c,C_word *av) C_noret;
static void C_ccall trf_26962(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_26962(t0,t1,t2,t3);}

C_noret_decl(trf_26978)
static void C_ccall trf_26978(C_word c,C_word *av) C_noret;
static void C_ccall trf_26978(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26978(t0,t1);}

C_noret_decl(trf_27016)
static void C_ccall trf_27016(C_word c,C_word *av) C_noret;
static void C_ccall trf_27016(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27016(t0,t1,t2);}

C_noret_decl(trf_27111)
static void C_ccall trf_27111(C_word c,C_word *av) C_noret;
static void C_ccall trf_27111(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27111(t0,t1,t2);}

C_noret_decl(trf_27116)
static void C_ccall trf_27116(C_word c,C_word *av) C_noret;
static void C_ccall trf_27116(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27116(t0,t1);}

C_noret_decl(trf_28061)
static void C_ccall trf_28061(C_word c,C_word *av) C_noret;
static void C_ccall trf_28061(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28061(t0,t1,t2);}

C_noret_decl(trf_28125)
static void C_ccall trf_28125(C_word c,C_word *av) C_noret;
static void C_ccall trf_28125(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28125(t0,t1,t2);}

C_noret_decl(trf_28337)
static void C_ccall trf_28337(C_word c,C_word *av) C_noret;
static void C_ccall trf_28337(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28337(t0,t1,t2);}

C_noret_decl(trf_28381)
static void C_ccall trf_28381(C_word c,C_word *av) C_noret;
static void C_ccall trf_28381(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28381(t0,t1);}

C_noret_decl(trf_28394)
static void C_ccall trf_28394(C_word c,C_word *av) C_noret;
static void C_ccall trf_28394(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28394(t0,t1,t2);}

C_noret_decl(trf_28428)
static void C_ccall trf_28428(C_word c,C_word *av) C_noret;
static void C_ccall trf_28428(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28428(t0,t1,t2);}

C_noret_decl(trf_28443)
static void C_ccall trf_28443(C_word c,C_word *av) C_noret;
static void C_ccall trf_28443(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28443(t0,t1);}

C_noret_decl(trf_28519)
static void C_ccall trf_28519(C_word c,C_word *av) C_noret;
static void C_ccall trf_28519(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28519(t0,t1,t2);}

C_noret_decl(trf_28619)
static void C_ccall trf_28619(C_word c,C_word *av) C_noret;
static void C_ccall trf_28619(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28619(t0,t1);}

C_noret_decl(trf_28638)
static void C_ccall trf_28638(C_word c,C_word *av) C_noret;
static void C_ccall trf_28638(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28638(t0,t1,t2);}

C_noret_decl(trf_28679)
static void C_ccall trf_28679(C_word c,C_word *av) C_noret;
static void C_ccall trf_28679(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_28679(t0,t1,t2,t3,t4);}

C_noret_decl(trf_28702)
static void C_ccall trf_28702(C_word c,C_word *av) C_noret;
static void C_ccall trf_28702(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28702(t0,t1);}

C_noret_decl(trf_29001)
static void C_ccall trf_29001(C_word c,C_word *av) C_noret;
static void C_ccall trf_29001(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29001(t0,t1,t2);}

C_noret_decl(trf_29013)
static void C_ccall trf_29013(C_word c,C_word *av) C_noret;
static void C_ccall trf_29013(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29013(t0,t1,t2);}

C_noret_decl(trf_29094)
static void C_ccall trf_29094(C_word c,C_word *av) C_noret;
static void C_ccall trf_29094(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_29094(t0,t1,t2,t3);}

C_noret_decl(trf_29232)
static void C_ccall trf_29232(C_word c,C_word *av) C_noret;
static void C_ccall trf_29232(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29232(t0,t1);}

C_noret_decl(trf_29272)
static void C_ccall trf_29272(C_word c,C_word *av) C_noret;
static void C_ccall trf_29272(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29272(t0,t1,t2);}

C_noret_decl(trf_29385)
static void C_ccall trf_29385(C_word c,C_word *av) C_noret;
static void C_ccall trf_29385(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29385(t0,t1);}

C_noret_decl(trf_29819)
static void C_ccall trf_29819(C_word c,C_word *av) C_noret;
static void C_ccall trf_29819(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29819(t0,t1);}

C_noret_decl(trf_29831)
static void C_ccall trf_29831(C_word c,C_word *av) C_noret;
static void C_ccall trf_29831(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29831(t0,t1,t2);}

C_noret_decl(trf_29890)
static void C_ccall trf_29890(C_word c,C_word *av) C_noret;
static void C_ccall trf_29890(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29890(t0,t1);}

C_noret_decl(trf_29904)
static void C_ccall trf_29904(C_word c,C_word *av) C_noret;
static void C_ccall trf_29904(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29904(t0,t1,t2);}

C_noret_decl(trf_29924)
static void C_ccall trf_29924(C_word c,C_word *av) C_noret;
static void C_ccall trf_29924(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29924(t0,t1,t2);}

C_noret_decl(trf_30135)
static void C_ccall trf_30135(C_word c,C_word *av) C_noret;
static void C_ccall trf_30135(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30135(t0,t1);}

C_noret_decl(trf_30158)
static void C_ccall trf_30158(C_word c,C_word *av) C_noret;
static void C_ccall trf_30158(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30158(t0,t1);}

C_noret_decl(trf_30314)
static void C_ccall trf_30314(C_word c,C_word *av) C_noret;
static void C_ccall trf_30314(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_30314(t0,t1,t2,t3);}

C_noret_decl(trf_30431)
static void C_ccall trf_30431(C_word c,C_word *av) C_noret;
static void C_ccall trf_30431(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30431(t0,t1);}

C_noret_decl(trf_30464)
static void C_ccall trf_30464(C_word c,C_word *av) C_noret;
static void C_ccall trf_30464(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30464(t0,t1);}

C_noret_decl(trf_30467)
static void C_ccall trf_30467(C_word c,C_word *av) C_noret;
static void C_ccall trf_30467(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30467(t0,t1);}

C_noret_decl(trf_30470)
static void C_ccall trf_30470(C_word c,C_word *av) C_noret;
static void C_ccall trf_30470(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30470(t0,t1);}

C_noret_decl(trf_30473)
static void C_ccall trf_30473(C_word c,C_word *av) C_noret;
static void C_ccall trf_30473(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30473(t0,t1);}

C_noret_decl(trf_30476)
static void C_ccall trf_30476(C_word c,C_word *av) C_noret;
static void C_ccall trf_30476(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30476(t0,t1);}

C_noret_decl(trf_30509)
static void C_ccall trf_30509(C_word c,C_word *av) C_noret;
static void C_ccall trf_30509(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30509(t0,t1,t2);}

C_noret_decl(trf_30545)
static void C_ccall trf_30545(C_word c,C_word *av) C_noret;
static void C_ccall trf_30545(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30545(t0,t1,t2);}

C_noret_decl(trf_30576)
static void C_ccall trf_30576(C_word c,C_word *av) C_noret;
static void C_ccall trf_30576(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30576(t0,t1,t2);}

C_noret_decl(trf_30619)
static void C_ccall trf_30619(C_word c,C_word *av) C_noret;
static void C_ccall trf_30619(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30619(t0,t1,t2);}

C_noret_decl(trf_30957)
static void C_ccall trf_30957(C_word c,C_word *av) C_noret;
static void C_ccall trf_30957(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30957(t0,t1,t2);}

C_noret_decl(trf_30976)
static void C_ccall trf_30976(C_word c,C_word *av) C_noret;
static void C_ccall trf_30976(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30976(t0,t1);}

C_noret_decl(trf_31129)
static void C_ccall trf_31129(C_word c,C_word *av) C_noret;
static void C_ccall trf_31129(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31129(t0,t1,t2);}

C_noret_decl(trf_31168)
static void C_ccall trf_31168(C_word c,C_word *av) C_noret;
static void C_ccall trf_31168(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31168(t0,t1,t2);}

C_noret_decl(trf_31184)
static void C_ccall trf_31184(C_word c,C_word *av) C_noret;
static void C_ccall trf_31184(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31184(t0,t1,t2);}

C_noret_decl(trf_31350)
static void C_ccall trf_31350(C_word c,C_word *av) C_noret;
static void C_ccall trf_31350(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31350(t0,t1);}

C_noret_decl(trf_31853)
static void C_ccall trf_31853(C_word c,C_word *av) C_noret;
static void C_ccall trf_31853(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31853(t0,t1);}

C_noret_decl(trf_31855)
static void C_ccall trf_31855(C_word c,C_word *av) C_noret;
static void C_ccall trf_31855(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_31855(t0,t1,t2,t3,t4);}

C_noret_decl(trf_31951)
static void C_ccall trf_31951(C_word c,C_word *av) C_noret;
static void C_ccall trf_31951(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31951(t0,t1);}

C_noret_decl(trf_31964)
static void C_ccall trf_31964(C_word c,C_word *av) C_noret;
static void C_ccall trf_31964(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_31964(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_8835)
static void C_ccall trf_8835(C_word c,C_word *av) C_noret;
static void C_ccall trf_8835(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_8835(t0,t1,t2,t3);}

C_noret_decl(trf_9299)
static void C_ccall trf_9299(C_word c,C_word *av) C_noret;
static void C_ccall trf_9299(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9299(t0,t1,t2,t3);}

C_noret_decl(trf_9336)
static void C_ccall trf_9336(C_word c,C_word *av) C_noret;
static void C_ccall trf_9336(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9336(t0,t1,t2);}

C_noret_decl(trf_9422)
static void C_ccall trf_9422(C_word c,C_word *av) C_noret;
static void C_ccall trf_9422(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9422(t0,t1,t2);}

C_noret_decl(trf_9455)
static void C_ccall trf_9455(C_word c,C_word *av) C_noret;
static void C_ccall trf_9455(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9455(t0,t1,t2);}

C_noret_decl(trf_9573)
static void C_ccall trf_9573(C_word c,C_word *av) C_noret;
static void C_ccall trf_9573(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9573(t0,t1,t2);}

C_noret_decl(trf_9608)
static void C_ccall trf_9608(C_word c,C_word *av) C_noret;
static void C_ccall trf_9608(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9608(t0,t1,t2);}

C_noret_decl(trf_9672)
static void C_ccall trf_9672(C_word c,C_word *av) C_noret;
static void C_ccall trf_9672(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9672(t0,t1,t2);}

C_noret_decl(trf_9737)
static void C_ccall trf_9737(C_word c,C_word *av) C_noret;
static void C_ccall trf_9737(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9737(t0,t1,t2);}

C_noret_decl(trf_9773)
static void C_ccall trf_9773(C_word c,C_word *av) C_noret;
static void C_ccall trf_9773(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9773(t0,t1,t2);}

C_noret_decl(trf_9802)
static void C_ccall trf_9802(C_word c,C_word *av) C_noret;
static void C_ccall trf_9802(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9802(t0,t1,t2,t3);}

C_noret_decl(trf_9841)
static void C_ccall trf_9841(C_word c,C_word *av) C_noret;
static void C_ccall trf_9841(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9841(t0,t1);}

C_noret_decl(trf_9849)
static void C_ccall trf_9849(C_word c,C_word *av) C_noret;
static void C_ccall trf_9849(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9849(t0,t1,t2);}

C_noret_decl(trf_9903)
static void C_ccall trf_9903(C_word c,C_word *av) C_noret;
static void C_ccall trf_9903(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9903(t0,t1,t2,t3);}

C_noret_decl(trf_9981)
static void C_ccall trf_9981(C_word c,C_word *av) C_noret;
static void C_ccall trf_9981(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9981(t0,t1);}

/* f33840 in chicken.base#emergency-exit in k8513 */
static void C_ccall f33840(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f33840,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f34368 in chicken.base#exit in k8513 */
static void C_ccall f34368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f34368,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* f36600 in k30934 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f36600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36600,3,av);}
t3=C_i_check_list_2(t2,lf[1357]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36606 in k31022 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f36606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36606,3,av);}
t3=C_i_check_string_2(t2,lf[1359]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36612 in k31018 in k31022 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f36612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36612,3,av);}
t3=C_i_check_string_2(t2,lf[1359]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_10013 in chicken.base#alist-update! in k8513 */
static void C_ccall f_10013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10013,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10019,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li186),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10019(t7,t1,t3);}

/* loop */
static void C_fcall f_10019(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10019,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10035,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_pairp(t4))){
t6=C_slot(t4,C_fix(0));
/* library.scm:892: cmp */
t7=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t7;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_10035(2,av2);}}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10033 in loop */
static void C_ccall f_10035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10035,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:894: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10019(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#alist-update in k8513 */
static void C_ccall f_10060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_10060,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+9);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10069,a[2]=t2,a[3]=t3,a[4]=t10,a[5]=t8,a[6]=((C_word)li189),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_10069(t12,t1,t4);}

/* loop in chicken.base#alist-update in k8513 */
static void C_fcall f_10069(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_10069,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:907: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[262];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_i_pairp(t5);
if(C_truep(C_i_not(t6))){
/* library.scm:911: chicken.base#error */
t7=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[263];
av2[4]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_10110,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t1,a[6]=t5,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t8=C_slot(t5,C_fix(0));
/* library.scm:912: cmp */
t9=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}}}

/* k10108 in loop in chicken.base#alist-update in k8513 */
static void C_ccall f_10110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10110,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_slot(((C_word*)t0)[4],C_fix(1));
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[6],C_fix(0));
t3=C_slot(((C_word*)t0)[6],C_fix(1));
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10132,a[2]=((C_word*)t0)[5],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:916: loop */
t8=((C_word*)((C_word*)t0)[7])[1];
f_10069(t8,t6,t7);}}

/* k10130 in k10108 in loop in chicken.base#alist-update in k8513 */
static void C_ccall f_10132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_10132,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-ref in k8513 */
static void C_ccall f_10164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_10164,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+10);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?*((C_word*)lf[5]+1):C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=t11;
t13=C_i_nullp(t9);
t14=(C_truep(t13)?C_SCHEME_END_OF_LIST:C_i_cdr(t9));
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10180,a[2]=t1,a[3]=t12,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t16=C_eqp(*((C_word*)lf[4]+1),t7);
if(C_truep(t16)){
t17=t15;
f_10180(t17,*((C_word*)lf[52]+1));}
else{
t17=C_eqp(*((C_word*)lf[5]+1),t7);
if(C_truep(t17)){
t18=t15;
f_10180(t18,*((C_word*)lf[53]+1));}
else{
t18=C_eqp(*((C_word*)lf[6]+1),t7);
t19=t15;
f_10180(t19,(C_truep(t18)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10205,a[2]=t7,a[3]=((C_word)li192),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10178 in chicken.base#alist-ref in k8513 */
static void C_fcall f_10180(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_10180,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10183,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:934: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10181 in k10178 in chicken.base#alist-ref in k8513 */
static void C_ccall f_10183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10183,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_10205 in chicken.base#alist-ref in k8513 */
static void C_ccall f_10205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10205,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10211,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li191),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10211(t7,t1,t3);}

/* loop */
static void C_fcall f_10211(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_10211,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[265]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10236,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(0));
/* library.scm:930: cmp */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
/* library.scm:933: chicken.base#error */
t3=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[265];
av2[3]=lf[266];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}}

/* k10234 in loop */
static void C_ccall f_10236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10236,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:932: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10211(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#rassoc in k8513 */
static void C_ccall f_10276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_10276,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_check_list_2(t3,lf[268]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_10283,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t7=t4;
t8=t6;
f_10283(t8,C_u_i_car(t7));}
else{
t7=t6;
f_10283(t7,*((C_word*)lf[5]+1));}}

/* k10281 in chicken.base#rassoc in k8513 */
static void C_fcall f_10283(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_10283,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10288,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word)li194),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_10288(t6,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* loop in k10281 in chicken.base#rassoc in k8513 */
static void C_fcall f_10288(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10288,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[268]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10307,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(1));
/* library.scm:947: tst */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10305 in loop in k10281 in chicken.base#rassoc in k8513 */
static void C_ccall f_10307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10307,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:949: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10288(t3,((C_word*)t0)[2],t2);}}

/* chicken.fixnum#fx+ in k8513 */
static void C_ccall f_10329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10329,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx- in k8513 */
static void C_ccall f_10332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10332,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx* in k8513 */
static void C_ccall f_10335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10335,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx= in k8513 */
static void C_ccall f_10338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10338,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx> in k8513 */
static void C_ccall f_10344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10344,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx< in k8513 */
static void C_ccall f_10347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10347,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx>= in k8513 */
static void C_ccall f_10350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10350,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx<= in k8513 */
static void C_ccall f_10353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10353,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmin in k8513 */
static void C_ccall f_10356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10356,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmax in k8513 */
static void C_ccall f_10359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10359,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxneg in k8513 */
static void C_ccall f_10362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10362,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_negate(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxand in k8513 */
static void C_ccall f_10365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10365,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_and(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxior in k8513 */
static void C_ccall f_10368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10368,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_or(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxxor in k8513 */
static void C_ccall f_10371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10371,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_xor(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxnot in k8513 */
static void C_ccall f_10374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10374,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxshl in k8513 */
static void C_ccall f_10377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10377,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_left(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxshr in k8513 */
static void C_ccall f_10380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10380,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_right(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxodd? in k8513 */
static void C_ccall f_10383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10383,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumoddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxeven? in k8513 */
static void C_ccall f_10386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10386,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumevenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxlen in k8513 */
static void C_ccall f_10389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10389,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnum_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fx/ in k8513 */
static void C_ccall f_10392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10392,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_divide(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxgcd in k8513 */
static void C_ccall f_10395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10395,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_gcd(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmod in k8513 */
static void C_ccall f_10398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10398,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_modulo(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxrem in k8513 */
static void C_ccall f_10401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10401,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_remainder_checked(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx+? in k8513 */
static void C_ccall f_10404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10404,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx-? in k8513 */
static void C_ccall f_10407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10407,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx*? in k8513 */
static void C_ccall f_10410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10410,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx/? in k8513 */
static void C_ccall f_10413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10413,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_quotient(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#debug-mode? in k8513 */
static void C_ccall f_10416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10416,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_debug_modep();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#warning in k8513 */
static void C_ccall f_10421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10421,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(*((C_word*)lf[304]+1))){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[307];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.base#notice in k8513 */
static void C_ccall f_10430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10430,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(C_truep(*((C_word*)lf[305]+1))?*((C_word*)lf[304]+1):C_SCHEME_FALSE);
if(C_truep(t4)){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[309];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* chicken.base#enable-warnings in k8513 */
static void C_ccall f_10442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10442,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_mutate((C_word*)lf[304]+1 /* (set! ##sys#warnings-enabled ...) */,C_u_i_car(t3));
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=*((C_word*)lf[304]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[304]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#setslot in k8513 */
static void C_ccall f_10457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10457,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#setislot in k8513 */
static void C_ccall f_10460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10460,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#start-timer in k8513 */
static void C_ccall f_10468(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_10468,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10472,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1048: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10470 in ##sys#start-timer in k8513 */
static void C_ccall f_10472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10472,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_start_timer();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#stop-timer in k8513 */
static void C_ccall f_10474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_10474,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li237),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10478,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1052: g1202 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10476 in ##sys#stop-timer in k8513 */
static void C_ccall f_10478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_10478,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10481,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1055: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10479 in k10476 in ##sys#stop-timer in k8513 */
static void C_ccall f_10481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10481,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li238),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10492,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1056: g1204 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10490 in k10479 in k10476 in ##sys#stop-timer in k8513 */
static void C_ccall f_10492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10492,2,av);}
t2=C_slot(t1,C_fix(6));
t3=C_i_setslot(((C_word*)t0)[2],C_fix(6),t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#immediate? in k8513 */
static void C_ccall f_10494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10494,3,av);}
t3=C_blockp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#message in k8513 */
static void C_ccall f_10501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10501,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_message(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#byte in k8513 */
static void C_ccall f_10504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10504,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_subbyte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#setbyte in k8513 */
static void C_ccall f_10507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10507,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_setbyte(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#halt in k8513 */
static void C_ccall f_10512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10512,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-ref in k8513 */
static void C_ccall f_10516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10516,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_block_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#block-set! in k8513 */
static void C_ccall f_10521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10521,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10525,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_blockp(t2);
t7=C_i_not(t6);
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:1075: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_10525(2,av2);}}}
else{
t8=(C_truep(C_specialp(t2))?C_eqp(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t8)){
if(C_truep(t8)){
/* library.scm:1075: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10525(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
/* library.scm:1075: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10525(2,av2);}}}}}

/* k10523 in ##sys#block-set! in k8513 */
static void C_ccall f_10525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10525,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10528,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_block_size(((C_word*)t0)[3]);
/* library.scm:1076: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[333];
tp(6,av2);}}

/* k10526 in k10523 in ##sys#block-set! in k8513 */
static void C_ccall f_10528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10528,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_setslot(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-milliseconds in k8513 */
static void C_ccall f_10556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10556,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-seconds in k8513 */
static void C_ccall f_10559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10559,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_get_current_seconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#cpu-time in k8513 */
static void C_ccall f_10562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_10562,2,av);}
a=C_alloc(11);
t2=C_a_i_vector2(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t3=C_a_i_cpu_time(&a,1,t2);
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
/* library.scm:1103: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_values(4,av2);}}

/* ##sys#check-structure in k8513 */
static void C_ccall f_10579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10579,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_structure_2(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_structure(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-blob in k8513 */
static void C_ccall f_10590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10590,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_bytevector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_bytevector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-pair in k8513 */
static void C_ccall f_10602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10602,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_pair_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_pair(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-list in k8513 */
static void C_ccall f_10613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10613,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_list_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_list(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-string in k8513 */
static void C_ccall f_10624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10624,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_string_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_string(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-number in k8513 */
static void C_ccall f_10635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10635,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_number_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_number(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-fixnum in k8513 */
static void C_ccall f_10646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10646,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_fixnum_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_fixnum(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-exact in k8513 */
static void C_ccall f_10657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10657,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_exact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_exact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-inexact in k8513 */
static void C_ccall f_10668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10668,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_inexact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_inexact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-symbol in k8513 */
static void C_ccall f_10679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10679,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_symbol_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_symbol(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-vector in k8513 */
static void C_ccall f_10690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10690,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_vector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_vector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-char in k8513 */
static void C_ccall f_10701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10701,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_char_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_char(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-boolean in k8513 */
static void C_ccall f_10712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10712,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_boolean_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_boolean(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-locative in k8513 */
static void C_ccall f_10723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10723,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_locative_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_locative(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-integer in k8513 */
static void C_ccall f_10734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10734,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1181: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1181: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-integer in k8513 */
static void C_ccall f_10751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10751,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_exact_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1185: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1185: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-uinteger in k8513 */
static void C_ccall f_10768(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10768,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_exact_integerp(t2);
t5=C_i_not(t4);
t6=(C_truep(t5)?t5:C_i_integer_negativep(t2));
if(C_truep(t6)){
if(C_truep(C_i_pairp(t3))){
t7=t3;
t8=C_u_i_car(t7);
/* library.scm:1190: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1190: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}
else{
t7=C_SCHEME_UNDEFINED;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#check-real in k8513 */
static void C_ccall f_10792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10792,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_realp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1194: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1194: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-range in k8513 */
static void C_ccall f_10809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_10809,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10813,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1197: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k10811 in ##sys#check-range in k8513 */
static void C_ccall f_10813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_10813,2,av);}
t2=C_fixnum_less_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?C_fixnum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
if(C_truep(C_i_pairp(((C_word*)t0)[6]))){
t5=((C_word*)t0)[6];
t6=C_u_i_car(t5);
/* library.scm:1199: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t6;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}
else{
/* library.scm:1199: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}}}

/* ##sys#check-special in k8513 */
static void C_ccall f_10839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10839,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=(C_truep(C_blockp(t2))?C_specialp(t2):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=C_u_i_car(t5);
/* library.scm:1205: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t6;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
/* library.scm:1205: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=C_SCHEME_FALSE;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}}}

/* ##sys#check-closure in k8513 */
static void C_ccall f_10859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10859,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_closure_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#force in k8513 */
static void C_ccall f_10870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_10870,3,av);}
a=C_alloc(6);
if(C_truep(C_i_structurep(t2,lf[216]))){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10882,a[2]=t4,a[3]=((C_word)li274),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_10882(t6,t1,t2,C_SCHEME_FALSE);}
else{
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* lp in scheme#force in k8513 */
static void C_fcall f_10882(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10882,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){
/* library.scm:1218: ##sys#values */{
C_word av2[2];
av2[0]=0;
av2[1]=t1;
C_values(2,av2);}}
else{
if(C_truep(C_i_pairp(t4))){{
C_word av2[3];
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_apply_values(3,av2);}}
else{
if(C_truep(C_i_closurep(t4))){
t5=(C_truep(t3)?C_i_setslot(t3,C_fix(1),t2):C_SCHEME_UNDEFINED);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10916,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1222: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[367]+1);
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_structurep(t4,lf[216]))){
/* library.scm:1234: lp */
t8=t1;
t9=t4;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}}}

/* k10914 in lp in scheme#force in k8513 */
static void C_ccall f_10916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_10916,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=C_i_closurep(t3);
if(C_truep(C_i_not(t4))){
/* library.scm:1224: lp */
t5=((C_word*)((C_word*)t0)[3])[1];
f_10882(t5,((C_word*)t0)[4],((C_word*)t0)[2],((C_word*)t0)[5]);}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10931,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t6=C_i_nullp(t2);
if(C_truep(C_i_not(t6))){
t7=C_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=C_slot(t2,C_fix(0));
t9=t5;
f_10931(t9,C_i_structurep(t8,lf[216]));}
else{
t8=t5;
f_10931(t8,C_SCHEME_FALSE);}}
else{
t7=t5;
f_10931(t7,C_SCHEME_FALSE);}}}

/* k10929 in k10914 in lp in scheme#force in k8513 */
static void C_fcall f_10931(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_10931,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(1));
t4=C_i_setslot(((C_word*)t0)[3],C_fix(1),t3);
/* library.scm:1229: lp */
t5=((C_word*)((C_word*)t0)[4])[1];
f_10882(t5,((C_word*)t0)[5],((C_word*)t0)[3],t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],C_fix(1),((C_word*)t0)[2]);{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}}

/* ##sys#error-not-a-proper-list in k8513 */
static void C_ccall f_10998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_10998,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1244: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1244: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-number in k8513 */
static void C_ccall f_11014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11014,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1248: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1248: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-integer in k8513 */
static void C_ccall f_11030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11030,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1252: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1252: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-integer in k8513 */
static void C_ccall f_11046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11046,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1256: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1256: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-uinteger in k8513 */
static void C_ccall f_11062(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11062,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1260: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1260: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-inexact in k8513 */
static void C_ccall f_11078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11078,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1264: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1264: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-real in k8513 */
static void C_ccall f_11094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11094,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1268: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1268: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-base in k8513 */
static void C_ccall f_11110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11110,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1272: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1272: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* scheme#append in k8513 */
static void C_ccall f_11126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11126,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11138,a[2]=t5,a[3]=((C_word)li287),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_11138(t7,t1,t2);}}

/* loop in scheme#append in k8513 */
static void C_fcall f_11138(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_11138,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11157,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=((C_word)li286),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_11157(t9,t1,t5);}}

/* copy in loop in scheme#append in k8513 */
static void C_fcall f_11157(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_11157,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:1283: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_11138(t5,t1,t4);}
else{
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11188,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:1285: copy */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t4=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:1287: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=lf[374];
tp(4,av2);}}}}

/* k11186 in copy in loop in scheme#append in k8513 */
static void C_ccall f_11188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11188,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#fast-reverse in k8513 */
static void C_ccall f_11205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_11205,3,av);}
a=C_alloc(6);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11211,a[2]=t4,a[3]=((C_word)li289),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_11211(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in ##sys#fast-reverse in k8513 */
static void C_fcall f_11211(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11211,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=C_slot(t2,C_fix(0));
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1293: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#make-string in k8513 */
static void C_ccall f_11235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_11235,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_nullp(t3))){
t4=t1;
t5=t2;
/* library.scm:1300: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t4=C_i_car(t3);
t5=t1;
t6=t2;
/* library.scm:1300: ##sys#allocate-vector */
t7=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}

/* scheme#make-string in k8513 */
static void C_ccall f_11255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_11255,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11259,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1307: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[378];
tp(4,av2);}}

/* k11257 in scheme#make-string in k8513 */
static void C_ccall f_11259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_11259,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11262,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:1309: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[378];
av2[4]=lf[380];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11262(2,av2);}}}

/* k11260 in k11257 in scheme#make-string in k8513 */
static void C_ccall f_11262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_11262,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=((C_word*)t0)[4];
/* library.scm:1300: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
t3=C_i_check_char_2(t2,lf[378]);
t4=((C_word*)t0)[3];
t5=((C_word*)t0)[4];
/* library.scm:1300: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}}

/* scheme#string->list in k8513 */
static void C_ccall f_11291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11291,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[382]);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11307,a[2]=t2,a[3]=t7,a[4]=((C_word)li293),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11307(t9,t1,t5,C_SCHEME_END_OF_LIST);}

/* loop in scheme#string->list in k8513 */
static void C_fcall f_11307(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11307,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[2],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1325: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* scheme#list->string in k8513 */
static void C_ccall f_11329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11329,3,av);}
a=C_alloc(5);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:1333: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[385];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11345,a[2]=t5,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1335: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}}

/* k11343 in scheme#list->string in k8513 */
static void C_ccall f_11345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11345,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11350,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li295),tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11350(t3,C_fix(0),((C_word*)t0)[4])
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop1519 in k11343 in scheme#list->string in k8513 */
static C_word C_fcall f_11350(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t3=C_slot(t2,C_fix(0));
t4=C_i_check_char_2(t3,lf[385]);
t5=C_setsubchar(((C_word*)t0)[3],t1,t3);
t6=C_fixnum_plus(t1,C_fix(1));
t7=C_slot(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* ##sys#reverse-list->string in k8513 */
static void C_ccall f_11381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11381,3,av);}
a=C_alloc(5);
if(C_truep(C_i_listp(t2))){
t3=t2;
t4=C_u_i_length(t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11392,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1350: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}
else{
/* library.scm:1358: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[388];
tp(4,av2);}}}

/* k11390 in ##sys#reverse-list->string in k8513 */
static void C_ccall f_11392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11392,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11401,a[2]=t2,a[3]=((C_word)li297),tmp=(C_word)a,a+=4,tmp);
t5=(
  f_11401(t4,((C_word*)t0)[3],t3)
);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* iter in k11390 in ##sys#reverse-list->string in k8513 */
static C_word C_fcall f_11401(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t3=C_slot(t1,C_fix(0));
t4=C_i_check_char_2(t3,lf[388]);
t5=C_setsubchar(((C_word*)t0)[2],t2,t3);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_difference(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t3=C_SCHEME_UNDEFINED;
return(t3);}}

/* scheme#string-fill! in k8513 */
static void C_ccall f_11430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11430,4,av);}
t4=C_i_check_string_2(t2,lf[390]);
t5=C_i_check_char_2(t3,lf[390]);
t6=C_block_size(t2);
t7=C_set_memory(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* scheme#string-copy in k8513 */
static void C_ccall f_11443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_11443,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[392]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11453,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1371: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k11451 in scheme#string-copy in k8513 */
static void C_ccall f_11453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11453,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#substring in k8513 */
static void C_ccall f_11455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11455,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_string_2(t2,lf[394]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11462,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1378: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=lf[394];
tp(4,av2);}}

/* k11460 in scheme#substring in k8513 */
static void C_ccall f_11462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_11462,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11465,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=C_u_i_car(t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11500,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1381: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[394];
tp(4,av2);}}
else{
t3=t2;
f_11465(t3,C_block_size(((C_word*)t0)[2]));}}

/* k11463 in k11460 in scheme#substring in k8513 */
static void C_fcall f_11465(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_11465,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=C_block_size(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11474,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[4],t2))){
t5=C_fixnum_greater_or_equal_p(((C_word*)t0)[4],C_fix(0));
t6=t4;
f_11474(t6,(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_SCHEME_FALSE));}
else{
t5=t4;
f_11474(t5,C_SCHEME_FALSE);}}

/* k11472 in k11463 in k11460 in scheme#substring in k8513 */
static void C_fcall f_11474(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_11474,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:1388: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
/* library.scm:1389: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word av2[6];
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=lf[394];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}}

/* k11498 in k11460 in scheme#substring in k8513 */
static void C_ccall f_11500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11500,2,av);}
t2=((C_word*)t0)[2];
f_11465(t2,((C_word*)t0)[3]);}

/* ##sys#substring in k8513 */
static void C_ccall f_11505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_11505,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11509,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t6=C_fixnum_difference(t4,t3);
/* library.scm:1394: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}

/* k11507 in ##sys#substring in k8513 */
static void C_ccall f_11509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11509,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,((C_word*)t0)[3],((C_word*)t0)[4],C_fix(0));
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* compare1572 in k8513 */
static void C_ccall f_11514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11514,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare(t2,t3,t8);
/* library.scm:1404: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare(t2,t3,t9);
/* library.scm:1404: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string<? in k8513 */
static void C_ccall f_11535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11535,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11541,a[2]=((C_word)li304),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1412: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[397];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11540 in scheme#string<? in k8513 */
static void C_ccall f_11541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11541,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string>? in k8513 */
static void C_ccall f_11559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11559,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11565,a[2]=((C_word)li306),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1419: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[399];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11564 in scheme#string>? in k8513 */
static void C_ccall f_11565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11565,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string<=? in k8513 */
static void C_ccall f_11583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11583,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11589,a[2]=((C_word)li308),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1426: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[401];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11588 in scheme#string<=? in k8513 */
static void C_ccall f_11589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11589,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string>=? in k8513 */
static void C_ccall f_11604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11604,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11610,a[2]=((C_word)li310),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1433: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[403];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11609 in scheme#string>=? in k8513 */
static void C_ccall f_11610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11610,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* compare1615 in k8513 */
static void C_ccall f_11624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11624,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare_case_insensitive(t2,t3,t8);
/* library.scm:1446: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare_case_insensitive(t2,t3,t9);
/* library.scm:1446: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string-ci<? in k8513 */
static void C_ccall f_11645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11645,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11651,a[2]=((C_word)li313),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1454: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[405];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11650 in scheme#string-ci<? in k8513 */
static void C_ccall f_11651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11651,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci>? in k8513 */
static void C_ccall f_11669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11669,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11675,a[2]=((C_word)li315),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1461: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[407];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11674 in scheme#string-ci>? in k8513 */
static void C_ccall f_11675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11675,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci<=? in k8513 */
static void C_ccall f_11693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11693,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11699,a[2]=((C_word)li317),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1468: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[409];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11698 in scheme#string-ci<=? in k8513 */
static void C_ccall f_11699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11699,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string-ci>=? in k8513 */
static void C_ccall f_11714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11714,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11720,a[2]=((C_word)li319),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1475: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[411];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11719 in scheme#string-ci>=? in k8513 */
static void C_ccall f_11720(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11720,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#string-append in k8513 */
static void C_ccall f_11735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_11735,4,av);}
a=C_alloc(7);
t4=C_block_size(t2);
t5=t4;
t6=C_block_size(t3);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11745,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t7,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t9=C_fixnum_plus(t5,t7);
/* library.scm:1485: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t9;
tp(3,av2);}}

/* k11743 in ##sys#string-append in k8513 */
static void C_ccall f_11745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11745,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,C_fix(0),((C_word*)t0)[5],((C_word*)t0)[3]);
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-append in k8513 */
static void C_ccall f_11751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +13,c,4)))){
C_save_and_reclaim((void*)f_11751,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+13);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11755,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11757,a[2]=t4,a[3]=t7,a[4]=((C_word)li322),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11757(t9,t5,t2,C_fix(0));}

/* k11753 in scheme#string-append in k8513 */
static void C_ccall f_11755(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11755,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in scheme#string-append in k8513 */
static void C_fcall f_11757(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_11757,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11768,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1495: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_check_string_2(t6,lf[414]);
t8=C_block_size(t6);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11780,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t9,a[5]=t3,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t11=C_slot(t2,C_fix(1));
t12=C_fixnum_plus(t3,t9);
/* library.scm:1499: loop */
t14=t10;
t15=t11;
t16=t12;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k11766 in loop in scheme#string-append in k8513 */
static void C_ccall f_11768(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11768,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k11778 in loop in scheme#string-append in k8513 */
static void C_ccall f_11780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11780,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1],C_fix(0),((C_word*)t0)[4],((C_word*)t0)[5]);
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string in k8513 */
static void C_ccall f_11790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_11790,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* ##sys#list->string */
t3=*((C_word*)lf[386]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#fragments->string in k8513 */
static void C_ccall f_11796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_11796,4,av);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11800,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1508: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k11798 in ##sys#fragments->string in k8513 */
static void C_ccall f_11800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11800,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11805,a[2]=t2,a[3]=((C_word)li325),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11805(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k11798 in ##sys#fragments->string in k8513 */
static C_word C_fcall f_11805(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_block_size(t3);
t5=C_substring_copy(t3,((C_word*)t0)[2],C_fix(0),t4,t2);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_plus(t2,t4);
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* chicken.base#chop in k8513 */
static void C_ccall f_11831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11831,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11835,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1519: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[418];
tp(4,av2);}}

/* k11833 in chicken.base#chop in k8513 */
static void C_ccall f_11835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_11835,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11838,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[3],C_fix(0)))){
/* library.scm:1520: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[418];
av2[3]=lf[419];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11838(2,av2);}}}

/* k11836 in k11833 in chicken.base#chop in k8513 */
static void C_ccall f_11838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11838,2,av);}
a=C_alloc(7);
t2=C_i_length(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11846,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word)li328),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_11846(t6,((C_word*)t0)[4],((C_word*)t0)[2],t2);}

/* loop in k11836 in k11833 in chicken.base#chop in k8513 */
static void C_fcall f_11846(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_11846,4,t0,t1,t2,t3);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,((C_word*)t0)[2]))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11867,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t5,a[6]=((C_word)li327),tmp=(C_word)a,a+=7,tmp));
t7=((C_word*)t5)[1];
f_11867(t7,t1,C_SCHEME_END_OF_LIST,t2,((C_word*)t0)[2]);}}}

/* doloop1700 in loop in k11836 in k11833 in chicken.base#chop in k8513 */
static void C_fcall f_11867(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_11867,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11881,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1530: scheme#reverse */
t7=*((C_word*)lf[46]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t6=C_slot(t3,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t2);
t8=C_slot(t3,C_fix(1));
t9=C_fixnum_difference(t4,C_fix(1));
t11=t1;
t12=t7;
t13=t8;
t14=t9;
t1=t11;
t2=t12;
t3=t13;
t4=t14;
goto loop;}}

/* k11879 in doloop1700 in loop in k11836 in k11833 in chicken.base#chop in k8513 */
static void C_ccall f_11881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11881,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11885,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_difference(((C_word*)t0)[3],((C_word*)t0)[4]);
/* library.scm:1530: loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_11846(t5,t3,((C_word*)t0)[6],t4);}

/* k11883 in k11879 in doloop1700 in loop in k11836 in k11833 in chicken.base#chop in k8513 */
static void C_ccall f_11885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11885,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp+ in k8513 */
static void C_ccall f_11926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11926,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11948,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_plus(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[432];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11946 in chicken.flonum#fp+ in k8513 */
static void C_ccall f_11948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11948,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_plus(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp- in k8513 */
static void C_ccall f_11950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11950,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11972,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_difference(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[434];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11970 in chicken.flonum#fp- in k8513 */
static void C_ccall f_11972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11972,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_difference(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp* in k8513 */
static void C_ccall f_11974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11974,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11996,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_times(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[436];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11994 in chicken.flonum#fp* in k8513 */
static void C_ccall f_11996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11996,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_times(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/ in k8513 */
static void C_ccall f_11998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11998,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12020,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_quotient(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[438];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12018 in chicken.flonum#fp/ in k8513 */
static void C_ccall f_12020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12020,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_quotient(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpgcd in k8513 */
static void C_ccall f_12022(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12022,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12044,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_gcd(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[440];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12042 in chicken.flonum#fpgcd in k8513 */
static void C_ccall f_12044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12044,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_gcd(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/? in k8513 */
static void C_ccall f_12046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12046,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12068,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[442];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12066 in chicken.flonum#fp/? in k8513 */
static void C_ccall f_12068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12068,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp= in k8513 */
static void C_ccall f_12070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12070,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12092,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_equalp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[444];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12090 in chicken.flonum#fp= in k8513 */
static void C_ccall f_12092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12092,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_equalp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp> in k8513 */
static void C_ccall f_12094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12094,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12116,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_greaterp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[446];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12114 in chicken.flonum#fp> in k8513 */
static void C_ccall f_12116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12116,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_greaterp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp< in k8513 */
static void C_ccall f_12118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12118,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12140,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_lessp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[448];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12138 in chicken.flonum#fp< in k8513 */
static void C_ccall f_12140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12140,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_lessp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp>= in k8513 */
static void C_ccall f_12142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12142,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12164,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_greater_or_equal_p(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[450];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12162 in chicken.flonum#fp>= in k8513 */
static void C_ccall f_12164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12164,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_greater_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp<= in k8513 */
static void C_ccall f_12166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12166,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12188,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[452];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12186 in chicken.flonum#fp<= in k8513 */
static void C_ccall f_12188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12188,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpneg in k8513 */
static void C_ccall f_12190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12190,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12206,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_negate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[454];
av2[4]=t4;
tp(5,av2);}}}

/* k12204 in chicken.flonum#fpneg in k8513 */
static void C_ccall f_12206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12206,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_negate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmax in k8513 */
static void C_ccall f_12208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12208,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12230,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[456];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12228 in chicken.flonum#fpmax in k8513 */
static void C_ccall f_12230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12230,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_max(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmin in k8513 */
static void C_ccall f_12232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12232,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12254,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[458];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12252 in chicken.flonum#fpmin in k8513 */
static void C_ccall f_12254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12254,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_min(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpfloor in k8513 */
static void C_ccall f_12256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12256,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12272,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_floor(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[460];
av2[4]=t4;
tp(5,av2);}}}

/* k12270 in chicken.flonum#fpfloor in k8513 */
static void C_ccall f_12272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12272,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_floor(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptruncate in k8513 */
static void C_ccall f_12274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12274,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12290,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_trunc(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[462];
av2[4]=t4;
tp(5,av2);}}}

/* k12288 in chicken.flonum#fptruncate in k8513 */
static void C_ccall f_12290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12290,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_trunc(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpround in k8513 */
static void C_ccall f_12292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12292,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12308,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_round(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[464];
av2[4]=t4;
tp(5,av2);}}}

/* k12306 in chicken.flonum#fpround in k8513 */
static void C_ccall f_12308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12308,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_round(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpceiling in k8513 */
static void C_ccall f_12310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12310,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12326,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_ceil(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[466];
av2[4]=t4;
tp(5,av2);}}}

/* k12324 in chicken.flonum#fpceiling in k8513 */
static void C_ccall f_12326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12326,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ceil(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsin in k8513 */
static void C_ccall f_12328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12328,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12344,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_sin(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[468];
av2[4]=t4;
tp(5,av2);}}}

/* k12342 in chicken.flonum#fpsin in k8513 */
static void C_ccall f_12344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12344,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_sin(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpcos in k8513 */
static void C_ccall f_12346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12346,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12362,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_cos(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[470];
av2[4]=t4;
tp(5,av2);}}}

/* k12360 in chicken.flonum#fpcos in k8513 */
static void C_ccall f_12362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12362,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_cos(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptan in k8513 */
static void C_ccall f_12364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12364,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12380,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_tan(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[472];
av2[4]=t4;
tp(5,av2);}}}

/* k12378 in chicken.flonum#fptan in k8513 */
static void C_ccall f_12380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12380,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_tan(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpasin in k8513 */
static void C_ccall f_12382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12382,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12398,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_asin(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[474];
av2[4]=t4;
tp(5,av2);}}}

/* k12396 in chicken.flonum#fpasin in k8513 */
static void C_ccall f_12398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12398,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_asin(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpacos in k8513 */
static void C_ccall f_12400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12400,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12416,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_acos(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[476];
av2[4]=t4;
tp(5,av2);}}}

/* k12414 in chicken.flonum#fpacos in k8513 */
static void C_ccall f_12416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12416,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_acos(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan in k8513 */
static void C_ccall f_12418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12418,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12434,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_atan(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[478];
av2[4]=t4;
tp(5,av2);}}}

/* k12432 in chicken.flonum#fpatan in k8513 */
static void C_ccall f_12434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12434,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_atan(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan2 in k8513 */
static void C_ccall f_12436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12436,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12458,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_atan2(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[480];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12456 in chicken.flonum#fpatan2 in k8513 */
static void C_ccall f_12458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12458,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_atan2(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexp in k8513 */
static void C_ccall f_12460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12460,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12476,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_exp(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[482];
av2[4]=t4;
tp(5,av2);}}}

/* k12474 in chicken.flonum#fpexp in k8513 */
static void C_ccall f_12476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12476,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_exp(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexpt in k8513 */
static void C_ccall f_12478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12478,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12500,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_expt(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[484];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12498 in chicken.flonum#fpexpt in k8513 */
static void C_ccall f_12500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12500,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_expt(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fplog in k8513 */
static void C_ccall f_12502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12502,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12518,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_log(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[486];
av2[4]=t4;
tp(5,av2);}}}

/* k12516 in chicken.flonum#fplog in k8513 */
static void C_ccall f_12518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12518,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_log(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsqrt in k8513 */
static void C_ccall f_12520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12520,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12536,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_sqrt(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[488];
av2[4]=t4;
tp(5,av2);}}}

/* k12534 in chicken.flonum#fpsqrt in k8513 */
static void C_ccall f_12536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12536,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_sqrt(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpabs in k8513 */
static void C_ccall f_12538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12538,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12554,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_fabs(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[490];
av2[4]=t4;
tp(5,av2);}}}

/* k12552 in chicken.flonum#fpabs in k8513 */
static void C_ccall f_12554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12554,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_fabs(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpinteger? in k8513 */
static void C_ccall f_12556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_12556,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12572,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_fpintegerp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[492];
av2[4]=t4;
tp(5,av2);}}}

/* k12570 in chicken.flonum#fpinteger? in k8513 */
static void C_ccall f_12572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12572,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_u_i_fpintegerp(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#flonum-print-precision in k8513 */
static void C_ccall f_12574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_12574,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=t4;
t6=C_get_print_precision();
if(C_truep(t5)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12584,a[2]=t5,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1690: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t7;
av2[2]=t5;
av2[3]=lf[494];
tp(4,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k12582 in chicken.flonum#flonum-print-precision in k8513 */
static void C_ccall f_12584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12584,2,av);}
t2=C_set_print_precision(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* make-complex in k8513 */
static void C_fcall f_12596(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12596,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12606,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
f_12606(2,av2);}}
else{
if(C_truep(C_i_flonump(t3))){
/* library.scm:1710: chicken.flonum#fp= */
t6=*((C_word*)lf[443]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[500];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_12606(2,av2);}}}}

/* k12604 in make-complex in k8513 */
static void C_ccall f_12606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_12606,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12610,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:1713: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
f_12610(2,av2);}}}}

/* k12608 in k12604 in make-complex in k8513 */
static void C_ccall f_12610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,1)))){
C_save_and_reclaim((void *)f_12610,2,av);}
a=C_alloc(14);
if(C_truep(C_i_inexactp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=C_a_i_cplxnum(&a,2,t1,t3);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_cplxnum(&a,2,t1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#make-rectangular in k8513 */
static void C_ccall f_12632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12632,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12636,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1718: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[502];
tp(4,av2);}}

/* k12634 in scheme#make-rectangular in k8513 */
static void C_ccall f_12636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12636,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12639,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1719: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[502];
tp(4,av2);}}

/* k12637 in k12634 in scheme#make-rectangular in k8513 */
static void C_ccall f_12639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12639,2,av);}
/* library.scm:1720: make-complex */
f_12596(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}

/* scheme#make-polar in k8513 */
static void C_ccall f_12644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12644,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12648,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1724: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[504];
tp(4,av2);}}

/* k12646 in scheme#make-polar in k8513 */
static void C_ccall f_12648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12648,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12651,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1725: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[504];
tp(4,av2);}}

/* k12649 in k12646 in scheme#make-polar in k8513 */
static void C_ccall f_12651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12651,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12654,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1726: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k12652 in k12649 in k12646 in scheme#make-polar in k8513 */
static void C_ccall f_12654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(74,c,3)))){
C_save_and_reclaim((void *)f_12654,2,av);}
a=C_alloc(74);
t2=((C_word*)t0)[2];
t3=C_a_i_cos(&a,1,t1);
t4=C_s_a_i_times(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_a_i_sin(&a,1,t1);
t7=C_s_a_i_times(&a,2,t5,t6);
/* library.scm:1727: make-complex */
f_12596(((C_word*)t0)[3],t4,t7);}

/* scheme#real-part in k8513 */
static void C_ccall f_12665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12665,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_real(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1735: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[506];
tp(4,av2);}}}}

/* scheme#imag-part in k8513 */
static void C_ccall f_12688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12688,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_imag(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1742: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[508];
tp(4,av2);}}}}}

/* scheme#angle in k8513 */
static void C_ccall f_12714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12714,3,av);}
a=C_alloc(4);
t3=C_i_check_number_2(t2,lf[510]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12723,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1748: scheme#imag-part */
t5=*((C_word*)lf[507]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12721 in scheme#angle in k8513 */
static void C_ccall f_12723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_12723,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12728,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1749: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k12726 in k12721 in scheme#angle in k8513 */
static void C_ccall f_12728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_12728,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#magnitude in k8513 */
static void C_ccall f_12730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(95,c,3)))){
C_save_and_reclaim((void *)f_12730,3,av);}
a=C_alloc(95);
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_real(t3);
t5=t2;
t6=C_u_i_cplxnum_imag(t5);
t7=C_s_a_i_times(&a,2,t4,t4);
t8=C_s_a_i_times(&a,2,t6,t6);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1756: scheme#sqrt */
t10=*((C_word*)lf[512]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* library.scm:1758: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[513];
tp(4,av2);}}}}

/* ratnum in k8513 */
static void C_fcall f_12769(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,1)))){
C_save_and_reclaim_args((void *)trf_12769,3,t1,t2,t3);}
a=C_alloc(13);
switch(t3){
case C_fix(1):
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(-1):
t4=t1;
t5=t2;
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_u_i_integer_negate(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}
default:
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=t2;
t6=C_s_a_u_i_integer_negate(&a,1,t5);
t7=t3;
t8=C_s_a_u_i_integer_negate(&a,1,t7);
t9=t1;
t10=t9;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_a_i_ratnum(&a,2,t6,t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=t1;
t6=t2;
t7=t3;
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_a_i_ratnum(&a,2,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* scheme#numerator in k8513 */
static void C_ccall f_12815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12815,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1778: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[517];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12839,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12843,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1780: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_num(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1782: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[517];
av2[4]=lf[519];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12837 in scheme#numerator in k8513 */
static void C_ccall f_12839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12839,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12841 in scheme#numerator in k8513 */
static void C_ccall f_12843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12843,2,av);}
/* library.scm:1780: scheme#numerator */
t2=*((C_word*)lf[515]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#denominator in k8513 */
static void C_ccall f_12861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12861,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1790: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[521];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=lf[522];
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12885,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12889,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1792: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_denom(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1794: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[517];
av2[4]=lf[523];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12883 in scheme#denominator in k8513 */
static void C_ccall f_12885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12885,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12887 in scheme#denominator in k8513 */
static void C_ccall f_12889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12889,2,av);}
/* library.scm:1792: scheme#denominator */
t2=*((C_word*)lf[520]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#extended-signum in k8513 */
static void C_ccall f_12907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(26,c,3)))){
C_save_and_reclaim((void *)f_12907,3,av);}
a=C_alloc(26);
if(C_truep(C_i_ratnump(t2))){
t3=t2;
t4=C_u_i_ratnum_num(t3);
t5=C_u_i_integer_signum(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_imag(t3);
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_u_i_cplxnum_real(t3);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_flonum(&a,C_atan2(C_flonum_magnitude(t5),C_flonum_magnitude(t7)));
/* library.scm:1801: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1802: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[525];
tp(4,av2);}}}}

/* doloop2211 in deliver in scheme#inexact->exact in k8513 */
static void C_fcall f_12948(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12948,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_u_i_fpintegerp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12959,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1810: chicken.flonum#fp* */
t5=*((C_word*)lf[435]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[529];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k12957 in doloop2211 in deliver in scheme#inexact->exact in k8513 */
static void C_ccall f_12959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12959,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_12948(t3,((C_word*)t0)[4],t1,t2);}

/* deliver in scheme#inexact->exact in k8513 */
static void C_fcall f_12965(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,4)))){
C_save_and_reclaim_args((void *)trf_12965,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_12969,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12998,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12948,a[2]=t8,a[3]=((C_word)li373),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_12948(t10,t5,t6,C_fix(0));}

/* k12967 in deliver in scheme#inexact->exact in k8513 */
static void C_ccall f_12969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_12969,2,av);}
a=C_alloc(7);
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_12974,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:1816: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12972 in k12967 in deliver in scheme#inexact->exact in k8513 */
static void C_ccall f_12974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_12974,2,av);}
a=C_alloc(42);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
if(C_truep(C_i_finitep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12985,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_u_i_flo_to_int(&a,1,t2);
/* library.scm:1818: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}
else{
/* library.scm:1819: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[527];
tp(4,av2);}}}

/* k12983 in k12972 in k12967 in deliver in scheme#inexact->exact in k8513 */
static void C_ccall f_12985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12985,2,av);}
/* library.scm:1818: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k12996 in deliver in scheme#inexact->exact in k8513 */
static void C_ccall f_12998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12998,2,av);}
/* library.scm:1815: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(2);
av2[3]=t1;
tp(4,av2);}}

/* k13011 in k13021 in scheme#inexact->exact in k8513 */
static void C_ccall f_13013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_13013,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13017,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1826: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[425]+1);
tp(4,av2);}}

/* k13015 in k13011 in k13021 in scheme#inexact->exact in k8513 */
static void C_ccall f_13017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13017,2,av);}
/* library.scm:1823: deliver */
t2=((C_word*)t0)[2];
f_12965(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13021 in scheme#inexact->exact in k8513 */
static void C_ccall f_13023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13023,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?C_ub_i_flonum_greaterp(C_flonum_magnitude(((C_word*)t0)[2]),-1.0):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13013,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1823: scheme#expt */
t5=*((C_word*)lf[530]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[529];
av2[3]=*((C_word*)lf[425]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
/* library.scm:1827: deliver */
t3=((C_word*)t0)[3];
f_12965(t3,((C_word*)t0)[4],((C_word*)t0)[2],C_fix(1));}}

/* scheme#inexact->exact in k8513 */
static void C_ccall f_13027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_13027,3,av);}
a=C_alloc(9);
if(C_truep(C_i_exactp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_s_a_u_i_flo_to_int(&a,1,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_flonum_finitep(t2))){
t3=t1;
t4=t2;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12965,a[2]=t4,a[3]=((C_word)li374),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13023,a[2]=t4,a[3]=t5,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1821: chicken.flonum#fp< */
t7=*((C_word*)lf[447]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[522];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
/* library.scm:1835: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13067,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=C_u_i_cplxnum_real(t4);
/* library.scm:1837: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:1839: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}}

/* k13065 in scheme#inexact->exact in k8513 */
static void C_ccall f_13067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13067,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13071,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_cplxnum_imag(t4);
/* library.scm:1838: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13069 in k13065 in scheme#inexact->exact in k8513 */
static void C_ccall f_13071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13071,2,av);}
/* library.scm:1837: make-complex */
f_12596(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* chicken.bitwise#bitwise-not in k8513 */
static void C_ccall f_13093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13093,3,av);}
a=C_alloc(5);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_bitwise_not(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#bit->boolean in k8513 */
static void C_ccall f_13096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13096,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_bit_to_bool(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.bitwise#integer-length in k8513 */
static void C_ccall f_13099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13099,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integer_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#arithmetic-shift in k8513 */
static void C_ccall f_13102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13102,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#/ in k8513 */
static void C_ccall f_13105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_13105,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t3))){
/* library.scm:1874: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t2;
tp(4,av2);}}
else{
t4=C_slot(t3,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13126,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t3,C_fix(0));
/* library.scm:1876: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}}

/* k13124 in scheme#/ in k8513 */
static void C_ccall f_13126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_13126,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13128,a[2]=t3,a[3]=((C_word)li383),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_13128(t5,((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* loop in k13124 in scheme#/ in k8513 */
static void C_fcall f_13128(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_13128,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13146,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(0));
/* library.scm:1880: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}}

/* k13144 in loop in k13124 in scheme#/ in k8513 */
static void C_ccall f_13146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13146,2,av);}
/* library.scm:1879: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13128(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* ##sys#/-2 in k8513 */
static void C_ccall f_13156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_13156,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13160,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,C_fix(0));
if(C_truep(t5)){
t6=C_fix((C_word)C_DIVISION_BY_ZERO_ERROR);
/* library.scm:1887: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=lf[543];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}
else{
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_13160(2,av2);}}}

/* k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13160,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13166,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[2];
if(C_truep(C_i_exact_integerp(t3))){
t4=((C_word*)t0)[3];
t5=t2;
f_13166(t5,C_i_exact_integerp(t4));}
else{
t4=t2;
f_13166(t4,C_SCHEME_FALSE);}}

/* k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_fcall f_13166(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(96,0,4)))){
C_save_and_reclaim_args((void *)trf_13166,2,t0,t1);}
a=C_alloc(96);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_u_i_integer_gcd(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_s_a_u_i_integer_quotient(&a,2,t5,t4);
t7=((C_word*)t0)[3];
t8=C_s_a_u_i_integer_quotient(&a,2,t7,t4);
/* library.scm:1890: ratnum */
f_12769(((C_word*)t0)[4],t6,t8);}
else{
t2=C_i_cplxnump(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_cplxnump(((C_word*)t0)[3]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13198,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1893: scheme#real-part */
t5=*((C_word*)lf[505]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=C_i_flonump(((C_word*)t0)[2]);
t5=(C_truep(t4)?t4:C_i_flonump(((C_word*)t0)[3]));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13249,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1901: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[2]))){
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=((C_word*)t0)[2];
t9=C_u_i_ratnum_denom(t8);
t10=((C_word*)t0)[3];
t11=C_u_i_ratnum_num(t10);
t12=((C_word*)t0)[3];
t13=C_u_i_ratnum_denom(t12);
t14=C_s_a_u_i_integer_gcd(&a,2,t7,t11);
t15=C_s_a_u_i_integer_gcd(&a,2,t9,t13);
t16=C_s_a_i_quotient(&a,2,t7,t14);
t17=C_s_a_i_quotient(&a,2,t13,t15);
t18=C_s_a_i_times(&a,2,t16,t17);
t19=C_s_a_i_quotient(&a,2,t9,t15);
t20=C_s_a_i_quotient(&a,2,t11,t14);
t21=C_s_a_i_times(&a,2,t19,t20);
/* library.scm:1911: ratnum */
f_12769(((C_word*)t0)[4],t18,t21);}
else{
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13320,a[2]=t8,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1917: ##sys#internal-gcd */
f_14925(t9,lf[543],t8,((C_word*)t0)[3]);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[3];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13354,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t8,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1928: ##sys#internal-gcd */
f_14925(t9,lf[543],((C_word*)t0)[2],t8);}
else{
t6=C_i_numberp(((C_word*)t0)[2]);
if(C_truep(C_i_not(t6))){
/* library.scm:1934: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[543];
tp(4,av2);}}
else{
/* library.scm:1935: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[543];
tp(4,av2);}}}}}}}}

/* k13196 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13198,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13201,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1893: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13199 in k13196 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13201,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13204,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1894: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13202 in k13199 in k13196 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13204,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13207,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1894: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13205 in k13202 in k13199 in k13196 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(198,c,3)))){
C_save_and_reclaim((void *)f_13207,2,av);}
a=C_alloc(198);
t2=t1;
t3=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]);
t4=C_s_a_i_times(&a,2,t2,t2);
t5=C_s_a_i_plus(&a,2,t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_13216,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=t5,tmp=(C_word)a,a+=8,tmp);
t7=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_s_a_i_times(&a,2,((C_word*)t0)[4],t2);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1896: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t9;
av2[3]=t5;
tp(4,av2);}}

/* k13214 in k13205 in k13202 in k13199 in k13196 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(99,c,3)))){
C_save_and_reclaim((void *)f_13216,2,av);}
a=C_alloc(99);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13219,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t5=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[6]);
t6=C_s_a_i_minus(&a,2,t4,t5);
/* library.scm:1897: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t6;
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k13217 in k13214 in k13205 in k13202 in k13199 in k13196 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13219,2,av);}
/* library.scm:1898: make-complex */
f_12596(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* k13247 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13249,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13253,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1901: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13251 in k13247 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13253,2,av);}
/* library.scm:1901: chicken.flonum#fp/ */
t2=*((C_word*)lf[437]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k13318 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13320,2,av);}
a=C_alloc(43);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_denom(t3);
t5=((C_word*)t0)[4];
t6=C_s_a_i_quotient(&a,2,t5,t1);
t7=C_s_a_i_times(&a,2,t4,t6);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1921: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1922: ratnum */
f_12769(((C_word*)t0)[5],t2,t7);}}

/* k13352 in k13164 in k13158 in ##sys#/-2 in k8513 */
static void C_ccall f_13354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13354,2,av);}
a=C_alloc(43);
t2=((C_word*)t0)[2];
t3=C_s_a_i_quotient(&a,2,t2,t1);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=C_s_a_i_times(&a,2,t3,t5);
t7=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1932: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1933: ratnum */
f_12769(((C_word*)t0)[5],t6,t7);}}

/* scheme#floor in k8513 */
static void C_ccall f_13404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13404,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1940: chicken.flonum#fpfloor */
t4=*((C_word*)lf[459]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?t8:C_s_a_i_minus(&a,2,t8,C_fix(1)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1945: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[545];
tp(4,av2);}}}}}

/* scheme#ceiling in k8513 */
static void C_ccall f_13445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13445,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1950: chicken.flonum#fpceiling */
t4=*((C_word*)lf[465]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?C_s_a_i_plus(&a,2,t8,C_fix(1)):t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1955: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[547];
tp(4,av2);}}}}}

/* scheme#truncate in k8513 */
static void C_ccall f_13486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13486,3,av);}
a=C_alloc(5);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1960: chicken.flonum#fptruncate */
t4=*((C_word*)lf[461]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1964: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[549];
tp(4,av2);}}}}}

/* scheme#round in k8513 */
static void C_ccall f_13520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(36,c,3)))){
C_save_and_reclaim((void *)f_13520,3,av);}
a=C_alloc(36);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_flonum_round_proper(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_a_i_ratnum(&a,2,C_fix(1),C_fix(2));
t6=C_s_a_i_plus(&a,2,t4,t5);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13544,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1973: scheme#floor */
t8=*((C_word*)lf[544]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
/* library.scm:1975: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[551];
tp(4,av2);}}}}}

/* k13542 in scheme#round in k8513 */
static void C_ccall f_13544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_13544,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(C_i_nequalp(t1,((C_word*)t0)[3]))?(C_truep(C_i_oddp(t1))?C_s_a_i_minus(&a,2,t1,C_fix(1)):t1):t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* find-ratio-between in k8513 */
static void C_fcall f_13560(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(67,0,4)))){
C_save_and_reclaim_args((void *)trf_13560,3,t1,t2,t3);}
a=C_alloc(67);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13563,a[2]=t5,a[3]=((C_word)li390),tmp=(C_word)a,a+=4,tmp));
t7=t3;
t8=t2;
if(C_truep(C_i_lessp(t7,t8))){
/* library.scm:1988: find-ratio-between */
t20=t1;
t21=t3;
t22=t2;
t1=t20;
t2=t21;
t3=t22;
goto loop;}
else{
t9=t2;
t10=t3;
t11=C_i_lessp(t9,t10);
if(C_truep(C_i_not(t11))){
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=C_a_i_list2(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=t2;
if(C_truep(C_i_positivep(t12))){
/* library.scm:1990: sr */
t13=((C_word*)t5)[1];
f_13563(t13,t1,t2,t3);}
else{
t13=t3;
if(C_truep(C_i_negativep(t13))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13663,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t15=t3;
t16=C_s_a_i_negate(&a,1,t15);
t17=t2;
t18=C_s_a_i_negate(&a,1,t17);
/* library.scm:1991: sr */
t19=((C_word*)t5)[1];
f_13563(t19,t14,t16,t18);}
else{
t14=t1;{
C_word av2[2];
av2[0]=t14;
av2[1]=lf[553];
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}}}}}

/* sr in find-ratio-between in k8513 */
static void C_fcall f_13563(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_13563,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13567,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13632,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1979: scheme#floor */
t6=*((C_word*)lf[544]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13565 in sr in find-ratio-between in k8513 */
static void C_ccall f_13567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_13567,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13570,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13628,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1980: scheme#floor */
t5=*((C_word*)lf[544]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13568 in k13565 in sr in find-ratio-between in k8513 */
static void C_ccall f_13570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_13570,2,av);}
a=C_alloc(39);
t2=((C_word*)t0)[2];
t3=C_i_lessp(((C_word*)t0)[3],t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_nequalp(((C_word*)t0)[3],t1))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13587,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13605,a[2]=((C_word*)t0)[5],a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[6];
t7=C_s_a_i_minus(&a,2,t6,t1);
/* library.scm:1983: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t5;
av2[2]=C_fix(1);
av2[3]=t7;
tp(4,av2);}}
else{
t4=C_s_a_i_plus(&a,2,C_fix(1),((C_word*)t0)[3]);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t4,C_fix(1));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k13585 in k13568 in k13565 in sr in find-ratio-between in k8513 */
static void C_ccall f_13587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(68,c,1)))){
C_save_and_reclaim((void *)f_13587,2,av);}
a=C_alloc(68);
t2=C_i_cadr(t1);
t3=C_u_i_car(t1);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=C_s_a_i_plus(&a,2,t2,t4);
t6=C_u_i_car(t1);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_list2(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k13603 in k13568 in k13565 in sr in find-ratio-between in k8513 */
static void C_ccall f_13605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13605,2,av);}
a=C_alloc(34);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13609,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[4];
t5=C_s_a_i_minus(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:1984: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=C_fix(1);
av2[3]=t5;
tp(4,av2);}}

/* k13607 in k13603 in k13568 in k13565 in sr in find-ratio-between in k8513 */
static void C_ccall f_13609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13609,2,av);}
/* library.scm:1983: sr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13563(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13626 in k13565 in sr in find-ratio-between in k8513 */
static void C_ccall f_13628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13628,2,av);}
/* library.scm:1980: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13630 in sr in find-ratio-between in k8513 */
static void C_ccall f_13632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13632,2,av);}
/* library.scm:1979: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13661 in find-ratio-between in k8513 */
static void C_ccall f_13663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,1)))){
C_save_and_reclaim((void *)f_13663,2,av);}
a=C_alloc(35);
t2=C_i_car(t1);
t3=C_s_a_i_negate(&a,1,t2);
t4=C_i_cadr(t1);
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#rationalize in k8513 */
static void C_ccall f_13696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(66,c,3)))){
C_save_and_reclaim((void *)f_13696,4,av);}
a=C_alloc(66);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13700,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13719,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=t3;
t8=C_s_a_i_minus(&a,2,t6,t7);
t9=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:1995: find-ratio-between */
f_13560(t5,t8,t9);}

/* k13698 in scheme#rationalize in k8513 */
static void C_ccall f_13700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13700,2,av);}
t2=C_i_inexactp(((C_word*)t0)[2]);
if(C_truep(t2)){
if(C_truep(t2)){
/* library.scm:2001: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:2001: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k13717 in scheme#rationalize in k8513 */
static void C_ccall f_13719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13719,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[526]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* scheme#max in k8513 */
static void C_ccall f_13721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13721,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13728,a[2]=t6,a[3]=((C_word)li393),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13728(t8,t1,t4,t2,t3);}

/* loop in scheme#max in k8513 */
static void C_fcall f_13728(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13728,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[556]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_greaterp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2011: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#min in k8513 */
static void C_ccall f_13764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13764,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13771,a[2]=t6,a[3]=((C_word)li395),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13771(t8,t1,t4,t2,t3);}

/* loop in scheme#min in k8513 */
static void C_fcall f_13771(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13771,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[558]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_lessp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2022: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#exp in k8513 */
static void C_ccall f_13807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13807,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[560]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13822,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=C_u_i_cplxnum_real(t5);
/* library.scm:2031: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t4;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_flonum(&a,C_exp(C_flonum_magnitude(t5)));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13820 in scheme#exp in k8513 */
static void C_ccall f_13822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_13822,2,av);}
a=C_alloc(12);
t2=C_a_i_exp(&a,1,t1);
t3=((C_word*)t0)[2];
t4=C_u_i_cplxnum_imag(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13831,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13836,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2034: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}

/* k13829 in k13820 in scheme#exp in k8513 */
static void C_ccall f_13831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_13831,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13834 in k13820 in scheme#exp in k8513 */
static void C_ccall f_13836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_13836,2,av);}
a=C_alloc(19);
t2=C_a_i_cos(&a,1,t1);
t3=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[2]);
t4=C_a_i_sin(&a,1,t3);
/* library.scm:2033: make-complex */
f_12596(((C_word*)t0)[3],t2,t4);}

/* ##sys#log-1 in k8513 */
static void C_ccall f_13849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_13849,3,av);}
a=C_alloc(4);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
/* library.scm:2041: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[562];
av2[3]=lf[563];
av2[4]=lf[564];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=C_i_cplxnump(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13868,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=t5;
f_13868(t6,t4);}
else{
t6=t2;
t7=t5;
f_13868(t7,C_i_negativep(t6));}}}

/* k13866 in ##sys#log-1 in k8513 */
static void C_fcall f_13868(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_13868,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13872,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13885,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2044: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13889,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2047: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k13870 in k13866 in ##sys#log-1 in k8513 */
static void C_ccall f_13872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13872,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13877,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2045: make-complex */
f_12596(t3,C_fix(0),C_fix(1));}

/* k13875 in k13870 in k13866 in ##sys#log-1 in k8513 */
static void C_ccall f_13877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13877,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13881,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2045: scheme#angle */
t4=*((C_word*)lf[509]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13879 in k13875 in k13870 in k13866 in ##sys#log-1 in k8513 */
static void C_ccall f_13881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(62,c,1)))){
C_save_and_reclaim((void *)f_13881,2,av);}
a=C_alloc(62);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13883 in k13866 in ##sys#log-1 in k8513 */
static void C_ccall f_13885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13885,2,av);}
/* library.scm:2044: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[561]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k13887 in k13866 in ##sys#log-1 in k8513 */
static void C_ccall f_13889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_13889,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_log(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#log in k8513 */
static void C_ccall f_13892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_13892,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13906,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2051: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:2051: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* k13904 in scheme#log in k8513 */
static void C_ccall f_13906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13906,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13910,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2051: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k13908 in k13904 in scheme#log in k8513 */
static void C_ccall f_13910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13910,2,av);}
/* library.scm:2051: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#sin in k8513 */
static void C_ccall f_13921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13921,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[567]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[568],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13941,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2058: scheme#exp */
t7=*((C_word*)lf[559]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_sin(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13939 in scheme#sin in k8513 */
static void C_ccall f_13941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13941,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13945,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2058: scheme#exp */
t5=*((C_word*)lf[559]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13943 in k13939 in scheme#sin in k8513 */
static void C_ccall f_13945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13945,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2058: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[569];
tp(4,av2);}}

/* scheme#cos in k8513 */
static void C_ccall f_13951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13951,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[571]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[568],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13971,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2066: scheme#exp */
t7=*((C_word*)lf[559]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_cos(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13969 in scheme#cos in k8513 */
static void C_ccall f_13971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13971,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13975,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2066: scheme#exp */
t5=*((C_word*)lf[559]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13973 in k13969 in scheme#cos in k8513 */
static void C_ccall f_13975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13975,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2066: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(2);
tp(4,av2);}}

/* scheme#tan in k8513 */
static void C_ccall f_13981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13981,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[573]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13998,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2073: scheme#sin */
t5=*((C_word*)lf[566]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_tan(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13996 in scheme#tan in k8513 */
static void C_ccall f_13998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13998,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14002,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2073: scheme#cos */
t4=*((C_word*)lf[570]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14000 in k13996 in scheme#tan in k8513 */
static void C_ccall f_14002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14002,2,av);}
/* library.scm:2073: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#asin in k8513 */
static void C_ccall f_14006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_14006,3,av);}
a=C_alloc(8);
t3=C_i_check_number_2(t2,lf[575]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14016,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14055,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2080: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[578];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14016(t5,C_SCHEME_FALSE);}}

/* k14014 in scheme#asin in k8513 */
static void C_fcall f_14016(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14016,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_a_i_asin(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14022,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14022(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14022(t3,C_SCHEME_FALSE);}}}

/* k14020 in k14014 in scheme#asin in k8513 */
static void C_fcall f_14022(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,0,3)))){
C_save_and_reclaim_args((void *)trf_14022,2,t0,t1);}
a=C_alloc(102);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_asin(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14027,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,lf[568],t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14035,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[3];
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=C_s_a_i_minus(&a,2,C_fix(1),t8);
/* library.scm:2089: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[577]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[577]+1);
av2[1]=t5;
av2[2]=lf[575];
av2[3]=t9;
tp(4,av2);}}}

/* k14025 in k14020 in k14014 in scheme#asin in k8513 */
static void C_ccall f_14027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14027,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,lf[576],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14033 in k14020 in k14014 in scheme#asin in k8513 */
static void C_ccall f_14035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,2)))){
C_save_and_reclaim((void *)f_14035,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2087: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[561]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}

/* k14053 in scheme#asin in k8513 */
static void C_ccall f_14055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14055,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),1.0);
t4=((C_word*)t0)[3];
f_14016(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14016(t2,C_SCHEME_FALSE);}}

/* scheme#acos in k8513 */
static void C_ccall f_14059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_14059,3,av);}
a=C_alloc(9);
t3=C_i_check_number_2(t2,lf[580]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14069,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14095,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2097: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[578];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14069(t5,C_SCHEME_FALSE);}}

/* k14067 in scheme#acos in k8513 */
static void C_fcall f_14069(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_14069,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_a_i_acos(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14075,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14075(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14075(t3,C_SCHEME_FALSE);}}}

/* k14073 in k14067 in scheme#acos in k8513 */
static void C_fcall f_14075(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_14075,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_acos(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14080,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2104: scheme#asin */
t4=*((C_word*)lf[574]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k14078 in k14073 in k14067 in scheme#acos in k8513 */
static void C_ccall f_14080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_14080,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_minus(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14093 in scheme#acos in k8513 */
static void C_ccall f_14095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14095,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),1.0);
t4=((C_word*)t0)[3];
f_14069(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14069(t2,C_SCHEME_FALSE);}}

/* scheme#atan in k8513 */
static void C_ccall f_14099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +66,c,3)))){
C_save_and_reclaim((void*)f_14099,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+66);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_check_number_2(t2,lf[582]);
if(C_truep(C_i_cplxnump(t2))){
if(C_truep(t5)){
/* library.scm:2111: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[582];
tp(4,av2);}}
else{
t7=t2;
t8=C_s_a_i_times(&a,2,lf[568],t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14128,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
t10=C_s_a_i_plus(&a,2,C_fix(1),t8);
/* library.scm:2113: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}}
else{
if(C_truep(t5)){
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14147,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2117: scheme#exact->inexact */
t10=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_atan(&a,1,t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* k14126 in scheme#atan in k8513 */
static void C_ccall f_14128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14128,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14132,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_minus(&a,2,C_fix(1),((C_word*)t0)[3]);
/* library.scm:2114: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k14130 in k14126 in scheme#atan in k8513 */
static void C_ccall f_14132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14132,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2113: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[569];
tp(4,av2);}}

/* k14145 in scheme#atan in k8513 */
static void C_ccall f_14147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14147,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#exact-integer-sqrt in k8513 */
static void C_ccall f_14157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14157,3,av);}
a=C_alloc(10);
t3=C_fixnump(t2);
t4=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(4)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=t2;
t6=C_eqp(t5,C_fix(0));
t7=(C_truep(t6)?t6:C_eqp(t5,C_fix(1)));
if(C_truep(t7)){
/* library.scm:2129: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
switch(t5){
case C_fix(2):
/* library.scm:2130: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(1);
C_values(4,av2);}
case C_fix(3):
/* library.scm:2131: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(2);
C_values(4,av2);}
case C_fix(4):
/* library.scm:2132: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(2);
av2[3]=C_fix(0);
C_values(4,av2);}
default:
/* library.scm:2133: chicken.base#error */
t8=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[584];
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
t5=t2;
t6=C_i_integer_length(t5);
t7=C_fixnum_plus(t6,C_fix(1));
t8=C_fixnum_shift_right(t7,C_fix(2));
t9=t8;
t10=C_fixnum_shift_left(t9,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14230,a[2]=t2,a[3]=t11,a[4]=((C_word)li406),tmp=(C_word)a,a+=5,tmp);
t13=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14242,a[2]=t9,a[3]=t2,a[4]=((C_word)li410),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2134: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a14229 in ##sys#exact-integer-sqrt in k8513 */
static void C_ccall f_14230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14230,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_fixnum_negate(((C_word*)t0)[3]);
t4=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
/* library.scm:2137: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}

/* a14241 in ##sys#exact-integer-sqrt in k8513 */
static void C_ccall f_14242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(38,c,4)))){
C_save_and_reclaim((void *)f_14242,4,av);}
a=C_alloc(38);
t4=t2;
t5=t3;
t6=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),((C_word*)t0)[2]);
t7=C_s_a_u_i_integer_minus(&a,2,t6,C_fix(1));
t8=((C_word*)t0)[3];
t9=C_s_a_i_bitwise_and(&a,2,t8,t7);
t10=t9;
t11=((C_word*)t0)[3];
t12=C_fixnum_negate(((C_word*)t0)[2]);
t13=C_s_a_i_arithmetic_shift(&a,2,t11,t12);
t14=C_s_a_i_bitwise_and(&a,2,t13,t7);
t15=t14;
t16=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14261,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t15,a[5]=t4,a[6]=((C_word)li408),tmp=(C_word)a,a+=7,tmp);
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14275,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t10,a[5]=((C_word)li409),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2134: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t16;
av2[3]=t17;
C_call_with_values(4,av2);}}

/* a14260 in a14241 in ##sys#exact-integer-sqrt in k8513 */
static void C_ccall f_14261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_14261,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li407),tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_s_a_u_i_integer_plus(&a,2,t3,((C_word*)t0)[4]);
t5=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[5],C_fix(1));
/* library.scm:2134: g2583 */
t6=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* a14274 in a14241 in ##sys#exact-integer-sqrt in k8513 */
static void C_ccall f_14275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(222,c,3)))){
C_save_and_reclaim((void *)f_14275,4,av);}
a=C_alloc(222);
t4=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t5=C_s_a_i_plus(&a,2,t4,t2);
t6=C_s_a_i_arithmetic_shift(&a,2,t3,((C_word*)t0)[3]);
t7=C_s_a_i_times(&a,2,t2,t2);
t8=C_s_a_i_minus(&a,2,((C_word*)t0)[4],t7);
t9=C_s_a_i_plus(&a,2,t6,t8);
if(C_truep(C_i_negativep(t9))){
t10=C_s_a_i_minus(&a,2,t5,C_fix(1));
t11=C_s_a_i_arithmetic_shift(&a,2,t5,C_fix(1));
t12=C_s_a_i_plus(&a,2,t9,t11);
t13=C_s_a_i_minus(&a,2,t12,C_fix(1));
/* library.scm:2148: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t10;
av2[3]=t13;
C_values(4,av2);}}
else{
/* library.scm:2150: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t9;
C_values(4,av2);}}}

/* chicken.base#exact-integer-sqrt in k8513 */
static void C_ccall f_14322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14322,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14326,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2154: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[586];
tp(4,av2);}}

/* k14324 in chicken.base#exact-integer-sqrt in k8513 */
static void C_ccall f_14326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14326,2,av);}
/* library.scm:2155: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* ##sys#sqrt/loc in k8513 */
static void C_ccall f_14331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(32,c,4)))){
C_save_and_reclaim((void *)f_14331,4,av);}
a=C_alloc(32);
if(C_truep(C_i_cplxnump(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14341,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t3;
t6=C_u_i_cplxnum_imag(t5);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_u_i_cplxnum_real(t5);
t9=C_a_i_exact_to_inexact(&a,1,t8);
t10=C_flonum(&a,C_atan2(C_flonum_magnitude(t7),C_flonum_magnitude(t9)));
/* library.scm:2161: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(2);
tp(4,av2);}}
else{
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14377,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2166: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14388,a[2]=t3,a[3]=((C_word)li413),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14394,a[2]=t3,a[3]=((C_word)li414),tmp=(C_word)a,a+=4,tmp);
/* library.scm:2168: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_ratnump(t3))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14416,a[2]=t3,a[3]=((C_word)li415),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14428,a[2]=t3,a[3]=t2,a[4]=((C_word)li418),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2173: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14480,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2181: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}}}

/* k14339 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14341,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14345,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2162: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14343 in k14339 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_14345,2,av);}
a=C_alloc(10);
t2=C_a_i_sqrt(&a,1,t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14354,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2163: scheme#cos */
t5=*((C_word*)lf[570]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14352 in k14343 in k14339 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,2)))){
C_save_and_reclaim((void *)f_14354,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14360,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2163: scheme#sin */
t5=*((C_word*)lf[566]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14358 in k14352 in k14343 in k14339 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14360,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2163: make-complex */
f_12596(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* k14375 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14377,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
/* library.scm:2165: make-complex */
f_12596(((C_word*)t0)[2],lf[500],t2);}

/* a14387 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14388,2,av);}
/* library.scm:2168: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* a14393 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_14394,4,av);}
a=C_alloc(3);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14405,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2171: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14403 in a14393 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14405,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a14415 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14416,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_num(t2);
/* library.scm:2173: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14427 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14428,4,av);}
a=C_alloc(10);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14440,a[2]=((C_word*)t0)[2],a[3]=((C_word)li416),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14452,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word)li417),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2175: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14476,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2180: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* a14439 in a14427 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14440,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2176: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14451 in a14427 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14452,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:2178: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14469,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2179: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14467 in a14451 in a14427 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14469,2,av);}
/* library.scm:2179: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[577]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[577]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14474 in a14427 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14476,2,av);}
/* library.scm:2180: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[577]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[577]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14478 in ##sys#sqrt/loc in k8513 */
static void C_ccall f_14480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14480,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_sqrt(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#sqrt in k8513 */
static void C_ccall f_14482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14482,3,av);}
/* library.scm:2183: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[577]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[577]+1);
av2[1]=t1;
av2[2]=lf[587];
av2[3]=t2;
tp(4,av2);}}

/* chicken.base#exact-integer-nth-root in k8513 */
static void C_ccall f_14488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14488,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14492,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2187: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[590];
tp(4,av2);}}

/* k14490 in chicken.base#exact-integer-nth-root in k8513 */
static void C_ccall f_14492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14492,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14495,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2188: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[590];
tp(4,av2);}}

/* k14493 in k14490 in chicken.base#exact-integer-nth-root in k8513 */
static void C_ccall f_14495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14495,2,av);}
/* library.scm:2189: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[590];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#exact-integer-nth-root/loc in k8513 */
static void C_ccall f_14500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14500,5,av);}
a=C_alloc(5);
t5=C_eqp(C_fix(0),t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14510,a[2]=t1,a[3]=t3,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_14510(t7,t5);}
else{
t7=C_eqp(C_fix(1),t3);
t8=t6;
f_14510(t8,(C_truep(t7)?t7:C_eqp(C_fix(1),t4)));}}

/* k14508 in ##sys#exact-integer-nth-root/loc in k8513 */
static void C_fcall f_14510(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,0,3)))){
C_save_and_reclaim_args((void *)trf_14510,2,t0,t1);}
a=C_alloc(29);
if(C_truep(t1)){
/* library.scm:2195: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_i_integer_length(t2);
t4=((C_word*)t0)[4];
if(C_truep(C_i_lessp(t3,t4))){
t5=((C_word*)t0)[3];
t6=C_s_a_i_minus(&a,2,t5,C_fix(1));
/* library.scm:2198: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t6;
C_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14528,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14583,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14587,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(t3,C_fix(1));
t9=((C_word*)t0)[4];
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=t9;
tp(4,av2);}}}}

/* k14526 in k14508 in ##sys#exact-integer-nth-root/loc in k8513 */
static void C_ccall f_14528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(76,c,3)))){
C_save_and_reclaim((void *)f_14528,2,av);}
a=C_alloc(76);
t2=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),t1);
t3=((C_word*)t0)[2];
t4=C_s_a_i_minus(&a,2,t3,C_fix(1));
t5=C_s_a_i_times(&a,2,t4,t2);
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_14546,a[2]=t6,a[3]=t5,a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2206: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}

/* k14544 in k14526 in k14508 in ##sys#exact-integer-nth-root/loc in k8513 */
static void C_ccall f_14546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_14546,2,av);}
a=C_alloc(48);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14549,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=t7,a[6]=((C_word)li422),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_14549(t9,((C_word*)t0)[7],((C_word*)t0)[8],t5);}

/* lp in k14544 in k14526 in k14508 in ##sys#exact-integer-nth-root/loc in k8513 */
static void C_fcall f_14549(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,0,3)))){
C_save_and_reclaim_args((void *)trf_14549,4,t0,t1,t2,t3);}
a=C_alloc(41);
t4=t3;
t5=t2;
if(C_truep(C_i_lessp(t4,t5))){
t6=t3;
t7=C_s_a_i_times(&a,2,((C_word*)t0)[2],t6);
t8=((C_word*)t0)[3];
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14569,a[2]=t8,a[3]=t7,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2211: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}
else{
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14579,a[2]=t6,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2213: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k14567 in lp in k14544 in k14526 in k14508 in ##sys#exact-integer-nth-root/loc in k8513 */
static void C_ccall f_14569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_14569,2,av);}
a=C_alloc(39);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
/* library.scm:2209: lp */
t6=((C_word*)((C_word*)t0)[5])[1];
f_14549(t6,((C_word*)t0)[6],((C_word*)t0)[7],t5);}

/* k14577 in lp in k14544 in k14526 in k14508 in ##sys#exact-integer-nth-root/loc in k8513 */
static void C_ccall f_14579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14579,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2213: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
C_values(4,av2);}}

/* k14581 in k14508 in ##sys#exact-integer-nth-root/loc in k8513 */
static void C_ccall f_14583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14583,2,av);}
/* library.scm:2200: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14585 in k14508 in ##sys#exact-integer-nth-root/loc in k8513 */
static void C_ccall f_14587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14587,2,av);}
/* library.scm:2200: scheme#ceiling */
t2=*((C_word*)lf[546]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#integer-power in k8513 */
static void C_ccall f_14603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_14603,4,av);}
a=C_alloc(8);
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14620,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_u_i_integer_negate(&a,1,t6);
/* library.scm:2218: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14631,a[2]=t6,a[3]=t2,a[4]=((C_word)li424),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_14631(t8,t1,C_fix(1),t3);}}

/* k14618 in ##sys#integer-power in k8513 */
static void C_ccall f_14620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14620,2,av);}
/* library.scm:2218: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t1;
tp(4,av2);}}

/* lp in ##sys#integer-power in k8513 */
static void C_fcall f_14631(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(62,0,3)))){
C_save_and_reclaim_args((void *)trf_14631,4,t0,t1,t2,t3);}
a=C_alloc(62);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t3;
if(C_truep(C_i_evenp(t5))){
t6=t2;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14651,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t3;
t9=C_s_a_i_arithmetic_shift(&a,2,t8,C_fix(-1));
/* library.scm:2223: lp */
t12=t7;
t13=C_fix(1);
t14=t9;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=t2;
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=t3;
t10=C_s_a_i_minus(&a,2,t9,C_fix(1));
/* library.scm:2225: lp */
t12=t1;
t13=t8;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}

/* k14649 in lp in ##sys#integer-power in k8513 */
static void C_ccall f_14651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(66,c,1)))){
C_save_and_reclaim((void *)f_14651,2,av);}
a=C_alloc(66);
t2=C_s_a_i_times(&a,2,t1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#expt in k8513 */
static void C_ccall f_14665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,4)))){
C_save_and_reclaim((void *)f_14665,4,av);}
a=C_alloc(17);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14668,a[2]=((C_word)li426),tmp=(C_word)a,a+=3,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14680,a[2]=((C_word)li427),tmp=(C_word)a,a+=3,tmp));
t10=C_i_numberp(t2);
if(C_truep(C_i_not(t10))){
/* library.scm:2237: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[591];
tp(4,av2);}}
else{
t11=C_i_numberp(t3);
if(C_truep(C_i_not(t11))){
/* library.scm:2238: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[591];
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14723,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t7,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_ratnump(t2))){
t13=C_i_inexactp(t3);
t14=t12;
f_14723(t14,C_i_not(t13));}
else{
t13=t12;
f_14723(t13,C_SCHEME_FALSE);}}}}

/* log-expt in scheme#expt in k8513 */
static void C_fcall f_14668(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14668,3,t1,t2,t3);}
a=C_alloc(4);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14678,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2230: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k14676 in log-expt in scheme#expt in k8513 */
static void C_ccall f_14678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14678,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2230: scheme#exp */
t3=*((C_word*)lf[559]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* slow-expt in scheme#expt in k8513 */
static void C_fcall f_14680(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,6)))){
C_save_and_reclaim_args((void *)trf_14680,3,t1,t2,t3);}
a=C_alloc(4);
t4=C_eqp(C_fix(0),t2);
if(C_truep(t4)){
/* library.scm:2233: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[7];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[562];
av2[3]=lf[591];
av2[4]=lf[592];
av2[5]=t2;
av2[6]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(7,av2);}}
else{
t5=t3;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14699,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2236: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}}

/* k14697 in slow-expt in scheme#expt in k8513 */
static void C_ccall f_14699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14699,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2236: scheme#exp */
t3=*((C_word*)lf[559]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14721 in scheme#expt in k8513 */
static void C_fcall f_14723(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_14723,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14727,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_num(t3);
/* library.scm:2242: scheme#expt */
t5=*((C_word*)lf[530]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t2;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[4]))){
t2=((C_word*)t0)[3];
if(C_truep(C_i_exact_integerp(t2))){
t3=((C_word*)t0)[3];
if(C_truep(C_i_negativep(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14766,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2249: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14773,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li428),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14785,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li429),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2250: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[3]))){
t3=((C_word*)t0)[4];
t4=C_a_i_exact_to_inexact(&a,1,t3);
/* library.scm:2259: log-expt */
f_14668(((C_word*)t0)[2],((C_word*)t0)[3],t4);}
else{
/* library.scm:2260: slow-expt */
f_14680(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}}}
else{
t2=C_i_cplxnump(((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14829,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t2)){
t4=t3;
f_14829(t4,t2);}
else{
if(C_truep(C_i_cplxnump(((C_word*)t0)[3]))){
t4=((C_word*)t0)[4];
t5=C_i_integerp(t4);
t6=t3;
f_14829(t6,C_i_not(t5));}
else{
t4=t3;
f_14829(t4,C_SCHEME_FALSE);}}}}}

/* k14725 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14727,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14731,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2243: scheme#expt */
t8=*((C_word*)lf[530]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t3;
av2[2]=t5;
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k14729 in k14725 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14731,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14764 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_14766,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];
t3=C_a_i_exact_to_inexact(&a,1,t2);
/* library.scm:2249: log-expt */
f_14668(((C_word*)t0)[4],t1,t3);}

/* a14772 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14773,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2251: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=t1;
av2[2]=lf[591];
av2[3]=((C_word*)t0)[3];
av2[4]=t3;
tp(5,av2);}}

/* a14784 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14785,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];
t6=C_u_i_ratnum_num(t5);
/* library.scm:2254: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14805,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2256: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14803 in a14784 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14805,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14809,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2257: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14807 in k14803 in a14784 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14809,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14827 in k14721 in scheme#expt in k8513 */
static void C_fcall f_14829(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_14829,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:2262: slow-expt */
f_14680(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14838,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_flonump(((C_word*)t0)[5]))){
t3=C_u_i_fpintegerp(((C_word*)t0)[5]);
t4=t2;
f_14838(t4,C_i_not(t3));}
else{
t3=t2;
f_14838(t3,C_SCHEME_FALSE);}}}

/* k14836 in k14827 in k14721 in scheme#expt in k8513 */
static void C_fcall f_14838(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_14838,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
if(C_truep(C_i_negativep(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14849,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2266: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14857,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2268: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14864,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2270: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=C_i_inexactp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_inexactp(((C_word*)t0)[5]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14880,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14884,a[2]=t4,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2274: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:2275: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}}}

/* k14847 in k14836 in k14827 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14849,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14853,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2266: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14851 in k14847 in k14836 in k14827 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14853,2,av);}
/* library.scm:2266: log-expt */
f_14668(((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k14855 in k14836 in k14827 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14857,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14862 in k14836 in k14827 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14864,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14878 in k14836 in k14827 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14880,2,av);}
/* library.scm:2274: scheme#exact->inexact */
t2=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14882 in k14836 in k14827 in k14721 in scheme#expt in k8513 */
static void C_ccall f_14884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14884,2,av);}
/* library.scm:2274: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* ##sys#internal-gcd in k8513 */
static void C_fcall f_14925(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_14925,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=t4;
if(C_truep(C_i_exact_integerp(t6))){
t7=t1;
t8=t3;
t9=t4;
t10=t7;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_s_a_u_i_integer_gcd(&a,2,t8,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t7=(C_truep(C_i_flonump(t4))?C_u_i_fpintegerp(t4):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14958,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2283: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2284: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
t6=(C_truep(C_i_flonump(t3))?C_u_i_fpintegerp(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
if(C_truep(C_i_flonump(t4))){
t7=C_a_i_flonum_gcd(&a,2,t3,t4);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=t4;
if(C_truep(C_i_exact_integerp(t7))){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14987,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2290: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2291: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
/* library.scm:2292: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}}}

/* k14956 in ##sys#internal-gcd in k8513 */
static void C_ccall f_14958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14958,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t2,t1);
/* library.scm:2283: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14985 in ##sys#internal-gcd in k8513 */
static void C_ccall f_14987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14987,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t1,t2);
/* library.scm:2290: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* ##sys#gcd in k8513 */
static void C_ccall f_14995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14995,4,av);}
/* library.scm:2294: ##sys#internal-gcd */
f_14925(t1,lf[594],t2,t3);}

/* scheme#gcd in k8513 */
static void C_ccall f_15001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15001,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15021,a[2]=t7,a[3]=((C_word)li433),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_15021(t9,t1,t4,t5);}}

/* loop in scheme#gcd in k8513 */
static void C_fcall f_15021(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15021,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2303: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[594];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15046,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2305: ##sys#internal-gcd */
f_14925(t5,lf[594],t2,t4);}}

/* k15044 in loop in scheme#gcd in k8513 */
static void C_ccall f_15046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15046,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2305: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15021(t3,((C_word*)t0)[4],t1,t2);}

/* ##sys#lcm in k8513 */
static void C_ccall f_15052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_15052,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15056,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2309: ##sys#internal-gcd */
f_14925(t4,lf[597],t2,t3);}

/* k15054 in ##sys#lcm in k8513 */
static void C_ccall f_15056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(45,c,1)))){
C_save_and_reclaim((void *)f_15056,2,av);}
a=C_alloc(45);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,t2,t3);
t5=C_s_a_i_quotient(&a,2,t4,t1);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#lcm in k8513 */
static void C_ccall f_15063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15063,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15083,a[2]=t6,a[3]=((C_word)li436),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_15083(t8,t1,t3,t4);}}

/* loop in scheme#lcm in k8513 */
static void C_fcall f_15083(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15083,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2319: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[597];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15104,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2321: ##sys#internal-gcd */
f_14925(t6,lf[597],t2,t5);}}

/* k15102 in loop in scheme#lcm in k8513 */
static void C_ccall f_15104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_15104,2,av);}
a=C_alloc(38);
t2=((C_word*)t0)[2];
t3=C_s_a_i_times(&a,2,t2,((C_word*)t0)[3]);
t4=C_s_a_i_quotient(&a,2,t3,t1);
t5=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:2322: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_15083(t6,((C_word*)t0)[6],t4,t5);}

/* ##sys#integer->string/recursive in k8513 */
static void C_ccall f_15118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15118,5,av);}
a=C_alloc(6);
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_fixnum_shift_right(t5,C_fix(1));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15125,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2329: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}

/* k15123 in ##sys#integer->string/recursive in k8513 */
static void C_ccall f_15125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_15125,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15130,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li439),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15136,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li440),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2328: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a15129 in k15123 in ##sys#integer->string/recursive in k8513 */
static void C_ccall f_15130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_15130,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li438),tmp=(C_word)a,a+=3,tmp);
/* library.scm:2328: g2768 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a15135 in k15123 in ##sys#integer->string/recursive in k8513 */
static void C_ccall f_15136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15136,4,av);}
a=C_alloc(6);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15140,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[3];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}

/* k15138 in a15135 in k15123 in ##sys#integer->string/recursive in k8513 */
static void C_ccall f_15140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_15140,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15143,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_s_a_i_abs(&a,1,((C_word*)t0)[4]);
t5=((C_word*)t0)[5];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
tp(4,av2);}}

/* k15141 in k15138 in a15135 in k15123 in ##sys#integer->string/recursive in k8513 */
static void C_ccall f_15143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15143,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15150,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(t2);
t5=C_fixnum_difference(((C_word*)t0)[4],t4);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=C_make_character(48);
tp(4,av2);}}

/* k15148 in k15141 in k15138 in a15135 in k15123 in ##sys#integer->string/recursive in k8513 */
static void C_ccall f_15150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15150,2,av);}
/* library.scm:2334: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#extended-number->string in k8513 */
static void C_ccall f_15171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15171,4,av);}
a=C_alloc(5);
if(C_truep(C_i_ratnump(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15185,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=C_u_i_ratnum_num(t5);
t7=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_u_i_cplxnum_real(t4);
t6=t2;
t7=C_u_i_cplxnum_imag(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15226,a[2]=t8,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t10=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t5;
av2[3]=t10;
tp(4,av2);}}
else{
/* library.scm:2356: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[606];
tp(4,av2);}}}}

/* k15183 in ##sys#extended-number->string in k8513 */
static void C_ccall f_15185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_15185,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15189,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=t6;
tp(4,av2);}}

/* k15187 in k15183 in ##sys#extended-number->string in k8513 */
static void C_ccall f_15189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15189,2,av);}
/* library.scm:2344: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[602];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k15224 in ##sys#extended-number->string in k8513 */
static void C_ccall f_15226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15226,2,av);}
a=C_alloc(5);
t2=t1;
t3=(C_truep(C_i_finitep(((C_word*)t0)[2]))?(C_truep(C_i_positivep(((C_word*)t0)[2]))?lf[603]:lf[604]):lf[604]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15234,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t6;
tp(4,av2);}}

/* k15232 in k15224 in ##sys#extended-number->string in k8513 */
static void C_ccall f_15234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_15234,2,av);}
/* library.scm:2351: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
av2[5]=lf[605];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k15259 in safe-exponent in ##sys#string->compnum in k8513 */
static void C_ccall f_15261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,1)))){
C_save_and_reclaim((void *)f_15261,2,av);}
a=C_alloc(44);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k15262 in safe-exponent in ##sys#string->compnum in k8513 */
static void C_ccall f_15264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_15264,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_i_integer_length(((C_word*)t0)[2]);
t4=C_i_integer_length(t2);
t5=C_fixnum_difference(t3,t4);
t6=C_fixnum_difference(t5,*((C_word*)lf[425]+1));
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t8)[1],C_fix(0)))){
t9=C_fixnum_negate(((C_word*)t8)[1]);
t10=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],t9);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15281,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t10,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2375: round-quotient */
f_15338(t11,t10,t2);}
else{
t9=((C_word*)t0)[2];
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15313,a[2]=((C_word*)t0)[3],a[3]=t9,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2382: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t10;
av2[2]=C_fix(10);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k15279 in k15262 in safe-exponent in ##sys#string->compnum in k8513 */
static void C_ccall f_15281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,3)))){
C_save_and_reclaim((void *)f_15281,2,av);}
a=C_alloc(44);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15284,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t3)[1];
t6=C_i_integer_length(t5);
t7=*((C_word*)lf[425]+1);
if(C_truep(C_fixnum_greaterp(t6,*((C_word*)lf[425]+1)))){
t8=C_fixnum_plus(C_fix(1),((C_word*)((C_word*)t0)[2])[1]);
t9=C_set_block_item(((C_word*)t0)[2],0,t8);
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15302,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t11=C_s_a_i_times(&a,2,((C_word*)t0)[4],C_fix(2));
/* library.scm:2379: round-quotient */
f_15338(t10,((C_word*)t0)[5],t11);}
else{
t8=t4;
f_15284(t8,C_SCHEME_UNDEFINED);}}

/* k15282 in k15279 in k15262 in safe-exponent in ##sys#string->compnum in k8513 */
static void C_fcall f_15284(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_15284,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15291,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2380: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15289 in k15282 in k15279 in k15262 in safe-exponent in ##sys#string->compnum in k8513 */
static void C_ccall f_15291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_15291,2,av);}
a=C_alloc(6);
t2=((C_word*)((C_word*)t0)[2])[1];
t3=C_a_i_bytevector(&a,1,C_fix(4));
t4=C_i_foreign_flonum_argumentp(t1);
t5=C_i_foreign_fixnum_argumentp(t2);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub2822(t3,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k15300 in k15279 in k15262 in safe-exponent in ##sys#string->compnum in k8513 */
static void C_ccall f_15302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_15302,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_15284(t3,t2);}

/* k15311 in k15262 in safe-exponent in ##sys#string->compnum in k8513 */
static void C_ccall f_15313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15313,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* round-quotient in k8513 */
static void C_fcall f_15338(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(63,0,3)))){
C_save_and_reclaim_args((void *)trf_15338,3,t1,t2,t3);}
a=C_alloc(63);
t4=t2;
t5=t3;
t6=C_s_a_u_i_integer_quotient(&a,2,t4,t5);
t7=t6;
t8=(C_truep(C_i_evenp(t7))?*((C_word*)lf[73]+1):*((C_word*)lf[75]+1));
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15353,a[2]=t2,a[3]=t3,a[4]=t7,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=t2;
t11=t3;
t12=C_s_a_i_remainder(&a,2,t10,t11);
t13=C_s_a_i_abs(&a,1,t12);
t14=C_s_a_i_times(&a,2,t13,C_fix(2));
t15=t3;
t16=C_s_a_i_abs(&a,1,t15);
/* library.scm:2389: g2835 */
t17=t8;{
C_word av2[4];
av2[0]=t17;
av2[1]=t9;
av2[2]=t14;
av2[3]=t16;
((C_proc)(void*)(*((C_word*)t17+1)))(4,av2);}}

/* k15351 in round-quotient in k8513 */
static void C_ccall f_15353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_15353,2,av);}
a=C_alloc(29);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_i_negativep(t2);
t4=((C_word*)t0)[3];
t5=C_i_negativep(t4);
t6=C_eqp(t3,t5);
if(C_truep(t6)){
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(-1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* ##sys#string->compnum in k8513 */
static void C_fcall f_15376(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(83,0,5)))){
C_save_and_reclaim_args((void *)trf_15376,5,t1,t2,t3,t4,t5);}
a=C_alloc(83);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15379,a[2]=t6,tmp=(C_word)a,a+=3,tmp));
t12=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15389,a[2]=t6,a[3]=((C_word)li444),tmp=(C_word)a,a+=4,tmp));
t13=C_block_size(t3);
t14=t13;
t15=C_fixnum_difference(t2,C_fix(1));
t16=C_fixnum_plus(C_fix(48),t15);
t17=C_make_character(C_unfix(t16));
t18=t17;
t19=C_fixnum_difference(t2,C_fix(11));
t20=C_fixnum_plus(C_fix(97),t19);
t21=C_make_character(C_unfix(t20));
t22=t21;
t23=C_fixnum_difference(t2,C_fix(11));
t24=C_fixnum_plus(C_fix(65),t23);
t25=C_make_character(C_unfix(t24));
t26=t25;
t27=C_SCHEME_FALSE;
t28=(*a=C_VECTOR_TYPE|1,a[1]=t27,tmp=(C_word)a,a+=2,tmp);
t29=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15463,a[2]=t14,a[3]=t3,a[4]=t2,a[5]=t18,a[6]=t22,a[7]=t26,a[8]=((C_word)li446),tmp=(C_word)a,a+=9,tmp);
t30=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15571,a[2]=t14,a[3]=t3,a[4]=((C_word)li448),tmp=(C_word)a,a+=5,tmp);
t31=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15621,a[2]=t3,a[3]=t2,a[4]=t28,a[5]=t8,a[6]=t30,a[7]=t29,a[8]=((C_word)li449),tmp=(C_word)a,a+=9,tmp);
t32=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15677,a[2]=t14,a[3]=t3,a[4]=t8,a[5]=t2,a[6]=t29,a[7]=((C_word)li450),tmp=(C_word)a,a+=8,tmp);
t33=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15738,a[2]=t14,a[3]=t10,a[4]=t32,a[5]=t3,a[6]=t31,a[7]=((C_word)li451),tmp=(C_word)a,a+=8,tmp);
t34=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_15950,a[2]=t8,a[3]=t33,a[4]=t2,a[5]=t14,a[6]=t10,a[7]=t32,a[8]=t28,a[9]=t6,a[10]=t31,a[11]=t3,a[12]=((C_word)li452),tmp=(C_word)a,a+=13,tmp);
t35=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16293,a[2]=t14,a[3]=t3,a[4]=t34,a[5]=t8,a[6]=((C_word)li453),tmp=(C_word)a,a+=7,tmp);
t36=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16525,a[2]=t6,a[3]=t1,a[4]=t14,a[5]=t3,a[6]=t4,a[7]=t28,a[8]=t35,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2571: scan-real */
t37=t35;
f_16293(t37,t36,t4);}

/* go-inexact! in ##sys#string->compnum in k8513 */
static C_word C_fcall f_15379(C_word t0){
C_word tmp;
C_word t1;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
t1=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[609]);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,lf[610]);
return(t2);}}

/* safe-exponent in ##sys#string->compnum in k8513 */
static void C_fcall f_15389(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_15389,4,t0,t1,t2,t3);}
a=C_alloc(12);
if(C_truep(t3)){
if(C_truep(C_i_not(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;
if(C_truep(C_i_greaterp(t4,C_fix(10000)))){
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t5)){
t6=t2;
if(C_truep(C_i_zerop(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=t2;
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(C_i_greaterp(t7,lf[500]))?lf[611]:lf[612]);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=t3;
t6=C_fixnum_negate(C_fix(10000));
if(C_truep(C_i_lessp(t5,t6))){
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(t7)?lf[500]:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t7)){
t8=t1;
t9=t2;
t10=t3;
t11=C_i_negativep(t10);
if(C_truep(C_i_not(t11))){
t12=t9;
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15261,a[2]=t12,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2368: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t13;
av2[2]=C_fix(10);
av2[3]=t10;
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15264,a[2]=t9,a[3]=t8,a[4]=t10,tmp=(C_word)a,a+=5,tmp);
t13=C_s_a_i_abs(&a,1,t10);
/* library.scm:2369: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t12;
av2[2]=C_fix(10);
av2[3]=t13;
tp(4,av2);}}}
else{
t8=t2;
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15447,a[2]=t8,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2410: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=C_fix(10);
av2[3]=t3;
tp(4,av2);}}}}}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k15445 in safe-exponent in ##sys#string->compnum in k8513 */
static void C_ccall f_15447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15447,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scan-digits in ##sys#string->compnum in k8513 */
static void C_fcall f_15463(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_15463,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15469,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word)li445),tmp=(C_word)a,a+=11,tmp));
t6=((C_word*)t4)[1];
f_15469(t6,t1,t2);}

/* lp in scan-digits in ##sys#string->compnum in k8513 */
static void C_fcall f_15469(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_15469,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[5],C_fix(10)))){
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[6]):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2434: lp */
t12=t1;
t13=t9;
t1=t12;
t2=t13;
goto loop;}
else{
t9=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=(C_truep(t9)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,C_make_character(57)):C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15532,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t8)){
t10=t9;
f_15532(t10,t8);}
else{
t10=(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(97)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[8]):C_SCHEME_FALSE);
t11=t9;
f_15532(t11,(C_truep(t10)?t10:(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(65)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[9]):C_SCHEME_FALSE)));}}}}

/* k15530 in lp in scan-digits in ##sys#string->compnum in k8513 */
static void C_fcall f_15532(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15532,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2439: lp */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15469(t3,((C_word*)t0)[4],t2);}
else{
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[5]);
t3=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t3;
av2[1]=(C_truep(t2)?C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-hashes in ##sys#string->compnum in k8513 */
static void C_fcall f_15571(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_15571,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15577,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li447),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_15577(t6,t1,t2);}

/* lp in scan-hashes in ##sys#string->compnum in k8513 */
static void C_fcall f_15577(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15577,3,t0,t1,t2);}
a=C_alloc(3);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
t7=C_eqp(t6,C_make_character(35));
if(C_truep(t7)){
t8=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2448: lp */
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t8=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t8)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* scan-digits+hashes in ##sys#string->compnum in k8513 */
static void C_fcall f_15621(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_15621,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15625,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=t1,a[9]=((C_word*)t0)[6],a[10]=t4,tmp=(C_word)a,a+=11,tmp);
if(C_truep(C_i_not(((C_word*)((C_word*)t0)[4])[1]))){
/* library.scm:2452: scan-digits */
t6=((C_word*)t0)[7];
f_15463(t6,t5,t2);}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_15625(2,av2);}}}

/* k15623 in scan-digits+hashes in ##sys#string->compnum in k8513 */
static void C_ccall f_15625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_15625,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15628,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
/* library.scm:2454: scan-hashes */
t5=((C_word*)t0)[9];
f_15571(t5,t3,t4);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15628(2,av2);}}}
else{
if(C_truep(((C_word*)t0)[10])){
/* library.scm:2455: scan-hashes */
t4=((C_word*)t0)[9];
f_15571(t4,t3,((C_word*)t0)[3]);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15628(2,av2);}}}}

/* k15626 in k15623 in scan-digits+hashes in ##sys#string->compnum in k8513 */
static void C_ccall f_15628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15628,2,av);}
a=C_alloc(8);
t2=(C_truep(t1)?t1:((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_i_car(t2);
t4=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[3],((C_word*)t0)[4],t3,((C_word*)t0)[5],((C_word*)t0)[6]);
if(C_truep(t4)){
if(C_truep(t1)){
t5=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t6=(
/* library.scm:2463: go-inexact! */
  f_15379(((C_word*)((C_word*)t0)[8])[1])
);
t7=C_u_i_cdr(t2);
t8=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_a_i_cons(&a,2,t4,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-exponent in ##sys#string->compnum in k8513 */
static void C_fcall f_15677(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15677,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15692,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_15692(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_15692(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15690 in scan-exponent in ##sys#string->compnum in k8513 */
static void C_fcall f_15692(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15692,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15701,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2471: scan-digits */
t6=((C_word*)t0)[7];
f_15463(t6,t5,t4);}
else{
t5=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15699 in k15690 in scan-exponent in ##sys#string->compnum in k8513 */
static void C_ccall f_15701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15701,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(
/* library.scm:2472: go-inexact! */
  f_15379(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_i_car(t1);
t4=C_eqp(((C_word*)t0)[3],lf[613]);
t5=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[4],((C_word*)t0)[5],t3,((C_word*)t0)[6],t4);
t6=C_u_i_cdr(t1);
t7=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_cons(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t2=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_fcall f_15738(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_15738,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15748,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:2480: scan-digits+hashes */
t6=((C_word*)t0)[6];
f_15621(t6,t5,t2,t3,t4);}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15746 in scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_ccall f_15748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_15748,2,av);}
a=C_alloc(11);
t2=t1;
t3=(C_truep(t2)?C_i_cdr(t2):((C_word*)t0)[2]);
t4=t3;
t5=((C_word*)t0)[3];
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15757,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],tmp=(C_word)a,a+=11,tmp);
if(C_truep(t5)){
t7=t6;
f_15757(t7,t5);}
else{
t7=C_i_not(t4);
t8=t6;
f_15757(t8,(C_truep(t7)?t7:C_fixnum_greaterp(t4,((C_word*)t0)[2])));}}

/* k15755 in k15746 in scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_fcall f_15757(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15757,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15760,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[3])){
t3=((C_word*)t0)[10];
t4=t2;
f_15760(t4,C_subchar(t3,((C_word*)t0)[3]));}
else{
t3=t2;
f_15760(t3,C_SCHEME_FALSE);}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k15758 in k15755 in k15746 in scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_fcall f_15760(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15760,2,t0,t1);}
a=C_alloc(10);
t2=C_eqp(t1,C_make_character(101));
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15769,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
t4=t3;
f_15769(t4,t2);}
else{
t4=C_eqp(t1,C_make_character(115));
if(C_truep(t4)){
t5=t3;
f_15769(t5,t4);}
else{
t5=C_eqp(t1,C_make_character(102));
if(C_truep(t5)){
t6=t3;
f_15769(t6,t5);}
else{
t6=C_eqp(t1,C_make_character(100));
if(C_truep(t6)){
t7=t3;
f_15769(t7,t6);}
else{
t7=C_eqp(t1,C_make_character(108));
if(C_truep(t7)){
t8=t3;
f_15769(t8,t7);}
else{
t8=C_eqp(t1,C_make_character(69));
if(C_truep(t8)){
t9=t3;
f_15769(t9,t8);}
else{
t9=C_eqp(t1,C_make_character(83));
if(C_truep(t9)){
t10=t3;
f_15769(t10,t9);}
else{
t10=C_eqp(t1,C_make_character(70));
if(C_truep(t10)){
t11=t3;
f_15769(t11,t10);}
else{
t11=C_eqp(t1,C_make_character(68));
t12=t3;
f_15769(t12,(C_truep(t11)?t11:C_eqp(t1,C_make_character(76))));}}}}}}}}}

/* k15767 in k15758 in k15755 in k15746 in scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_fcall f_15769(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_15769,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15778,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2488: scan-exponent */
t4=((C_word*)t0)[9];
f_15677(t4,t2,t3);}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=(C_truep(((C_word*)t0)[3])?((C_word*)t0)[3]:((C_word*)t0)[2]);
t3=(C_truep(((C_word*)t0)[4])?C_fixnum_difference(((C_word*)t0)[7],t2):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_car(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15843,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2498: safe-exponent */
t6=((C_word*)((C_word*)t0)[6])[1];
f_15389(t6,t5,t4,t3);}}

/* k15776 in k15767 in k15758 in k15755 in k15746 in scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_ccall f_15778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_15778,2,av);}
a=C_alloc(8);
t2=t1;
if(C_truep(t2)){
t3=C_i_car(t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15790,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2490: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15389(t6,t5,((C_word*)t0)[6],t4);}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15788 in k15776 in k15767 in k15758 in k15755 in k15746 in scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_ccall f_15790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_15790,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15796,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[2])){
t4=C_i_cdr(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,((C_word*)t0)[6]);
t6=t3;
f_15796(t6,C_fixnum_difference(((C_word*)t0)[7],t5));}
else{
t4=t3;
f_15796(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15794 in k15788 in k15776 in k15767 in k15758 in k15755 in k15746 in scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_fcall f_15796(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_15796,2,t0,t1);}
a=C_alloc(5);
t2=(C_truep(((C_word*)t0)[2])?C_i_car(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15802,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2493: safe-exponent */
t4=((C_word*)((C_word*)t0)[6])[1];
f_15389(t4,t3,t2,t1);}

/* k15800 in k15794 in k15788 in k15776 in k15767 in k15758 in k15755 in k15746 in scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_ccall f_15802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15802,2,av);}
a=C_alloc(32);
if(C_truep(t1)){
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_u_i_cdr(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15841 in k15767 in k15758 in k15755 in k15746 in scan-decimal-tail in ##sys#string->compnum in k8513 */
static void C_ccall f_15843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15843,2,av);}
a=C_alloc(32);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:C_fix(0));
if(C_truep(t1)){
t4=C_s_a_i_plus(&a,2,t3,t1);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_cons(&a,2,t4,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t3,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scan-ureal in ##sys#string->compnum in k8513 */
static void C_fcall f_15950(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_15950,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_15957,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
t5=C_fixnum_plus(t2,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t5))){
t6=C_eqp(((C_word*)t0)[4],C_fix(10));
if(C_truep(t6)){
t7=((C_word*)t0)[11];
t8=t2;
t9=C_subchar(t7,t8);
t10=t4;
f_15957(t10,C_eqp(t9,C_make_character(46)));}
else{
t7=t4;
f_15957(t7,C_SCHEME_FALSE);}}
else{
t6=t4;
f_15957(t6,C_SCHEME_FALSE);}}

/* k15955 in scan-ureal in ##sys#string->compnum in k8513 */
static void C_fcall f_15957(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_15957,2,t0,t1);}
a=C_alloc(14);
if(C_truep(t1)){
t2=(
/* library.scm:2506: go-inexact! */
  f_15379(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2507: scan-decimal-tail */
t4=((C_word*)t0)[4];
f_15738(t4,((C_word*)t0)[5],t3,((C_word*)t0)[6],C_SCHEME_FALSE);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15970,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* library.scm:2508: scan-digits+hashes */
t3=((C_word*)t0)[13];
f_15621(t3,t2,((C_word*)t0)[3],((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k15968 in k15955 in scan-ureal in ##sys#string->compnum in k8513 */
static void C_ccall f_15970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_15970,2,av);}
a=C_alloc(14);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15976,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
t5=((C_word*)t0)[13];
t6=t3;
f_15976(t6,C_subchar(t5,t4));}
else{
t4=t3;
f_15976(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15974 in k15968 in k15955 in scan-ureal in ##sys#string->compnum in k8513 */
static void C_fcall f_15976(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,4)))){
C_save_and_reclaim_args((void *)trf_15976,2,t0,t1);}
a=C_alloc(12);
t2=t1;
t3=C_eqp(t2,C_make_character(46));
if(C_truep(t3)){
t4=(
/* library.scm:2511: go-inexact! */
  f_15379(((C_word*)((C_word*)t0)[2])[1])
);
t5=C_eqp(((C_word*)t0)[3],C_fix(10));
if(C_truep(t5)){
t6=C_u_i_cdr(((C_word*)t0)[4]);
t7=C_fixnum_plus(t6,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t7))){
t8=C_u_i_cdr(((C_word*)t0)[4]);
t9=C_fixnum_plus(t8,C_fix(1));
t10=C_u_i_car(((C_word*)t0)[4]);
/* library.scm:2514: scan-decimal-tail */
t11=((C_word*)t0)[6];
f_15738(t11,((C_word*)t0)[7],t9,((C_word*)t0)[8],t10);}
else{
t8=C_u_i_car(((C_word*)t0)[4]);
t9=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_a_i_cons(&a,2,t8,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t6=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t4=C_eqp(t2,C_make_character(101));
t5=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_16028,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=t2,a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],tmp=(C_word)a,a+=12,tmp);
if(C_truep(t4)){
t6=t5;
f_16028(t6,t4);}
else{
t6=C_eqp(t2,C_make_character(115));
if(C_truep(t6)){
t7=t5;
f_16028(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(102));
if(C_truep(t7)){
t8=t5;
f_16028(t8,t7);}
else{
t8=C_eqp(t2,C_make_character(100));
if(C_truep(t8)){
t9=t5;
f_16028(t9,t8);}
else{
t9=C_eqp(t2,C_make_character(108));
if(C_truep(t9)){
t10=t5;
f_16028(t10,t9);}
else{
t10=C_eqp(t2,C_make_character(69));
if(C_truep(t10)){
t11=t5;
f_16028(t11,t10);}
else{
t11=C_eqp(t2,C_make_character(83));
if(C_truep(t11)){
t12=t5;
f_16028(t12,t11);}
else{
t12=C_eqp(t2,C_make_character(70));
if(C_truep(t12)){
t13=t5;
f_16028(t13,t12);}
else{
t13=C_eqp(t2,C_make_character(68));
t14=t5;
f_16028(t14,(C_truep(t13)?t13:C_eqp(t2,C_make_character(76))));}}}}}}}}}}

/* k16026 in k15974 in k15968 in k15955 in scan-ureal in ##sys#string->compnum in k8513 */
static void C_fcall f_16028(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_16028,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],C_fix(10));
if(C_truep(t2)){
t3=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16043,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t5=C_u_i_cdr(((C_word*)t0)[3]);
t6=C_fixnum_plus(t5,C_fix(1));
/* library.scm:2520: scan-exponent */
t7=((C_word*)t0)[7];
f_15677(t7,t4,t6);}
else{
t4=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=C_eqp(((C_word*)t0)[8],C_make_character(47));
if(C_truep(t2)){
t3=C_set_block_item(((C_word*)t0)[9],0,C_SCHEME_FALSE);
t4=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t4))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16089,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t6=C_u_i_cdr(((C_word*)t0)[3]);
t7=C_fixnum_plus(t6,C_fix(1));
/* library.scm:2527: scan-digits+hashes */
t8=((C_word*)t0)[11];
f_15621(t8,t5,t7,C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k16041 in k16026 in k15974 in k15968 in k15955 in scan-ureal in ##sys#string->compnum in k8513 */
static void C_ccall f_16043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16043,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16053,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t5=C_i_car(t2);
/* library.scm:2522: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15389(t6,t4,t3,t5);}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16051 in k16041 in k16026 in k15974 in k15968 in k15955 in scan-ureal in ##sys#string->compnum in k8513 */
static void C_ccall f_16053(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16053,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16087 in k16026 in k15974 in k15968 in k15955 in scan-ureal in ##sys#string->compnum in k8513 */
static void C_ccall f_16089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16089,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_i_car(t2);
if(C_truep(t4)){
t5=C_eqp(t4,C_fix(0));
if(C_truep(C_i_not(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16115,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2531: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t6=C_eqp(((C_word*)((C_word*)t0)[4])[1],lf[609]);
if(C_truep(C_i_not(t6))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16126,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2535: chicken.base#signum */
t8=*((C_word*)lf[185]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16113 in k16087 in k16026 in k15974 in k15968 in k15955 in scan-ureal in ##sys#string->compnum in k8513 */
static void C_ccall f_16115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16115,2,av);}
a=C_alloc(3);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k16124 in k16087 in k16026 in k15974 in k15968 in k15955 in scan-ureal in ##sys#string->compnum in k8513 */
static void C_ccall f_16126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16126,2,av);}
a=C_alloc(7);
switch(t1){
case C_fix(-1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[612],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_fix(0):
t2=C_flonum(&a,C_ub_i_flonum_quotient(0.0,0.0));
t3=C_u_i_cdr(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}
case C_fix(1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[611],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-real in ##sys#string->compnum in k8513 */
static void C_fcall f_16293(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_16293,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16308,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_16308(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_16308(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16306 in scan-real in ##sys#string->compnum in k8513 */
static void C_fcall f_16308(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,0,4)))){
C_save_and_reclaim_args((void *)trf_16308,2,t0,t1);}
a=C_alloc(16);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[3]))){
t5=((C_word*)t0)[4];
t6=C_subchar(t5,t4);
t7=C_eqp(t6,C_make_character(105));
t8=(C_truep(t7)?t7:C_eqp(t6,C_make_character(73)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16334,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=C_eqp(t10,((C_word*)t0)[3]);
if(C_truep(t11)){
t12=C_eqp(t2,lf[613]);
t13=t9;
f_16334(t13,(C_truep(t12)?C_a_i_cons(&a,2,C_fix(-1),t4):C_a_i_cons(&a,2,C_fix(1),t4)));}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16366,a[2]=((C_word*)t0)[7],a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[3],a[6]=t9,tmp=(C_word)a,a+=7,tmp);
t13=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t13,((C_word*)t0)[3]))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16403,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
t15=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2554: scheme#substring */
t16=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t16;
av2[1]=t14;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t15;
((C_proc)(void*)(*((C_word*)t16+1)))(5,av2);}}
else{
t14=t12;
f_16366(t14,C_SCHEME_FALSE);}}}
else{
t10=t9;
f_16334(t10,C_SCHEME_FALSE);}}
else{
t9=C_eqp(t6,C_make_character(110));
t10=(C_truep(t9)?t9:C_eqp(t6,C_make_character(78)));
if(C_truep(t10)){
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16427,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t12=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t12,((C_word*)t0)[3]))){
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16477,a[2]=((C_word*)t0)[7],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t11,tmp=(C_word)a,a+=6,tmp);
t14=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2564: scheme#substring */
t15=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t15;
av2[1]=t13;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t14;
((C_proc)(void*)(*((C_word*)t15+1)))(5,av2);}}
else{
t13=t11;
f_16427(t13,C_SCHEME_FALSE);}}
else{
t12=t11;
f_16427(t12,C_SCHEME_FALSE);}}
else{
t11=C_eqp(t2,lf[613]);
/* library.scm:2570: scan-ureal */
t12=((C_word*)t0)[6];
f_15950(t12,((C_word*)t0)[5],t4,t11);}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k16332 in k16306 in scan-real in ##sys#string->compnum in k8513 */
static void C_fcall f_16334(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16334,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2560: scan-ureal */
t3=((C_word*)t0)[4];
f_15950(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16364 in k16306 in scan-real in ##sys#string->compnum in k8513 */
static void C_fcall f_16366(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,1)))){
C_save_and_reclaim_args((void *)trf_16366,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(
/* library.scm:2555: go-inexact! */
  f_15379(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_eqp(((C_word*)t0)[3],lf[613]);
t4=(C_truep(t3)?lf[612]:lf[611]);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
if(C_truep(C_fixnum_lessp(t5,((C_word*)t0)[5]))){
t6=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
t7=((C_word*)t0)[6];
f_16334(t7,C_a_i_cons(&a,2,t4,t6));}
else{
t6=((C_word*)t0)[6];
f_16334(t6,C_a_i_cons(&a,2,t4,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[6];
f_16334(t2,C_SCHEME_FALSE);}}

/* k16401 in k16306 in scan-real in ##sys#string->compnum in k8513 */
static void C_ccall f_16403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_16403,2,av);}
t2=((C_word*)t0)[2];
f_16366(t2,C_i_string_ci_equal_p(t1,lf[615]));}

/* k16425 in k16306 in scan-real in ##sys#string->compnum in k8513 */
static void C_fcall f_16427(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16427,2,t0,t1);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2569: scan-ureal */
t3=((C_word*)t0)[4];
f_15950(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16475 in k16306 in scan-real in ##sys#string->compnum in k8513 */
static void C_ccall f_16477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16477,2,av);}
a=C_alloc(7);
if(C_truep(C_i_string_ci_equal_p(t1,lf[616]))){
t2=(
/* library.scm:2565: go-inexact! */
  f_15379(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_flonum(&a,C_ub_i_flonum_quotient(0.0,0.0));
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[4]))){
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
t6=((C_word*)t0)[5];
f_16427(t6,C_a_i_cons(&a,2,t3,t5));}
else{
t5=((C_word*)t0)[5];
f_16427(t5,C_a_i_cons(&a,2,t3,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[5];
f_16427(t2,C_SCHEME_FALSE);}}

/* k16523 in ##sys#string->compnum in k8513 */
static void C_ccall f_16525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_16525,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16528,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16547,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_cdr(t2))){
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[5];
t7=t4;
f_16547(t7,C_subchar(t6,t5));}
else{
t5=t4;
f_16547(t5,C_SCHEME_FALSE);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}

/* k16526 in k16523 in ##sys#string->compnum in k8513 */
static void C_ccall f_16528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_16528,2,av);}
if(C_truep(t1)){
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t2)){
/* library.scm:2593: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_i_finitep(t1))?t1:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16545 in k16523 in ##sys#string->compnum in k8513 */
static void C_fcall f_16547(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_16547,2,t0,t1);}
a=C_alloc(6);
t2=C_eqp(t1,C_SCHEME_FALSE);
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
f_16528(2,av2);}}
else{
t3=C_eqp(t1,C_make_character(105));
t4=(C_truep(t3)?t3:C_eqp(t1,C_make_character(73)));
if(C_truep(t4)){
t5=C_u_i_cdr(((C_word*)t0)[2]);
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_eqp(((C_word*)t0)[4],t6);
if(C_truep(t7)){
t8=((C_word*)t0)[5];
t9=((C_word*)t0)[6];
t10=C_subchar(t8,t9);
t11=C_eqp(t10,C_make_character(43));
if(C_truep(t11)){
if(C_truep(t11)){
t12=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2577: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t12;
tp(4,av2);}}
else{
t12=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}
else{
t12=((C_word*)t0)[5];
t13=((C_word*)t0)[6];
t14=C_subchar(t12,t13);
t15=C_eqp(t14,C_make_character(45));
if(C_truep(t15)){
t16=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2577: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t16;
tp(4,av2);}}
else{
t16=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t16;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}
else{
t5=C_eqp(t1,C_make_character(43));
t6=(C_truep(t5)?t5:C_eqp(t1,C_make_character(45)));
if(C_truep(t6)){
t7=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16617,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t9=C_u_i_cdr(((C_word*)t0)[2]);
/* library.scm:2580: scan-real */
t10=((C_word*)t0)[8];
f_16293(t10,t8,t9);}
else{
t7=C_eqp(t1,C_make_character(64));
if(C_truep(t7)){
t8=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16685,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t10=C_u_i_cdr(((C_word*)t0)[2]);
t11=C_fixnum_plus(t10,C_fix(1));
/* library.scm:2588: scan-real */
t12=((C_word*)t0)[8];
f_16293(t12,t9,t11);}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}}}}

/* k16615 in k16545 in k16523 in ##sys#string->compnum in k8513 */
static void C_ccall f_16617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_16617,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_eqp(((C_word*)t0)[2],t4);
if(C_truep(t5)){
t6=C_u_i_cdr(t2);
t7=((C_word*)t0)[3];
t8=C_subchar(t7,t6);
t9=C_eqp(t8,C_make_character(105));
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16638,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t9)){
t11=t10;
f_16638(t11,t9);}
else{
t11=C_u_i_cdr(t2);
t12=((C_word*)t0)[3];
t13=C_subchar(t12,t11);
t14=t10;
f_16638(t14,C_eqp(t13,C_make_character(73)));}}
else{
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}

/* k16636 in k16615 in k16545 in k16523 in ##sys#string->compnum in k8513 */
static void C_fcall f_16638(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16638,2,t0,t1);}
if(C_truep(t1)){
t2=C_u_i_car(((C_word*)t0)[2]);
t3=C_u_i_car(((C_word*)t0)[3]);
/* library.scm:2585: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}

/* k16683 in k16545 in k16523 in ##sys#string->compnum in k8513 */
static void C_ccall f_16685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_16685,2,av);}
if(C_truep(t1)){
t2=C_i_cdr(t1);
if(C_truep(C_i_not(t2))){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=C_u_i_car(t1);
/* library.scm:2590: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16528(2,av2);}}}

/* scheme#string->number in k8513 */
static void C_ccall f_16765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_16765,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[618]);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16775,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(t6))){
if(C_truep(C_fixnum_lessp(C_fix(1),t6))){
if(C_truep(C_fixnum_lessp(t6,C_fix(37)))){
t9=t8;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_16775(2,av2);}}
else{
/* library.scm:2602: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2602: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2602: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}

/* k16773 in scheme#string->number in k8513 */
static void C_ccall f_16775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_16775,2,av);}
a=C_alloc(8);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16784,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word)li455),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_16784(t6,((C_word*)t0)[4],C_fix(0),C_SCHEME_FALSE,C_SCHEME_FALSE,t2);}

/* scan-prefix in k16773 in scheme#string->number in k8513 */
static void C_fcall f_16784(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_16784,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(10);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_16791,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=t1,a[7]=t4,a[8]=t5,a[9]=((C_word*)t0)[4],tmp=(C_word)a,a+=10,tmp);
t7=C_fixnum_plus(t2,C_fix(2));
if(C_truep(C_fixnum_lessp(t7,t5))){
t8=((C_word*)t0)[2];
t9=t2;
t10=C_subchar(t8,t9);
t11=t6;
f_16791(t11,C_eqp(t10,C_make_character(35)));}
else{
t8=t6;
f_16791(t8,C_SCHEME_FALSE);}}

/* k16789 in scan-prefix in k16773 in scheme#string->number in k8513 */
static void C_fcall f_16791(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_16791,2,t0,t1);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];
t4=C_subchar(t3,t2);
t5=C_eqp(t4,C_make_character(105));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(73)));
if(C_truep(t6)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t7=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2609: scan-prefix */
t8=((C_word*)((C_word*)t0)[5])[1];
f_16784(t8,((C_word*)t0)[6],t7,lf[610],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t7=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_eqp(t4,C_make_character(101));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(69)));
if(C_truep(t8)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2610: scan-prefix */
t10=((C_word*)((C_word*)t0)[5])[1];
f_16784(t10,((C_word*)t0)[6],t9,lf[609],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t9=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(t4,C_make_character(98));
t10=(C_truep(t9)?t9:C_eqp(t4,C_make_character(66)));
if(C_truep(t10)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t11=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2611: scan-prefix */
t12=((C_word*)((C_word*)t0)[5])[1];
f_16784(t12,((C_word*)t0)[6],t11,((C_word*)t0)[4],C_fix(2),((C_word*)t0)[8]);}
else{
t11=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t11=C_eqp(t4,C_make_character(111));
t12=(C_truep(t11)?t11:C_eqp(t4,C_make_character(79)));
if(C_truep(t12)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t13=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2612: scan-prefix */
t14=((C_word*)((C_word*)t0)[5])[1];
f_16784(t14,((C_word*)t0)[6],t13,((C_word*)t0)[4],C_fix(8),((C_word*)t0)[8]);}
else{
t13=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t13;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t13+1)))(2,av2);}}}
else{
t13=C_eqp(t4,C_make_character(100));
t14=(C_truep(t13)?t13:C_eqp(t4,C_make_character(68)));
if(C_truep(t14)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t15=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2613: scan-prefix */
t16=((C_word*)((C_word*)t0)[5])[1];
f_16784(t16,((C_word*)t0)[6],t15,((C_word*)t0)[4],C_fix(10),((C_word*)t0)[8]);}
else{
t15=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t15;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t15+1)))(2,av2);}}}
else{
t15=C_eqp(t4,C_make_character(120));
t16=(C_truep(t15)?t15:C_eqp(t4,C_make_character(88)));
if(C_truep(t16)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t17=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2614: scan-prefix */
t18=((C_word*)((C_word*)t0)[5])[1];
f_16784(t18,((C_word*)t0)[6],t17,((C_word*)t0)[4],C_fix(16),((C_word*)t0)[8]);}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[7];
if(C_truep(t2)){
/* library.scm:2616: ##sys#string->compnum */
f_15376(((C_word*)t0)[6],t2,((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}
else{
/* library.scm:2616: ##sys#string->compnum */
f_15376(((C_word*)t0)[6],((C_word*)t0)[9],((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}}}

/* ##sys#string->number in k8513 */
static void C_ccall f_17020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_17020,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
if(C_truep(C_i_nullp(t7))){
/* library.scm:2619: ##sys#string->compnum */
f_15376(t1,t5,t2,C_fix(0),t9);}
else{
t10=C_i_cdr(t7);
/* library.scm:2619: ##sys#string->compnum */
f_15376(t1,t5,t2,C_fix(0),t9);}}

/* chicken.base#equal=? in k8513 */
static void C_ccall f_17066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_17066,4,av);}
a=C_alloc(12);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17069,a[2]=t7,a[3]=((C_word)li462),tmp=(C_word)a,a+=4,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17137,a[2]=t5,a[3]=((C_word)li463),tmp=(C_word)a,a+=4,tmp));
/* library.scm:2662: walk */
t10=((C_word*)t7)[1];
f_17137(t10,t1,t2,t3);}

/* compare-slots in chicken.base#equal=? in k8513 */
static void C_fcall f_17069(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_17069,5,t0,t1,t2,t3,t4);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
if(C_truep(t7)){
t8=C_fixnum_less_or_equal_p(t5,t4);
if(C_truep(t8)){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fixnum_difference(t5,C_fix(1));
t10=t9;
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17096,a[2]=t10,a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t12,a[7]=((C_word)li461),tmp=(C_word)a,a+=8,tmp));
t14=((C_word*)t12)[1];
f_17096(t14,t1,t4);}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* loop in compare-slots in chicken.base#equal=? in k8513 */
static void C_fcall f_17096(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17096,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[3],t2);
t5=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2636: walk */
t6=((C_word*)((C_word*)t0)[5])[1];
f_17137(t6,t1,t4,t5);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17120,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(((C_word*)t0)[3],t2);
t6=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2637: walk */
t7=((C_word*)((C_word*)t0)[5])[1];
f_17137(t7,t4,t5,t6);}}

/* k17118 in loop in compare-slots in chicken.base#equal=? in k8513 */
static void C_ccall f_17120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17120,2,av);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2638: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_17096(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* walk in chicken.base#equal=? in k8513 */
static void C_fcall f_17137(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_17137,4,t0,t1,t2,t3);}
t4=C_eqp(t2,t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
if(C_truep(C_i_numberp(t3))){
t5=t2;
t6=t3;
t7=C_i_nequalp(t5,t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t5=C_blockp(t2);
if(C_truep(C_i_not(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_blockp(t3);
if(C_truep(C_i_not(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_sametypep(t2,t3);
if(C_truep(C_i_not(t7))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_specialp(t2))){
if(C_truep(C_specialp(t3))){
if(C_truep(C_closurep(t2))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=shallow_equal(t2,t3);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* library.scm:2652: compare-slots */
t8=((C_word*)((C_word*)t0)[2])[1];
f_17069(t8,t1,t2,t3,C_fix(1));}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
if(C_truep(C_byteblockp(t3))){
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
t11=C_substring_compare(t2,t3,C_fix(0),C_fix(0),t8);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
/* library.scm:2661: compare-slots */
t11=((C_word*)((C_word*)t0)[2])[1];
f_17069(t11,t1,t2,t3,C_fix(0));}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}}}}}}}

/* ##sys#interned-symbol? in k8513 */
static void C_ccall f_17237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17237,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_lookup_symbol(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->symbol in k8513 */
static void C_ccall f_17240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17240,3,av);}
t3=C_i_check_string(t2);
/* library.scm:2674: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_string_to_symbol(3,av2);}}

/* ##sys#symbol->string in k8513 */
static void C_ccall f_17249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17249,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol->string in k8513 */
static void C_ccall f_17255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17255,3,av);}
a=C_alloc(3);
t3=C_i_check_symbol_2(t2,lf[632]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17266,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2682: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k17264 in scheme#symbol->string in k8513 */
static void C_ccall f_17266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17266,2,av);}
/* library.scm:2682: scheme#string-copy */
t2=*((C_word*)lf[391]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#string->symbol in k8513 */
static void C_ccall f_17268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17268,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[634]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17279,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2688: string-copy */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k17277 in scheme#string->symbol in k8513 */
static void C_ccall f_17279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17279,2,av);}
/* library.scm:2688: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.base#string->uninterned-symbol in k8513 */
static void C_ccall f_17281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17281,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[636]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li472),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17292,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2694: string-copy */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k17290 in chicken.base#string->uninterned-symbol in k8513 */
static void C_ccall f_17292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17292,2,av);}
/* library.scm:2692: g3344 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#gensym in k8513 */
static void C_ccall f_17294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +15,c,5)))){
C_save_and_reclaim((void*)f_17294,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+15);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=C_set_block_item(((C_word*)t0)[2],0,t3);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li474),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17311,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17315,a[2]=t6,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t8=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
t9=t7;{
C_word *av2=av;
av2[0]=t9;
av2[1]=lf[638];
f_17315(2,av2);}}
else{
t9=C_i_car(t2);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17328,a[2]=t7,a[3]=t10,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_blockp(t10))){
if(C_truep(C_stringp(t10))){
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t10;
f_17328(2,av2);}}
else{
if(C_truep(C_symbolp(t10))){
/* library.scm:2708: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t11;
av2[2]=t10;
tp(3,av2);}}
else{
/* library.scm:2699: ##sys#signal-hook */
t12=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[258];
av2[3]=lf[639];
av2[4]=lf[640];
av2[5]=t10;
((C_proc)(void*)(*((C_word*)t12+1)))(6,av2);}}}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_17328(2,av2);}}}}

/* k17309 in chicken.base#gensym in k8513 */
static void C_ccall f_17311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17311,2,av);}
/* library.scm:2699: g3351 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k17313 in chicken.base#gensym in k8513 */
static void C_ccall f_17315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17315,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17319,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2711: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}

/* k17317 in k17313 in chicken.base#gensym in k8513 */
static void C_ccall f_17319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17319,2,av);}
/* library.scm:2702: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k17326 in chicken.base#gensym in k8513 */
static void C_ccall f_17328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17328,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_17315(2,av2);}}
else{
/* library.scm:2699: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[639];
av2[4]=lf[640];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.base#symbol-append in k8513 */
static void C_ccall f_17348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +20,c,3)))){
C_save_and_reclaim((void*)f_17348,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+20);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17356,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17371,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17373,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li476),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_17373(t12,t8,t2);}

/* k17354 in chicken.base#symbol-append in k8513 */
static void C_ccall f_17356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17356,2,av);}
/* library.scm:2716: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k17369 in chicken.base#symbol-append in k8513 */
static void C_ccall f_17371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17371,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop3367 in chicken.base#symbol-append in k8513 */
static void C_fcall f_17373(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_17373,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17398,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_check_symbol_2(t4,lf[642]);
/* library.scm:2721: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k17396 in map-loop3367 in chicken.base#symbol-append in k8513 */
static void C_ccall f_17398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17398,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_17373(t6,((C_word*)t0)[5],t5);}

/* chicken.keyword#keyword? in k8513 */
static void C_ccall f_17407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17407,3,av);}
if(C_truep(C_i_symbolp(t2))){
t3=C_u_i_keywordp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.keyword#string->keyword in k8513 */
static void C_ccall f_17416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17416,3,av);}
t3=C_i_check_string_2(t2,lf[646]);
/* library.scm:2739: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[627]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[627]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* chicken.keyword#keyword->string in k8513 */
static void C_ccall f_17425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17425,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17432,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2744: keyword? */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k17430 in chicken.keyword#keyword->string in k8513 */
static void C_ccall f_17432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17432,2,av);}
if(C_truep(t1)){
/* library.scm:2745: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:2746: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[648];
av2[4]=lf[649];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.keyword#get-keyword in k8513 */
static void C_ccall f_17443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_17443,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_list_2(t3,lf[652]);
t8=C_i_get_keyword(t2,t3,((C_word*)t0)[2]);
t9=C_eqp(t8,((C_word*)t0)[2]);
if(C_truep(t9)){
if(C_truep(t6)){
/* library.scm:2754: thunk */
t10=t6;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* ##sys#make-blob in k8513 */
static void C_ccall f_17471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_17471,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17475,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2770: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
av2[5]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k17473 in ##sys#make-blob in k8513 */
static void C_ccall f_17475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17475,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#make-blob in k8513 */
static void C_ccall f_17477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17477,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17481,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2775: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[657];
tp(4,av2);}}

/* k17479 in chicken.blob#make-blob in k8513 */
static void C_ccall f_17481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17481,2,av);}
/* library.scm:2776: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[655]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[655]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* chicken.blob#blob? in k8513 */
static void C_ccall f_17486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17486,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_bytevectorp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.blob#blob-size in k8513 */
static void C_ccall f_17492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17492,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17496,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2783: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[660];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17494 in chicken.blob#blob-size in k8513 */
static void C_ccall f_17496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17496,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_block_size(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.blob#string->blob in k8513 */
static void C_ccall f_17501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17501,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[662]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17511,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2789: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[655]);
C_word *av2=av;
av2[0]=*((C_word*)lf[655]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k17509 in chicken.blob#string->blob in k8513 */
static void C_ccall f_17511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17511,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob->string in k8513 */
static void C_ccall f_17513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17513,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17517,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2794: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[664];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17515 in chicken.blob#blob->string in k8513 */
static void C_ccall f_17517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17517,2,av);}
a=C_alloc(5);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17523,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2796: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k17521 in k17515 in chicken.blob#blob->string in k8513 */
static void C_ccall f_17523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17523,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob=? in k8513 */
static void C_ccall f_17525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17525,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17529,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2801: ##sys#check-blob */
t5=*((C_word*)lf[341]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[666];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17527 in chicken.blob#blob=? in k8513 */
static void C_ccall f_17529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17529,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17532,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2802: ##sys#check-blob */
t3=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[666];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k17530 in k17527 in chicken.blob#blob=? in k8513 */
static void C_ccall f_17532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17532,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_block_size(((C_word*)t0)[3]);
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=C_string_compare(((C_word*)t0)[2],((C_word*)t0)[3],t2);
t6=C_i_zerop(t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#make-vector in k8513 */
static void C_ccall f_17548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_17548,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17552,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2814: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[667];
tp(4,av2);}}

/* k17550 in scheme#make-vector in k8513 */
static void C_ccall f_17552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_17552,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17555,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:2815: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[667];
av2[3]=lf[668];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_17555(2,av2);}}}

/* k17553 in k17550 in scheme#make-vector in k8513 */
static void C_ccall f_17555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17555,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
/* library.scm:2816: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
/* library.scm:2816: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* scheme#list->vector in k8513 */
static void C_ccall f_17577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17577,3,av);}
a=C_alloc(4);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:2828: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[670];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17593,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2830: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[669]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[669]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}}

/* k17591 in scheme#list->vector in k8513 */
static void C_ccall f_17593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17593,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17598,a[2]=t2,a[3]=((C_word)li490),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17598(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k17591 in scheme#list->vector in k8513 */
static C_word C_fcall f_17598(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_i_setslot(((C_word*)t0)[2],t2,t3);
t5=C_slot(t1,C_fix(1));
t6=C_fixnum_plus(t2,C_fix(1));
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* scheme#vector->list in k8513 */
static void C_ccall f_17629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_17629,3,av);}
a=C_alloc(8);
t3=C_i_check_vector_2(t2,lf[671]);
t4=C_block_size(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17638,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li492),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_17638(t8,t1,C_fix(0));}

/* loop in scheme#vector->list in k8513 */
static void C_fcall f_17638(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17638,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17656,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2847: loop */
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* k17654 in loop in scheme#vector->list in k8513 */
static void C_ccall f_17656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_17656,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#vector in k8513 */
static void C_ccall f_17662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_17662,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* library.scm:2849: scheme#list->vector */
t3=*((C_word*)lf[94]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* scheme#vector-fill! in k8513 */
static void C_ccall f_17668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17668,4,av);}
a=C_alloc(6);
t4=C_i_check_vector_2(t2,lf[672]);
t5=C_block_size(t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17677,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li495),tmp=(C_word)a,a+=6,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_17677(t6,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* doloop3504 in scheme#vector-fill! in k8513 */
static C_word C_fcall f_17677(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_fixnum_plus(t1,C_fix(1));
t5=t3;
t1=t5;
goto loop;}}

/* chicken.base#vector-copy! in k8513 */
static void C_ccall f_17696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_17696,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+7);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t5=C_i_check_vector_2(t2,lf[673]);
t6=C_i_check_vector_2(t3,lf[673]);
t7=C_block_size(t2);
t8=t7;
t9=C_block_size(t3);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17712,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t10,a[6]=t8,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t4))){
t12=t4;
t13=t11;
f_17712(t13,C_u_i_car(t12));}
else{
t12=t11;
f_17712(t12,C_i_fixnum_min(t10,t8));}}

/* k17710 in chicken.base#vector-copy! in k8513 */
static void C_fcall f_17712(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_17712,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17715,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2866: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[673];
tp(4,av2);}}

/* k17713 in k17710 in chicken.base#vector-copy! in k8513 */
static void C_ccall f_17715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,7)))){
C_save_and_reclaim((void *)f_17715,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17718,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[6]);
t4=(C_truep(t3)?t3:C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[7]));
if(C_truep(t4)){
/* library.scm:2868: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[673];
av2[4]=lf[674];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(8,av2);}}
else{
t5=t2;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_17718(2,av2);}}}

/* k17716 in k17713 in k17710 in chicken.base#vector-copy! in k8513 */
static void C_ccall f_17718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17718,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17723,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li497),tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_17723(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3516 in k17716 in k17713 in k17710 in chicken.base#vector-copy! in k8513 */
static C_word C_fcall f_17723(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_slot(((C_word*)t0)[3],t1);
t3=C_i_setslot(((C_word*)t0)[4],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* chicken.base#subvector in k8513 */
static void C_ccall f_17765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,5)))){
C_save_and_reclaim((void*)f_17765,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_vector_2(t2,lf[675]);
t8=C_block_size(t2);
t9=t8;
t10=(C_truep(t6)?t6:t9);
t11=t10;
t12=C_fixnum_difference(t11,t3);
t13=t12;
t14=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17784,a[2]=t13,a[3]=t3,a[4]=t2,a[5]=t1,a[6]=t9,a[7]=t11,tmp=(C_word)a,a+=8,tmp);
t15=C_fixnum_plus(t9,C_fix(1));
/* library.scm:2881: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=lf[675];
tp(6,av2);}}

/* k17782 in chicken.base#subvector in k8513 */
static void C_ccall f_17784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_17784,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17787,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_plus(((C_word*)t0)[6],C_fix(1));
/* library.scm:2882: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[675];
tp(6,av2);}}

/* k17785 in k17782 in chicken.base#subvector in k8513 */
static void C_ccall f_17787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17787,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17790,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2883: scheme#make-vector */
t3=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k17788 in k17785 in k17782 in chicken.base#subvector in k8513 */
static void C_ccall f_17790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17790,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17795,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li499),tmp=(C_word)a,a+=7,tmp);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17795(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3547 in k17788 in k17785 in k17782 in chicken.base#subvector in k8513 */
static C_word C_fcall f_17795(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_fixnum_plus(t1,((C_word*)t0)[4]);
t3=C_slot(((C_word*)t0)[5],t2);
t4=C_i_setslot(((C_word*)t0)[3],t1,t3);
t5=C_fixnum_plus(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}

/* chicken.base#vector-resize in k8513 */
static void C_ccall f_17836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_17836,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_check_vector_2(t2,lf[676]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17846,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2891: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=lf[676];
tp(4,av2);}}

/* k17844 in chicken.base#vector-resize in k8513 */
static void C_ccall f_17846(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17846,2,av);}
/* library.scm:2892: ##sys#vector-resize */
f_17857(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* ##sys#vector-resize in k8513 */
static void C_fcall f_17857(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17857,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17861,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2895: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[669]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[669]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}

/* k17859 in ##sys#vector-resize in k8513 */
static void C_ccall f_17861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17861,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17864,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(((C_word*)t0)[2]);
/* library.scm:2896: scheme#min */
t5=*((C_word*)lf[557]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17862 in k17859 in ##sys#vector-resize in k8513 */
static void C_ccall f_17864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17864,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17869,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li502),tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17869(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3575 in k17862 in k17859 in ##sys#vector-resize in k8513 */
static C_word C_fcall f_17869(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_slot(((C_word*)t0)[4],t1);
t3=C_i_setslot(((C_word*)t0)[3],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* scheme#char-ci=? in k8513 */
static void C_ccall f_17896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17896,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_eqp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>? in k8513 */
static void C_ccall f_17910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17910,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greaterp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<? in k8513 */
static void C_ccall f_17921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17921,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_lessp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>=? in k8513 */
static void C_ccall f_17932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17932,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greater_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<=? in k8513 */
static void C_ccall f_17943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17943,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_less_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k17954 in k8513 */
static void C_ccall f_17956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_17956,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_SCHEME_END_OF_LIST;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17958,a[2]=t2,a[3]=((C_word)li510),tmp=(C_word)a,a+=4,tmp);
t6=C_mutate((C_word*)lf[199]+1 /* (set! chicken.base#char-name ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17999,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=((C_word)li511),tmp=(C_word)a,a+=6,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18116,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2965: chicken.base#char-name */
t8=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1393];
av2[3]=C_make_character(32);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* lookup-char in k17954 in k8513 */
static void C_fcall f_17958(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17958,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_fix(C_character_code(t2));
t4=C_fixnum_modulo(t3,C_fix(37));
t5=C_slot(((C_word*)t0)[2],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17971,a[2]=t2,a[3]=((C_word)li509),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_17971(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* loop in lookup-char in k17954 in k8513 */
static C_word C_fcall f_17971(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
return(t2);}
else{
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* chicken.base#char-name in k17954 in k8513 */
static void C_ccall f_17999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_17999,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18003,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_18003(t6,C_u_i_car(t5));}
else{
t5=t4;
f_18003(t5,C_SCHEME_FALSE);}}

/* k18001 in chicken.base#char-name in k17954 in k8513 */
static void C_fcall f_18003(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_18003,2,t0,t1);}
a=C_alloc(8);
t2=t1;
if(C_truep(C_charp(((C_word*)t0)[2]))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18012,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2939: lookup-char */
t4=((C_word*)t0)[4];
f_17958(t4,t3,((C_word*)t0)[2]);}
else{
if(C_truep(t2)){
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[678]);
t4=C_i_check_char_2(t2,lf[678]);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_18030,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t6=C_slot(((C_word*)t0)[2],C_fix(1));
t7=C_block_size(t6);
if(C_truep(C_fixnum_lessp(t7,C_fix(2)))){
/* library.scm:2945: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[678];
av2[4]=lf[679];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_18030(2,av2);}}}
else{
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[678]);
t4=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[5])[1]);
t5=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t4,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k18010 in k18001 in chicken.base#char-name in k17954 in k8513 */
static void C_ccall f_18012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18012,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18028 in k18001 in chicken.base#char-name in k17954 in k8513 */
static void C_ccall f_18030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18030,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18033,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2946: lookup-char */
t3=((C_word*)t0)[7];
f_17958(t3,t2,((C_word*)t0)[5]);}

/* k18031 in k18028 in k18001 in chicken.base#char-name in k17954 in k8513 */
static void C_ccall f_18033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_18033,2,av);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1]);
t3=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
if(C_truep(t2)){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_i_slot(t2,C_fix(1),((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[5]));
t3=C_fixnum_modulo(t2,C_fix(37));
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_slot(((C_word*)t0)[6],t3);
t9=C_a_i_cons(&a,2,t7,t8);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_i_setslot(((C_word*)t0)[6],t3,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k18114 in k17954 in k8513 */
static void C_ccall f_18116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18116,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18119,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2966: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1392];
av2[3]=C_make_character(9);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18119,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18122,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2967: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1391];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18122,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18125,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2968: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1390];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18125,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18128,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2969: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1389];
av2[3]=C_make_character(11);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18128,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18131,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2970: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1388];
av2[3]=C_make_character(127);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18131,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18134,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2971: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1387];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18134,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18137,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2972: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1386];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18137,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18140,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2973: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1385];
av2[3]=C_make_character(7);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18140,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18143,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2974: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1384];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18143,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18146,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2975: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1383];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18146,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18149,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2976: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1382];
av2[3]=C_make_character(13);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18149,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18152,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2977: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1381];
av2[3]=C_make_character(12);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18152,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18155,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2978: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1380];
av2[3]=C_make_character(8);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,c,6)))){
C_save_and_reclaim((void *)f_18155,2,av);}
a=C_alloc(102);
t2=C_mutate((C_word*)lf[680]+1 /* (set! ##sys#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_cc,a[2]=((C_word)li512),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[681]+1 /* (set! ##sys#call-with-cthulhu ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_cthulhu,a[2]=((C_word)li513),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[682]+1 /* (set! ##sys#call-with-values ...) */,*((C_word*)lf[131]+1));
t5=C_mutate((C_word*)lf[683]+1 /* (set! ##sys#for-each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18160,a[2]=((C_word)li515),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[685]+1 /* (set! ##sys#map ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18198,a[2]=((C_word)li517),tmp=(C_word)a,a+=3,tmp));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18240,a[2]=t10,a[3]=t8,a[4]=((C_word)li518),tmp=(C_word)a,a+=5,tmp);
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18284,a[2]=((C_word)li520),tmp=(C_word)a,a+=3,tmp);
t13=C_set_block_item(t8,0,t11);
t14=C_set_block_item(t10,0,t12);
t15=C_mutate((C_word*)lf[170]+1 /* (set! scheme#for-each ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18338,a[2]=t8,a[3]=t10,a[4]=((C_word)li525),tmp=(C_word)a,a+=5,tmp));
t16=C_mutate((C_word*)lf[171]+1 /* (set! scheme#map ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18424,a[2]=t8,a[3]=t10,a[4]=((C_word)li530),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(lf[688] /* ##sys#dynamic-winds */,0,C_SCHEME_END_OF_LIST);
t18=C_mutate((C_word*)lf[172]+1 /* (set! scheme#dynamic-wind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18531,a[2]=((C_word)li532),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[689]+1 /* (set! ##sys#dynamic-wind ...) */,*((C_word*)lf[172]+1));
t20=C_mutate((C_word*)lf[132]+1 /* (set! scheme#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18562,a[2]=((C_word)li535),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[198]+1 /* (set! chicken.base#call/cc ...) */,*((C_word*)lf[132]+1));
t22=C_mutate(&lf[690] /* (set! ##sys#dynamic-unwind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18602,a[2]=((C_word)li536),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[207]+1 /* (set! chicken.base#port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18660,a[2]=((C_word)li537),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[209]+1 /* (set! chicken.base#input-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18666,a[2]=((C_word)li538),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[210]+1 /* (set! chicken.base#output-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18671,a[2]=((C_word)li539),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[208]+1 /* (set! chicken.base#port-closed? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18676,a[2]=((C_word)li540),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[695]+1 /* (set! ##sys#make-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18689,a[2]=((C_word)li541),tmp=(C_word)a,a+=3,tmp));
t28=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31747,a[2]=((C_word)li543),tmp=(C_word)a,a+=3,tmp);
t29=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31787,a[2]=((C_word)li545),tmp=(C_word)a,a+=3,tmp);
t30=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31827,a[2]=((C_word)li546),tmp=(C_word)a,a+=3,tmp);
t31=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31830,a[2]=((C_word)li547),tmp=(C_word)a,a+=3,tmp);
t32=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31833,a[2]=((C_word)li548),tmp=(C_word)a,a+=3,tmp);
t33=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31839,a[2]=((C_word)li549),tmp=(C_word)a,a+=3,tmp);
t34=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31842,a[2]=((C_word)li550),tmp=(C_word)a,a+=3,tmp);
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31845,a[2]=((C_word)li553),tmp=(C_word)a,a+=3,tmp);
t36=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31944,a[2]=((C_word)li556),tmp=(C_word)a,a+=3,tmp);
t37=C_a_i_vector(&a,10,t28,t29,t30,t31,t32,t33,t34,t35,t36,C_SCHEME_FALSE);
t38=C_mutate((C_word*)lf[709]+1 /* (set! ##sys#stream-port-class ...) */,t37);
t39=C_mutate((C_word*)lf[710]+1 /* (set! ##sys#open-file-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_open_file_port,a[2]=((C_word)li557),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18720,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3262: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=t40;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[709]);
av2[4]=lf[1379];
av2[5]=lf[728];
tp(6,av2);}}

/* ##sys#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18160,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18166,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li514),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18166(t7,t1,t3);}

/* loop in ##sys#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_18166(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18166,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18182,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:2991: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:2993: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[684];
tp(4,av2);}}}}

/* k18180 in loop in ##sys#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18182,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2992: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_18166(t3,((C_word*)t0)[4],t2);}

/* ##sys#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18198,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18204,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li516),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18204(t7,t1,t3);}

/* loop in ##sys#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_18204(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18204,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18224,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:2999: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3000: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[686];
tp(4,av2);}}}}

/* k18222 in loop in ##sys#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18224,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18228,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:2999: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_18204(t5,t3,t4);}

/* k18226 in k18222 in loop in ##sys#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18228,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* mapsafe3651 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_18240,6,av);}
a=C_alloc(7);
t6=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t6)){
t7=t3;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_slot(t3,C_fix(0));
t8=C_eqp(t7,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
/* library.scm:3008: check */
t9=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
av2[4]=t5;
((C_proc)C_fast_retrieve_proc(t9))(5,av2);}}
else{
if(C_truep(C_i_pairp(t7))){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18272,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3010: p */
t10=t2;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t7;
((C_proc)C_fast_retrieve_proc(t10))(3,av2);}}
else{
/* library.scm:3011: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=t5;
tp(4,av2);}}}}}

/* k18270 in mapsafe3651 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_18272,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18276,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3010: mapsafe */
t5=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=t4;
av2[4]=C_SCHEME_FALSE;
av2[5]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* k18274 in k18270 in mapsafe3651 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18276,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* check3652 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_18284,5,av);}
a=C_alloc(8);
t5=C_i_not(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18294,a[2]=t1,a[3]=t4,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_18294(t7,t5);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18302,a[2]=((C_word)li519),tmp=(C_word)a,a+=3,tmp);
t8=t6;
f_18294(t8,(
  f_18302(t2)
));}}

/* k18292 in check3652 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_18294(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_18294,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:3019: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[687];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in check3652 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static C_word C_fcall f_18302(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t2))){
t3=C_slot(t1,C_fix(0));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t4))){
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* scheme#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,3)))){
C_save_and_reclaim((void*)f_18338,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
if(C_truep(C_i_nullp(t4))){
t5=t2;
t6=t3;
t7=C_i_check_list_2(t6,lf[684]);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18353,a[2]=t9,a[3]=t5,a[4]=((C_word)li521),tmp=(C_word)a,a+=5,tmp));
t11=((C_word*)t9)[1];
f_18353(t11,t1,t6);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18383,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li524),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18383(t9,t1,t5);}}

/* for-each-loop3682 in scheme#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_18353(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_18353,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18363,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3024: g3683 */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k18361 in for-each-loop3682 in scheme#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18363,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_18353(t3,((C_word*)t0)[4],t2);}

/* loop in scheme#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_18383(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18383,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18396,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18413,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18415,a[2]=((C_word)li523),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3028: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[684];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
/* library.scm:3030: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[684];
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}}

/* k18394 in loop in scheme#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_18396,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18403,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18405,a[2]=((C_word)li522),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3029: mapsafe */
t4=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[684];
((C_proc)C_fast_retrieve_proc(t4))(6,av2);}}

/* k18401 in k18394 in loop in scheme#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18403,2,av);}
/* library.scm:3029: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18383(t2,((C_word*)t0)[3],t1);}

/* a18404 in k18394 in loop in scheme#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18405,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18411 in loop in scheme#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18413,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18414 in loop in scheme#for-each in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18415,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +14,c,3)))){
C_save_and_reclaim((void*)f_18424,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+14);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
if(C_truep(C_i_nullp(t4))){
t5=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t6=t5;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=((C_word*)t7)[1];
t9=t2;
t10=t3;
t11=C_i_check_list_2(t10,lf[686]);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18442,a[2]=t7,a[3]=t13,a[4]=t9,a[5]=t8,a[6]=((C_word)li526),tmp=(C_word)a,a+=7,tmp));
t15=((C_word*)t13)[1];
f_18442(t15,t1,t10);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18483,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li529),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18483(t9,t1,t5);}}

/* map-loop3713 in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_18442(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_18442,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18467,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3035: g3719 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k18465 in map-loop3713 in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_18467,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_18442(t6,((C_word*)t0)[5],t5);}

/* loop in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_18483(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18483,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18500,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18518,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18520,a[2]=((C_word)li528),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3039: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[686];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18527,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_i_cdr(t2);
/* library.scm:3041: check */
t6=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[686];
((C_proc)C_fast_retrieve_proc(t6))(5,av2);}}}

/* k18498 in loop in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_18500,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18504,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18508,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18510,a[2]=((C_word)li527),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3040: mapsafe */
t6=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[686];
((C_proc)C_fast_retrieve_proc(t6))(6,av2);}}

/* k18502 in k18498 in loop in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18504,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18506 in k18498 in loop in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18508,2,av);}
/* library.scm:3040: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18483(t2,((C_word*)t0)[3],t1);}

/* a18509 in k18498 in loop in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18510,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18516 in loop in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18518,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18519 in loop in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18520,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18525 in loop in scheme#map in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18527,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#dynamic-wind in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18531,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18535,a[2]=t2,a[3]=t4,a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3061: before */
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18533 in scheme#dynamic-wind in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_18535,2,av);}
a=C_alloc(10);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,C_fast_retrieve(lf[688]));
t4=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18544,a[2]=((C_word*)t0)[3],a[3]=((C_word)li531),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3063: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a18543 in k18533 in scheme#dynamic-wind in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_18544,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_slot(C_fast_retrieve(lf[688]),C_fix(1));
t4=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18552,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3067: after */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18550 in a18543 in k18533 in scheme#dynamic-wind in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18552,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-current-continuation in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18562,3,av);}
a=C_alloc(5);
t3=C_fast_retrieve(lf[688]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18568,a[2]=t3,a[3]=t2,a[4]=((C_word)li534),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3075: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_call_cc(3,av2);}}

/* a18567 in scheme#call-with-current-continuation in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_18568,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18571,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li533),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3081: proc */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* continuation in a18567 in scheme#call-with-current-continuation in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18571,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18575,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fast_retrieve(lf[688]),((C_word*)t0)[3]);
if(C_truep(t4)){{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}
else{
t5=C_i_length(C_fast_retrieve(lf[688]));
t6=C_i_length(((C_word*)t0)[3]);
t7=C_fixnum_difference(t5,t6);
/* library.scm:3079: ##sys#dynamic-unwind */
f_18602(t3,((C_word*)t0)[3],t7);}}

/* k18573 in continuation in a18567 in scheme#call-with-current-continuation in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18575,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* ##sys#dynamic-unwind in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_18602(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18602,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(C_fast_retrieve(lf[688]),t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18618,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t2,C_fix(1));
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3088: ##sys#dynamic-unwind */
t11=t5;
t12=t6;
t13=t7;
t1=t11;
t2=t12;
t3=t13;
goto loop;}
else{
t5=C_slot(C_fast_retrieve(lf[688]),C_fix(0));
t6=C_slot(t5,C_fix(1));
t7=C_slot(C_fast_retrieve(lf[688]),C_fix(1));
t8=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#dynamic-winds ...) */,t7);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18647,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3094: after */
t10=t6;{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}}}

/* k18616 in ##sys#dynamic-unwind in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18618,2,av);}
a=C_alloc(4);
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18624,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3086: g3778 */
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}

/* k18622 in k18616 in ##sys#dynamic-unwind in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18624,2,av);}
t2=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#dynamic-winds ...) */,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18645 in ##sys#dynamic-unwind in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18647,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:3095: ##sys#dynamic-unwind */
f_18602(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* chicken.base#port? in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18660,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.base#input-port-open? in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18666,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(1),lf[691]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_input_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#output-port-open? in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18671,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(2),lf[692]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_output_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#port-closed? in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18676,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18680,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3117: ##sys#check-port */
t4=*((C_word*)lf[693]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[694];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k18678 in chicken.base#port-closed? in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18680,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(8));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-port in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,1)))){
C_save_and_reclaim((void *)f_18689,6,av);}
a=C_alloc(17);
t6=C_a_i_port(&a,0);
t7=C_i_set_i_slot(t6,C_fix(1),t2);
t8=C_i_setslot(t6,C_fix(2),t3);
t9=C_i_setslot(t6,C_fix(3),t4);
t10=C_i_set_i_slot(t6,C_fix(4),C_fix(1));
t11=C_i_set_i_slot(t6,C_fix(5),C_fix(0));
t12=C_i_setslot(t6,C_fix(7),t5);
t13=C_i_setslot(t6,C_fix(8),t2);
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18720(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18720,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#standard-input ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18724,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3263: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[709]);
av2[4]=lf[1378];
av2[5]=lf[728];
tp(6,av2);}}

/* k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18724,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-output ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18728,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3264: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[709]);
av2[4]=lf[1377];
av2[5]=lf[728];
tp(6,av2);}}

/* k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18728,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-error ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18731,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3266: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[710]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[710]+1);
av2[1]=t3;
av2[2]=*((C_word*)lf[711]+1);
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18731,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18734,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3267: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[710]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[710]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[712]+1);
av2[3]=C_fix(1);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_18734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18734,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18737,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3268: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[710]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[710]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[713]+1);
av2[3]=C_fix(2);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 in ... */
static void C_ccall f_18737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(119,c,6)))){
C_save_and_reclaim((void *)f_18737,2,av);}
a=C_alloc(119);
t2=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#check-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18739,a[2]=((C_word)li558),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[715]+1 /* (set! ##sys#check-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18750,a[2]=((C_word)li559),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#check-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18761,a[2]=((C_word)li560),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#check-open-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18772,a[2]=((C_word)li561),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[135]+1 /* (set! scheme#current-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18783,a[2]=((C_word)li563),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[136]+1 /* (set! scheme#current-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18844,a[2]=((C_word)li565),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[192]+1 /* (set! chicken.base#current-error-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18905,a[2]=((C_word)li567),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[720]+1 /* (set! ##sys#tty-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18966,a[2]=((C_word)li568),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[722]+1 /* (set! ##sys#port-data ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18980,a[2]=((C_word)li569),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[723]+1 /* (set! ##sys#set-port-data! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18986,a[2]=((C_word)li570),tmp=(C_word)a,a+=3,tmp));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18992,a[2]=((C_word)li572),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19090,a[2]=((C_word)li573),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[137]+1 /* (set! scheme#open-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19127,a[2]=t13,a[3]=((C_word)li574),tmp=(C_word)a,a+=4,tmp));
t19=C_mutate((C_word*)lf[138]+1 /* (set! scheme#open-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19133,a[2]=t13,a[3]=((C_word)li575),tmp=(C_word)a,a+=4,tmp));
t20=C_mutate((C_word*)lf[139]+1 /* (set! scheme#close-input-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19139,a[2]=t15,a[3]=((C_word)li576),tmp=(C_word)a,a+=4,tmp));
t21=C_mutate((C_word*)lf[140]+1 /* (set! scheme#close-output-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19145,a[2]=t15,a[3]=((C_word)li577),tmp=(C_word)a,a+=4,tmp));
t22=*((C_word*)lf[137]+1);
t23=C_mutate((C_word*)lf[141]+1 /* (set! scheme#call-with-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19151,a[2]=t22,a[3]=((C_word)li580),tmp=(C_word)a,a+=4,tmp));
t24=*((C_word*)lf[138]+1);
t25=C_mutate((C_word*)lf[142]+1 /* (set! scheme#call-with-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19175,a[2]=t24,a[3]=((C_word)li583),tmp=(C_word)a,a+=4,tmp));
t26=*((C_word*)lf[137]+1);
t27=C_mutate((C_word*)lf[143]+1 /* (set! scheme#with-input-from-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19199,a[2]=t26,a[3]=((C_word)li588),tmp=(C_word)a,a+=4,tmp));
t28=*((C_word*)lf[138]+1);
t29=C_mutate((C_word*)lf[144]+1 /* (set! scheme#with-output-to-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19233,a[2]=t28,a[3]=((C_word)li593),tmp=(C_word)a,a+=4,tmp));
t30=C_mutate((C_word*)lf[741]+1 /* (set! ##sys#file-exists? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19267,a[2]=((C_word)li594),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[744]+1 /* (set! ##sys#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19293,a[2]=((C_word)li595),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[214]+1 /* (set! chicken.base#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19306,a[2]=((C_word)li596),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[746]+1 /* (set! ##sys#port-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19324,a[2]=((C_word)li597),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[747]+1 /* (set! ##sys#decorate-lambda ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19333,a[2]=((C_word)li600),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[748]+1 /* (set! ##sys#lambda-decoration ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19408,a[2]=((C_word)li602),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[749]+1 /* (set! ##sys#make-lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19447,a[2]=((C_word)li603),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[750]+1 /* (set! ##sys#lambda-info? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19456,a[2]=((C_word)li604),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[751]+1 /* (set! ##sys#lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19469,a[2]=((C_word)li605),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[752]+1 /* (set! ##sys#lambda-info->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19475,a[2]=((C_word)li606),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[202]+1 /* (set! chicken.base#procedure-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19484,a[2]=((C_word)li607),tmp=(C_word)a,a+=3,tmp));
t41=C_a_i_vector1(&a,1,lf[755]);
t42=C_mutate(&lf[756] /* (set! setter-tag ...) */,t41);
t43=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19513,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t44=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31623,a[2]=((C_word)li997),tmp=(C_word)a,a+=3,tmp);
t45=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31663,a[2]=((C_word)li998),tmp=(C_word)a,a+=3,tmp);
t46=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31679,a[2]=((C_word)li1002),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3497: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t43;
av2[2]=t44;
av2[3]=t45;
av2[4]=t46;
tp(5,av2);}}

/* ##sys#check-input-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18739,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(1),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-output-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18750,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(2),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(2),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18761,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_FALSE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_FALSE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-open-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18772,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_TRUE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_TRUE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#current-input-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18783,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[711]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[711]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18796,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3295: ##sys#check-port */
t6=*((C_word*)lf[693]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[717];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18794 in scheme#current-input-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_18796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18796,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18798,a[2]=((C_word*)t0)[3],a[3]=((C_word)li562),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18804,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18809,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:3296: def-convert?3900 */
  f_18809(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:3296: def-set?3901 */
  f_18804(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:3296: body3898 */
  f_18798(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3898 in k18794 in scheme#current-input-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static C_word C_fcall f_18798(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#standard-input ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3901 in k18794 in scheme#current-input-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static C_word C_fcall f_18804(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3296: body3898 */
  f_18798(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3900 in k18794 in scheme#current-input-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static C_word C_fcall f_18809(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3296: def-set?3901 */
  f_18804(((C_word*)t0)[2])
));}

/* scheme#current-output-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18844(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18844,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[712]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18857,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3305: ##sys#check-port */
t6=*((C_word*)lf[693]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[718];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18855 in scheme#current-output-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_18857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18857,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18859,a[2]=((C_word*)t0)[3],a[3]=((C_word)li564),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18865,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18870,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:3306: def-convert?3925 */
  f_18870(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:3306: def-set?3926 */
  f_18865(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:3306: body3923 */
  f_18859(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3923 in k18855 in scheme#current-output-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static C_word C_fcall f_18859(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-output ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3926 in k18855 in scheme#current-output-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static C_word C_fcall f_18865(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3306: body3923 */
  f_18859(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3925 in k18855 in scheme#current-output-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static C_word C_fcall f_18870(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3306: def-set?3926 */
  f_18865(((C_word*)t0)[2])
));}

/* chicken.base#current-error-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18905,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[713]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18918,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3315: ##sys#check-port */
t6=*((C_word*)lf[693]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[719];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18916 in chicken.base#current-error-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_18918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18918,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18920,a[2]=((C_word*)t0)[3],a[3]=((C_word)li566),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18926,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18931,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:3316: def-convert?3950 */
  f_18931(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:3316: def-set?3951 */
  f_18926(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:3316: body3948 */
  f_18920(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3948 in k18916 in chicken.base#current-error-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static C_word C_fcall f_18920(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-error ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3951 in k18916 in chicken.base#current-error-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static C_word C_fcall f_18926(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3316: body3948 */
  f_18920(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3950 in k18916 in chicken.base#current-error-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static C_word C_fcall f_18931(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3316: def-set?3951 */
  f_18926(((C_word*)t0)[2])
));}

/* ##sys#tty-port? in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18966,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18978,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3321: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[721]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[721]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k18976 in ##sys#tty-port? in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_18978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18978,2,av);}
t2=C_i_zerop(t1);
if(C_truep(C_i_not(t2))){
t3=C_tty_portp(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#port-data in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18980,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(9));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-port-data! in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_18986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18986,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(t2,C_fix(9),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_fcall f_18992(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,0,3)))){
C_save_and_reclaim_args((void *)trf_18992,5,t1,t2,t3,t4,t5);}
a=C_alloc(22);
t6=C_i_check_string_2(t2,t5);
t7=(C_truep(t3)?lf[724]:lf[725]);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=lf[726];
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19002,a[2]=t1,a[3]=t5,a[4]=t2,a[5]=t9,a[6]=t11,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19035,a[2]=t14,a[3]=t11,a[4]=t3,a[5]=t5,a[6]=t9,a[7]=((C_word)li571),tmp=(C_word)a,a+=8,tmp));
t16=((C_word*)t14)[1];
f_19035(t16,t12,t4);}

/* k19000 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_19002,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19005,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[7])){
/* library.scm:3343: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[709]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[728];
tp(6,av2);}}
else{
/* library.scm:3343: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[709]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[728];
tp(6,av2);}}}

/* k19003 in k19000 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_19005,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19008,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19011,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19029,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3344: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=((C_word*)((C_word*)t0)[6])[1];
tp(4,av2);}}

/* k19006 in k19003 in k19000 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19008,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k19009 in k19003 in k19000 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19011,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19014,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3345: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2=av;
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k19012 in k19009 in k19003 in k19000 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in ... */
static void C_ccall f_19014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_19014,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19021,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19025,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19019 in k19012 in k19009 in k19003 in k19000 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in ... */
static void C_ccall f_19021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19021,2,av);}
/* library.scm:3346: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[697];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k19023 in k19012 in k19009 in k19003 in k19000 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in ... */
static void C_ccall f_19025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19025,2,av);}
/* library.scm:3346: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[727];
av2[3]=t1;
tp(4,av2);}}

/* k19027 in k19003 in k19000 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19029,2,av);}
/* library.scm:3344: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[710]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[710]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}

/* doloop3985 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_fcall f_19035(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_19035,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19048,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[729]);
if(C_truep(t5)){
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[730]);
t7=C_slot(t2,C_fix(1));
t11=t1;
t12=t7;
t1=t11;
t2=t12;
goto loop;}
else{
t6=C_eqp(t3,lf[731]);
if(C_truep(t6)){
t7=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[732]);
t8=C_slot(t2,C_fix(1));
t11=t1;
t12=t8;
t1=t11;
t2=t12;
goto loop;}
else{
t7=C_eqp(t3,lf[733]);
if(C_truep(t7)){
if(C_truep(((C_word*)t0)[4])){
/* library.scm:3340: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[734];
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}
else{
t8=C_mutate(((C_word *)((C_word*)t0)[6])+1,lf[735]);
t9=C_slot(t2,C_fix(1));
t11=t1;
t12=t9;
t1=t11;
t2=t12;
goto loop;}}
else{
/* library.scm:3342: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[736];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}}}}

/* k19046 in doloop3985 in open in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19048,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_19035(t3,((C_word*)t0)[4],t2);}

/* close in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_fcall f_19090(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_19090,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19094,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3350: ##sys#check-port */
t6=*((C_word*)lf[693]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k19092 in close in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19094,2,av);}
t2=(C_truep(((C_word*)t0)[2])?C_fix(1):C_fix(2));
if(C_truep(C_port_openp(((C_word*)t0)[3],t2))){
t3=C_slot(((C_word*)t0)[3],C_fix(8));
t4=C_fixnum_not(t2);
t5=C_fixnum_and(t3,t4);
t6=C_i_set_i_slot(((C_word*)t0)[3],C_fix(8),t5);
t7=C_slot(((C_word*)t0)[3],C_fix(2));
t8=C_slot(t7,C_fix(4));
/* library.scm:3353: g4006 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#open-input-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19127,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3357: open */
f_18992(t1,t2,C_SCHEME_TRUE,t3,lf[737]);}

/* scheme#open-output-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19133,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3358: open */
f_18992(t1,t2,C_SCHEME_FALSE,t3,lf[738]);}

/* scheme#close-input-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19139,3,av);}
/* library.scm:3359: close */
f_19090(t1,t2,C_SCHEME_TRUE,lf[739]);}

/* scheme#close-output-port in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19145,3,av);}
/* library.scm:3360: close */
f_19090(t1,t2,C_SCHEME_FALSE,lf[740]);}

/* scheme#call-with-input-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19151,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19155,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19153 in scheme#call-with-input-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19155,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19160,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li578),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19166,a[2]=t2,a[3]=((C_word)li579),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3367: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19159 in k19153 in scheme#call-with-input-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19160,2,av);}
/* library.scm:3368: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19165 in k19153 in scheme#call-with-input-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19166,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19170,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3370: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19168 in a19165 in k19153 in scheme#call-with-input-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19170,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-output-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19175,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19179,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19177 in scheme#call-with-output-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19179,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19184,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li581),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19190,a[2]=t2,a[3]=((C_word)li582),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3378: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19183 in k19177 in scheme#call-with-output-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19184,2,av);}
/* library.scm:3379: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19189 in k19177 in scheme#call-with-output-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19190,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19194,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3381: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19192 in a19189 in k19177 in scheme#call-with-output-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19194,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#with-input-from-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19199,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19203,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19201 in scheme#with-input-from-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19203,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19208,a[2]=t6,a[3]=t4,a[4]=((C_word)li584),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19213,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li586),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19228,a[2]=t4,a[3]=t6,a[4]=((C_word)li587),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3389: ##sys#dynamic-wind */
t10=*((C_word*)lf[689]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19207 in k19201 in scheme#with-input-from-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19208,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[711]+1));
t3=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19212 in k19201 in scheme#with-input-from-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19213,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19219,a[2]=((C_word*)t0)[2],a[3]=((C_word)li585),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3390: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19218 in a19212 in k19201 in scheme#with-input-from-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19219,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19223,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3392: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19221 in a19218 in a19212 in k19201 in scheme#with-input-from-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in ... */
static void C_ccall f_19223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19223,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19227 in k19201 in scheme#with-input-from-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19228,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[711]+1));
t3=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#with-output-to-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19233,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19237,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19235 in scheme#with-output-to-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19237,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19242,a[2]=t6,a[3]=t4,a[4]=((C_word)li589),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19247,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li591),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19262,a[2]=t4,a[3]=t6,a[4]=((C_word)li592),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3400: ##sys#dynamic-wind */
t10=*((C_word*)lf[689]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19241 in k19235 in scheme#with-output-to-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19242,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[712]+1));
t3=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19246 in k19235 in scheme#with-output-to-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19247,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19253,a[2]=((C_word*)t0)[2],a[3]=((C_word)li590),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3401: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19252 in a19246 in k19235 in scheme#with-output-to-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19253,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19257,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3403: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19255 in a19252 in a19246 in k19235 in scheme#with-output-to-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in ... */
static void C_ccall f_19257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19257,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19261 in k19235 in scheme#with-output-to-file in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19262,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[712]+1));
t3=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#file-exists? in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_19267,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19272,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t5,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3407: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2=av;
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k19270 in ##sys#file-exists? in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19272,2,av);}
t2=C_i_file_exists_p(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
switch(t2){
case C_SCHEME_FALSE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_SCHEME_TRUE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
/* library.scm:3411: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[697];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[742];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* ##sys#flush-output in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19293,3,av);}
a=C_alloc(3);
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(5));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19300,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3415: g4086 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* k19298 in ##sys#flush-output in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19300,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flush-output in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19306,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[712]+1);
t4=C_i_check_port_2(*((C_word*)lf[712]+1),C_fix(2),C_SCHEME_TRUE,lf[745]);
/* library.scm:3422: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[712]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[745]);
/* library.scm:3422: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#port-line in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19324,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_input_portp(t2))?C_slot(t2,C_fix(4)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#decorate-lambda in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19333,5,av);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=t5;
t7=C_fixnum_difference(t6,C_fix(1));
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19346,a[2]=t6,a[3]=t2,a[4]=t4,a[5]=t9,a[6]=t3,a[7]=((C_word)li599),tmp=(C_word)a,a+=8,tmp));
t11=((C_word*)t9)[1];
f_19346(t11,t1,t7);}

/* loop in ##sys#decorate-lambda in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_fcall f_19346(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_19346,3,t0,t1,t2);}
a=C_alloc(7);
t3=t2;
if(C_truep(C_i_zerop(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19354,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t5=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3436: scheme#make-vector */
t6=*((C_word*)lf[93]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_slot(((C_word*)t0)[3],t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19396,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3445: pred */
t6=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19352 in loop in ##sys#decorate-lambda in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19354,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19359,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word)li598),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_19359(t6,((C_word*)t0)[5],C_fix(1));}

/* doloop4115 in k19352 in loop in ##sys#decorate-lambda in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_fcall f_19359(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19359,3,t0,t1,t2);}
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_vector_to_closure(((C_word*)t0)[3]);
t4=C_copy_pointer(((C_word*)t0)[4],((C_word*)t0)[3]);
/* library.scm:3441: decorator */
t5=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t3=C_slot(((C_word*)t0)[4],t2);
t4=C_i_setslot(((C_word*)t0)[3],t2,t3);
t5=C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}

/* k19394 in loop in ##sys#decorate-lambda in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19396,2,av);}
if(C_truep(t1)){
/* library.scm:3446: decorator */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3447: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_19346(t3,((C_word*)t0)[3],t2);}}

/* ##sys#lambda-decoration in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_19408,4,av);}
a=C_alloc(8);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19418,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=((C_word)li601),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_19418(t9,t1,t5);}

/* loop in ##sys#lambda-decoration in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_fcall f_19418(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_19418,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=C_slot(((C_word*)t0)[2],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19434,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3453: pred */
t6=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k19432 in loop in ##sys#lambda-decoration in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19434,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* library.scm:3455: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_19418(t3,((C_word*)t0)[2],t2);}}

/* ##sys#make-lambda-info in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19447,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19454,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3462: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19452 in ##sys#make-lambda-info in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19454,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_string_to_lambdainfo(t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#lambda-info? in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19456,3,av);}
t3=C_immp(t2);
if(C_truep(C_i_not(t3))){
t4=C_lambdainfop(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#lambda-info in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19469,3,av);}
/* library.scm:3474: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fast_retrieve(lf[750]);
tp(4,av2);}}

/* ##sys#lambda-info->string in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19475,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19482,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3478: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19480 in ##sys#lambda-info->string in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19482,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#procedure-information in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19484,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19488,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3484: ##sys#check-closure */
t4=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[754];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19486 in chicken.base#procedure-information in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19488,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19491,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3485: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k19489 in k19486 in chicken.base#procedure-information in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_19491,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19501,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19505,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3486: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t3;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19499 in k19489 in k19486 in chicken.base#procedure-information in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19501,2,av);}
/* library.scm:3486: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k19503 in k19489 in k19486 in chicken.base#procedure-information in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19505,2,av);}
/* library.scm:3486: chicken.base#open-input-string */
t2=*((C_word*)lf[212]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_19513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19513,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[203]+1 /* (set! chicken.base#setter ...) */,t1);
t3=C_mutate((C_word*)lf[757]+1 /* (set! ##sys#setter ...) */,*((C_word*)lf[203]+1));
t4=C_mutate((C_word*)lf[200]+1 /* (set! chicken.base#getter-with-setter ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19516,a[2]=((C_word)li611),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19593,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3546: chicken.base#getter-with-setter */
t6=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=*((C_word*)lf[9]+1);
av2[3]=*((C_word*)lf[11]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* chicken.base#getter-with-setter in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_19516,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19523,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3525: ##sys#check-closure */
t9=*((C_word*)lf[365]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[758];
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}

/* k19521 in chicken.base#getter-with-setter in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_19523,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19526,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3526: ##sys#check-closure */
t3=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[758];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k19524 in k19521 in chicken.base#getter-with-setter in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19526,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19529,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
t3=C_i_check_string_2(((C_word*)t0)[5],lf[758]);
/* library.scm:3529: ##sys#make-lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:3530: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k19527 in k19524 in k19521 in chicken.base#getter-with-setter in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in ... */
static void C_ccall f_19529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_19529,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19532,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19548,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3532: ##sys#copy-closure */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[332]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[332]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k19530 in k19527 in k19524 in k19521 in chicken.base#getter-with-setter in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in ... */
static void C_ccall f_19532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_19532,2,av);}
a=C_alloc(4);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19540,a[2]=((C_word*)t0)[2],a[3]=((C_word)li608),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3538: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_fast_retrieve(lf[750]);
av2[4]=t2;
tp(5,av2);}}
else{
t2=t1;
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19539 in k19530 in k19527 in k19524 in k19521 in chicken.base#getter-with-setter in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in ... */
static void C_ccall f_19540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19540,4,av);}
t4=C_i_setslot(t2,t3,((C_word*)t0)[2]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k19546 in k19527 in k19524 in k19521 in chicken.base#getter-with-setter in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in ... */
static void C_ccall f_19548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_19548,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19550,a[2]=((C_word)li609),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19566,a[2]=((C_word*)t0)[2],a[3]=((C_word)li610),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3531: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=t2;
av2[4]=t3;
tp(5,av2);}}

/* a19549 in k19546 in k19527 in k19524 in k19521 in chicken.base#getter-with-setter in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in ... */
static void C_ccall f_19550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19550,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[756],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19565 in k19546 in k19527 in k19524 in k19521 in chicken.base#getter-with-setter in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in ... */
static void C_ccall f_19566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_19566,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[756],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_19593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19593,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19597,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3547: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[10]+1);
av2[3]=*((C_word*)lf[12]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_19597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19597,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19601,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31613,a[2]=((C_word)li995),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3548: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[17]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_19601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19601,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19605,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31603,a[2]=((C_word)li994),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3549: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[13]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in ... */
static void C_ccall f_19605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19605,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19609,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31593,a[2]=((C_word)li993),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3550: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[18]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in ... */
static void C_ccall f_19609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19609,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19613,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31583,a[2]=((C_word)li992),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3551: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[19]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in ... */
static void C_ccall f_19613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19613,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19617,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31573,a[2]=((C_word)li991),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3552: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[20]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in ... */
static void C_ccall f_19617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19617,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19621,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31563,a[2]=((C_word)li990),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3553: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[21]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in ... */
static void C_ccall f_19621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19621,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19625,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31553,a[2]=((C_word)li989),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3554: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[22]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in ... */
static void C_ccall f_19625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19625,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19629,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31543,a[2]=((C_word)li988),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3555: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[14]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in ... */
static void C_ccall f_19629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19629,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19633,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31533,a[2]=((C_word)li987),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3556: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[23]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in ... */
static void C_ccall f_19633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19633,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19637,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31523,a[2]=((C_word)li986),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3557: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[24]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in ... */
static void C_ccall f_19637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19637,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19641,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31513,a[2]=((C_word)li985),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3558: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[25]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in ... */
static void C_ccall f_19641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19641,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19645,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31503,a[2]=((C_word)li984),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3559: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[26]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in ... */
static void C_ccall f_19645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19645,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19649,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3560: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[58]+1);
av2[3]=*((C_word*)lf[59]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in ... */
static void C_ccall f_19649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19649,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19653,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3561: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[91]+1);
av2[3]=*((C_word*)lf[92]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in ... */
static void C_ccall f_19653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_19653,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19657,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31493,a[2]=((C_word)li983),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3564: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[45]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in ... */
static void C_ccall f_19657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_19657,2,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,t1);
t3=C_SCHEME_UNDEFINED;
t4=C_a_i_vector(&a,16,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3);
t5=C_mutate(&lf[759] /* (set! ##sys#default-parameter-vector ...) */,t4);
t6=C_mutate((C_word*)lf[760]+1 /* (set! ##sys#current-parameter-vector ...) */,lf[761]);
t7=C_fix(0);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[201]+1 /* (set! chicken.base#make-parameter ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19664,a[2]=t8,a[3]=((C_word)li619),tmp=(C_word)a,a+=4,tmp));
t10=C_mutate((C_word*)lf[146]+1 /* (set! scheme#char-ready? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19828,a[2]=((C_word)li620),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[147]+1 /* (set! scheme#read-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19853,a[2]=((C_word)li621),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[763]+1 /* (set! ##sys#read-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19871,a[2]=((C_word)li622),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[764]+1 /* (set! ##sys#read-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19931,a[2]=((C_word)li623),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[765]+1 /* (set! ##sys#peek-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19940,a[2]=((C_word)li624),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[148]+1 /* (set! scheme#peek-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19965,a[2]=((C_word)li625),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[149]+1 /* (set! scheme#read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19983,a[2]=((C_word)li626),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(lf[767] /* ##sys#default-read-info-hook */,0,C_SCHEME_FALSE);
t18=C_set_block_item(lf[768] /* ##sys#read-error-with-line-number */,0,C_SCHEME_FALSE);
t19=C_mutate((C_word*)lf[769]+1 /* (set! ##sys#read-prompt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20003,a[2]=((C_word)li627),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[770]+1 /* (set! ##sys#infix-list-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20006,a[2]=((C_word)li628),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[771]+1 /* (set! ##sys#sharp-number-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20009,a[2]=((C_word)li629),tmp=(C_word)a,a+=3,tmp));
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20017,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3674: chicken.base#make-parameter */
t23=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t23;
av2[1]=t22;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t23+1)))(3,av2);}}

/* chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_19664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,3)))){
C_save_and_reclaim((void*)f_19664,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19822,a[2]=((C_word)li612),tmp=(C_word)a,a+=3,tmp):C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19671,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3577: guard */
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in ... */
static void C_ccall f_19671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,6)))){
C_save_and_reclaim((void *)f_19671,2,av);}
a=C_alloc(14);
t2=t1;
t3=((C_word*)((C_word*)t0)[2])[1];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19672,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word)li613),tmp=(C_word)a,a+=5,tmp);
t5=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t6=C_set_block_item(((C_word*)t0)[2],0,t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19706,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(C_retrieve2(lf[759],C_text("##sys#default-parameter-vector")));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t8))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19810,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t10=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3594: ##sys#vector-resize */
f_17857(t9,C_retrieve2(lf[759],C_text("##sys#default-parameter-vector")),t10,C_SCHEME_UNDEFINED);}
else{
t9=t7;
f_19706(t9,C_SCHEME_UNDEFINED);}}

/* assign in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in ... */
static void C_fcall f_19672(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_19672,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19676,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],t3))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19695,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3582: ##sys#vector-resize */
f_17857(t7,C_fast_retrieve(lf[760]),t8,*((C_word*)lf[624]+1));}
else{
t7=t6;
f_19676(t7,C_SCHEME_UNDEFINED);}}

/* k19674 in assign in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in ... */
static void C_fcall f_19676(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_19676,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19679,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
/* library.scm:3586: guard */
t3=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[7];
f_19679(2,av2);}}}

/* k19677 in k19674 in assign in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in ... */
static void C_ccall f_19679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19679,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_setslot(C_fast_retrieve(lf[760]),((C_word*)t0)[3],t1);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19693 in assign in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in ... */
static void C_ccall f_19695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19695,2,av);}
t2=C_mutate((C_word*)lf[760]+1 /* (set! ##sys#current-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19676(t3,t2);}

/* k19704 in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in ... */
static void C_fcall f_19706(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_19706,2,t0,t1);}
a=C_alloc(9);
t2=C_i_setslot(C_retrieve2(lf[759],C_text("##sys#default-parameter-vector")),((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19714,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word)li617),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19796,a[2]=((C_word*)t0)[4],a[3]=((C_word)li618),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3600: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a19713 in k19704 in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in ... */
static void C_ccall f_19714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +14,c,4)))){
C_save_and_reclaim((void*)f_19714,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+14);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
t3=C_block_size(C_fast_retrieve(lf[760]));
t4=t3;
if(C_truep(C_i_pairp(t2))){
t5=t2;
t6=C_u_i_cdr(t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19726,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li614),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19735,a[2]=t7,a[3]=((C_word)li615),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19740,a[2]=t8,a[3]=((C_word)li616),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t6))){
/* library.scm:3604: def-convert?4268 */
t10=t9;
f_19740(t10,t1);}
else{
t10=C_i_car(t6);
t11=C_u_i_cdr(t6);
if(C_truep(C_i_nullp(t11))){
/* library.scm:3604: def-set?4269 */
t12=t8;
f_19735(t12,t1,t10);}
else{
t12=C_i_car(t11);
t13=C_u_i_cdr(t11);
/* library.scm:3604: body4266 */
t14=t7;
f_19726(t14,t1,t10,t12);}}}
else{
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[3],t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_slot(C_retrieve2(lf[759],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(C_fast_retrieve(lf[760]),((C_word*)t0)[3]);
t6=C_eqp(t5,*((C_word*)lf[624]+1));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_slot(C_retrieve2(lf[759],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]):t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}

/* body4266 in a19713 in k19704 in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in ... */
static void C_fcall f_19726(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_19726,4,t0,t1,t2,t3);}
t4=C_i_car(((C_word*)t0)[2]);
/* library.scm:3606: assign */
t5=((C_word*)t0)[3];
f_19672(t5,t1,t4,((C_word*)t0)[4],t2,t3);}

/* def-set?4269 in a19713 in k19704 in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in ... */
static void C_fcall f_19735(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19735,3,t0,t1,t2);}
/* library.scm:3604: body4266 */
t3=((C_word*)t0)[2];
f_19726(t3,t1,t2,C_SCHEME_TRUE);}

/* def-convert?4268 in a19713 in k19704 in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in ... */
static void C_fcall f_19740(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_19740,2,t0,t1);}
/* library.scm:3604: def-set?4269 */
t2=((C_word*)t0)[2];
f_19735(t2,t1,C_SCHEME_TRUE);}

/* a19795 in k19704 in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in ... */
static void C_ccall f_19796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19796,3,av);}
t3=C_block_size(C_fast_retrieve(lf[760]));
/* library.scm:3616: assign */
t4=((C_word*)t0)[2];
f_19672(t4,t1,t2,t3,C_SCHEME_FALSE,C_SCHEME_TRUE);}

/* k19808 in k19669 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in ... */
static void C_ccall f_19810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19810,2,av);}
t2=C_mutate(&lf[759] /* (set! ##sys#default-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19706(t3,t2);}

/* f_19822 in chicken.base#make-parameter in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in ... */
static void C_ccall f_19822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19822,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char-ready? in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_19828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19828,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[711]+1):C_i_car(t2));
t5=C_i_check_port_2(t4,C_fix(1),C_SCHEME_TRUE,lf[762]);
t6=C_slot(t4,C_fix(2));
t7=C_slot(t6,C_fix(6));
/* library.scm:3622: g4301 */
t8=t7;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* scheme#read-char in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_19853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19853,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[711]+1);
t4=C_i_check_port_2(*((C_word*)lf[711]+1),C_fix(1),C_SCHEME_TRUE,lf[698]);
/* library.scm:3629: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[711]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[698]);
/* library.scm:3629: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#read-char-0 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_19871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_19871,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19875,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_slot(t2,C_fix(6)))){
t4=C_i_set_i_slot(t2,C_fix(6),C_SCHEME_FALSE);
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_FILE;
f_19875(2,av2);}}
else{
t4=C_slot(t2,C_fix(2));
t5=C_slot(t4,C_fix(0));
/* library.scm:3632: g4319 */
t6=t5;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19873 in ##sys#read-char-0 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in ... */
static void C_ccall f_19875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19875,2,av);}
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=C_slot(((C_word*)t0)[2],C_fix(4));
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t4);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t3=C_eofp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t5);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* ##sys#read-char/port in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_19931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19931,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[698]);
/* library.scm:3646: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2=av;
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* ##sys#peek-char-0 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_19940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_19940,3,av);}
a=C_alloc(4);
if(C_truep(C_slot(t2,C_fix(6)))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19953,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3651: g4333 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19951 in ##sys#peek-char-0 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in ... */
static void C_ccall f_19953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19953,2,av);}
if(C_truep(C_eofp(t1))){
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(6),C_SCHEME_TRUE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scheme#peek-char in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_19965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19965,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[711]+1);
t4=C_i_check_port_2(*((C_word*)lf[711]+1),C_fix(1),C_SCHEME_TRUE,lf[702]);
/* library.scm:3659: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[711]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[702]);
/* library.scm:3659: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* scheme#read in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_19983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_19983,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[711]+1);
t4=C_i_check_port_2(*((C_word*)lf[711]+1),C_fix(1),C_SCHEME_TRUE,lf[766]);
/* library.scm:3664: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[711]+1);
av2[3]=C_fast_retrieve(lf[767]);
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[766]);
/* library.scm:3664: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fast_retrieve(lf[767]);
tp(4,av2);}}}

/* ##sys#read-prompt-hook in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_20003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20003,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#infix-list-hook in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_20006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20006,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#sharp-number-hook in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_20009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20009,4,av);}
/* library.scm:3672: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[773];
av2[4]=t3;
tp(5,av2);}}

/* k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in ... */
static void C_ccall f_20017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20017,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[230]+1 /* (set! chicken.base#case-sensitive ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20021,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3675: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[809];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in ... */
static void C_ccall f_20021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20021,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[231]+1 /* (set! chicken.base#keyword-style ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20025,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3676: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in ... */
static void C_ccall f_20025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20025,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[232]+1 /* (set! chicken.base#parentheses-synonyms ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20029,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3677: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in ... */
static void C_ccall f_20029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20029,2,av);}
a=C_alloc(8);
t2=C_mutate((C_word*)lf[233]+1 /* (set! chicken.base#symbol-escape ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20033,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_record4(&a,4,lf[1374],C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_FALSE);
/* library.scm:3679: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in ... */
static void C_ccall f_20033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_20033,2,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[774]+1 /* (set! ##sys#current-read-table ...) */,t1);
t3=C_mutate((C_word*)lf[775]+1 /* (set! ##sys#read-warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20035,a[2]=((C_word)li630),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[772]+1 /* (set! ##sys#read-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20058,a[2]=((C_word)li631),tmp=(C_word)a,a+=3,tmp));
t5=*((C_word*)lf[231]+1);
t6=*((C_word*)lf[230]+1);
t7=*((C_word*)lf[232]+1);
t8=*((C_word*)lf[233]+1);
t9=C_fast_retrieve(lf[774]);
t10=C_mutate((C_word*)lf[753]+1 /* (set! ##sys#read ...) */,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20081,a[2]=t9,a[3]=t8,a[4]=t7,a[5]=t5,a[6]=t6,a[7]=((C_word)li687),tmp=(C_word)a,a+=8,tmp));
t11=C_mutate((C_word*)lf[787]+1 /* (set! ##sys#char->utf8-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22918,a[2]=((C_word)li688),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[794]+1 /* (set! ##sys#unicode-surrogate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23083,a[2]=((C_word)li689),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[791]+1 /* (set! ##sys#surrogates->codepoint ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23095,a[2]=((C_word)li690),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[841]+1 /* (set! ##sys#read-bytevector-literal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23157,a[2]=((C_word)li693),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[853]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23305,a[2]=((C_word)li694),tmp=(C_word)a,a+=3,tmp));
t16=C_set_block_item(lf[851] /* ##sys#read-marks */,0,C_SCHEME_END_OF_LIST);
t17=C_mutate((C_word*)lf[860]+1 /* (set! ##sys#write-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23350,a[2]=((C_word)li695),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[861]+1 /* (set! ##sys#write-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23366,a[2]=((C_word)li696),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[150]+1 /* (set! scheme#write-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23378,a[2]=((C_word)li697),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[151]+1 /* (set! scheme#newline ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23399,a[2]=((C_word)li698),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[152]+1 /* (set! scheme#write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23414,a[2]=((C_word)li699),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[153]+1 /* (set! scheme#display ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23432,a[2]=((C_word)li700),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[188]+1 /* (set! chicken.base#print ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23450,a[2]=((C_word)li702),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[189]+1 /* (set! chicken.base#print* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23501,a[2]=((C_word)li704),tmp=(C_word)a,a+=3,tmp));
t25=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23554,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4416: chicken.base#make-parameter */
t26=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t26;
av2[1]=t25;
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t26+1)))(3,av2);}}

/* ##sys#read-warning in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_20035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20035,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20043,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3686: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2=av;
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20041 in ##sys#read-warning in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_ccall f_20043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20043,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20046,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[768]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20056,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3688: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t4;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}}

/* k20044 in k20041 in ##sys#read-warning in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_20046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20046,2,av);}{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t1;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}

/* k20054 in k20041 in ##sys#read-warning in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_20056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20056,2,av);}
/* library.scm:3688: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[776];
av2[3]=t1;
av2[4]=lf[777];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read-error in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_20058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20058,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20066,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3698: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2=av;
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20064 in ##sys#read-error in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_ccall f_20066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_20066,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20069,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[768]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20079,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3700: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[778];
av2[4]=t4;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}}

/* k20067 in k20064 in ##sys#read-error in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_20069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20069,2,av);}{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[778];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}

/* k20077 in k20064 in ##sys#read-error in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_20079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20079,2,av);}
/* library.scm:3700: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[779];
av2[3]=t1;
av2[4]=lf[780];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_20081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20081,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20085,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3712: case-sensitive */
t5=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_ccall f_20085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_20085,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20088,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3713: keyword-style */
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_20088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_20088,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20091,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3714: parentheses-synonyms */
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_20091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20091,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20094,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3715: symbol-escape */
t4=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_20094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20094,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20097,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3716: current-read-table */
t4=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_20097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(52,c,5)))){
C_save_and_reclaim((void *)f_20097,2,av);}
a=C_alloc(52);
t2=t1;
t3=lf[781];
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20099,a[2]=((C_word*)t0)[2],a[3]=((C_word)li632),tmp=(C_word)a,a+=4,tmp));
t19=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20105,a[2]=((C_word*)t0)[3],a[3]=((C_word)li633),tmp=(C_word)a,a+=4,tmp));
t20=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20114,a[2]=((C_word*)t0)[2],a[3]=((C_word)li635),tmp=(C_word)a,a+=4,tmp));
t21=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20151,a[2]=((C_word*)t0)[2],a[3]=((C_word)li636),tmp=(C_word)a,a+=4,tmp));
t22=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20160,a[2]=t5,a[3]=t13,a[4]=((C_word)li637),tmp=(C_word)a,a+=5,tmp));
t23=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|16,a[1]=(C_word)f_20175,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=t7,a[5]=t9,a[6]=t17,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t15,a[10]=t3,a[11]=t5,a[12]=t13,a[13]=t2,a[14]=((C_word*)t0)[6],a[15]=((C_word*)t0)[7],a[16]=((C_word)li686),tmp=(C_word)a,a+=17,tmp));
/* library.scm:4283: readrec */
t24=((C_word*)t17)[1];
f_20175(t24,((C_word*)t0)[8]);}

/* f_20099 in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_20099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20099,3,av);}
/* library.scm:3722: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[782];
av2[4]=t2;
tp(5,av2);}}

/* info in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_20105(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_20105,5,t0,t1,t2,t3,t4);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:3726: infohandler */
t5=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}
else{
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* skip-to-eol in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_20114(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20114,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20122,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3730: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20120 in skip-to-eol in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_20122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_20122,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20124,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li634),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_20124(t5,((C_word*)t0)[3],t1);}

/* skip in k20120 in skip-to-eol in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_20124(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20124,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20131,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_eofp(t2);
if(C_truep(C_i_not(t4))){
t5=C_eqp(C_make_character(10),t2);
t6=t3;
f_20131(t6,C_i_not(t5));}
else{
t5=t3;
f_20131(t5,C_SCHEME_FALSE);}}

/* k20129 in skip in k20120 in skip-to-eol in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_20131(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20131,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20138,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3732: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k20136 in k20129 in skip in k20120 in skip-to-eol in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20138,2,av);}
/* library.scm:3732: skip */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20124(t2,((C_word*)t0)[3],t1);}

/* reserved-character in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_20151(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20151,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20155,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3735: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20153 in reserved-character in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_20155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20155,2,av);}
/* library.scm:3736: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[783];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* read-unreserved-char-0 in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_20160(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20160,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20164,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3739: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20162 in read-unreserved-char-0 in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_20164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20164,2,av);}
if(C_truep(C_i_memq(t1,((C_word*)((C_word*)t0)[2])[1]))){
/* library.scm:3741: reserved-character */
t2=((C_word*)((C_word*)t0)[3])[1];
f_20151(t2,((C_word*)t0)[4],t1);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_20175(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(158,0,5)))){
C_save_and_reclaim_args((void *)trf_20175,2,t0,t1);}
a=C_alloc(158);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_SCHEME_UNDEFINED;
t19=(*a=C_VECTOR_TYPE|1,a[1]=t18,tmp=(C_word)a,a+=2,tmp);
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_SCHEME_UNDEFINED;
t23=(*a=C_VECTOR_TYPE|1,a[1]=t22,tmp=(C_word)a,a+=2,tmp);
t24=C_SCHEME_UNDEFINED;
t25=(*a=C_VECTOR_TYPE|1,a[1]=t24,tmp=(C_word)a,a+=2,tmp);
t26=C_SCHEME_UNDEFINED;
t27=(*a=C_VECTOR_TYPE|1,a[1]=t26,tmp=(C_word)a,a+=2,tmp);
t28=C_SCHEME_UNDEFINED;
t29=(*a=C_VECTOR_TYPE|1,a[1]=t28,tmp=(C_word)a,a+=2,tmp);
t30=C_SCHEME_UNDEFINED;
t31=(*a=C_VECTOR_TYPE|1,a[1]=t30,tmp=(C_word)a,a+=2,tmp);
t32=C_SCHEME_UNDEFINED;
t33=(*a=C_VECTOR_TYPE|1,a[1]=t32,tmp=(C_word)a,a+=2,tmp);
t34=C_SCHEME_UNDEFINED;
t35=(*a=C_VECTOR_TYPE|1,a[1]=t34,tmp=(C_word)a,a+=2,tmp);
t36=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20178,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li639),tmp=(C_word)a,a+=5,tmp));
t37=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20226,a[2]=((C_word*)t0)[2],a[3]=((C_word)li641),tmp=(C_word)a,a+=4,tmp));
t38=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20286,a[2]=((C_word)li643),tmp=(C_word)a,a+=3,tmp));
t39=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20323,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=t7,a[5]=((C_word)li646),tmp=(C_word)a,a+=6,tmp));
t40=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20877,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t27,a[9]=((C_word)li652),tmp=(C_word)a,a+=10,tmp));
t41=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21139,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=((C_word)li653),tmp=(C_word)a,a+=5,tmp));
t42=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21157,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t27,a[5]=((C_word)li655),tmp=(C_word)a,a+=6,tmp));
t43=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21227,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li656),tmp=(C_word)a,a+=5,tmp));
t44=C_set_block_item(t19,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21278,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li657),tmp=(C_word)a,a+=5,tmp));
t45=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21345,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word)li659),tmp=(C_word)a,a+=7,tmp));
t46=C_set_block_item(t23,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21409,a[2]=((C_word*)t0)[2],a[3]=((C_word)li661),tmp=(C_word)a,a+=4,tmp));
t47=C_set_block_item(t25,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21455,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t27,a[5]=((C_word)li663),tmp=(C_word)a,a+=6,tmp));
t48=C_set_block_item(t27,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21480,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[11],a[4]=((C_word*)t0)[12],a[5]=t9,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[10],a[9]=((C_word)li665),tmp=(C_word)a,a+=10,tmp));
t49=C_set_block_item(t29,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21694,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=t21,a[5]=((C_word)li666),tmp=(C_word)a,a+=6,tmp));
t50=C_set_block_item(t31,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21903,a[2]=((C_word*)t0)[2],a[3]=((C_word)li668),tmp=(C_word)a,a+=4,tmp));
t51=C_set_block_item(t33,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21990,a[2]=t21,a[3]=((C_word)li669),tmp=(C_word)a,a+=4,tmp));
t52=C_set_block_item(t35,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22003,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=((C_word)li670),tmp=(C_word)a,a+=6,tmp));
t53=(*a=C_CLOSURE_TYPE|27,a[1]=(C_word)f_22034,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[13],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[6],a[6]=t1,a[7]=t35,a[8]=t23,a[9]=t17,a[10]=t19,a[11]=((C_word*)t0)[8],a[12]=t13,a[13]=t29,a[14]=t31,a[15]=t33,a[16]=((C_word*)t0)[7],a[17]=t27,a[18]=((C_word*)t0)[5],a[19]=((C_word*)t0)[3],a[20]=t21,a[21]=t11,a[22]=((C_word*)t0)[4],a[23]=t9,a[24]=t15,a[25]=((C_word*)t0)[12],a[26]=t25,a[27]=t3,tmp=(C_word)a,a+=28,tmp);
t54=C_i_not(((C_word*)t0)[14]);
t55=(C_truep(t54)?lf[854]:C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(((C_word*)t0)[15]))){
/* library.scm:4123: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=lf[855];
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}
else{
/* library.scm:4123: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}}

/* r-spaces in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_20178(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20178,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20186,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3747: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20184 in r-spaces in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_20186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_20186,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20188,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li638),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_20188(t5,((C_word*)t0)[4],t1);}

/* loop in k20184 in r-spaces in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_20188(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20188,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_eqp(C_make_character(59),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20201,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3750: skip-to-eol */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20114(t6,t5);}
else{
if(C_truep(C_u_i_char_whitespacep(t2))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20217,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3753: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* k20199 in loop in k20184 in r-spaces in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20201,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20208,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3751: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20206 in k20199 in loop in k20184 in r-spaces in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20208,2,av);}
/* library.scm:3751: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20188(t2,((C_word*)t0)[3],t1);}

/* k20215 in loop in k20184 in r-spaces in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20217,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20224,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3754: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20222 in k20215 in loop in k20184 in r-spaces in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20224,2,av);}
/* library.scm:3754: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20188(t2,((C_word*)t0)[3],t1);}

/* r-usequence in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_20226(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20226,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20232,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t4,a[5]=t6,a[6]=((C_word)li640),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_20232(t8,t1,C_SCHEME_END_OF_LIST,t3);}

/* loop in r-usequence in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_20232(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20232,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20242,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3759: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20258,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3766: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}

/* k20240 in loop in r-usequence in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_20242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_20242,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20245,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3760: scheme#string->number */
t4=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k20243 in k20240 in loop in r-usequence in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_20245,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20255,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3764: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[784];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=lf[785];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* k20253 in k20243 in k20240 in loop in r-usequence in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20255,2,av);}
/* library.scm:3762: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k20256 in loop in r-usequence in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_20258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20258,2,av);}
a=C_alloc(3);
t2=C_eofp(t1);
t3=(C_truep(t2)?t2:C_i_char_equalp(C_make_character(34),t1));
if(C_truep(t3)){
/* library.scm:3768: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[786];
tp(4,av2);}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
t5=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3769: loop */
t6=((C_word*)((C_word*)t0)[6])[1];
f_20232(t6,((C_word*)t0)[2],t4,t5);}}

/* r-cons-codepoint in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_20286(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20286,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20290,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_make_character(C_unfix(t2));
/* library.scm:3772: ##sys#char->utf8-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[787]);
C_word av2[3];
av2[0]=*((C_word*)lf[787]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k20288 in r-cons-codepoint in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_20290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20290,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20298,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li642),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_20298(t8,((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);}

/* lp in k20288 in r-cons-codepoint in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_20298(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_20298,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[3],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:3777: lp */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_20323(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20323,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20331,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3780: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_20331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_20331,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20333,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li645),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_20333(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_20333(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_20333,4,t0,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_eofp(((C_word*)t4)[1]))){
/* library.scm:3782: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[4];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[788];
tp(4,av2);}}
else{
t5=C_eqp(C_make_character(92),((C_word*)t4)[1]);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20350,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3784: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t6=C_eqp(((C_word*)t0)[6],((C_word*)t4)[1]);
if(C_truep(t6)){
/* library.scm:3855: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20871,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3856: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}}}

/* k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_20350,2,av);}
a=C_alloc(9);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)((C_word*)t0)[2])[1];
switch(t3){
case C_make_character(116):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20363,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3786: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(114):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20380,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3787: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20397,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3788: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(110):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20414,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3789: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(97):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20431,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3790: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(118):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20448,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3791: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(102):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20465,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3792: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20493,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3794: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20226(t5,t4,lf[789],C_fix(2),C_fix(16));
case C_make_character(117):
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20502,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3797: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20226(t5,t4,lf[795],C_fix(4),C_fix(16));
case C_make_character(85):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20576,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3810: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20226(t5,t4,lf[797],C_fix(8),C_fix(16));
default:
t4=C_eqp(t3,C_make_character(92));
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20605,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_20605(t6,t4);}
else{
t6=C_eqp(t3,C_make_character(39));
if(C_truep(t6)){
t7=t5;
f_20605(t7,t6);}
else{
t7=C_eqp(t3,C_make_character(34));
t8=t5;
f_20605(t8,(C_truep(t7)?t7:C_eqp(t3,C_make_character(124))));}}}}

/* k20361 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20363,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(9),((C_word*)t0)[2]);
/* library.scm:3786: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20333(t3,((C_word*)t0)[4],t1,t2);}

/* k20378 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20380,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(13),((C_word*)t0)[2]);
/* library.scm:3787: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20333(t3,((C_word*)t0)[4],t1,t2);}

/* k20395 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20397,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(8),((C_word*)t0)[2]);
/* library.scm:3788: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20333(t3,((C_word*)t0)[4],t1,t2);}

/* k20412 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20414,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:3789: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20333(t3,((C_word*)t0)[4],t1,t2);}

/* k20429 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20431,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(7),((C_word*)t0)[2]);
/* library.scm:3790: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20333(t3,((C_word*)t0)[4],t1,t2);}

/* k20446 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20448,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(11),((C_word*)t0)[2]);
/* library.scm:3791: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20333(t3,((C_word*)t0)[4],t1,t2);}

/* k20463 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20465,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(12),((C_word*)t0)[2]);
/* library.scm:3792: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20333(t3,((C_word*)t0)[4],t1,t2);}

/* k20483 in k20491 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_20485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20485,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3795: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20333(t3,((C_word*)t0)[5],t1,t2);}

/* k20491 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20493,2,av);}
a=C_alloc(6);
t2=C_make_character(C_unfix(t1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20485,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3795: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20502,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20508,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3798: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[794]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[794]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_20508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20508,2,av);}
a=C_alloc(13);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20514,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20556,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3799: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20563,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3808: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k20512 in k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_20514(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_20514,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20517,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3801: r-usequence */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20226(t3,t2,lf[792],C_fix(4),C_fix(16));}
else{
/* library.scm:3807: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[5];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[793];
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}}

/* k20515 in k20512 in k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_20517,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20520,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:3802: ##sys#surrogates->codepoint */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[791]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[791]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
tp(4,av2);}}

/* k20518 in k20515 in k20512 in k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_20520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_20520,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20530,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3804: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
/* library.scm:3806: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[790];
av2[4]=((C_word*)t0)[7];
av2[5]=((C_word*)t0)[8];
tp(6,av2);}}}

/* k20528 in k20518 in k20515 in k20512 in k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_20530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20530,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20534,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3805: r-cons-codepoint */
f_20286(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20532 in k20528 in k20518 in k20515 in k20512 in k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_20534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20534,2,av);}
/* library.scm:3804: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20333(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20549 in k20554 in k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20551,2,av);}
t2=((C_word*)t0)[2];
f_20514(t2,C_eqp(C_make_character(117),t1));}

/* k20554 in k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_20556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20556,2,av);}
a=C_alloc(3);
t2=C_eqp(C_make_character(92),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20551,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3800: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=((C_word*)t0)[2];
f_20514(t3,C_SCHEME_FALSE);}}

/* k20561 in k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_20563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20563,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20567,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3808: r-cons-codepoint */
f_20286(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20565 in k20561 in k20506 in k20500 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20567,2,av);}
/* library.scm:3808: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20333(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20574 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20576,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20582,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3811: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[794]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[794]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20580 in k20574 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_20582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_20582,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:3812: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[796];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20592,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3813: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20590 in k20580 in k20574 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_20592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20592,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20596,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3813: r-cons-codepoint */
f_20286(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20594 in k20590 in k20580 in k20574 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20596,2,av);}
/* library.scm:3813: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20333(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_20605(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_20605,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20612,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3815: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[7],C_make_character(10));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20625,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t2)){
t4=t3;
f_20625(t4,t2);}
else{
t4=C_eqp(((C_word*)t0)[7],C_make_character(13));
if(C_truep(t4)){
t5=t3;
f_20625(t5,t4);}
else{
t5=C_eqp(((C_word*)t0)[7],C_make_character(32));
t6=t3;
f_20625(t6,(C_truep(t5)?t5:C_eqp(((C_word*)t0)[7],C_make_character(9))));}}}}

/* k20610 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_20612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20612,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3815: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20333(t3,((C_word*)t0)[5],t1,t2);}

/* k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_20625(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20625,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20630,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li644),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_20630(t5,((C_word*)t0)[5],((C_word*)((C_word*)t0)[6])[1],C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)((C_word*)t0)[6])[1]))){
/* library.scm:3841: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[4];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[799];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20729,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)((C_word*)t0)[6])[1]))){
t3=C_i_char_greater_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(48));
t4=t2;
f_20729(t4,(C_truep(t3)?C_i_char_less_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(55)):C_SCHEME_FALSE));}
else{
t3=t2;
f_20729(t3,C_SCHEME_FALSE);}}}}

/* eat-ws in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_20630(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_20630,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=t2;
t5=C_eqp(t4,C_make_character(32));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(9)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20647,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3821: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(t4){
case C_make_character(13):
if(C_truep(t3)){
/* library.scm:3824: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20333(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20662,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3825: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
case C_make_character(10):
if(C_truep(t3)){
/* library.scm:3831: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20333(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20697,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3832: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
default:
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20700,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t3)){
/* library.scm:3838: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_20333(t8,t1,t2,((C_word*)t0)[5]);}
else{
/* library.scm:3835: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word av2[4];
av2[0]=*((C_word*)lf[775]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[798];
tp(4,av2);}}}}}

/* k20645 in eat-ws in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20647,2,av);}
/* library.scm:3821: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20630(t2,((C_word*)t0)[3],t1,((C_word*)t0)[4]);}

/* k20660 in eat-ws in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_20662,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20675,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3827: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:3828: eat-ws */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20630(t3,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}}

/* k20673 in k20660 in eat-ws in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_20675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20675,2,av);}
/* library.scm:3827: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20630(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20695 in eat-ws in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20697,2,av);}
/* library.scm:3832: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20630(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20698 in eat-ws in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20700,2,av);}
/* library.scm:3838: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20333(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k20727 in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_20729(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_20729,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)((C_word*)t0)[2])[1]));
t3=C_fixnum_difference(t2,C_fix(48));
t4=C_fixnum_times(t3,C_fix(64));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20755,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3847: r-usequence */
t7=((C_word*)((C_word*)t0)[7])[1];
f_20226(t7,t6,lf[800],C_fix(2),C_fix(8));}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20766,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3850: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word av2[5];
av2[0]=*((C_word*)lf[775]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=lf[801];
av2[4]=((C_word*)((C_word*)t0)[2])[1];
tp(5,av2);}}}

/* k20737 in k20753 in k20727 in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_20739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20739,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3848: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20333(t3,((C_word*)t0)[5],t1,t2);}

/* k20753 in k20727 in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20755(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20755,2,av);}
a=C_alloc(6);
t2=C_fixnum_plus(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20739,a[2]=t4,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3848: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20764 in k20727 in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20766,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20773,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3854: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20771 in k20764 in k20727 in k20623 in k20603 in k20348 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_20773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20773,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3854: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20333(t3,((C_word*)t0)[5],t1,t2);}

/* k20869 in loop in k20329 in r-string in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20871,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3856: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20333(t3,((C_word*)t0)[5],t1,t2);}

/* r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_20877(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,2)))){
C_save_and_reclaim_args((void *)trf_20877,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_21137,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],tmp=(C_word)a,a+=12,tmp);
/* library.scm:3859: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* starting-line in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_20886(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20886,3,t0,t1,t2);}
a=C_alloc(4);
t3=(C_truep(((C_word*)((C_word*)t0)[2])[1])?C_fast_retrieve(lf[768]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20900,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3867: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
tp(3,av2);}}
else{
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k20898 in starting-line in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20900,2,av);}
/* library.scm:3865: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[802];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k20901 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_20903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_20903,2,av);}
a=C_alloc(5);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20914,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3934: ##sys#infix-list-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
tp(3,av2);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k20912 in k20901 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20914,2,av);}
/* library.scm:3934: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20105(t2,((C_word*)t0)[3],lf[803],t1,((C_word*)((C_word*)t0)[4])[1]);}

/* a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_20916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(22,c,3)))){
C_save_and_reclaim((void *)f_20916,3,av);}
a=C_alloc(22);
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20919,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li648),tmp=(C_word)a,a+=7,tmp));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_20941,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t5,a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word)li650),tmp=(C_word)a,a+=13,tmp));
t7=((C_word*)t5)[1];
f_20941(t7,t1,C_SCHEME_END_OF_LIST);}

/* f_20919 in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20919,3,av);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
/* library.scm:3874: return */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20936,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3877: starting-line */
t5=((C_word*)t0)[5];
f_20886(t5,t4,lf[804]);}}

/* k20934 */
static void C_ccall f_20936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20936,2,av);}
/* library.scm:3875: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}

/* loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_20941(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,2)))){
C_save_and_reclaim_args((void *)trf_20941,3,t0,t1,t2);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_20945,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=((C_word*)t0)[11],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3880: r-spaces */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20178(t4,t3);}

/* k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_20945,2,av);}
a=C_alloc(17);
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_20948,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t3=t2;
f_20948(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21130,a[2]=((C_word*)t0)[13],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3881: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_20948(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_20948,2,t0,t1);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_20951,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3882: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_20951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20951,2,av);}
a=C_alloc(13);
if(C_truep(C_eofp(t1))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20961,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3886: starting-line */
t3=((C_word*)t0)[4];
f_20886(t3,t2,lf[805]);}
else{
t2=C_eqp(t1,((C_word*)t0)[5]);
if(C_truep(t2)){
/* library.scm:3888: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=C_eqp(t1,C_make_character(46));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_20979,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3890: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21126,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3927: readrec */
t5=((C_word*)((C_word*)t0)[8])[1];
f_20175(t5,t4);}}}}

/* k20959 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20961,2,av);}
/* library.scm:3884: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_20979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20979,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_20982,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3891: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_20982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_20982,2,av);}
a=C_alloc(14);
t2=t1;
t3=C_u_i_char_whitespacep(t2);
t4=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_20991,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=t2,a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(t3)){
t5=t4;
f_20991(t5,t3);}
else{
t5=C_eqp(t2,C_make_character(40));
if(C_truep(t5)){
t6=t4;
f_20991(t6,t5);}
else{
t6=C_eqp(t2,C_make_character(41));
if(C_truep(t6)){
t7=t4;
f_20991(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(34));
t8=t4;
f_20991(t8,(C_truep(t7)?t7:C_eqp(t2,C_make_character(59))));}}}}

/* k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_fcall f_20991(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20991,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20994,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[2]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_20994(2,av2);}}
else{
/* library.scm:3898: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[4];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[807];
tp(4,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21035,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[11],a[6]=((C_word*)t0)[12],a[7]=((C_word)li649),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3908: r-xtoken */
t3=((C_word*)((C_word*)t0)[13])[1];
f_21480(t3,((C_word*)t0)[4],t2);}}

/* k20992 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_20994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20994,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20997,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3899: r-spaces */
t3=((C_word*)((C_word*)t0)[7])[1];
f_20178(t3,t2);}

/* k20995 in k20992 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in ... */
static void C_ccall f_20997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20997,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21024,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3900: readrec */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20175(t3,t2);}

/* k21001 in k21022 in k20995 in k20992 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in ... */
static void C_ccall f_21003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21003,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21020,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3902: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21014 in k21018 in k21001 in k21022 in k20995 in k20992 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ... */
static void C_ccall f_21016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21016,2,av);}
/* library.scm:3903: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* k21018 in k21001 in k21022 in k20995 in k20992 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in ... */
static void C_ccall f_21020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21020,2,av);}
a=C_alloc(5);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21016,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3905: starting-line */
t4=((C_word*)t0)[5];
f_20886(t4,t3,lf[806]);}}

/* k21022 in k20995 in k20992 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in ... */
static void C_ccall f_21024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21024,2,av);}
a=C_alloc(6);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(1),t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21003,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3901: r-spaces */
t4=((C_word*)((C_word*)t0)[7])[1];
f_20178(t4,t3);}

/* a21034 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_21035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21035,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21039,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=t3,a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3910: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=lf[811];
av2[3]=t2;
tp(4,av2);}}

/* k21037 in a21034 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in ... */
static void C_ccall f_21039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_21039,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21042,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t4=C_i_string_equal_p(t2,lf[808]);
t5=(C_truep(t4)?C_eqp(((C_word*)((C_word*)t0)[6])[1],lf[809]):C_SCHEME_FALSE);
if(C_truep(t5)){
/* library.scm:4119: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[627]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[627]+1);
av2[1]=t3;
av2[2]=lf[810];
tp(3,av2);}}
else{
if(C_truep(((C_word*)t0)[7])){
/* library.scm:4119: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[627]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[627]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21070,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[8]))){
/* library.scm:3919: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:4116: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t2;
C_string_to_symbol(3,av2);}}}}}

/* k21040 in k21037 in a21034 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in ... */
static void C_ccall f_21042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21042,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3925: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20941(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3925: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20941(t4,((C_word*)t0)[5],t2);}}

/* k21068 in k21037 in a21034 in k20989 in k20980 in k20977 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in ... */
static void C_ccall f_21070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21070,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
f_21042(2,av2);}}
else{
/* library.scm:4116: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_string_to_symbol(3,av2);}}}

/* k21124 in k20949 in k20946 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_21126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21126,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3931: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20941(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3931: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20941(t4,((C_word*)t0)[5],t2);}}

/* k21128 in k20943 in loop in a20915 in k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_21130,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_20948(t3,t2);}

/* k21135 in r-list in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_21137,2,av);}
a=C_alloc(29);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)((C_word*)t0)[3])[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20886,a[2]=t6,a[3]=((C_word)li647),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20903,a[2]=((C_word*)t0)[3],a[3]=t7,a[4]=t4,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t6,tmp=(C_word)a,a+=8,tmp);
t10=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_20916,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t8,a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=t4,a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=t6,a[12]=((C_word)li651),tmp=(C_word)a,a+=13,tmp);
/* library.scm:3869: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t9;
av2[2]=t10;
C_call_cc(3,av2);}}
else{
/* library.scm:3936: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[7];
av2[3]=lf[812];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* r-vector in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21139(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_21139,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21143,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3939: r-list */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20877(t3,t2,C_make_character(40),C_make_character(41));}

/* k21141 in r-vector in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21143,2,av);}
if(C_truep(C_i_listp(t1))){
/* library.scm:3941: ##sys#list->vector */
t2=*((C_word*)lf[813]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
/* library.scm:3942: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[814];
av2[4]=t1;
tp(5,av2);}}}

/* r-number in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21157(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_21157,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21163,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=((C_word)li654),tmp=(C_word)a,a+=7,tmp);
/* library.scm:3945: r-xtoken */
t5=((C_word*)((C_word*)t0)[4])[1];
f_21480(t5,t1,t4);}

/* a21162 in r-number in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_21163,4,av);}
a=C_alloc(7);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21170,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=t2;
/* library.scm:4119: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[627]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[627]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
if(C_truep(C_i_string_equal_p(t2,lf[816]))){
/* library.scm:3951: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2=av;
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[817];
tp(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21192,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=C_block_size(t2);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t6=t2;
t7=C_i_string_ref(t6,C_fix(0));
t8=t4;
f_21192(t8,C_u_i_char_equalp(t7,C_make_character(35)));}
else{
t6=t4;
f_21192(t6,C_SCHEME_FALSE);}}}}

/* k21168 in a21162 in r-number in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_21170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21170,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21177,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3949: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21175 in k21168 in a21162 in r-number in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_21177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21177,2,av);}
/* library.scm:3949: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20105(t2,((C_word*)t0)[3],lf[815],((C_word*)t0)[4],t1);}

/* k21190 in a21162 in r-number in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_21192(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21192,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:3953: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[5];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[818];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21198,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];
if(C_truep(t3)){
/* library.scm:3954: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}
else{
/* library.scm:3954: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(10);
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}}}

/* k21196 in k21190 in a21162 in r-number in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_21198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21198,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[3])){
/* library.scm:3955: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[819];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[5];
/* library.scm:4116: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
C_string_to_symbol(3,av2);}}}}

/* r-number-with-exactness in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21227(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21227,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21276,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3959: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21235 in k21274 in r-number-with-exactness in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_21237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21237,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21240,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3961: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21238 in k21235 in k21274 in r-number-with-exactness in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_21240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21240,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:3963: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[820];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(105)))){
/* library.scm:3964: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21157(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[610]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(101)))){
/* library.scm:3965: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21157(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[609]);}
else{
/* library.scm:3967: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[821];
av2[4]=t1;
tp(5,av2);}}}}}

/* k21274 in r-number-with-exactness in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21276,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21237,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3960: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:3970: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21157(t3,((C_word*)t0)[2],((C_word*)t0)[5],C_SCHEME_FALSE);}}

/* r-number-with-radix in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21278(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21278,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21343,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3973: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21286 in k21341 in r-number-with-radix in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_21288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21288,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21291,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3975: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21289 in k21286 in k21341 in r-number-with-radix in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_21291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21291,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:3976: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[822];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(120)))){
/* library.scm:3977: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21157(t2,((C_word*)t0)[2],C_fix(16),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(100)))){
/* library.scm:3978: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21157(t2,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(111)))){
/* library.scm:3979: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21157(t2,((C_word*)t0)[2],C_fix(8),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(98)))){
/* library.scm:3980: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21157(t2,((C_word*)t0)[2],C_fix(2),((C_word*)t0)[5]);}
else{
/* library.scm:3981: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[823];
av2[4]=t1;
tp(5,av2);}}}}}}}

/* k21341 in r-number-with-radix in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21343,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21288,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3974: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:3982: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21157(t3,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}}

/* r-token in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21345(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21345,2,t0,t1);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21353,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3985: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21351 in r-token in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_21353,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21355,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li658),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_21355(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21351 in r-token in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_21355(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_21355,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21365,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_21365(t6,t4);}
else{
t6=C_u_i_char_whitespacep(t2);
t7=t5;
f_21365(t7,(C_truep(t6)?t6:C_i_memq(t2,((C_word*)t0)[6])));}}

/* k21363 in loop in k21351 in r-token in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_21365(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_21365,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:3989: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_char_equalp(((C_word*)t0)[4],C_make_character(0)))){
/* library.scm:3991: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[4];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[824];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21380,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3993: read-unreserved-char-0 */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20160(t3,t2,((C_word*)t0)[5]);}}}

/* k21378 in k21363 in loop in k21351 in r-token in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_21380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_21380,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21387,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3994: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
tp(3,av2);}}

/* k21385 in k21378 in k21363 in loop in k21351 in r-token in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21387,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=((C_word*)t0)[3];
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:3994: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21355(t4,((C_word*)t0)[6],t1,t3);}
else{
t2=C_u_i_char_downcase(((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:3994: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21355(t4,((C_word*)t0)[6],t1,t3);}}

/* r-digits in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21409(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21409,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21417,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3998: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21415 in r-digits in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_21417,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21419,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li660),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21419(t5,((C_word*)t0)[3],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21415 in r-digits in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_21419(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21419,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21429,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t4)){
t6=t5;
f_21429(t6,t4);}
else{
t6=C_u_i_char_numericp(t2);
t7=t5;
f_21429(t7,C_i_not(t6));}}

/* k21427 in loop in k21415 in r-digits in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_21429(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21429,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:4000: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21435,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4002: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k21433 in k21427 in loop in k21415 in r-digits in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_21435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21435,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21442,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4003: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k21440 in k21433 in k21427 in loop in k21415 in r-digits in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21442,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:4003: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21419(t3,((C_word*)t0)[5],t1,t2);}

/* r-symbol in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21455(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_21455,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21461,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li662),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4006: r-xtoken */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21480(t3,t1,t2);}

/* a21460 in r-symbol in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21461,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21465,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
t5=t2;
/* library.scm:4119: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[627]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[627]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t2;
/* library.scm:4116: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t4;
av2[2]=t5;
C_string_to_symbol(3,av2);}}}

/* k21463 in a21460 in r-symbol in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_21465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21465,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21472,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4009: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21470 in k21463 in a21460 in r-symbol in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_21472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21472,2,av);}
/* library.scm:4009: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20105(t2,((C_word*)t0)[3],lf[815],((C_word*)t0)[4],t1);}

/* r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21480(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,4)))){
C_save_and_reclaim_args((void *)trf_21480,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21486,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t6,a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word)li664),tmp=(C_word)a,a+=13,tmp));
t8=((C_word*)t6)[1];
f_21486(t8,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_21486(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21486,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21490,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
/* library.scm:4014: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
tp(3,av2);}}

/* k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_21490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21490,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_eofp(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21499,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21499(t5,t3);}
else{
t5=C_u_i_char_whitespacep(t2);
t6=t4;
f_21499(t6,(C_truep(t5)?t5:C_i_memq(t2,((C_word*)t0)[14])));}}

/* k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_21499(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_21499,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21505,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
t3=C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[809]);
if(C_truep(t3)){
t4=C_i_cdr(((C_word*)t0)[4]);
t5=C_i_nullp(t4);
t6=t2;
f_21505(t6,C_i_not(t5));}
else{
t4=t2;
f_21505(t4,C_SCHEME_FALSE);}}
else{
t3=t2;
f_21505(t3,C_SCHEME_FALSE);}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[8],((C_word*)((C_word*)t0)[9])[1]))){
/* library.scm:4026: reserved-character */
t2=((C_word*)((C_word*)t0)[10])[1];
f_20151(t2,((C_word*)t0)[3],((C_word*)t0)[8]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21563,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[12],a[6]=((C_word*)t0)[13],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[14],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4028: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[13];
tp(3,av2);}}}}

/* k21503 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_21505(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21505,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21512,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cdr(((C_word*)t0)[4]);
/* library.scm:4022: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21523,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4023: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k21510 in k21503 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21512,2,av);}
/* library.scm:4022: k */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* k21521 in k21503 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21523,2,av);}
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_i_nullp(((C_word*)t0)[3]);
t3=C_i_not(t2);
/* library.scm:4023: k */
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}
else{
/* library.scm:4023: k */
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}}

/* k21561 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_21563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21563,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21572,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4031: r-string */
t3=((C_word*)((C_word*)t0)[5])[1];
f_20323(t3,t2,C_make_character(124));
case C_make_character(10):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21596,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21607,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4037: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}
case C_make_character(58):
t2=C_i_nullp(((C_word*)t0)[4]);
t3=(C_truep(t2)?C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[826]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_set_block_item(((C_word*)t0)[8],0,C_SCHEME_TRUE);
/* library.scm:4042: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21486(t5,((C_word*)t0)[3],C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}
else{
t4=C_a_i_cons(&a,2,C_make_character(58),((C_word*)t0)[4]);
/* library.scm:4043: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21486(t5,((C_word*)t0)[3],t4,C_SCHEME_TRUE);}
case C_make_character(92):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21645,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4045: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
default:
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4052: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21486(t3,((C_word*)t0)[3],t2,C_SCHEME_FALSE);}
else{
t2=C_u_i_char_downcase(t1);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4052: loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_21486(t4,((C_word*)t0)[3],t3,C_SCHEME_FALSE);}}}

/* k21570 in k21561 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21572,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21579,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21583,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21587,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4032: ##sys#string->list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[383]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[383]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}

/* k21577 in k21570 in k21561 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_21579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21579,2,av);}
/* library.scm:4032: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21486(t2,((C_word*)t0)[3],t1,C_SCHEME_FALSE);}

/* k21581 in k21570 in k21561 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_21583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21583,2,av);}
/* library.scm:4032: scheme#append */
t2=*((C_word*)lf[373]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k21585 in k21570 in k21561 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_21587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21587,2,av);}
/* library.scm:4032: ##sys#fast-reverse */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[375]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[375]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k21594 in k21561 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21596,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:4038: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21486(t3,((C_word*)t0)[4],t2,C_SCHEME_FALSE);}

/* k21605 in k21561 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21607,2,av);}
/* library.scm:4035: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[775]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[825];
av2[4]=t1;
tp(5,av2);}}

/* k21643 in k21561 in k21497 in k21488 in loop in r-xtoken in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21645,2,av);}
a=C_alloc(3);
if(C_truep(C_eofp(t1))){
/* library.scm:4047: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[827];
tp(4,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4050: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21486(t3,((C_word*)t0)[2],t2,C_SCHEME_FALSE);}}

/* r-char in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21694(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21694,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21698,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4058: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21696 in r-char in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21698,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21701,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4059: r-token */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21345(t4,t3);}

/* k21699 in k21696 in r-char in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_21701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21701,2,av);}
a=C_alloc(11);
t2=t1;
t3=C_block_size(t2);
t4=t3;
if(C_truep(C_fixnum_greaterp(t4,C_fix(1)))){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21713,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_i_char_equalp(C_make_character(120),((C_word*)t0)[4]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21878,a[2]=t5,a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t6)){
t8=t7;
f_21878(t8,t6);}
else{
t8=C_u_i_char_equalp(C_make_character(117),((C_word*)t0)[4]);
if(C_truep(t8)){
t9=t7;
f_21878(t9,t8);}
else{
t9=C_u_i_char_equalp(C_make_character(85),((C_word*)t0)[4]);
t10=t7;
f_21878(t10,t9);}}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[4],((C_word*)t0)[5]))){
/* library.scm:4089: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k21711 in k21699 in k21696 in r-char in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_21713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21713,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=t1;
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_make_character(C_unfix(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_subchar(((C_word*)t0)[3],C_fix(0));
t3=C_fix(C_character_code(t2));
t4=C_fixnum_less_or_equal_p(C_fix(192),t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21733,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(247)))){
t6=C_fixnum_shift_right(t3,C_fix(4));
t7=C_fixnum_and(t6,C_fix(3));
t8=C_fixnum_shift_right(t7,C_fix(1));
t9=C_fixnum_or(t7,t8);
t10=C_fixnum_difference(t7,C_fix(1));
t11=C_fixnum_and(t9,t10);
t12=C_fixnum_plus(C_fix(2),t11);
t13=C_eqp(((C_word*)t0)[5],t12);
if(C_truep(t13)){
t14=C_fixnum_difference(C_fix(8),t12);
t15=C_fixnum_shift_left(C_fix(1),t14);
t16=C_fixnum_difference(t15,C_fix(1));
t17=C_fixnum_and(t3,t16);
t18=C_fixnum_shift_left(t17,C_fix(6));
t19=C_subchar(((C_word*)t0)[3],C_fix(1));
t20=C_fix(C_character_code(t19));
t21=C_fixnum_and(t20,C_fix(63));
t22=C_fixnum_plus(t18,t21);
t23=t22;
if(C_truep(t23)){
if(C_truep(C_fixnum_greater_or_equal_p(t12,C_fix(3)))){
t24=C_fixnum_shift_left(t23,C_fix(6));
t25=C_subchar(((C_word*)t0)[3],C_fix(2));
t26=C_fix(C_character_code(t25));
t27=C_fixnum_and(t26,C_fix(63));
t28=C_fixnum_plus(t24,t27);
t29=t23=t28;
t30=C_eqp(t12,C_fix(4));
if(C_truep(t30)){
t31=C_fixnum_shift_left(t23,C_fix(6));
t32=C_subchar(((C_word*)t0)[3],C_fix(3));
t33=C_fix(C_character_code(t32));
t34=C_fixnum_and(t33,C_fix(63));
t35=C_fixnum_plus(t31,t34);
t36=t23=t35;
t37=t5;
f_21733(t37,C_make_character(C_unfix(t23)));}
else{
t31=t5;
f_21733(t31,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21733(t24,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21733(t24,C_SCHEME_FALSE);}}
else{
t14=t5;
f_21733(t14,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21733(t6,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21733(t6,C_SCHEME_FALSE);}}}

/* k21731 in k21711 in k21699 in k21696 in r-char in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_21733(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_21733,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21739,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21749,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4087: ##sys#intern-symbol */{
C_word av2[3];
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
C_string_to_symbol(3,av2);}}}

/* k21737 in k21731 in k21711 in k21699 in k21696 in r-char in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21739,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:4088: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[828];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* k21747 in k21731 in k21711 in k21699 in k21696 in r-char in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_21749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21749,2,av);}
/* library.scm:4087: chicken.base#char-name */
t2=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k21876 in k21699 in k21696 in r-char in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_21878(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_21878,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21885,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4063: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(1);
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_21713(2,av2);}}}

/* k21883 in k21876 in k21699 in k21696 in r-char in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_21885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21885,2,av);}
/* library.scm:4063: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* r-comment in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21903(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_21903,2,t0,t1);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21909,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li667),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21909(t5,t1,C_fix(0));}

/* loop in r-comment in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_21909(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21909,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21913,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4094: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21911 in loop in r-comment in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_21913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_21913,2,av);}
a=C_alloc(5);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21949,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4096: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21972,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4100: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
default:
if(C_truep(C_eofp(t1))){
/* library.scm:4104: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[829];
tp(4,av2);}}
else{
/* library.scm:4105: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_21909(t2,((C_word*)t0)[4],((C_word*)t0)[2]);}}}

/* k21947 in k21911 in loop in r-comment in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_21949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21949,2,av);}
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[2],C_fix(0));
if(C_truep(C_i_not(t3))){
t4=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:4098: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_21909(t5,((C_word*)t0)[4],t4);}
else{
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4099: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21909(t3,((C_word*)t0)[4],((C_word*)t0)[2]);}}

/* k21970 in k21911 in loop in r-comment in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_21972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21972,2,av);}
t2=C_eqp(C_make_character(124),t1);
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4100: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_21909(t4,((C_word*)t0)[4],t3);}
else{
t3=((C_word*)t0)[2];
/* library.scm:4100: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_21909(t4,((C_word*)t0)[4],t3);}}

/* r-ext-symbol in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_21990(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_21990,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21994,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4108: r-token */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21345(t3,t2);}

/* k21992 in r-ext-symbol in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_21994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21994,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22001,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4109: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[830];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k21999 in k21992 in r-ext-symbol in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_22001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22001,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4116: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* r-quote in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_22003(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_22003,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22007,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4112: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word av2[3];
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22005 in r-quote in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_22007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22007,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22018,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4113: readrec */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20175(t4,t3);}

/* k22016 in k22005 in r-quote in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_22018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_22018,2,av);}
a=C_alloc(6);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
/* library.scm:4113: info */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20105(t3,((C_word*)t0)[4],lf[803],t2,((C_word*)t0)[5]);}

/* k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_22034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22034,2,av);}
a=C_alloc(27);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22037,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[16],a[16]=((C_word*)t0)[17],a[17]=((C_word*)t0)[18],a[18]=((C_word*)t0)[19],a[19]=((C_word*)t0)[20],a[20]=((C_word*)t0)[21],a[21]=((C_word*)t0)[22],a[22]=((C_word*)t0)[23],a[23]=((C_word*)t0)[24],a[24]=((C_word*)t0)[2],a[25]=((C_word*)t0)[25],a[26]=((C_word*)t0)[26],tmp=(C_word)a,a+=27,tmp);
/* library.scm:4126: r-spaces */
t4=((C_word*)((C_word*)t0)[27])[1];
f_20178(t4,t3);}

/* k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_22037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22037,2,av);}
a=C_alloc(27);
t2=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22040,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],a[21]=((C_word*)t0)[21],a[22]=((C_word*)t0)[22],a[23]=((C_word*)t0)[23],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],a[26]=((C_word*)t0)[26],tmp=(C_word)a,a+=27,tmp);
/* library.scm:4127: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_22040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_22040,2,av);}
a=C_alloc(28);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|27,a[1]=(C_word)f_22046,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],a[16]=((C_word*)t0)[15],a[17]=((C_word*)t0)[16],a[18]=((C_word*)t0)[17],a[19]=((C_word*)t0)[18],a[20]=((C_word*)t0)[19],a[21]=((C_word*)t0)[20],a[22]=((C_word*)t0)[21],a[23]=((C_word*)t0)[22],a[24]=((C_word*)t0)[23],a[25]=((C_word*)t0)[24],a[26]=((C_word*)t0)[25],a[27]=((C_word*)t0)[26],tmp=(C_word)a,a+=28,tmp);
t5=C_eofp(t2);
if(C_truep(C_i_not(t5))){
if(C_truep(t3)){
t6=C_fix(C_character_code(t2));
t7=t4;
f_22046(t7,C_slot(t3,t6));}
else{
t6=t4;
f_22046(t6,C_SCHEME_FALSE);}}
else{
t6=t4;
f_22046(t6,C_SCHEME_FALSE);}}

/* k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_22046(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,0,3)))){
C_save_and_reclaim_args((void *)trf_22046,2,t0,t1);}
a=C_alloc(21);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22054,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li671),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22060,a[2]=((C_word*)t0)[4],a[3]=((C_word)li672),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4133: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
switch(((C_word*)t0)[2]){
case C_make_character(39):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22082,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4139: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22094,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4142: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(44):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22106,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4145: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t3=(*a=C_CLOSURE_TYPE|20,a[1]=(C_word)f_22134,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[6],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],tmp=(C_word)a,a+=21,tmp);
/* library.scm:4151: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4266: r-list */
t3=((C_word*)((C_word*)t0)[21])[1];
f_20877(t3,((C_word*)t0)[5],C_make_character(40),C_make_character(41));
case C_make_character(41):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22752,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4267: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(34):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22764,a[2]=((C_word*)t0)[23],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4268: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(46):
/* library.scm:4269: r-number */
t3=((C_word*)((C_word*)t0)[24])[1];
f_21157(t3,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);
default:
t3=C_eqp(((C_word*)t0)[2],C_make_character(45));
t4=(C_truep(t3)?t3:C_eqp(((C_word*)t0)[2],C_make_character(43)));
if(C_truep(t4)){
/* library.scm:4270: r-number */
t5=((C_word*)((C_word*)t0)[24])[1];
f_21157(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[2]))){
/* library.scm:4273: r-number */
t5=((C_word*)((C_word*)t0)[24])[1];
f_21157(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_i_memq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[25])[1]))){
/* library.scm:4275: reserved-character */
t5=((C_word*)((C_word*)t0)[26])[1];
f_20151(t5,((C_word*)t0)[5],((C_word*)t0)[2]);}
else{
switch(((C_word*)t0)[2]){
case C_make_character(91):
/* library.scm:4278: r-list */
t5=((C_word*)((C_word*)t0)[21])[1];
f_20877(t5,((C_word*)t0)[5],C_make_character(91),C_make_character(93));
case C_make_character(123):
/* library.scm:4279: r-list */
t5=((C_word*)((C_word*)t0)[21])[1];
f_20877(t5,((C_word*)t0)[5],C_make_character(123),C_make_character(125));
default:
t5=C_eqp(((C_word*)t0)[2],C_make_character(93));
t6=(C_truep(t5)?t5:C_eqp(((C_word*)t0)[2],C_make_character(125)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22842,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4280: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4281: r-symbol */
t7=((C_word*)((C_word*)t0)[27])[1];
f_21455(t7,((C_word*)t0)[5]);}}}}}}}}}

/* a22053 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_22054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22054,2,av);}
/* library.scm:4134: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22059 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_22060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22060,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4135: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20175(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22080 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_22082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22082,2,av);}
/* library.scm:4140: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22003(t2,((C_word*)t0)[3],lf[831]);}

/* k22092 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_22094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22094,2,av);}
/* library.scm:4143: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22003(t2,((C_word*)t0)[3],lf[832]);}

/* k22104 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_22106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22106,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22125,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4146: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22113 in k22123 in k22104 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_22115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22115,2,av);}
/* library.scm:4148: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22003(t2,((C_word*)t0)[3],lf[833]);}

/* k22123 in k22104 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_22125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22125,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(64));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22115,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4147: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:4149: r-quote */
t3=((C_word*)((C_word*)t0)[2])[1];
f_22003(t3,((C_word*)t0)[3],lf[834]);}}

/* k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_22134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,2)))){
C_save_and_reclaim((void *)f_22134,2,av);}
a=C_alloc(21);
t2=(*a=C_CLOSURE_TYPE|20,a[1]=(C_word)f_22137,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],tmp=(C_word)a,a+=21,tmp);
/* library.scm:4152: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_22137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_22137,2,av);}
a=C_alloc(19);
t2=t1;
if(C_truep(C_eofp(t2))){
/* library.scm:4155: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[835];
tp(4,av2);}}
else{
if(C_truep(C_u_i_char_numericp(t2))){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22155,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22238,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4158: r-digits */
t5=((C_word*)((C_word*)t0)[7])[1];
f_21409(t5,t4);}
else{
t3=C_slot(((C_word*)t0)[4],C_fix(2));
t4=(*a=C_CLOSURE_TYPE|18,a[1]=(C_word)f_22244,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],a[12]=((C_word*)t0)[14],a[13]=((C_word*)t0)[15],a[14]=((C_word*)t0)[16],a[15]=((C_word*)t0)[17],a[16]=((C_word*)t0)[18],a[17]=((C_word*)t0)[19],a[18]=((C_word*)t0)[20],tmp=(C_word)a,a+=19,tmp);
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22244(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22244(t5,C_SCHEME_FALSE);}}}}

/* k22153 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_22155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22155,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22158,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4159: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22156 in k22153 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22158,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(3));
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22164,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_charp(t2))){
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22164(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22164(t5,C_SCHEME_FALSE);}}
else{
t5=t4;
f_22164(t5,C_SCHEME_FALSE);}}

/* k22162 in k22156 in k22153 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_fcall f_22164(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,5)))){
C_save_and_reclaim_args((void *)trf_22164,2,t0,t1);}
a=C_alloc(11);
t2=t1;
if(C_truep(C_eofp(((C_word*)t0)[2]))){
/* library.scm:4165: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[6];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[836];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
tp(6,av2);}}
else{
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22181,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word)li673),tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22187,a[2]=((C_word*)t0)[7],a[3]=((C_word)li674),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4168: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_eqp(((C_word*)t0)[2],C_make_character(41));
t4=(C_truep(t3)?t3:C_u_i_char_whitespacep(((C_word*)t0)[2]));
if(C_truep(t4)){
/* library.scm:4173: ##sys#sharp-number-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[4];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22215,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4174: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}}}

/* a22180 in k22162 in k22156 in k22153 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_22181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22181,2,av);}
/* library.scm:4169: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* a22186 in k22162 in k22156 in k22153 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_22187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22187,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4170: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20175(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22213 in k22162 in k22156 in k22153 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_22215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_22215,2,av);}
/* library.scm:4175: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[837];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
av2[6]=((C_word*)t0)[6];
tp(7,av2);}}

/* k22236 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_22238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22238,2,av);}
/* library.scm:4158: scheme#string->number */
t2=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_22244(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_22244,2,t0,t1);}
a=C_alloc(10);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22252,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li675),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22258,a[2]=((C_word*)t0)[4],a[3]=((C_word)li676),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4183: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_u_i_char_downcase(((C_word*)t0)[2]);
switch(t3){
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22283,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4188: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(100):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22295,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4189: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(111):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22307,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4190: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22319,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4191: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(105):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22331,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4192: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(101):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22343,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4193: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(99):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22355,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4195: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4204: r-vector */
t4=((C_word*)((C_word*)t0)[9])[1];
f_21139(t4,((C_word*)t0)[5]);
case C_make_character(92):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22419,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4205: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(124):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22431,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4207: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22446,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4210: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(59):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22458,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4213: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22473,a[2]=((C_word*)t0)[13],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4216: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(36):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22485,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[13],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4219: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(58):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22512,a[2]=((C_word*)t0)[14],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[15],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4228: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(43):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22572,a[2]=((C_word*)t0)[16],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4238: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(33):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22602,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[17],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[18],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4245: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
default:
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22674,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li684),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22680,a[2]=((C_word*)t0)[4],a[3]=((C_word)li685),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4264: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}}

/* a22251 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22252,2,av);}
/* library.scm:4184: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22257 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22258,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4185: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20175(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22281 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22283,2,av);}
/* library.scm:4188: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21227(t2,((C_word*)t0)[3],C_fix(16));}

/* k22293 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22295,2,av);}
/* library.scm:4189: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21227(t2,((C_word*)t0)[3],C_fix(10));}

/* k22305 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22307,2,av);}
/* library.scm:4190: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21227(t2,((C_word*)t0)[3],C_fix(8));}

/* k22317 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22319,2,av);}
/* library.scm:4191: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21227(t2,((C_word*)t0)[3],C_fix(2));}

/* k22329 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22331,2,av);}
/* library.scm:4192: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21278(t2,((C_word*)t0)[3],lf[610]);}

/* k22341 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22343,2,av);}
/* library.scm:4193: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21278(t2,((C_word*)t0)[3],lf[609]);}

/* k22353 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22355,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22358,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4196: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22356 in k22353 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_22358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22358,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22361,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_eofp(t1))){
/* library.scm:4199: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[838];
tp(4,av2);}}
else{
switch(t1){
case C_make_character(105):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_22361(2,av2);}
case C_make_character(115):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
f_22361(2,av2);}
default:
/* library.scm:4202: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[839];
av2[4]=t1;
tp(5,av2);}}}}

/* k22359 in k22356 in k22353 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_22361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,4)))){
C_save_and_reclaim((void *)f_22361,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22366,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word)li677),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22371,a[2]=((C_word*)t0)[3],a[3]=((C_word)li678),tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22377,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word)li679),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4197: ##sys#dynamic-wind */
t9=*((C_word*)lf[689]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a22365 in k22359 in k22356 in k22353 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_22366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22366,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22370 in k22359 in k22356 in k22353 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_22371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22371,2,av);}
/* library.scm:4203: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20175(t2,t1);}

/* a22376 in k22359 in k22356 in k22353 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_22377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22377,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22417 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22419,2,av);}
/* library.scm:4205: r-char */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21694(t2,((C_word*)t0)[3]);}

/* k22429 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22431,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22434,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4208: r-comment */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21903(t3,t2);}

/* k22432 in k22429 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_22434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22434,2,av);}
/* library.scm:4208: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20175(t2,((C_word*)t0)[3]);}

/* k22444 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22446,2,av);}
/* library.scm:4211: r-ext-symbol */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21990(t2,((C_word*)t0)[3]);}

/* k22456 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22458,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22461,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4214: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20175(t3,t2);}

/* k22459 in k22456 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_22461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22461,2,av);}
/* library.scm:4214: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20175(t2,((C_word*)t0)[3]);}

/* k22471 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22473,2,av);}
/* library.scm:4217: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22003(t2,((C_word*)t0)[3],lf[840]);}

/* k22483 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22485,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22488,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4220: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22486 in k22483 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_22488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22488,2,av);}
a=C_alloc(4);
if(C_truep(C_i_char_equalp(t1,C_make_character(123)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22497,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4222: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4226: r-quote */
t2=((C_word*)((C_word*)t0)[4])[1];
f_22003(t2,((C_word*)t0)[2],lf[842]);}}

/* k22495 in k22486 in k22483 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_22497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22497,2,av);}
/* library.scm:4223: ##sys#read-bytevector-literal */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[841]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[841]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22510 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22512,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22515,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4229: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22513 in k22510 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_22515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,4)))){
C_save_and_reclaim((void *)f_22515,2,av);}
a=C_alloc(22);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22520,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li680),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22525,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word)li682),tmp=(C_word)a,a+=6,tmp);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22560,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li683),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4230: ##sys#dynamic-wind */
t10=*((C_word*)lf[689]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[5];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a22519 in k22513 in k22510 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_22520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22520,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22524 in k22513 in k22510 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_22525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22525,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22531,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li681),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4231: r-xtoken */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21480(t3,t1,t2);}

/* a22530 in a22524 in k22513 in k22510 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_22531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22531,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22538,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=C_block_size(t2);
t6=C_eqp(C_fix(0),t5);
if(C_truep(t6)){
t7=C_i_char_equalp(((C_word*)t0)[3],C_make_character(124));
t8=t4;
f_22538(t8,C_i_not(t7));}
else{
t7=t4;
f_22538(t7,C_SCHEME_FALSE);}}

/* k22536 in a22530 in a22524 in k22513 in k22510 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in ... */
static void C_fcall f_22538(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_22538,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:4235: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[4];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[843];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[4];
/* library.scm:4119: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[627]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[627]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}}

/* a22559 in k22513 in k22510 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_22560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22560,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22570 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22572,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22575,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4239: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22573 in k22570 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_22575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22575,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22578,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4240: readrec */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20175(t4,t3);}

/* k22576 in k22573 in k22570 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_22578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22578,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22593,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4242: readrec */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20175(t4,t3);}

/* k22591 in k22576 in k22573 in k22570 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_22593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_22593,2,av);}
a=C_alloc(15);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_list3(&a,3,lf[844],t2,lf[845]);
/* library.scm:4241: info */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20105(t4,((C_word*)t0)[4],lf[803],t3,((C_word*)t0)[5]);}

/* k22600 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22602,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22605,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4246: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22603 in k22600 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_22605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22605,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22611,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_charp(t1))){
t3=C_u_i_char_whitespacep(t1);
if(C_truep(t3)){
t4=t2;
f_22611(t4,t3);}
else{
t4=C_u_i_char_equalp(C_make_character(47),t1);
t5=t2;
f_22611(t5,t4);}}
else{
t3=t2;
f_22611(t3,C_SCHEME_FALSE);}}

/* k22609 in k22603 in k22600 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_fcall f_22611(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_22611,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22614,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4249: skip-to-eol */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20114(t3,t2);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22620,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4252: r-token */
t3=((C_word*)((C_word*)t0)[6])[1];
f_21345(t3,t2);}}

/* k22612 in k22609 in k22603 in k22600 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_22614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22614,2,av);}
/* library.scm:4250: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20175(t2,((C_word*)t0)[3]);}

/* k22618 in k22609 in k22603 in k22600 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_22620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22620,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(C_i_string_equal_p(lf[846],t2))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep((C_truep(C_i_equalp(t2,lf[847]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[848]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[849]))?C_SCHEME_TRUE:C_SCHEME_FALSE))))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22639,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4255: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=lf[850];
av2[3]=t2;
tp(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22658,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4257: scheme#string->symbol */
t4=*((C_word*)lf[633]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}}

/* k22637 in k22618 in k22609 in k22603 in k22600 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in ... */
static void C_ccall f_22639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22639,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4116: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22656 in k22618 in k22609 in k22603 in k22600 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in ... */
static void C_ccall f_22658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22658,2,av);}
t2=C_i_assq(t1,C_fast_retrieve(lf[851]));
if(C_truep(t2)){
t3=C_slot(t2,C_fix(1));
/* library.scm:4258: g4885 */
t4=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
/* library.scm:4260: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[852];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* a22673 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22674,2,av);}
/* library.scm:4264: ##sys#user-read-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[853]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[853]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* a22679 in k22242 in k22135 in k22132 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_22680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22680,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4265: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20175(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22750 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_22752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22752,2,av);}
/* library.scm:4267: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k22762 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_22764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22764,2,av);}
/* library.scm:4268: r-string */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20323(t2,((C_word*)t0)[3],C_make_character(34));}

/* k22840 in k22044 in k22038 in k22035 in k22032 in readrec in k20095 in k20092 in k20089 in k20086 in k20083 in ##sys#read in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_22842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22842,2,av);}
/* library.scm:4280: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#char->utf8-string in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_22918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22918,3,av);}
a=C_alloc(5);
t3=C_fix(C_character_code(t2));
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(127)))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_string(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2047)))){
t4=C_fixnum_shift_right(t3,C_fix(6));
t5=C_fixnum_or(C_fix(192),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_and(t3,C_fix(63));
t8=C_fixnum_or(C_fix(128),t7);
t9=C_make_character(C_unfix(t8));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_a_i_string(&a,2,t6,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(65535)))){
t4=C_fixnum_shift_right(t3,C_fix(12));
t5=C_fixnum_or(C_fix(224),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(6));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_and(t3,C_fix(63));
t12=C_fixnum_or(C_fix(128),t11);
t13=C_make_character(C_unfix(t12));
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=C_a_i_string(&a,3,t6,t10,t13);
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2097151)))){
t4=C_fixnum_shift_right(t3,C_fix(18));
t5=C_fixnum_or(C_fix(240),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(12));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_shift_right(t3,C_fix(6));
t12=C_fixnum_and(t11,C_fix(63));
t13=C_fixnum_or(C_fix(128),t12);
t14=C_make_character(C_unfix(t13));
t15=C_fixnum_and(t3,C_fix(63));
t16=C_fixnum_or(C_fix(128),t15);
t17=C_make_character(C_unfix(t16));
t18=t1;{
C_word *av2=av;
av2[0]=t18;
av2[1]=C_a_i_string(&a,4,t6,t10,t14,t17);
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
/* library.scm:4305: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[856];
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}}}}

/* ##sys#unicode-surrogate? in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23083,3,av);}
t3=C_fixnum_less_or_equal_p(C_fix(55296),t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(57343)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#surrogates->codepoint in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23095,4,av);}
if(C_truep(C_fixnum_less_or_equal_p(C_fix(55296),t2))){
if(C_truep(C_fixnum_less_or_equal_p(t2,C_fix(56319)))){
if(C_truep(C_fixnum_less_or_equal_p(C_fix(56320),t3))){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(57343)))){
t4=C_fixnum_shift_right(t2,C_fix(6));
t5=C_fixnum_and(t4,C_fix(31));
t6=C_fixnum_plus(C_fix(1),t5);
t7=C_fixnum_shift_left(t6,C_fix(16));
t8=C_fixnum_and(t2,C_fix(63));
t9=C_fixnum_shift_left(t8,C_fix(10));
t10=C_fixnum_and(t3,C_fix(1023));
t11=C_fixnum_or(t9,t10);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_fixnum_or(t7,t11);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#read-bytevector-literal in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23157,3,av);}
a=C_alloc(12);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23160,a[2]=t2,a[3]=((C_word)li691),tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23206,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word)li692),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_23206(t7,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* hex in ##sys#read-bytevector-literal in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_fcall f_23160(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_23160,3,t0,t1,t2);}
t3=C_u_i_char_downcase(t2);
t4=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(97)))?C_u_i_char_less_or_equal_p(t3,C_make_character(102)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_fix(C_character_code(t3));
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_difference(t5,C_fix(87));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(48)))?C_u_i_char_less_or_equal_p(t3,C_make_character(57)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=C_fix(C_character_code(t3));
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_fixnum_difference(t6,C_fix(48));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:4325: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[4];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[857];
tp(4,av2);}}}}

/* loop in ##sys#read-bytevector-literal in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_fcall f_23206(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23206,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23210,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4327: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k23208 in loop in ##sys#read-bytevector-literal in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_23210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_23210,2,av);}
a=C_alloc(6);
if(C_truep(C_eofp(t1))){
/* library.scm:4329: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[858];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(C_make_character(125),t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23228,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t4=C_make_character(C_unfix(t3));
t5=C_a_i_cons(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:4331: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t5;
tp(3,av2);}}
else{
t3=((C_word*)t0)[5];
/* library.scm:4331: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}}
else{
if(C_truep(C_u_i_char_whitespacep(t1))){
if(C_truep(((C_word*)t0)[4])){
t2=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[5]);
/* library.scm:4339: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23206(t5,((C_word*)t0)[2],t4,C_SCHEME_FALSE);}
else{
/* library.scm:4340: loop */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23206(t2,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23292,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4341: hex */
t3=((C_word*)t0)[7];
f_23160(t3,t2,t1);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23303,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4342: hex */
t3=((C_word*)t0)[7];
f_23160(t3,t2,t1);}}}}}

/* k23226 in k23208 in loop in ##sys#read-bytevector-literal in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_23228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23228,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23290 in k23208 in loop in ##sys#read-bytevector-literal in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_23292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23292,2,av);}
a=C_alloc(3);
t2=C_fixnum_or(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[3]);
/* library.scm:4341: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_23206(t5,((C_word*)t0)[5],t4,C_SCHEME_FALSE);}

/* k23301 in k23208 in loop in ##sys#read-bytevector-literal in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_23303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23303,2,av);}
t2=C_fixnum_shift_left(t1,C_fix(4));
/* library.scm:4342: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23206(t3,((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* ##sys#user-read-hook in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_23305,4,av);}
a=C_alloc(3);
t4=t2;
t5=C_eqp(t4,C_make_character(102));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(70)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23318,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4354: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2=av;
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t7;
av2[2]=t3;
tp(3,av2);}}
else{
t7=C_eqp(t4,C_make_character(116));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(84)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23330,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4355: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2=av;
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t9;
av2[2]=t3;
tp(3,av2);}}
else{
/* library.scm:4356: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[859];
av2[4]=t2;
tp(5,av2);}}}}

/* k23316 in ##sys#user-read-hook in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_ccall f_23318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23318,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23328 in ##sys#user-read-hook in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_ccall f_23330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23330,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char-0 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23350,4,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23357,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4370: g4997 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}

/* k23355 in ##sys#write-char-0 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_ccall f_23357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23357,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char/port in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23366,4,av);}
t4=t3;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[862]);
t6=C_i_check_char_2(t2,lf[862]);
/* library.scm:4377: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2=av;
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}

/* scheme#write-char in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23378,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?*((C_word*)lf[712]+1):C_i_car(t3));
t6=C_i_check_char_2(t2,lf[862]);
t7=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[862]);
/* library.scm:4383: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* scheme#newline in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23399,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[712]+1);
t4=*((C_word*)lf[712]+1);
/* library.scm:4387: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[712]+1);
tp(4,av2);}}
else{
t3=C_i_car(t2);
/* library.scm:4387: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=t3;
tp(4,av2);}}}

/* scheme#write in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23414,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[712]+1);
t5=C_i_check_port_2(*((C_word*)lf[712]+1),C_fix(2),C_SCHEME_TRUE,lf[863]);
/* library.scm:4392: ##sys#print */
t6=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[863]);
/* library.scm:4392: ##sys#print */
t6=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* scheme#display in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23432,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[712]+1);
t5=C_i_check_port_2(*((C_word*)lf[712]+1),C_fix(2),C_SCHEME_TRUE,lf[865]);
/* library.scm:4397: ##sys#print */
t6=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[865]);
/* library.scm:4397: ##sys#print */
t6=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* chicken.base#print in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23450,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[712]+1);
t4=C_i_check_port_2(*((C_word*)lf[712]+1),C_fix(2),C_SCHEME_TRUE,lf[866]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23493,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[684]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23469,a[2]=t8,a[3]=((C_word)li701),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23469(t10,t5,t2);}

/* for-each-loop5058 in chicken.base#print in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_fcall f_23469(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23469,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23479,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[864]+1);
/* library.scm:4400: g5074 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[864]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[864]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23477 in for-each-loop5058 in chicken.base#print in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_23479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23479,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23469(t3,((C_word*)t0)[4],t2);}

/* k23491 in chicken.base#print in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_ccall f_23493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23493,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23496,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4406: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[712]+1);
tp(4,av2);}}

/* k23494 in k23491 in chicken.base#print in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_23496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23496,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#print* in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23501,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[712]+1);
t4=C_i_check_port_2(*((C_word*)lf[712]+1),C_fix(2),C_SCHEME_TRUE,lf[866]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23544,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[684]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23520,a[2]=t8,a[3]=((C_word)li703),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23520(t10,t5,t2);}

/* for-each-loop5090 in chicken.base#print* in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_fcall f_23520(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23520,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23530,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[864]+1);
/* library.scm:4400: g5106 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[864]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[864]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23528 in for-each-loop5090 in chicken.base#print* in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_23530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23530,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23520(t3,((C_word*)t0)[4],t2);}

/* k23542 in chicken.base#print* in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_ccall f_23544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23544,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23547,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4413: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[712]+1);
tp(3,av2);}}

/* k23545 in k23542 in chicken.base#print* in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_23547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23547,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in ... */
static void C_ccall f_23554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23554,2,av);}
a=C_alloc(3);
t2=C_mutate(&lf[867] /* (set! current-print-length ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23558,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4417: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in ... */
static void C_ccall f_23558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23558,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[868]+1 /* (set! ##sys#print-length-limit ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23562,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4418: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in ... */
static void C_ccall f_23562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(104,c,6)))){
C_save_and_reclaim((void *)f_23562,2,av);}
a=C_alloc(104);
t2=C_mutate(&lf[869] /* (set! ##sys#print-exit ...) */,t1);
t3=*((C_word*)lf[230]+1);
t4=*((C_word*)lf[231]+1);
t5=C_mutate((C_word*)lf[864]+1 /* (set! ##sys#print ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23564,a[2]=t4,a[3]=t3,a[4]=((C_word)li718),tmp=(C_word)a,a+=5,tmp));
t6=C_mutate((C_word*)lf[891]+1 /* (set! ##sys#procedure->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24682,a[2]=((C_word)li719),tmp=(C_word)a,a+=3,tmp));
t7=C_set_block_item(lf[904] /* ##sys#record-printers */,0,C_SCHEME_END_OF_LIST);
t8=C_mutate((C_word*)lf[905]+1 /* (set! ##sys#register-record-printer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24699,a[2]=((C_word)li720),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[890]+1 /* (set! ##sys#user-print-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24719,a[2]=((C_word)li728),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[916]+1 /* (set! ##sys#with-print-length-limit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24870,a[2]=((C_word)li733),tmp=(C_word)a,a+=3,tmp));
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24955,a[2]=t12,a[3]=((C_word)li734),tmp=(C_word)a,a+=4,tmp);
t14=C_set_block_item(t12,0,t13);
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31253,a[2]=((C_word)li735),tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31278,a[2]=((C_word)li736),tmp=(C_word)a,a+=3,tmp);
t17=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31296,a[2]=t12,a[3]=((C_word)li737),tmp=(C_word)a,a+=4,tmp);
t18=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31315,a[2]=t12,a[3]=((C_word)li738),tmp=(C_word)a,a+=4,tmp);
t19=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31334,a[2]=((C_word)li739),tmp=(C_word)a,a+=3,tmp);
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31337,a[2]=((C_word)li740),tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31340,a[2]=((C_word)li741),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31381,a[2]=((C_word)li745),tmp=(C_word)a,a+=3,tmp);
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31465,a[2]=((C_word)li746),tmp=(C_word)a,a+=3,tmp);
t24=C_a_i_vector(&a,10,t15,t16,t17,t18,*((C_word*)lf[196]+1),t19,t20,t21,t22,t23);
t25=C_mutate((C_word*)lf[921]+1 /* (set! ##sys#string-port-class ...) */,t24);
t26=C_mutate((C_word*)lf[919]+1 /* (set! ##sys#scan-buffer-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25011,a[2]=((C_word)li753),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[212]+1 /* (set! chicken.base#open-input-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25208,a[2]=((C_word)li754),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[213]+1 /* (set! chicken.base#open-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25227,a[2]=((C_word)li755),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[211]+1 /* (set! chicken.base#get-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25246,a[2]=((C_word)li756),tmp=(C_word)a,a+=3,tmp));
t30=*((C_word*)lf[211]+1);
t31=*((C_word*)lf[213]+1);
t32=C_mutate((C_word*)lf[931]+1 /* (set! ##sys#print-to-string ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25280,a[2]=t30,a[3]=t31,a[4]=((C_word)li759),tmp=(C_word)a,a+=5,tmp));
t33=C_mutate((C_word*)lf[885]+1 /* (set! ##sys#pointer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25323,a[2]=((C_word)li760),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[186]+1 /* (set! chicken.base#get-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25376,a[2]=((C_word)li762),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[940]+1 /* (set! ##sys#really-print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25520,a[2]=((C_word)li766),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[187]+1 /* (set! chicken.base#print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25625,a[2]=((C_word)li767),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[948]+1 /* (set! ##sys#user-interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25716,a[2]=((C_word)li769),tmp=(C_word)a,a+=3,tmp));
t38=lf[951] /* exit-in-progress */ =C_SCHEME_FALSE;;
t39=C_mutate(&lf[952] /* (set! cleanup-before-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25738,a[2]=((C_word)li772),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25821,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t41=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31229,a[2]=((C_word)li982),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4986: chicken.base#make-parameter */
t42=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t42;
av2[1]=t40;
av2[2]=t41;
((C_proc)(void*)(*((C_word*)t42+1)))(3,av2);}}

/* ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_23564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23564,5,av);}
a=C_alloc(7);
t5=t4;
t6=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,C_SCHEME_FALSE);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23571,a[2]=t3,a[3]=t1,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4425: case-sensitive */
t8=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_23571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23571,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23574,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4426: keyword-style */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_23574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23574,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23577,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4427: ##sys#print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2=av;
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t3;
tp(2,av2);}}

/* k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_23577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(50,c,4)))){
C_save_and_reclaim((void *)f_23577,2,av);}
a=C_alloc(50);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23579,a[2]=t2,a[3]=((C_word)li705),tmp=(C_word)a,a+=4,tmp));
t14=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23651,a[2]=t2,a[3]=((C_word)li706),tmp=(C_word)a,a+=4,tmp));
t15=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23711,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t10,a[5]=t12,a[6]=((C_word)li707),tmp=(C_word)a,a+=7,tmp));
t16=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23735,a[2]=t6,a[3]=t4,a[4]=((C_word)li709),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23824,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li711),tmp=(C_word)a,a+=5,tmp));
t18=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24030,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t19=C_SCHEME_UNDEFINED;
t20=(*a=C_VECTOR_TYPE|1,a[1]=t19,tmp=(C_word)a,a+=2,tmp);
t21=C_set_block_item(t20,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24035,a[2]=t4,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=t6,a[6]=((C_word*)t0)[3],a[7]=t8,a[8]=t20,a[9]=((C_word)li717),tmp=(C_word)a,a+=10,tmp));
t22=((C_word*)t20)[1];
f_24035(t22,t18,((C_word*)t0)[7]);}

/* outstr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_23579(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_23579,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(((C_word*)t0)[2])){
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23589,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4433: current-print-length */
t7=C_retrieve2(lf[867],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=t1;
t5=t2;
t6=t3;
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51495150 */
t9=t8;{
C_word av2[4];
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23587 in outstr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23589,2,av);}
a=C_alloc(12);
t2=C_fixnum_plus(t1,((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23595,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t3,((C_word*)t0)[4]))){
t5=C_fixnum_difference(((C_word*)t0)[4],t1);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23607,a[2]=t4,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23630,a[2]=((C_word*)t0)[5],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4437: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[6];
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_23607(2,av2);}}}
else{
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51495150 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23593 in k23587 in outstr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23595,2,av);}
/* library.scm:4441: current-print-length */
t2=C_retrieve2(lf[867],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k23605 in k23587 in outstr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23607,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23610,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51495150 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[870];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k23608 in k23605 in k23587 in outstr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_23610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23610,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23613,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4439: ##sys#print-exit */
t3=C_retrieve2(lf[869],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23611 in k23608 in k23605 in k23587 in outstr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_23613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23613,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4436: g5142 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k23628 in k23587 in outstr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23630,2,av);}
t2=((C_word*)t0)[2];
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(3));
/* g51495150 */
t5=t4;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* outchr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_23651(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_23651,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23655,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[2])){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23668,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t2,a[5]=t1,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4449: current-print-length */
t6=C_retrieve2(lf[867],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(2));
t6=C_slot(t5,C_fix(2));
/* g51585159 */
t7=t6;{
C_word av2[4];
av2[0]=t7;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}}

/* k23653 in outchr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23655,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51585159 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* k23666 in outchr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23668,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23671,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4450: current-print-length */
t5=C_retrieve2(lf[867],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k23669 in k23666 in outchr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23671,2,av);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23680,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[5];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51495150 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[871];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51585159 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}}

/* k23678 in k23669 in k23666 in outchr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_23680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23680,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23683,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4453: ##sys#print-exit */
t3=C_retrieve2(lf[869],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23681 in k23678 in k23669 in k23666 in outchr in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_23683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23683,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4451: g5154 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* outsym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_23711(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23711,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23715,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4462: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k23713 in outsym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23715,2,av);}
a=C_alloc(7);
t2=t1;
t3=C_i_not(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23724,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t3)){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
f_23724(2,av2);}}
else{
/* library.scm:4463: sym-is-readable? */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23824(t5,t4,t2);}}

/* k23722 in k23713 in outsym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23724,2,av);}
if(C_truep(t1)){
/* library.scm:4464: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
/* library.scm:4465: outreadablesym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23735(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* outreadablesym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_23735(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_23735,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23742,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[3],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4469: outchr */
t7=((C_word*)((C_word*)t0)[2])[1];
f_23651(t7,t6,t2,C_make_character(124));}

/* k23740 in outreadablesym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_23742,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23747,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word*)t0)[6],a[8]=((C_word)li708),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_23747(t5,((C_word*)t0)[7],C_fix(0));}

/* loop in k23740 in outreadablesym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_23747(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_23747,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4472: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23651(t3,t1,((C_word*)t0)[4],C_make_character(124));}
else{
t3=C_subchar(((C_word*)t0)[5],t2);
t4=C_i_char_lessp(t3,C_make_character(32));
t5=(C_truep(t4)?t4:C_u_i_char_greaterp(t3,C_make_character(126)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23769,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t1,a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[3],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4475: outstr */
t7=((C_word*)((C_word*)t0)[7])[1];
f_23579(t7,t6,((C_word*)t0)[4],lf[872]);}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23798,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t3,C_make_character(124));
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:4481: outchr */
t8=((C_word*)((C_word*)t0)[3])[1];
f_23651(t8,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t8=t6;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_23798(2,av2);}}}
else{
t8=C_eqp(t3,C_make_character(92));
if(C_truep(t8)){
/* library.scm:4481: outchr */
t9=((C_word*)((C_word*)t0)[3])[1];
f_23651(t9,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t9=t6;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_23798(2,av2);}}}}}}

/* k23767 in loop in k23740 in outreadablesym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_23769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_23769,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23775,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t3,C_fix(16)))){
/* library.scm:4477: outchr */
t5=((C_word*)((C_word*)t0)[8])[1];
f_23651(t5,t4,((C_word*)t0)[7],C_make_character(48));}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_23775(2,av2);}}}

/* k23773 in k23767 in loop in k23740 in outreadablesym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_23775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_23775,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23778,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23789,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4478: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k23776 in k23773 in k23767 in loop in k23740 in outreadablesym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_23778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23778,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4479: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23747(t3,((C_word*)t0)[4],t2);}

/* k23787 in k23773 in k23767 in loop in k23740 in outreadablesym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_23789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23789,2,av);}
/* library.scm:4478: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k23796 in loop in k23740 in outreadablesym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_23798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_23798,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23801,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4482: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23651(t3,t2,((C_word*)t0)[6],((C_word*)t0)[7]);}

/* k23799 in k23796 in loop in k23740 in outreadablesym in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_23801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23801,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4483: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23747(t3,((C_word*)t0)[4],t2);}

/* sym-is-readable? in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_23824(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_23824,3,t0,t1,t2);}
a=C_alloc(10);
t3=C_block_size(t2);
t4=t3;
switch(t4){
case C_fix(0):
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(1):
t5=C_subchar(t2,C_fix(0));
t6=C_eqp(C_make_character(35),t5);
t7=(C_truep(t6)?t6:C_eqp(C_make_character(46),t5));
if(C_truep(t7)){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=C_fix(C_character_code(t5));
t9=C_fixnum_less_or_equal_p(t8,C_fix(32));
t10=(C_truep(t9)?t9:C_i_memq(t5,lf[873]));
if(C_truep(t10)){
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}
else{
t11=C_u_i_char_numericp(t5);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=(C_truep(t11)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}
default:
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23873,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=t7,a[6]=((C_word*)t0)[3],a[7]=((C_word)li710),tmp=(C_word)a,a+=8,tmp));
t9=((C_word*)t7)[1];
f_23873(t9,t1,t5);}}

/* loop in sym-is-readable? in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_23873(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23873,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
t4=C_subchar(((C_word*)t0)[2],C_fix(0));
t5=C_u_i_char_numericp(t4);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23889,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t5)){
t7=t6;
f_23889(t7,t5);}
else{
t7=C_eqp(t4,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_23889(t8,t7);}
else{
t8=C_eqp(t4,C_make_character(46));
t9=t6;
f_23889(t9,(C_truep(t8)?t8:C_eqp(t4,C_make_character(45))));}}}
else{
t4=C_subchar(((C_word*)t0)[2],t2);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23973,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[5],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[6])){
t6=t5;
f_23973(t6,((C_word*)t0)[6]);}
else{
t6=C_u_i_char_upper_casep(t4);
t7=t5;
f_23973(t7,C_i_not(t6));}}}

/* k23887 in loop in sym-is-readable? in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_23889(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_23889,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23896,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4502: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[4],C_make_character(58));
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[5],lf[826]);
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23915,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(((C_word*)t0)[4],C_make_character(35));
if(C_truep(t4)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[6],C_fix(2)))){
t5=C_subchar(((C_word*)t0)[3],C_fix(1));
t6=C_eqp(t5,C_make_character(35));
if(C_truep(t6)){
t7=C_subchar(((C_word*)t0)[3],C_fix(2));
t8=C_eqp(t7,C_make_character(35));
t9=C_i_not(t8);
t10=t3;
f_23915(t10,C_i_not(t9));}
else{
t7=t3;
f_23915(t7,C_SCHEME_TRUE);}}
else{
t5=t3;
f_23915(t5,C_SCHEME_TRUE);}}
else{
t5=t3;
f_23915(t5,C_SCHEME_FALSE);}}}}

/* k23894 in k23887 in loop in sym-is-readable? in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_23896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23896,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23913 in k23887 in loop in sym-is-readable? in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_23915(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_23915,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_i_member(((C_word*)t0)[3],lf[874]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[4]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[4],lf[873]));
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k23971 in loop in sym-is-readable? in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_23973(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_23973,2,t0,t1);}
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[2],lf[873]));
if(C_truep(C_i_not(t4))){
t5=C_eqp(((C_word*)t0)[2],C_make_character(58));
t6=C_i_not(t5);
if(C_truep(t6)){
if(C_truep(t6)){
t7=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4518: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_23873(t8,((C_word*)t0)[5],t7);}
else{
t7=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
t8=C_fixnum_lessp(((C_word*)t0)[3],t7);
if(C_truep(t8)){
if(C_truep(t8)){
t9=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4518: loop */
t10=((C_word*)((C_word*)t0)[4])[1];
f_23873(t10,((C_word*)t0)[5],t9);}
else{
t9=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(((C_word*)t0)[7],lf[809]);
if(C_truep(C_i_not(t9))){
t10=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4518: loop */
t11=((C_word*)((C_word*)t0)[4])[1];
f_23873(t11,((C_word*)t0)[5],t10);}
else{
t10=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24028 in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_24030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24030,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_24035(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24035,3,t0,t1,t2);}
a=C_alloc(9);
switch(t2){
case C_SCHEME_END_OF_LIST:
/* library.scm:4521: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23579(t3,t1,((C_word*)t0)[3],lf[875]);
case C_SCHEME_TRUE:
/* library.scm:4522: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23579(t3,t1,((C_word*)t0)[3],lf[876]);
case C_SCHEME_FALSE:
/* library.scm:4523: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23579(t3,t1,((C_word*)t0)[3],lf[877]);
default:
if(C_truep(C_eofp(t2))){
/* library.scm:4524: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23579(t3,t1,((C_word*)t0)[3],lf[878]);}
else{
if(C_truep(C_undefinedp(t2))){
/* library.scm:4525: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23579(t3,t1,((C_word*)t0)[3],lf[879]);}
else{
if(C_truep(C_charp(t2))){
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24084,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4528: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23579(t4,t3,((C_word*)t0)[3],lf[880]);}
else{
/* library.scm:4537: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23651(t3,t1,((C_word*)t0)[3],t2);}}
else{
if(C_truep(C_fixnump(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24143,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4538: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
if(C_truep(C_unboundvaluep(t2))){
/* library.scm:4539: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23579(t3,t1,((C_word*)t0)[3],lf[881]);}
else{
t3=C_blockp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:4540: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23579(t4,t1,((C_word*)t0)[3],lf[882]);}
else{
if(C_truep(C_forwardedp(t2))){
/* library.scm:4541: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23579(t4,t1,((C_word*)t0)[3],lf[883]);}
else{
if(C_truep(C_symbolp(t2))){
if(C_truep(C_u_i_keywordp(t2))){
t4=C_i_not(((C_word*)t0)[4]);
t5=(C_truep(t4)?((C_word*)t0)[6]:C_SCHEME_FALSE);
t6=C_eqp(t5,lf[826]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24182,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4547: outchr */
t8=((C_word*)((C_word*)t0)[5])[1];
f_23651(t8,t7,((C_word*)t0)[3],C_make_character(58));}
else{
t7=C_eqp(t5,lf[809]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24194,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4550: outsym */
t9=((C_word*)((C_word*)t0)[7])[1];
f_23711(t9,t8,((C_word*)t0)[3],t2);}
else{
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24200,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4553: outstr */
t9=((C_word*)((C_word*)t0)[2])[1];
f_23579(t9,t8,((C_word*)t0)[3],lf[884]);}}}
else{
/* library.scm:4556: outsym */
t4=((C_word*)((C_word*)t0)[7])[1];
f_23711(t4,t1,((C_word*)t0)[3],t2);}}
else{
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24219,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4557: ##sys#number? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[495]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[495]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}}}}}}}}}

/* k24082 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24084,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24090,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4530: chicken.base#char-name */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k24088 in k24082 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24090,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24094,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li712),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4530: g5259 */
t3=t2;
f_24094(t3,((C_word*)t0)[4],t1);}
else{
t2=C_fixnum_lessp(((C_word*)t0)[5],C_fix(32));
t3=(C_truep(t2)?t2:C_fixnum_greaterp(((C_word*)t0)[5],C_fix(255)));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24117,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4534: outchr */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23651(t5,t4,((C_word*)t0)[3],C_make_character(120));}
else{
/* library.scm:4536: outchr */
t4=((C_word*)((C_word*)t0)[6])[1];
f_23651(t4,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[7]);}}}

/* g5259 in k24088 in k24082 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_24094(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_24094,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(1));
/* library.scm:4532: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23579(t4,t1,((C_word*)t0)[3],t3);}

/* k24115 in k24088 in k24082 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24117,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24124,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4535: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24122 in k24115 in k24088 in k24082 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24124,2,av);}
/* library.scm:4535: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24141 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24143,2,av);}
/* library.scm:4538: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24180 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24182,2,av);}
/* library.scm:4548: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23711(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24192 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24194,2,av);}
/* library.scm:4551: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23651(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(58));}

/* k24198 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24200,2,av);}
/* library.scm:4554: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23711(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24219,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24226,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4557: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_anypointerp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24236,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4558: ##sys#pointer->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[885]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[885]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_stringp(((C_word*)t0)[5]))){
if(C_truep(((C_word*)t0)[6])){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24245,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4561: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23651(t3,t2,((C_word*)t0)[4],C_make_character(34));}
else{
/* library.scm:4587: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}
else{
if(C_truep(C_pairp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24418,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4589: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23651(t3,t2,((C_word*)t0)[4],C_make_character(40));}
else{
if(C_truep(C_bytevectorp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24491,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4601: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23579(t3,t2,((C_word*)t0)[4],lf[889]);}
else{
if(C_truep(C_structurep(((C_word*)t0)[5]))){
/* library.scm:4610: ##sys#user-print-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[890]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[890]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
if(C_truep(C_closurep(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24551,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4611: ##sys#procedure->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[891]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[891]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_locativep(((C_word*)t0)[5]))){
/* library.scm:4612: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[892]);}
else{
if(C_truep(C_lambdainfop(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24563,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4614: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23579(t3,t2,((C_word*)t0)[4],lf[893]);}
else{
if(C_truep(C_portp(((C_word*)t0)[5]))){
t2=C_slot(((C_word*)t0)[5],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24582,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
switch(t2){
case C_fix(1):
/* library.scm:4619: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23579(t4,t3,((C_word*)t0)[4],lf[895]);
case C_fix(2):
/* library.scm:4620: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23579(t4,t3,((C_word*)t0)[4],lf[896]);
default:
/* library.scm:4621: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23579(t4,t3,((C_word*)t0)[4],lf[897]);}}
else{
if(C_truep(C_vectorp(((C_word*)t0)[5]))){
t2=C_block_size(((C_word*)t0)[5]);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
/* library.scm:4627: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23579(t4,((C_word*)t0)[3],((C_word*)t0)[4],lf[898]);}
else{
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24629,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4629: outstr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23579(t5,t4,((C_word*)t0)[4],lf[899]);}}
else{
/* library.scm:4637: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[900];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}}}}}}}}}}}

/* k24224 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24226,2,av);}
/* library.scm:4557: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24234 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24236,2,av);}
/* library.scm:4558: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24243 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24245,2,av);}
a=C_alloc(10);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24251,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word)li713),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24251(t6,((C_word*)t0)[6],C_fix(0),t2);}

/* doloop5284 in k24243 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_24251(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_24251,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4565: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23651(t5,t1,((C_word*)t0)[3],C_make_character(34));}
else{
t5=C_subbyte(((C_word*)t0)[4],t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24264,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
switch(t5){
case C_fix(34):
/* library.scm:4568: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23579(t7,t6,((C_word*)t0)[3],lf[886]);
case C_fix(92):
/* library.scm:4569: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23579(t7,t6,((C_word*)t0)[3],lf[887]);
default:
t7=C_fixnum_lessp(t5,C_fix(32));
t8=(C_truep(t7)?t7:C_eqp(t5,C_fix(127)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24302,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4573: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23651(t10,t9,((C_word*)t0)[3],C_make_character(92));}
else{
t9=C_fix_to_char(t5);
/* library.scm:4586: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23651(t10,t6,((C_word*)t0)[3],t9);}}}}

/* k24262 in doloop5284 in k24243 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24264,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24251(t4,((C_word*)t0)[5],t2,t3);}

/* k24300 in doloop5284 in k24243 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_24302,2,av);}
a=C_alloc(7);
switch(((C_word*)t0)[2]){
case C_fix(7):
/* library.scm:4575: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23651(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(97));
case C_fix(8):
/* library.scm:4576: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23651(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(98));
case C_fix(9):
/* library.scm:4577: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23651(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(116));
case C_fix(10):
/* library.scm:4578: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23651(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(110));
case C_fix(11):
/* library.scm:4579: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23651(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(118));
case C_fix(12):
/* library.scm:4580: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23651(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(102));
case C_fix(13):
/* library.scm:4581: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23651(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(114));
default:
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24368,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4583: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23651(t3,t2,((C_word*)t0)[5],C_make_character(120));}}

/* k24366 in k24300 in doloop5284 in k24243 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24368,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24371,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[5],C_fix(16)))){
/* library.scm:4584: outchr */
t3=((C_word*)((C_word*)t0)[6])[1];
f_23651(t3,t2,((C_word*)t0)[4],C_make_character(48));}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_24371(2,av2);}}}

/* k24369 in k24366 in k24300 in doloop5284 in k24243 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24371,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24378,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4585: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24376 in k24369 in k24366 in k24300 in doloop5284 in k24243 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_24378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24378,2,av);}
/* library.scm:4585: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24416 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24418,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24421,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4590: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24035(t4,t2,t3);}

/* k24419 in k24416 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24421,2,av);}
a=C_alloc(10);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24430,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word)li714),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24430(t6,((C_word*)t0)[7],t2);}

/* doloop5314 in k24419 in k24416 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_24430(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_24430,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_blockp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24440,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_24440(t6,t4);}
else{
t6=C_pairp(t2);
t7=t5;
f_24440(t7,C_i_not(t6));}}

/* k24438 in doloop5314 in k24419 in k24416 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_24440(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24440,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24443,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_eqp(((C_word*)t0)[5],C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24452,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4595: outstr */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23579(t5,t4,((C_word*)t0)[4],lf[888]);}
else{
/* library.scm:4597: outchr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23651(t4,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24462,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4598: outchr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23651(t3,t2,((C_word*)t0)[4],C_make_character(32));}}

/* k24441 in k24438 in doloop5314 in k24419 in k24416 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24443,2,av);}
/* library.scm:4597: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23651(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}

/* k24450 in k24438 in doloop5314 in k24419 in k24416 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24452,2,av);}
/* library.scm:4596: out */
t2=((C_word*)((C_word*)t0)[2])[1];
f_24035(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k24460 in k24438 in doloop5314 in k24419 in k24416 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_24462,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24465,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4599: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24035(t4,t2,t3);}

/* k24463 in k24460 in k24438 in doloop5314 in k24419 in k24416 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_24465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24465,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24430(t3,((C_word*)t0)[4],t2);}

/* k24489 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_24491,2,av);}
a=C_alloc(16);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24497,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24502,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=((C_word)li715),tmp=(C_word)a,a+=9,tmp));
t8=((C_word*)t6)[1];
f_24502(t8,t4,C_fix(0));}

/* k24495 in k24489 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24497,2,av);}
/* library.scm:4609: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23651(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(125));}

/* doloop5328 in k24489 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_24502(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24502,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_subbyte(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24515,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=t1,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t4,C_fix(16)))){
/* library.scm:4607: outchr */
t6=((C_word*)((C_word*)t0)[7])[1];
f_23651(t6,t5,((C_word*)t0)[6],C_make_character(48));}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_24515(2,av2);}}}}

/* k24513 in doloop5328 in k24489 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24515,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24518,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24529,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4608: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24516 in k24513 in doloop5328 in k24489 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24518,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24502(t3,((C_word*)t0)[4],t2);}

/* k24527 in k24513 in doloop5328 in k24489 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24529,2,av);}
/* library.scm:4608: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24549 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24551,2,av);}
/* library.scm:4611: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24561 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24563,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24566,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24573,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4615: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k24564 in k24561 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24566,2,av);}
/* library.scm:4616: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23651(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(62));}

/* k24571 in k24561 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24573,2,av);}
/* library.scm:4615: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24580 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24582,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24585,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(3));
/* library.scm:4622: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23579(t4,t2,((C_word*)t0)[4],t3);}

/* k24583 in k24580 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24585,2,av);}
/* library.scm:4623: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23579(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[894]);}

/* k24627 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24629,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24632,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(0));
/* library.scm:4630: out */
t4=((C_word*)((C_word*)t0)[6])[1];
f_24035(t4,t2,t3);}

/* k24630 in k24627 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24632,2,av);}
a=C_alloc(10);
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24641,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li716),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24641(t6,((C_word*)t0)[7],C_fix(1),t2);}

/* doloop5352 in k24630 in k24627 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_24641(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24641,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4634: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23651(t5,t1,((C_word*)t0)[3],C_make_character(41));}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24654,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4635: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23651(t6,t5,((C_word*)t0)[3],C_make_character(32));}}

/* k24652 in doloop5352 in k24630 in k24627 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24654,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24657,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[6],((C_word*)t0)[2]);
/* library.scm:4636: out */
t4=((C_word*)((C_word*)t0)[7])[1];
f_24035(t4,t2,t3);}

/* k24655 in k24652 in doloop5352 in k24630 in k24627 in k24217 in out in k23575 in k23572 in k23569 in ##sys#print in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24657,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24641(t4,((C_word*)t0)[5],t2,t3);}

/* ##sys#procedure->string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_24682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24682,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24686,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4643: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2=av;
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k24684 in ##sys#procedure->string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_24686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24686,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24696,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4645: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[903];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24694 in k24684 in ##sys#procedure->string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_24696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24696,2,av);}
/* library.scm:4645: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[901];
av2[3]=t1;
av2[4]=lf[902];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#register-record-printer in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_24699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_24699,4,av);}
a=C_alloc(6);
t4=C_i_assq(t2,C_fast_retrieve(lf[904]));
if(C_truep(t4)){
t5=C_i_setslot(t4,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_a_i_cons(&a,2,t2,t3);
t6=C_a_i_cons(&a,2,t5,C_fast_retrieve(lf[904]));
t7=C_mutate((C_word*)lf[904]+1 /* (set! ##sys#record-printers ...) */,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_24719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24719,5,av);}
a=C_alloc(10);
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_assq(t6,C_fast_retrieve(lf[904]));
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24732,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24737,a[2]=t4,a[3]=t6,a[4]=t8,a[5]=t2,a[6]=((C_word)li727),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4660: scheme#call-with-current-continuation */
t11=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t9;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24822,a[2]=t1,a[3]=t4,a[4]=t6,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4672: ##sys#print */
t10=*((C_word*)lf[864]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[915];
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}}

/* k24730 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_24732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24732,2,av);}
/* library.scm:4660: g5393 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_24737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_24737,3,av);}
a=C_alloc(13);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24743,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li722),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24794,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=((C_word)li726),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4660: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[911]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a24742 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_24743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24743,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24749,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li721),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4660: k5390 */
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a24748 in a24742 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_24749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_24749,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24753,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4662: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[910];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24751 in a24748 in a24742 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_24753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_24753,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24756,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24792,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4663: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k24754 in k24751 in a24748 in a24742 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_24756,2,av);}
a=C_alloc(5);
if(C_truep(C_i_structurep(((C_word*)t0)[2],lf[906]))){
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_i_member(lf[907],t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24771,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4666: ##sys#print */
t6=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[908];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4669: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[909];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k24769 in k24754 in k24751 in a24748 in a24742 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_24771,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24774,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cadr(((C_word*)t0)[4]);
/* library.scm:4667: ##sys#print */
t4=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k24772 in k24769 in k24754 in k24751 in a24748 in a24742 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24774,2,av);}
/* library.scm:4668: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k24790 in k24751 in a24748 in a24742 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24792,2,av);}
/* library.scm:4663: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* a24793 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_24794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24794,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24800,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li723),tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24809,a[2]=((C_word*)t0)[5],a[3]=((C_word)li725),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4660: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a24799 in a24793 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_24800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24800,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4660: g5403 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a24808 in a24793 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_24809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_24809,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24815,a[2]=t2,a[3]=((C_word)li724),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4660: k5390 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a24814 in a24808 in a24793 in a24736 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_24815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24815,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k24820 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_24822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24822,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24825,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24868,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4673: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k24823 in k24820 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_24825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_24825,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24828,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(((C_word*)t0)[4],lf[906]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24837,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4676: ##sys#print */
t5=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[912];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=C_eqp(((C_word*)t0)[4],lf[913]);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24853,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4679: ##sys#print */
t6=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[914];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
/* library.scm:4681: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}}}

/* k24826 in k24823 in k24820 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_24828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24828,2,av);}
/* library.scm:4681: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k24835 in k24823 in k24820 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_24837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24837,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4677: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24851 in k24823 in k24820 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_24853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24853,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(6));
/* library.scm:4680: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24866 in k24820 in ##sys#user-print-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_24868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24868,2,av);}
/* library.scm:4673: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_24870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24870,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24876,a[2]=t2,a[3]=t3,a[4]=((C_word)li732),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4686: call-with-current-continuation */
t5=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_24876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_24876,3,av);}
a=C_alloc(31);
t3=C_fast_retrieve(lf[868]);
t4=C_retrieve2(lf[869],C_text("##sys#print-exit"));
t5=C_retrieve2(lf[867],C_text("current-print-length"));
t6=((C_word*)t0)[2];
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=t2;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_SCHEME_TRUE;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24882,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t14,a[6]=t5,a[7]=t4,a[8]=t3,a[9]=((C_word)li729),tmp=(C_word)a,a+=10,tmp);
t16=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24925,a[2]=((C_word*)t0)[3],a[3]=((C_word)li730),tmp=(C_word)a,a+=4,tmp);
t17=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24931,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t5,a[6]=t4,a[7]=t3,a[8]=((C_word)li731),tmp=(C_word)a,a+=9,tmp);
/* library.scm:4688: ##sys#dynamic-wind */
t18=*((C_word*)lf[689]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t18;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
av2[4]=t17;
((C_proc)(void*)(*((C_word*)t18+1)))(5,av2);}}

/* a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_24882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24882,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24886,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4688: ##sys#print-length-limit5423 */
t3=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t3))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
f_24886(2,av2);}}}

/* k24884 in a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_24886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_24886,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_24889,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,tmp=(C_word)a,a+=11,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4688: ##sys#print-exit5424 */
t4=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
f_24889(2,av2);}}}

/* k24887 in k24884 in a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_24889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_24889,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_24892,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t2,a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],tmp=(C_word)a,a+=12,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4688: current-print-length54255426 */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
f_24892(2,av2);}}}

/* k24890 in k24887 in k24884 in a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_24892,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_24896,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],tmp=(C_word)a,a+=13,tmp);
/* library.scm:4688: ##sys#print-length-limit5423 */
t4=((C_word*)t0)[10];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k24894 in k24890 in k24887 in k24884 in a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_24896,2,av);}
a=C_alloc(12);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_24900,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* library.scm:4688: ##sys#print-exit5424 */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k24898 in k24894 in k24890 in k24887 in k24884 in a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_24900,2,av);}
a=C_alloc(11);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_24904,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4688: current-print-length54255426 */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k24902 in k24898 in k24894 in k24890 in k24887 in k24884 in a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24904,2,av);}
a=C_alloc(8);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24907,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4688: ##sys#print-length-limit5423 */
t4=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k24905 in k24902 in k24898 in k24894 in k24890 in k24887 in k24884 in a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_24907,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24910,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4688: ##sys#print-exit5424 */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24908 in k24905 in k24902 in k24898 in k24894 in k24890 in k24887 in k24884 in a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_24910,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24913,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4688: current-print-length54255426 */
t3=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24911 in k24908 in k24905 in k24902 in k24898 in k24894 in k24890 in k24887 in k24884 in a24881 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_24913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24913,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a24924 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_24925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24925,2,av);}
/* library.scm:4691: thunk */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24930 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_24931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_24931,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24935,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4688: ##sys#print-length-limit5423 */
t3=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k24933 in a24930 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_24935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24935,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24938,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4688: ##sys#print-exit5424 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k24936 in k24933 in a24930 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_24938(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_24938,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_24941,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4688: current-print-length54255426 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k24939 in k24936 in k24933 in a24930 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_24941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_24941,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_24944,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4688: ##sys#print-length-limit5423 */
t4=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k24942 in k24939 in k24936 in k24933 in a24930 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_24944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24944,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24947,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4688: ##sys#print-exit5424 */
t3=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24945 in k24942 in k24939 in k24936 in k24933 in a24930 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_24947,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24950,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4688: current-print-length54255426 */
t3=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[6])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24948 in k24945 in k24942 in k24939 in k24936 in k24933 in a24930 in a24875 in ##sys#with-print-length-limit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24950,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
t3=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)t0)[5]);
t4=C_mutate(((C_word *)((C_word*)t0)[6])+1,((C_word*)t0)[7]);
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* check5467 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_24955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_24955,4,av);}
a=C_alloc(9);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=C_fixnum_plus(t5,t3);
if(C_truep(C_fixnum_greater_or_equal_p(t10,t7))){
t11=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24977,a[2]=t7,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t3,a[7]=t9,a[8]=t5,tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t10,lf[269]))){
/* library.scm:4719: ##sys#error */
t12=*((C_word*)lf[155]+1);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[918];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
f_24977(2,av2);}}}
else{
t11=C_SCHEME_UNDEFINED;
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}

/* k24975 in check5467 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_24977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_24977,2,av);}
a=C_alloc(9);
t2=C_fixnum_plus(((C_word*)t0)[2],((C_word*)t0)[2]);
t3=C_i_fixnum_min(lf[269],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24983,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4721: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k24981 in k24975 in check5467 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_24983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_24983,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24986,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4722: ##sys#copy-bytes */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[917]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[917]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
av2[4]=C_fix(0);
av2[5]=C_fix(0);
av2[6]=((C_word*)t0)[8];
tp(7,av2);}}

/* k24984 in k24981 in k24975 in check5467 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_24986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24986,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),((C_word*)t0)[4]);
/* library.scm:4725: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,7)))){
C_save_and_reclaim((void *)f_25011,6,av);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25014,a[2]=((C_word)li747),tmp=(C_word)a,a+=3,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25034,a[2]=t5,a[3]=t8,a[4]=t6,a[5]=((C_word)li752),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_25034(t10,t1,t2,t4,t4,t3,lf[924]);}

/* copy&append in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_fcall f_25014(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_25014,5,t1,t2,t3,t4,t5);}
a=C_alloc(8);
t6=C_block_size(t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25021,a[2]=t5,a[3]=t7,a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t9=C_fixnum_difference(t4,t3);
t10=C_fixnum_plus(t7,t9);
/* library.scm:4802: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t10;
tp(3,av2);}}

/* k25019 in copy&append in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25021,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[3]);
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_fcall f_25034(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25034,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(12);
t7=C_eqp(t4,t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25044,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4812: copy&append */
f_25014(t8,t2,t3,t4,t6);}
else{
t8=C_subchar(t2,t4);
t9=C_eqp(t8,C_make_character(10));
if(C_truep(t9)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25082,a[2]=t1,a[3]=t11,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4819: copy&append */
f_25014(t12,t2,t3,t4,t6);}
else{
t10=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25088,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=t6,a[8]=((C_word*)t0)[2],a[9]=((C_word*)t0)[3],a[10]=t8,a[11]=t5,tmp=(C_word)a,a+=12,tmp);
t11=C_eqp(t8,C_make_character(13));
if(C_truep(t11)){
t12=C_fixnum_plus(t4,C_fix(1));
if(C_truep(C_fixnum_greaterp(t5,t12))){
t13=C_fixnum_plus(t4,C_fix(1));
t14=C_subchar(t2,t13);
t15=t10;
f_25088(t15,C_eqp(t14,C_make_character(10)));}
else{
t13=t10;
f_25088(t13,C_SCHEME_FALSE);}}
else{
t12=t10;
f_25088(t12,C_SCHEME_FALSE);}}}}

/* k25042 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25044,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25049,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li748),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25055,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word)li749),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4813: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25048 in k25042 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_25049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25049,2,av);}
/* library.scm:4813: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25054 in k25042 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_25055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25055,5,av);}
if(C_truep(t2)){
/* library.scm:4815: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_25034(t5,t1,t2,t3,t3,t4,((C_word*)t0)[3]);}
else{
/* library.scm:4816: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[3];
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* k25080 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25082,2,av);}
/* library.scm:4819: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25086 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_fcall f_25088(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25088,2,t0,t1);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25099,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4823: copy&append */
f_25014(t4,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25105,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],tmp=(C_word)a,a+=12,tmp);
t3=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t3)){
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t5=t2;
f_25105(t5,C_eqp(((C_word*)t0)[11],t4));}
else{
t4=t2;
f_25105(t4,C_SCHEME_FALSE);}}}

/* k25097 in k25086 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_25099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25099,2,av);}
/* library.scm:4823: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25103 in k25086 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_25105(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,6)))){
C_save_and_reclaim_args((void *)trf_25105,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25108,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4826: copy&append */
f_25014(t2,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t2=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25168,a[2]=((C_word*)t0)[5],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4837: copy&append */
f_25014(t5,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:4838: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_25034(t4,((C_word*)t0)[5],((C_word*)t0)[7],((C_word*)t0)[8],t3,((C_word*)t0)[11],((C_word*)t0)[9]);}}}

/* k25106 in k25103 in k25086 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_25108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25108,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25113,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li750),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25119,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word)li751),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4827: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25112 in k25106 in k25103 in k25086 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_25113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25113,2,av);}
/* library.scm:4827: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25118 in k25106 in k25103 in k25086 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_25119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25119,5,av);}
a=C_alloc(7);
if(C_truep(t2)){
t5=C_subchar(t2,t3);
t6=C_eqp(t5,C_make_character(10));
if(C_truep(t6)){
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:4830: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t7;
av2[3]=((C_word*)t0)[2];
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25143,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4833: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[922];
tp(4,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25151,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4835: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[923];
tp(4,av2);}}}

/* k25141 in a25118 in k25106 in k25103 in k25086 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_25143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25143,2,av);}
/* library.scm:4832: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25034(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[5],((C_word*)t0)[6],t1);}

/* k25149 in a25118 in k25106 in k25103 in k25086 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_25151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25151,2,av);}
/* library.scm:4835: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25166 in k25103 in k25086 in loop in ##sys#scan-buffer-line in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_25168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25168,2,av);}
/* library.scm:4837: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* chicken.base#open-input-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_25208,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[925]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25215,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4843: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[921]);
av2[4]=lf[926];
av2[5]=lf[927];
tp(6,av2);}}

/* k25213 in chicken.base#open-input-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25215,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_i_set_i_slot(t1,C_fix(11),t2);
t4=C_i_set_i_slot(t1,C_fix(10),C_fix(0));
t5=C_i_setslot(t1,C_fix(12),((C_word*)t0)[2]);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.base#open-output-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_25227,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25231,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4851: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[921]);
av2[4]=lf[928];
av2[5]=lf[927];
tp(6,av2);}}

/* k25229 in chicken.base#open-output-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_25231,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_i_set_i_slot(t2,C_fix(10),C_fix(0));
t4=C_i_set_i_slot(t2,C_fix(11),C_fix(256));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25244,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4854: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=C_fix(256);
tp(3,av2);}}

/* k25242 in k25229 in chicken.base#open-output-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25244(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25244,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#get-output-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_25246,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_FALSE,lf[929]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[927],t5);
if(C_truep(C_i_not(t6))){
/* library.scm:4861: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[929];
av2[4]=lf[930];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=C_slot(t2,C_fix(12));
t8=C_slot(t2,C_fix(10));
/* library.scm:4863: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}

/* ##sys#print-to-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_25280,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25284,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4869: open-output-string */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25282 in ##sys#print-to-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_25284,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25285,a[2]=t2,a[3]=((C_word)li757),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];
t5=C_i_check_list_2(t4,lf[684]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25295,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25300,a[2]=t8,a[3]=t3,a[4]=((C_word)li758),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_25300(t10,t6,t4);}

/* g5597 in k25282 in ##sys#print-to-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_fcall f_25285(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25285,3,t0,t1,t2);}
/* library.scm:4870: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25293 in k25282 in ##sys#print-to-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25295,2,av);}
/* library.scm:4871: get-output-string */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* for-each-loop5596 in k25282 in ##sys#print-to-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_fcall f_25300(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25300,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25310,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4870: g5597 */
t5=((C_word*)t0)[3];
f_25285(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25308 in for-each-loop5596 in k25282 in ##sys#print-to-string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_25310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25310,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25300(t3,((C_word*)t0)[4],t2);}

/* ##sys#pointer->string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25323,3,av);}
a=C_alloc(7);
if(C_truep(C_taggedpointerp(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25334,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_pairp(t4))){
t5=C_u_i_car(t4);
t6=C_a_i_list1(&a,1,t5);
/* library.scm:4879: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[931]);
C_word *av2=av;
av2[0]=*((C_word*)lf[931]+1);
av2[1]=t3;
av2[2]=t6;
tp(3,av2);}}
else{
t5=C_a_i_list1(&a,1,t4);
/* library.scm:4879: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[931]);
C_word *av2=av;
av2[0]=*((C_word*)lf[931]+1);
av2[1]=t3;
av2[2]=t5;
tp(3,av2);}}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25364,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25368,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4885: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[935]);
C_word *av2=av;
av2[0]=*((C_word*)lf[935]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}

/* k25332 in ##sys#pointer->string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25334,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25338,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25342,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4883: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[935]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[935]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k25336 in k25332 in ##sys#pointer->string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25338,2,av);}
/* library.scm:4877: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[932];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[933];
av2[5]=t1;
av2[6]=lf[934];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k25340 in k25332 in ##sys#pointer->string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25342,2,av);}
/* library.scm:4883: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* k25362 in ##sys#pointer->string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25364,2,av);}
/* library.scm:4885: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[936];
av2[3]=t1;
av2[4]=lf[937];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25366 in ##sys#pointer->string in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25368,2,av);}
/* library.scm:4885: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* chicken.base#get-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_25376,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fast_retrieve(lf[938]):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_fix((C_word)C_trace_buffer_size);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25392,a[2]=t5,a[3]=t13,a[4]=t10,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t15=C_fixnum_times(C_fix(4),t13);
/* library.scm:4899: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[669]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[669]+1);
av2[1]=t14;
av2[2]=t15;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k25390 in chicken.base#get-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25392,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_fetch_trace(((C_word*)t0)[2],t2);
t4=C_fixnump(t3);
t5=(C_truep(t4)?t3:C_fixnum_times(C_fix(4),((C_word*)t0)[3]));
t6=t5;
t7=(C_truep(((C_word*)t0)[4])?C_slot(((C_word*)t0)[4],C_fix(14)):C_SCHEME_FALSE);
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25403,a[2]=t6,a[3]=t2,a[4]=t10,a[5]=((C_word*)t0)[4],a[6]=t8,a[7]=((C_word)li761),tmp=(C_word)a,a+=8,tmp));
t12=((C_word*)t10)[1];
f_25403(t12,((C_word*)t0)[5],C_fix(0));}

/* loop in k25390 in chicken.base#get-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_fcall f_25403(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25403,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_fixnum_plus(t2,C_fix(3));
t4=C_slot(((C_word*)t0)[3],t3);
t5=C_i_not(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25422,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_25422(t7,t5);}
else{
t7=C_i_not(((C_word*)t0)[5]);
t8=t6;
f_25422(t8,(C_truep(t7)?t7:C_eqp(((C_word*)t0)[6],t4)));}}}

/* k25420 in loop in k25390 in chicken.base#get-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_25422(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_25422,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25441,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[3],((C_word*)t0)[2]);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=stub5619(t4,t3);
/* library.scm:4894: ##sys#peek-nonnull-c-string */
t6=*((C_word*)lf[939]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t2;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4913: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_25403(t3,((C_word*)t0)[4],t2);}}

/* k25431 in k25439 in k25420 in loop in k25390 in chicken.base#get-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_25433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_25433,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k25439 in k25420 in loop in k25390 in chicken.base#get-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_25441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_25441,2,av);}
a=C_alloc(8);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(((C_word*)t0)[3],t2);
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t5=C_slot(((C_word*)t0)[3],t4);
t6=C_a_i_vector3(&a,3,t1,t3,t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25433,a[2]=((C_word*)t0)[4],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4912: loop */
t10=((C_word*)((C_word*)t0)[5])[1];
f_25403(t10,t8,t9);}

/* ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25520,5,av);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t3))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25530,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4917: ##sys#print */
t6=*((C_word*)lf[864]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_25530,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25531,a[2]=((C_word*)t0)[2],a[3]=((C_word)li764),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25597,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25602,a[2]=t6,a[3]=t2,a[4]=((C_word)li765),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_25602(t8,t4,t3);}

/* g5663 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_fcall f_25531(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_25531,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_slot(t2,C_fix(2));
t6=t5;
t7=C_i_structurep(t6,lf[941]);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25544,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t8,a[6]=t6,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4923: ##sys#print */
t10=*((C_word*)lf[864]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[944];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* k25542 in g5663 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_25544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25544,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25547,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=C_slot(((C_word*)t0)[7],C_fix(0));
/* library.scm:4924: ##sys#print */
t4=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k25545 in k25542 in g5663 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_25547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25547,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25550,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4925: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[943];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25548 in k25545 in k25542 in g5663 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_25550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25550,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25553,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25568,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
if(C_truep(((C_word*)t0)[5])){
t4=t3;
f_25568(t4,C_slot(((C_word*)t0)[6],C_fix(1)));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t3;
f_25568(t5,t4);}}
else{
t4=t3;
f_25568(t4,C_SCHEME_FALSE);}}

/* k25551 in k25548 in k25545 in k25542 in g5663 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_25553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25553,2,av);}
a=C_alloc(5);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25561,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li763),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4935: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[916]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[916]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_fix(100);
av2[3]=t2;
tp(4,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a25560 in k25551 in k25548 in k25545 in k25542 in g5663 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25561,2,av);}
/* library.scm:4938: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25566 in k25548 in k25545 in k25542 in g5663 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_25568(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_25568,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25571,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4927: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word av2[4];
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t2;
av2[2]=C_make_character(91);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_25553(2,av2);}}}

/* k25569 in k25566 in k25548 in k25545 in k25542 in g5663 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25571,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25574,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_slot(((C_word*)t0)[5],C_fix(1));
/* library.scm:4928: ##sys#print */
t4=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
/* library.scm:4928: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k25572 in k25569 in k25566 in k25548 in k25545 in k25542 in g5663 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25574,2,av);}
/* library.scm:4933: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[942];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25595 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25597,2,av);}
/* library.scm:4940: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[945];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5662 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_fcall f_25602(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25602,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25612,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4918: g5663 */
t5=((C_word*)t0)[3];
f_25531(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25610 in for-each-loop5662 in k25528 in ##sys#really-print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_25612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25612,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25602(t3,((C_word*)t0)[4],t2);}

/* chicken.base#print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_25625,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[712]+1):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fix(0):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_fast_retrieve(lf[938]):C_i_car(t12));
t15=t14;
t16=C_i_nullp(t12);
t17=(C_truep(t16)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t18=C_i_nullp(t17);
t19=(C_truep(t18)?lf[946]:C_i_car(t17));
t20=t19;
t21=C_i_nullp(t17);
t22=(C_truep(t21)?C_SCHEME_END_OF_LIST:C_i_cdr(t17));
t23=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[947]);
t24=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25656,a[2]=t20,a[3]=t1,a[4]=t5,a[5]=t10,a[6]=t15,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4947: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t24;
av2[2]=t10;
av2[3]=lf[947];
tp(4,av2);}}

/* k25654 in chicken.base#print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25656,2,av);}
a=C_alloc(5);
t2=C_i_check_string_2(((C_word*)t0)[2],lf[947]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25666,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4949: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k25664 in k25654 in chicken.base#print-call-chain in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25666,2,av);}
/* library.scm:4949: ##sys#really-print-call-chain */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[940]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[940]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#user-interrupt-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_25716,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25719,a[2]=((C_word)li768),tmp=(C_word)a,a+=3,tmp);
t3=C_eqp(C_fast_retrieve(lf[938]),C_fast_retrieve(lf[950]));
if(C_truep(t3)){
t4=t1;
/* library.scm:4955: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[949];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(C_fast_retrieve(lf[950]),C_fix(1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* break in ##sys#user-interrupt-hook in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25719,2,av);}
/* library.scm:4955: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[949];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_fcall f_25738(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_25738,1,t1);}
a=C_alloc(6);
t2=lf[951] /* exit-in-progress */ =C_SCHEME_TRUE;;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25743,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_dump_heap_on_exitp())){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25814,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4970: ##sys#print */
t5=*((C_word*)lf[864]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[957];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_25743(2,av2);}}}

/* k25741 in cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25743,2,av);}
a=C_alloc(9);
t2=(C_truep(C_i_profilingp())?C_i_dump_statistical_profile():C_SCHEME_UNDEFINED);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25749,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25766,a[2]=t5,a[3]=((C_word)li771),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_25766(t7,t3);}

/* k25747 in k25741 in cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_25749,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25752,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
/* library.scm:4981: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[955];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_25752(2,av2);}}}

/* k25750 in k25747 in k25741 in cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_25752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_25752,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25758,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4982: chicken.gc#force-finalizers */
t3=C_fast_retrieve(lf[954]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k25756 in k25750 in k25747 in k25741 in cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_25758(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25758,2,av);}
if(C_truep(t1)){
/* library.scm:4983: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[953]);
C_word *av2=av;
av2[0]=*((C_word*)lf[953]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in k25741 in cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_fcall f_25766(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_25766,2,t0,t1);}
a=C_alloc(10);
t2=*((C_word*)lf[225]+1);
t3=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_nullp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_i_check_list_2(t2,lf[684]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25785,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25790,a[2]=t7,a[3]=((C_word)li770),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_25790(t9,t5,t2);}}

/* k25783 in loop in k25741 in cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_25785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25785,2,av);}
/* library.scm:4979: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25766(t2,((C_word*)t0)[3]);}

/* for-each-loop5722 in loop in k25741 in cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_25790(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25790,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25800,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4978: t */
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25798 in for-each-loop5722 in loop in k25741 in cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_25800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25800,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25790(t3,((C_word*)t0)[4],t2);}

/* k25812 in cleanup-before-exit in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25814,2,av);}
/* library.scm:4971: ##sys#dump-heap-state */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[956]);
C_word *av2=av;
av2[0]=*((C_word*)lf[956]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_25821(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_25821,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[224]+1 /* (set! chicken.base#exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25825,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31223,a[2]=((C_word)li981),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4996: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_25825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_25825,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[223]+1 /* (set! chicken.base#implicit-exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25829,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31214,a[2]=((C_word)li980),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5001: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_25829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_25829,2,av);}
a=C_alloc(23);
t2=C_mutate((C_word*)lf[958]+1 /* (set! ##sys#reset-handler ...) */,t1);
t3=C_a_i_provide(&a,1,lf[959]);
t4=C_mutate((C_word*)lf[194]+1 /* (set! ##sys#signal-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25831,a[2]=((C_word)li775),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[961]+1 /* (set! chicken.condition#abort ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26115,a[2]=((C_word)li776),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[999]+1 /* (set! chicken.condition#signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26132,a[2]=((C_word)li777),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1000]+1 /* (set! ##sys#break-on-error ...) */,C_mk_bool(C_enable_repl));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26141,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31054,a[2]=((C_word)li979),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5098: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_25831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,4)))){
C_save_and_reclaim((void*)f_25831,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t6=C_dbg_hook(C_SCHEME_FALSE);
t7=signal_debug_event(t2,((C_word*)t5)[1],t4);
t8=t2;
t9=C_eqp(t8,lf[949]);
if(C_truep(t9)){
t10=C_a_i_record3(&a,3,lf[906],lf[960],C_SCHEME_END_OF_LIST);
/* library.scm:5029: abort */
t11=C_fast_retrieve(lf[961]);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t10=C_eqp(t8,lf[307]);
t11=(C_truep(t10)?t10:C_eqp(t8,lf[309]));
if(C_truep(t11)){
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25857,a[2]=t4,a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t13=C_eqp(t2,lf[307]);
if(C_truep(t13)){
/* library.scm:5035: ##sys#print */
t14=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[963];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}
else{
/* library.scm:5035: ##sys#print */
t14=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[964];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}}
else{
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25933,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t13=C_i_symbolp(((C_word*)t5)[1]);
t14=(C_truep(t13)?C_i_nullp(t4):C_SCHEME_FALSE);
if(C_truep(t14)){
t15=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26098,a[2]=t5,a[3]=t12,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5053: scheme#symbol->string */
t16=*((C_word*)lf[631]+1);{
C_word *av2=av;
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t5)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}
else{
t15=t12;
f_25933(t15,C_SCHEME_UNDEFINED);}}}}

/* k25855 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_25857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25857,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25860,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5038: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25858 in k25855 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_25860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25860,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25863,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25912,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t5=t4;
f_25912(t5,t3);}
else{
t5=((C_word*)t0)[2];
t6=C_u_i_length(t5);
t7=t4;
f_25912(t7,C_fixnum_greaterp(t6,C_fix(1)));}}

/* k25861 in k25858 in k25855 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_25863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_25863,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25880,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25885,a[2]=t5,a[3]=((C_word)li774),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_25885(t7,t3,t2);}

/* a25869 in for-each-loop5790 in k25861 in k25858 in k25855 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_25870,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25874,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5047: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25872 in a25869 in for-each-loop5790 in k25861 in k25858 in k25855 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25874,2,av);}
/* library.scm:5048: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[713]+1);
tp(4,av2);}}

/* k25878 in k25861 in k25858 in k25855 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25880,2,av);}
/* library.scm:5050: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[744]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[713]+1);
tp(3,av2);}}

/* for-each-loop5790 in k25861 in k25858 in k25855 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_25885(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_25885,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25895,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25870,a[2]=t5,a[3]=((C_word)li773),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5044: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[916]);
C_word av2[4];
av2[0]=*((C_word*)lf[916]+1);
av2[1]=t3;
av2[2]=C_fix(400);
av2[3]=t6;
tp(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25893 in for-each-loop5790 in k25861 in k25858 in k25855 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25895,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25885(t3,((C_word*)t0)[4],t2);}

/* k25910 in k25858 in k25855 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_25912(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25912,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:5040: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word av2[4];
av2[0]=*((C_word*)lf[860]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[713]+1);
tp(4,av2);}}
else{
/* library.scm:5041: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[962];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k25931 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_25933(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25933,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25936,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_i_not(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(t3)){
t4=t2;
f_25936(t4,(C_truep(t3)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}
else{
t4=C_i_symbolp(((C_word*)((C_word*)t0)[2])[1]);
t5=t2;
f_25936(t5,(C_truep(t4)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}}

/* k25934 in k25931 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_25936(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25936,2,t0,t1);}
a=C_alloc(6);
t2=(C_truep(t1)?((C_word*)((C_word*)t0)[2])[1]:C_SCHEME_FALSE);
t3=t2;
t4=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(0)):((C_word*)((C_word*)t0)[2])[1]);
t5=t4;
t6=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(1)):((C_word*)t0)[3]);
t7=t6;
t8=((C_word*)t0)[4];
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25956,a[2]=t5,a[3]=t7,a[4]=t3,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(t8,lf[258]);
if(C_truep(t10)){
t11=t9;
f_25956(t11,lf[969]);}
else{
t11=C_eqp(t8,lf[778]);
if(C_truep(t11)){
t12=t9;
f_25956(t12,lf[970]);}
else{
t12=C_eqp(t8,lf[379]);
if(C_truep(t12)){
t13=t9;
f_25956(t13,lf[971]);}
else{
t13=C_eqp(t8,lf[562]);
if(C_truep(t13)){
t14=t9;
f_25956(t14,lf[972]);}
else{
t14=C_eqp(t8,lf[697]);
if(C_truep(t14)){
t15=t9;
f_25956(t15,lf[973]);}
else{
t15=C_eqp(t8,lf[974]);
if(C_truep(t15)){
t16=t9;
f_25956(t16,lf[975]);}
else{
t16=C_eqp(t8,lf[976]);
if(C_truep(t16)){
t17=t9;
f_25956(t17,lf[977]);}
else{
t17=C_eqp(t8,lf[978]);
if(C_truep(t17)){
t18=t9;
f_25956(t18,lf[979]);}
else{
t18=C_eqp(t8,lf[980]);
if(C_truep(t18)){
t19=t9;
f_25956(t19,lf[981]);}
else{
t19=C_eqp(t8,lf[982]);
if(C_truep(t19)){
t20=t9;
f_25956(t20,lf[983]);}
else{
t20=C_eqp(t8,lf[984]);
if(C_truep(t20)){
t21=t9;
f_25956(t21,lf[985]);}
else{
t21=C_eqp(t8,lf[986]);
if(C_truep(t21)){
t22=t9;
f_25956(t22,lf[987]);}
else{
t22=C_eqp(t8,lf[988]);
if(C_truep(t22)){
t23=t9;
f_25956(t23,lf[989]);}
else{
t23=C_eqp(t8,lf[990]);
t24=t9;
f_25956(t24,(C_truep(t23)?lf[991]:lf[992]));}}}}}}}}}}}}}}

/* k25954 in k25934 in k25931 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_25956(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_25956,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25964,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5079: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25962 in k25954 in k25934 in k25931 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_25964,2,av);}
a=C_alloc(28);
t2=C_a_i_list8(&a,8,lf[965],((C_word*)t0)[2],lf[966],((C_word*)t0)[3],lf[967],t1,lf[968],((C_word*)t0)[4]);
t3=C_a_i_record3(&a,3,lf[906],((C_word*)t0)[5],t2);
/* library.scm:5058: abort */
t4=C_fast_retrieve(lf[961]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26096 in ##sys#signal-hook in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26098,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_25933(t3,t2);}

/* chicken.condition#abort in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_26115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26115,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26119,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5083: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[998]);
C_word *av2=av;
av2[0]=*((C_word*)lf[998]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k26117 in chicken.condition#abort in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,2)))){
C_save_and_reclaim((void *)f_26119,2,av);}
a=C_alloc(22);
t2=C_a_i_list6(&a,6,lf[993],lf[994],lf[995],C_SCHEME_END_OF_LIST,lf[996],C_SCHEME_FALSE);
t3=C_a_i_record3(&a,3,lf[906],lf[997],t2);
/* library.scm:5084: abort */
t4=C_fast_retrieve(lf[961]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* chicken.condition#signal in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_26132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26132,3,av);}
/* library.scm:5093: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[998]);
C_word *av2=av;
av2[0]=*((C_word*)lf[998]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_26141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,5)))){
C_save_and_reclaim((void *)f_26141,2,av);}
a=C_alloc(39);
t2=C_mutate((C_word*)lf[1001]+1 /* (set! ##sys#error-handler ...) */,t1);
t3=C_set_block_item(lf[1002] /* ##sys#last-exception */,0,C_SCHEME_FALSE);
t4=C_mutate((C_word*)lf[998]+1 /* (set! ##sys#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26144,a[2]=((C_word)li778),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[911]+1 /* (set! chicken.condition#with-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26304,a[2]=((C_word)li781),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1018]+1 /* (set! chicken.condition#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26318,a[2]=((C_word)li783),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate(&lf[1020] /* (set! chicken.condition#prop-list->kind-prefixed-prop-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26379,a[2]=((C_word)li785),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1022]+1 /* (set! chicken.condition#make-property-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26447,a[2]=((C_word)li786),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1024]+1 /* (set! chicken.condition#make-composite-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26461,a[2]=((C_word)li790),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1026]+1 /* (set! chicken.condition#condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26601,a[2]=((C_word)li793),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1027]+1 /* (set! chicken.condition#condition? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26706,a[2]=((C_word)li794),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1028]+1 /* (set! chicken.condition#condition->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26712,a[2]=((C_word)li798),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1031]+1 /* (set! chicken.condition#condition-predicate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26830,a[2]=((C_word)li800),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1032]+1 /* (set! chicken.condition#condition-property-accessor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26851,a[2]=((C_word)li802),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1035]+1 /* (set! chicken.condition#get-condition-property ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26897,a[2]=((C_word)li803),tmp=(C_word)a,a+=3,tmp));
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26908,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5281: condition-property-accessor */
t17=C_fast_retrieve(lf[1032]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t17;
av2[1]=t16;
av2[2]=lf[1005];
av2[3]=lf[1367];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(5,av2);}}

/* ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_26144,3,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26148,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_structurep(t2,lf[906]))){
t4=C_mutate((C_word*)lf[1002]+1 /* (set! ##sys#last-exception ...) */,t2);
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(lf[1005],t5))){
t6=C_slot(t2,C_fix(2));
t7=C_i_member(lf[1006],t6);
t8=t7;
t9=C_i_member(lf[1007],t6);
t10=t9;
t11=C_i_member(lf[1008],t6);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26187,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26197,a[2]=t10,a[3]=t13,a[4]=t8,a[5]=t12,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5150: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1001]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1001]+1);
av2[1]=t14;
tp(2,av2);}}
else{
t6=C_slot(t5,C_fix(0));
t7=C_eqp(lf[1013],t6);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26258,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5168: ##sys#print */
t9=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=lf[1014];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
t8=C_slot(t5,C_fix(0));
t9=C_eqp(lf[1015],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26273,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5171: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1001]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1001]+1);
av2[1]=t10;
tp(2,av2);}}
else{
t10=C_a_i_list2(&a,2,lf[1003],t2);
t11=C_a_i_record3(&a,3,lf[906],lf[1004],t10);
/* library.scm:5175: abort */
t12=C_fast_retrieve(lf[961]);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t1;
av2[2]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}}}
else{
t4=C_a_i_list2(&a,2,lf[1003],t2);
t5=C_a_i_record3(&a,3,lf[906],lf[1004],t4);
/* library.scm:5175: abort */
t6=C_fast_retrieve(lf[961]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k26146 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26148,2,av);}
a=C_alloc(10);
t2=C_a_i_list2(&a,2,lf[1003],((C_word*)t0)[2]);
t3=C_a_i_record3(&a,3,lf[906],lf[1004],t2);
/* library.scm:5175: abort */
t4=C_fast_retrieve(lf[961]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26185 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26187,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26190,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5166: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[958]);
C_word *av2=av;
av2[0]=*((C_word*)lf[958]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26188 in k26185 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26190,2,av);}
/* library.scm:5145: g5928 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26195 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_26197,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26201,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
t4=C_i_cadr(((C_word*)t0)[4]);
t5=t4;
t6=(C_truep(((C_word*)t0)[5])?C_i_cadr(((C_word*)t0)[5]):C_SCHEME_FALSE);
t7=(C_truep(t6)?C_i_symbolp(t6):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26227,a[2]=t5,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5156: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t8;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t3;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
f_26201(2,av2);}}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1012];
f_26201(2,av2);}}}

/* k26199 in k26195 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_26201,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_cadr(((C_word*)t0)[2]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
av2[4]=t2;
C_apply(5,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}}

/* k26225 in k26195 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26227,2,av);}
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5155: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1009];
av2[3]=t1;
av2[4]=lf[1010];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:5155: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1009];
av2[3]=t1;
av2[4]=lf[1010];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
/* library.scm:5155: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1009];
av2[3]=t1;
av2[4]=lf[1010];
av2[5]=lf[1011];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k26256 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26258,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26261,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5169: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[958]);
C_word *av2=av;
av2[0]=*((C_word*)lf[958]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26259 in k26256 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26261,2,av);}
/* library.scm:5144: g5931 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26271 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_26273,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26276,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_i_member(lf[1016],t3);
t5=C_i_cadr(t4);
/* library.scm:5144: g5934 */
t6=t1;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=lf[1017];
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k26274 in k26271 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26276,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26279,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5174: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[958]);
C_word *av2=av;
av2[0]=*((C_word*)lf[958]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26277 in k26274 in k26271 in ##sys#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_26279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26279,2,av);}
/* library.scm:5144: g5936 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* chicken.condition#with-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_26304,4,av);}
a=C_alloc(8);
t4=C_fast_retrieve(lf[998]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26310,a[2]=t2,a[3]=((C_word)li779),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26314,a[2]=t4,a[3]=((C_word)li780),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5183: ##sys#dynamic-wind */
t7=*((C_word*)lf[689]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=t5;
av2[3]=t3;
av2[4]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* a26309 in chicken.condition#with-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26310,2,av);}
t2=C_mutate((C_word*)lf[998]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a26313 in chicken.condition#with-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26314,2,av);}
t2=C_mutate((C_word*)lf[998]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_26318,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=C_fast_retrieve(lf[998]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fast_retrieve(lf[998]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26331,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5193: ##sys#check-closure */
t6=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[1019];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k26329 in chicken.condition#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26331,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26333,a[2]=((C_word*)t0)[3],a[3]=((C_word)li782),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26339,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26344,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:5194: def-convert?5952 */
  f_26344(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:5194: def-set?5953 */
  f_26339(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:5194: body5950 */
  f_26333(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body5950 in k26329 in chicken.condition#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static C_word C_fcall f_26333(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[998]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?5953 in k26329 in chicken.condition#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static C_word C_fcall f_26339(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:5194: body5950 */
  f_26333(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?5952 in k26329 in chicken.condition#current-exception-handler in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static C_word C_fcall f_26344(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:5194: def-set?5953 */
  f_26339(((C_word*)t0)[2])
));}

/* chicken.condition#prop-list->kind-prefixed-prop-list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_fcall f_26379(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26379,4,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26385,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=t6,a[6]=((C_word)li784),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_26385(t8,t1,t4);}

/* loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_26385(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_26385,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26401,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_26401(t6,t4);}
else{
t6=C_i_cdr(t2);
t7=C_i_pairp(t6);
t8=t5;
f_26401(t8,C_i_not(t7));}}}

/* k26399 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_26401(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_26401,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:5204: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1021];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[5]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[6],t2);
t4=t3;
t5=C_i_cadr(((C_word*)t0)[5]);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26423,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t8=((C_word*)t0)[5];
t9=C_u_i_cdr(t8);
t10=C_u_i_cdr(t9);
/* library.scm:5208: loop */
t11=((C_word*)((C_word*)t0)[7])[1];
f_26385(t11,t7,t10);}}

/* k26421 in k26399 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_26423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26423,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#make-property-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,4)))){
C_save_and_reclaim((void*)f_26447,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_a_i_list1(&a,1,t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26459,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5213: prop-list->kind-prefixed-prop-list */
f_26379(t6,lf[1023],t2,t3);}

/* k26457 in chicken.condition#make-property-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26459,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[906],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.condition#make-composite-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +26,c,3)))){
C_save_and_reclaim((void*)f_26461,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+26);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26578,a[2]=((C_word)li787),tmp=(C_word)a,a+=3,tmp);
t7=(
  f_26578(t5)
);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26480,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t9=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t10=t9;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=((C_word*)t11)[1];
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26542,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26544,a[2]=t11,a[3]=t15,a[4]=t12,a[5]=((C_word)li789),tmp=(C_word)a,a+=6,tmp));
t17=((C_word*)t15)[1];
f_26544(t17,t13,t5);}

/* k26478 in chicken.condition#make-composite-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_26480,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26484,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26496,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26498,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li788),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_26498(t12,t8,((C_word*)t0)[3]);}

/* k26482 in k26478 in chicken.condition#make-composite-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26484,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[906],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k26494 in k26478 in chicken.condition#make-composite-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26496,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6039 in k26478 in chicken.condition#make-composite-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_26498(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26498,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(2));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26540 in chicken.condition#make-composite-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26542,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6012 in chicken.condition#make-composite-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_26544(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26544,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(1));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop5994 in chicken.condition#make-composite-condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static C_word C_fcall f_26578(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_structure_2(t2,lf[906],lf[1025]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* chicken.condition#condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +23,c,3)))){
C_save_and_reclaim((void*)f_26601,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+23);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26608,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=((C_word*)t9)[1];
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26670,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26672,a[2]=t9,a[3]=t13,a[4]=t10,a[5]=((C_word)li792),tmp=(C_word)a,a+=6,tmp));
t15=((C_word*)t13)[1];
f_26672(t15,t11,t5);}

/* k26606 in chicken.condition#condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26608(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_26608,2,av);}
a=C_alloc(17);
t2=t1;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26618,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26620,a[2]=t5,a[3]=t9,a[4]=t6,a[5]=((C_word)li791),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_26620(t11,t7,((C_word*)t0)[3]);}

/* k26616 in k26606 in chicken.condition#condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26618,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[906],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop6099 in k26606 in chicken.condition#condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_26620(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26620,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_car(t3);
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26668 in chicken.condition#condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26670,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6072 in chicken.condition#condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_26672(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_26672,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26697,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_car(t4);
t6=C_u_i_cdr(t4);
/* library.scm:5228: prop-list->kind-prefixed-prop-list */
f_26379(t3,lf[906],t5,t6);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26695 in map-loop6072 in chicken.condition#condition in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26697,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26672(t6,((C_word*)t0)[5],t5);}

/* chicken.condition#condition? in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26706,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[906]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#condition->list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_26712,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26716,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26825,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5236: condition? */
t5=C_fast_retrieve(lf[1027]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26714 in chicken.condition#condition->list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_26716,2,av);}
a=C_alloc(18);
t2=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=((C_word*)t4)[1];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26720,a[2]=((C_word*)t0)[2],a[3]=((C_word)li796),tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[2],C_fix(1));
t8=C_i_check_list_2(t7,lf[686]);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26790,a[2]=t4,a[3]=t10,a[4]=t6,a[5]=t5,a[6]=((C_word)li797),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_26790(t12,((C_word*)t0)[3],t7);}

/* g6135 in k26714 in chicken.condition#condition->list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_26720(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26720,3,t0,t1,t2);}
a=C_alloc(11);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26728,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[2],C_fix(2));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26734,a[2]=t2,a[3]=t6,a[4]=((C_word)li795),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_26734(t8,t3,t4);}

/* k26726 in g6135 in k26714 in chicken.condition#condition->list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_26728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_26728,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in g6135 in k26714 in chicken.condition#condition->list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_26734(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26734,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_caar(t2);
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
t5=t2;
t6=C_u_i_car(t5);
t7=C_u_i_cdr(t6);
t8=C_i_cadr(t2);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26765,a[2]=t9,a[3]=t1,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
t11=t2;
t12=C_u_i_cdr(t11);
t13=C_u_i_cdr(t12);
/* library.scm:5246: loop */
t15=t10;
t16=t13;
t1=t15;
t2=t16;
goto loop;}
else{
t5=C_i_cddr(t2);
/* library.scm:5248: loop */
t15=t1;
t16=t5;
t1=t15;
t2=t16;
goto loop;}}}

/* k26763 in loop in g6135 in k26714 in chicken.condition#condition->list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_26765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26765,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* map-loop6129 in k26714 in chicken.condition#condition->list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_fcall f_26790(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26790,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26815,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5240: g6135 */
t5=((C_word*)t0)[4];
f_26720(t5,t3,t4);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26813 in map-loop6129 in k26714 in chicken.condition#condition->list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_26815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26815,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26790(t6,((C_word*)t0)[5],t5);}

/* k26823 in chicken.condition#condition->list in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26825,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_26716(2,av2);}}
else{
/* library.scm:5237: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[1029];
av2[4]=lf[1030];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.condition#condition-predicate in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_26830,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26832,a[2]=t2,a[3]=((C_word)li799),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_26832 in chicken.condition#condition-predicate in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_26832,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26839,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5253: condition? */
t4=C_fast_retrieve(lf[1027]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26837 */
static void C_ccall f_26839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26839,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_i_memv(((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_SCHEME_TRUE:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.condition#condition-property-accessor in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +11,c,3)))){
C_save_and_reclaim((void*)f_26851,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+11);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=t5;
t7=C_a_i_cons(&a,2,t2,t3);
t8=t7;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26859,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t3,a[6]=t4,a[7]=((C_word)li801),tmp=(C_word)a,a+=8,tmp);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}

/* f_26859 in chicken.condition#condition-property-accessor in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26859,3,av);}
t3=C_i_check_structure(t2,lf[906]);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_memv(((C_word*)t0)[2],t4))){
t5=C_slot(t2,C_fix(2));
t6=C_i_member(((C_word*)t0)[3],t5);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_cadr(t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5264: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[1033];
av2[4]=lf[1034];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_car(((C_word*)t0)[6]);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.condition#get-condition-property in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +4,c,5)))){
C_save_and_reclaim((void*)f_26897,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+4);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26901,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t6;
av2[2]=C_fast_retrieve(lf[1032]);
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_apply(6,av2);}}

/* k26899 in chicken.condition#get-condition-property in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26901,2,av);}
/* library.scm:5270: g6184 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_26908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_26908,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26911,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5282: condition-property-accessor */
t4=C_fast_retrieve(lf[1032]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1005];
av2[3]=lf[842];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_26911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_26911,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26914,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5283: condition-property-accessor */
t4=C_fast_retrieve(lf[1032]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1005];
av2[3]=lf[1366];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_26914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(182,c,7)))){
C_save_and_reclaim((void *)f_26914,2,av);}
a=C_alloc(182);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26915,a[2]=((C_word)li807),tmp=(C_word)a,a+=3,tmp);
t4=C_mutate((C_word*)lf[1036]+1 /* (set! chicken.condition#print-error-message ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26960,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word)li812),tmp=(C_word)a,a+=7,tmp));
t5=C_fast_retrieve(lf[1036]);
t6=*((C_word*)lf[187]+1);
t7=*((C_word*)lf[213]+1);
t8=*((C_word*)lf[211]+1);
t9=C_mutate((C_word*)lf[1048]+1 /* (set! ##sys#show-exception-warning ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27151,a[2]=t6,a[3]=t5,a[4]=t8,a[5]=t7,a[6]=((C_word)li813),tmp=(C_word)a,a+=7,tmp));
t10=C_mutate((C_word*)lf[362]+1 /* (set! ##sys#error-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27200,a[2]=((C_word)li814),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1110]+1 /* (set! ##sys#structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27867,a[2]=((C_word)li815),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1111]+1 /* (set! ##sys#generic-structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27870,a[2]=((C_word)li816),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1112]+1 /* (set! ##sys#slot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27873,a[2]=((C_word)li817),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1113]+1 /* (set! ##sys#size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27876,a[2]=((C_word)li818),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1114]+1 /* (set! ##sys#make-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_pointer,a[2]=((C_word)li819),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[1115]+1 /* (set! ##sys#make-tagged-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_tagged_pointer,a[2]=((C_word)li820),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[1116]+1 /* (set! ##sys#pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27881,a[2]=((C_word)li821),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[1117]+1 /* (set! ##sys#set-pointer-address! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27884,a[2]=((C_word)li822),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1118]+1 /* (set! ##sys#bytevector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27887,a[2]=((C_word)li823),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[1119]+1 /* (set! ##sys#string->pbytevector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27890,a[2]=((C_word)li824),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[1120]+1 /* (set! ##sys#permanent? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27893,a[2]=((C_word)li825),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[1121]+1 /* (set! ##sys#block-address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27896,a[2]=((C_word)li826),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[1122]+1 /* (set! ##sys#locative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27899,a[2]=((C_word)li827),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[1123]+1 /* (set! ##sys#srfi-4-vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27902,a[2]=((C_word)li828),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[1124]+1 /* (set! ##sys#null-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27905,a[2]=((C_word)li829),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[1125]+1 /* (set! ##sys#null-pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27911,a[2]=((C_word)li830),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[1126]+1 /* (set! ##sys#address->pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27921,a[2]=((C_word)li831),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[935]+1 /* (set! ##sys#pointer->address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27927,a[2]=((C_word)li832),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[743]+1 /* (set! ##sys#make-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27934,a[2]=((C_word)li833),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[1127]+1 /* (set! ##sys#peek-signed-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_signed_integer,a[2]=((C_word)li834),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[721]+1 /* (set! ##sys#peek-unsigned-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_unsigned_integer,a[2]=((C_word)li835),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1128]+1 /* (set! ##sys#peek-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27969,a[2]=((C_word)li836),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1129]+1 /* (set! ##sys#peek-byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27972,a[2]=((C_word)li837),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[1130]+1 /* (set! ##sys#vector->structure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27975,a[2]=((C_word)li838),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[1131]+1 /* (set! ##sys#peek-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27978,a[2]=((C_word)li839),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[700]+1 /* (set! ##sys#peek-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27981,a[2]=((C_word)li840),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[939]+1 /* (set! ##sys#peek-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27997,a[2]=((C_word)li841),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[1132]+1 /* (set! ##sys#peek-and-free-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28003,a[2]=((C_word)li842),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[1133]+1 /* (set! ##sys#peek-and-free-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28019,a[2]=((C_word)li843),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[1134]+1 /* (set! ##sys#poke-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28025,a[2]=((C_word)li844),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[1135]+1 /* (set! ##sys#poke-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28032,a[2]=((C_word)li845),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[1136]+1 /* (set! ##sys#poke-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28035,a[2]=((C_word)li846),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[1137]+1 /* (set! ##sys#peek-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28055,a[2]=((C_word)li848),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[1138]+1 /* (set! ##sys#peek-and-free-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28116,a[2]=((C_word)li850),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[1139]+1 /* (set! ##sys#vector->closure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28154,a[2]=((C_word)li851),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[1140]+1 /* (set! ##sys#symbol-has-toplevel-binding? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28157,a[2]=((C_word)li852),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[917]+1 /* (set! ##sys#copy-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28160,a[2]=((C_word)li853),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[1141]+1 /* (set! ##sys#copy-words ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28167,a[2]=((C_word)li854),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[1142]+1 /* (set! ##sys#compare-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28174,a[2]=((C_word)li855),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[1143]+1 /* (set! ##sys#block-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28177,a[2]=((C_word)li856),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[1144]+1 /* (set! ##sys#foreign-char-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28183,a[2]=((C_word)li857),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[1145]+1 /* (set! ##sys#foreign-fixnum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28186,a[2]=((C_word)li858),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[1146]+1 /* (set! ##sys#foreign-flonum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28189,a[2]=((C_word)li859),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[1147]+1 /* (set! ##sys#foreign-block-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28192,a[2]=((C_word)li860),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[1148]+1 /* (set! ##sys#foreign-struct-wrapper-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28195,a[2]=((C_word)li861),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[1149]+1 /* (set! ##sys#foreign-string-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28198,a[2]=((C_word)li862),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[1150]+1 /* (set! ##sys#foreign-symbol-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28201,a[2]=((C_word)li863),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[1151]+1 /* (set! ##sys#foreign-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28204,a[2]=((C_word)li864),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[1152]+1 /* (set! ##sys#foreign-tagged-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28207,a[2]=((C_word)li865),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[1153]+1 /* (set! ##sys#foreign-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28210,a[2]=((C_word)li866),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[1154]+1 /* (set! ##sys#foreign-unsigned-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28213,a[2]=((C_word)li867),tmp=(C_word)a,a+=3,tmp));
t62=C_set_block_item(lf[1155] /* ##sys#default-thread-quantum */,0,C_fix(10000));
t63=C_mutate((C_word*)lf[1156]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28217,a[2]=((C_word)li868),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[1158]+1 /* (set! ##sys#make-thread ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28220,a[2]=((C_word)li869),tmp=(C_word)a,a+=3,tmp));
t65=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28244,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5637: ##sys#make-thread */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1158]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[1158]+1);
av2[1]=t65;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[1364];
av2[4]=lf[1365];
av2[5]=C_fast_retrieve(lf[1155]);
tp(6,av2);}}

/* writeargs in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_26915(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26915,3,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26917,a[2]=t3,a[3]=((C_word)li805),tmp=(C_word)a,a+=4,tmp);
t5=C_i_check_list_2(t2,lf[684]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26938,a[2]=t7,a[3]=t4,a[4]=((C_word)li806),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_26938(t9,t1,t2);}

/* g6200 in writeargs in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_26917(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26917,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26921,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26926,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li804),tmp=(C_word)a,a+=5,tmp);
/* library.scm:5288: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[916]);
C_word av2[4];
av2[0]=*((C_word*)lf[916]+1);
av2[1]=t3;
av2[2]=C_fix(80);
av2[3]=t4;
tp(4,av2);}}

/* k26919 in g6200 in writeargs in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_26921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26921,2,av);}
/* library.scm:5289: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a26925 in g6200 in writeargs in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_26926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26926,2,av);}
/* library.scm:5288: write */
t2=*((C_word*)lf[152]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* for-each-loop6199 in writeargs in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_26938(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26938,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26948,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5286: g6200 */
t5=((C_word*)t0)[3];
f_26917(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26946 in for-each-loop6199 in writeargs in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_26948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26948,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26938(t3,((C_word*)t0)[4],t2);}

/* chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_26960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +16,c,4)))){
C_save_and_reclaim((void*)f_26960,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+16);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26962,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li809),tmp=(C_word)a,a+=8,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27111,a[2]=t4,a[3]=((C_word)li810),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27116,a[2]=t5,a[3]=((C_word)li811),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* library.scm:5292: def-port6222 */
t7=t6;
f_27116(t7,t1);}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
/* library.scm:5292: def-header6223 */
t9=t5;
f_27111(t9,t1,t7);}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
/* library.scm:5292: body6220 */
t11=t4;
f_26962(t11,t1,t7,t9);}}}

/* body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_26962(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_26962,4,t0,t1,t2,t3);}
a=C_alloc(10);
t4=t2;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[1037]);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_26969,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=t3,tmp=(C_word)a,a+=10,tmp);
/* library.scm:5295: newline */
t7=*((C_word*)lf[151]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_26969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_26969,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_26972,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5296: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_26972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_26972,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_26978,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=C_immp(((C_word*)t0)[6]);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[6],C_fix(0));
t5=t2;
f_26978(t5,C_eqp(lf[906],t4));}
else{
t4=t2;
f_26978(t4,C_SCHEME_FALSE);}}

/* k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_fcall f_26978(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_26978,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26981,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5298: errmsg */
t3=((C_word*)t0)[8];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[6]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27080,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5322: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1045];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27089,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5326: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1046];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}}

/* k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_26981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_26981,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26984,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t1)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27016,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[6],a[5]=((C_word)li808),tmp=(C_word)a,a+=6,tmp);
/* library.scm:5298: g6243 */
t4=t3;
f_27016(t4,t2,t1);}
else{
t3=C_slot(((C_word*)t0)[6],C_fix(1));
if(C_truep(C_i_equalp(lf[1042],t3))){
/* library.scm:5308: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[1043];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27064,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5310: display */
t5=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1044];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}}

/* k26982 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_26984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_26984,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26987,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5312: errargs */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k26985 in k26982 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_26987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_26987,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_i_not(t2);
if(C_truep(t3)){
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_length(t2);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27002,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5316: display */
t7=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1038];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27008,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5319: newline */
t7=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* k27000 in k26985 in k26982 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_27002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27002,2,av);}
/* library.scm:5317: writeargs */
f_26915(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k27006 in k26985 in k26982 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_27008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27008,2,av);}
/* library.scm:5320: writeargs */
f_26915(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* g6243 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_fcall f_27016(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_27016,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27020,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5300: display */
t4=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1041];
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27018 in g6243 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_27020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27020,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27023,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5301: errloc */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27021 in k27018 in g6243 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_27023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_27023,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27026,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(C_truep(t1)?C_i_symbolp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27039,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27043,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5303: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t5;
av2[2]=t1;
tp(3,av2);}}
else{
/* library.scm:5304: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k27024 in k27021 in k27018 in g6243 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_27026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27026,2,av);}
/* library.scm:5304: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27037 in k27021 in k27018 in g6243 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_27039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27039,2,av);}
/* library.scm:5303: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27041 in k27021 in k27018 in g6243 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_27043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27043,2,av);}
/* library.scm:5303: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1039];
av2[3]=t1;
av2[4]=lf[1040];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27062 in k26979 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_27064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27064,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5311: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27078 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_27080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27080,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27083,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5323: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27081 in k27078 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_27083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27083,2,av);}
/* library.scm:5324: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k27087 in k26976 in k26970 in k26967 in body6220 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_27089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_27089,2,av);}
a=C_alloc(3);
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);
/* library.scm:5327: writeargs */
f_26915(((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* def-header6223 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_27111(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_27111,3,t0,t1,t2);}
/* library.scm:5292: body6220 */
t3=((C_word*)t0)[2];
f_26962(t3,t1,t2,lf[1047]);}

/* def-port6222 in chicken.condition#print-error-message in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_27116(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_27116,2,t0,t1);}
/* library.scm:5292: def-header6223 */
t2=((C_word*)t0)[2];
f_27111(t2,t1,*((C_word*)lf[712]+1));}

/* ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,2)))){
C_save_and_reclaim((void*)f_27151,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_fast_retrieve(lf[938]):C_i_car(t4));
t7=t6;
if(C_truep(*((C_word*)lf[304]+1))){
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27161,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t7,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:5342: open-output-string */
t9=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k27159 in ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27161,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27164,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5343: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1051];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27162 in k27159 in ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_27164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_27164,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27167,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27186,a[2]=t2,a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5345: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1050];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_27167(2,av2);}}}

/* k27165 in k27162 in k27159 in ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_27167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27167,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27170,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5348: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1049];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27168 in k27165 in k27162 in k27159 in ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_27170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27170,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27173,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5349: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27171 in k27168 in k27165 in k27162 in k27159 in ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_27173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_27173,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27176,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27183,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5350: get-output-string */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27174 in k27171 in k27168 in k27165 in k27162 in k27159 in ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_27176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27176,2,av);}
/* library.scm:5351: print-call-chain */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=*((C_word*)lf[713]+1);
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27181 in k27171 in k27168 in k27165 in k27162 in k27159 in ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_27183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27183,2,av);}
/* library.scm:5350: print-error-message */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=*((C_word*)lf[713]+1);
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27184 in k27162 in k27159 in ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_27186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27186,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27189,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5346: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27187 in k27184 in k27162 in k27159 in ##sys#show-exception-warning in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_27189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27189,2,av);}
/* ##sys#write-char/port */
t2=C_fast_retrieve(lf[861]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#error-hook in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,6)))){
C_save_and_reclaim((void*)f_27200,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
switch(t2){
case C_fix(1):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27223,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27234,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5366: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(2):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27260,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27271,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5375: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(3):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1056];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(4):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[974];
av2[4]=t3;
av2[5]=lf[1057];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(5):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1058];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(6):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[982];
av2[4]=t3;
av2[5]=lf[1059];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(7):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[562];
av2[4]=t3;
av2[5]=lf[1060];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(8):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[379];
av2[4]=t3;
av2[5]=lf[1061];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(9):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1062];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(10):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[984];
av2[4]=t3;
av2[5]=lf[1063];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(11):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1064];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(12):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[982];
av2[4]=t3;
av2[5]=lf[1065];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(13):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1066];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(14):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1067];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(15):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1068];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(16):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1069];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(17):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1070];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(18):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1071];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(19):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1072];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(20):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1073];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(21):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1074];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(22):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1075];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(23):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[982];
av2[4]=t3;
av2[5]=lf[1076];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(24):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1077];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(25):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1078];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(26):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1079];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(27):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1080];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(28):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1081];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(29):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1082];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(30):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1083];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(31):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1084];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(32):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1085];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(33):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1086];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(34):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1087];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(35):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1088];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(36):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[982];
av2[4]=t3;
av2[5]=lf[1089];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(37):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1090];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(38):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1091];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(39):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1092];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(40):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1093];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(41):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1094];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(42):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1095];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(43):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[697];
av2[4]=t3;
av2[5]=lf[1096];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(44):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1097];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(45):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[990];
av2[4]=t3;
av2[5]=lf[1098];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(46):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[562];
av2[4]=t3;
av2[5]=lf[1099];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(47):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[974];
av2[4]=t3;
av2[5]=lf[1100];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(48):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[990];
av2[4]=t3;
av2[5]=lf[1101];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(49):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1102];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(50):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1103];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(51):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1104];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(52):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1105];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(53):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1106];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(54):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1107];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(55):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1108];
av2[6]=t4;
C_apply(7,av2);}
default:{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[974];
av2[4]=t3;
av2[5]=lf[1109];
av2[6]=t4;
C_apply(7,av2);}}}

/* k27221 in ##sys#error-hook in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27223,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[984];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[984];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27232 in ##sys#error-hook in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27234,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27238,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5367: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27236 in k27232 in ##sys#error-hook in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_27238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27238,2,av);}
/* library.scm:5366: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1052];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1053];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k27258 in ##sys#error-hook in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27260,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[984];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[984];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27269 in ##sys#error-hook in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27271,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27275,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5376: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27273 in k27269 in ##sys#error-hook in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_27275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27275,2,av);}
/* library.scm:5375: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1054];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1055];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#structure? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27867,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_structurep(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#generic-structure? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27870,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_structurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#slot in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27873,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#size in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27876,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_size(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27881,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_anypointerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-pointer-address! in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27884,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#bytevector? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27887,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_bytevectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->pbytevector in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27890,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_string_to_pbytevector(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#permanent? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27893,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_permanentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-address in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_27896,3,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_address(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#locative? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27899,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_locativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#srfi-4-vector? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27902,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_srfi_4_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27905,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27909,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5455: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1114]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1114]+1);
av2[1]=t2;
tp(2,av2);}}

/* k27907 in ##sys#null-pointer in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27909,2,av);}
t2=C_update_pointer(C_fix(0),t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27911,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27919,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5460: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[935]);
C_word *av2=av;
av2[0]=*((C_word*)lf[935]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k27917 in ##sys#null-pointer? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27919,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_fix(0),t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#address->pointer in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27921,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27925,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5463: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1114]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1114]+1);
av2[1]=t3;
tp(2,av2);}}

/* k27923 in ##sys#address->pointer in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27925,2,av);}
t2=C_update_pointer(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer->address in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_27927,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_unsigned_int_to_num(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#make-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_27934,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?lf[743]:C_i_car(t3));
t6=t5;
t7=C_block_size(t2);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27944,a[2]=t2,a[3]=t8,a[4]=t1,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
t10=C_fixnum_plus(t8,C_fix(1));
/* library.scm:5473: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}

/* k27942 in ##sys#make-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27944,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_setsubchar(t1,((C_word*)t0)[3],C_make_character(0));
t4=C_asciiz_strlen(t1);
t5=C_eqp(t4,((C_word*)t0)[3]);
if(C_truep(t5)){
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fix((C_word)C_ASCIIZ_REPRESENTATION_ERROR);
/* library.scm:5478: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* ##sys#peek-fixnum in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27969,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_fixnum(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-byte in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27972,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_byte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#vector->structure! in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27975,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_vector_to_structure(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-double in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_27978,4,av);}
a=C_alloc(4);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_f64peek(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_27981,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27991,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5494: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k27989 in ##sys#peek-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_27991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27991,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=t1;
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-nonnull-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_27997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_27997,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28001,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5500: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k27999 in ##sys#peek-nonnull-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28001,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28003,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28013,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5507: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28011 in ##sys#peek-and-free-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28013,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-and-free-nonnull-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28019,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28023,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5514: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28021 in ##sys#peek-and-free-nonnull-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28023,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#poke-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28025,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28030,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5520: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2=av;
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28028 in ##sys#poke-c-string in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28030,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_poke_c_string(((C_word*)t0)[3],((C_word*)t0)[4],t1,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#poke-integer in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28032,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_integer(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#poke-double in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28035,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_double(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-c-string-list in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28055,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28061,a[2]=t3,a[3]=t5,a[4]=t2,a[5]=((C_word)li847),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_28061(t7,t1,C_fix(0));}

/* loop in ##sys#peek-c-string-list in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_28061(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_28061,3,t0,t1,t2);}
a=C_alloc(10);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28071,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[4];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6459(t7,t8,t9);
/* library.scm:5526: ##sys#peek-c-string */
t11=*((C_word*)lf[700]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28069 in loop in ##sys#peek-c-string-list in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28071,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28081,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5533: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_28061(t5,t3,t4);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28079 in k28069 in loop in ##sys#peek-c-string-list in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28081,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string-list in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_28116,4,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28120,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28125,a[2]=t3,a[3]=t2,a[4]=t6,a[5]=((C_word)li849),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_28125(t8,t4,C_fix(0));}

/* k28118 in ##sys#peek-and-free-c-string-list in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28120,2,av);}
t2=((C_word*)t0)[2];
if(C_truep(t2)){
t3=C_i_foreign_pointer_argumentp(t2);
t4=stub6486(C_SCHEME_UNDEFINED,t3);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=stub6486(C_SCHEME_UNDEFINED,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in ##sys#peek-and-free-c-string-list in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_28125(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_28125,3,t0,t1,t2);}
a=C_alloc(11);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28135,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t5=((C_word*)t0)[3];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6478(t7,t8,t9);
/* library.scm:5537: ##sys#peek-c-string */
t11=*((C_word*)lf[700]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28133 in loop in ##sys#peek-and-free-c-string-list in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28135,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_free_sptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28145,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5546: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_28125(t6,t4,t5);}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28143 in k28133 in loop in ##sys#peek-and-free-c-string-list in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28145,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#vector->closure! in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28154,4,av);}
t4=C_vector_to_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#symbol-has-toplevel-binding? in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28157,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_boundp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#copy-bytes in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28160,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_substring_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#copy-words in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28167,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_subvector_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#compare-bytes in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28174,7,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_substring_compare(t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#block-pointer in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28177,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28181,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5579: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1114]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1114]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28179 in ##sys#block-pointer in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28181,2,av);}
t2=C_pointer_to_block(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-char-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28183,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_char_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-fixnum-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28186,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_fixnum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-flonum-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28189,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_flonum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-block-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28192,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_block_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-struct-wrapper-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28195,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_struct_wrapper_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-string-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28198,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_string_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-symbol-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28201,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_symbol_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-pointer-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28204,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_pointer_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-tagged-pointer-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28207,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_tagged_pointer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-ranged-integer-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28210,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-unsigned-ranged-integer-argument in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28213,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_unsigned_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#default-exception-handler in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28217,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(lf[1157]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-thread in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28220(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_28220,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28236,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t7=C_block_size(C_fast_retrieve(lf[760]));
/* library.scm:5624: ##sys#vector-resize */
f_17857(t6,C_fast_retrieve(lf[760]),t7,C_SCHEME_FALSE);}

/* k28234 in ##sys#make-thread in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,1)))){
C_save_and_reclaim((void *)f_28236,2,av);}
a=C_alloc(26);
t2=C_a_i_vector6(&a,6,C_fast_retrieve(lf[688]),*((C_word*)lf[711]+1),*((C_word*)lf[712]+1),*((C_word*)lf[713]+1),C_fast_retrieve(lf[1156]),t1);
t3=C_a_i_cons(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record(&a,15,lf[913],((C_word*)t0)[3],C_SCHEME_FALSE,((C_word*)t0)[4],C_SCHEME_FALSE,t2,((C_word*)t0)[5],C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST,((C_word*)t0)[6],C_SCHEME_UNDEFINED,C_SCHEME_FALSE,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_28244(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,c,4)))){
C_save_and_reclaim((void *)f_28244,2,av);}
a=C_alloc(24);
t2=C_mutate((C_word*)lf[950]+1 /* (set! ##sys#primordial-thread ...) */,t1);
t3=C_mutate((C_word*)lf[938]+1 /* (set! ##sys#current-thread ...) */,C_fast_retrieve(lf[950]));
t4=C_mutate((C_word*)lf[1159]+1 /* (set! ##sys#make-mutex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28247,a[2]=((C_word)li870),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1161]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28253,a[2]=((C_word)li871),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1162]+1 /* (set! ##sys#thread-yield! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28262,a[2]=((C_word)li874),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1163]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28283,a[2]=((C_word)li875),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1164]+1 /* (set! chicken.base#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28289,a[2]=((C_word)li876),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[197]+1 /* (set! chicken.base#sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28292,a[2]=((C_word)li877),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1166]+1 /* (set! ##sys#context-switch ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_context_switch,a[2]=((C_word)li878),tmp=(C_word)a,a+=3,tmp));
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28304,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5680: scheme#make-vector */
t12=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* ##sys#make-mutex in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_28247,4,av);}
a=C_alloc(8);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record7(&a,7,lf[1160],t2,t3,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#schedule in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28253,2,av);}
t2=C_slot(C_fast_retrieve(lf[938]),C_fix(1));
/* library.scm:5651: g6572 */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* ##sys#thread-yield! in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_28262,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28268,a[2]=((C_word)li873),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5654: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_call_cc(3,av2);}}

/* a28267 in ##sys#thread-yield! in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28268,3,av);}
a=C_alloc(4);
t3=C_fast_retrieve(lf[938]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28277,a[2]=t2,a[3]=((C_word)li872),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(C_fast_retrieve(lf[938]),C_fix(1),t4);
/* library.scm:5658: ##sys#schedule */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1161]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1161]+1);
av2[1]=t1;
tp(2,av2);}}

/* a28276 in a28267 in ##sys#thread-yield! in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28277,2,av);}
/* library.scm:5657: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#kill-other-threads in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28283,3,av);}
/* library.scm:5661: thunk */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* chicken.base#sleep-hook in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28289,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_process_sleep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sleep in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28292,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28296,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5671: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[1165];
tp(4,av2);}}

/* k28294 in chicken.base#sleep in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28296,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28299,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5672: chicken.base#sleep-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1164]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1164]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28297 in k28294 in chicken.base#sleep in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28299,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_28304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(55,c,4)))){
C_save_and_reclaim((void *)f_28304,2,av);}
a=C_alloc(55);
t2=C_mutate((C_word*)lf[1167]+1 /* (set! ##sys#signal-vector ...) */,t1);
t3=C_mutate((C_word*)lf[1168]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28306,a[2]=((C_word)li880),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[696]+1 /* (set! ##sys#dispatch-interrupt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28356,a[2]=((C_word)li881),tmp=(C_word)a,a+=3,tmp));
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_mutate((C_word*)lf[701]+1 /* (set! ##sys#update-errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28363,a[2]=t6,a[3]=((C_word)li882),tmp=(C_word)a,a+=4,tmp));
t8=C_mutate((C_word*)lf[1171]+1 /* (set! ##sys#errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28367,a[2]=t6,a[3]=((C_word)li883),tmp=(C_word)a,a+=4,tmp));
t9=C_fast_retrieve(lf[853]);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28381,a[2]=((C_word)li885),tmp=(C_word)a,a+=3,tmp));
t15=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28428,a[2]=((C_word)li887),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[853]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28473,a[2]=t9,a[3]=t11,a[4]=t13,a[5]=((C_word)li892),tmp=(C_word)a,a+=6,tmp));
t17=C_a_i_provide(&a,1,lf[1182]);
t18=C_mutate((C_word*)lf[1183]+1 /* (set! chicken.process-context#change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28903,a[2]=((C_word)li893),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1186]+1 /* (set! ##sys#change-directory-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28933,a[2]=((C_word)li894),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28941,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31026,a[2]=((C_word)li972),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31048,a[2]=((C_word)li973),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5898: chicken.base#getter-with-setter */
t23=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t23;
av2[1]=t20;
av2[2]=t21;
av2[3]=t22;
av2[4]=lf[1363];
((C_proc)(void*)(*((C_word*)t23+1)))(5,av2);}}

/* ##sys#interrupt-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28306,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28310,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28337,a[2]=t6,a[3]=((C_word)li879),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_28337(t8,t4,t2);}

/* k28308 in ##sys#interrupt-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28310,2,av);}
t2=C_slot(C_fast_retrieve(lf[1169]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
/* library.scm:5690: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1170]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1170]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[3]))){
/* library.scm:5691: state */
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:5692: ##sys#context-switch */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_context_switch(3,av2);}}}}

/* loop in ##sys#interrupt-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_28337(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28337,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(t2)){
t3=C_slot(C_fast_retrieve(lf[1167]),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28347,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
/* library.scm:5687: handler */
t5=t3;{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t5=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5688: loop */
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28345 in loop in ##sys#interrupt-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_28347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28347,2,av);}
t2=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5688: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_28337(t3,((C_word*)t0)[3],t2);}

/* ##sys#dispatch-interrupt in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28356,3,av);}
t3=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5695: ##sys#interrupt-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1168]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1168]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}

/* ##sys#update-errno in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28363,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_fix((C_word)errno));
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#errno in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28367,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* readln in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_28381(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28381,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28385,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5724: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28383 in readln in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28385,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28392,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5725: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28390 in k28383 in readln in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_28392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28392,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28394,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word)li884),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_28394(t5,((C_word*)t0)[4],t1);}

/* doloop6619 in k28390 in k28383 in readln in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_fcall f_28394(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_28394,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_char_equalp(C_make_character(10),t2));
if(C_truep(t4)){
if(C_truep(C_eofp(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:5727: chicken.base#get-output-string */
t5=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28416,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5728: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word av2[4];
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}}

/* k28414 in doloop6619 in k28390 in k28383 in readln in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_28416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28416,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28423,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5725: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k28421 in k28414 in doloop6619 in k28390 in k28383 in readln in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_28423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28423,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28394(t2,((C_word*)t0)[3],t1);}

/* read-escaped-sexp in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_28428(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28428,3,t1,t2,t3);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28432,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:5730: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28432(2,av2);}}}

/* k28430 in read-escaped-sexp in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28432,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28435,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5731: read */
t3=*((C_word*)lf[149]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28433 in k28430 in read-escaped-sexp in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_28435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_28435,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28438,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[3])){
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28443,a[2]=((C_word*)t0)[4],a[3]=t5,a[4]=((C_word)li886),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_28443(t7,t3);}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28436 in k28433 in k28430 in read-escaped-sexp in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_28438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28438,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in k28433 in k28430 in read-escaped-sexp in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_fcall f_28443(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28443,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28447,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5735: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28445 in loop in k28433 in k28430 in read-escaped-sexp in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_28447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28447,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:5737: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1172];
tp(4,av2);}}
else{
t2=C_i_char_equalp(C_make_character(125),t1);
if(C_truep(C_i_not(t2))){
/* library.scm:5738: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_28443(t3,((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28473,4,av);}
a=C_alloc(6);
t4=C_i_char_equalp(C_make_character(60),t2);
if(C_truep(C_i_not(t4))){
/* library.scm:5741: old */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28486,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* ##sys#read-char/port */
t6=C_fast_retrieve(lf[764]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28486,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28489,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5744: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_28489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28489,2,av);}
a=C_alloc(6);
switch(t1){
case C_make_character(60):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28498,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5746: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28611,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5771: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
default:
/* library.scm:5826: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1181];
tp(4,av2);}}}

/* k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_28498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28498,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28501,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5747: chicken.base#open-output-string */
t3=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_28501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28501,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28504,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5748: readln */
f_28381(t3,((C_word*)t0)[2]);}

/* k28502 in k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_28504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28504,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_eofp(t2);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(t2));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28510,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5753: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[775]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1175];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(t2,t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5757: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[775]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1176];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28510(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(t2,t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5757: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[775]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1176];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28510(2,av2);}}}}}

/* k28508 in k28502 in k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_28510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28510,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28517,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5760: readln */
f_28381(t2,((C_word*)t0)[4]);}

/* k28515 in k28508 in k28502 in k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_28517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28517,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28519,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li888),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28519(t5,((C_word*)t0)[7],t1);}

/* doloop6654 in k28515 in k28508 in k28502 in k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_fcall f_28519(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,3)))){
C_save_and_reclaim_args((void *)trf_28519,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_string_equal_p(((C_word*)t0)[2],t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28532,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28545,a[2]=t5,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_list(&a,3,lf[1173],((C_word*)t0)[2],lf[1174]);
/* library.scm:5715: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[931]);
C_word av2[3];
av2[0]=*((C_word*)lf[931]+1);
av2[1]=t6;
av2[2]=t7;
tp(3,av2);}}
else{
/* library.scm:5765: chicken.base#get-output-string */
t6=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28548,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)((C_word*)t0)[7])[1])){
/* library.scm:5767: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word av2[4];
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t5;
av2[2]=C_make_character(10);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t6=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t7=t5;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
f_28548(2,av2);}}}}

/* k28530 in doloop6654 in k28515 in k28508 in k28502 in k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_28532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28532,2,av);}
/* library.scm:5765: chicken.base#get-output-string */
t2=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k28543 in doloop6654 in k28515 in k28508 in k28502 in k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_28545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28545,2,av);}
/* library.scm:5763: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[775]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28546 in doloop6654 in k28515 in k28508 in k28502 in k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_28548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28548,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28551,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5769: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k28549 in k28546 in doloop6654 in k28515 in k28508 in k28502 in k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_28551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28551,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28558,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5760: readln */
f_28381(t2,((C_word*)t0)[5]);}

/* k28556 in k28549 in k28546 in doloop6654 in k28515 in k28508 in k28502 in k28499 in k28496 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_ccall f_28558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28558,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28519(t2,((C_word*)t0)[3],t1);}

/* k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_28611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28611,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28614,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5772: readln */
f_28381(t2,((C_word*)t0)[2]);}

/* k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_28614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28614,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28617,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5773: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_28617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_28617,2,av);}
a=C_alloc(14);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28619,a[2]=t3,a[3]=((C_word)li889),tmp=(C_word)a,a+=4,tmp);
t5=C_eofp(((C_word*)t0)[2]);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(((C_word*)t0)[2]));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28633,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t4,a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5782: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[775]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1179];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(((C_word*)t0)[2],t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5786: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[775]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1180];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28633(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(((C_word*)t0)[2],t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5786: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[775]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1180];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28633(2,av2);}}}}}

/* get/clear-str in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_fcall f_28619(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28619,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28623,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5775: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28621 in get/clear-str in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_28623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28623,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28627,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5776: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28625 in k28621 in get/clear-str in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_28627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28627,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_28633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28633,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28638,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li891),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28638(t5,((C_word*)t0)[7],C_SCHEME_END_OF_LIST);}

/* loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_fcall f_28638(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_28638,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_28642,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5791: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word av2[3];
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_28642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28642,2,av);}
a=C_alloc(9);
t2=t1;
t3=C_eqp(t2,C_make_character(10));
t4=(C_truep(t3)?t3:C_eqp(t2,C_SCHEME_END_OF_FILE));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28654,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5794: get/clear-str */
t6=((C_word*)t0)[7];
f_28619(t6,t5);}
else{
t5=C_eqp(t2,C_make_character(35));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28774,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5814: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28841,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5824: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=((C_word*)((C_word*)t0)[8])[1];
tp(4,av2);}}}}

/* k28652 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_28654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_28654,2,av);}
a=C_alloc(17);
t2=C_eofp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_string_equal_p(((C_word*)t0)[3],t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28666,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28751,a[2]=t4,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t6=C_a_i_list(&a,3,lf[1173],((C_word*)t0)[3],lf[1174]);
/* library.scm:5715: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[931]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[931]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28666(2,av2);}}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,C_make_character(10),t4);
/* library.scm:5812: loop */
t6=((C_word*)((C_word*)t0)[7])[1];
f_28638(t6,((C_word*)t0)[4],t5);}}

/* k28664 in k28652 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_28666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_28666,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28673,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_i_cdr(((C_word*)t0)[3]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28679,a[2]=t5,a[3]=((C_word)li890),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_28679(t7,t2,t3,C_SCHEME_END_OF_LIST,lf[1178]);}

/* k28671 in k28664 in k28652 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_ccall f_28673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28673,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,2,lf[931],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop2 in k28664 in k28652 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_fcall f_28679(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_28679,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28693,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5804: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[931]);
C_word av2[3];
av2[0]=*((C_word*)lf[931]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_i_car(t2);
t6=C_i_stringp(t5);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28702,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_28702(t8,t6);}
else{
t8=t2;
t9=C_u_i_car(t8);
t10=t7;
f_28702(t10,C_charp(t9));}}}

/* k28691 in loop2 in k28664 in k28652 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in ... */
static void C_ccall f_28693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_28693,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,3,lf[1177],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28700 in loop2 in k28664 in k28652 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in ... */
static void C_fcall f_28702(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_28702,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=C_a_i_cons(&a,2,t5,((C_word*)t0)[3]);
/* library.scm:5806: loop2 */
t7=((C_word*)((C_word*)t0)[4])[1];
f_28679(t7,((C_word*)t0)[5],t3,t6,((C_word*)t0)[6]);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28732,a[2]=((C_word*)t0)[6],a[3]=t5,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5811: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[931]);
C_word av2[3];
av2[0]=*((C_word*)lf[931]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k28730 in k28700 in loop2 in k28664 in k28652 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_28732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,4)))){
C_save_and_reclaim((void *)f_28732,2,av);}
a=C_alloc(18);
t2=C_a_i_list(&a,3,lf[1177],t1,((C_word*)t0)[2]);
t3=C_a_i_list(&a,3,lf[1177],((C_word*)t0)[3],t2);
/* library.scm:5808: loop2 */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28679(t4,((C_word*)t0)[5],((C_word*)t0)[6],C_SCHEME_END_OF_LIST,t3);}

/* k28749 in k28652 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_28751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28751,2,av);}
/* library.scm:5797: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[775]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[775]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28772 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_28774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28774,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28783,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28790,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5817: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[763]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[763]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(123):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28807,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5819: read-escaped-sexp */
f_28428(t2,((C_word*)t0)[6],C_SCHEME_TRUE);
default:
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28826,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5821: read-escaped-sexp */
f_28428(t2,((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k28781 in k28772 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_28783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28783,2,av);}
/* library.scm:5818: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28638(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k28788 in k28772 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_28790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28790,2,av);}
/* library.scm:5817: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)((C_word*)t0)[3])[1];
tp(4,av2);}}

/* k28805 in k28772 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_28807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28807,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28815,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5820: get/clear-str */
t4=((C_word*)t0)[5];
f_28619(t4,t3);}

/* k28813 in k28805 in k28772 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_ccall f_28815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28815,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5819: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28638(t4,((C_word*)t0)[5],t3);}

/* k28824 in k28772 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_28826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28826,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28834,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5822: get/clear-str */
t4=((C_word*)t0)[5];
f_28619(t4,t3);}

/* k28832 in k28824 in k28772 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_ccall f_28834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28834,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5821: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28638(t4,((C_word*)t0)[5],t3);}

/* k28839 in k28640 in loop in k28631 in k28615 in k28612 in k28609 in k28487 in k28484 in ##sys#user-read-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_28841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28841,2,av);}
/* library.scm:5825: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28638(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.process-context#change-directory in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28903,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[1184]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28910,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5887: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1184];
tp(4,av2);}}

/* k28908 in chicken.process-context#change-directory in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28910,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28913,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28919,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5889: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2=av;
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t5;
tp(2,av2);}}}

/* k28911 in k28908 in chicken.process-context#change-directory in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_28913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28913,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28917 in k28908 in chicken.process-context#change-directory in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_28919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28919,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28926,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28930,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k28924 in k28917 in k28908 in chicken.process-context#change-directory in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_28926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_28926,2,av);}
/* library.scm:5890: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[697];
av2[3]=lf[1184];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k28928 in k28917 in k28908 in chicken.process-context#change-directory in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_28930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28930,2,av);}
/* library.scm:5891: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1185];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#change-directory-hook in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28933,3,av);}
/* library.scm:5895: change-directory */
t3=C_fast_retrieve(lf[1183]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_28941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_28941,2,av);}
a=C_alloc(30);
t2=C_mutate((C_word*)lf[1187]+1 /* (set! chicken.process-context#current-directory ...) */,t1);
t3=C_mutate((C_word*)lf[1188]+1 /* (set! chicken.process-context#get-environment-variable ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28943,a[2]=((C_word)li895),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1189]+1 /* (set! chicken.process-context#set-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28958,a[2]=((C_word)li896),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1191]+1 /* (set! chicken.process-context#unset-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28975,a[2]=((C_word)li897),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1193]+1 /* (set! chicken.process-context#get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28995,a[2]=((C_word)li900),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1194]+1 /* (set! chicken.process-context#executable-pathname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29061,a[2]=((C_word)li901),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1195]+1 /* (set! chicken.process-context#argc+argv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29068,a[2]=((C_word)li902),tmp=(C_word)a,a+=3,tmp));
t9=C_SCHEME_FALSE;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_mutate((C_word*)lf[1196]+1 /* (set! chicken.process-context#argv ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29080,a[2]=t10,a[3]=((C_word)li904),tmp=(C_word)a,a+=4,tmp));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29120,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31024,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5972: argv */
t14=C_fast_retrieve(lf[1196]);{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* chicken.process-context#get-environment-variable in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_28943,3,av);}
a=C_alloc(9);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28952,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_i_foreign_string_argumentp(t2);
/* library.scm:5917: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2=av;
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k28950 in chicken.process-context#get-environment-variable in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_28952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28952,2,av);}
t2=stub6772(((C_word*)t0)[2],t1);
/* library.scm:5917: ##sys#peek-c-string */
t3=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.process-context#set-environment-variable! in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28958,4,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[1190]);
t5=C_i_check_string_2(t3,lf[1190]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28969,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5923: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2=av;
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[1190];
tp(4,av2);}}

/* k28967 in chicken.process-context#set-environment-variable! in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_28969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28969,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28973,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5924: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1190];
tp(4,av2);}}

/* k28971 in k28967 in chicken.process-context#set-environment-variable! in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_28973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28973,2,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#unset-environment-variable! in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_28975,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[1192]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28983,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5930: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1192];
tp(4,av2);}}

/* k28981 in chicken.process-context#unset-environment-variable! in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_28983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28983,2,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#get-environment-variables in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_28995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28995,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29001,a[2]=t3,a[3]=((C_word)li899),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29001(t5,t1,C_fix(0));}

/* loop in chicken.process-context#get-environment-variables in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_fcall f_29001(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_29001,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29005,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub6789(t5,t6);
/* library.scm:5934: ##sys#peek-c-string */
t8=*((C_word*)lf[700]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k29003 in loop in chicken.process-context#get-environment-variables in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_29005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29005,2,av);}
a=C_alloc(9);
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29013,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li898),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_29013(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan in k29003 in loop in chicken.process-context#get-environment-variables in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_fcall f_29013(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_29013,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29039,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5941: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:5944: scan */
t6=t1;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* k29029 in k29041 in k29037 in scan in k29003 in loop in chicken.process-context#get-environment-variables in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_29031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_29031,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29037 in scan in k29003 in loop in chicken.process-context#get-environment-variables in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_29039,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29043,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* library.scm:5942: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* k29041 in k29037 in scan in k29003 in loop in chicken.process-context#get-environment-variables in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_29043,2,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29031,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:5943: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_29001(t6,t4,t5);}

/* chicken.process-context#executable-pathname in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_29061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29061,2,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub6801(t2);
/* library.scm:5954: ##sys#peek-and-free-c-string */
t4=*((C_word*)lf[1132]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* chicken.process-context#argc+argv in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_29068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29068,2,av);}
a=C_alloc(3);
/* library.scm:5957: ##sys#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_main_argc);
av2[3]=C_mpointer_or_false(&a,(void*)C_main_argv);
C_values(4,av2);}}

/* chicken.process-context#argv in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_29080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_29080,2,av);}
a=C_alloc(10);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29088,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_fixnum_difference(C_fix((C_word)C_main_argc),C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29094,a[2]=t5,a[3]=((C_word)li903),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_29094(t7,t2,t3,C_SCHEME_END_OF_LIST);}}

/* k29086 in chicken.process-context#argv in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_29088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29088,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop6813 in chicken.process-context#argv in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_fcall f_29094(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29094,4,t0,t1,t2,t3);}
a=C_alloc(11);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29116,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
t7=t2;
t8=C_a_i_bytevector(&a,1,C_fix(3));
t9=stub6809(t8,t7);
/* library.scm:5961: ##sys#peek-c-string */
t10=*((C_word*)lf[700]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t6;
av2[2]=t9;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}

/* k29114 in doloop6813 in chicken.process-context#argv in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_29116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29116,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)((C_word*)t0)[3])[1];
f_29094(t3,((C_word*)t0)[4],((C_word*)t0)[5],t2);}

/* k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_29120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29120,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1197]+1 /* (set! chicken.process-context#program-name ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29124,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30936,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5981: argv */
t5=C_fast_retrieve(lf[1196]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_29124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_29124,2,av);}
a=C_alloc(20);
t2=C_mutate((C_word*)lf[1198]+1 /* (set! chicken.process-context#command-line-arguments ...) */,t1);
t3=C_a_i_provide(&a,1,lf[1199]);
t4=C_mutate((C_word*)lf[1200]+1 /* (set! chicken.gc#current-gc-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29126,a[2]=((C_word)li905),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1201]+1 /* (set! chicken.gc#set-gc-report! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29129,a[2]=((C_word)li906),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1202]+1 /* (set! chicken.gc#memory-statistics ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29132,a[2]=((C_word)li907),tmp=(C_word)a,a+=3,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29157,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6029: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[669]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[669]+1);
av2[1]=t7;
av2[2]=t9;
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* chicken.gc#current-gc-milliseconds in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_29126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29126,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_accumulated_gc_time();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.gc#set-gc-report! in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_29129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29129,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_set_gc_report(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.gc#memory-statistics in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_29132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_29132,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29136,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6019: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k29134 in chicken.gc#memory-statistics in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_29136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29136,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29139,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6020: ##sys#memory-info */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[320]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[320]+1);
av2[1]=t3;
tp(2,av2);}}

/* k29137 in k29134 in chicken.gc#memory-statistics in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_29139,2,av);}
a=C_alloc(4);
t2=C_slot(t1,C_fix(0));
t3=C_fixnum_difference(t2,((C_word*)t0)[2]);
t4=C_slot(t1,C_fix(1));
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_vector3(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_29157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_29157,2,av);}
a=C_alloc(15);
t2=C_mutate((C_word*)lf[1169]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
t3=C_i_set_i_slot(C_fast_retrieve(lf[1169]),C_fix(0),C_fix(0));
t4=C_mutate((C_word*)lf[1203]+1 /* (set! ##sys#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_register_finalizer,a[2]=((C_word)li908),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1204]+1 /* (set! chicken.gc#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29163,a[2]=((C_word)li909),tmp=(C_word)a,a+=3,tmp));
t6=C_SCHEME_FALSE;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_mutate((C_word*)lf[1170]+1 /* (set! ##sys#run-pending-finalizers ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29228,a[2]=t7,a[3]=((C_word)li918),tmp=(C_word)a,a+=4,tmp));
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29377,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6098: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* chicken.gc#set-finalizer! in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_29163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_29163,4,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29167,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_live_finalizer_count();
if(C_truep(C_fixnum_greater_or_equal_p(t5,C_fix((C_word)C_max_pending_finalizers)))){
t6=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
if(C_truep(C_resize_pending_finalizers(t6))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29184,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6041: ##sys#vector-resize */
f_17857(t7,C_fast_retrieve(lf[1169]),t9,C_SCHEME_UNDEFINED);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29214,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29224,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=C_i_live_finalizer_count();
/* library.scm:6057: string-append */
t10=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=lf[1208];
av2[3]=t9;
av2[4]=lf[1209];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
/* library.scm:6062: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[953]);
C_word *av2=av;
av2[0]=*((C_word*)lf[953]+1);
av2[1]=t4;
tp(2,av2);}}}}
else{
/* library.scm:6063: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1203]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1203]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}}

/* k29165 in chicken.gc#set-finalizer! in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29167,2,av);}
/* library.scm:6063: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1203]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1203]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k29182 in chicken.gc#set-finalizer! in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29184,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1169]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
if(C_truep(C_i_debug_modep())){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29194,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29198,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=C_i_live_finalizer_count();
/* library.scm:6048: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
/* library.scm:6063: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1203]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1203]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}

/* k29192 in k29182 in chicken.gc#set-finalizer! in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29194,2,av);}
/* library.scm:6045: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29196 in k29182 in chicken.gc#set-finalizer! in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29198,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29202,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6051: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=C_fix((C_word)C_max_pending_finalizers);
tp(3,av2);}}

/* k29200 in k29196 in k29182 in chicken.gc#set-finalizer! in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_29202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_29202,2,av);}
/* library.scm:6046: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1205];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1206];
av2[5]=t1;
av2[6]=lf[1207];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k29212 in chicken.gc#set-finalizer! in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29214,2,av);}
/* library.scm:6062: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[953]);
C_word *av2=av;
av2[0]=*((C_word*)lf[953]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k29222 in chicken.gc#set-finalizer! in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29224,2,av);}
/* library.scm:6056: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_29228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_29228,3,av);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29232,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t4=t3;
f_29232(t4,C_SCHEME_UNDEFINED);}
else{
t4=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t5=C_slot(C_fast_retrieve(lf[1169]),C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29260,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29359,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29363,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6075: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t7;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_29260(2,av2);}}}}

/* k29230 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_fcall f_29232(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_29232,2,t0,t1);}
t2=C_i_not(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[2]))){
/* library.scm:6095: state */
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[2])){
/* library.scm:6096: ##sys#context-switch */{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
C_context_switch(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}

/* k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_29260,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29263,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29272,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word)li917),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_29272(t6,t2,C_fix(0));}

/* k29261 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29263,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29266,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6091: vector-fill! */
t3=*((C_word*)lf[97]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[1169]);
av2[3]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k29264 in k29261 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_29266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29266,2,av);}
t2=C_i_set_i_slot(C_fast_retrieve(lf[1169]),C_fix(0),C_fix(0));
t3=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];
f_29232(t4,t3);}

/* doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_fcall f_29272(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_29272,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_fixnum_times(t2,C_fix(2));
t4=C_fixnum_plus(C_fix(1),t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29285,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29297,a[2]=t5,a[3]=((C_word)li916),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6087: scheme#call-with-current-continuation */
t8=*((C_word*)lf[132]+1);{
C_word av2[3];
av2[0]=t8;
av2[1]=t6;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}

/* k29283 in doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_29285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29285,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29288,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6086: g6895 */
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k29286 in k29283 in doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_29288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29288,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_29272(t3,((C_word*)t0)[4],t2);}

/* a29296 in doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_29297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29297,3,av);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29303,a[2]=t2,a[3]=((C_word)li911),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29315,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li915),tmp=(C_word)a,a+=5,tmp);
/* library.scm:6087: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[911]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a29302 in a29296 in doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_29303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29303,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29309,a[2]=t2,a[3]=((C_word)li910),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6087: k6892 */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29308 in a29302 in a29296 in doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29309,2,av);}
/* library.scm:6088: ##sys#show-exception-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1048]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[1048]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1210];
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* a29314 in a29296 in doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_29315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_29315,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29321,a[2]=((C_word*)t0)[2],a[3]=((C_word)li912),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29338,a[2]=((C_word*)t0)[3],a[3]=((C_word)li914),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6087: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a29320 in a29314 in a29296 in doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29321,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(C_fast_retrieve(lf[1169]),t2);
t4=C_slot(C_fast_retrieve(lf[1169]),((C_word*)t0)[2]);
/* library.scm:6087: g6899 */
t5=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}

/* a29337 in a29314 in a29296 in doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_29338,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29344,a[2]=t2,a[3]=((C_word)li913),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6087: k6892 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29343 in a29337 in a29314 in a29296 in doloop6888 in k29258 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_29344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29344,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k29357 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29359,2,av);}
/* library.scm:6074: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29361 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29363,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29367,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_live_finalizer_count();
/* library.scm:6077: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29365 in k29361 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29367,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29371,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_i_allocated_finalizer_count();
/* library.scm:6080: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29369 in k29365 in k29361 in ##sys#run-pending-finalizers in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_29371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_29371,2,av);}
/* library.scm:6075: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1211];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1212];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1213];
av2[7]=t1;
av2[8]=lf[1214];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_29377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,6)))){
C_save_and_reclaim((void *)f_29377,2,av);}
a=C_alloc(26);
t2=C_mutate((C_word*)lf[954]+1 /* (set! chicken.gc#force-finalizers ...) */,t1);
t3=C_mutate((C_word*)lf[953]+1 /* (set! ##sys#force-finalizers ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29379,a[2]=((C_word)li920),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1215]+1 /* (set! chicken.gc#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29407,a[2]=((C_word)li921),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[813]+1 /* (set! ##sys#list->vector ...) */,*((C_word*)lf[94]+1));
t6=C_mutate((C_word*)lf[367]+1 /* (set! ##sys#list ...) */,*((C_word*)lf[42]+1));
t7=C_mutate((C_word*)lf[1216]+1 /* (set! ##sys#length ...) */,*((C_word*)lf[43]+1));
t8=C_mutate((C_word*)lf[1217]+1 /* (set! ##sys#cons ...) */,*((C_word*)lf[8]+1));
t9=C_mutate((C_word*)lf[254]+1 /* (set! ##sys#append ...) */,*((C_word*)lf[373]+1));
t10=C_mutate((C_word*)lf[1218]+1 /* (set! ##sys#vector ...) */,*((C_word*)lf[96]+1));
t11=C_mutate((C_word*)lf[1219]+1 /* (set! ##sys#apply ...) */,*((C_word*)lf[129]+1));
t12=C_mutate((C_word*)lf[1220]+1 /* (set! ##sys#values ...) */,*((C_word*)lf[130]+1));
t13=C_mutate((C_word*)lf[1221]+1 /* (set! ##sys#equal? ...) */,*((C_word*)lf[6]+1));
t14=C_mutate((C_word*)lf[1222]+1 /* (set! ##sys#car ...) */,*((C_word*)lf[9]+1));
t15=C_mutate((C_word*)lf[1223]+1 /* (set! ##sys#cdr ...) */,*((C_word*)lf[10]+1));
t16=C_mutate((C_word*)lf[1224]+1 /* (set! ##sys#pair? ...) */,*((C_word*)lf[7]+1));
t17=C_mutate((C_word*)lf[1225]+1 /* (set! ##sys#vector? ...) */,*((C_word*)lf[89]+1));
t18=C_mutate((C_word*)lf[1226]+1 /* (set! ##sys#vector->list ...) */,*((C_word*)lf[95]+1));
t19=C_mutate((C_word*)lf[1227]+1 /* (set! ##sys#vector-length ...) */,*((C_word*)lf[90]+1));
t20=C_mutate((C_word*)lf[1228]+1 /* (set! ##sys#vector-ref ...) */,*((C_word*)lf[91]+1));
t21=C_mutate((C_word*)lf[1229]+1 /* (set! ##sys#>= ...) */,*((C_word*)lf[75]+1));
t22=C_mutate((C_word*)lf[1230]+1 /* (set! ##sys#= ...) */,*((C_word*)lf[72]+1));
t23=C_mutate((C_word*)lf[1231]+1 /* (set! ##sys#+ ...) */,*((C_word*)lf[64]+1));
t24=C_mutate((C_word*)lf[1232]+1 /* (set! ##sys#eq? ...) */,*((C_word*)lf[4]+1));
t25=C_mutate((C_word*)lf[1233]+1 /* (set! ##sys#eqv? ...) */,*((C_word*)lf[5]+1));
t26=C_mutate((C_word*)lf[1234]+1 /* (set! ##sys#list? ...) */,*((C_word*)lf[55]+1));
t27=C_mutate((C_word*)lf[1235]+1 /* (set! ##sys#null? ...) */,*((C_word*)lf[41]+1));
t28=C_mutate((C_word*)lf[1236]+1 /* (set! ##sys#map-n ...) */,*((C_word*)lf[171]+1));
t29=C_mutate((C_word*)lf[1237]+1 /* (set! ##sys#make-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29450,a[2]=((C_word)li922),tmp=(C_word)a,a+=3,tmp));
t30=C_a_i_provide(&a,1,lf[1250]);
t31=C_mutate((C_word*)lf[1251]+1 /* (set! chicken.plist#put! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29714,a[2]=((C_word)li923),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1253]+1 /* (set! chicken.plist#get ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29720,a[2]=((C_word)li924),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1255]+1 /* (set! ##sys#put! ...) */,C_fast_retrieve(lf[1251]));
t34=C_mutate((C_word*)lf[1256]+1 /* (set! ##sys#get ...) */,C_fast_retrieve(lf[1253]));
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29739,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6232: chicken.base#getter-with-setter */
t36=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t36;
av2[1]=t35;
av2[2]=C_fast_retrieve(lf[1253]);
av2[3]=C_fast_retrieve(lf[1251]);
((C_proc)(void*)(*((C_word*)t36+1)))(4,av2);}}

/* ##sys#force-finalizers in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29379,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29385,a[2]=t3,a[3]=((C_word)li919),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29385(t5,t1);}

/* loop in ##sys#force-finalizers in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_fcall f_29385(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_29385,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29389,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6102: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
tp(2,av2);}}

/* k29387 in loop in ##sys#force-finalizers in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_29389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29389,2,av);}
a=C_alloc(4);
t2=C_slot(C_fast_retrieve(lf[1169]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29398,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6104: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1170]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1170]+1);
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k29396 in k29387 in loop in ##sys#force-finalizers in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_29398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29398,2,av);}
/* library.scm:6105: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_29385(t2,((C_word*)t0)[3]);}

/* chicken.gc#gc in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_29407,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_u_i_car(t3);
if(C_truep(t4)){
/* library.scm:6111: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[953]);
C_word *av2=av;
av2[0]=*((C_word*)lf[953]+1);
av2[1]=t1;
tp(2,av2);}}
else{
/* library.scm:6112: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}}
else{
/* library.scm:6112: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}}

/* ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_29450,6,av);}
a=C_alloc(6);
if(C_truep(C_immp(t2))){
/* library.scm:6145: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1238];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t6=C_i_vectorp(t2);
t7=(C_truep(t6)?t6:C_i_pairp(t2));
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29472,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t9=C_block_size(t2);
/* library.scm:6147: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t9;
av2[5]=t5;
tp(6,av2);}}
else{
t8=(C_truep(C_blockp(t2))?C_bytevectorp(t2):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29485,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6154: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
if(C_truep(C_structurep(t2))){
t9=C_slot(t2,C_fix(0));
t10=C_eqp(t9,lf[1239]);
if(C_truep(t10)){
t11=C_slot(t2,C_fix(1));
t12=t11;
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29510,a[2]=t12,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t14=C_block_size(t12);
/* library.scm:6160: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t13;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t14;
av2[5]=t5;
tp(6,av2);}}
else{
t11=C_eqp(t9,lf[1240]);
if(C_truep(t11)){
t12=C_slot(t2,C_fix(1));
t13=t12;
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29526,a[2]=t1,a[3]=t13,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t15=C_block_size(t13);
/* library.scm:6164: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=t5;
tp(6,av2);}}
else{
t12=C_eqp(t9,lf[1241]);
if(C_truep(t12)){
t13=C_slot(t2,C_fix(1));
t14=t13;
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29542,a[2]=t14,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t16=C_block_size(t14);
/* library.scm:6168: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t15;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t16;
av2[5]=t5;
tp(6,av2);}}
else{
t13=C_eqp(t9,lf[1242]);
if(C_truep(t13)){
t14=C_slot(t2,C_fix(1));
t15=t14;
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29558,a[2]=t1,a[3]=t15,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t17=C_block_size(t15);
/* library.scm:6172: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t16;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t17;
av2[5]=t5;
tp(6,av2);}}
else{
t14=C_eqp(t9,lf[1243]);
if(C_truep(t14)){
t15=C_slot(t2,C_fix(1));
t16=t15;
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29574,a[2]=t16,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t18=C_block_size(t16);
/* library.scm:6176: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t17;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t18;
av2[5]=t5;
tp(6,av2);}}
else{
t15=C_eqp(t9,lf[1244]);
if(C_truep(t15)){
t16=C_slot(t2,C_fix(1));
t17=t16;
t18=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29590,a[2]=t1,a[3]=t17,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t19=C_block_size(t17);
/* library.scm:6180: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t18;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t19;
av2[5]=t5;
tp(6,av2);}}
else{
t16=C_eqp(t9,lf[1245]);
if(C_truep(t16)){
t17=C_slot(t2,C_fix(1));
t18=t17;
t19=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29606,a[2]=t18,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t20=C_block_size(t18);
/* library.scm:6184: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t19;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t20;
av2[5]=t5;
tp(6,av2);}}
else{
t17=C_eqp(t9,lf[1246]);
if(C_truep(t17)){
t18=C_slot(t2,C_fix(1));
t19=t18;
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29622,a[2]=t1,a[3]=t19,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t19);
/* library.scm:6188: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t21;
av2[5]=t5;
tp(6,av2);}}
else{
t18=C_eqp(t9,lf[1247]);
if(C_truep(t18)){
t19=C_slot(t2,C_fix(1));
t20=t19;
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29638,a[2]=t20,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t22=C_block_size(t20);
/* library.scm:6192: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t21;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}
else{
t19=C_eqp(t9,lf[1248]);
if(C_truep(t19)){
t20=C_slot(t2,C_fix(1));
t21=t20;
t22=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29654,a[2]=t1,a[3]=t21,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t23=C_block_size(t21);
/* library.scm:6196: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t22;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t23;
av2[5]=t5;
tp(6,av2);}}
else{
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29661,a[2]=t3,a[3]=t1,a[4]=t2,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t2);
t22=C_fixnum_difference(t21,C_fix(1));
/* library.scm:6200: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}}}}}}}}}}}
else{
if(C_truep(C_i_stringp(t2))){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29702,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6203: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
/* library.scm:6206: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1249];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}}}}}}

/* k29470 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29472,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29483 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29485,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29508 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29510,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29524 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29526,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(3),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29540 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29542,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(4),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29556 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29558,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(5),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29572 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29574,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(6),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29588 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29590,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(7),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29604 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29606,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(8),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29620 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29622,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(9),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29636 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29638,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(10),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29652 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29654,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(11),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29659 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29661,2,av);}
a=C_alloc(5);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[4],t2,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29700 in ##sys#make-locative in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29702,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(1),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.plist#put! in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_29714,5,av);}
a=C_alloc(8);
t5=C_i_check_symbol_2(t2,lf[1252]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_putprop(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.plist#get in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29720(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_29720,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_symbol_2(t2,lf[1254]);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_getprop(t2,t3,t6);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_29739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_29739,2,av);}
a=C_alloc(12);
t2=C_mutate((C_word*)lf[1253]+1 /* (set! chicken.plist#get ...) */,t1);
t3=C_mutate((C_word*)lf[1257]+1 /* (set! chicken.plist#remprop! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29741,a[2]=((C_word)li926),tmp=(C_word)a,a+=3,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29810,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30892,a[2]=((C_word)li965),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30901,a[2]=((C_word)li966),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6252: chicken.base#getter-with-setter */
t7=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=lf[1356];
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* chicken.plist#remprop! in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29741,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1258]);
t5=C_slot(t2,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29764,a[2]=t3,a[3]=t2,a[4]=((C_word)li925),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_29764(t6,t5,C_SCHEME_FALSE)
);
t8=C_slot(t2,C_fix(2));
if(C_truep(C_i_nullp(t8))){
t9=C_i_unpersist_symbol(t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_SCHEME_UNDEFINED;
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* loop in chicken.plist#remprop! in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static C_word C_fcall f_29764(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_stack_overflow_check;
loop:{}
t3=C_i_nullp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(t1,C_fix(1));
t5=C_slot(t4,C_fix(1));
t6=C_slot(t1,C_fix(0));
t7=C_eqp(t6,((C_word*)t0)[2]);
if(C_truep(t7)){
t8=(C_truep(t2)?C_i_setslot(t2,C_fix(1),t5):C_i_setslot(((C_word*)t0)[3],C_fix(2),t5));
return(C_SCHEME_TRUE);}
else{
t10=t5;
t11=t4;
t1=t10;
t2=t11;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_29810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_29810,2,av);}
a=C_alloc(29);
t2=C_mutate((C_word*)lf[1259]+1 /* (set! chicken.plist#symbol-plist ...) */,t1);
t3=C_mutate((C_word*)lf[1260]+1 /* (set! chicken.plist#get-properties ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29812,a[2]=((C_word)li928),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1262]+1 /* (set! ##sys#display-times ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29875,a[2]=((C_word)li932),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[956]+1 /* (set! ##sys#dump-heap-state ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dump_heap_state,a[2]=((C_word)li933),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1278]+1 /* (set! ##sys#filter-heap-objects ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_filter_heap_objects,a[2]=((C_word)li934),tmp=(C_word)a,a+=3,tmp));
t7=C_a_i_provide(&a,1,lf[1279]);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30105,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_type,a[2]=((C_word)li964),tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30890,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6358: g7155 */
t11=t9;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)C_fast_retrieve_proc(t11))(2,av2);}}

/* chicken.plist#get-properties in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_29812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_29812,4,av);}
a=C_alloc(10);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_i_check_symbol_2(t2,lf[1261]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29819,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_symbolp(((C_word*)t4)[1]))){
t7=C_a_i_list1(&a,1,((C_word*)t4)[1]);
t8=C_set_block_item(t4,0,t7);
t9=t6;
f_29819(t9,t8);}
else{
t7=t6;
f_29819(t7,C_SCHEME_UNDEFINED);}}

/* k29817 in chicken.plist#get-properties in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_fcall f_29819(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_29819,2,t0,t1);}
a=C_alloc(7);
t2=C_i_check_list_2(((C_word*)((C_word*)t0)[2])[1],lf[1261]);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29831,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=((C_word)li927),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_29831(t7,((C_word*)t0)[4],t3);}

/* loop in k29817 in chicken.plist#get-properties in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_fcall f_29831(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_29831,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
/* library.scm:6276: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_slot(t4,C_fix(1));
if(C_truep(C_i_memq(t3,((C_word*)((C_word*)t0)[2])[1]))){
t6=C_slot(t4,C_fix(0));
/* library.scm:6281: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=t6;
av2[4]=t5;
C_values(5,av2);}}
else{
/* library.scm:6282: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_29875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_29875,3,av);}
a=C_alloc(23);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29890,a[2]=((C_word)li929),tmp=(C_word)a,a+=3,tmp));
t10=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29904,a[2]=((C_word)li930),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29924,a[2]=t4,a[3]=t6,a[4]=((C_word)li931),tmp=(C_word)a,a+=5,tmp));
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29997,a[2]=t2,a[3]=t1,a[4]=t8,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6304: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2=av;
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t12;
av2[2]=*((C_word*)lf[712]+1);
tp(3,av2);}}

/* pnum in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_fcall f_29890(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_29890,2,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29898,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=t2;
if(C_truep(C_i_zerop(t4))){
/* library.scm:6293: ##sys#print */
t5=*((C_word*)lf[864]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[1263];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
/* library.scm:6293: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}}

/* k29896 in pnum in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29898,2,av);}
/* library.scm:6293: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* round-to in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_fcall f_29904(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_29904,3,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29912,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29922,a[2]=t5,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6295: scheme#expt */
t7=*((C_word*)lf[530]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k29910 in round-to in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29912,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29916,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6295: scheme#expt */
t4=*((C_word*)lf[530]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1264];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k29914 in k29910 in round-to in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_29916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29916,2,av);}
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k29920 in round-to in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_29922,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:6295: scheme#round */
t3=*((C_word*)lf[550]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_fcall f_29924(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29924,3,t0,t1,t2);}
a=C_alloc(11);
t3=t2;
if(C_truep(C_i_greaterp(t3,lf[1265]))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29933,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29940,a[2]=((C_word*)t0)[2],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29944,a[2]=((C_word*)t0)[3],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t7;
av2[3]=lf[1265];
tp(4,av2);}}
else{
t4=t2;
if(C_truep(C_i_greaterp(t4,C_fix(1048576)))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29954,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29961,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29965,a[2]=((C_word*)t0)[3],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=C_fix(1048576);
tp(4,av2);}}
else{
t5=t2;
if(C_truep(C_i_greaterp(t5,C_fix(1024)))){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29975,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29982,a[2]=((C_word*)t0)[2],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29986,a[2]=((C_word*)t0)[3],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t8;
av2[2]=t9;
av2[3]=C_fix(1024);
tp(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29991,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6303: pnum */
f_29890(t6,t2);}}}}

/* k29931 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29933,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1266];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k29938 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29940,2,av);}
/* library.scm:6298: pnum */
f_29890(((C_word*)t0)[3],t1);}

/* k29942 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29944,2,av);}
/* library.scm:6298: round-to */
f_29904(((C_word*)t0)[3],t1,C_fix(2));}

/* k29952 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29954,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1267];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k29959 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29961,2,av);}
/* library.scm:6300: pnum */
f_29890(((C_word*)t0)[3],t1);}

/* k29963 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29965,2,av);}
/* library.scm:6300: round-to */
f_29904(((C_word*)t0)[3],t1,C_fix(2));}

/* k29973 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29975,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1268];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k29980 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29982,2,av);}
/* library.scm:6302: pnum */
f_29890(((C_word*)t0)[3],t1);}

/* k29984 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29986,2,av);}
/* library.scm:6302: round-to */
f_29904(((C_word*)t0)[3],t1,C_fix(2));}

/* k29989 in pmem in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_29991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29991,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1269];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_29997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29997,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30000,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:6305: pnum */
f_29890(t2,t3);}

/* k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_30000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_30000,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30003,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1277];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_30003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30003,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30009,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_greaterp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30089,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6290: ##sys#print */
t6=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1276];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_30009(2,av2);}}}

/* k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_ccall f_30009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_30009,2,av);}
a=C_alloc(12);
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(3));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30018,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greaterp(t3,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30072,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t5,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6290: ##sys#print */
t8=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1274];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_30018(2,av2);}}}

/* k30016 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in ... */
static void C_ccall f_30018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30018,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(4));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30027,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t7=C_fixnum_greaterp(t3,C_fix(0));
t8=(C_truep(t7)?t7:C_fixnum_greaterp(t5,C_fix(0)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30051,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6290: ##sys#print */
t10=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[1272];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
t9=t6;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_30027(2,av2);}}}

/* k30025 in k30016 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_30027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30027,2,av);}
a=C_alloc(5);
t2=C_slot(((C_word*)t0)[2],C_fix(6));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30033,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6290: ##sys#print */
t5=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1270];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k30031 in k30025 in k30016 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30033,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30036,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6330: pmem */
t3=((C_word*)((C_word*)t0)[3])[1];
f_29924(t3,t2,((C_word*)t0)[4]);}

/* k30034 in k30031 in k30025 in k30016 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30036,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30039,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6331: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[713]+1);
tp(4,av2);}}

/* k30037 in k30034 in k30031 in k30025 in k30016 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static void C_ccall f_30039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30039,2,av);}
/* library.scm:6332: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[744]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[713]+1);
tp(3,av2);}}

/* k30049 in k30016 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_30051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30051,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30054,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6324: pnum */
f_29890(t2,((C_word*)t0)[5]);}

/* k30052 in k30049 in k30016 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30054,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30057,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6291: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[713]+1);
tp(4,av2);}}

/* k30055 in k30052 in k30049 in k30016 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30057,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30060,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6326: pnum */
f_29890(t2,((C_word*)t0)[4]);}

/* k30058 in k30055 in k30052 in k30049 in k30016 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static void C_ccall f_30060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30060,2,av);}
/* library.scm:6290: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1271];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30070 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in ... */
static void C_ccall f_30072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30072,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30075,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6316: pnum */
f_29890(t2,((C_word*)t0)[5]);}

/* k30073 in k30070 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_30075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30075,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30078,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6291: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[713]+1);
tp(4,av2);}}

/* k30076 in k30073 in k30070 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30078,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30081,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6318: pnum */
f_29890(t2,((C_word*)t0)[4]);}

/* k30079 in k30076 in k30073 in k30070 in k30007 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30081,2,av);}
/* library.scm:6290: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1273];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30087 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_ccall f_30089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30089,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30092,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6310: pnum */
f_29890(t2,((C_word*)t0)[4]);}

/* k30090 in k30087 in k30001 in k29998 in k29995 in ##sys#display-times in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in ... */
static void C_ccall f_30092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30092,2,av);}
/* library.scm:6290: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1275];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_30105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30105,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1280]+1 /* (set! chicken.platform#software-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30106,a[2]=t2,a[3]=((C_word)li935),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30111,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_type,a[2]=((C_word)li963),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30886,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6362: g7159 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-type in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_30106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30106,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_30111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30111,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1281]+1 /* (set! chicken.platform#machine-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30112,a[2]=t2,a[3]=((C_word)li936),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30117,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_byte_order,a[2]=((C_word)li962),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30882,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6366: g7163 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-type in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_30112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30112,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_30117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30117,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1282]+1 /* (set! chicken.platform#machine-byte-order ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30118,a[2]=t2,a[3]=((C_word)li937),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30123,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_version,a[2]=((C_word)li961),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30878,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6370: g7167 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-byte-order in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_30118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30118,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_30123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30123,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1283]+1 /* (set! chicken.platform#software-version ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30124,a[2]=t2,a[3]=((C_word)li938),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30129,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_build_platform,a[2]=((C_word)li960),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30874,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6374: g7171 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-version in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_ccall f_30124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30124,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_ccall f_30129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30129,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_mutate((C_word*)lf[1284]+1 /* (set! chicken.platform#build-platform ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30130,a[2]=t2,a[3]=((C_word)li939),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30135,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30870,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6378: software-type */
t6=C_fast_retrieve(lf[1280]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.platform#build-platform in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in ... */
static void C_ccall f_30130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30130,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in ... */
static void C_fcall f_30135(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,0,3)))){
C_save_and_reclaim_args((void *)trf_30135,2,t0,t1);}
a=C_alloc(21);
t2=C_set_block_item(lf[1285] /* ##sys#windows-platform */,0,t1);
t3=C_mutate((C_word*)lf[1286]+1 /* (set! chicken.platform#chicken-version ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30137,a[2]=((C_word)li941),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1320]+1 /* (set! chicken.platform#chicken-home ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30276,a[2]=((C_word)li942),tmp=(C_word)a,a+=3,tmp));
t5=(C_truep(C_fast_retrieve(lf[1285]))?C_make_character(59):C_make_character(58));
t6=lf[1321] /* chicken.platform#path-list-separator */ =t5;;
t7=lf[1322];
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[1323]+1 /* (set! ##sys#split-path ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30286,a[2]=t8,a[3]=((C_word)li944),tmp=(C_word)a,a+=4,tmp));
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30376,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30788,a[2]=t10,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t12=*((C_word*)lf[700]+1);{
C_word av2[4];
av2[0]=t12;
av2[1]=t11;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_30137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_30137,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30198,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30268,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6395: feature? */
t7=C_fast_retrieve(lf[1314]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1319];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t5=C_fast_retrieve(lf[1288]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fast_retrieve(lf[1288]);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in ... */
static void C_ccall f_30147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30147,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30150,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6385: software-type */
t4=C_fast_retrieve(lf[1280]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30148 in k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in ... */
static void C_ccall f_30150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30150,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30153,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6386: software-version */
t4=C_fast_retrieve(lf[1283]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30151 in k30148 in k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in ... */
static void C_ccall f_30153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30153,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30156,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6387: machine-type */
t4=C_fast_retrieve(lf[1281]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30154 in k30151 in k30148 in k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in ... */
static void C_ccall f_30156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30156,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30158,a[2]=((C_word)li940),tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30180,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6392: str */
f_30158(t4,((C_word*)t0)[5]);}

/* str in k30154 in k30151 in k30148 in k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in ... */
static void C_fcall f_30158(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30158,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1293],t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=lf[1294];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30172,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6391: scheme#symbol->string */
t5=*((C_word*)lf[631]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* k30170 in str in k30154 in k30151 in k30148 in k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in ... */
static void C_ccall f_30172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30172,2,av);}
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1295];
tp(4,av2);}}

/* k30178 in k30154 in k30151 in k30148 in k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in ... */
static void C_ccall f_30180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30180,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30184,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6392: str */
f_30158(t3,((C_word*)t0)[6]);}

/* k30182 in k30178 in k30154 in k30151 in k30148 in k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in ... */
static void C_ccall f_30184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30184,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30188,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6392: str */
f_30158(t3,((C_word*)t0)[6]);}

/* k30186 in k30182 in k30178 in k30154 in k30151 in k30148 in k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in ... */
static void C_ccall f_30188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30188,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30192,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6392: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k30190 in k30186 in k30182 in k30178 in k30154 in k30151 in k30148 in k30145 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in ... */
static void C_ccall f_30192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_30192,2,av);}
/* library.scm:6392: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_30198,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30205,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fast_retrieve(lf[1300]))){
/* library.scm:6402: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1301];
av2[3]=C_fast_retrieve(lf[1300]);
av2[4]=lf[1302];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1303];
f_30205(2,av2);}}}

/* k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30205,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30209,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1296]))){
/* library.scm:6403: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1297];
av2[3]=C_fast_retrieve(lf[1296]);
av2[4]=lf[1298];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1299];
f_30209(2,av2);}}}

/* k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static void C_ccall f_30209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_30209,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30213,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30147,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6384: build-platform */
t6=C_fast_retrieve(lf[1284]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k30211 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in ... */
static void C_ccall f_30213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,8)))){
C_save_and_reclaim((void *)f_30213,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30217,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_block_size(((C_word*)t0)[5]);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
/* library.scm:6400: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1287];
av2[3]=C_fast_retrieve(lf[1288]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1289];
av2[7]=t2;
av2[8]=lf[1290];
((C_proc)(void*)(*((C_word*)t6+1)))(9,av2);}}
else{
/* library.scm:6408: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=lf[1291];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[1292];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* k30215 in k30211 in k30207 in k30203 in k30196 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in ... */
static void C_ccall f_30217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_30217,2,av);}
/* library.scm:6400: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1287];
av2[3]=C_fast_retrieve(lf[1288]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1289];
av2[7]=((C_word*)t0)[5];
av2[8]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k30254 in k30257 in k30260 in k30263 in k30266 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in ... */
static void C_ccall f_30256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_30256,2,av);}
if(C_truep(t1)){
/* library.scm:6394: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1312];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
/* library.scm:6394: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1313];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}}

/* k30257 in k30260 in k30263 in k30266 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in ... */
static void C_ccall f_30259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30259,2,av);}
a=C_alloc(7);
t2=(C_truep(t1)?lf[1310]:lf[1311]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30256,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:6399: feature? */
t5=C_fast_retrieve(lf[1314]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1315];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30260 in k30263 in k30266 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static void C_ccall f_30262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30262,2,av);}
a=C_alloc(6);
t2=(C_truep(t1)?lf[1308]:lf[1309]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30259,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6398: feature? */
t5=C_fast_retrieve(lf[1314]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1316];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30263 in k30266 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30265,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?lf[1306]:lf[1307]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30262,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6397: feature? */
t5=C_fast_retrieve(lf[1314]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1317];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30266 in chicken.platform#chicken-version in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30268,2,av);}
a=C_alloc(4);
t2=(C_truep(t1)?lf[1304]:lf[1305]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30265,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6396: feature? */
t5=C_fast_retrieve(lf[1314]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1318];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* chicken.platform#chicken-home in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_30276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30276,2,av);}
a=C_alloc(3);
/* ##sys#peek-c-string */
t2=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_SHARE_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#split-path in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_30286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,4)))){
C_save_and_reclaim((void *)f_30286,3,av);}
a=C_alloc(13);
if(C_truep(C_i_not(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_car(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(C_i_equalp(t2,t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(((C_word*)((C_word*)t0)[2])[1]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_string_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30308,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30314,a[2]=t5,a[3]=t2,a[4]=t8,a[5]=((C_word)li943),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_30314(t10,t6,C_fix(0),C_fix(0));}}}

/* k30306 in ##sys#split-path in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30308,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in ##sys#split-path in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_fcall f_30314(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_30314,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_fixnum_greater_or_equal_p(t3,((C_word*)t0)[2]))){
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30334,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6434: scheme#substring */
t6=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}
else{
t4=C_i_string_ref(((C_word*)t0)[3],t3);
t5=C_retrieve2(lf[1321],C_text("chicken.platform#path-list-separator"));
if(C_truep(C_u_i_char_equalp(t4,C_retrieve2(lf[1321],C_text("chicken.platform#path-list-separator"))))){
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30349,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6437: scheme#substring */
t7=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t6=C_fixnum_plus(t3,C_fix(1));
/* library.scm:6441: loop */
t8=t1;
t9=t2;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}}

/* k30332 in loop in ##sys#split-path in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30334,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list1(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30347 in loop in ##sys#split-path in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30349,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30353,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:6438: loop */
t6=((C_word*)((C_word*)t0)[4])[1];
f_30314(t6,t3,t4,t5);}

/* k30351 in k30347 in loop in ##sys#split-path in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static void C_ccall f_30353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30353,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_30376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30376,2,av);}
a=C_alloc(9);
t2=C_mutate((C_word*)lf[1324]+1 /* (set! chicken.platform#repository-path ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30380,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30772,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t5=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_30380,2,av);}
a=C_alloc(14);
t2=C_mutate((C_word*)lf[1325]+1 /* (set! chicken.platform#installation-repository ...) */,t1);
t3=C_mutate(&lf[1326] /* (set! chicken.platform#->feature-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30397,a[2]=((C_word)li945),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,lf[1329]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30431,a[2]=((C_word)li946),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30449,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30768,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6491: software-type */
t8=C_fast_retrieve(lf[1280]);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* chicken.platform#->feature-id in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30397,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30404,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6477: chicken.keyword#keyword? */
t4=*((C_word*)lf[644]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30402 in chicken.platform#->feature-id in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static void C_ccall f_30404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_30404,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:6478: chicken.keyword#string->keyword */
t2=*((C_word*)lf[645]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30426,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6479: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_list(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=lf[1327];
av2[5]=t3;
C_apply(6,av2);}}}}}

/* k30424 in k30402 in chicken.platform#->feature-id in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in ... */
static void C_ccall f_30426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30426,2,av);}
/* library.scm:6479: chicken.keyword#string->keyword */
t2=*((C_word*)lf[645]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* check in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_fcall f_30431(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30431,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1293],t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30446,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6490: ->feature-id */
t5=C_retrieve2(lf[1326],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
f_30397(3,av2);}}}

/* k30444 in check in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static void C_ccall f_30446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30446,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1328]));
t3=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30449,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30452,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30764,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6492: software-version */
t4=C_fast_retrieve(lf[1283]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static void C_ccall f_30452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30452,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30455,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30760,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6493: build-platform */
t4=C_fast_retrieve(lf[1284]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in ... */
static void C_ccall f_30455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30455,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30458,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30756,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6494: machine-type */
t4=C_fast_retrieve(lf[1281]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in ... */
static void C_ccall f_30458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30458,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30461,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30752,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6495: machine-byte-order */
t4=C_fast_retrieve(lf[1282]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in ... */
static void C_ccall f_30461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30461,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30464,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_DLOAD))){
t3=C_a_i_cons(&a,2,lf[1318],C_fast_retrieve(lf[1328]));
t4=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30464(t5,t4);}
else{
t3=t2;
f_30464(t3,C_SCHEME_UNDEFINED);}}

/* k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in ... */
static void C_fcall f_30464(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30464,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30467,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_PTABLES))){
t3=C_a_i_cons(&a,2,lf[1317],C_fast_retrieve(lf[1328]));
t4=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30467(t5,t4);}
else{
t3=t2;
f_30467(t3,C_SCHEME_UNDEFINED);}}

/* k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in ... */
static void C_fcall f_30467(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30467,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30470,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_GCHOOKS))){
t3=C_a_i_cons(&a,2,lf[1316],C_fast_retrieve(lf[1328]));
t4=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30470(t5,t4);}
else{
t3=t2;
f_30470(t3,C_SCHEME_UNDEFINED);}}

/* k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in ... */
static void C_fcall f_30470(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30470,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30473,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(IS_CROSS_CHICKEN))){
t3=C_a_i_cons(&a,2,lf[1315],C_fast_retrieve(lf[1328]));
t4=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30473(t5,t4);}
else{
t3=t2;
f_30473(t3,C_SCHEME_UNDEFINED);}}

/* k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in ... */
static void C_fcall f_30473(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30473,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30476,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_WORD_SIZE);
t4=C_eqp(t3,C_fix(64));
if(C_truep(t4)){
t5=C_a_i_cons(&a,2,lf[1319],C_fast_retrieve(lf[1328]));
t6=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,t5);
t7=t2;
f_30476(t7,t6);}
else{
t5=t2;
f_30476(t5,C_SCHEME_UNDEFINED);}}

/* k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in ... */
static void C_fcall f_30476(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30476,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30480,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_MAJOR_VERSION);
/* library.scm:6509: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in ... */
static void C_ccall f_30480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30480,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30483,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fix((C_word)C_MINOR_VERSION);
/* library.scm:6510: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in ... */
static void C_ccall f_30483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_30483,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30706,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30722,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6511: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1347];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* chicken.platform#register-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in ... */
static void C_ccall f_30488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_30488,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30507,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30509,a[2]=t5,a[3]=((C_word)li947),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30509(t7,t3,t2);}

/* k30492 in for-each-loop7288 in chicken.platform#register-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in ... */
static void C_ccall f_30494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30494,2,av);}
a=C_alloc(3);
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1328])))){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1328]));
t3=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30505 in chicken.platform#register-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in ... */
static void C_ccall f_30507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30507,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop7288 in chicken.platform#register-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in ... */
static void C_fcall f_30509(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_30509,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30519,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30494,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6518: ->feature-id */
t7=C_retrieve2(lf[1326],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
f_30397(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30517 in for-each-loop7288 in chicken.platform#register-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in ... */
static void C_ccall f_30519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30519,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_30509(t3,((C_word*)t0)[4],t2);}

/* chicken.platform#unregister-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in ... */
static void C_ccall f_30532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +17,c,3)))){
C_save_and_reclaim((void*)f_30532,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+17);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=C_retrieve2(lf[1326],C_text("chicken.platform#->feature-id"));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30539,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30576,a[2]=t5,a[3]=t10,a[4]=t7,a[5]=t6,a[6]=((C_word)li950),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_30576(t12,t8,t2);}

/* k30537 in chicken.platform#unregister-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in ... */
static void C_ccall f_30539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30539,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30543,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30545,a[2]=t2,a[3]=t5,a[4]=((C_word)li949),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30545(t7,t3,C_fast_retrieve(lf[1328]));}

/* k30541 in k30537 in chicken.platform#unregister-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in ... */
static void C_ccall f_30543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30543,2,av);}
t2=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k30537 in chicken.platform#unregister-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in ... */
static void C_fcall f_30545(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30545,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(t4,((C_word*)t0)[2]))){
/* library.scm:6532: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30574,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6533: loop */
t8=t6;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k30572 in loop in k30537 in chicken.platform#unregister-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in ... */
static void C_ccall f_30574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30574,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop7311 in chicken.platform#unregister-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in ... */
static void C_fcall f_30576(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30576,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30601,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:6524: g7317 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30599 in map-loop7311 in chicken.platform#unregister-feature! in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in ... */
static void C_ccall f_30601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30601,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_30576(t6,((C_word*)t0)[5],t5);}

/* chicken.platform#features in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in ... */
static void C_ccall f_30610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30610,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fast_retrieve(lf[1328]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.platform#feature? in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in ... */
static void C_ccall f_30613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_30613,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30619,a[2]=t4,a[3]=((C_word)li953),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_30619(t6,t1,t2);}

/* loop in chicken.platform#feature? in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in ... */
static void C_fcall f_30619(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_30619,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30643,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:6541: ->feature-id */
t6=C_retrieve2(lf[1326],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
f_30397(3,av2);}}}

/* k30641 in loop in chicken.platform#feature? in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in ... */
static void C_ccall f_30643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30643,2,av);}
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1328])))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:6542: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30619(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.platform#system-config-directory in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in ... */
static void C_ccall f_30650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30650,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30654,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6548: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1188]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1338];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k30652 in chicken.platform#system-config-directory in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in ... */
static void C_ccall f_30654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30654,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_fast_retrieve(lf[1285]))){
/* library.scm:6550: chicken.process-context#get-environment-variable */
t2=C_fast_retrieve(lf[1188]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1335];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30666,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6551: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1188]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1337];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}}

/* k30664 in k30652 in chicken.platform#system-config-directory in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in ... */
static void C_ccall f_30666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30666,2,av);}
if(C_truep(t1)){
/* library.scm:6552: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1336];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.platform#system-cache-directory in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in ... */
static void C_ccall f_30674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30674,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30678,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6555: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1188]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1344];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k30676 in chicken.platform#system-cache-directory in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in ... */
static void C_ccall f_30678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30678,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_fast_retrieve(lf[1285]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30687,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6557: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1188]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1341];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30696,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6559: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1188]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1343];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}}

/* k30685 in k30676 in chicken.platform#system-cache-directory in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in ... */
static void C_ccall f_30687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30687,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:6558: chicken.process-context#get-environment-variable */
t2=C_fast_retrieve(lf[1188]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1340];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}

/* k30694 in k30676 in chicken.platform#system-cache-directory in k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in ... */
static void C_ccall f_30696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30696,2,av);}
if(C_truep(t1)){
/* library.scm:6560: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1342];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in ... */
static void C_ccall f_30706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_30706,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30714,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30718,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6512: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1345];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1346];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}

/* k30712 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in ... */
static void C_ccall f_30714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_30714,2,av);}
a=C_alloc(27);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1328]));
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
t4=C_mutate((C_word*)lf[1328]+1 /* (set! ##sys#features ...) */,t3);
t5=C_mutate((C_word*)lf[1330]+1 /* (set! chicken.platform#register-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30488,a[2]=((C_word)li948),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1331]+1 /* (set! chicken.platform#unregister-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30532,a[2]=((C_word)li951),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1332]+1 /* (set! chicken.platform#features ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30610,a[2]=((C_word)li952),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1314]+1 /* (set! chicken.platform#feature? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30613,a[2]=((C_word)li954),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1333]+1 /* (set! chicken.platform#return-to-host ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_return_to_host,a[2]=((C_word)li955),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1334]+1 /* (set! chicken.platform#system-config-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30650,a[2]=((C_word)li956),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1339]+1 /* (set! chicken.platform#system-cache-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30674,a[2]=((C_word)li957),tmp=(C_word)a,a+=3,tmp));
t12=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}

/* k30716 in k30704 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in ... */
static void C_ccall f_30718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30718,2,av);}
/* library.scm:6512: ->feature-id */
t2=C_retrieve2(lf[1326],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30397(3,av2);}}

/* k30720 in k30481 in k30478 in k30474 in k30471 in k30468 in k30465 in k30462 in k30459 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in ... */
static void C_ccall f_30722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30722,2,av);}
/* library.scm:6511: ->feature-id */
t2=C_retrieve2(lf[1326],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30397(3,av2);}}

/* k30750 in k30456 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in ... */
static void C_ccall f_30752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30752,2,av);}
/* library.scm:6495: check */
f_30431(((C_word*)t0)[3],t1);}

/* k30754 in k30453 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in ... */
static void C_ccall f_30756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30756,2,av);}
/* library.scm:6494: check */
f_30431(((C_word*)t0)[3],t1);}

/* k30758 in k30450 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in ... */
static void C_ccall f_30760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30760,2,av);}
/* library.scm:6493: check */
f_30431(((C_word*)t0)[3],t1);}

/* k30762 in k30447 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static void C_ccall f_30764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30764,2,av);}
/* library.scm:6492: check */
f_30431(((C_word*)t0)[3],t1);}

/* k30766 in k30378 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30768(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30768,2,av);}
/* library.scm:6491: check */
f_30431(((C_word*)t0)[3],t1);}

/* k30770 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30772,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30775,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6462: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30778,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6464: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1188]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1348];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30773 in k30770 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30775,2,av);}
/* library.scm:6462: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30776 in k30770 in k30374 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30778,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6462: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k30786 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_30788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30788,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30791,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list1(&a,1,t1);
f_30791(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30837,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6449: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1188]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1350];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30789 in k30786 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30791,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30793,a[2]=((C_word)li959),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6446: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a30792 in k30789 in k30786 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30793,3,av);}
a=C_alloc(3);
if(C_truep(t2)){
t3=C_i_check_list_2(t2,lf[1349]);
t4=t2;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30810,a[2]=((C_word)li958),tmp=(C_word)a,a+=3,tmp);
t6=(
  f_30810(t4)
);
t7=t2;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop7230 in a30792 in k30789 in k30786 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in ... */
static C_word C_fcall f_30810(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_string_2(t2,lf[1349]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* k30835 in k30786 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in ... */
static void C_ccall f_30837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_30837,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:6447: ##sys#split-path */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1323]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1323]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30846,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* k30844 in k30835 in k30786 in k30133 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in ... */
static void C_ccall f_30846(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30846,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_a_i_list1(&a,1,t1):C_SCHEME_FALSE);
f_30791(2,av2);}}

/* k30864 in k30868 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in ... */
static void C_ccall f_30866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30866,2,av);}
t2=C_eqp(lf[1352],t1);
t3=((C_word*)t0)[2];
f_30135(t3,C_i_not(t2));}

/* k30868 in k30127 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in ... */
static void C_ccall f_30870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30870,2,av);}
a=C_alloc(3);
t2=C_eqp(lf[1351],t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30866,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6380: software-version */
t4=C_fast_retrieve(lf[1283]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[2];
f_30135(t3,C_SCHEME_FALSE);}}

/* k30872 in k30121 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in ... */
static void C_ccall f_30874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30874,2,av);}
/* library.scm:6374: scheme#string->symbol */
t2=*((C_word*)lf[633]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30876 in k30115 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in ... */
static void C_ccall f_30878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30878,2,av);}
/* library.scm:6370: scheme#string->symbol */
t2=*((C_word*)lf[633]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30880 in k30109 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in ... */
static void C_ccall f_30882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30882,2,av);}
/* library.scm:6366: scheme#string->symbol */
t2=*((C_word*)lf[633]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30884 in k30103 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in ... */
static void C_ccall f_30886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30886,2,av);}
/* library.scm:6362: scheme#string->symbol */
t2=*((C_word*)lf[633]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30888 in k29808 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_30890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30890,2,av);}
/* library.scm:6358: scheme#string->symbol */
t2=*((C_word*)lf[633]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a30891 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_30892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30892,3,av);}
t3=C_i_check_symbol_2(t2,lf[1353]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a30900 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in ... */
static void C_ccall f_30901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_30901,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1353]);
t5=C_i_check_list_2(t3,lf[1354]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30911,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_i_length(t3);
if(C_truep(C_i_fixnumevenp(t7))){
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_setslot(t2,C_fix(2),t3);
f_30911(2,av2);}}
else{
/* library.scm:6261: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t6;
av2[2]=lf[258];
av2[3]=lf[1355];
av2[4]=t3;
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}

/* k30909 in a30900 in k29737 in k29375 in k29155 in k29122 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in ... */
static void C_ccall f_30911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30911,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_i_unpersist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_i_persist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30934 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_30936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30936,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30939,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_pairp(t1))){
t3=C_slot(t1,C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30957,a[2]=t5,a[3]=((C_word)li968),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30957(t7,t2,t3);}
else{
t3=t1;
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36600,a[2]=((C_word)li969),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5980: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k30937 in k30934 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_30939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30939,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30941,a[2]=((C_word)li967),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5980: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a30940 in k30937 in k30934 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_30941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30941,3,av);}
t3=C_i_check_list_2(t2,lf[1357]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k30934 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_fcall f_30957(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_30957,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30976,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(t4);
if(C_truep(C_fixnum_greater_or_equal_p(t8,C_fix(3)))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30996,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5989: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=C_fix(2);
tp(5,av2);}}
else{
t9=t7;
f_30976(t9,C_SCHEME_FALSE);}}}

/* k30974 in loop in k30934 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_fcall f_30976(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30976,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* library.scm:5990: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_30957(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30986,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5991: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_30957(t3,t2,((C_word*)t0)[4]);}}

/* k30984 in k30974 in loop in k30934 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in ... */
static void C_ccall f_30986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30986,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30994 in loop in k30934 in k29118 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in ... */
static void C_ccall f_30996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30996,2,av);}
t2=((C_word*)t0)[2];
f_30976(t2,C_i_string_equal_p(lf[1358],t1));}

/* k31018 in k31022 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_31020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31020,2,av);}
a=C_alloc(3);
t2=C_i_car(t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36612,a[2]=((C_word)li971),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5971: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k31022 in k28939 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_31024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31024,2,av);}
a=C_alloc(3);
if(C_truep(C_i_nullp(t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36606,a[2]=((C_word)li970),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5971: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1360];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31020,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5974: argv */
t3=C_fast_retrieve(lf[1196]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31025 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31026,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31030,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t2;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k31028 in a31025 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_31030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31030,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31033,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1285]))){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31033(2,av2);}}
else{
/* library.scm:5903: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2=av;
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t4;
tp(2,av2);}}}

/* k31031 in k31028 in a31025 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_31033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31033,2,av);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:5905: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* library.scm:5906: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[697];
av2[3]=lf[1361];
av2[4]=lf[1362];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31047 in k28302 in k28242 in k26912 in k26909 in k26906 in k26139 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31048,3,av);}
/* library.scm:5910: ##sys#change-directory-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1186]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1186]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_31054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,2)))){
C_save_and_reclaim((void*)f_31054,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31058,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31211,a[2]=((C_word)li978),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5101: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1001]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1001]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_31058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31058,2,av);}
a=C_alloc(5);
t2=C_mk_bool(C_gui_mode);
if(C_truep(C_i_not(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31067,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5103: ##sys#print */
t4=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1371];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31161,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5128: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_31067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_31067,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31070,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31155,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5105: ##sys#print */
t4=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1370];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_31070(2,av2);}}}

/* k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_31070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_31070,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31073,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31099,a[2]=((C_word*)t0)[3],a[3]=((C_word)li975),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5107: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[916]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[916]+1);
av2[1]=t2;
av2[2]=C_fix(400);
av2[3]=t3;
tp(4,av2);}}

/* k31071 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31073,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31076,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5119: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31074 in k31071 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31076,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31079,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5120: chicken.base#print-call-chain */
t3=*((C_word*)lf[187]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31077 in k31074 in k31071 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31079,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31085,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_fast_retrieve(lf[1000]))){
/* library.scm:5121: ##sys#symbol-has-toplevel-binding? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1140]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1140]+1);
av2[1]=t2;
av2[2]=lf[1368];
tp(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_31085(2,av2);}}}

/* k31083 in k31077 in k31074 in k31071 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_31085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31085,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_slot(lf[1368],C_fix(0));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31091,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5121: g5873 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}
else{
t2=C_halt(C_SCHEME_FALSE);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31089 in k31083 in k31077 in k31074 in k31071 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in ... */
static void C_ccall f_31091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31091,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31094,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5124: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31092 in k31089 in k31083 in k31077 in k31074 in k31071 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in ... */
static void C_ccall f_31094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31094,2,av);}
t2=C_exit_runtime(C_fix((C_word)EX_SOFTWARE));
t3=C_halt(C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31098 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31099,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];
t3=C_u_i_length(t2);
t4=C_eqp(C_fix(1),t3);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31109,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5111: ##sys#print */
t6=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1369];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[2];
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31129,a[2]=t7,a[3]=((C_word)li974),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_31129(t9,t1,t5);}}

/* k31107 in a31098 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31109,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:5112: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31119 in for-each-loop5855 in a31098 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31121,2,av);}
/* library.scm:5117: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5855 in a31098 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_31129(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31129,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31139,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=t4;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31121,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5116: ##sys#print */
t8=*((C_word*)lf[864]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t7;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31137 in for-each-loop5855 in a31098 in k31068 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31139,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31129(t3,((C_word*)t0)[4],t2);}

/* k31153 in k31065 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_31155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31155,2,av);}
/* library.scm:5106: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31159 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_31161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31161,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31164,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5129: ##sys#print */
t4=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_31164(2,av2);}}}

/* k31162 in k31159 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_31164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31164,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31167,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5130: ##sys#print */
t3=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31165 in k31162 in k31159 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_31167,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31168,a[2]=((C_word*)t0)[2],a[3]=((C_word)li976),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31178,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31184,a[2]=t6,a[3]=t2,a[4]=((C_word)li977),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_31184(t8,t4,t3);}

/* g5887 in k31165 in k31162 in k31159 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_31168(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_31168,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31172,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5131: ##sys#print */
t4=*((C_word*)lf[864]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k31170 in g5887 in k31165 in k31162 in k31159 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31172,2,av);}
/* library.scm:5131: ##sys#print */
t2=*((C_word*)lf[864]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31176 in k31165 in k31162 in k31159 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31178,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31182,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5132: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31180 in k31176 in k31165 in k31162 in k31159 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31182,2,av);}
t2=C_halt(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* for-each-loop5886 in k31165 in k31162 in k31159 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_31184(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_31184,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31194,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5131: g5887 */
t5=((C_word*)t0)[3];
f_31168(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31192 in for-each-loop5886 in k31165 in k31162 in k31159 in k31056 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31194,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31184(t3,((C_word*)t0)[4],t2);}

/* a31210 in a31053 in k25827 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_31211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31211,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(lf[1372]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31213 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_31214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31214,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31218,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5003: chicken.base#exit-handler */
t3=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k31216 in a31213 in k25823 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_31218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31218,2,av);}
/* library.scm:5002: g5762 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)EX_SOFTWARE);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31222 in k25819 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_31223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31223,2,av);}
/* library.scm:4998: cleanup-before-exit */
f_25738(t1);}

/* a31228 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_31229,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31236,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4988: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k31234 in a31228 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_31236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_31236,2,av);}
a=C_alloc(4);
if(C_truep(C_retrieve2(lf[951],C_text("exit-in-progress")))){
/* library.scm:4990: ##sys#warn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[311]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[311]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1373];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31245,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4992: cleanup-before-exit */
f_25738(t2);}}

/* k31243 in k31234 in a31228 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_31245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31245,2,av);}
t2=C_exit_runtime(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31252 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31253,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=C_fixnum_plus(t3,C_fix(1));
t8=C_i_set_i_slot(t2,C_fix(10),t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a31277 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31278,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* a31295 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31296,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31300,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4744: check */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=C_fix(1);
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* k31298 in a31295 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_31300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31300,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_setsubchar(t3,t2,((C_word*)t0)[3]);
t5=C_fixnum_plus(t2,C_fix(1));
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31314 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31315,4,av);}
a=C_alloc(6);
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31319,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4751: check */
t6=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k31317 in a31314 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_31319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31319,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_substring_copy(((C_word*)t0)[3],t3,C_fix(0),((C_word*)t0)[4],t2);
t5=C_fixnum_plus(t2,((C_word*)t0)[4]);
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31333 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31334,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31336 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31337,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31339 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_31340,6,av);}
a=C_alloc(10);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t7=C_slot(t2,C_fix(10));
t8=t7;
t9=C_slot(t2,C_fix(11));
t10=C_fixnum_difference(t9,t8);
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31350,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t4,a[6]=t5,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t12=C_i_not(((C_word*)t6)[1]);
if(C_truep(t12)){
if(C_truep(t12)){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31350(t14,t13);}
else{
t13=t11;
f_31350(t13,C_SCHEME_UNDEFINED);}}
else{
if(C_truep(C_fixnum_greaterp(((C_word*)t6)[1],t10))){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31350(t14,t13);}
else{
t13=t11;
f_31350(t13,C_SCHEME_UNDEFINED);}}}

/* k31348 in a31339 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_fcall f_31350(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_31350,2,t0,t1);}
t2=C_slot(((C_word*)t0)[2],C_fix(12));
t3=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t4=C_substring_copy(t2,((C_word*)t0)[5],((C_word*)t0)[3],t3,((C_word*)t0)[6]);
t5=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
t7=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t7;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31380 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_31381,4,av);}
a=C_alloc(11);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=(C_truep(t3)?C_fixnum_plus(t5,t3):t7);
t11=t10;
if(C_truep(C_fixnum_greater_or_equal_p(t5,t7))){
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31405,a[2]=t11,a[3]=t7,a[4]=t9,a[5]=t5,a[6]=((C_word)li743),tmp=(C_word)a,a+=7,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31424,a[2]=t2,a[3]=((C_word)li744),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4773: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a31404 in a31380 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_31405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_31405,2,av);}
a=C_alloc(3);
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?((C_word*)t0)[3]:((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31415,a[2]=((C_word)li742),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4774: ##sys#scan-buffer-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[919]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[919]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[5];
av2[5]=t4;
tp(6,av2);}}

/* a31414 in a31404 in a31380 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in ... */
static void C_ccall f_31415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31415,3,av);}
/* library.scm:4776: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=t2;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}

/* a31423 in a31380 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_31424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31424,5,av);}
if(C_truep(t4)){
t5=C_slot(((C_word*)t0)[2],C_fix(4));
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=C_slot(((C_word*)t0)[2],C_fix(5));
t6=C_block_size(t3);
t7=C_fixnum_plus(t5,t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t7);
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* a31464 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in ... */
static void C_ccall f_31465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31465,3,av);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
t6=t5;
if(C_truep(C_fixnum_greater_or_equal_p(t3,t6))){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=lf[920];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31484,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4791: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=t4;
av2[3]=t3;
av2[4]=t6;
tp(5,av2);}}}

/* k31482 in a31464 in k23560 in k23556 in k23552 in k20031 in k20027 in k20023 in k20019 in k20015 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in ... */
static void C_ccall f_31484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31484,2,av);}
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31492 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in ... */
static void C_ccall f_31493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31493,5,av);}
t5=C_i_list_tail(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_car(t5,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31502 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in ... */
static void C_ccall f_31503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31503,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31512 in k19635 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in ... */
static void C_ccall f_31513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31513,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31522 in k19631 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in ... */
static void C_ccall f_31523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31523,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31532 in k19627 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in ... */
static void C_ccall f_31533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31533,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31542 in k19623 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in ... */
static void C_ccall f_31543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31543,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31552 in k19619 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in ... */
static void C_ccall f_31553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31553,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31562 in k19615 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in ... */
static void C_ccall f_31563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31563,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31572 in k19611 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in ... */
static void C_ccall f_31573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31573,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31582 in k19607 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in ... */
static void C_ccall f_31583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31583,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31592 in k19603 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in ... */
static void C_ccall f_31593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31593,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31602 in k19599 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in ... */
static void C_ccall f_31603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31603,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31612 in k19595 in k19591 in k19511 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in ... */
static void C_ccall f_31613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31613,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31622 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_31623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_31623,3,av);}
a=C_alloc(7);
if(C_truep(C_i_closurep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31639,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31647,a[2]=((C_word)li996),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3500: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}
else{
/* library.scm:3502: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[755];
av2[3]=lf[1375];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k31637 in a31622 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_31639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31639,2,av);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(1));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:3502: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[755];
av2[3]=lf[1375];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}
else{
/* library.scm:3502: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[755];
av2[3]=lf[1375];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31646 in a31622 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_31647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31647,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[756],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31662 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_31663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31663,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[756],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31678 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_31679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31679,4,av);}
a=C_alloc(6);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31689,a[2]=((C_word)li1001),tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_cons(&a,2,C_retrieve2(lf[756],C_text("setter-tag")),t4);
t6=C_i_setslot(t2,t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31688 in a31678 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in ... */
static void C_ccall f_31689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_31689,4,av);}
a=C_alloc(11);
if(C_truep(C_i_closurep(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31699,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31718,a[2]=((C_word)li999),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31734,a[2]=t3,a[3]=((C_word)li1000),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3511: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t5;
av2[4]=t6;
tp(5,av2);}}
else{
/* library.scm:3518: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[1376];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k31697 in a31688 in a31678 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_31699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_31699,2,av);}
a=C_alloc(6);
t2=C_eqp(((C_word*)t0)[2],t1);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t4=C_a_i_list1(&a,1,t3);
/* library.scm:3517: ##sys#become! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[329]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[329]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
tp(3,av2);}}}

/* a31717 in a31688 in a31678 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_31718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31718,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[756],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31733 in a31688 in a31678 in k18735 in k18732 in k18729 in k18726 in k18722 in k18718 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in ... */
static void C_ccall f_31734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31734,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[756],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31746 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31747,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31753,a[2]=t2,a[3]=t4,a[4]=((C_word)li542),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31753(2,av2);}}

/* loop in a31746 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31753,2,av);}
a=C_alloc(5);
t2=C_read_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31784,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3170: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2=av;
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31774 in k31782 in loop in a31746 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31776,2,av);}
/* library.scm:3172: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[697];
av2[3]=lf[698];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31778 in k31782 in loop in a31746 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31780,2,av);}
/* library.scm:3174: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[699];
av2[3]=t1;
tp(4,av2);}}

/* k31782 in loop in a31746 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31784,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3171: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31776,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31780,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31786 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31787,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31793,a[2]=t2,a[3]=t4,a[4]=((C_word)li544),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31793(2,av2);}}

/* loop in a31786 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31793,2,av);}
a=C_alloc(5);
t2=C_peek_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31824,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3182: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2=av;
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31814 in k31822 in loop in a31786 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31816,2,av);}
/* library.scm:3184: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[697];
av2[3]=lf[702];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31818 in k31822 in loop in a31786 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31820,2,av);}
/* library.scm:3186: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[703];
av2[3]=t1;
tp(4,av2);}}

/* k31822 in loop in a31786 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31824,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3183: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31816,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31820,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31826 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31827,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_char(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31829 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31830,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_string(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31832 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31833,4,av);}
t4=C_close_file(t2);
/* library.scm:3195: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2=av;
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t1;
tp(2,av2);}}

/* a31838 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31839,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_flush_output(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31841 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31842,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_char_ready_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31844 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31845,6,av);}
a=C_alloc(7);
t6=t3;
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31853,a[2]=t4,a[3]=t2,a[4]=t3,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_31853(t8,t6);}
else{
t8=C_block_size(t4);
t9=t7;
f_31853(t9,C_fixnum_difference(t8,t5));}}

/* k31851 in a31844 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_31853(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_31853,2,t0,t1);}
a=C_alloc(9);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31855,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word)li552),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_31855(t5,((C_word*)t0)[5],t1,C_fix(0),((C_word*)t0)[6]);}

/* loop in k31851 in a31844 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_31855(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_31855,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=fast_read_string_from_file(((C_word*)t0)[2],((C_word*)t0)[3],t2,t4);
if(C_truep(C_eofp(t5))){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_31910,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=t1,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[5],a[10]=((C_word*)t0)[2],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3206: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word av2[2];
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t6;
tp(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,t2))){
t6=C_fixnum_difference(t2,t5);
t7=C_fixnum_plus(t3,t5);
t8=C_fixnum_plus(t4,t5);
/* library.scm:3215: loop */
t10=t1;
t11=t6;
t12=t7;
t13=t8;
t1=t10;
t2=t11;
t3=t12;
t4=t13;
goto loop;}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_plus(t3,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* a31878 in k31908 in loop in k31851 in a31844 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31879,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_fixnum_plus(((C_word*)t0)[4],((C_word*)t0)[3]);
t4=C_fixnum_plus(((C_word*)t0)[5],((C_word*)t0)[3]);
/* library.scm:3209: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_31855(t5,t1,t2,t3,t4);}

/* k31900 in k31908 in loop in k31851 in a31844 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_31902,2,av);}
/* library.scm:3210: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[697];
av2[3]=lf[704];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k31904 in k31908 in loop in k31851 in a31844 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31906,2,av);}
/* library.scm:3212: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[705];
av2[3]=t1;
tp(4,av2);}}

/* k31908 in loop in k31851 in a31844 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_31910,2,av);}
a=C_alloc(13);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31879,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li551),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3207: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=((C_word*)t0)[7];
av2[2]=t4;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31902,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31906,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31944,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31948,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:3219: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[706];
tp(4,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31948(2,av2);}}}

/* k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_31948,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31951,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[3],C_fix(12)))){
t3=t2;
f_31951(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32117,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3222: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=C_fix(1024);
tp(3,av2);}}}

/* k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_31951(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,7)))){
C_save_and_reclaim_args((void *)trf_31951,2,t0,t1);}
a=C_alloc(8);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:lf[269]);
t4=C_slot(((C_word*)t0)[3],C_fix(12));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31964,a[2]=((C_word*)t0)[3],a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=((C_word)li555),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_31964(t8,((C_word*)t0)[4],C_fix(1024),t3,t4,lf[708],C_SCHEME_FALSE);}

/* loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_fcall f_31964(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_31964,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(11);
t7=C_i_fixnum_min(t3,t2);
t8=fast_read_line_from_file(t4,((C_word*)t0)[2],t7);
if(C_truep(C_eofp(t8))){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t6)?t5:C_SCHEME_END_OF_FILE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
if(C_truep(C_i_not(t8))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31997,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3233: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
t9=C_fixnum_times(t2,C_fix(2));
t10=t9;
t11=C_fixnum_difference(t3,t2);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32012,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t10,a[5]=t12,a[6]=t5,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
t14=C_fixnum_times(t2,C_fix(2));
/* library.scm:3236: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t13;
av2[2]=t14;
tp(3,av2);}}}
else{
if(C_truep(C_fixnum_lessp(t8,C_fix(0)))){
t9=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32071,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t5,a[8]=t1,a[9]=((C_word*)t0)[2],a[10]=((C_word*)t0)[4],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3240: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word av2[2];
av2[0]=*((C_word*)lf[701]+1);
av2[1]=t9;
tp(2,av2);}}
else{
if(C_truep(t6)){
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32085,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3253: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t12;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}
else{
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
/* library.scm:3256: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}}}}

/* k31995 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_31997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31997,2,av);}
/* library.scm:3233: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32010 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_32012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_32012,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32016,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3237: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k32014 in k32010 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 in ... */
static void C_ccall f_32016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32016,2,av);}
/* library.scm:3234: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_31964(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* a32039 in k32069 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 in ... */
static void C_ccall f_32040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_32040,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32048,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32052,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3246: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}

/* k32046 in a32039 in k32069 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_32048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32048,2,av);}
/* library.scm:3244: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_31964(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* k32050 in a32039 in k32069 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in ... */
static void C_ccall f_32052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32052,2,av);}
/* library.scm:3245: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32061 in k32069 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 in ... */
static void C_ccall f_32063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32063,2,av);}
/* library.scm:3248: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[697];
av2[3]=lf[706];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k32065 in k32069 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 in ... */
static void C_ccall f_32067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32067,2,av);}
/* library.scm:3250: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[707];
av2[3]=t1;
tp(4,av2);}}

/* k32069 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_32071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_32071,2,av);}
a=C_alloc(11);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=C_fixnum_negate(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_32040,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t6,a[8]=((C_word)li554),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3242: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=((C_word*)t0)[8];
av2[2]=t7;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32063,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32067,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[700]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k32083 in loop in k31949 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_32085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32085,2,av);}
/* library.scm:3253: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32115 in k31946 in a31943 in k18153 in k18150 in k18147 in k18144 in k18141 in k18138 in k18135 in k18132 in k18129 in k18126 in k18123 in k18120 in k18117 in k18114 in k17954 in k8513 */
static void C_ccall f_32117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32117,2,av);}
t2=((C_word*)t0)[2];
f_31951(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k8513 */
static void C_ccall f_8515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word t226;
C_word t227;
C_word t228;
C_word t229;
C_word t230;
C_word t231;
C_word t232;
C_word t233;
C_word t234;
C_word t235;
C_word t236;
C_word t237;
C_word t238;
C_word t239;
C_word t240;
C_word t241;
C_word t242;
C_word t243;
C_word t244;
C_word t245;
C_word t246;
C_word t247;
C_word t248;
C_word t249;
C_word t250;
C_word t251;
C_word t252;
C_word t253;
C_word t254;
C_word t255;
C_word t256;
C_word t257;
C_word t258;
C_word t259;
C_word t260;
C_word t261;
C_word t262;
C_word t263;
C_word t264;
C_word t265;
C_word t266;
C_word t267;
C_word t268;
C_word t269;
C_word t270;
C_word t271;
C_word t272;
C_word t273;
C_word t274;
C_word t275;
C_word t276;
C_word t277;
C_word t278;
C_word t279;
C_word t280;
C_word t281;
C_word t282;
C_word t283;
C_word t284;
C_word t285;
C_word t286;
C_word t287;
C_word t288;
C_word t289;
C_word t290;
C_word t291;
C_word t292;
C_word t293;
C_word t294;
C_word t295;
C_word t296;
C_word t297;
C_word t298;
C_word t299;
C_word t300;
C_word t301;
C_word t302;
C_word t303;
C_word t304;
C_word t305;
C_word t306;
C_word t307;
C_word t308;
C_word t309;
C_word t310;
C_word t311;
C_word t312;
C_word t313;
C_word t314;
C_word t315;
C_word t316;
C_word t317;
C_word t318;
C_word t319;
C_word t320;
C_word t321;
C_word t322;
C_word t323;
C_word t324;
C_word t325;
C_word t326;
C_word t327;
C_word t328;
C_word t329;
C_word t330;
C_word t331;
C_word t332;
C_word t333;
C_word t334;
C_word t335;
C_word t336;
C_word t337;
C_word t338;
C_word t339;
C_word t340;
C_word t341;
C_word t342;
C_word t343;
C_word t344;
C_word t345;
C_word t346;
C_word t347;
C_word t348;
C_word t349;
C_word t350;
C_word t351;
C_word t352;
C_word t353;
C_word t354;
C_word t355;
C_word t356;
C_word t357;
C_word t358;
C_word t359;
C_word t360;
C_word t361;
C_word t362;
C_word t363;
C_word t364;
C_word t365;
C_word t366;
C_word t367;
C_word t368;
C_word t369;
C_word t370;
C_word t371;
C_word t372;
C_word t373;
C_word t374;
C_word t375;
C_word t376;
C_word t377;
C_word t378;
C_word t379;
C_word t380;
C_word t381;
C_word t382;
C_word t383;
C_word t384;
C_word t385;
C_word t386;
C_word t387;
C_word t388;
C_word t389;
C_word t390;
C_word t391;
C_word t392;
C_word t393;
C_word t394;
C_word t395;
C_word t396;
C_word t397;
C_word t398;
C_word t399;
C_word t400;
C_word t401;
C_word t402;
C_word t403;
C_word t404;
C_word t405;
C_word t406;
C_word t407;
C_word t408;
C_word t409;
C_word t410;
C_word t411;
C_word t412;
C_word t413;
C_word t414;
C_word t415;
C_word t416;
C_word t417;
C_word t418;
C_word t419;
C_word t420;
C_word t421;
C_word t422;
C_word t423;
C_word t424;
C_word t425;
C_word t426;
C_word t427;
C_word t428;
C_word t429;
C_word t430;
C_word t431;
C_word t432;
C_word t433;
C_word t434;
C_word t435;
C_word t436;
C_word t437;
C_word t438;
C_word t439;
C_word t440;
C_word t441;
C_word t442;
C_word t443;
C_word t444;
C_word t445;
C_word t446;
C_word t447;
C_word t448;
C_word t449;
C_word t450;
C_word t451;
C_word t452;
C_word t453;
C_word t454;
C_word t455;
C_word t456;
C_word t457;
C_word t458;
C_word t459;
C_word t460;
C_word t461;
C_word t462;
C_word t463;
C_word t464;
C_word t465;
C_word t466;
C_word t467;
C_word t468;
C_word t469;
C_word t470;
C_word t471;
C_word t472;
C_word t473;
C_word t474;
C_word t475;
C_word t476;
C_word t477;
C_word t478;
C_word t479;
C_word t480;
C_word t481;
C_word t482;
C_word t483;
C_word t484;
C_word t485;
C_word t486;
C_word t487;
C_word t488;
C_word t489;
C_word t490;
C_word t491;
C_word t492;
C_word t493;
C_word t494;
C_word t495;
C_word t496;
C_word t497;
C_word t498;
C_word t499;
C_word t500;
C_word t501;
C_word t502;
C_word t503;
C_word t504;
C_word t505;
C_word t506;
C_word t507;
C_word t508;
C_word t509;
C_word t510;
C_word t511;
C_word t512;
C_word t513;
C_word t514;
C_word t515;
C_word t516;
C_word t517;
C_word t518;
C_word t519;
C_word t520;
C_word t521;
C_word t522;
C_word t523;
C_word t524;
C_word t525;
C_word t526;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(1324,c,6)))){
C_save_and_reclaim((void *)f_8515,2,av);}
a=C_alloc(1324);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_a_i_provide(&a,1,lf[1]);
t4=C_mutate((C_word*)lf[2]+1 /* (set! scheme#not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8517,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[3]+1 /* (set! scheme#boolean? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8520,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[4]+1 /* (set! scheme#eq? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8523,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[5]+1 /* (set! scheme#eqv? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8526,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[6]+1 /* (set! scheme#equal? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8529,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[7]+1 /* (set! scheme#pair? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8532,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[8]+1 /* (set! scheme#cons ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8535,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8538,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8541,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[11]+1 /* (set! scheme#set-car! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8544,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[12]+1 /* (set! scheme#set-cdr! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8547,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8550,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8553,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[15]+1 /* (set! scheme#cadddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8556,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[16]+1 /* (set! scheme#cddddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8559,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8562,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8565,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8568,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8571,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8585,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8592,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8599,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8613,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8620,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8634,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[27]+1 /* (set! scheme#caaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8648,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[28]+1 /* (set! scheme#caaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8666,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[29]+1 /* (set! scheme#caadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8677,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[30]+1 /* (set! scheme#caaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8688,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[31]+1 /* (set! scheme#cadaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8695,a[2]=((C_word)li29),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[32]+1 /* (set! scheme#cadadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8706,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[33]+1 /* (set! scheme#caddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8710,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[34]+1 /* (set! scheme#cdaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8717,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[35]+1 /* (set! scheme#cdaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8735,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[36]+1 /* (set! scheme#cdadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8746,a[2]=((C_word)li34),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[37]+1 /* (set! scheme#cdaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8757,a[2]=((C_word)li35),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[38]+1 /* (set! scheme#cddaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8764,a[2]=((C_word)li36),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[39]+1 /* (set! scheme#cddadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8782,a[2]=((C_word)li37),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[40]+1 /* (set! scheme#cdddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8793,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[41]+1 /* (set! scheme#null? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8811,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[42]+1 /* (set! scheme#list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8817,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[43]+1 /* (set! scheme#length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8820,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[44]+1 /* (set! scheme#list-tail ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8823,a[2]=((C_word)li42),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8826,a[2]=((C_word)li43),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[46]+1 /* (set! scheme#reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8829,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[49]+1 /* (set! scheme#memq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8868,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[50]+1 /* (set! scheme#memv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8871,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[51]+1 /* (set! scheme#member ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8874,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[52]+1 /* (set! scheme#assq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8877,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[53]+1 /* (set! scheme#assv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8880,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[54]+1 /* (set! scheme#assoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8883,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[55]+1 /* (set! scheme#list? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8886,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[56]+1 /* (set! scheme#string? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8889,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[57]+1 /* (set! scheme#string-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8892,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8895,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[59]+1 /* (set! scheme#string-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8898,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[60]+1 /* (set! scheme#string=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8901,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[61]+1 /* (set! scheme#string-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8904,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t62=C_mutate((C_word*)lf[62]+1 /* (set! scheme#exact->inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8908,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t63=C_mutate((C_word*)lf[63]+1 /* (set! scheme#abs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8911,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[64]+1 /* (set! scheme#+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_plus,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t65=C_mutate((C_word*)lf[65]+1 /* (set! scheme#- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_minus,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t66=C_mutate((C_word*)lf[66]+1 /* (set! scheme#* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_times,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t67=C_mutate((C_word*)lf[67]+1 /* (set! scheme#quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8917,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t68=C_mutate((C_word*)lf[68]+1 /* (set! scheme#remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8920,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t69=C_mutate((C_word*)lf[69]+1 /* (set! scheme#modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8923,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t70=C_mutate((C_word*)lf[70]+1 /* (set! scheme#even? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8926,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t71=C_mutate((C_word*)lf[71]+1 /* (set! scheme#odd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8929,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t72=C_mutate((C_word*)lf[72]+1 /* (set! scheme#= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_nequalp,a[2]=((C_word)li69),tmp=(C_word)a,a+=3,tmp));
t73=C_mutate((C_word*)lf[73]+1 /* (set! scheme#> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greaterp,a[2]=((C_word)li70),tmp=(C_word)a,a+=3,tmp));
t74=C_mutate((C_word*)lf[74]+1 /* (set! scheme#< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_lessp,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t75=C_mutate((C_word*)lf[75]+1 /* (set! scheme#>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greater_or_equal_p,a[2]=((C_word)li72),tmp=(C_word)a,a+=3,tmp));
t76=C_mutate((C_word*)lf[76]+1 /* (set! scheme#<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_less_or_equal_p,a[2]=((C_word)li73),tmp=(C_word)a,a+=3,tmp));
t77=C_mutate((C_word*)lf[77]+1 /* (set! scheme#number? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8937,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t78=C_mutate((C_word*)lf[78]+1 /* (set! scheme#complex? ...) */,*((C_word*)lf[77]+1));
t79=C_mutate((C_word*)lf[79]+1 /* (set! scheme#real? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8941,a[2]=((C_word)li75),tmp=(C_word)a,a+=3,tmp));
t80=C_mutate((C_word*)lf[80]+1 /* (set! scheme#rational? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8944,a[2]=((C_word)li76),tmp=(C_word)a,a+=3,tmp));
t81=C_mutate((C_word*)lf[81]+1 /* (set! scheme#integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8947,a[2]=((C_word)li77),tmp=(C_word)a,a+=3,tmp));
t82=C_mutate((C_word*)lf[82]+1 /* (set! scheme#exact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8950,a[2]=((C_word)li78),tmp=(C_word)a,a+=3,tmp));
t83=C_mutate((C_word*)lf[83]+1 /* (set! scheme#inexact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8953,a[2]=((C_word)li79),tmp=(C_word)a,a+=3,tmp));
t84=C_mutate((C_word*)lf[84]+1 /* (set! scheme#zero? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8956,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t85=C_mutate((C_word*)lf[85]+1 /* (set! scheme#positive? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8959,a[2]=((C_word)li81),tmp=(C_word)a,a+=3,tmp));
t86=C_mutate((C_word*)lf[86]+1 /* (set! scheme#negative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8962,a[2]=((C_word)li82),tmp=(C_word)a,a+=3,tmp));
t87=C_mutate((C_word*)lf[87]+1 /* (set! scheme#number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_number_to_string,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp));
t88=C_mutate((C_word*)lf[88]+1 /* (set! scheme#symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8966,a[2]=((C_word)li84),tmp=(C_word)a,a+=3,tmp));
t89=C_mutate((C_word*)lf[89]+1 /* (set! scheme#vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8969,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t90=C_mutate((C_word*)lf[90]+1 /* (set! scheme#vector-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8972,a[2]=((C_word)li86),tmp=(C_word)a,a+=3,tmp));
t91=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8975,a[2]=((C_word)li87),tmp=(C_word)a,a+=3,tmp));
t92=C_mutate((C_word*)lf[92]+1 /* (set! scheme#vector-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8978,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t93=C_set_block_item(lf[93] /* scheme#make-vector */,0,C_SCHEME_UNDEFINED);
t94=C_set_block_item(lf[94] /* scheme#list->vector */,0,C_SCHEME_UNDEFINED);
t95=C_set_block_item(lf[95] /* scheme#vector->list */,0,C_SCHEME_UNDEFINED);
t96=C_set_block_item(lf[96] /* scheme#vector */,0,C_SCHEME_UNDEFINED);
t97=C_set_block_item(lf[97] /* scheme#vector-fill! */,0,C_SCHEME_UNDEFINED);
t98=C_mutate((C_word*)lf[98]+1 /* (set! scheme#char? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8986,a[2]=((C_word)li89),tmp=(C_word)a,a+=3,tmp));
t99=C_mutate((C_word*)lf[99]+1 /* (set! scheme#char->integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8989,a[2]=((C_word)li90),tmp=(C_word)a,a+=3,tmp));
t100=C_mutate((C_word*)lf[101]+1 /* (set! scheme#integer->char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8996,a[2]=((C_word)li91),tmp=(C_word)a,a+=3,tmp));
t101=C_mutate((C_word*)lf[104]+1 /* (set! scheme#char=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9003,a[2]=((C_word)li92),tmp=(C_word)a,a+=3,tmp));
t102=C_mutate((C_word*)lf[105]+1 /* (set! scheme#char>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9006,a[2]=((C_word)li93),tmp=(C_word)a,a+=3,tmp));
t103=C_mutate((C_word*)lf[106]+1 /* (set! scheme#char<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9009,a[2]=((C_word)li94),tmp=(C_word)a,a+=3,tmp));
t104=C_mutate((C_word*)lf[107]+1 /* (set! scheme#char>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9012,a[2]=((C_word)li95),tmp=(C_word)a,a+=3,tmp));
t105=C_mutate((C_word*)lf[108]+1 /* (set! scheme#char<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9015,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t106=C_mutate((C_word*)lf[109]+1 /* (set! scheme#char-upcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9018,a[2]=((C_word)li97),tmp=(C_word)a,a+=3,tmp));
t107=C_mutate((C_word*)lf[111]+1 /* (set! scheme#char-downcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9024,a[2]=((C_word)li98),tmp=(C_word)a,a+=3,tmp));
t108=C_set_block_item(lf[113] /* scheme#char-ci=? */,0,C_SCHEME_UNDEFINED);
t109=C_set_block_item(lf[114] /* scheme#char-ci>? */,0,C_SCHEME_UNDEFINED);
t110=C_set_block_item(lf[115] /* scheme#char-ci<? */,0,C_SCHEME_UNDEFINED);
t111=C_set_block_item(lf[116] /* scheme#char-ci>=? */,0,C_SCHEME_UNDEFINED);
t112=C_set_block_item(lf[117] /* scheme#char-ci<=? */,0,C_SCHEME_UNDEFINED);
t113=C_mutate((C_word*)lf[118]+1 /* (set! scheme#char-upper-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9035,a[2]=((C_word)li99),tmp=(C_word)a,a+=3,tmp));
t114=C_mutate((C_word*)lf[120]+1 /* (set! scheme#char-lower-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9041,a[2]=((C_word)li100),tmp=(C_word)a,a+=3,tmp));
t115=C_mutate((C_word*)lf[122]+1 /* (set! scheme#char-numeric? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9047,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t116=C_mutate((C_word*)lf[124]+1 /* (set! scheme#char-whitespace? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9053,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t117=C_mutate((C_word*)lf[126]+1 /* (set! scheme#char-alphabetic? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9059,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t118=C_mutate((C_word*)lf[128]+1 /* (set! scheme#procedure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9065,a[2]=((C_word)li104),tmp=(C_word)a,a+=3,tmp));
t119=C_mutate((C_word*)lf[129]+1 /* (set! scheme#apply ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply,a[2]=((C_word)li105),tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[130]+1 /* (set! scheme#values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_values,a[2]=((C_word)li106),tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[131]+1 /* (set! scheme#call-with-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_values,a[2]=((C_word)li107),tmp=(C_word)a,a+=3,tmp));
t122=C_set_block_item(lf[132] /* scheme#call-with-current-continuation */,0,C_SCHEME_UNDEFINED);
t123=C_mutate((C_word*)lf[133]+1 /* (set! scheme#input-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9072,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t124=C_mutate((C_word*)lf[134]+1 /* (set! scheme#output-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9078,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t125=C_set_block_item(lf[135] /* scheme#current-input-port */,0,C_SCHEME_UNDEFINED);
t126=C_set_block_item(lf[136] /* scheme#current-output-port */,0,C_SCHEME_UNDEFINED);
t127=C_set_block_item(lf[137] /* scheme#open-input-file */,0,C_SCHEME_UNDEFINED);
t128=C_set_block_item(lf[138] /* scheme#open-output-file */,0,C_SCHEME_UNDEFINED);
t129=C_set_block_item(lf[139] /* scheme#close-input-port */,0,C_SCHEME_UNDEFINED);
t130=C_set_block_item(lf[140] /* scheme#close-output-port */,0,C_SCHEME_UNDEFINED);
t131=C_set_block_item(lf[141] /* scheme#call-with-input-file */,0,C_SCHEME_UNDEFINED);
t132=C_set_block_item(lf[142] /* scheme#call-with-output-file */,0,C_SCHEME_UNDEFINED);
t133=C_set_block_item(lf[143] /* scheme#with-input-from-file */,0,C_SCHEME_UNDEFINED);
t134=C_set_block_item(lf[144] /* scheme#with-output-to-file */,0,C_SCHEME_UNDEFINED);
t135=C_mutate((C_word*)lf[145]+1 /* (set! scheme#eof-object? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9094,a[2]=((C_word)li110),tmp=(C_word)a,a+=3,tmp));
t136=C_set_block_item(lf[146] /* scheme#char-ready? */,0,C_SCHEME_UNDEFINED);
t137=C_set_block_item(lf[147] /* scheme#read-char */,0,C_SCHEME_UNDEFINED);
t138=C_set_block_item(lf[148] /* scheme#peek-char */,0,C_SCHEME_UNDEFINED);
t139=C_set_block_item(lf[149] /* scheme#read */,0,C_SCHEME_UNDEFINED);
t140=C_set_block_item(lf[150] /* scheme#write-char */,0,C_SCHEME_UNDEFINED);
t141=C_set_block_item(lf[151] /* scheme#newline */,0,C_SCHEME_UNDEFINED);
t142=C_set_block_item(lf[152] /* scheme#write */,0,C_SCHEME_UNDEFINED);
t143=C_set_block_item(lf[153] /* scheme#display */,0,C_SCHEME_UNDEFINED);
t144=C_mutate((C_word*)lf[154]+1 /* (set! scheme#eval ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9105,a[2]=((C_word)li111),tmp=(C_word)a,a+=3,tmp));
t145=C_mutate((C_word*)lf[158]+1 /* (set! scheme#interaction-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9111,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t146=C_mutate((C_word*)lf[161]+1 /* (set! scheme#scheme-report-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9117,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t147=C_mutate((C_word*)lf[164]+1 /* (set! scheme#null-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9123,a[2]=((C_word)li114),tmp=(C_word)a,a+=3,tmp));
t148=C_mutate((C_word*)lf[167]+1 /* (set! scheme#load ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9129,a[2]=((C_word)li115),tmp=(C_word)a,a+=3,tmp));
t149=C_set_block_item(lf[170] /* scheme#for-each */,0,C_SCHEME_UNDEFINED);
t150=C_set_block_item(lf[171] /* scheme#map */,0,C_SCHEME_UNDEFINED);
t151=C_set_block_item(lf[172] /* scheme#dynamic-wind */,0,C_SCHEME_UNDEFINED);
t152=C_a_i_provide(&a,1,lf[173]);
t153=C_mutate((C_word*)lf[174]+1 /* (set! chicken.base#fixnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9138,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate((C_word*)lf[175]+1 /* (set! chicken.base#flonum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9141,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t155=C_mutate((C_word*)lf[176]+1 /* (set! chicken.base#bignum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9144,a[2]=((C_word)li118),tmp=(C_word)a,a+=3,tmp));
t156=C_mutate((C_word*)lf[177]+1 /* (set! chicken.base#ratnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9147,a[2]=((C_word)li119),tmp=(C_word)a,a+=3,tmp));
t157=C_mutate((C_word*)lf[178]+1 /* (set! chicken.base#cplxnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9150,a[2]=((C_word)li120),tmp=(C_word)a,a+=3,tmp));
t158=C_mutate((C_word*)lf[179]+1 /* (set! chicken.base#exact-integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9153,a[2]=((C_word)li121),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate((C_word*)lf[180]+1 /* (set! chicken.base#quotient&remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_quotient_and_remainder,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate((C_word*)lf[181]+1 /* (set! chicken.base#quotient&modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9157,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate((C_word*)lf[182]+1 /* (set! chicken.base#finite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9202,a[2]=((C_word)li126),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate((C_word*)lf[183]+1 /* (set! chicken.base#infinite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9205,a[2]=((C_word)li127),tmp=(C_word)a,a+=3,tmp));
t163=C_mutate((C_word*)lf[184]+1 /* (set! chicken.base#nan? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9208,a[2]=((C_word)li128),tmp=(C_word)a,a+=3,tmp));
t164=C_mutate((C_word*)lf[185]+1 /* (set! chicken.base#signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_signum,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t165=C_set_block_item(lf[186] /* chicken.base#get-call-chain */,0,C_SCHEME_UNDEFINED);
t166=C_set_block_item(lf[187] /* chicken.base#print-call-chain */,0,C_SCHEME_UNDEFINED);
t167=C_set_block_item(lf[188] /* chicken.base#print */,0,C_SCHEME_UNDEFINED);
t168=C_set_block_item(lf[189] /* chicken.base#print* */,0,C_SCHEME_UNDEFINED);
t169=C_mutate((C_word*)lf[190]+1 /* (set! chicken.base#add1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9216,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t170=C_mutate((C_word*)lf[191]+1 /* (set! chicken.base#sub1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9221,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t171=C_set_block_item(lf[192] /* chicken.base#current-error-port */,0,C_SCHEME_UNDEFINED);
t172=C_mutate((C_word*)lf[193]+1 /* (set! chicken.base#error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9227,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate((C_word*)lf[196]+1 /* (set! chicken.base#void ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9242,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t174=C_set_block_item(lf[197] /* chicken.base#sleep */,0,C_SCHEME_UNDEFINED);
t175=C_set_block_item(lf[198] /* chicken.base#call/cc */,0,C_SCHEME_UNDEFINED);
t176=C_set_block_item(lf[199] /* chicken.base#char-name */,0,C_SCHEME_UNDEFINED);
t177=C_set_block_item(lf[200] /* chicken.base#getter-with-setter */,0,C_SCHEME_UNDEFINED);
t178=C_set_block_item(lf[201] /* chicken.base#make-parameter */,0,C_SCHEME_UNDEFINED);
t179=C_set_block_item(lf[202] /* chicken.base#procedure-information */,0,C_SCHEME_UNDEFINED);
t180=C_set_block_item(lf[203] /* chicken.base#setter */,0,C_SCHEME_UNDEFINED);
t181=C_set_block_item(lf[204] /* chicken.base#vector-copy! */,0,C_SCHEME_UNDEFINED);
t182=C_set_block_item(lf[205] /* chicken.base#subvector */,0,C_SCHEME_UNDEFINED);
t183=C_set_block_item(lf[206] /* chicken.base#vector-resize */,0,C_SCHEME_UNDEFINED);
t184=C_set_block_item(lf[207] /* chicken.base#port? */,0,C_SCHEME_UNDEFINED);
t185=C_set_block_item(lf[208] /* chicken.base#port-closed? */,0,C_SCHEME_UNDEFINED);
t186=C_set_block_item(lf[209] /* chicken.base#input-port-open? */,0,C_SCHEME_UNDEFINED);
t187=C_set_block_item(lf[210] /* chicken.base#output-port-open? */,0,C_SCHEME_UNDEFINED);
t188=C_set_block_item(lf[211] /* chicken.base#get-output-string */,0,C_SCHEME_UNDEFINED);
t189=C_set_block_item(lf[212] /* chicken.base#open-input-string */,0,C_SCHEME_UNDEFINED);
t190=C_set_block_item(lf[213] /* chicken.base#open-output-string */,0,C_SCHEME_UNDEFINED);
t191=C_set_block_item(lf[214] /* chicken.base#flush-output */,0,C_SCHEME_UNDEFINED);
t192=C_mutate((C_word*)lf[215]+1 /* (set! chicken.base#promise? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9263,a[2]=((C_word)li134),tmp=(C_word)a,a+=3,tmp));
t193=C_mutate((C_word*)lf[217]+1 /* (set! ##sys#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9269,a[2]=((C_word)li135),tmp=(C_word)a,a+=3,tmp));
t194=C_mutate((C_word*)lf[218]+1 /* (set! chicken.base#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9275,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate((C_word*)lf[219]+1 /* (set! chicken.base#foldl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9290,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp));
t196=C_mutate((C_word*)lf[221]+1 /* (set! chicken.base#foldr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9327,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t197=C_set_block_item(lf[223] /* chicken.base#implicit-exit-handler */,0,C_SCHEME_UNDEFINED);
t198=C_set_block_item(lf[224] /* chicken.base#exit-handler */,0,C_SCHEME_UNDEFINED);
t199=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
t200=C_mutate((C_word*)lf[226]+1 /* (set! chicken.base#on-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9367,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t201=C_mutate((C_word*)lf[227]+1 /* (set! chicken.base#exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9374,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t202=C_mutate((C_word*)lf[228]+1 /* (set! chicken.base#emergency-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9392,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t203=C_set_block_item(lf[230] /* chicken.base#case-sensitive */,0,C_SCHEME_UNDEFINED);
t204=C_set_block_item(lf[231] /* chicken.base#keyword-style */,0,C_SCHEME_UNDEFINED);
t205=C_set_block_item(lf[232] /* chicken.base#parentheses-synonyms */,0,C_SCHEME_UNDEFINED);
t206=C_set_block_item(lf[233] /* chicken.base#symbol-escape */,0,C_SCHEME_UNDEFINED);
t207=C_mutate((C_word*)lf[234]+1 /* (set! chicken.base#identity ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9411,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t208=C_mutate((C_word*)lf[235]+1 /* (set! chicken.base#conjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9414,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t209=C_mutate((C_word*)lf[236]+1 /* (set! chicken.base#disjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9447,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate((C_word*)lf[237]+1 /* (set! chicken.base#constantly ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9484,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate((C_word*)lf[238]+1 /* (set! chicken.base#flip ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9505,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate((C_word*)lf[239]+1 /* (set! chicken.base#complement ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9513,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate((C_word*)lf[240]+1 /* (set! chicken.base#compose ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9525,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate((C_word*)lf[241]+1 /* (set! chicken.base#o ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9561,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate((C_word*)lf[242]+1 /* (set! chicken.base#list-of? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9600,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t216=C_mutate((C_word*)lf[243]+1 /* (set! chicken.base#each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9644,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t217=C_mutate((C_word*)lf[245]+1 /* (set! chicken.base#atom? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9700,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t218=C_mutate((C_word*)lf[246]+1 /* (set! chicken.base#tail? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9703,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t219=C_mutate((C_word*)lf[248]+1 /* (set! chicken.base#intersperse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9731,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t220=C_mutate((C_word*)lf[249]+1 /* (set! chicken.base#butlast ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9764,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t221=C_mutate((C_word*)lf[251]+1 /* (set! chicken.base#flatten ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9796,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t222=C_mutate((C_word*)lf[252]+1 /* (set! chicken.base#join ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9837,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t223=C_mutate((C_word*)lf[255]+1 /* (set! chicken.base#compress ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9894,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t224=C_mutate((C_word*)lf[259]+1 /* (set! chicken.base#alist-update! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9974,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t225=C_mutate((C_word*)lf[260]+1 /* (set! chicken.base#alist-update ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10060,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t226=C_mutate((C_word*)lf[264]+1 /* (set! chicken.base#alist-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10164,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t227=C_mutate((C_word*)lf[267]+1 /* (set! chicken.base#rassoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10276,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t228=C_mutate(&lf[269] /* (set! maximal-string-length ...) */,C_unsigned_long_to_num(&a,C_HEADER_SIZE_MASK));
t229=C_a_i_provide(&a,1,lf[270]);
t230=C_set_block_item(lf[271] /* chicken.fixnum#most-positive-fixnum */,0,C_fix((C_word)C_MOST_POSITIVE_FIXNUM));
t231=C_set_block_item(lf[272] /* chicken.fixnum#most-negative-fixnum */,0,C_fix((C_word)C_MOST_NEGATIVE_FIXNUM));
t232=C_set_block_item(lf[273] /* chicken.fixnum#fixnum-bits */,0,C_fix((C_word)(C_WORD_SIZE - 1)));
t233=C_set_block_item(lf[274] /* chicken.fixnum#fixnum-precision */,0,C_fix((C_word)(C_WORD_SIZE - (1 + 1))));
t234=C_mutate((C_word*)lf[275]+1 /* (set! chicken.fixnum#fx+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10329,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t235=C_mutate((C_word*)lf[276]+1 /* (set! chicken.fixnum#fx- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10332,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t236=C_mutate((C_word*)lf[277]+1 /* (set! chicken.fixnum#fx* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10335,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t237=C_mutate((C_word*)lf[278]+1 /* (set! chicken.fixnum#fx= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10338,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t238=C_mutate((C_word*)lf[279]+1 /* (set! chicken.fixnum#fx> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10344,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t239=C_mutate((C_word*)lf[280]+1 /* (set! chicken.fixnum#fx< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10347,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t240=C_mutate((C_word*)lf[281]+1 /* (set! chicken.fixnum#fx>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10350,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t241=C_mutate((C_word*)lf[282]+1 /* (set! chicken.fixnum#fx<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10353,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t242=C_mutate((C_word*)lf[283]+1 /* (set! chicken.fixnum#fxmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10356,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t243=C_mutate((C_word*)lf[284]+1 /* (set! chicken.fixnum#fxmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10359,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t244=C_mutate((C_word*)lf[285]+1 /* (set! chicken.fixnum#fxneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10362,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t245=C_mutate((C_word*)lf[286]+1 /* (set! chicken.fixnum#fxand ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10365,a[2]=((C_word)li207),tmp=(C_word)a,a+=3,tmp));
t246=C_mutate((C_word*)lf[287]+1 /* (set! chicken.fixnum#fxior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10368,a[2]=((C_word)li208),tmp=(C_word)a,a+=3,tmp));
t247=C_mutate((C_word*)lf[288]+1 /* (set! chicken.fixnum#fxxor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10371,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t248=C_mutate((C_word*)lf[289]+1 /* (set! chicken.fixnum#fxnot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10374,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp));
t249=C_mutate((C_word*)lf[290]+1 /* (set! chicken.fixnum#fxshl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10377,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp));
t250=C_mutate((C_word*)lf[291]+1 /* (set! chicken.fixnum#fxshr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10380,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp));
t251=C_mutate((C_word*)lf[292]+1 /* (set! chicken.fixnum#fxodd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10383,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp));
t252=C_mutate((C_word*)lf[293]+1 /* (set! chicken.fixnum#fxeven? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10386,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp));
t253=C_mutate((C_word*)lf[294]+1 /* (set! chicken.fixnum#fxlen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10389,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp));
t254=C_mutate((C_word*)lf[295]+1 /* (set! chicken.fixnum#fx/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10392,a[2]=((C_word)li216),tmp=(C_word)a,a+=3,tmp));
t255=C_mutate((C_word*)lf[296]+1 /* (set! chicken.fixnum#fxgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10395,a[2]=((C_word)li217),tmp=(C_word)a,a+=3,tmp));
t256=C_mutate((C_word*)lf[297]+1 /* (set! chicken.fixnum#fxmod ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10398,a[2]=((C_word)li218),tmp=(C_word)a,a+=3,tmp));
t257=C_mutate((C_word*)lf[298]+1 /* (set! chicken.fixnum#fxrem ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10401,a[2]=((C_word)li219),tmp=(C_word)a,a+=3,tmp));
t258=C_mutate((C_word*)lf[299]+1 /* (set! chicken.fixnum#fx+? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10404,a[2]=((C_word)li220),tmp=(C_word)a,a+=3,tmp));
t259=C_mutate((C_word*)lf[300]+1 /* (set! chicken.fixnum#fx-? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10407,a[2]=((C_word)li221),tmp=(C_word)a,a+=3,tmp));
t260=C_mutate((C_word*)lf[301]+1 /* (set! chicken.fixnum#fx*? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10410,a[2]=((C_word)li222),tmp=(C_word)a,a+=3,tmp));
t261=C_mutate((C_word*)lf[302]+1 /* (set! chicken.fixnum#fx/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10413,a[2]=((C_word)li223),tmp=(C_word)a,a+=3,tmp));
t262=C_mutate((C_word*)lf[303]+1 /* (set! ##sys#debug-mode? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10416,a[2]=((C_word)li224),tmp=(C_word)a,a+=3,tmp));
t263=C_set_block_item(lf[304] /* ##sys#warnings-enabled */,0,C_SCHEME_TRUE);
t264=C_set_block_item(lf[305] /* ##sys#notices-enabled */,0,C_i_debug_modep());
t265=C_mutate((C_word*)lf[306]+1 /* (set! chicken.base#warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10421,a[2]=((C_word)li225),tmp=(C_word)a,a+=3,tmp));
t266=C_mutate((C_word*)lf[308]+1 /* (set! chicken.base#notice ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10430,a[2]=((C_word)li226),tmp=(C_word)a,a+=3,tmp));
t267=C_mutate((C_word*)lf[310]+1 /* (set! chicken.base#enable-warnings ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10442,a[2]=((C_word)li227),tmp=(C_word)a,a+=3,tmp));
t268=C_mutate((C_word*)lf[155]+1 /* (set! ##sys#error ...) */,*((C_word*)lf[193]+1));
t269=C_mutate((C_word*)lf[311]+1 /* (set! ##sys#warn ...) */,*((C_word*)lf[306]+1));
t270=C_mutate((C_word*)lf[312]+1 /* (set! ##sys#notice ...) */,*((C_word*)lf[308]+1));
t271=C_mutate((C_word*)lf[313]+1 /* (set! ##sys#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_gc,a[2]=((C_word)li228),tmp=(C_word)a,a+=3,tmp));
t272=C_mutate((C_word*)lf[314]+1 /* (set! ##sys#setslot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10457,a[2]=((C_word)li229),tmp=(C_word)a,a+=3,tmp));
t273=C_mutate((C_word*)lf[315]+1 /* (set! ##sys#setislot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10460,a[2]=((C_word)li230),tmp=(C_word)a,a+=3,tmp));
t274=C_mutate((C_word*)lf[316]+1 /* (set! ##sys#allocate-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_allocate_vector,a[2]=((C_word)li231),tmp=(C_word)a,a+=3,tmp));
t275=C_mutate((C_word*)lf[317]+1 /* (set! ##sys#make-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_structure,a[2]=((C_word)li232),tmp=(C_word)a,a+=3,tmp));
t276=C_mutate((C_word*)lf[318]+1 /* (set! ##sys#ensure-heap-reserve ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_ensure_heap_reserve,a[2]=((C_word)li233),tmp=(C_word)a,a+=3,tmp));
t277=C_mutate((C_word*)lf[319]+1 /* (set! ##sys#symbol-table-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_symbol_table_info,a[2]=((C_word)li234),tmp=(C_word)a,a+=3,tmp));
t278=C_mutate((C_word*)lf[320]+1 /* (set! ##sys#memory-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_memory_info,a[2]=((C_word)li235),tmp=(C_word)a,a+=3,tmp));
t279=C_mutate((C_word*)lf[321]+1 /* (set! ##sys#start-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10468,a[2]=((C_word)li236),tmp=(C_word)a,a+=3,tmp));
t280=C_mutate((C_word*)lf[322]+1 /* (set! ##sys#stop-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10474,a[2]=((C_word)li239),tmp=(C_word)a,a+=3,tmp));
t281=C_mutate((C_word*)lf[323]+1 /* (set! ##sys#immediate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10494,a[2]=((C_word)li240),tmp=(C_word)a,a+=3,tmp));
t282=C_mutate((C_word*)lf[324]+1 /* (set! ##sys#message ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10501,a[2]=((C_word)li241),tmp=(C_word)a,a+=3,tmp));
t283=C_mutate((C_word*)lf[325]+1 /* (set! ##sys#byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10504,a[2]=((C_word)li242),tmp=(C_word)a,a+=3,tmp));
t284=C_mutate((C_word*)lf[326]+1 /* (set! ##sys#setbyte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10507,a[2]=((C_word)li243),tmp=(C_word)a,a+=3,tmp));
t285=C_mutate((C_word*)lf[327]+1 /* (set! ##sys#void ...) */,*((C_word*)lf[196]+1));
t286=C_set_block_item(lf[244] /* ##sys#undefined-value */,0,C_SCHEME_UNDEFINED);
t287=C_mutate((C_word*)lf[328]+1 /* (set! ##sys#halt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10512,a[2]=((C_word)li244),tmp=(C_word)a,a+=3,tmp));
t288=C_mutate((C_word*)lf[329]+1 /* (set! ##sys#become! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_become,a[2]=((C_word)li245),tmp=(C_word)a,a+=3,tmp));
t289=C_mutate((C_word*)lf[330]+1 /* (set! ##sys#block-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10516,a[2]=((C_word)li246),tmp=(C_word)a,a+=3,tmp));
t290=C_mutate((C_word*)lf[331]+1 /* (set! ##sys#apply-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply_values,a[2]=((C_word)li247),tmp=(C_word)a,a+=3,tmp));
t291=C_mutate((C_word*)lf[332]+1 /* (set! ##sys#copy-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_copy_closure,a[2]=((C_word)li248),tmp=(C_word)a,a+=3,tmp));
t292=C_mutate((C_word*)lf[333]+1 /* (set! ##sys#block-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10521,a[2]=((C_word)li249),tmp=(C_word)a,a+=3,tmp));
t293=C_a_i_provide(&a,1,lf[336]);
t294=C_mutate((C_word*)lf[337]+1 /* (set! chicken.time#current-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10556,a[2]=((C_word)li250),tmp=(C_word)a,a+=3,tmp));
t295=C_mutate((C_word*)lf[338]+1 /* (set! chicken.time#current-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10559,a[2]=((C_word)li251),tmp=(C_word)a,a+=3,tmp));
t296=C_mutate((C_word*)lf[339]+1 /* (set! chicken.time#cpu-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10562,a[2]=((C_word)li252),tmp=(C_word)a,a+=3,tmp));
t297=C_mutate((C_word*)lf[340]+1 /* (set! ##sys#check-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10579,a[2]=((C_word)li253),tmp=(C_word)a,a+=3,tmp));
t298=C_mutate((C_word*)lf[341]+1 /* (set! ##sys#check-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10590,a[2]=((C_word)li254),tmp=(C_word)a,a+=3,tmp));
t299=C_mutate((C_word*)lf[342]+1 /* (set! ##sys#check-byte-vector ...) */,*((C_word*)lf[341]+1));
t300=C_mutate((C_word*)lf[343]+1 /* (set! ##sys#check-pair ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10602,a[2]=((C_word)li255),tmp=(C_word)a,a+=3,tmp));
t301=C_mutate((C_word*)lf[344]+1 /* (set! ##sys#check-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10613,a[2]=((C_word)li256),tmp=(C_word)a,a+=3,tmp));
t302=C_mutate((C_word*)lf[345]+1 /* (set! ##sys#check-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10624,a[2]=((C_word)li257),tmp=(C_word)a,a+=3,tmp));
t303=C_mutate((C_word*)lf[346]+1 /* (set! ##sys#check-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10635,a[2]=((C_word)li258),tmp=(C_word)a,a+=3,tmp));
t304=C_mutate((C_word*)lf[102]+1 /* (set! ##sys#check-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10646,a[2]=((C_word)li259),tmp=(C_word)a,a+=3,tmp));
t305=C_mutate((C_word*)lf[347]+1 /* (set! ##sys#check-exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10657,a[2]=((C_word)li260),tmp=(C_word)a,a+=3,tmp));
t306=C_mutate((C_word*)lf[348]+1 /* (set! ##sys#check-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10668,a[2]=((C_word)li261),tmp=(C_word)a,a+=3,tmp));
t307=C_mutate((C_word*)lf[349]+1 /* (set! ##sys#check-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10679,a[2]=((C_word)li262),tmp=(C_word)a,a+=3,tmp));
t308=C_mutate((C_word*)lf[350]+1 /* (set! ##sys#check-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10690,a[2]=((C_word)li263),tmp=(C_word)a,a+=3,tmp));
t309=C_mutate((C_word*)lf[351]+1 /* (set! ##sys#check-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10701,a[2]=((C_word)li264),tmp=(C_word)a,a+=3,tmp));
t310=C_mutate((C_word*)lf[352]+1 /* (set! ##sys#check-boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10712,a[2]=((C_word)li265),tmp=(C_word)a,a+=3,tmp));
t311=C_mutate((C_word*)lf[353]+1 /* (set! ##sys#check-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10723,a[2]=((C_word)li266),tmp=(C_word)a,a+=3,tmp));
t312=C_mutate((C_word*)lf[354]+1 /* (set! ##sys#check-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10734,a[2]=((C_word)li267),tmp=(C_word)a,a+=3,tmp));
t313=C_mutate((C_word*)lf[356]+1 /* (set! ##sys#check-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10751,a[2]=((C_word)li268),tmp=(C_word)a,a+=3,tmp));
t314=C_mutate((C_word*)lf[358]+1 /* (set! ##sys#check-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10768,a[2]=((C_word)li269),tmp=(C_word)a,a+=3,tmp));
t315=C_mutate((C_word*)lf[360]+1 /* (set! ##sys#check-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10792,a[2]=((C_word)li270),tmp=(C_word)a,a+=3,tmp));
t316=C_mutate((C_word*)lf[334]+1 /* (set! ##sys#check-range ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10809,a[2]=((C_word)li271),tmp=(C_word)a,a+=3,tmp));
t317=C_mutate((C_word*)lf[363]+1 /* (set! ##sys#check-special ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10839,a[2]=((C_word)li272),tmp=(C_word)a,a+=3,tmp));
t318=C_mutate((C_word*)lf[365]+1 /* (set! ##sys#check-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10859,a[2]=((C_word)li273),tmp=(C_word)a,a+=3,tmp));
t319=C_mutate((C_word*)lf[366]+1 /* (set! scheme#force ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10870,a[2]=((C_word)li275),tmp=(C_word)a,a+=3,tmp));
t320=C_mutate((C_word*)lf[368]+1 /* (set! ##sys#dload ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dload,a[2]=((C_word)li276),tmp=(C_word)a,a+=3,tmp));
t321=C_mutate((C_word*)lf[369]+1 /* (set! ##sys#set-dlopen-flags! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_set_dlopen_flags,a[2]=((C_word)li277),tmp=(C_word)a,a+=3,tmp));
t322=C_mutate((C_word*)lf[47]+1 /* (set! ##sys#error-not-a-proper-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10998,a[2]=((C_word)li278),tmp=(C_word)a,a+=3,tmp));
t323=C_mutate((C_word*)lf[370]+1 /* (set! ##sys#error-bad-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11014,a[2]=((C_word)li279),tmp=(C_word)a,a+=3,tmp));
t324=C_mutate((C_word*)lf[355]+1 /* (set! ##sys#error-bad-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11030,a[2]=((C_word)li280),tmp=(C_word)a,a+=3,tmp));
t325=C_mutate((C_word*)lf[357]+1 /* (set! ##sys#error-bad-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11046,a[2]=((C_word)li281),tmp=(C_word)a,a+=3,tmp));
t326=C_mutate((C_word*)lf[359]+1 /* (set! ##sys#error-bad-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11062,a[2]=((C_word)li282),tmp=(C_word)a,a+=3,tmp));
t327=C_mutate((C_word*)lf[371]+1 /* (set! ##sys#error-bad-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11078,a[2]=((C_word)li283),tmp=(C_word)a,a+=3,tmp));
t328=C_mutate((C_word*)lf[361]+1 /* (set! ##sys#error-bad-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11094,a[2]=((C_word)li284),tmp=(C_word)a,a+=3,tmp));
t329=C_mutate((C_word*)lf[372]+1 /* (set! ##sys#error-bad-base ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11110,a[2]=((C_word)li285),tmp=(C_word)a,a+=3,tmp));
t330=C_mutate((C_word*)lf[373]+1 /* (set! scheme#append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11126,a[2]=((C_word)li288),tmp=(C_word)a,a+=3,tmp));
t331=C_mutate((C_word*)lf[375]+1 /* (set! ##sys#fast-reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11205,a[2]=((C_word)li290),tmp=(C_word)a,a+=3,tmp));
t332=C_mutate((C_word*)lf[376]+1 /* (set! ##sys#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11235,a[2]=((C_word)li291),tmp=(C_word)a,a+=3,tmp));
t333=C_mutate((C_word*)lf[377]+1 /* (set! scheme#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11255,a[2]=((C_word)li292),tmp=(C_word)a,a+=3,tmp));
t334=C_mutate((C_word*)lf[381]+1 /* (set! scheme#string->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11291,a[2]=((C_word)li294),tmp=(C_word)a,a+=3,tmp));
t335=C_mutate((C_word*)lf[383]+1 /* (set! ##sys#string->list ...) */,*((C_word*)lf[381]+1));
t336=C_mutate((C_word*)lf[384]+1 /* (set! scheme#list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11329,a[2]=((C_word)li296),tmp=(C_word)a,a+=3,tmp));
t337=C_mutate((C_word*)lf[386]+1 /* (set! ##sys#list->string ...) */,*((C_word*)lf[384]+1));
t338=C_mutate((C_word*)lf[387]+1 /* (set! ##sys#reverse-list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11381,a[2]=((C_word)li298),tmp=(C_word)a,a+=3,tmp));
t339=C_mutate((C_word*)lf[389]+1 /* (set! scheme#string-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11430,a[2]=((C_word)li299),tmp=(C_word)a,a+=3,tmp));
t340=C_mutate((C_word*)lf[391]+1 /* (set! scheme#string-copy ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11443,a[2]=((C_word)li300),tmp=(C_word)a,a+=3,tmp));
t341=C_mutate((C_word*)lf[393]+1 /* (set! scheme#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11455,a[2]=((C_word)li301),tmp=(C_word)a,a+=3,tmp));
t342=C_mutate((C_word*)lf[395]+1 /* (set! ##sys#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11505,a[2]=((C_word)li302),tmp=(C_word)a,a+=3,tmp));
t343=C_SCHEME_UNDEFINED;
t344=(*a=C_VECTOR_TYPE|1,a[1]=t343,tmp=(C_word)a,a+=2,tmp);
t345=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11514,a[2]=((C_word)li303),tmp=(C_word)a,a+=3,tmp);
t346=C_set_block_item(t344,0,t345);
t347=C_mutate((C_word*)lf[396]+1 /* (set! scheme#string<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11535,a[2]=t344,a[3]=((C_word)li305),tmp=(C_word)a,a+=4,tmp));
t348=C_mutate((C_word*)lf[398]+1 /* (set! scheme#string>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11559,a[2]=t344,a[3]=((C_word)li307),tmp=(C_word)a,a+=4,tmp));
t349=C_mutate((C_word*)lf[400]+1 /* (set! scheme#string<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11583,a[2]=t344,a[3]=((C_word)li309),tmp=(C_word)a,a+=4,tmp));
t350=C_mutate((C_word*)lf[402]+1 /* (set! scheme#string>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11604,a[2]=t344,a[3]=((C_word)li311),tmp=(C_word)a,a+=4,tmp));
t351=C_SCHEME_UNDEFINED;
t352=(*a=C_VECTOR_TYPE|1,a[1]=t351,tmp=(C_word)a,a+=2,tmp);
t353=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11624,a[2]=((C_word)li312),tmp=(C_word)a,a+=3,tmp);
t354=C_set_block_item(t352,0,t353);
t355=C_mutate((C_word*)lf[404]+1 /* (set! scheme#string-ci<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11645,a[2]=t352,a[3]=((C_word)li314),tmp=(C_word)a,a+=4,tmp));
t356=C_mutate((C_word*)lf[406]+1 /* (set! scheme#string-ci>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11669,a[2]=t352,a[3]=((C_word)li316),tmp=(C_word)a,a+=4,tmp));
t357=C_mutate((C_word*)lf[408]+1 /* (set! scheme#string-ci<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11693,a[2]=t352,a[3]=((C_word)li318),tmp=(C_word)a,a+=4,tmp));
t358=C_mutate((C_word*)lf[410]+1 /* (set! scheme#string-ci>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11714,a[2]=t352,a[3]=((C_word)li320),tmp=(C_word)a,a+=4,tmp));
t359=C_mutate((C_word*)lf[412]+1 /* (set! ##sys#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11735,a[2]=((C_word)li321),tmp=(C_word)a,a+=3,tmp));
t360=C_mutate((C_word*)lf[413]+1 /* (set! scheme#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11751,a[2]=((C_word)li323),tmp=(C_word)a,a+=3,tmp));
t361=C_mutate((C_word*)lf[415]+1 /* (set! scheme#string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11790,a[2]=((C_word)li324),tmp=(C_word)a,a+=3,tmp));
t362=C_mutate((C_word*)lf[416]+1 /* (set! ##sys#fragments->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11796,a[2]=((C_word)li326),tmp=(C_word)a,a+=3,tmp));
t363=C_mutate((C_word*)lf[417]+1 /* (set! chicken.base#chop ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11831,a[2]=((C_word)li329),tmp=(C_word)a,a+=3,tmp));
t364=C_a_i_provide(&a,1,lf[420]);
t365=C_mutate((C_word*)lf[421]+1 /* (set! chicken.flonum#maximum-flonum ...) */,C_flonum(&a,DBL_MAX));
t366=C_mutate((C_word*)lf[422]+1 /* (set! chicken.flonum#minimum-flonum ...) */,C_flonum(&a,DBL_MIN));
t367=C_set_block_item(lf[423] /* chicken.flonum#flonum-radix */,0,C_fix((C_word)FLT_RADIX));
t368=C_mutate((C_word*)lf[424]+1 /* (set! chicken.flonum#flonum-epsilon ...) */,C_flonum(&a,DBL_EPSILON));
t369=C_set_block_item(lf[425] /* chicken.flonum#flonum-precision */,0,C_fix((C_word)DBL_MANT_DIG));
t370=C_set_block_item(lf[426] /* chicken.flonum#flonum-decimal-precision */,0,C_fix((C_word)DBL_DIG));
t371=C_set_block_item(lf[427] /* chicken.flonum#flonum-maximum-exponent */,0,C_fix((C_word)DBL_MAX_EXP));
t372=C_set_block_item(lf[428] /* chicken.flonum#flonum-minimum-exponent */,0,C_fix((C_word)DBL_MIN_EXP));
t373=C_set_block_item(lf[429] /* chicken.flonum#flonum-maximum-decimal-exponent */,0,C_fix((C_word)DBL_MAX_10_EXP));
t374=C_set_block_item(lf[430] /* chicken.flonum#flonum-minimum-decimal-exponent */,0,C_fix((C_word)DBL_MIN_10_EXP));
t375=C_mutate((C_word*)lf[431]+1 /* (set! chicken.flonum#fp+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11926,a[2]=((C_word)li330),tmp=(C_word)a,a+=3,tmp));
t376=C_mutate((C_word*)lf[433]+1 /* (set! chicken.flonum#fp- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11950,a[2]=((C_word)li331),tmp=(C_word)a,a+=3,tmp));
t377=C_mutate((C_word*)lf[435]+1 /* (set! chicken.flonum#fp* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11974,a[2]=((C_word)li332),tmp=(C_word)a,a+=3,tmp));
t378=C_mutate((C_word*)lf[437]+1 /* (set! chicken.flonum#fp/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11998,a[2]=((C_word)li333),tmp=(C_word)a,a+=3,tmp));
t379=C_mutate((C_word*)lf[439]+1 /* (set! chicken.flonum#fpgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12022,a[2]=((C_word)li334),tmp=(C_word)a,a+=3,tmp));
t380=C_mutate((C_word*)lf[441]+1 /* (set! chicken.flonum#fp/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12046,a[2]=((C_word)li335),tmp=(C_word)a,a+=3,tmp));
t381=C_mutate((C_word*)lf[443]+1 /* (set! chicken.flonum#fp= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12070,a[2]=((C_word)li336),tmp=(C_word)a,a+=3,tmp));
t382=C_mutate((C_word*)lf[445]+1 /* (set! chicken.flonum#fp> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12094,a[2]=((C_word)li337),tmp=(C_word)a,a+=3,tmp));
t383=C_mutate((C_word*)lf[447]+1 /* (set! chicken.flonum#fp< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12118,a[2]=((C_word)li338),tmp=(C_word)a,a+=3,tmp));
t384=C_mutate((C_word*)lf[449]+1 /* (set! chicken.flonum#fp>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12142,a[2]=((C_word)li339),tmp=(C_word)a,a+=3,tmp));
t385=C_mutate((C_word*)lf[451]+1 /* (set! chicken.flonum#fp<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12166,a[2]=((C_word)li340),tmp=(C_word)a,a+=3,tmp));
t386=C_mutate((C_word*)lf[453]+1 /* (set! chicken.flonum#fpneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12190,a[2]=((C_word)li341),tmp=(C_word)a,a+=3,tmp));
t387=C_mutate((C_word*)lf[455]+1 /* (set! chicken.flonum#fpmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12208,a[2]=((C_word)li342),tmp=(C_word)a,a+=3,tmp));
t388=C_mutate((C_word*)lf[457]+1 /* (set! chicken.flonum#fpmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12232,a[2]=((C_word)li343),tmp=(C_word)a,a+=3,tmp));
t389=C_mutate((C_word*)lf[459]+1 /* (set! chicken.flonum#fpfloor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12256,a[2]=((C_word)li344),tmp=(C_word)a,a+=3,tmp));
t390=C_mutate((C_word*)lf[461]+1 /* (set! chicken.flonum#fptruncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12274,a[2]=((C_word)li345),tmp=(C_word)a,a+=3,tmp));
t391=C_mutate((C_word*)lf[463]+1 /* (set! chicken.flonum#fpround ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12292,a[2]=((C_word)li346),tmp=(C_word)a,a+=3,tmp));
t392=C_mutate((C_word*)lf[465]+1 /* (set! chicken.flonum#fpceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12310,a[2]=((C_word)li347),tmp=(C_word)a,a+=3,tmp));
t393=C_mutate((C_word*)lf[467]+1 /* (set! chicken.flonum#fpsin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12328,a[2]=((C_word)li348),tmp=(C_word)a,a+=3,tmp));
t394=C_mutate((C_word*)lf[469]+1 /* (set! chicken.flonum#fpcos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12346,a[2]=((C_word)li349),tmp=(C_word)a,a+=3,tmp));
t395=C_mutate((C_word*)lf[471]+1 /* (set! chicken.flonum#fptan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12364,a[2]=((C_word)li350),tmp=(C_word)a,a+=3,tmp));
t396=C_mutate((C_word*)lf[473]+1 /* (set! chicken.flonum#fpasin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12382,a[2]=((C_word)li351),tmp=(C_word)a,a+=3,tmp));
t397=C_mutate((C_word*)lf[475]+1 /* (set! chicken.flonum#fpacos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12400,a[2]=((C_word)li352),tmp=(C_word)a,a+=3,tmp));
t398=C_mutate((C_word*)lf[477]+1 /* (set! chicken.flonum#fpatan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12418,a[2]=((C_word)li353),tmp=(C_word)a,a+=3,tmp));
t399=C_mutate((C_word*)lf[479]+1 /* (set! chicken.flonum#fpatan2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12436,a[2]=((C_word)li354),tmp=(C_word)a,a+=3,tmp));
t400=C_mutate((C_word*)lf[481]+1 /* (set! chicken.flonum#fpexp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12460,a[2]=((C_word)li355),tmp=(C_word)a,a+=3,tmp));
t401=C_mutate((C_word*)lf[483]+1 /* (set! chicken.flonum#fpexpt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12478,a[2]=((C_word)li356),tmp=(C_word)a,a+=3,tmp));
t402=C_mutate((C_word*)lf[485]+1 /* (set! chicken.flonum#fplog ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12502,a[2]=((C_word)li357),tmp=(C_word)a,a+=3,tmp));
t403=C_mutate((C_word*)lf[487]+1 /* (set! chicken.flonum#fpsqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12520,a[2]=((C_word)li358),tmp=(C_word)a,a+=3,tmp));
t404=C_mutate((C_word*)lf[489]+1 /* (set! chicken.flonum#fpabs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12538,a[2]=((C_word)li359),tmp=(C_word)a,a+=3,tmp));
t405=C_mutate((C_word*)lf[491]+1 /* (set! chicken.flonum#fpinteger? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12556,a[2]=((C_word)li360),tmp=(C_word)a,a+=3,tmp));
t406=C_mutate((C_word*)lf[493]+1 /* (set! chicken.flonum#flonum-print-precision ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12574,a[2]=((C_word)li361),tmp=(C_word)a,a+=3,tmp));
t407=C_mutate((C_word*)lf[495]+1 /* (set! ##sys#number? ...) */,*((C_word*)lf[77]+1));
t408=C_mutate((C_word*)lf[496]+1 /* (set! ##sys#integer? ...) */,*((C_word*)lf[81]+1));
t409=C_mutate((C_word*)lf[497]+1 /* (set! ##sys#exact? ...) */,*((C_word*)lf[82]+1));
t410=C_mutate((C_word*)lf[498]+1 /* (set! ##sys#inexact? ...) */,*((C_word*)lf[83]+1));
t411=C_mutate(&lf[499] /* (set! make-complex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12596,a[2]=((C_word)li362),tmp=(C_word)a,a+=3,tmp));
t412=C_mutate((C_word*)lf[501]+1 /* (set! scheme#make-rectangular ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12632,a[2]=((C_word)li363),tmp=(C_word)a,a+=3,tmp));
t413=C_mutate((C_word*)lf[503]+1 /* (set! scheme#make-polar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12644,a[2]=((C_word)li364),tmp=(C_word)a,a+=3,tmp));
t414=C_mutate((C_word*)lf[505]+1 /* (set! scheme#real-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12665,a[2]=((C_word)li365),tmp=(C_word)a,a+=3,tmp));
t415=C_mutate((C_word*)lf[507]+1 /* (set! scheme#imag-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12688,a[2]=((C_word)li366),tmp=(C_word)a,a+=3,tmp));
t416=C_mutate((C_word*)lf[509]+1 /* (set! scheme#angle ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12714,a[2]=((C_word)li367),tmp=(C_word)a,a+=3,tmp));
t417=C_mutate((C_word*)lf[511]+1 /* (set! scheme#magnitude ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12730,a[2]=((C_word)li368),tmp=(C_word)a,a+=3,tmp));
t418=C_mutate(&lf[514] /* (set! ratnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12769,a[2]=((C_word)li369),tmp=(C_word)a,a+=3,tmp));
t419=C_mutate((C_word*)lf[515]+1 /* (set! scheme#numerator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12815,a[2]=((C_word)li370),tmp=(C_word)a,a+=3,tmp));
t420=C_mutate((C_word*)lf[520]+1 /* (set! scheme#denominator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12861,a[2]=((C_word)li371),tmp=(C_word)a,a+=3,tmp));
t421=C_mutate((C_word*)lf[524]+1 /* (set! ##sys#extended-signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12907,a[2]=((C_word)li372),tmp=(C_word)a,a+=3,tmp));
t422=C_mutate((C_word*)lf[518]+1 /* (set! scheme#inexact->exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13027,a[2]=((C_word)li375),tmp=(C_word)a,a+=3,tmp));
t423=C_mutate((C_word*)lf[531]+1 /* (set! ##sys#exact->inexact ...) */,*((C_word*)lf[62]+1));
t424=C_mutate((C_word*)lf[532]+1 /* (set! ##sys#inexact->exact ...) */,*((C_word*)lf[518]+1));
t425=C_a_i_provide(&a,1,lf[533]);
t426=C_mutate((C_word*)lf[534]+1 /* (set! chicken.bitwise#bitwise-and ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_and,a[2]=((C_word)li376),tmp=(C_word)a,a+=3,tmp));
t427=C_mutate((C_word*)lf[535]+1 /* (set! chicken.bitwise#bitwise-ior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_ior,a[2]=((C_word)li377),tmp=(C_word)a,a+=3,tmp));
t428=C_mutate((C_word*)lf[536]+1 /* (set! chicken.bitwise#bitwise-xor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_xor,a[2]=((C_word)li378),tmp=(C_word)a,a+=3,tmp));
t429=C_mutate((C_word*)lf[537]+1 /* (set! chicken.bitwise#bitwise-not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13093,a[2]=((C_word)li379),tmp=(C_word)a,a+=3,tmp));
t430=C_mutate((C_word*)lf[538]+1 /* (set! chicken.bitwise#bit->boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13096,a[2]=((C_word)li380),tmp=(C_word)a,a+=3,tmp));
t431=C_mutate((C_word*)lf[539]+1 /* (set! chicken.bitwise#integer-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13099,a[2]=((C_word)li381),tmp=(C_word)a,a+=3,tmp));
t432=C_mutate((C_word*)lf[540]+1 /* (set! chicken.bitwise#arithmetic-shift ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13102,a[2]=((C_word)li382),tmp=(C_word)a,a+=3,tmp));
t433=C_mutate((C_word*)lf[541]+1 /* (set! scheme#/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13105,a[2]=((C_word)li384),tmp=(C_word)a,a+=3,tmp));
t434=C_mutate((C_word*)lf[526]+1 /* (set! ##sys#/-2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13156,a[2]=((C_word)li385),tmp=(C_word)a,a+=3,tmp));
t435=C_mutate((C_word*)lf[544]+1 /* (set! scheme#floor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13404,a[2]=((C_word)li386),tmp=(C_word)a,a+=3,tmp));
t436=C_mutate((C_word*)lf[546]+1 /* (set! scheme#ceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13445,a[2]=((C_word)li387),tmp=(C_word)a,a+=3,tmp));
t437=C_mutate((C_word*)lf[548]+1 /* (set! scheme#truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13486,a[2]=((C_word)li388),tmp=(C_word)a,a+=3,tmp));
t438=C_mutate((C_word*)lf[550]+1 /* (set! scheme#round ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13520,a[2]=((C_word)li389),tmp=(C_word)a,a+=3,tmp));
t439=C_mutate(&lf[552] /* (set! find-ratio-between ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13560,a[2]=((C_word)li391),tmp=(C_word)a,a+=3,tmp));
t440=C_mutate((C_word*)lf[554]+1 /* (set! scheme#rationalize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13696,a[2]=((C_word)li392),tmp=(C_word)a,a+=3,tmp));
t441=C_mutate((C_word*)lf[555]+1 /* (set! scheme#max ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13721,a[2]=((C_word)li394),tmp=(C_word)a,a+=3,tmp));
t442=C_mutate((C_word*)lf[557]+1 /* (set! scheme#min ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13764,a[2]=((C_word)li396),tmp=(C_word)a,a+=3,tmp));
t443=C_mutate((C_word*)lf[559]+1 /* (set! scheme#exp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13807,a[2]=((C_word)li397),tmp=(C_word)a,a+=3,tmp));
t444=C_mutate((C_word*)lf[561]+1 /* (set! ##sys#log-1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13849,a[2]=((C_word)li398),tmp=(C_word)a,a+=3,tmp));
t445=C_mutate((C_word*)lf[565]+1 /* (set! scheme#log ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13892,a[2]=((C_word)li399),tmp=(C_word)a,a+=3,tmp));
t446=C_mutate((C_word*)lf[566]+1 /* (set! scheme#sin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13921,a[2]=((C_word)li400),tmp=(C_word)a,a+=3,tmp));
t447=C_mutate((C_word*)lf[570]+1 /* (set! scheme#cos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13951,a[2]=((C_word)li401),tmp=(C_word)a,a+=3,tmp));
t448=C_mutate((C_word*)lf[572]+1 /* (set! scheme#tan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13981,a[2]=((C_word)li402),tmp=(C_word)a,a+=3,tmp));
t449=C_mutate((C_word*)lf[574]+1 /* (set! scheme#asin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14006,a[2]=((C_word)li403),tmp=(C_word)a,a+=3,tmp));
t450=C_a_i_asin(&a,1,C_fix(1));
t451=C_mutate((C_word*)lf[579]+1 /* (set! scheme#acos ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14059,a[2]=t450,a[3]=((C_word)li404),tmp=(C_word)a,a+=4,tmp));
t452=C_mutate((C_word*)lf[581]+1 /* (set! scheme#atan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14099,a[2]=((C_word)li405),tmp=(C_word)a,a+=3,tmp));
t453=C_mutate((C_word*)lf[583]+1 /* (set! ##sys#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14157,a[2]=((C_word)li411),tmp=(C_word)a,a+=3,tmp));
t454=C_mutate((C_word*)lf[585]+1 /* (set! chicken.base#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14322,a[2]=((C_word)li412),tmp=(C_word)a,a+=3,tmp));
t455=C_mutate((C_word*)lf[577]+1 /* (set! ##sys#sqrt/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14331,a[2]=((C_word)li419),tmp=(C_word)a,a+=3,tmp));
t456=C_mutate((C_word*)lf[512]+1 /* (set! scheme#sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14482,a[2]=((C_word)li420),tmp=(C_word)a,a+=3,tmp));
t457=C_mutate((C_word*)lf[588]+1 /* (set! chicken.base#exact-integer-nth-root ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14488,a[2]=((C_word)li421),tmp=(C_word)a,a+=3,tmp));
t458=C_mutate((C_word*)lf[589]+1 /* (set! ##sys#exact-integer-nth-root/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14500,a[2]=((C_word)li423),tmp=(C_word)a,a+=3,tmp));
t459=C_mutate((C_word*)lf[528]+1 /* (set! ##sys#integer-power ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14603,a[2]=((C_word)li425),tmp=(C_word)a,a+=3,tmp));
t460=C_mutate((C_word*)lf[530]+1 /* (set! scheme#expt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14665,a[2]=((C_word)li430),tmp=(C_word)a,a+=3,tmp));
t461=C_mutate(&lf[542] /* (set! ##sys#internal-gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14925,a[2]=((C_word)li431),tmp=(C_word)a,a+=3,tmp));
t462=C_mutate((C_word*)lf[593]+1 /* (set! ##sys#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14995,a[2]=((C_word)li432),tmp=(C_word)a,a+=3,tmp));
t463=C_mutate((C_word*)lf[595]+1 /* (set! scheme#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15001,a[2]=((C_word)li434),tmp=(C_word)a,a+=3,tmp));
t464=C_mutate((C_word*)lf[596]+1 /* (set! ##sys#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15052,a[2]=((C_word)li435),tmp=(C_word)a,a+=3,tmp));
t465=C_mutate((C_word*)lf[598]+1 /* (set! scheme#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15063,a[2]=((C_word)li437),tmp=(C_word)a,a+=3,tmp));
t466=C_mutate((C_word*)lf[599]+1 /* (set! ##sys#integer->string/recursive ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15118,a[2]=((C_word)li441),tmp=(C_word)a,a+=3,tmp));
t467=C_mutate((C_word*)lf[601]+1 /* (set! ##sys#extended-number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15171,a[2]=((C_word)li442),tmp=(C_word)a,a+=3,tmp));
t468=C_mutate(&lf[607] /* (set! round-quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15338,a[2]=((C_word)li443),tmp=(C_word)a,a+=3,tmp));
t469=C_mutate(&lf[608] /* (set! ##sys#string->compnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15376,a[2]=((C_word)li454),tmp=(C_word)a,a+=3,tmp));
t470=C_mutate((C_word*)lf[617]+1 /* (set! scheme#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16765,a[2]=((C_word)li456),tmp=(C_word)a,a+=3,tmp));
t471=C_mutate((C_word*)lf[619]+1 /* (set! ##sys#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17020,a[2]=((C_word)li457),tmp=(C_word)a,a+=3,tmp));
t472=C_mutate((C_word*)lf[620]+1 /* (set! ##sys#fixnum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_fixnum_to_string,a[2]=((C_word)li458),tmp=(C_word)a,a+=3,tmp));
t473=C_mutate((C_word*)lf[621]+1 /* (set! ##sys#flonum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_flonum_to_string,a[2]=((C_word)li459),tmp=(C_word)a,a+=3,tmp));
t474=C_mutate((C_word*)lf[622]+1 /* (set! ##sys#integer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_integer_to_string,a[2]=((C_word)li460),tmp=(C_word)a,a+=3,tmp));
t475=C_mutate((C_word*)lf[600]+1 /* (set! ##sys#number->string ...) */,*((C_word*)lf[87]+1));
t476=C_mutate((C_word*)lf[623]+1 /* (set! chicken.base#equal=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17066,a[2]=((C_word)li464),tmp=(C_word)a,a+=3,tmp));
t477=C_mutate((C_word*)lf[624]+1 /* (set! ##sys#snafu ...) */,lf[625]);
t478=C_mutate((C_word*)lf[626]+1 /* (set! ##sys#intern-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_symbol,a[2]=((C_word)li465),tmp=(C_word)a,a+=3,tmp));
t479=C_mutate((C_word*)lf[627]+1 /* (set! ##sys#intern-keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_keyword,a[2]=((C_word)li466),tmp=(C_word)a,a+=3,tmp));
t480=C_mutate((C_word*)lf[628]+1 /* (set! ##sys#interned-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17237,a[2]=((C_word)li467),tmp=(C_word)a,a+=3,tmp));
t481=C_mutate((C_word*)lf[629]+1 /* (set! ##sys#string->symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17240,a[2]=((C_word)li468),tmp=(C_word)a,a+=3,tmp));
t482=C_mutate((C_word*)lf[630]+1 /* (set! ##sys#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17249,a[2]=((C_word)li469),tmp=(C_word)a,a+=3,tmp));
t483=C_mutate((C_word*)lf[631]+1 /* (set! scheme#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17255,a[2]=((C_word)li470),tmp=(C_word)a,a+=3,tmp));
t484=*((C_word*)lf[391]+1);
t485=C_mutate((C_word*)lf[633]+1 /* (set! scheme#string->symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17268,a[2]=t484,a[3]=((C_word)li471),tmp=(C_word)a,a+=4,tmp));
t486=*((C_word*)lf[391]+1);
t487=C_mutate((C_word*)lf[635]+1 /* (set! chicken.base#string->uninterned-symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17281,a[2]=t486,a[3]=((C_word)li473),tmp=(C_word)a,a+=4,tmp));
t488=C_fix(-1);
t489=(*a=C_VECTOR_TYPE|1,a[1]=t488,tmp=(C_word)a,a+=2,tmp);
t490=C_mutate((C_word*)lf[637]+1 /* (set! chicken.base#gensym ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17294,a[2]=t489,a[3]=((C_word)li475),tmp=(C_word)a,a+=4,tmp));
t491=*((C_word*)lf[413]+1);
t492=C_mutate((C_word*)lf[641]+1 /* (set! chicken.base#symbol-append ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17348,a[2]=t491,a[3]=((C_word)li477),tmp=(C_word)a,a+=4,tmp));
t493=C_a_i_provide(&a,1,lf[643]);
t494=C_mutate((C_word*)lf[644]+1 /* (set! chicken.keyword#keyword? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17407,a[2]=((C_word)li478),tmp=(C_word)a,a+=3,tmp));
t495=C_mutate((C_word*)lf[645]+1 /* (set! chicken.keyword#string->keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17416,a[2]=((C_word)li479),tmp=(C_word)a,a+=3,tmp));
t496=*((C_word*)lf[644]+1);
t497=C_mutate((C_word*)lf[647]+1 /* (set! chicken.keyword#keyword->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17425,a[2]=t496,a[3]=((C_word)li480),tmp=(C_word)a,a+=4,tmp));
t498=C_a_i_list1(&a,1,lf[650]);
t499=t498;
t500=C_mutate((C_word*)lf[651]+1 /* (set! chicken.keyword#get-keyword ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17443,a[2]=t499,a[3]=((C_word)li481),tmp=(C_word)a,a+=4,tmp));
t501=C_mutate((C_word*)lf[653]+1 /* (set! ##sys#get-keyword ...) */,*((C_word*)lf[651]+1));
t502=C_a_i_provide(&a,1,lf[654]);
t503=C_mutate((C_word*)lf[655]+1 /* (set! ##sys#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17471,a[2]=((C_word)li482),tmp=(C_word)a,a+=3,tmp));
t504=C_mutate((C_word*)lf[656]+1 /* (set! chicken.blob#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17477,a[2]=((C_word)li483),tmp=(C_word)a,a+=3,tmp));
t505=C_mutate((C_word*)lf[658]+1 /* (set! chicken.blob#blob? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17486,a[2]=((C_word)li484),tmp=(C_word)a,a+=3,tmp));
t506=C_mutate((C_word*)lf[659]+1 /* (set! chicken.blob#blob-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17492,a[2]=((C_word)li485),tmp=(C_word)a,a+=3,tmp));
t507=C_mutate((C_word*)lf[661]+1 /* (set! chicken.blob#string->blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17501,a[2]=((C_word)li486),tmp=(C_word)a,a+=3,tmp));
t508=C_mutate((C_word*)lf[663]+1 /* (set! chicken.blob#blob->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17513,a[2]=((C_word)li487),tmp=(C_word)a,a+=3,tmp));
t509=C_mutate((C_word*)lf[665]+1 /* (set! chicken.blob#blob=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17525,a[2]=((C_word)li488),tmp=(C_word)a,a+=3,tmp));
t510=C_mutate((C_word*)lf[93]+1 /* (set! scheme#make-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17548,a[2]=((C_word)li489),tmp=(C_word)a,a+=3,tmp));
t511=C_mutate((C_word*)lf[669]+1 /* (set! ##sys#make-vector ...) */,*((C_word*)lf[93]+1));
t512=C_mutate((C_word*)lf[94]+1 /* (set! scheme#list->vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17577,a[2]=((C_word)li491),tmp=(C_word)a,a+=3,tmp));
t513=C_mutate((C_word*)lf[95]+1 /* (set! scheme#vector->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17629,a[2]=((C_word)li493),tmp=(C_word)a,a+=3,tmp));
t514=C_mutate((C_word*)lf[96]+1 /* (set! scheme#vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17662,a[2]=((C_word)li494),tmp=(C_word)a,a+=3,tmp));
t515=C_mutate((C_word*)lf[97]+1 /* (set! scheme#vector-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17668,a[2]=((C_word)li496),tmp=(C_word)a,a+=3,tmp));
t516=C_mutate((C_word*)lf[204]+1 /* (set! chicken.base#vector-copy! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17696,a[2]=((C_word)li498),tmp=(C_word)a,a+=3,tmp));
t517=C_mutate((C_word*)lf[205]+1 /* (set! chicken.base#subvector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17765,a[2]=((C_word)li500),tmp=(C_word)a,a+=3,tmp));
t518=C_mutate((C_word*)lf[206]+1 /* (set! chicken.base#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17836,a[2]=((C_word)li501),tmp=(C_word)a,a+=3,tmp));
t519=C_mutate(&lf[677] /* (set! ##sys#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17857,a[2]=((C_word)li503),tmp=(C_word)a,a+=3,tmp));
t520=C_mutate((C_word*)lf[113]+1 /* (set! scheme#char-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17896,a[2]=((C_word)li504),tmp=(C_word)a,a+=3,tmp));
t521=C_mutate((C_word*)lf[114]+1 /* (set! scheme#char-ci>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17910,a[2]=((C_word)li505),tmp=(C_word)a,a+=3,tmp));
t522=C_mutate((C_word*)lf[115]+1 /* (set! scheme#char-ci<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17921,a[2]=((C_word)li506),tmp=(C_word)a,a+=3,tmp));
t523=C_mutate((C_word*)lf[116]+1 /* (set! scheme#char-ci>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17932,a[2]=((C_word)li507),tmp=(C_word)a,a+=3,tmp));
t524=C_mutate((C_word*)lf[117]+1 /* (set! scheme#char-ci<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17943,a[2]=((C_word)li508),tmp=(C_word)a,a+=3,tmp));
t525=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17956,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2925: scheme#make-vector */
t526=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t526;
av2[1]=t525;
av2[2]=C_fix(37);
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t526+1)))(4,av2);}}

/* scheme#not in k8513 */
static void C_ccall f_8517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8517,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#boolean? in k8513 */
static void C_ccall f_8520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8520,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_booleanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eq? in k8513 */
static void C_ccall f_8523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8523,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#eqv? in k8513 */
static void C_ccall f_8526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8526,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_eqvp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#equal? in k8513 */
static void C_ccall f_8529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8529,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#pair? in k8513 */
static void C_ccall f_8532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8532,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_pairp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cons in k8513 */
static void C_ccall f_8535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_8535,4,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#car in k8513 */
static void C_ccall f_8538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8538,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdr in k8513 */
static void C_ccall f_8541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8541,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#set-car! in k8513 */
static void C_ccall f_8544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8544,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#set-cdr! in k8513 */
static void C_ccall f_8547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8547,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadr in k8513 */
static void C_ccall f_8550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8550,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caddr in k8513 */
static void C_ccall f_8553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8553,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadddr in k8513 */
static void C_ccall f_8556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8556,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddddr in k8513 */
static void C_ccall f_8559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8559,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caar in k8513 */
static void C_ccall f_8562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8562,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdar in k8513 */
static void C_ccall f_8565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8565,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddr in k8513 */
static void C_ccall f_8568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8568,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caaar in k8513 */
static void C_ccall f_8571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8571,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadr in k8513 */
static void C_ccall f_8585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8585,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadar in k8513 */
static void C_ccall f_8592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8592,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaar in k8513 */
static void C_ccall f_8599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8599,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadr in k8513 */
static void C_ccall f_8613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8613,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddar in k8513 */
static void C_ccall f_8620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8620,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddr in k8513 */
static void C_ccall f_8634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8634,3,av);}
t3=C_i_cdr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaaar in k8513 */
static void C_ccall f_8648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8648,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_car(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#caaadr in k8513 */
static void C_ccall f_8666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8666,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadar in k8513 */
static void C_ccall f_8677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8677,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaddr in k8513 */
static void C_ccall f_8688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8688,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadaar in k8513 */
static void C_ccall f_8695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8695,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cadr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cadadr in k8513 */
static void C_ccall f_8706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8706,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caddar in k8513 */
static void C_ccall f_8710(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8710,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_caddr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaaar in k8513 */
static void C_ccall f_8717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8717,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cdaadr in k8513 */
static void C_ccall f_8735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8735,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadar in k8513 */
static void C_ccall f_8746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8746,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdaddr in k8513 */
static void C_ccall f_8757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8757,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddaar in k8513 */
static void C_ccall f_8764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8764,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cddadr in k8513 */
static void C_ccall f_8782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8782,3,av);}
t3=C_i_cadr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddar in k8513 */
static void C_ccall f_8793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8793,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#null? in k8513 */
static void C_ccall f_8811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8811,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list in k8513 */
static void C_ccall f_8817(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_8817,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#length in k8513 */
static void C_ccall f_8820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8820,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list-tail in k8513 */
static void C_ccall f_8823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8823,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_tail(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list-ref in k8513 */
static void C_ccall f_8826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8826,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#reverse in k8513 */
static void C_ccall f_8829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_8829,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_8835,a[2]=t4,a[3]=t2,a[4]=((C_word)li44),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_8835(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in scheme#reverse in k8513 */
static void C_fcall f_8835(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_8835,4,t0,t1,t2,t3);}
a=C_alloc(3);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t5=C_slot(t2,C_fix(1));
t6=C_slot(t2,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t3);
/* library.scm:313: loop */
t9=t1;
t10=t5;
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
/* library.scm:314: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[48];
tp(4,av2);}}}}

/* scheme#memq in k8513 */
static void C_ccall f_8868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8868,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#memv in k8513 */
static void C_ccall f_8871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8871,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#member in k8513 */
static void C_ccall f_8874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8874,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_member(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assq in k8513 */
static void C_ccall f_8877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8877,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assv in k8513 */
static void C_ccall f_8880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8880,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assoc in k8513 */
static void C_ccall f_8883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8883,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assoc(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list? in k8513 */
static void C_ccall f_8886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8886,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_listp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string? in k8513 */
static void C_ccall f_8889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8889,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_stringp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-length in k8513 */
static void C_ccall f_8892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8892,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_string_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-ref in k8513 */
static void C_ccall f_8895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8895,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-set! in k8513 */
static void C_ccall f_8898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8898,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_string_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#string=? in k8513 */
static void C_ccall f_8901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8901,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-ci=? in k8513 */
static void C_ccall f_8904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8904,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ci_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#exact->inexact in k8513 */
static void C_ccall f_8908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_8908,3,av);}
a=C_alloc(12);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_exact_to_inexact(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#abs in k8513 */
static void C_ccall f_8911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_8911,3,av);}
a=C_alloc(7);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#quotient in k8513 */
static void C_ccall f_8917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8917,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#remainder in k8513 */
static void C_ccall f_8920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8920,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_remainder(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#modulo in k8513 */
static void C_ccall f_8923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8923,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_modulo(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#even? in k8513 */
static void C_ccall f_8926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8926,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_evenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#odd? in k8513 */
static void C_ccall f_8929(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8929,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_oddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#number? in k8513 */
static void C_ccall f_8937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8937,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_numberp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#real? in k8513 */
static void C_ccall f_8941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8941,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_realp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#rational? in k8513 */
static void C_ccall f_8944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8944,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_rationalp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#integer? in k8513 */
static void C_ccall f_8947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8947,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#exact? in k8513 */
static void C_ccall f_8950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8950,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#inexact? in k8513 */
static void C_ccall f_8953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8953,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_inexactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#zero? in k8513 */
static void C_ccall f_8956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8956,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_zerop(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#positive? in k8513 */
static void C_ccall f_8959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8959,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_positivep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#negative? in k8513 */
static void C_ccall f_8962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8962,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_negativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol? in k8513 */
static void C_ccall f_8966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8966,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_symbolp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector? in k8513 */
static void C_ccall f_8969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8969,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-length in k8513 */
static void C_ccall f_8972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8972,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vector_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-ref in k8513 */
static void C_ccall f_8975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8975,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_vector_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#vector-set! in k8513 */
static void C_ccall f_8978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8978,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_vector_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#char? in k8513 */
static void C_ccall f_8986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8986,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_charp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char->integer in k8513 */
static void C_ccall f_8989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8989,3,av);}
t3=C_i_check_char_2(t2,lf[100]);
t4=C_character_code(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_fix(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#integer->char in k8513 */
static void C_ccall f_8996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_8996,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9000,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:454: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[103];
tp(4,av2);}}

/* k8998 in scheme#integer->char in k8513 */
static void C_ccall f_9000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9000,2,av);}
t2=C_unfix(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_make_character(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char=? in k8513 */
static void C_ccall f_9003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9003,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>? in k8513 */
static void C_ccall f_9006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9006,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<? in k8513 */
static void C_ccall f_9009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9009,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>=? in k8513 */
static void C_ccall f_9012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9012,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<=? in k8513 */
static void C_ccall f_9015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9015,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upcase in k8513 */
static void C_ccall f_9018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9018,3,av);}
t3=C_i_check_char_2(t2,lf[110]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-downcase in k8513 */
static void C_ccall f_9024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9024,3,av);}
t3=C_i_check_char_2(t2,lf[112]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_downcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upper-case? in k8513 */
static void C_ccall f_9035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9035,3,av);}
t3=C_i_check_char_2(t2,lf[119]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upper_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-lower-case? in k8513 */
static void C_ccall f_9041(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9041,3,av);}
t3=C_i_check_char_2(t2,lf[121]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_lower_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-numeric? in k8513 */
static void C_ccall f_9047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9047,3,av);}
t3=C_i_check_char_2(t2,lf[123]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_numericp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-whitespace? in k8513 */
static void C_ccall f_9053(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9053,3,av);}
t3=C_i_check_char_2(t2,lf[125]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_whitespacep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-alphabetic? in k8513 */
static void C_ccall f_9059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9059,3,av);}
t3=C_i_check_char_2(t2,lf[127]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_alphabeticp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#procedure? in k8513 */
static void C_ccall f_9065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9065,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_closurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#input-port? in k8513 */
static void C_ccall f_9072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9072,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_input_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#output-port? in k8513 */
static void C_ccall f_9078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9078,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_output_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#eof-object? in k8513 */
static void C_ccall f_9094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9094,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eofp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eval in k8513 */
static void C_ccall f_9105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9105,3,av);}
/* library.scm:547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[156];
av2[3]=lf[157];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#interaction-environment in k8513 */
static void C_ccall f_9111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9111,2,av);}
/* library.scm:550: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[159];
av2[3]=lf[160];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#scheme-report-environment in k8513 */
static void C_ccall f_9117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9117,3,av);}
/* library.scm:553: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[162];
av2[3]=lf[163];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#null-environment in k8513 */
static void C_ccall f_9123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9123,2,av);}
/* library.scm:556: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[165];
av2[3]=lf[166];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#load in k8513 */
static void C_ccall f_9129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9129,3,av);}
/* library.scm:559: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[168];
av2[3]=lf[169];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.base#fixnum? in k8513 */
static void C_ccall f_9138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9138,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#flonum? in k8513 */
static void C_ccall f_9141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9141,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_flonump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#bignum? in k8513 */
static void C_ccall f_9144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9144,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_bignump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#ratnum? in k8513 */
static void C_ccall f_9147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9147,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_ratnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#cplxnum? in k8513 */
static void C_ccall f_9150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9150,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cplxnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#exact-integer? in k8513 */
static void C_ccall f_9153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9153,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exact_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#quotient&modulo in k8513 */
static void C_ccall f_9157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_9157,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9163,a[2]=t2,a[3]=t3,a[4]=((C_word)li123),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9169,a[2]=t3,a[3]=((C_word)li124),tmp=(C_word)a,a+=4,tmp);
/* library.scm:619: scheme#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a9162 in chicken.base#quotient&modulo in k8513 */
static void C_ccall f_9163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9163,2,av);}
/* library.scm:619: quotient&remainder */
t2=*((C_word*)lf[180]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a9168 in chicken.base#quotient&modulo in k8513 */
static void C_ccall f_9169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_9169,4,av);}
a=C_alloc(29);
t4=((C_word*)t0)[2];
if(C_truep(C_i_positivep(t4))){
t5=t3;
if(C_truep(C_i_negativep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:623: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:624: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}
else{
t5=t3;
if(C_truep(C_i_positivep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:626: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:627: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}}

/* chicken.base#finite? in k8513 */
static void C_ccall f_9202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9202,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_finitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#infinite? in k8513 */
static void C_ccall f_9205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9205,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_infinitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#nan? in k8513 */
static void C_ccall f_9208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9208,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_nanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#add1 in k8513 */
static void C_ccall f_9216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9216,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sub1 in k8513 */
static void C_ccall f_9221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9221,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_minus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#error in k8513 */
static void C_ccall f_9227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_9227,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_pairp(t2))){{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[195];
av2[4]=t2;
C_apply(5,av2);}}
else{
/* library.scm:648: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[195];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* chicken.base#void in k8513 */
static void C_ccall f_9242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9242,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#promise? in k8513 */
static void C_ccall f_9263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9263,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[216]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-promise in k8513 */
static void C_ccall f_9269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9269,3,av);}
a=C_alloc(3);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_record2(&a,2,lf[216],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#make-promise in k8513 */
static void C_ccall f_9275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9275,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9282,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:692: promise? */
t4=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k9280 in chicken.base#make-promise in k8513 */
static void C_ccall f_9282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9282,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9287,a[2]=((C_word*)t0)[2],a[3]=((C_word)li136),tmp=(C_word)a,a+=4,tmp);
/* library.scm:693: ##sys#make-promise */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[217]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[217]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}}

/* a9286 in k9280 in chicken.base#make-promise in k8513 */
static void C_ccall f_9287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9287,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#foldl in k8513 */
static void C_ccall f_9290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9290,5,av);}
a=C_alloc(7);
t5=C_i_check_list_2(t4,lf[220]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9299,a[2]=t7,a[3]=t2,a[4]=((C_word)li138),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9299(t9,t1,t4,t3);}

/* loop in chicken.base#foldl in k8513 */
static void C_fcall f_9299(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9299,4,t0,t1,t2,t3);}
a=C_alloc(5);
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9317,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t8=C_slot(t2,C_fix(0));
/* library.scm:702: f */
t9=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=t3;
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k9315 in loop in chicken.base#foldl in k8513 */
static void C_ccall f_9317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9317,2,av);}
/* library.scm:702: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9299(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* chicken.base#foldr in k8513 */
static void C_ccall f_9327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9327,5,av);}
a=C_alloc(8);
t5=C_i_check_list_2(t4,lf[222]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9336,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li140),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_9336(t9,t1,t4);}

/* loop in chicken.base#foldr in k8513 */
static void C_fcall f_9336(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9336,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[2];
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9354,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:709: loop */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* k9352 in loop in chicken.base#foldr in k8513 */
static void C_ccall f_9354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9354,2,av);}
/* library.scm:709: f */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* chicken.base#on-exit in k8513 */
static void C_ccall f_9367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9367,3,av);}
a=C_alloc(3);
t3=C_a_i_cons(&a,2,t2,*((C_word*)lf[225]+1));
t4=C_mutate((C_word*)lf[225]+1 /* (set! chicken.base#cleanup-tasks ...) */,t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#exit in k8513 */
static void C_ccall f_9374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9374,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34368,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:722: chicken.base#exit-handler */
t4=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9381,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:722: chicken.base#exit-handler */
t6=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k9379 in chicken.base#exit in k8513 */
static void C_ccall f_9381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9381,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* chicken.base#emergency-exit in k8513 */
static void C_ccall f_9392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9392,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f33840,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=C_fix(0);
av2[3]=lf[229];
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9399,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[229];
tp(4,av2);}}}

/* k9397 in chicken.base#emergency-exit in k8513 */
static void C_ccall f_9399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9399,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#identity in k8513 */
static void C_ccall f_9411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9411,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#conjoin in k8513 */
static void C_ccall f_9414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9414,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9416,a[2]=t2,a[3]=((C_word)li147),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9416 in chicken.base#conjoin in k8513 */
static void C_ccall f_9416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9416,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9422,a[2]=t4,a[3]=t2,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9422(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9422(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9422,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9438,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:743: g700 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k9436 in loop */
static void C_ccall f_9438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9438,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:744: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9422(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#disjoin in k8513 */
static void C_ccall f_9447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9447,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9449,a[2]=t2,a[3]=((C_word)li150),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9449 in chicken.base#disjoin in k8513 */
static void C_ccall f_9449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9449,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9455,a[2]=t4,a[3]=t2,a[4]=((C_word)li149),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9455(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9455(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9455,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(C_i_not(t3))){
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9468,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:750: g712 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k9466 in loop */
static void C_ccall f_9468(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9468,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:751: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_9455(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#constantly in k8513 */
static void C_ccall f_9484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9484,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=t2;
t4=C_u_i_length(t3);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=C_i_car(t2);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9495,a[2]=t7,a[3]=((C_word)li152),tmp=(C_word)a,a+=4,tmp);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9497,a[2]=t2,a[3]=((C_word)li153),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* f_9495 in chicken.base#constantly in k8513 */
static void C_ccall f_9495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9495,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9497 in chicken.base#constantly in k8513 */
static void C_ccall f_9497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9497,2,av);}{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=*((C_word*)lf[130]+1);
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}

/* chicken.base#flip in k8513 */
static void C_ccall f_9505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_9505,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9507,a[2]=t2,a[3]=((C_word)li155),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9507 in chicken.base#flip in k8513 */
static void C_ccall f_9507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9507,4,av);}
/* library.scm:759: proc */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* chicken.base#complement in k8513 */
static void C_ccall f_9513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9513,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9515,a[2]=t2,a[3]=((C_word)li157),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9515 in chicken.base#complement in k8513 */
static void C_ccall f_9515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_9515,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9523,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}

/* k9521 */
static void C_ccall f_9523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9523,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#compose in k8513 */
static void C_ccall f_9525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9525,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9528,a[2]=t4,a[3]=((C_word)li161),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_i_nullp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=*((C_word*)lf[130]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t4)[1];
av2[3]=t2;
C_apply(4,av2);}}}

/* rec in chicken.base#compose in k8513 */
static void C_ccall f_9528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_9528,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9536,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t2,a[5]=((C_word)li160),tmp=(C_word)a,a+=6,tmp);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9536 in rec in chicken.base#compose in k8513 */
static void C_ccall f_9536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9536,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9542,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li159),tmp=(C_word)a,a+=6,tmp);
/* library.scm:770: scheme#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[4];
C_call_with_values(4,av2);}}

/* a9541 */
static void C_ccall f_9542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9542,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9550,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* k9548 in a9541 */
static void C_ccall f_9550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9550,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
C_apply(4,av2);}}

/* chicken.base#o in k8513 */
static void C_ccall f_9561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9561,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=*((C_word*)lf[234]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9573,a[2]=t4,a[3]=((C_word)li164),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9573(t6,t1,t2);}}

/* loop in chicken.base#o in k8513 */
static void C_fcall f_9573(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9573,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9587,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li163),tmp=(C_word)a,a+=6,tmp);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* f_9587 in loop in chicken.base#o in k8513 */
static void C_ccall f_9587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_9587,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9595,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:785: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_9573(t4,t3,((C_word*)t0)[4]);}

/* k9593 */
static void C_ccall f_9595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9595,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9598,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:785: g741 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k9596 in k9593 */
static void C_ccall f_9598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9598,2,av);}
/* library.scm:785: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#list-of? in k8513 */
static void C_ccall f_9600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9600,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9602,a[2]=t2,a[3]=((C_word)li167),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9602 in chicken.base#list-of? in k8513 */
static void C_ccall f_9602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9602,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9608,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word)li166),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9608(t6,t1,t2);}

/* loop */
static void C_fcall f_9608(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9608,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9627,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:792: pred */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}}

/* k9625 in loop */
static void C_ccall f_9627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9627,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:792: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9608(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#each in k8513 */
static void C_ccall f_9644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9644,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9652,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(1));
t4=C_i_nullp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t2,C_fix(0)):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9666,a[2]=t2,a[3]=((C_word)li171),tmp=(C_word)a,a+=4,tmp));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9652 in chicken.base#each in k8513 */
static void C_ccall f_9652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9652,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9666 in chicken.base#each in k8513 */
static void C_ccall f_9666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_9666,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9672,a[2]=t2,a[3]=t4,a[4]=((C_word)li170),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9672(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9672(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9672,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=t4;
if(C_truep(C_i_nullp(t5))){{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9691,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}}

/* k9689 in loop */
static void C_ccall f_9691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9691,2,av);}
/* library.scm:807: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9672(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.base#atom? in k8513 */
static void C_ccall f_9700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9700,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not_pair_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#tail? in k8513 */
static void C_ccall f_9703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9703,4,av);}
a=C_alloc(4);
t4=C_i_check_list_2(t3,lf[247]);
t5=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9715,a[2]=t2,a[3]=((C_word)li174),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_9715(t6,t3)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* loop in chicken.base#tail? in k8513 */
static C_word C_fcall f_9715(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_stack_overflow_check;
loop:{}
if(C_truep(C_eqp(t1,C_SCHEME_END_OF_LIST))){
return(C_SCHEME_FALSE);}
else{
if(C_truep(C_eqp(((C_word*)t0)[2],t1))){
return(C_SCHEME_TRUE);}
else{
t2=C_slot(t1,C_fix(1));
t4=t2;
t1=t4;
goto loop;}}}

/* chicken.base#intersperse in k8513 */
static void C_ccall f_9731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9731,4,av);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9737,a[2]=t3,a[3]=t5,a[4]=((C_word)li176),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9737(t7,t1,t2);}

/* loop in chicken.base#intersperse in k8513 */
static void C_fcall f_9737(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9737,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_eqp(t2,C_SCHEME_END_OF_LIST))){
t3=t2;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_cdr(t2);
if(C_truep(C_eqp(t3,C_SCHEME_END_OF_LIST))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9762,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:830: loop */
t8=t6;
t9=t3;
t1=t8;
t2=t9;
goto loop;}}}

/* k9760 in loop in chicken.base#intersperse in k8513 */
static void C_ccall f_9762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9762,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#butlast in k8513 */
static void C_ccall f_9764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_9764,3,av);}
a=C_alloc(6);
t3=C_i_check_pair_2(t2,lf[250]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9773,a[2]=t5,a[3]=((C_word)li178),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_9773(t7,t1,t2);}

/* loop in chicken.base#butlast in k8513 */
static void C_fcall f_9773(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_9773,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(1));
t4=(C_truep(C_blockp(t3))?C_pairp(t3):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9794,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:837: loop */
t9=t7;
t10=t3;
t1=t9;
t2=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k9792 in loop in chicken.base#butlast in k8513 */
static void C_ccall f_9794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9794,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flatten in k8513 */
static void C_ccall f_9796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_9796,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9802,a[2]=t4,a[3]=((C_word)li180),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9802(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in chicken.base#flatten in k8513 */
static void C_fcall f_9802(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9802,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_listp(t5))){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9828,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:847: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9835,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:848: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}}}

/* k9826 in loop in chicken.base#flatten in k8513 */
static void C_ccall f_9828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9828,2,av);}
/* library.scm:847: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9802(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k9833 in loop in chicken.base#flatten in k8513 */
static void C_ccall f_9835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9835,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#join in k8513 */
static void C_ccall f_9837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9837,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9841,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_9841(t6,C_u_i_car(t5));}
else{
t5=t4;
f_9841(t5,C_SCHEME_END_OF_LIST);}}

/* k9839 in chicken.base#join in k8513 */
static void C_fcall f_9841(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_9841,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=C_i_check_list_2(t2,lf[253]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9849,a[2]=t2,a[3]=t5,a[4]=((C_word)li182),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9849(t7,((C_word*)t0)[2],((C_word*)t0)[3]);}

/* loop in k9839 in chicken.base#join in k8513 */
static void C_fcall f_9849(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9849,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:858: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9884,a[2]=t1,a[3]=t5,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:864: loop */
t9=t7;
t10=t6;
t1=t9;
t2=t10;
goto loop;}}}}

/* k9882 in loop in k9839 in chicken.base#join in k8513 */
static void C_ccall f_9884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_9884,2,av);}
/* library.scm:864: ##sys#append */
t2=*((C_word*)lf[254]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* chicken.base#compress in k8513 */
static void C_ccall f_9894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9894,4,av);}
a=C_alloc(7);
t4=lf[256];
t5=C_i_check_list_2(t3,lf[257]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9903,a[2]=t4,a[3]=t7,a[4]=((C_word)li184),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9903(t9,t1,t2,t3);}

/* loop in chicken.base#compress in k8513 */
static void C_fcall f_9903(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_9903,4,t0,t1,t2,t3);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
/* library.scm:873: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}
else{
t5=C_i_pairp(t3);
if(C_truep(C_i_not(t5))){
/* library.scm:875: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
if(C_truep(C_slot(t2,C_fix(0)))){
t6=C_slot(t3,C_fix(0));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9945,a[2]=t1,a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_slot(t2,C_fix(1));
t10=C_slot(t3,C_fix(1));
/* library.scm:877: loop */
t12=t8;
t13=t9;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=C_slot(t2,C_fix(1));
t7=C_slot(t3,C_fix(1));
/* library.scm:878: loop */
t12=t1;
t13=t6;
t14=t7;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}}}

/* k9943 in loop in chicken.base#compress in k8513 */
static void C_ccall f_9945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9945,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-update! in k8513 */
static void C_ccall f_9974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_9974,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+10);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9981,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(*((C_word*)lf[4]+1),t8);
if(C_truep(t10)){
t11=t9;
f_9981(t11,*((C_word*)lf[52]+1));}
else{
t11=C_eqp(*((C_word*)lf[5]+1),t8);
if(C_truep(t11)){
t12=t9;
f_9981(t12,*((C_word*)lf[53]+1));}
else{
t12=C_eqp(*((C_word*)lf[6]+1),t8);
t13=t9;
f_9981(t13,(C_truep(t12)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10013,a[2]=t8,a[3]=((C_word)li187),tmp=(C_word)a,a+=4,tmp)));}}}

/* k9979 in chicken.base#alist-update! in k8513 */
static void C_fcall f_9981(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9981,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9984,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:895: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k9982 in k9979 in chicken.base#alist-update! in k8513 */
static void C_ccall f_9984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9984,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t2,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_library_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("library"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_library_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(7765))){
C_save(t1);
C_rereclaim2(7765*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,1394);
lf[0]=C_h_intern(&lf[0],7, C_text("library"));
lf[1]=C_h_intern(&lf[1],7, C_text("scheme#"));
lf[2]=C_h_intern(&lf[2],10, C_text("scheme#not"));
lf[3]=C_h_intern(&lf[3],15, C_text("scheme#boolean\077"));
lf[4]=C_h_intern(&lf[4],10, C_text("scheme#eq\077"));
lf[5]=C_h_intern(&lf[5],11, C_text("scheme#eqv\077"));
lf[6]=C_h_intern(&lf[6],13, C_text("scheme#equal\077"));
lf[7]=C_h_intern(&lf[7],12, C_text("scheme#pair\077"));
lf[8]=C_h_intern(&lf[8],11, C_text("scheme#cons"));
lf[9]=C_h_intern(&lf[9],10, C_text("scheme#car"));
lf[10]=C_h_intern(&lf[10],10, C_text("scheme#cdr"));
lf[11]=C_h_intern(&lf[11],15, C_text("scheme#set-car!"));
lf[12]=C_h_intern(&lf[12],15, C_text("scheme#set-cdr!"));
lf[13]=C_h_intern(&lf[13],11, C_text("scheme#cadr"));
lf[14]=C_h_intern(&lf[14],12, C_text("scheme#caddr"));
lf[15]=C_h_intern(&lf[15],13, C_text("scheme#cadddr"));
lf[16]=C_h_intern(&lf[16],13, C_text("scheme#cddddr"));
lf[17]=C_h_intern(&lf[17],11, C_text("scheme#caar"));
lf[18]=C_h_intern(&lf[18],11, C_text("scheme#cdar"));
lf[19]=C_h_intern(&lf[19],11, C_text("scheme#cddr"));
lf[20]=C_h_intern(&lf[20],12, C_text("scheme#caaar"));
lf[21]=C_h_intern(&lf[21],12, C_text("scheme#caadr"));
lf[22]=C_h_intern(&lf[22],12, C_text("scheme#cadar"));
lf[23]=C_h_intern(&lf[23],12, C_text("scheme#cdaar"));
lf[24]=C_h_intern(&lf[24],12, C_text("scheme#cdadr"));
lf[25]=C_h_intern(&lf[25],12, C_text("scheme#cddar"));
lf[26]=C_h_intern(&lf[26],12, C_text("scheme#cdddr"));
lf[27]=C_h_intern(&lf[27],13, C_text("scheme#caaaar"));
lf[28]=C_h_intern(&lf[28],13, C_text("scheme#caaadr"));
lf[29]=C_h_intern(&lf[29],13, C_text("scheme#caadar"));
lf[30]=C_h_intern(&lf[30],13, C_text("scheme#caaddr"));
lf[31]=C_h_intern(&lf[31],13, C_text("scheme#cadaar"));
lf[32]=C_h_intern(&lf[32],13, C_text("scheme#cadadr"));
lf[33]=C_h_intern(&lf[33],13, C_text("scheme#caddar"));
lf[34]=C_h_intern(&lf[34],13, C_text("scheme#cdaaar"));
lf[35]=C_h_intern(&lf[35],13, C_text("scheme#cdaadr"));
lf[36]=C_h_intern(&lf[36],13, C_text("scheme#cdadar"));
lf[37]=C_h_intern(&lf[37],13, C_text("scheme#cdaddr"));
lf[38]=C_h_intern(&lf[38],13, C_text("scheme#cddaar"));
lf[39]=C_h_intern(&lf[39],13, C_text("scheme#cddadr"));
lf[40]=C_h_intern(&lf[40],13, C_text("scheme#cdddar"));
lf[41]=C_h_intern(&lf[41],12, C_text("scheme#null\077"));
lf[42]=C_h_intern(&lf[42],11, C_text("scheme#list"));
lf[43]=C_h_intern(&lf[43],13, C_text("scheme#length"));
lf[44]=C_h_intern(&lf[44],16, C_text("scheme#list-tail"));
lf[45]=C_h_intern(&lf[45],15, C_text("scheme#list-ref"));
lf[46]=C_h_intern(&lf[46],14, C_text("scheme#reverse"));
lf[47]=C_h_intern(&lf[47],29, C_text("##sys#error-not-a-proper-list"));
lf[48]=C_h_intern(&lf[48],7, C_text("reverse"));
lf[49]=C_h_intern(&lf[49],11, C_text("scheme#memq"));
lf[50]=C_h_intern(&lf[50],11, C_text("scheme#memv"));
lf[51]=C_h_intern(&lf[51],13, C_text("scheme#member"));
lf[52]=C_h_intern(&lf[52],11, C_text("scheme#assq"));
lf[53]=C_h_intern(&lf[53],11, C_text("scheme#assv"));
lf[54]=C_h_intern(&lf[54],12, C_text("scheme#assoc"));
lf[55]=C_h_intern(&lf[55],12, C_text("scheme#list\077"));
lf[56]=C_h_intern(&lf[56],14, C_text("scheme#string\077"));
lf[57]=C_h_intern(&lf[57],20, C_text("scheme#string-length"));
lf[58]=C_h_intern(&lf[58],17, C_text("scheme#string-ref"));
lf[59]=C_h_intern(&lf[59],18, C_text("scheme#string-set!"));
lf[60]=C_h_intern(&lf[60],15, C_text("scheme#string=\077"));
lf[61]=C_h_intern(&lf[61],18, C_text("scheme#string-ci=\077"));
lf[62]=C_h_intern(&lf[62],21, C_text("scheme#exact->inexact"));
lf[63]=C_h_intern(&lf[63],10, C_text("scheme#abs"));
lf[64]=C_h_intern(&lf[64],8, C_text("scheme#+"));
lf[65]=C_h_intern(&lf[65],8, C_text("scheme#-"));
lf[66]=C_h_intern(&lf[66],8, C_text("scheme#\052"));
lf[67]=C_h_intern(&lf[67],15, C_text("scheme#quotient"));
lf[68]=C_h_intern(&lf[68],16, C_text("scheme#remainder"));
lf[69]=C_h_intern(&lf[69],13, C_text("scheme#modulo"));
lf[70]=C_h_intern(&lf[70],12, C_text("scheme#even\077"));
lf[71]=C_h_intern(&lf[71],11, C_text("scheme#odd\077"));
lf[72]=C_h_intern(&lf[72],8, C_text("scheme#="));
lf[73]=C_h_intern(&lf[73],8, C_text("scheme#>"));
lf[74]=C_h_intern(&lf[74],8, C_text("scheme#<"));
lf[75]=C_h_intern(&lf[75],9, C_text("scheme#>="));
lf[76]=C_h_intern(&lf[76],9, C_text("scheme#<="));
lf[77]=C_h_intern(&lf[77],14, C_text("scheme#number\077"));
lf[78]=C_h_intern(&lf[78],15, C_text("scheme#complex\077"));
lf[79]=C_h_intern(&lf[79],12, C_text("scheme#real\077"));
lf[80]=C_h_intern(&lf[80],16, C_text("scheme#rational\077"));
lf[81]=C_h_intern(&lf[81],15, C_text("scheme#integer\077"));
lf[82]=C_h_intern(&lf[82],13, C_text("scheme#exact\077"));
lf[83]=C_h_intern(&lf[83],15, C_text("scheme#inexact\077"));
lf[84]=C_h_intern(&lf[84],12, C_text("scheme#zero\077"));
lf[85]=C_h_intern(&lf[85],16, C_text("scheme#positive\077"));
lf[86]=C_h_intern(&lf[86],16, C_text("scheme#negative\077"));
lf[87]=C_h_intern(&lf[87],21, C_text("scheme#number->string"));
lf[88]=C_h_intern(&lf[88],14, C_text("scheme#symbol\077"));
lf[89]=C_h_intern(&lf[89],14, C_text("scheme#vector\077"));
lf[90]=C_h_intern(&lf[90],20, C_text("scheme#vector-length"));
lf[91]=C_h_intern(&lf[91],17, C_text("scheme#vector-ref"));
lf[92]=C_h_intern(&lf[92],18, C_text("scheme#vector-set!"));
lf[93]=C_h_intern(&lf[93],18, C_text("scheme#make-vector"));
lf[94]=C_h_intern(&lf[94],19, C_text("scheme#list->vector"));
lf[95]=C_h_intern(&lf[95],19, C_text("scheme#vector->list"));
lf[96]=C_h_intern(&lf[96],13, C_text("scheme#vector"));
lf[97]=C_h_intern(&lf[97],19, C_text("scheme#vector-fill!"));
lf[98]=C_h_intern(&lf[98],12, C_text("scheme#char\077"));
lf[99]=C_h_intern(&lf[99],20, C_text("scheme#char->integer"));
lf[100]=C_h_intern(&lf[100],13, C_text("char->integer"));
lf[101]=C_h_intern(&lf[101],20, C_text("scheme#integer->char"));
lf[102]=C_h_intern(&lf[102],18, C_text("##sys#check-fixnum"));
lf[103]=C_h_intern(&lf[103],13, C_text("integer->char"));
lf[104]=C_h_intern(&lf[104],13, C_text("scheme#char=\077"));
lf[105]=C_h_intern(&lf[105],13, C_text("scheme#char>\077"));
lf[106]=C_h_intern(&lf[106],13, C_text("scheme#char<\077"));
lf[107]=C_h_intern(&lf[107],14, C_text("scheme#char>=\077"));
lf[108]=C_h_intern(&lf[108],14, C_text("scheme#char<=\077"));
lf[109]=C_h_intern(&lf[109],18, C_text("scheme#char-upcase"));
lf[110]=C_h_intern(&lf[110],11, C_text("char-upcase"));
lf[111]=C_h_intern(&lf[111],20, C_text("scheme#char-downcase"));
lf[112]=C_h_intern(&lf[112],13, C_text("char-downcase"));
lf[113]=C_h_intern(&lf[113],16, C_text("scheme#char-ci=\077"));
lf[114]=C_h_intern(&lf[114],16, C_text("scheme#char-ci>\077"));
lf[115]=C_h_intern(&lf[115],16, C_text("scheme#char-ci<\077"));
lf[116]=C_h_intern(&lf[116],17, C_text("scheme#char-ci>=\077"));
lf[117]=C_h_intern(&lf[117],17, C_text("scheme#char-ci<=\077"));
lf[118]=C_h_intern(&lf[118],23, C_text("scheme#char-upper-case\077"));
lf[119]=C_h_intern(&lf[119],16, C_text("char-upper-case\077"));
lf[120]=C_h_intern(&lf[120],23, C_text("scheme#char-lower-case\077"));
lf[121]=C_h_intern(&lf[121],16, C_text("char-lower-case\077"));
lf[122]=C_h_intern(&lf[122],20, C_text("scheme#char-numeric\077"));
lf[123]=C_h_intern(&lf[123],13, C_text("char-numeric\077"));
lf[124]=C_h_intern(&lf[124],23, C_text("scheme#char-whitespace\077"));
lf[125]=C_h_intern(&lf[125],16, C_text("char-whitespace\077"));
lf[126]=C_h_intern(&lf[126],23, C_text("scheme#char-alphabetic\077"));
lf[127]=C_h_intern(&lf[127],16, C_text("char-alphabetic\077"));
lf[128]=C_h_intern(&lf[128],17, C_text("scheme#procedure\077"));
lf[129]=C_h_intern(&lf[129],12, C_text("scheme#apply"));
lf[130]=C_h_intern(&lf[130],13, C_text("scheme#values"));
lf[131]=C_h_intern(&lf[131],23, C_text("scheme#call-with-values"));
lf[132]=C_h_intern(&lf[132],37, C_text("scheme#call-with-current-continuation"));
lf[133]=C_h_intern(&lf[133],18, C_text("scheme#input-port\077"));
lf[134]=C_h_intern(&lf[134],19, C_text("scheme#output-port\077"));
lf[135]=C_h_intern(&lf[135],25, C_text("scheme#current-input-port"));
lf[136]=C_h_intern(&lf[136],26, C_text("scheme#current-output-port"));
lf[137]=C_h_intern(&lf[137],22, C_text("scheme#open-input-file"));
lf[138]=C_h_intern(&lf[138],23, C_text("scheme#open-output-file"));
lf[139]=C_h_intern(&lf[139],23, C_text("scheme#close-input-port"));
lf[140]=C_h_intern(&lf[140],24, C_text("scheme#close-output-port"));
lf[141]=C_h_intern(&lf[141],27, C_text("scheme#call-with-input-file"));
lf[142]=C_h_intern(&lf[142],28, C_text("scheme#call-with-output-file"));
lf[143]=C_h_intern(&lf[143],27, C_text("scheme#with-input-from-file"));
lf[144]=C_h_intern(&lf[144],26, C_text("scheme#with-output-to-file"));
lf[145]=C_h_intern(&lf[145],18, C_text("scheme#eof-object\077"));
lf[146]=C_h_intern(&lf[146],18, C_text("scheme#char-ready\077"));
lf[147]=C_h_intern(&lf[147],16, C_text("scheme#read-char"));
lf[148]=C_h_intern(&lf[148],16, C_text("scheme#peek-char"));
lf[149]=C_h_intern(&lf[149],11, C_text("scheme#read"));
lf[150]=C_h_intern(&lf[150],17, C_text("scheme#write-char"));
lf[151]=C_h_intern(&lf[151],14, C_text("scheme#newline"));
lf[152]=C_h_intern(&lf[152],12, C_text("scheme#write"));
lf[153]=C_h_intern(&lf[153],14, C_text("scheme#display"));
lf[154]=C_h_intern(&lf[154],11, C_text("scheme#eval"));
lf[155]=C_h_intern(&lf[155],11, C_text("##sys#error"));
lf[156]=C_h_intern(&lf[156],4, C_text("eval"));
lf[157]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`eval\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[158]=C_h_intern(&lf[158],30, C_text("scheme#interaction-environment"));
lf[159]=C_h_intern(&lf[159],23, C_text("interaction-environment"));
lf[160]=C_decode_literal(C_heaptop,C_text("\376B\000\000g`interaction-environment\047 is not defined - the `eval\047 unit was probably not"
" linked with this executable"));
lf[161]=C_h_intern(&lf[161],32, C_text("scheme#scheme-report-environment"));
lf[162]=C_h_intern(&lf[162],25, C_text("scheme-report-environment"));
lf[163]=C_decode_literal(C_heaptop,C_text("\376B\000\000i`scheme-report-environment\047 is not defined - the `eval\047 unit was probably n"
"ot linked with this executable"));
lf[164]=C_h_intern(&lf[164],23, C_text("scheme#null-environment"));
lf[165]=C_h_intern(&lf[165],16, C_text("null-environment"));
lf[166]=C_decode_literal(C_heaptop,C_text("\376B\000\000``null-environment\047 is not defined - the `eval\047 unit was probably not linked"
" with this executable"));
lf[167]=C_h_intern(&lf[167],11, C_text("scheme#load"));
lf[168]=C_h_intern(&lf[168],4, C_text("load"));
lf[169]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`load\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[170]=C_h_intern(&lf[170],15, C_text("scheme#for-each"));
lf[171]=C_h_intern(&lf[171],10, C_text("scheme#map"));
lf[172]=C_h_intern(&lf[172],19, C_text("scheme#dynamic-wind"));
lf[173]=C_h_intern(&lf[173],13, C_text("chicken.base#"));
lf[174]=C_h_intern(&lf[174],20, C_text("chicken.base#fixnum\077"));
lf[175]=C_h_intern(&lf[175],20, C_text("chicken.base#flonum\077"));
lf[176]=C_h_intern(&lf[176],20, C_text("chicken.base#bignum\077"));
lf[177]=C_h_intern(&lf[177],20, C_text("chicken.base#ratnum\077"));
lf[178]=C_h_intern(&lf[178],21, C_text("chicken.base#cplxnum\077"));
lf[179]=C_h_intern(&lf[179],27, C_text("chicken.base#exact-integer\077"));
lf[180]=C_h_intern(&lf[180],31, C_text("chicken.base#quotient&remainder"));
lf[181]=C_h_intern(&lf[181],28, C_text("chicken.base#quotient&modulo"));
lf[182]=C_h_intern(&lf[182],20, C_text("chicken.base#finite\077"));
lf[183]=C_h_intern(&lf[183],22, C_text("chicken.base#infinite\077"));
lf[184]=C_h_intern(&lf[184],17, C_text("chicken.base#nan\077"));
lf[185]=C_h_intern(&lf[185],19, C_text("chicken.base#signum"));
lf[186]=C_h_intern(&lf[186],27, C_text("chicken.base#get-call-chain"));
lf[187]=C_h_intern(&lf[187],29, C_text("chicken.base#print-call-chain"));
lf[188]=C_h_intern(&lf[188],18, C_text("chicken.base#print"));
lf[189]=C_h_intern(&lf[189],19, C_text("chicken.base#print\052"));
lf[190]=C_h_intern(&lf[190],17, C_text("chicken.base#add1"));
lf[191]=C_h_intern(&lf[191],17, C_text("chicken.base#sub1"));
lf[192]=C_h_intern(&lf[192],31, C_text("chicken.base#current-error-port"));
lf[193]=C_h_intern(&lf[193],18, C_text("chicken.base#error"));
lf[194]=C_h_intern(&lf[194],17, C_text("##sys#signal-hook"));
lf[195]=C_h_intern_kw(&lf[195],5, C_text("error"));
lf[196]=C_h_intern(&lf[196],17, C_text("chicken.base#void"));
lf[197]=C_h_intern(&lf[197],18, C_text("chicken.base#sleep"));
lf[198]=C_h_intern(&lf[198],20, C_text("chicken.base#call/cc"));
lf[199]=C_h_intern(&lf[199],22, C_text("chicken.base#char-name"));
lf[200]=C_h_intern(&lf[200],31, C_text("chicken.base#getter-with-setter"));
lf[201]=C_h_intern(&lf[201],27, C_text("chicken.base#make-parameter"));
lf[202]=C_h_intern(&lf[202],34, C_text("chicken.base#procedure-information"));
lf[203]=C_h_intern(&lf[203],19, C_text("chicken.base#setter"));
lf[204]=C_h_intern(&lf[204],25, C_text("chicken.base#vector-copy!"));
lf[205]=C_h_intern(&lf[205],22, C_text("chicken.base#subvector"));
lf[206]=C_h_intern(&lf[206],26, C_text("chicken.base#vector-resize"));
lf[207]=C_h_intern(&lf[207],18, C_text("chicken.base#port\077"));
lf[208]=C_h_intern(&lf[208],25, C_text("chicken.base#port-closed\077"));
lf[209]=C_h_intern(&lf[209],29, C_text("chicken.base#input-port-open\077"));
lf[210]=C_h_intern(&lf[210],30, C_text("chicken.base#output-port-open\077"));
lf[211]=C_h_intern(&lf[211],30, C_text("chicken.base#get-output-string"));
lf[212]=C_h_intern(&lf[212],30, C_text("chicken.base#open-input-string"));
lf[213]=C_h_intern(&lf[213],31, C_text("chicken.base#open-output-string"));
lf[214]=C_h_intern(&lf[214],25, C_text("chicken.base#flush-output"));
lf[215]=C_h_intern(&lf[215],21, C_text("chicken.base#promise\077"));
lf[216]=C_h_intern(&lf[216],7, C_text("promise"));
lf[217]=C_h_intern(&lf[217],18, C_text("##sys#make-promise"));
lf[218]=C_h_intern(&lf[218],25, C_text("chicken.base#make-promise"));
lf[219]=C_h_intern(&lf[219],18, C_text("chicken.base#foldl"));
lf[220]=C_h_intern(&lf[220],5, C_text("foldl"));
lf[221]=C_h_intern(&lf[221],18, C_text("chicken.base#foldr"));
lf[222]=C_h_intern(&lf[222],5, C_text("foldr"));
lf[223]=C_h_intern(&lf[223],34, C_text("chicken.base#implicit-exit-handler"));
lf[224]=C_h_intern(&lf[224],25, C_text("chicken.base#exit-handler"));
lf[225]=C_h_intern(&lf[225],26, C_text("chicken.base#cleanup-tasks"));
lf[226]=C_h_intern(&lf[226],20, C_text("chicken.base#on-exit"));
lf[227]=C_h_intern(&lf[227],17, C_text("chicken.base#exit"));
lf[228]=C_h_intern(&lf[228],27, C_text("chicken.base#emergency-exit"));
lf[229]=C_h_intern(&lf[229],14, C_text("emergency-exit"));
lf[230]=C_h_intern(&lf[230],27, C_text("chicken.base#case-sensitive"));
lf[231]=C_h_intern(&lf[231],26, C_text("chicken.base#keyword-style"));
lf[232]=C_h_intern(&lf[232],33, C_text("chicken.base#parentheses-synonyms"));
lf[233]=C_h_intern(&lf[233],26, C_text("chicken.base#symbol-escape"));
lf[234]=C_h_intern(&lf[234],21, C_text("chicken.base#identity"));
lf[235]=C_h_intern(&lf[235],20, C_text("chicken.base#conjoin"));
lf[236]=C_h_intern(&lf[236],20, C_text("chicken.base#disjoin"));
lf[237]=C_h_intern(&lf[237],23, C_text("chicken.base#constantly"));
lf[238]=C_h_intern(&lf[238],17, C_text("chicken.base#flip"));
lf[239]=C_h_intern(&lf[239],23, C_text("chicken.base#complement"));
lf[240]=C_h_intern(&lf[240],20, C_text("chicken.base#compose"));
lf[241]=C_h_intern(&lf[241],14, C_text("chicken.base#o"));
lf[242]=C_h_intern(&lf[242],21, C_text("chicken.base#list-of\077"));
lf[243]=C_h_intern(&lf[243],17, C_text("chicken.base#each"));
lf[244]=C_h_intern(&lf[244],21, C_text("##sys#undefined-value"));
lf[245]=C_h_intern(&lf[245],18, C_text("chicken.base#atom\077"));
lf[246]=C_h_intern(&lf[246],18, C_text("chicken.base#tail\077"));
lf[247]=C_h_intern(&lf[247],5, C_text("tail\077"));
lf[248]=C_h_intern(&lf[248],24, C_text("chicken.base#intersperse"));
lf[249]=C_h_intern(&lf[249],20, C_text("chicken.base#butlast"));
lf[250]=C_h_intern(&lf[250],7, C_text("butlast"));
lf[251]=C_h_intern(&lf[251],20, C_text("chicken.base#flatten"));
lf[252]=C_h_intern(&lf[252],17, C_text("chicken.base#join"));
lf[253]=C_h_intern(&lf[253],4, C_text("join"));
lf[254]=C_h_intern(&lf[254],12, C_text("##sys#append"));
lf[255]=C_h_intern(&lf[255],21, C_text("chicken.base#compress"));
lf[256]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[257]=C_h_intern(&lf[257],8, C_text("compress"));
lf[258]=C_h_intern_kw(&lf[258],10, C_text("type-error"));
lf[259]=C_h_intern(&lf[259],26, C_text("chicken.base#alist-update!"));
lf[260]=C_h_intern(&lf[260],25, C_text("chicken.base#alist-update"));
lf[261]=C_h_intern(&lf[261],12, C_text("alist-update"));
lf[262]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[263]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[264]=C_h_intern(&lf[264],22, C_text("chicken.base#alist-ref"));
lf[265]=C_h_intern(&lf[265],9, C_text("alist-ref"));
lf[266]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[267]=C_h_intern(&lf[267],19, C_text("chicken.base#rassoc"));
lf[268]=C_h_intern(&lf[268],6, C_text("rassoc"));
lf[270]=C_h_intern(&lf[270],15, C_text("chicken.fixnum#"));
lf[271]=C_h_intern(&lf[271],35, C_text("chicken.fixnum#most-positive-fixnum"));
lf[272]=C_h_intern(&lf[272],35, C_text("chicken.fixnum#most-negative-fixnum"));
lf[273]=C_h_intern(&lf[273],26, C_text("chicken.fixnum#fixnum-bits"));
lf[274]=C_h_intern(&lf[274],31, C_text("chicken.fixnum#fixnum-precision"));
lf[275]=C_h_intern(&lf[275],18, C_text("chicken.fixnum#fx+"));
lf[276]=C_h_intern(&lf[276],18, C_text("chicken.fixnum#fx-"));
lf[277]=C_h_intern(&lf[277],18, C_text("chicken.fixnum#fx\052"));
lf[278]=C_h_intern(&lf[278],18, C_text("chicken.fixnum#fx="));
lf[279]=C_h_intern(&lf[279],18, C_text("chicken.fixnum#fx>"));
lf[280]=C_h_intern(&lf[280],18, C_text("chicken.fixnum#fx<"));
lf[281]=C_h_intern(&lf[281],19, C_text("chicken.fixnum#fx>="));
lf[282]=C_h_intern(&lf[282],19, C_text("chicken.fixnum#fx<="));
lf[283]=C_h_intern(&lf[283],20, C_text("chicken.fixnum#fxmin"));
lf[284]=C_h_intern(&lf[284],20, C_text("chicken.fixnum#fxmax"));
lf[285]=C_h_intern(&lf[285],20, C_text("chicken.fixnum#fxneg"));
lf[286]=C_h_intern(&lf[286],20, C_text("chicken.fixnum#fxand"));
lf[287]=C_h_intern(&lf[287],20, C_text("chicken.fixnum#fxior"));
lf[288]=C_h_intern(&lf[288],20, C_text("chicken.fixnum#fxxor"));
lf[289]=C_h_intern(&lf[289],20, C_text("chicken.fixnum#fxnot"));
lf[290]=C_h_intern(&lf[290],20, C_text("chicken.fixnum#fxshl"));
lf[291]=C_h_intern(&lf[291],20, C_text("chicken.fixnum#fxshr"));
lf[292]=C_h_intern(&lf[292],21, C_text("chicken.fixnum#fxodd\077"));
lf[293]=C_h_intern(&lf[293],22, C_text("chicken.fixnum#fxeven\077"));
lf[294]=C_h_intern(&lf[294],20, C_text("chicken.fixnum#fxlen"));
lf[295]=C_h_intern(&lf[295],18, C_text("chicken.fixnum#fx/"));
lf[296]=C_h_intern(&lf[296],20, C_text("chicken.fixnum#fxgcd"));
lf[297]=C_h_intern(&lf[297],20, C_text("chicken.fixnum#fxmod"));
lf[298]=C_h_intern(&lf[298],20, C_text("chicken.fixnum#fxrem"));
lf[299]=C_h_intern(&lf[299],19, C_text("chicken.fixnum#fx+\077"));
lf[300]=C_h_intern(&lf[300],19, C_text("chicken.fixnum#fx-\077"));
lf[301]=C_h_intern(&lf[301],19, C_text("chicken.fixnum#fx\052\077"));
lf[302]=C_h_intern(&lf[302],19, C_text("chicken.fixnum#fx/\077"));
lf[303]=C_h_intern(&lf[303],17, C_text("##sys#debug-mode\077"));
lf[304]=C_h_intern(&lf[304],22, C_text("##sys#warnings-enabled"));
lf[305]=C_h_intern(&lf[305],21, C_text("##sys#notices-enabled"));
lf[306]=C_h_intern(&lf[306],20, C_text("chicken.base#warning"));
lf[307]=C_h_intern_kw(&lf[307],7, C_text("warning"));
lf[308]=C_h_intern(&lf[308],19, C_text("chicken.base#notice"));
lf[309]=C_h_intern_kw(&lf[309],6, C_text("notice"));
lf[310]=C_h_intern(&lf[310],28, C_text("chicken.base#enable-warnings"));
lf[311]=C_h_intern(&lf[311],10, C_text("##sys#warn"));
lf[312]=C_h_intern(&lf[312],12, C_text("##sys#notice"));
lf[313]=C_h_intern(&lf[313],8, C_text("##sys#gc"));
lf[314]=C_h_intern(&lf[314],13, C_text("##sys#setslot"));
lf[315]=C_h_intern(&lf[315],14, C_text("##sys#setislot"));
lf[316]=C_h_intern(&lf[316],21, C_text("##sys#allocate-vector"));
lf[317]=C_h_intern(&lf[317],20, C_text("##sys#make-structure"));
lf[318]=C_h_intern(&lf[318],25, C_text("##sys#ensure-heap-reserve"));
lf[319]=C_h_intern(&lf[319],23, C_text("##sys#symbol-table-info"));
lf[320]=C_h_intern(&lf[320],17, C_text("##sys#memory-info"));
lf[321]=C_h_intern(&lf[321],17, C_text("##sys#start-timer"));
lf[322]=C_h_intern(&lf[322],16, C_text("##sys#stop-timer"));
lf[323]=C_h_intern(&lf[323],16, C_text("##sys#immediate\077"));
lf[324]=C_h_intern(&lf[324],13, C_text("##sys#message"));
lf[325]=C_h_intern(&lf[325],10, C_text("##sys#byte"));
lf[326]=C_h_intern(&lf[326],13, C_text("##sys#setbyte"));
lf[327]=C_h_intern(&lf[327],10, C_text("##sys#void"));
lf[328]=C_h_intern(&lf[328],10, C_text("##sys#halt"));
lf[329]=C_h_intern(&lf[329],13, C_text("##sys#become!"));
lf[330]=C_h_intern(&lf[330],15, C_text("##sys#block-ref"));
lf[331]=C_h_intern(&lf[331],18, C_text("##sys#apply-values"));
lf[332]=C_h_intern(&lf[332],18, C_text("##sys#copy-closure"));
lf[333]=C_h_intern(&lf[333],16, C_text("##sys#block-set!"));
lf[334]=C_h_intern(&lf[334],17, C_text("##sys#check-range"));
lf[335]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023slot not accessible"));
lf[336]=C_h_intern(&lf[336],13, C_text("chicken.time#"));
lf[337]=C_h_intern(&lf[337],33, C_text("chicken.time#current-milliseconds"));
lf[338]=C_h_intern(&lf[338],28, C_text("chicken.time#current-seconds"));
lf[339]=C_h_intern(&lf[339],21, C_text("chicken.time#cpu-time"));
lf[340]=C_h_intern(&lf[340],21, C_text("##sys#check-structure"));
lf[341]=C_h_intern(&lf[341],16, C_text("##sys#check-blob"));
lf[342]=C_h_intern(&lf[342],23, C_text("##sys#check-byte-vector"));
lf[343]=C_h_intern(&lf[343],16, C_text("##sys#check-pair"));
lf[344]=C_h_intern(&lf[344],16, C_text("##sys#check-list"));
lf[345]=C_h_intern(&lf[345],18, C_text("##sys#check-string"));
lf[346]=C_h_intern(&lf[346],18, C_text("##sys#check-number"));
lf[347]=C_h_intern(&lf[347],17, C_text("##sys#check-exact"));
lf[348]=C_h_intern(&lf[348],19, C_text("##sys#check-inexact"));
lf[349]=C_h_intern(&lf[349],18, C_text("##sys#check-symbol"));
lf[350]=C_h_intern(&lf[350],18, C_text("##sys#check-vector"));
lf[351]=C_h_intern(&lf[351],16, C_text("##sys#check-char"));
lf[352]=C_h_intern(&lf[352],19, C_text("##sys#check-boolean"));
lf[353]=C_h_intern(&lf[353],20, C_text("##sys#check-locative"));
lf[354]=C_h_intern(&lf[354],19, C_text("##sys#check-integer"));
lf[355]=C_h_intern(&lf[355],23, C_text("##sys#error-bad-integer"));
lf[356]=C_h_intern(&lf[356],25, C_text("##sys#check-exact-integer"));
lf[357]=C_h_intern(&lf[357],29, C_text("##sys#error-bad-exact-integer"));
lf[358]=C_h_intern(&lf[358],26, C_text("##sys#check-exact-uinteger"));
lf[359]=C_h_intern(&lf[359],30, C_text("##sys#error-bad-exact-uinteger"));
lf[360]=C_h_intern(&lf[360],16, C_text("##sys#check-real"));
lf[361]=C_h_intern(&lf[361],20, C_text("##sys#error-bad-real"));
lf[362]=C_h_intern(&lf[362],16, C_text("##sys#error-hook"));
lf[363]=C_h_intern(&lf[363],19, C_text("##sys#check-special"));
lf[364]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a pointer-like object"));
lf[365]=C_h_intern(&lf[365],19, C_text("##sys#check-closure"));
lf[366]=C_h_intern(&lf[366],12, C_text("scheme#force"));
lf[367]=C_h_intern(&lf[367],10, C_text("##sys#list"));
lf[368]=C_h_intern(&lf[368],11, C_text("##sys#dload"));
lf[369]=C_h_intern(&lf[369],23, C_text("##sys#set-dlopen-flags!"));
lf[370]=C_h_intern(&lf[370],22, C_text("##sys#error-bad-number"));
lf[371]=C_h_intern(&lf[371],23, C_text("##sys#error-bad-inexact"));
lf[372]=C_h_intern(&lf[372],20, C_text("##sys#error-bad-base"));
lf[373]=C_h_intern(&lf[373],13, C_text("scheme#append"));
lf[374]=C_h_intern(&lf[374],6, C_text("append"));
lf[375]=C_h_intern(&lf[375],18, C_text("##sys#fast-reverse"));
lf[376]=C_h_intern(&lf[376],17, C_text("##sys#make-string"));
lf[377]=C_h_intern(&lf[377],18, C_text("scheme#make-string"));
lf[378]=C_h_intern(&lf[378],11, C_text("make-string"));
lf[379]=C_h_intern_kw(&lf[379],12, C_text("bounds-error"));
lf[380]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[381]=C_h_intern(&lf[381],19, C_text("scheme#string->list"));
lf[382]=C_h_intern(&lf[382],12, C_text("string->list"));
lf[383]=C_h_intern(&lf[383],18, C_text("##sys#string->list"));
lf[384]=C_h_intern(&lf[384],19, C_text("scheme#list->string"));
lf[385]=C_h_intern(&lf[385],12, C_text("list->string"));
lf[386]=C_h_intern(&lf[386],18, C_text("##sys#list->string"));
lf[387]=C_h_intern(&lf[387],26, C_text("##sys#reverse-list->string"));
lf[388]=C_h_intern(&lf[388],20, C_text("reverse-list->string"));
lf[389]=C_h_intern(&lf[389],19, C_text("scheme#string-fill!"));
lf[390]=C_h_intern(&lf[390],12, C_text("string-fill!"));
lf[391]=C_h_intern(&lf[391],18, C_text("scheme#string-copy"));
lf[392]=C_h_intern(&lf[392],11, C_text("string-copy"));
lf[393]=C_h_intern(&lf[393],16, C_text("scheme#substring"));
lf[394]=C_h_intern(&lf[394],9, C_text("substring"));
lf[395]=C_h_intern(&lf[395],15, C_text("##sys#substring"));
lf[396]=C_h_intern(&lf[396],15, C_text("scheme#string<\077"));
lf[397]=C_h_intern(&lf[397],8, C_text("string<\077"));
lf[398]=C_h_intern(&lf[398],15, C_text("scheme#string>\077"));
lf[399]=C_h_intern(&lf[399],8, C_text("string>\077"));
lf[400]=C_h_intern(&lf[400],16, C_text("scheme#string<=\077"));
lf[401]=C_h_intern(&lf[401],9, C_text("string<=\077"));
lf[402]=C_h_intern(&lf[402],16, C_text("scheme#string>=\077"));
lf[403]=C_h_intern(&lf[403],9, C_text("string>=\077"));
lf[404]=C_h_intern(&lf[404],18, C_text("scheme#string-ci<\077"));
lf[405]=C_h_intern(&lf[405],11, C_text("string-ci<\077"));
lf[406]=C_h_intern(&lf[406],18, C_text("scheme#string-ci>\077"));
lf[407]=C_h_intern(&lf[407],11, C_text("string-ci>\077"));
lf[408]=C_h_intern(&lf[408],19, C_text("scheme#string-ci<=\077"));
lf[409]=C_h_intern(&lf[409],12, C_text("string-ci<=\077"));
lf[410]=C_h_intern(&lf[410],19, C_text("scheme#string-ci>=\077"));
lf[411]=C_h_intern(&lf[411],12, C_text("string-ci>=\077"));
lf[412]=C_h_intern(&lf[412],19, C_text("##sys#string-append"));
lf[413]=C_h_intern(&lf[413],20, C_text("scheme#string-append"));
lf[414]=C_h_intern(&lf[414],13, C_text("string-append"));
lf[415]=C_h_intern(&lf[415],13, C_text("scheme#string"));
lf[416]=C_h_intern(&lf[416],23, C_text("##sys#fragments->string"));
lf[417]=C_h_intern(&lf[417],17, C_text("chicken.base#chop"));
lf[418]=C_h_intern(&lf[418],4, C_text("chop"));
lf[419]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030invalid numeric argument"));
lf[420]=C_h_intern(&lf[420],15, C_text("chicken.flonum#"));
lf[421]=C_h_intern(&lf[421],29, C_text("chicken.flonum#maximum-flonum"));
lf[422]=C_h_intern(&lf[422],29, C_text("chicken.flonum#minimum-flonum"));
lf[423]=C_h_intern(&lf[423],27, C_text("chicken.flonum#flonum-radix"));
lf[424]=C_h_intern(&lf[424],29, C_text("chicken.flonum#flonum-epsilon"));
lf[425]=C_h_intern(&lf[425],31, C_text("chicken.flonum#flonum-precision"));
lf[426]=C_h_intern(&lf[426],39, C_text("chicken.flonum#flonum-decimal-precision"));
lf[427]=C_h_intern(&lf[427],38, C_text("chicken.flonum#flonum-maximum-exponent"));
lf[428]=C_h_intern(&lf[428],38, C_text("chicken.flonum#flonum-minimum-exponent"));
lf[429]=C_h_intern(&lf[429],46, C_text("chicken.flonum#flonum-maximum-decimal-exponent"));
lf[430]=C_h_intern(&lf[430],46, C_text("chicken.flonum#flonum-minimum-decimal-exponent"));
lf[431]=C_h_intern(&lf[431],18, C_text("chicken.flonum#fp+"));
lf[432]=C_h_intern(&lf[432],3, C_text("fp+"));
lf[433]=C_h_intern(&lf[433],18, C_text("chicken.flonum#fp-"));
lf[434]=C_h_intern(&lf[434],3, C_text("fp-"));
lf[435]=C_h_intern(&lf[435],18, C_text("chicken.flonum#fp\052"));
lf[436]=C_h_intern(&lf[436],3, C_text("fp\052"));
lf[437]=C_h_intern(&lf[437],18, C_text("chicken.flonum#fp/"));
lf[438]=C_h_intern(&lf[438],3, C_text("fp/"));
lf[439]=C_h_intern(&lf[439],20, C_text("chicken.flonum#fpgcd"));
lf[440]=C_h_intern(&lf[440],5, C_text("fpgcd"));
lf[441]=C_h_intern(&lf[441],19, C_text("chicken.flonum#fp/\077"));
lf[442]=C_h_intern(&lf[442],4, C_text("fp/\077"));
lf[443]=C_h_intern(&lf[443],18, C_text("chicken.flonum#fp="));
lf[444]=C_h_intern(&lf[444],3, C_text("fp="));
lf[445]=C_h_intern(&lf[445],18, C_text("chicken.flonum#fp>"));
lf[446]=C_h_intern(&lf[446],3, C_text("fp>"));
lf[447]=C_h_intern(&lf[447],18, C_text("chicken.flonum#fp<"));
lf[448]=C_h_intern(&lf[448],3, C_text("fp<"));
lf[449]=C_h_intern(&lf[449],19, C_text("chicken.flonum#fp>="));
lf[450]=C_h_intern(&lf[450],4, C_text("fp>="));
lf[451]=C_h_intern(&lf[451],19, C_text("chicken.flonum#fp<="));
lf[452]=C_h_intern(&lf[452],4, C_text("fp<="));
lf[453]=C_h_intern(&lf[453],20, C_text("chicken.flonum#fpneg"));
lf[454]=C_h_intern(&lf[454],5, C_text("fpneg"));
lf[455]=C_h_intern(&lf[455],20, C_text("chicken.flonum#fpmax"));
lf[456]=C_h_intern(&lf[456],5, C_text("fpmax"));
lf[457]=C_h_intern(&lf[457],20, C_text("chicken.flonum#fpmin"));
lf[458]=C_h_intern(&lf[458],5, C_text("fpmin"));
lf[459]=C_h_intern(&lf[459],22, C_text("chicken.flonum#fpfloor"));
lf[460]=C_h_intern(&lf[460],7, C_text("fpfloor"));
lf[461]=C_h_intern(&lf[461],25, C_text("chicken.flonum#fptruncate"));
lf[462]=C_h_intern(&lf[462],10, C_text("fptruncate"));
lf[463]=C_h_intern(&lf[463],22, C_text("chicken.flonum#fpround"));
lf[464]=C_h_intern(&lf[464],7, C_text("fpround"));
lf[465]=C_h_intern(&lf[465],24, C_text("chicken.flonum#fpceiling"));
lf[466]=C_h_intern(&lf[466],9, C_text("fpceiling"));
lf[467]=C_h_intern(&lf[467],20, C_text("chicken.flonum#fpsin"));
lf[468]=C_h_intern(&lf[468],5, C_text("fpsin"));
lf[469]=C_h_intern(&lf[469],20, C_text("chicken.flonum#fpcos"));
lf[470]=C_h_intern(&lf[470],5, C_text("fpcos"));
lf[471]=C_h_intern(&lf[471],20, C_text("chicken.flonum#fptan"));
lf[472]=C_h_intern(&lf[472],5, C_text("fptan"));
lf[473]=C_h_intern(&lf[473],21, C_text("chicken.flonum#fpasin"));
lf[474]=C_h_intern(&lf[474],6, C_text("fpasin"));
lf[475]=C_h_intern(&lf[475],21, C_text("chicken.flonum#fpacos"));
lf[476]=C_h_intern(&lf[476],6, C_text("fpacos"));
lf[477]=C_h_intern(&lf[477],21, C_text("chicken.flonum#fpatan"));
lf[478]=C_h_intern(&lf[478],6, C_text("fpatan"));
lf[479]=C_h_intern(&lf[479],22, C_text("chicken.flonum#fpatan2"));
lf[480]=C_h_intern(&lf[480],7, C_text("fpatan2"));
lf[481]=C_h_intern(&lf[481],20, C_text("chicken.flonum#fpexp"));
lf[482]=C_h_intern(&lf[482],5, C_text("fpexp"));
lf[483]=C_h_intern(&lf[483],21, C_text("chicken.flonum#fpexpt"));
lf[484]=C_h_intern(&lf[484],6, C_text("fpexpt"));
lf[485]=C_h_intern(&lf[485],20, C_text("chicken.flonum#fplog"));
lf[486]=C_h_intern(&lf[486],5, C_text("fplog"));
lf[487]=C_h_intern(&lf[487],21, C_text("chicken.flonum#fpsqrt"));
lf[488]=C_h_intern(&lf[488],6, C_text("fpsqrt"));
lf[489]=C_h_intern(&lf[489],20, C_text("chicken.flonum#fpabs"));
lf[490]=C_h_intern(&lf[490],5, C_text("fpabs"));
lf[491]=C_h_intern(&lf[491],25, C_text("chicken.flonum#fpinteger\077"));
lf[492]=C_h_intern(&lf[492],10, C_text("fpinteger\077"));
lf[493]=C_h_intern(&lf[493],37, C_text("chicken.flonum#flonum-print-precision"));
lf[494]=C_h_intern(&lf[494],22, C_text("flonum-print-precision"));
lf[495]=C_h_intern(&lf[495],13, C_text("##sys#number\077"));
lf[496]=C_h_intern(&lf[496],14, C_text("##sys#integer\077"));
lf[497]=C_h_intern(&lf[497],12, C_text("##sys#exact\077"));
lf[498]=C_h_intern(&lf[498],14, C_text("##sys#inexact\077"));
lf[500]=C_decode_literal(C_heaptop,C_text("\376U0.0\000"));
lf[501]=C_h_intern(&lf[501],23, C_text("scheme#make-rectangular"));
lf[502]=C_h_intern(&lf[502],16, C_text("make-rectangular"));
lf[503]=C_h_intern(&lf[503],17, C_text("scheme#make-polar"));
lf[504]=C_h_intern(&lf[504],10, C_text("make-polar"));
lf[505]=C_h_intern(&lf[505],16, C_text("scheme#real-part"));
lf[506]=C_h_intern(&lf[506],9, C_text("real-part"));
lf[507]=C_h_intern(&lf[507],16, C_text("scheme#imag-part"));
lf[508]=C_h_intern(&lf[508],9, C_text("imag-part"));
lf[509]=C_h_intern(&lf[509],12, C_text("scheme#angle"));
lf[510]=C_h_intern(&lf[510],5, C_text("angle"));
lf[511]=C_h_intern(&lf[511],16, C_text("scheme#magnitude"));
lf[512]=C_h_intern(&lf[512],11, C_text("scheme#sqrt"));
lf[513]=C_h_intern(&lf[513],9, C_text("magnitude"));
lf[515]=C_h_intern(&lf[515],16, C_text("scheme#numerator"));
lf[516]=C_h_intern(&lf[516],11, C_text("bad-inexact"));
lf[517]=C_h_intern(&lf[517],9, C_text("numerator"));
lf[518]=C_h_intern(&lf[518],21, C_text("scheme#inexact->exact"));
lf[519]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[520]=C_h_intern(&lf[520],18, C_text("scheme#denominator"));
lf[521]=C_h_intern(&lf[521],11, C_text("denominator"));
lf[522]=C_decode_literal(C_heaptop,C_text("\376U1.0\000"));
lf[523]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[524]=C_h_intern(&lf[524],21, C_text("##sys#extended-signum"));
lf[525]=C_h_intern(&lf[525],6, C_text("signum"));
lf[526]=C_h_intern(&lf[526],9, C_text("##sys#/-2"));
lf[527]=C_h_intern(&lf[527],14, C_text("inexact->exact"));
lf[528]=C_h_intern(&lf[528],19, C_text("##sys#integer-power"));
lf[529]=C_decode_literal(C_heaptop,C_text("\376U2.0\000"));
lf[530]=C_h_intern(&lf[530],11, C_text("scheme#expt"));
lf[531]=C_h_intern(&lf[531],20, C_text("##sys#exact->inexact"));
lf[532]=C_h_intern(&lf[532],20, C_text("##sys#inexact->exact"));
lf[533]=C_h_intern(&lf[533],16, C_text("chicken.bitwise#"));
lf[534]=C_h_intern(&lf[534],27, C_text("chicken.bitwise#bitwise-and"));
lf[535]=C_h_intern(&lf[535],27, C_text("chicken.bitwise#bitwise-ior"));
lf[536]=C_h_intern(&lf[536],27, C_text("chicken.bitwise#bitwise-xor"));
lf[537]=C_h_intern(&lf[537],27, C_text("chicken.bitwise#bitwise-not"));
lf[538]=C_h_intern(&lf[538],28, C_text("chicken.bitwise#bit->boolean"));
lf[539]=C_h_intern(&lf[539],30, C_text("chicken.bitwise#integer-length"));
lf[540]=C_h_intern(&lf[540],32, C_text("chicken.bitwise#arithmetic-shift"));
lf[541]=C_h_intern(&lf[541],8, C_text("scheme#/"));
lf[543]=C_h_intern(&lf[543],1, C_text("/"));
lf[544]=C_h_intern(&lf[544],12, C_text("scheme#floor"));
lf[545]=C_h_intern(&lf[545],5, C_text("floor"));
lf[546]=C_h_intern(&lf[546],14, C_text("scheme#ceiling"));
lf[547]=C_h_intern(&lf[547],7, C_text("ceiling"));
lf[548]=C_h_intern(&lf[548],15, C_text("scheme#truncate"));
lf[549]=C_h_intern(&lf[549],8, C_text("truncate"));
lf[550]=C_h_intern(&lf[550],12, C_text("scheme#round"));
lf[551]=C_h_intern(&lf[551],5, C_text("round"));
lf[553]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\001\000\000\000\000\376\003\000\000\002\376\377\001\000\000\000\001\376\377\016"));
lf[554]=C_h_intern(&lf[554],18, C_text("scheme#rationalize"));
lf[555]=C_h_intern(&lf[555],10, C_text("scheme#max"));
lf[556]=C_h_intern(&lf[556],3, C_text("max"));
lf[557]=C_h_intern(&lf[557],10, C_text("scheme#min"));
lf[558]=C_h_intern(&lf[558],3, C_text("min"));
lf[559]=C_h_intern(&lf[559],10, C_text("scheme#exp"));
lf[560]=C_h_intern(&lf[560],3, C_text("exp"));
lf[561]=C_h_intern(&lf[561],11, C_text("##sys#log-1"));
lf[562]=C_h_intern_kw(&lf[562],16, C_text("arithmetic-error"));
lf[563]=C_h_intern(&lf[563],3, C_text("log"));
lf[564]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033log of exact 0 is undefined"));
lf[565]=C_h_intern(&lf[565],10, C_text("scheme#log"));
lf[566]=C_h_intern(&lf[566],10, C_text("scheme#sin"));
lf[567]=C_h_intern(&lf[567],3, C_text("sin"));
lf[568]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\001"));
lf[569]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\002"));
lf[570]=C_h_intern(&lf[570],10, C_text("scheme#cos"));
lf[571]=C_h_intern(&lf[571],3, C_text("cos"));
lf[572]=C_h_intern(&lf[572],10, C_text("scheme#tan"));
lf[573]=C_h_intern(&lf[573],3, C_text("tan"));
lf[574]=C_h_intern(&lf[574],11, C_text("scheme#asin"));
lf[575]=C_h_intern(&lf[575],4, C_text("asin"));
lf[576]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\377\377\377\377"));
lf[577]=C_h_intern(&lf[577],14, C_text("##sys#sqrt/loc"));
lf[578]=C_decode_literal(C_heaptop,C_text("\376U-1.0\000"));
lf[579]=C_h_intern(&lf[579],11, C_text("scheme#acos"));
lf[580]=C_h_intern(&lf[580],4, C_text("acos"));
lf[581]=C_h_intern(&lf[581],11, C_text("scheme#atan"));
lf[582]=C_h_intern(&lf[582],4, C_text("atan"));
lf[583]=C_h_intern(&lf[583],24, C_text("##sys#exact-integer-sqrt"));
lf[584]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030this should never happen"));
lf[585]=C_h_intern(&lf[585],31, C_text("chicken.base#exact-integer-sqrt"));
lf[586]=C_h_intern(&lf[586],18, C_text("exact-integer-sqrt"));
lf[587]=C_h_intern(&lf[587],4, C_text("sqrt"));
lf[588]=C_h_intern(&lf[588],35, C_text("chicken.base#exact-integer-nth-root"));
lf[589]=C_h_intern(&lf[589],32, C_text("##sys#exact-integer-nth-root/loc"));
lf[590]=C_h_intern(&lf[590],22, C_text("exact-integer-nth-root"));
lf[591]=C_h_intern(&lf[591],4, C_text("expt"));
lf[592]=C_decode_literal(C_heaptop,C_text("\376B\000\0006exponent of exact 0 with complex argument is undefined"));
lf[593]=C_h_intern(&lf[593],9, C_text("##sys#gcd"));
lf[594]=C_h_intern(&lf[594],3, C_text("gcd"));
lf[595]=C_h_intern(&lf[595],10, C_text("scheme#gcd"));
lf[596]=C_h_intern(&lf[596],9, C_text("##sys#lcm"));
lf[597]=C_h_intern(&lf[597],3, C_text("lcm"));
lf[598]=C_h_intern(&lf[598],10, C_text("scheme#lcm"));
lf[599]=C_h_intern(&lf[599],31, C_text("##sys#integer->string/recursive"));
lf[600]=C_h_intern(&lf[600],20, C_text("##sys#number->string"));
lf[601]=C_h_intern(&lf[601],29, C_text("##sys#extended-number->string"));
lf[602]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001/"));
lf[603]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001+"));
lf[604]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[605]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001i"));
lf[606]=C_h_intern(&lf[606],14, C_text("number->string"));
lf[609]=C_h_intern(&lf[609],1, C_text("e"));
lf[610]=C_h_intern(&lf[610],1, C_text("i"));
lf[611]=C_decode_literal(C_heaptop,C_text("\376U+inf.0\000"));
lf[612]=C_decode_literal(C_heaptop,C_text("\376U-inf.0\000"));
lf[613]=C_h_intern(&lf[613],3, C_text("neg"));
lf[614]=C_h_intern(&lf[614],3, C_text("pos"));
lf[615]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005inf.0"));
lf[616]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005nan.0"));
lf[617]=C_h_intern(&lf[617],21, C_text("scheme#string->number"));
lf[618]=C_h_intern(&lf[618],14, C_text("string->number"));
lf[619]=C_h_intern(&lf[619],20, C_text("##sys#string->number"));
lf[620]=C_h_intern(&lf[620],20, C_text("##sys#fixnum->string"));
lf[621]=C_h_intern(&lf[621],20, C_text("##sys#flonum->string"));
lf[622]=C_h_intern(&lf[622],21, C_text("##sys#integer->string"));
lf[623]=C_h_intern(&lf[623],20, C_text("chicken.base#equal=\077"));
lf[624]=C_h_intern(&lf[624],11, C_text("##sys#snafu"));
lf[625]=C_h_intern(&lf[625],11, C_text("##sys#fnord"));
lf[626]=C_h_intern(&lf[626],19, C_text("##sys#intern-symbol"));
lf[627]=C_h_intern(&lf[627],20, C_text("##sys#intern-keyword"));
lf[628]=C_h_intern(&lf[628],22, C_text("##sys#interned-symbol\077"));
lf[629]=C_h_intern(&lf[629],20, C_text("##sys#string->symbol"));
lf[630]=C_h_intern(&lf[630],20, C_text("##sys#symbol->string"));
lf[631]=C_h_intern(&lf[631],21, C_text("scheme#symbol->string"));
lf[632]=C_h_intern(&lf[632],14, C_text("symbol->string"));
lf[633]=C_h_intern(&lf[633],21, C_text("scheme#string->symbol"));
lf[634]=C_h_intern(&lf[634],14, C_text("string->symbol"));
lf[635]=C_h_intern(&lf[635],38, C_text("chicken.base#string->uninterned-symbol"));
lf[636]=C_h_intern(&lf[636],25, C_text("string->uninterned-symbol"));
lf[637]=C_h_intern(&lf[637],19, C_text("chicken.base#gensym"));
lf[638]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001g"));
lf[639]=C_h_intern(&lf[639],6, C_text("gensym"));
lf[640]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a string or symbol"));
lf[641]=C_h_intern(&lf[641],26, C_text("chicken.base#symbol-append"));
lf[642]=C_h_intern(&lf[642],13, C_text("symbol-append"));
lf[643]=C_h_intern(&lf[643],16, C_text("chicken.keyword#"));
lf[644]=C_h_intern(&lf[644],24, C_text("chicken.keyword#keyword\077"));
lf[645]=C_h_intern(&lf[645],31, C_text("chicken.keyword#string->keyword"));
lf[646]=C_h_intern(&lf[646],15, C_text("string->keyword"));
lf[647]=C_h_intern(&lf[647],31, C_text("chicken.keyword#keyword->string"));
lf[648]=C_h_intern(&lf[648],15, C_text("keyword->string"));
lf[649]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[650]=C_h_intern(&lf[650],3, C_text("tag"));
lf[651]=C_h_intern(&lf[651],27, C_text("chicken.keyword#get-keyword"));
lf[652]=C_h_intern(&lf[652],11, C_text("get-keyword"));
lf[653]=C_h_intern(&lf[653],17, C_text("##sys#get-keyword"));
lf[654]=C_h_intern(&lf[654],13, C_text("chicken.blob#"));
lf[655]=C_h_intern(&lf[655],15, C_text("##sys#make-blob"));
lf[656]=C_h_intern(&lf[656],22, C_text("chicken.blob#make-blob"));
lf[657]=C_h_intern(&lf[657],9, C_text("make-blob"));
lf[658]=C_h_intern(&lf[658],18, C_text("chicken.blob#blob\077"));
lf[659]=C_h_intern(&lf[659],22, C_text("chicken.blob#blob-size"));
lf[660]=C_h_intern(&lf[660],9, C_text("blob-size"));
lf[661]=C_h_intern(&lf[661],25, C_text("chicken.blob#string->blob"));
lf[662]=C_h_intern(&lf[662],12, C_text("string->blob"));
lf[663]=C_h_intern(&lf[663],25, C_text("chicken.blob#blob->string"));
lf[664]=C_h_intern(&lf[664],12, C_text("blob->string"));
lf[665]=C_h_intern(&lf[665],19, C_text("chicken.blob#blob=\077"));
lf[666]=C_h_intern(&lf[666],6, C_text("blob=\077"));
lf[667]=C_h_intern(&lf[667],11, C_text("make-vector"));
lf[668]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[669]=C_h_intern(&lf[669],17, C_text("##sys#make-vector"));
lf[670]=C_h_intern(&lf[670],12, C_text("list->vector"));
lf[671]=C_h_intern(&lf[671],12, C_text("vector->list"));
lf[672]=C_h_intern(&lf[672],12, C_text("vector-fill!"));
lf[673]=C_h_intern(&lf[673],12, C_text("vector-copy!"));
lf[674]=C_decode_literal(C_heaptop,C_text("\376B\000\000)cannot copy vector - count exceeds length"));
lf[675]=C_h_intern(&lf[675],9, C_text("subvector"));
lf[676]=C_h_intern(&lf[676],13, C_text("vector-resize"));
lf[678]=C_h_intern(&lf[678],9, C_text("char-name"));
lf[679]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026invalid character name"));
lf[680]=C_h_intern(&lf[680],36, C_text("##sys#call-with-current-continuation"));
lf[681]=C_h_intern(&lf[681],23, C_text("##sys#call-with-cthulhu"));
lf[682]=C_h_intern(&lf[682],22, C_text("##sys#call-with-values"));
lf[683]=C_h_intern(&lf[683],14, C_text("##sys#for-each"));
lf[684]=C_h_intern(&lf[684],8, C_text("for-each"));
lf[685]=C_h_intern(&lf[685],9, C_text("##sys#map"));
lf[686]=C_h_intern(&lf[686],3, C_text("map"));
lf[687]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034lists are not of same length"));
lf[688]=C_h_intern(&lf[688],19, C_text("##sys#dynamic-winds"));
lf[689]=C_h_intern(&lf[689],18, C_text("##sys#dynamic-wind"));
lf[691]=C_h_intern(&lf[691],16, C_text("input-port-open\077"));
lf[692]=C_h_intern(&lf[692],17, C_text("output-port-open\077"));
lf[693]=C_h_intern(&lf[693],16, C_text("##sys#check-port"));
lf[694]=C_h_intern(&lf[694],12, C_text("port-closed\077"));
lf[695]=C_h_intern(&lf[695],15, C_text("##sys#make-port"));
lf[696]=C_h_intern(&lf[696],24, C_text("##sys#dispatch-interrupt"));
lf[697]=C_h_intern_kw(&lf[697],10, C_text("file-error"));
lf[698]=C_h_intern(&lf[698],9, C_text("read-char"));
lf[699]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[700]=C_h_intern(&lf[700],19, C_text("##sys#peek-c-string"));
lf[701]=C_h_intern(&lf[701],18, C_text("##sys#update-errno"));
lf[702]=C_h_intern(&lf[702],9, C_text("peek-char"));
lf[703]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[704]=C_h_intern(&lf[704],12, C_text("read-string!"));
lf[705]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[706]=C_h_intern(&lf[706],9, C_text("read-line"));
lf[707]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[708]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[709]=C_h_intern(&lf[709],23, C_text("##sys#stream-port-class"));
lf[710]=C_h_intern(&lf[710],20, C_text("##sys#open-file-port"));
lf[711]=C_h_intern(&lf[711],20, C_text("##sys#standard-input"));
lf[712]=C_h_intern(&lf[712],21, C_text("##sys#standard-output"));
lf[713]=C_h_intern(&lf[713],20, C_text("##sys#standard-error"));
lf[714]=C_h_intern(&lf[714],22, C_text("##sys#check-input-port"));
lf[715]=C_h_intern(&lf[715],23, C_text("##sys#check-output-port"));
lf[716]=C_h_intern(&lf[716],21, C_text("##sys#check-open-port"));
lf[717]=C_h_intern(&lf[717],18, C_text("current-input-port"));
lf[718]=C_h_intern(&lf[718],19, C_text("current-output-port"));
lf[719]=C_h_intern(&lf[719],18, C_text("current-error-port"));
lf[720]=C_h_intern(&lf[720],15, C_text("##sys#tty-port\077"));
lf[721]=C_h_intern(&lf[721],27, C_text("##sys#peek-unsigned-integer"));
lf[722]=C_h_intern(&lf[722],15, C_text("##sys#port-data"));
lf[723]=C_h_intern(&lf[723],20, C_text("##sys#set-port-data!"));
lf[724]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[725]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[726]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[727]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023cannot open file - "));
lf[728]=C_h_intern(&lf[728],6, C_text("stream"));
lf[729]=C_h_intern_kw(&lf[729],6, C_text("binary"));
lf[730]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001b"));
lf[731]=C_h_intern_kw(&lf[731],4, C_text("text"));
lf[732]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[733]=C_h_intern_kw(&lf[733],6, C_text("append"));
lf[734]=C_decode_literal(C_heaptop,C_text("\376B\000\000&cannot use append mode with input file"));
lf[735]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[736]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023invalid file option"));
lf[737]=C_h_intern(&lf[737],15, C_text("open-input-file"));
lf[738]=C_h_intern(&lf[738],16, C_text("open-output-file"));
lf[739]=C_h_intern(&lf[739],16, C_text("close-input-port"));
lf[740]=C_h_intern(&lf[740],17, C_text("close-output-port"));
lf[741]=C_h_intern(&lf[741],18, C_text("##sys#file-exists\077"));
lf[742]=C_decode_literal(C_heaptop,C_text("\376B\000\000(system error while trying to access file"));
lf[743]=C_h_intern(&lf[743],19, C_text("##sys#make-c-string"));
lf[744]=C_h_intern(&lf[744],18, C_text("##sys#flush-output"));
lf[745]=C_h_intern(&lf[745],12, C_text("flush-output"));
lf[746]=C_h_intern(&lf[746],15, C_text("##sys#port-line"));
lf[747]=C_h_intern(&lf[747],21, C_text("##sys#decorate-lambda"));
lf[748]=C_h_intern(&lf[748],23, C_text("##sys#lambda-decoration"));
lf[749]=C_h_intern(&lf[749],22, C_text("##sys#make-lambda-info"));
lf[750]=C_h_intern(&lf[750],18, C_text("##sys#lambda-info\077"));
lf[751]=C_h_intern(&lf[751],17, C_text("##sys#lambda-info"));
lf[752]=C_h_intern(&lf[752],25, C_text("##sys#lambda-info->string"));
lf[753]=C_h_intern(&lf[753],10, C_text("##sys#read"));
lf[754]=C_h_intern(&lf[754],21, C_text("procedure-information"));
lf[755]=C_h_intern(&lf[755],6, C_text("setter"));
lf[757]=C_h_intern(&lf[757],12, C_text("##sys#setter"));
lf[758]=C_h_intern(&lf[758],18, C_text("getter-with-setter"));
lf[760]=C_h_intern(&lf[760],30, C_text("##sys#current-parameter-vector"));
lf[761]=C_decode_literal(C_heaptop,C_text("\376\000\000\000\000"));
lf[762]=C_h_intern(&lf[762],11, C_text("char-ready\077"));
lf[763]=C_h_intern(&lf[763],17, C_text("##sys#read-char-0"));
lf[764]=C_h_intern(&lf[764],20, C_text("##sys#read-char/port"));
lf[765]=C_h_intern(&lf[765],17, C_text("##sys#peek-char-0"));
lf[766]=C_h_intern(&lf[766],4, C_text("read"));
lf[767]=C_h_intern(&lf[767],28, C_text("##sys#default-read-info-hook"));
lf[768]=C_h_intern(&lf[768],33, C_text("##sys#read-error-with-line-number"));
lf[769]=C_h_intern(&lf[769],22, C_text("##sys#read-prompt-hook"));
lf[770]=C_h_intern(&lf[770],21, C_text("##sys#infix-list-hook"));
lf[771]=C_h_intern(&lf[771],23, C_text("##sys#sharp-number-hook"));
lf[772]=C_h_intern(&lf[772],16, C_text("##sys#read-error"));
lf[773]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid `#...\047 read syntax"));
lf[774]=C_h_intern(&lf[774],24, C_text("##sys#current-read-table"));
lf[775]=C_h_intern(&lf[775],18, C_text("##sys#read-warning"));
lf[776]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[777]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[778]=C_h_intern_kw(&lf[778],12, C_text("syntax-error"));
lf[779]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[780]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[781]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000[\376\003\000"
"\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[782]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unexpected list terminator"));
lf[783]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022reserved character"));
lf[784]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape-sequence \047\134"));
lf[785]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[786]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034unterminated string constant"));
lf[787]=C_h_intern(&lf[787],23, C_text("##sys#char->utf8-string"));
lf[788]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[789]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001x"));
lf[790]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022bad surrogate pair"));
lf[791]=C_h_intern(&lf[791],27, C_text("##sys#surrogates->codepoint"));
lf[792]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[793]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unpaired escaped surrogate"));
lf[794]=C_h_intern(&lf[794],24, C_text("##sys#unicode-surrogate\077"));
lf[795]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[796]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape (surrogate)"));
lf[797]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001U"));
lf[798]=C_decode_literal(C_heaptop,C_text("\376B\000\0006escaped whitespace, but no newline - collapsing anyway"));
lf[799]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[800]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[801]=C_decode_literal(C_heaptop,C_text("\376B\000\000\077undefined escape sequence in string - probably forgot backslash"));
lf[802]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023, starting in line "));
lf[803]=C_h_intern(&lf[803],9, C_text("list-info"));
lf[804]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030list-terminator mismatch"));
lf[805]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unterminated list"));
lf[806]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027missing list terminator"));
lf[807]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[808]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002.:"));
lf[809]=C_h_intern_kw(&lf[809],6, C_text("suffix"));
lf[810]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[811]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[812]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015missing token"));
lf[813]=C_h_intern(&lf[813],18, C_text("##sys#list->vector"));
lf[814]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid vector syntax"));
lf[815]=C_h_intern(&lf[815],11, C_text("symbol-info"));
lf[816]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[817]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[818]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042unexpected prefix in number syntax"));
lf[819]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025illegal number syntax"));
lf[820]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[821]=C_decode_literal(C_heaptop,C_text("\376B\000\0000illegal number syntax - invalid exactness prefix"));
lf[822]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[823]=C_decode_literal(C_heaptop,C_text("\376B\000\000%illegal number syntax - invalid radix"));
lf[824]=C_decode_literal(C_heaptop,C_text("\376B\000\000Eattempt to read expression from something that looks like binary data"));
lf[825]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052escaped symbol syntax spans multiple lines"));
lf[826]=C_h_intern_kw(&lf[826],6, C_text("prefix"));
lf[827]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of file while reading escaped character"));
lf[828]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027unknown named character"));
lf[829]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unterminated block-comment"));
lf[830]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002##"));
lf[831]=C_h_intern(&lf[831],5, C_text("quote"));
lf[832]=C_h_intern(&lf[832],10, C_text("quasiquote"));
lf[833]=C_h_intern(&lf[833],16, C_text("unquote-splicing"));
lf[834]=C_h_intern(&lf[834],7, C_text("unquote"));
lf[835]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unexpected end of input after reading #-sign"));
lf[836]=C_decode_literal(C_heaptop,C_text("\376B\000\000%unexpected end of input after reading"));
lf[837]=C_decode_literal(C_heaptop,C_text("\376B\000\000!invalid parameterized read syntax"));
lf[838]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of input while reading `#c...\047 sequence"));
lf[839]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052invalid case specifier in `#c...\047 sequence"));
lf[840]=C_h_intern(&lf[840],11, C_text("quasisyntax"));
lf[841]=C_h_intern(&lf[841],29, C_text("##sys#read-bytevector-literal"));
lf[842]=C_h_intern(&lf[842],8, C_text("location"));
lf[843]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015empty keyword"));
lf[844]=C_h_intern(&lf[844],11, C_text("cond-expand"));
lf[845]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\004\001else\376\377\016"));
lf[846]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003eof"));
lf[847]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010optional"));
lf[848]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004rest"));
lf[849]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003key"));
lf[850]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#!"));
lf[851]=C_h_intern(&lf[851],16, C_text("##sys#read-marks"));
lf[852]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid `#!\047 token"));
lf[853]=C_h_intern(&lf[853],20, C_text("##sys#user-read-hook"));
lf[854]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[855]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000|\376\377\016"));
lf[856]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035UTF-8 codepoint out of range:"));
lf[857]=C_decode_literal(C_heaptop,C_text("\376B\000\000 invalid hex-code in blob-literal"));
lf[858]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036unexpected end of blob literal"));
lf[859]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036invalid sharp-sign read syntax"));
lf[860]=C_h_intern(&lf[860],18, C_text("##sys#write-char-0"));
lf[861]=C_h_intern(&lf[861],21, C_text("##sys#write-char/port"));
lf[862]=C_h_intern(&lf[862],10, C_text("write-char"));
lf[863]=C_h_intern(&lf[863],5, C_text("write"));
lf[864]=C_h_intern(&lf[864],11, C_text("##sys#print"));
lf[865]=C_h_intern(&lf[865],7, C_text("display"));
lf[866]=C_h_intern(&lf[866],5, C_text("print"));
lf[868]=C_h_intern(&lf[868],24, C_text("##sys#print-length-limit"));
lf[870]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[871]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[872]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134x"));
lf[873]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\003\000"
"\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000 \376\003\000\000\002\376\377\012\000\000`\376\003\000\000\002\376\377\012\000\000|\376\003\000\000\002\376\377\012\000\000\134\376\377\016"));
lf[874]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376B\000\000\006#!rest\376\003\000\000\002\376B\000\000\005#!key\376\003\000\000\002\376B\000\000\012#!optional\376\377\016"));
lf[875]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002()"));
lf[876]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#t"));
lf[877]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#f"));
lf[878]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005#!eof"));
lf[879]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<unspecified>"));
lf[880]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#\134"));
lf[881]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020#<unbound value>"));
lf[882]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid immediate object>"));
lf[883]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid forwarded object>"));
lf[884]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#:"));
lf[885]=C_h_intern(&lf[885],21, C_text("##sys#pointer->string"));
lf[886]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\042"));
lf[887]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\134"));
lf[888]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003 . "));
lf[889]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#${"));
lf[890]=C_h_intern(&lf[890],21, C_text("##sys#user-print-hook"));
lf[891]=C_h_intern(&lf[891],23, C_text("##sys#procedure->string"));
lf[892]=C_decode_literal(C_heaptop,C_text("\376B\000\000\013#<locative>"));
lf[893]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<lambda info "));
lf[894]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\042>"));
lf[895]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<input port \042"));
lf[896]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017#<output port \042"));
lf[897]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010#<port \042"));
lf[898]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#()"));
lf[899]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#("));
lf[900]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unprintable non-immediate object encountered"));
lf[901]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure "));
lf[902]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[903]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure>"));
lf[904]=C_h_intern(&lf[904],21, C_text("##sys#record-printers"));
lf[905]=C_h_intern(&lf[905],29, C_text("##sys#register-record-printer"));
lf[906]=C_h_intern(&lf[906],9, C_text("condition"));
lf[907]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[908]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\047: "));
lf[909]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\047>"));
lf[910]=C_decode_literal(C_heaptop,C_text("\376B\000\000##<Error in printer of record type `"));
lf[911]=C_h_intern(&lf[911],40, C_text("chicken.condition#with-exception-handler"));
lf[912]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[913]=C_h_intern(&lf[913],6, C_text("thread"));
lf[914]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[915]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#<"));
lf[916]=C_h_intern(&lf[916],29, C_text("##sys#with-print-length-limit"));
lf[917]=C_h_intern(&lf[917],16, C_text("##sys#copy-bytes"));
lf[918]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022string buffer full"));
lf[919]=C_h_intern(&lf[919],22, C_text("##sys#scan-buffer-line"));
lf[920]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[921]=C_h_intern(&lf[921],23, C_text("##sys#string-port-class"));
lf[922]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[923]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[924]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[925]=C_h_intern(&lf[925],17, C_text("open-input-string"));
lf[926]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[927]=C_h_intern(&lf[927],6, C_text("string"));
lf[928]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[929]=C_h_intern(&lf[929],17, C_text("get-output-string"));
lf[930]=C_decode_literal(C_heaptop,C_text("\376B\000\000$argument is not a string-output-port"));
lf[931]=C_h_intern(&lf[931],21, C_text("##sys#print-to-string"));
lf[932]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021#<tagged pointer "));
lf[933]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001 "));
lf[934]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[935]=C_h_intern(&lf[935],22, C_text("##sys#pointer->address"));
lf[936]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<pointer 0x"));
lf[937]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[938]=C_h_intern(&lf[938],20, C_text("##sys#current-thread"));
lf[939]=C_h_intern(&lf[939],27, C_text("##sys#peek-nonnull-c-string"));
lf[940]=C_h_intern(&lf[940],29, C_text("##sys#really-print-call-chain"));
lf[941]=C_h_intern(&lf[941],9, C_text("frameinfo"));
lf[942]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002] "));
lf[943]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\011  "));
lf[944]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\012\011"));
lf[945]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005\011<--\012"));
lf[946]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020\012\011Call history:\012"));
lf[947]=C_h_intern(&lf[947],16, C_text("print-call-chain"));
lf[948]=C_h_intern(&lf[948],25, C_text("##sys#user-interrupt-hook"));
lf[949]=C_h_intern_kw(&lf[949],14, C_text("user-interrupt"));
lf[950]=C_h_intern(&lf[950],23, C_text("##sys#primordial-thread"));
lf[953]=C_h_intern(&lf[953],22, C_text("##sys#force-finalizers"));
lf[954]=C_h_intern(&lf[954],27, C_text("chicken.gc#force-finalizers"));
lf[955]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036[debug] forcing finalizers...\012"));
lf[956]=C_h_intern(&lf[956],21, C_text("##sys#dump-heap-state"));
lf[957]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[958]=C_h_intern(&lf[958],19, C_text("##sys#reset-handler"));
lf[959]=C_h_intern(&lf[959],18, C_text("chicken.condition#"));
lf[960]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016\001user-interrupt\376\377\016"));
lf[961]=C_h_intern(&lf[961],23, C_text("chicken.condition#abort"));
lf[962]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[963]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012\012Warning: "));
lf[964]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007\012Note: "));
lf[965]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[966]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\011\001arguments"));
lf[967]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\012\001call-chain"));
lf[968]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\010\001location"));
lf[969]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\004\001type\376\377\016"));
lf[970]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001syntax\376\377\016"));
lf[971]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001bounds\376\377\016"));
lf[972]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\012\001arithmetic\376\377\016"));
lf[973]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\003\001i/o\376\003\000\000\002\376\001\000\000\004\001file\376\377\016"));
lf[974]=C_h_intern_kw(&lf[974],13, C_text("runtime-error"));
lf[975]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\007\001runtime\376\377\016"));
lf[976]=C_h_intern_kw(&lf[976],13, C_text("process-error"));
lf[977]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\007\001process\376\377\016"));
lf[978]=C_h_intern_kw(&lf[978],13, C_text("network-error"));
lf[979]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\003\001i/o\376\003\000\000\002\376\001\000\000\003\001net\376\377\016"));
lf[980]=C_h_intern_kw(&lf[980],21, C_text("network-timeout-error"));
lf[981]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\003\001i/o\376\003\000\000\002\376\001\000\000\003\001net\376\003\000\000\002\376\001\000\000\007\001timeout\376\377\016"));
lf[982]=C_h_intern_kw(&lf[982],11, C_text("limit-error"));
lf[983]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\007\001runtime\376\003\000\000\002\376\001\000\000\005\001limit\376\377\016"));
lf[984]=C_h_intern_kw(&lf[984],11, C_text("arity-error"));
lf[985]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\005\001arity\376\377\016"));
lf[986]=C_h_intern_kw(&lf[986],12, C_text("access-error"));
lf[987]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001access\376\377\016"));
lf[988]=C_h_intern_kw(&lf[988],12, C_text("domain-error"));
lf[989]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001domain\376\377\016"));
lf[990]=C_h_intern_kw(&lf[990],12, C_text("memory-error"));
lf[991]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001memory\376\377\016"));
lf[992]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\377\016"));
lf[993]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[994]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032exception handler returned"));
lf[995]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\011\001arguments"));
lf[996]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\010\001location"));
lf[997]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\377\016"));
lf[998]=C_h_intern(&lf[998],31, C_text("##sys#current-exception-handler"));
lf[999]=C_h_intern(&lf[999],24, C_text("chicken.condition#signal"));
lf[1000]=C_h_intern(&lf[1000],20, C_text("##sys#break-on-error"));
lf[1001]=C_h_intern(&lf[1001],19, C_text("##sys#error-handler"));
lf[1002]=C_h_intern(&lf[1002],20, C_text("##sys#last-exception"));
lf[1003]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022\001uncaught-exception\376\001\000\000\006\001reason"));
lf[1004]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022\001uncaught-exception\376\377\016"));
lf[1005]=C_h_intern(&lf[1005],3, C_text("exn"));
lf[1006]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[1007]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\011\001arguments"));
lf[1008]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\010\001location"));
lf[1009]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1010]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1011]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1012]=C_decode_literal(C_heaptop,C_text("\376B\000\000 <exn: has no `message\047 property>"));
lf[1013]=C_h_intern(&lf[1013],14, C_text("user-interrupt"));
lf[1014]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030\012\052\052\052 user interrupt \052\052\052\012"));
lf[1015]=C_h_intern(&lf[1015],18, C_text("uncaught-exception"));
lf[1016]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022\001uncaught-exception\376\001\000\000\006\001reason"));
lf[1017]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022uncaught exception"));
lf[1018]=C_h_intern(&lf[1018],43, C_text("chicken.condition#current-exception-handler"));
lf[1019]=C_h_intern(&lf[1019],25, C_text("current-exception-handler"));
lf[1021]=C_decode_literal(C_heaptop,C_text("\376B\000\000%argument is not an even property list"));
lf[1022]=C_h_intern(&lf[1022],41, C_text("chicken.condition#make-property-condition"));
lf[1023]=C_h_intern(&lf[1023],23, C_text("make-property-condition"));
lf[1024]=C_h_intern(&lf[1024],42, C_text("chicken.condition#make-composite-condition"));
lf[1025]=C_h_intern(&lf[1025],24, C_text("make-composite-condition"));
lf[1026]=C_h_intern(&lf[1026],27, C_text("chicken.condition#condition"));
lf[1027]=C_h_intern(&lf[1027],28, C_text("chicken.condition#condition\077"));
lf[1028]=C_h_intern(&lf[1028],33, C_text("chicken.condition#condition->list"));
lf[1029]=C_h_intern(&lf[1029],15, C_text("condition->list"));
lf[1030]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a condition object"));
lf[1031]=C_h_intern(&lf[1031],37, C_text("chicken.condition#condition-predicate"));
lf[1032]=C_h_intern(&lf[1032],45, C_text("chicken.condition#condition-property-accessor"));
lf[1033]=C_h_intern(&lf[1033],27, C_text("condition-property-accessor"));
lf[1034]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036condition has no such property"));
lf[1035]=C_h_intern(&lf[1035],40, C_text("chicken.condition#get-condition-property"));
lf[1036]=C_h_intern(&lf[1036],37, C_text("chicken.condition#print-error-message"));
lf[1037]=C_h_intern(&lf[1037],19, C_text("print-error-message"));
lf[1038]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1039]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1040]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1041]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1042]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016\001user-interrupt\376\377\016"));
lf[1043]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030: \052\052\052 user interrupt \052\052\052"));
lf[1044]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016: <condition> "));
lf[1045]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1046]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026: uncaught exception: "));
lf[1047]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005Error"));
lf[1048]=C_h_intern(&lf[1048],28, C_text("##sys#show-exception-warning"));
lf[1049]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1050]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1051]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007Warning"));
lf[1052]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument count - received "));
lf[1053]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1054]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035too few arguments - received "));
lf[1055]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1056]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[1057]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020unbound variable"));
lf[1058]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047symbol is a keyword, which has no plist"));
lf[1059]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015out of memory"));
lf[1060]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020division by zero"));
lf[1061]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014out of range"));
lf[1062]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025call of non-procedure"));
lf[1063]=C_decode_literal(C_heaptop,C_text("\376B\000\000+continuation cannot receive multiple values"));
lf[1064]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a non-cyclic list"));
lf[1065]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022recursion too deep"));
lf[1066]=C_decode_literal(C_heaptop,C_text("\376B\000\0007inexact number cannot be represented as an exact number"));
lf[1067]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[1068]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a fixnum"));
lf[1069]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a number"));
lf[1070]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a string"));
lf[1071]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a pair"));
lf[1072]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a list"));
lf[1073]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a character"));
lf[1074]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a vector"));
lf[1075]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a symbol"));
lf[1076]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016stack overflow"));
lf[1077]=C_decode_literal(C_heaptop,C_text("\376B\000\0008bad argument type - not a structure of the required type"));
lf[1078]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a blob"));
lf[1079]=C_decode_literal(C_heaptop,C_text("\376B\000\000#locative refers to reclaimed object"));
lf[1080]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a non-immediate value"));
lf[1081]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not a number vector"));
lf[1082]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not an integer"));
lf[1083]=C_decode_literal(C_heaptop,C_text("\376B\000\000+bad argument type - not an unsigned integer"));
lf[1084]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a pointer"));
lf[1085]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a tagged pointer"));
lf[1086]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a flonum"));
lf[1087]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a procedure"));
lf[1088]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - invalid base"));
lf[1089]=C_decode_literal(C_heaptop,C_text("\376B\000\000/recursion too deep or circular data encountered"));
lf[1090]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a boolean"));
lf[1091]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not a locative"));
lf[1092]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a port"));
lf[1093]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - not a port of the correct type"));
lf[1094]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not an input-port"));
lf[1095]=C_decode_literal(C_heaptop,C_text("\376B\000\000&bad argument type - not an output-port"));
lf[1096]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023port already closed"));
lf[1097]=C_decode_literal(C_heaptop,C_text("\376B\000\0002cannot represent string with NUL bytes as C string"));
lf[1098]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026segmentation violation"));
lf[1099]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030floating-point exception"));
lf[1100]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023illegal instruction"));
lf[1101]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011bus error"));
lf[1102]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not an exact number"));
lf[1103]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not an inexact number"));
lf[1104]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a real"));
lf[1105]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - complex number has no ordering"));
lf[1106]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not an exact integer"));
lf[1107]=C_decode_literal(C_heaptop,C_text("\376B\000\000#number does not fit in foreign type"));
lf[1108]=C_decode_literal(C_heaptop,C_text("\376B\000\000/cannot compute absolute value of complex number"));
lf[1109]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026unknown internal error"));
lf[1110]=C_h_intern(&lf[1110],16, C_text("##sys#structure\077"));
lf[1111]=C_h_intern(&lf[1111],24, C_text("##sys#generic-structure\077"));
lf[1112]=C_h_intern(&lf[1112],10, C_text("##sys#slot"));
lf[1113]=C_h_intern(&lf[1113],10, C_text("##sys#size"));
lf[1114]=C_h_intern(&lf[1114],18, C_text("##sys#make-pointer"));
lf[1115]=C_h_intern(&lf[1115],25, C_text("##sys#make-tagged-pointer"));
lf[1116]=C_h_intern(&lf[1116],14, C_text("##sys#pointer\077"));
lf[1117]=C_h_intern(&lf[1117],26, C_text("##sys#set-pointer-address!"));
lf[1118]=C_h_intern(&lf[1118],17, C_text("##sys#bytevector\077"));
lf[1119]=C_h_intern(&lf[1119],25, C_text("##sys#string->pbytevector"));
lf[1120]=C_h_intern(&lf[1120],16, C_text("##sys#permanent\077"));
lf[1121]=C_h_intern(&lf[1121],19, C_text("##sys#block-address"));
lf[1122]=C_h_intern(&lf[1122],15, C_text("##sys#locative\077"));
lf[1123]=C_h_intern(&lf[1123],20, C_text("##sys#srfi-4-vector\077"));
lf[1124]=C_h_intern(&lf[1124],18, C_text("##sys#null-pointer"));
lf[1125]=C_h_intern(&lf[1125],19, C_text("##sys#null-pointer\077"));
lf[1126]=C_h_intern(&lf[1126],22, C_text("##sys#address->pointer"));
lf[1127]=C_h_intern(&lf[1127],25, C_text("##sys#peek-signed-integer"));
lf[1128]=C_h_intern(&lf[1128],17, C_text("##sys#peek-fixnum"));
lf[1129]=C_h_intern(&lf[1129],15, C_text("##sys#peek-byte"));
lf[1130]=C_h_intern(&lf[1130],24, C_text("##sys#vector->structure!"));
lf[1131]=C_h_intern(&lf[1131],17, C_text("##sys#peek-double"));
lf[1132]=C_h_intern(&lf[1132],28, C_text("##sys#peek-and-free-c-string"));
lf[1133]=C_h_intern(&lf[1133],36, C_text("##sys#peek-and-free-nonnull-c-string"));
lf[1134]=C_h_intern(&lf[1134],19, C_text("##sys#poke-c-string"));
lf[1135]=C_h_intern(&lf[1135],18, C_text("##sys#poke-integer"));
lf[1136]=C_h_intern(&lf[1136],17, C_text("##sys#poke-double"));
lf[1137]=C_h_intern(&lf[1137],24, C_text("##sys#peek-c-string-list"));
lf[1138]=C_h_intern(&lf[1138],33, C_text("##sys#peek-and-free-c-string-list"));
lf[1139]=C_h_intern(&lf[1139],22, C_text("##sys#vector->closure!"));
lf[1140]=C_h_intern(&lf[1140],34, C_text("##sys#symbol-has-toplevel-binding\077"));
lf[1141]=C_h_intern(&lf[1141],16, C_text("##sys#copy-words"));
lf[1142]=C_h_intern(&lf[1142],19, C_text("##sys#compare-bytes"));
lf[1143]=C_h_intern(&lf[1143],19, C_text("##sys#block-pointer"));
lf[1144]=C_h_intern(&lf[1144],27, C_text("##sys#foreign-char-argument"));
lf[1145]=C_h_intern(&lf[1145],29, C_text("##sys#foreign-fixnum-argument"));
lf[1146]=C_h_intern(&lf[1146],29, C_text("##sys#foreign-flonum-argument"));
lf[1147]=C_h_intern(&lf[1147],28, C_text("##sys#foreign-block-argument"));
lf[1148]=C_h_intern(&lf[1148],37, C_text("##sys#foreign-struct-wrapper-argument"));
lf[1149]=C_h_intern(&lf[1149],29, C_text("##sys#foreign-string-argument"));
lf[1150]=C_h_intern(&lf[1150],29, C_text("##sys#foreign-symbol-argument"));
lf[1151]=C_h_intern(&lf[1151],30, C_text("##sys#foreign-pointer-argument"));
lf[1152]=C_h_intern(&lf[1152],37, C_text("##sys#foreign-tagged-pointer-argument"));
lf[1153]=C_h_intern(&lf[1153],37, C_text("##sys#foreign-ranged-integer-argument"));
lf[1154]=C_h_intern(&lf[1154],46, C_text("##sys#foreign-unsigned-ranged-integer-argument"));
lf[1155]=C_h_intern(&lf[1155],28, C_text("##sys#default-thread-quantum"));
lf[1156]=C_h_intern(&lf[1156],31, C_text("##sys#default-exception-handler"));
lf[1157]=C_decode_literal(C_heaptop,C_text("\376B\000\000>internal error: default exception handler shouldn\047t be called!"));
lf[1158]=C_h_intern(&lf[1158],17, C_text("##sys#make-thread"));
lf[1159]=C_h_intern(&lf[1159],16, C_text("##sys#make-mutex"));
lf[1160]=C_h_intern(&lf[1160],5, C_text("mutex"));
lf[1161]=C_h_intern(&lf[1161],14, C_text("##sys#schedule"));
lf[1162]=C_h_intern(&lf[1162],19, C_text("##sys#thread-yield!"));
lf[1163]=C_h_intern(&lf[1163],24, C_text("##sys#kill-other-threads"));
lf[1164]=C_h_intern(&lf[1164],23, C_text("chicken.base#sleep-hook"));
lf[1165]=C_h_intern(&lf[1165],5, C_text("sleep"));
lf[1166]=C_h_intern(&lf[1166],20, C_text("##sys#context-switch"));
lf[1167]=C_h_intern(&lf[1167],19, C_text("##sys#signal-vector"));
lf[1168]=C_h_intern(&lf[1168],20, C_text("##sys#interrupt-hook"));
lf[1169]=C_h_intern(&lf[1169],24, C_text("##sys#pending-finalizers"));
lf[1170]=C_h_intern(&lf[1170],28, C_text("##sys#run-pending-finalizers"));
lf[1171]=C_h_intern(&lf[1171],11, C_text("##sys#errno"));
lf[1172]=C_decode_literal(C_heaptop,C_text("\376B\000\000Lunexpected end of file - unterminated `#{...}\047 item in `here\047 string litera"
"l"));
lf[1173]=C_decode_literal(C_heaptop,C_text("\376B\000\000&unterminated here-doc string literal `"));
lf[1174]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[1175]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<< here-doc token"));
lf[1176]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<< here-doc tag"));
lf[1177]=C_h_intern(&lf[1177],4, C_text("cons"));
lf[1178]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\005\001quote\376\003\000\000\002\376\377\016\376\377\016"));
lf[1179]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<# here-doc token"));
lf[1180]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<# here-doc tag"));
lf[1181]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unreadable object"));
lf[1182]=C_h_intern(&lf[1182],24, C_text("chicken.process-context#"));
lf[1183]=C_h_intern(&lf[1183],40, C_text("chicken.process-context#change-directory"));
lf[1184]=C_h_intern(&lf[1184],16, C_text("change-directory"));
lf[1185]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042cannot change current directory - "));
lf[1186]=C_h_intern(&lf[1186],27, C_text("##sys#change-directory-hook"));
lf[1187]=C_h_intern(&lf[1187],41, C_text("chicken.process-context#current-directory"));
lf[1188]=C_h_intern(&lf[1188],48, C_text("chicken.process-context#get-environment-variable"));
lf[1189]=C_h_intern(&lf[1189],49, C_text("chicken.process-context#set-environment-variable!"));
lf[1190]=C_h_intern(&lf[1190],25, C_text("set-environment-variable!"));
lf[1191]=C_h_intern(&lf[1191],51, C_text("chicken.process-context#unset-environment-variable!"));
lf[1192]=C_h_intern(&lf[1192],27, C_text("unset-environment-variable!"));
lf[1193]=C_h_intern(&lf[1193],49, C_text("chicken.process-context#get-environment-variables"));
lf[1194]=C_h_intern(&lf[1194],43, C_text("chicken.process-context#executable-pathname"));
lf[1195]=C_h_intern(&lf[1195],33, C_text("chicken.process-context#argc+argv"));
lf[1196]=C_h_intern(&lf[1196],28, C_text("chicken.process-context#argv"));
lf[1197]=C_h_intern(&lf[1197],36, C_text("chicken.process-context#program-name"));
lf[1198]=C_h_intern(&lf[1198],46, C_text("chicken.process-context#command-line-arguments"));
lf[1199]=C_h_intern(&lf[1199],11, C_text("chicken.gc#"));
lf[1200]=C_h_intern(&lf[1200],34, C_text("chicken.gc#current-gc-milliseconds"));
lf[1201]=C_h_intern(&lf[1201],25, C_text("chicken.gc#set-gc-report!"));
lf[1202]=C_h_intern(&lf[1202],28, C_text("chicken.gc#memory-statistics"));
lf[1203]=C_h_intern(&lf[1203],20, C_text("##sys#set-finalizer!"));
lf[1204]=C_h_intern(&lf[1204],25, C_text("chicken.gc#set-finalizer!"));
lf[1205]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1206]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035), resized max finalizers to "));
lf[1207]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1208]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1209]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017), forcing ...\012"));
lf[1210]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014in finalizer"));
lf[1211]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020[debug] running "));
lf[1212]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017 finalizer(s) ("));
lf[1213]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007 live, "));
lf[1214]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020 allocated) ...\012"));
lf[1215]=C_h_intern(&lf[1215],13, C_text("chicken.gc#gc"));
lf[1216]=C_h_intern(&lf[1216],12, C_text("##sys#length"));
lf[1217]=C_h_intern(&lf[1217],10, C_text("##sys#cons"));
lf[1218]=C_h_intern(&lf[1218],12, C_text("##sys#vector"));
lf[1219]=C_h_intern(&lf[1219],11, C_text("##sys#apply"));
lf[1220]=C_h_intern(&lf[1220],12, C_text("##sys#values"));
lf[1221]=C_h_intern(&lf[1221],12, C_text("##sys#equal\077"));
lf[1222]=C_h_intern(&lf[1222],9, C_text("##sys#car"));
lf[1223]=C_h_intern(&lf[1223],9, C_text("##sys#cdr"));
lf[1224]=C_h_intern(&lf[1224],11, C_text("##sys#pair\077"));
lf[1225]=C_h_intern(&lf[1225],13, C_text("##sys#vector\077"));
lf[1226]=C_h_intern(&lf[1226],18, C_text("##sys#vector->list"));
lf[1227]=C_h_intern(&lf[1227],19, C_text("##sys#vector-length"));
lf[1228]=C_h_intern(&lf[1228],16, C_text("##sys#vector-ref"));
lf[1229]=C_h_intern(&lf[1229],8, C_text("##sys#>="));
lf[1230]=C_h_intern(&lf[1230],7, C_text("##sys#="));
lf[1231]=C_h_intern(&lf[1231],7, C_text("##sys#+"));
lf[1232]=C_h_intern(&lf[1232],9, C_text("##sys#eq\077"));
lf[1233]=C_h_intern(&lf[1233],10, C_text("##sys#eqv\077"));
lf[1234]=C_h_intern(&lf[1234],11, C_text("##sys#list\077"));
lf[1235]=C_h_intern(&lf[1235],11, C_text("##sys#null\077"));
lf[1236]=C_h_intern(&lf[1236],11, C_text("##sys#map-n"));
lf[1237]=C_h_intern(&lf[1237],19, C_text("##sys#make-locative"));
lf[1238]=C_decode_literal(C_heaptop,C_text("\376B\000\000)locative cannot refer to immediate object"));
lf[1239]=C_h_intern(&lf[1239],8, C_text("u8vector"));
lf[1240]=C_h_intern(&lf[1240],8, C_text("s8vector"));
lf[1241]=C_h_intern(&lf[1241],9, C_text("u16vector"));
lf[1242]=C_h_intern(&lf[1242],9, C_text("s16vector"));
lf[1243]=C_h_intern(&lf[1243],9, C_text("u32vector"));
lf[1244]=C_h_intern(&lf[1244],9, C_text("s32vector"));
lf[1245]=C_h_intern(&lf[1245],9, C_text("u64vector"));
lf[1246]=C_h_intern(&lf[1246],9, C_text("s64vector"));
lf[1247]=C_h_intern(&lf[1247],9, C_text("f32vector"));
lf[1248]=C_h_intern(&lf[1248],9, C_text("f64vector"));
lf[1249]=C_decode_literal(C_heaptop,C_text("\376B\000\000Abad argument type - locative cannot refer to objects of this type"));
lf[1250]=C_h_intern(&lf[1250],14, C_text("chicken.plist#"));
lf[1251]=C_h_intern(&lf[1251],18, C_text("chicken.plist#put!"));
lf[1252]=C_h_intern(&lf[1252],4, C_text("put!"));
lf[1253]=C_h_intern(&lf[1253],17, C_text("chicken.plist#get"));
lf[1254]=C_h_intern(&lf[1254],3, C_text("get"));
lf[1255]=C_h_intern(&lf[1255],10, C_text("##sys#put!"));
lf[1256]=C_h_intern(&lf[1256],9, C_text("##sys#get"));
lf[1257]=C_h_intern(&lf[1257],22, C_text("chicken.plist#remprop!"));
lf[1258]=C_h_intern(&lf[1258],8, C_text("remprop!"));
lf[1259]=C_h_intern(&lf[1259],26, C_text("chicken.plist#symbol-plist"));
lf[1260]=C_h_intern(&lf[1260],28, C_text("chicken.plist#get-properties"));
lf[1261]=C_h_intern(&lf[1261],14, C_text("get-properties"));
lf[1262]=C_h_intern(&lf[1262],19, C_text("##sys#display-times"));
lf[1263]=C_decode_literal(C_heaptop,C_text("\376B\000\000\0010"));
lf[1264]=C_decode_literal(C_heaptop,C_text("\376U10.0\000"));
lf[1265]=C_decode_literal(C_heaptop,C_text("\376\302\000\000\01040000000"));
lf[1266]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 GiB"));
lf[1267]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 MiB"));
lf[1268]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 KiB"));
lf[1269]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 bytes"));
lf[1270]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025, maximum live heap: "));
lf[1271]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022 GCs (major/minor)"));
lf[1272]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1273]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032 mutations (total/tracked)"));
lf[1274]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1275]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021s GC time (major)"));
lf[1276]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1277]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012s CPU time"));
lf[1278]=C_h_intern(&lf[1278],25, C_text("##sys#filter-heap-objects"));
lf[1279]=C_h_intern(&lf[1279],17, C_text("chicken.platform#"));
lf[1280]=C_h_intern(&lf[1280],30, C_text("chicken.platform#software-type"));
lf[1281]=C_h_intern(&lf[1281],29, C_text("chicken.platform#machine-type"));
lf[1282]=C_h_intern(&lf[1282],35, C_text("chicken.platform#machine-byte-order"));
lf[1283]=C_h_intern(&lf[1283],33, C_text("chicken.platform#software-version"));
lf[1284]=C_h_intern(&lf[1284],31, C_text("chicken.platform#build-platform"));
lf[1285]=C_h_intern(&lf[1285],22, C_text("##sys#windows-platform"));
lf[1286]=C_h_intern(&lf[1286],32, C_text("chicken.platform#chicken-version"));
lf[1287]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010Version "));
lf[1288]=C_h_intern(&lf[1288],19, C_text("##sys#build-version"));
lf[1289]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1290]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1291]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ["));
lf[1292]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ]"));
lf[1293]=C_h_intern(&lf[1293],7, C_text("unknown"));
lf[1294]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1295]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001-"));
lf[1296]=C_h_intern(&lf[1296],14, C_text("##sys#build-id"));
lf[1297]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 (rev "));
lf[1298]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1299]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1300]=C_h_intern(&lf[1300],18, C_text("##sys#build-branch"));
lf[1301]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1302]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1303]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1304]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 64bit"));
lf[1305]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1306]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 dload"));
lf[1307]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1308]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 ptables"));
lf[1309]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1310]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 gchooks"));
lf[1311]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1312]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 cross"));
lf[1313]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1314]=C_h_intern(&lf[1314],25, C_text("chicken.platform#feature\077"));
lf[1315]=C_h_intern_kw(&lf[1315],13, C_text("cross-chicken"));
lf[1316]=C_h_intern_kw(&lf[1316],7, C_text("gchooks"));
lf[1317]=C_h_intern_kw(&lf[1317],7, C_text("ptables"));
lf[1318]=C_h_intern_kw(&lf[1318],5, C_text("dload"));
lf[1319]=C_h_intern_kw(&lf[1319],5, C_text("64bit"));
lf[1320]=C_h_intern(&lf[1320],29, C_text("chicken.platform#chicken-home"));
lf[1322]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\006\000\376\377\016"));
lf[1323]=C_h_intern(&lf[1323],16, C_text("##sys#split-path"));
lf[1324]=C_h_intern(&lf[1324],32, C_text("chicken.platform#repository-path"));
lf[1325]=C_h_intern(&lf[1325],40, C_text("chicken.platform#installation-repository"));
lf[1327]=C_decode_literal(C_heaptop,C_text("\376B\000\0001bad argument type - not a valid feature identifer"));
lf[1328]=C_h_intern(&lf[1328],14, C_text("##sys#features"));
lf[1329]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\007\002chicken\376\003\000\000\002\376\001\000\000\006\002srfi-6\376\003\000\000\002\376\001\000\000\007\002srfi-12\376\003\000\000\002\376\001\000\000\007\002srfi-17\376\003\000\000\002\376\001\000\000"
"\007\002srfi-23\376\003\000\000\002\376\001\000\000\007\002srfi-30\376\003\000\000\002\376\001\000\000\007\002srfi-39\376\003\000\000\002\376\001\000\000\007\002srfi-62\376\003\000\000\002\376\001\000\000\022\002full-n"
"umeric-tower\376\377\016"));
lf[1330]=C_h_intern(&lf[1330],34, C_text("chicken.platform#register-feature!"));
lf[1331]=C_h_intern(&lf[1331],36, C_text("chicken.platform#unregister-feature!"));
lf[1332]=C_h_intern(&lf[1332],25, C_text("chicken.platform#features"));
lf[1333]=C_h_intern(&lf[1333],31, C_text("chicken.platform#return-to-host"));
lf[1334]=C_h_intern(&lf[1334],40, C_text("chicken.platform#system-config-directory"));
lf[1335]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007APPDATA"));
lf[1336]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010/.config"));
lf[1337]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004HOME"));
lf[1338]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017XDG_CONFIG_HOME"));
lf[1339]=C_h_intern(&lf[1339],39, C_text("chicken.platform#system-cache-directory"));
lf[1340]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007APPDATA"));
lf[1341]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014LOCALAPPDATA"));
lf[1342]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007/.cache"));
lf[1343]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004HOME"));
lf[1344]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016XDG_CACHE_HOME"));
lf[1345]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1346]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[1347]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1348]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032CHICKEN_INSTALL_REPOSITORY"));
lf[1349]=C_h_intern(&lf[1349],15, C_text("repository-path"));
lf[1350]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027CHICKEN_REPOSITORY_PATH"));
lf[1351]=C_h_intern(&lf[1351],7, C_text("windows"));
lf[1352]=C_h_intern(&lf[1352],6, C_text("cygwin"));
lf[1353]=C_h_intern(&lf[1353],12, C_text("symbol-plist"));
lf[1354]=C_h_intern(&lf[1354],19, C_text("symbol-plist/setter"));
lf[1355]=C_decode_literal(C_heaptop,C_text("\376B\000\000$property-list must be of even length"));
lf[1356]=C_decode_literal(C_heaptop,C_text("\376B\000\000 (chicken.plist#symbol-plist sym)"));
lf[1357]=C_h_intern(&lf[1357],22, C_text("command-line-arguments"));
lf[1358]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002-:"));
lf[1359]=C_h_intern(&lf[1359],12, C_text("program-name"));
lf[1360]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011<unknown>"));
lf[1361]=C_h_intern(&lf[1361],17, C_text("current-directory"));
lf[1362]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current directory"));
lf[1363]=C_decode_literal(C_heaptop,C_text("\376B\000\000+(chicken.process-context#current-directory)"));
lf[1364]=C_h_intern(&lf[1364],7, C_text("running"));
lf[1365]=C_h_intern(&lf[1365],10, C_text("primordial"));
lf[1366]=C_h_intern(&lf[1366],9, C_text("arguments"));
lf[1367]=C_h_intern(&lf[1367],7, C_text("message"));
lf[1368]=C_h_intern(&lf[1368],17, C_text("chicken.repl#repl"));
lf[1369]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1370]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1371]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006\012Error"));
lf[1372]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016error in error"));
lf[1373]=C_decode_literal(C_heaptop,C_text("\376B\000\000,\042exit\042 called while processing on-exit tasks"));
lf[1374]=C_h_intern(&lf[1374],10, C_text("read-table"));
lf[1375]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021no setter defined"));
lf[1376]=C_decode_literal(C_heaptop,C_text("\376B\000\000#can not set setter of non-procedure"));
lf[1377]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stderr)"));
lf[1378]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stdout)"));
lf[1379]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(stdin)"));
lf[1380]=C_h_intern(&lf[1380],9, C_text("backspace"));
lf[1381]=C_h_intern(&lf[1381],4, C_text("page"));
lf[1382]=C_h_intern(&lf[1382],6, C_text("return"));
lf[1383]=C_h_intern(&lf[1383],4, C_text("null"));
lf[1384]=C_h_intern(&lf[1384],3, C_text("nul"));
lf[1385]=C_h_intern(&lf[1385],5, C_text("alarm"));
lf[1386]=C_h_intern(&lf[1386],6, C_text("escape"));
lf[1387]=C_h_intern(&lf[1387],3, C_text("esc"));
lf[1388]=C_h_intern(&lf[1388],6, C_text("delete"));
lf[1389]=C_h_intern(&lf[1389],4, C_text("vtab"));
lf[1390]=C_h_intern(&lf[1390],7, C_text("newline"));
lf[1391]=C_h_intern(&lf[1391],8, C_text("linefeed"));
lf[1392]=C_h_intern(&lf[1392],3, C_text("tab"));
lf[1393]=C_h_intern(&lf[1393],5, C_text("space"));
C_register_lf2(lf,1394,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8515,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_build_2dversion_toplevel(2,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[2108] = {
{C_text("f33840:library_2escm"),(void*)f33840},
{C_text("f34368:library_2escm"),(void*)f34368},
{C_text("f36600:library_2escm"),(void*)f36600},
{C_text("f36606:library_2escm"),(void*)f36606},
{C_text("f36612:library_2escm"),(void*)f36612},
{C_text("f_10013:library_2escm"),(void*)f_10013},
{C_text("f_10019:library_2escm"),(void*)f_10019},
{C_text("f_10035:library_2escm"),(void*)f_10035},
{C_text("f_10060:library_2escm"),(void*)f_10060},
{C_text("f_10069:library_2escm"),(void*)f_10069},
{C_text("f_10110:library_2escm"),(void*)f_10110},
{C_text("f_10132:library_2escm"),(void*)f_10132},
{C_text("f_10164:library_2escm"),(void*)f_10164},
{C_text("f_10180:library_2escm"),(void*)f_10180},
{C_text("f_10183:library_2escm"),(void*)f_10183},
{C_text("f_10205:library_2escm"),(void*)f_10205},
{C_text("f_10211:library_2escm"),(void*)f_10211},
{C_text("f_10236:library_2escm"),(void*)f_10236},
{C_text("f_10276:library_2escm"),(void*)f_10276},
{C_text("f_10283:library_2escm"),(void*)f_10283},
{C_text("f_10288:library_2escm"),(void*)f_10288},
{C_text("f_10307:library_2escm"),(void*)f_10307},
{C_text("f_10329:library_2escm"),(void*)f_10329},
{C_text("f_10332:library_2escm"),(void*)f_10332},
{C_text("f_10335:library_2escm"),(void*)f_10335},
{C_text("f_10338:library_2escm"),(void*)f_10338},
{C_text("f_10344:library_2escm"),(void*)f_10344},
{C_text("f_10347:library_2escm"),(void*)f_10347},
{C_text("f_10350:library_2escm"),(void*)f_10350},
{C_text("f_10353:library_2escm"),(void*)f_10353},
{C_text("f_10356:library_2escm"),(void*)f_10356},
{C_text("f_10359:library_2escm"),(void*)f_10359},
{C_text("f_10362:library_2escm"),(void*)f_10362},
{C_text("f_10365:library_2escm"),(void*)f_10365},
{C_text("f_10368:library_2escm"),(void*)f_10368},
{C_text("f_10371:library_2escm"),(void*)f_10371},
{C_text("f_10374:library_2escm"),(void*)f_10374},
{C_text("f_10377:library_2escm"),(void*)f_10377},
{C_text("f_10380:library_2escm"),(void*)f_10380},
{C_text("f_10383:library_2escm"),(void*)f_10383},
{C_text("f_10386:library_2escm"),(void*)f_10386},
{C_text("f_10389:library_2escm"),(void*)f_10389},
{C_text("f_10392:library_2escm"),(void*)f_10392},
{C_text("f_10395:library_2escm"),(void*)f_10395},
{C_text("f_10398:library_2escm"),(void*)f_10398},
{C_text("f_10401:library_2escm"),(void*)f_10401},
{C_text("f_10404:library_2escm"),(void*)f_10404},
{C_text("f_10407:library_2escm"),(void*)f_10407},
{C_text("f_10410:library_2escm"),(void*)f_10410},
{C_text("f_10413:library_2escm"),(void*)f_10413},
{C_text("f_10416:library_2escm"),(void*)f_10416},
{C_text("f_10421:library_2escm"),(void*)f_10421},
{C_text("f_10430:library_2escm"),(void*)f_10430},
{C_text("f_10442:library_2escm"),(void*)f_10442},
{C_text("f_10457:library_2escm"),(void*)f_10457},
{C_text("f_10460:library_2escm"),(void*)f_10460},
{C_text("f_10468:library_2escm"),(void*)f_10468},
{C_text("f_10472:library_2escm"),(void*)f_10472},
{C_text("f_10474:library_2escm"),(void*)f_10474},
{C_text("f_10478:library_2escm"),(void*)f_10478},
{C_text("f_10481:library_2escm"),(void*)f_10481},
{C_text("f_10492:library_2escm"),(void*)f_10492},
{C_text("f_10494:library_2escm"),(void*)f_10494},
{C_text("f_10501:library_2escm"),(void*)f_10501},
{C_text("f_10504:library_2escm"),(void*)f_10504},
{C_text("f_10507:library_2escm"),(void*)f_10507},
{C_text("f_10512:library_2escm"),(void*)f_10512},
{C_text("f_10516:library_2escm"),(void*)f_10516},
{C_text("f_10521:library_2escm"),(void*)f_10521},
{C_text("f_10525:library_2escm"),(void*)f_10525},
{C_text("f_10528:library_2escm"),(void*)f_10528},
{C_text("f_10556:library_2escm"),(void*)f_10556},
{C_text("f_10559:library_2escm"),(void*)f_10559},
{C_text("f_10562:library_2escm"),(void*)f_10562},
{C_text("f_10579:library_2escm"),(void*)f_10579},
{C_text("f_10590:library_2escm"),(void*)f_10590},
{C_text("f_10602:library_2escm"),(void*)f_10602},
{C_text("f_10613:library_2escm"),(void*)f_10613},
{C_text("f_10624:library_2escm"),(void*)f_10624},
{C_text("f_10635:library_2escm"),(void*)f_10635},
{C_text("f_10646:library_2escm"),(void*)f_10646},
{C_text("f_10657:library_2escm"),(void*)f_10657},
{C_text("f_10668:library_2escm"),(void*)f_10668},
{C_text("f_10679:library_2escm"),(void*)f_10679},
{C_text("f_10690:library_2escm"),(void*)f_10690},
{C_text("f_10701:library_2escm"),(void*)f_10701},
{C_text("f_10712:library_2escm"),(void*)f_10712},
{C_text("f_10723:library_2escm"),(void*)f_10723},
{C_text("f_10734:library_2escm"),(void*)f_10734},
{C_text("f_10751:library_2escm"),(void*)f_10751},
{C_text("f_10768:library_2escm"),(void*)f_10768},
{C_text("f_10792:library_2escm"),(void*)f_10792},
{C_text("f_10809:library_2escm"),(void*)f_10809},
{C_text("f_10813:library_2escm"),(void*)f_10813},
{C_text("f_10839:library_2escm"),(void*)f_10839},
{C_text("f_10859:library_2escm"),(void*)f_10859},
{C_text("f_10870:library_2escm"),(void*)f_10870},
{C_text("f_10882:library_2escm"),(void*)f_10882},
{C_text("f_10916:library_2escm"),(void*)f_10916},
{C_text("f_10931:library_2escm"),(void*)f_10931},
{C_text("f_10998:library_2escm"),(void*)f_10998},
{C_text("f_11014:library_2escm"),(void*)f_11014},
{C_text("f_11030:library_2escm"),(void*)f_11030},
{C_text("f_11046:library_2escm"),(void*)f_11046},
{C_text("f_11062:library_2escm"),(void*)f_11062},
{C_text("f_11078:library_2escm"),(void*)f_11078},
{C_text("f_11094:library_2escm"),(void*)f_11094},
{C_text("f_11110:library_2escm"),(void*)f_11110},
{C_text("f_11126:library_2escm"),(void*)f_11126},
{C_text("f_11138:library_2escm"),(void*)f_11138},
{C_text("f_11157:library_2escm"),(void*)f_11157},
{C_text("f_11188:library_2escm"),(void*)f_11188},
{C_text("f_11205:library_2escm"),(void*)f_11205},
{C_text("f_11211:library_2escm"),(void*)f_11211},
{C_text("f_11235:library_2escm"),(void*)f_11235},
{C_text("f_11255:library_2escm"),(void*)f_11255},
{C_text("f_11259:library_2escm"),(void*)f_11259},
{C_text("f_11262:library_2escm"),(void*)f_11262},
{C_text("f_11291:library_2escm"),(void*)f_11291},
{C_text("f_11307:library_2escm"),(void*)f_11307},
{C_text("f_11329:library_2escm"),(void*)f_11329},
{C_text("f_11345:library_2escm"),(void*)f_11345},
{C_text("f_11350:library_2escm"),(void*)f_11350},
{C_text("f_11381:library_2escm"),(void*)f_11381},
{C_text("f_11392:library_2escm"),(void*)f_11392},
{C_text("f_11401:library_2escm"),(void*)f_11401},
{C_text("f_11430:library_2escm"),(void*)f_11430},
{C_text("f_11443:library_2escm"),(void*)f_11443},
{C_text("f_11453:library_2escm"),(void*)f_11453},
{C_text("f_11455:library_2escm"),(void*)f_11455},
{C_text("f_11462:library_2escm"),(void*)f_11462},
{C_text("f_11465:library_2escm"),(void*)f_11465},
{C_text("f_11474:library_2escm"),(void*)f_11474},
{C_text("f_11500:library_2escm"),(void*)f_11500},
{C_text("f_11505:library_2escm"),(void*)f_11505},
{C_text("f_11509:library_2escm"),(void*)f_11509},
{C_text("f_11514:library_2escm"),(void*)f_11514},
{C_text("f_11535:library_2escm"),(void*)f_11535},
{C_text("f_11541:library_2escm"),(void*)f_11541},
{C_text("f_11559:library_2escm"),(void*)f_11559},
{C_text("f_11565:library_2escm"),(void*)f_11565},
{C_text("f_11583:library_2escm"),(void*)f_11583},
{C_text("f_11589:library_2escm"),(void*)f_11589},
{C_text("f_11604:library_2escm"),(void*)f_11604},
{C_text("f_11610:library_2escm"),(void*)f_11610},
{C_text("f_11624:library_2escm"),(void*)f_11624},
{C_text("f_11645:library_2escm"),(void*)f_11645},
{C_text("f_11651:library_2escm"),(void*)f_11651},
{C_text("f_11669:library_2escm"),(void*)f_11669},
{C_text("f_11675:library_2escm"),(void*)f_11675},
{C_text("f_11693:library_2escm"),(void*)f_11693},
{C_text("f_11699:library_2escm"),(void*)f_11699},
{C_text("f_11714:library_2escm"),(void*)f_11714},
{C_text("f_11720:library_2escm"),(void*)f_11720},
{C_text("f_11735:library_2escm"),(void*)f_11735},
{C_text("f_11745:library_2escm"),(void*)f_11745},
{C_text("f_11751:library_2escm"),(void*)f_11751},
{C_text("f_11755:library_2escm"),(void*)f_11755},
{C_text("f_11757:library_2escm"),(void*)f_11757},
{C_text("f_11768:library_2escm"),(void*)f_11768},
{C_text("f_11780:library_2escm"),(void*)f_11780},
{C_text("f_11790:library_2escm"),(void*)f_11790},
{C_text("f_11796:library_2escm"),(void*)f_11796},
{C_text("f_11800:library_2escm"),(void*)f_11800},
{C_text("f_11805:library_2escm"),(void*)f_11805},
{C_text("f_11831:library_2escm"),(void*)f_11831},
{C_text("f_11835:library_2escm"),(void*)f_11835},
{C_text("f_11838:library_2escm"),(void*)f_11838},
{C_text("f_11846:library_2escm"),(void*)f_11846},
{C_text("f_11867:library_2escm"),(void*)f_11867},
{C_text("f_11881:library_2escm"),(void*)f_11881},
{C_text("f_11885:library_2escm"),(void*)f_11885},
{C_text("f_11926:library_2escm"),(void*)f_11926},
{C_text("f_11948:library_2escm"),(void*)f_11948},
{C_text("f_11950:library_2escm"),(void*)f_11950},
{C_text("f_11972:library_2escm"),(void*)f_11972},
{C_text("f_11974:library_2escm"),(void*)f_11974},
{C_text("f_11996:library_2escm"),(void*)f_11996},
{C_text("f_11998:library_2escm"),(void*)f_11998},
{C_text("f_12020:library_2escm"),(void*)f_12020},
{C_text("f_12022:library_2escm"),(void*)f_12022},
{C_text("f_12044:library_2escm"),(void*)f_12044},
{C_text("f_12046:library_2escm"),(void*)f_12046},
{C_text("f_12068:library_2escm"),(void*)f_12068},
{C_text("f_12070:library_2escm"),(void*)f_12070},
{C_text("f_12092:library_2escm"),(void*)f_12092},
{C_text("f_12094:library_2escm"),(void*)f_12094},
{C_text("f_12116:library_2escm"),(void*)f_12116},
{C_text("f_12118:library_2escm"),(void*)f_12118},
{C_text("f_12140:library_2escm"),(void*)f_12140},
{C_text("f_12142:library_2escm"),(void*)f_12142},
{C_text("f_12164:library_2escm"),(void*)f_12164},
{C_text("f_12166:library_2escm"),(void*)f_12166},
{C_text("f_12188:library_2escm"),(void*)f_12188},
{C_text("f_12190:library_2escm"),(void*)f_12190},
{C_text("f_12206:library_2escm"),(void*)f_12206},
{C_text("f_12208:library_2escm"),(void*)f_12208},
{C_text("f_12230:library_2escm"),(void*)f_12230},
{C_text("f_12232:library_2escm"),(void*)f_12232},
{C_text("f_12254:library_2escm"),(void*)f_12254},
{C_text("f_12256:library_2escm"),(void*)f_12256},
{C_text("f_12272:library_2escm"),(void*)f_12272},
{C_text("f_12274:library_2escm"),(void*)f_12274},
{C_text("f_12290:library_2escm"),(void*)f_12290},
{C_text("f_12292:library_2escm"),(void*)f_12292},
{C_text("f_12308:library_2escm"),(void*)f_12308},
{C_text("f_12310:library_2escm"),(void*)f_12310},
{C_text("f_12326:library_2escm"),(void*)f_12326},
{C_text("f_12328:library_2escm"),(void*)f_12328},
{C_text("f_12344:library_2escm"),(void*)f_12344},
{C_text("f_12346:library_2escm"),(void*)f_12346},
{C_text("f_12362:library_2escm"),(void*)f_12362},
{C_text("f_12364:library_2escm"),(void*)f_12364},
{C_text("f_12380:library_2escm"),(void*)f_12380},
{C_text("f_12382:library_2escm"),(void*)f_12382},
{C_text("f_12398:library_2escm"),(void*)f_12398},
{C_text("f_12400:library_2escm"),(void*)f_12400},
{C_text("f_12416:library_2escm"),(void*)f_12416},
{C_text("f_12418:library_2escm"),(void*)f_12418},
{C_text("f_12434:library_2escm"),(void*)f_12434},
{C_text("f_12436:library_2escm"),(void*)f_12436},
{C_text("f_12458:library_2escm"),(void*)f_12458},
{C_text("f_12460:library_2escm"),(void*)f_12460},
{C_text("f_12476:library_2escm"),(void*)f_12476},
{C_text("f_12478:library_2escm"),(void*)f_12478},
{C_text("f_12500:library_2escm"),(void*)f_12500},
{C_text("f_12502:library_2escm"),(void*)f_12502},
{C_text("f_12518:library_2escm"),(void*)f_12518},
{C_text("f_12520:library_2escm"),(void*)f_12520},
{C_text("f_12536:library_2escm"),(void*)f_12536},
{C_text("f_12538:library_2escm"),(void*)f_12538},
{C_text("f_12554:library_2escm"),(void*)f_12554},
{C_text("f_12556:library_2escm"),(void*)f_12556},
{C_text("f_12572:library_2escm"),(void*)f_12572},
{C_text("f_12574:library_2escm"),(void*)f_12574},
{C_text("f_12584:library_2escm"),(void*)f_12584},
{C_text("f_12596:library_2escm"),(void*)f_12596},
{C_text("f_12606:library_2escm"),(void*)f_12606},
{C_text("f_12610:library_2escm"),(void*)f_12610},
{C_text("f_12632:library_2escm"),(void*)f_12632},
{C_text("f_12636:library_2escm"),(void*)f_12636},
{C_text("f_12639:library_2escm"),(void*)f_12639},
{C_text("f_12644:library_2escm"),(void*)f_12644},
{C_text("f_12648:library_2escm"),(void*)f_12648},
{C_text("f_12651:library_2escm"),(void*)f_12651},
{C_text("f_12654:library_2escm"),(void*)f_12654},
{C_text("f_12665:library_2escm"),(void*)f_12665},
{C_text("f_12688:library_2escm"),(void*)f_12688},
{C_text("f_12714:library_2escm"),(void*)f_12714},
{C_text("f_12723:library_2escm"),(void*)f_12723},
{C_text("f_12728:library_2escm"),(void*)f_12728},
{C_text("f_12730:library_2escm"),(void*)f_12730},
{C_text("f_12769:library_2escm"),(void*)f_12769},
{C_text("f_12815:library_2escm"),(void*)f_12815},
{C_text("f_12839:library_2escm"),(void*)f_12839},
{C_text("f_12843:library_2escm"),(void*)f_12843},
{C_text("f_12861:library_2escm"),(void*)f_12861},
{C_text("f_12885:library_2escm"),(void*)f_12885},
{C_text("f_12889:library_2escm"),(void*)f_12889},
{C_text("f_12907:library_2escm"),(void*)f_12907},
{C_text("f_12948:library_2escm"),(void*)f_12948},
{C_text("f_12959:library_2escm"),(void*)f_12959},
{C_text("f_12965:library_2escm"),(void*)f_12965},
{C_text("f_12969:library_2escm"),(void*)f_12969},
{C_text("f_12974:library_2escm"),(void*)f_12974},
{C_text("f_12985:library_2escm"),(void*)f_12985},
{C_text("f_12998:library_2escm"),(void*)f_12998},
{C_text("f_13013:library_2escm"),(void*)f_13013},
{C_text("f_13017:library_2escm"),(void*)f_13017},
{C_text("f_13023:library_2escm"),(void*)f_13023},
{C_text("f_13027:library_2escm"),(void*)f_13027},
{C_text("f_13067:library_2escm"),(void*)f_13067},
{C_text("f_13071:library_2escm"),(void*)f_13071},
{C_text("f_13093:library_2escm"),(void*)f_13093},
{C_text("f_13096:library_2escm"),(void*)f_13096},
{C_text("f_13099:library_2escm"),(void*)f_13099},
{C_text("f_13102:library_2escm"),(void*)f_13102},
{C_text("f_13105:library_2escm"),(void*)f_13105},
{C_text("f_13126:library_2escm"),(void*)f_13126},
{C_text("f_13128:library_2escm"),(void*)f_13128},
{C_text("f_13146:library_2escm"),(void*)f_13146},
{C_text("f_13156:library_2escm"),(void*)f_13156},
{C_text("f_13160:library_2escm"),(void*)f_13160},
{C_text("f_13166:library_2escm"),(void*)f_13166},
{C_text("f_13198:library_2escm"),(void*)f_13198},
{C_text("f_13201:library_2escm"),(void*)f_13201},
{C_text("f_13204:library_2escm"),(void*)f_13204},
{C_text("f_13207:library_2escm"),(void*)f_13207},
{C_text("f_13216:library_2escm"),(void*)f_13216},
{C_text("f_13219:library_2escm"),(void*)f_13219},
{C_text("f_13249:library_2escm"),(void*)f_13249},
{C_text("f_13253:library_2escm"),(void*)f_13253},
{C_text("f_13320:library_2escm"),(void*)f_13320},
{C_text("f_13354:library_2escm"),(void*)f_13354},
{C_text("f_13404:library_2escm"),(void*)f_13404},
{C_text("f_13445:library_2escm"),(void*)f_13445},
{C_text("f_13486:library_2escm"),(void*)f_13486},
{C_text("f_13520:library_2escm"),(void*)f_13520},
{C_text("f_13544:library_2escm"),(void*)f_13544},
{C_text("f_13560:library_2escm"),(void*)f_13560},
{C_text("f_13563:library_2escm"),(void*)f_13563},
{C_text("f_13567:library_2escm"),(void*)f_13567},
{C_text("f_13570:library_2escm"),(void*)f_13570},
{C_text("f_13587:library_2escm"),(void*)f_13587},
{C_text("f_13605:library_2escm"),(void*)f_13605},
{C_text("f_13609:library_2escm"),(void*)f_13609},
{C_text("f_13628:library_2escm"),(void*)f_13628},
{C_text("f_13632:library_2escm"),(void*)f_13632},
{C_text("f_13663:library_2escm"),(void*)f_13663},
{C_text("f_13696:library_2escm"),(void*)f_13696},
{C_text("f_13700:library_2escm"),(void*)f_13700},
{C_text("f_13719:library_2escm"),(void*)f_13719},
{C_text("f_13721:library_2escm"),(void*)f_13721},
{C_text("f_13728:library_2escm"),(void*)f_13728},
{C_text("f_13764:library_2escm"),(void*)f_13764},
{C_text("f_13771:library_2escm"),(void*)f_13771},
{C_text("f_13807:library_2escm"),(void*)f_13807},
{C_text("f_13822:library_2escm"),(void*)f_13822},
{C_text("f_13831:library_2escm"),(void*)f_13831},
{C_text("f_13836:library_2escm"),(void*)f_13836},
{C_text("f_13849:library_2escm"),(void*)f_13849},
{C_text("f_13868:library_2escm"),(void*)f_13868},
{C_text("f_13872:library_2escm"),(void*)f_13872},
{C_text("f_13877:library_2escm"),(void*)f_13877},
{C_text("f_13881:library_2escm"),(void*)f_13881},
{C_text("f_13885:library_2escm"),(void*)f_13885},
{C_text("f_13889:library_2escm"),(void*)f_13889},
{C_text("f_13892:library_2escm"),(void*)f_13892},
{C_text("f_13906:library_2escm"),(void*)f_13906},
{C_text("f_13910:library_2escm"),(void*)f_13910},
{C_text("f_13921:library_2escm"),(void*)f_13921},
{C_text("f_13941:library_2escm"),(void*)f_13941},
{C_text("f_13945:library_2escm"),(void*)f_13945},
{C_text("f_13951:library_2escm"),(void*)f_13951},
{C_text("f_13971:library_2escm"),(void*)f_13971},
{C_text("f_13975:library_2escm"),(void*)f_13975},
{C_text("f_13981:library_2escm"),(void*)f_13981},
{C_text("f_13998:library_2escm"),(void*)f_13998},
{C_text("f_14002:library_2escm"),(void*)f_14002},
{C_text("f_14006:library_2escm"),(void*)f_14006},
{C_text("f_14016:library_2escm"),(void*)f_14016},
{C_text("f_14022:library_2escm"),(void*)f_14022},
{C_text("f_14027:library_2escm"),(void*)f_14027},
{C_text("f_14035:library_2escm"),(void*)f_14035},
{C_text("f_14055:library_2escm"),(void*)f_14055},
{C_text("f_14059:library_2escm"),(void*)f_14059},
{C_text("f_14069:library_2escm"),(void*)f_14069},
{C_text("f_14075:library_2escm"),(void*)f_14075},
{C_text("f_14080:library_2escm"),(void*)f_14080},
{C_text("f_14095:library_2escm"),(void*)f_14095},
{C_text("f_14099:library_2escm"),(void*)f_14099},
{C_text("f_14128:library_2escm"),(void*)f_14128},
{C_text("f_14132:library_2escm"),(void*)f_14132},
{C_text("f_14147:library_2escm"),(void*)f_14147},
{C_text("f_14157:library_2escm"),(void*)f_14157},
{C_text("f_14230:library_2escm"),(void*)f_14230},
{C_text("f_14242:library_2escm"),(void*)f_14242},
{C_text("f_14261:library_2escm"),(void*)f_14261},
{C_text("f_14275:library_2escm"),(void*)f_14275},
{C_text("f_14322:library_2escm"),(void*)f_14322},
{C_text("f_14326:library_2escm"),(void*)f_14326},
{C_text("f_14331:library_2escm"),(void*)f_14331},
{C_text("f_14341:library_2escm"),(void*)f_14341},
{C_text("f_14345:library_2escm"),(void*)f_14345},
{C_text("f_14354:library_2escm"),(void*)f_14354},
{C_text("f_14360:library_2escm"),(void*)f_14360},
{C_text("f_14377:library_2escm"),(void*)f_14377},
{C_text("f_14388:library_2escm"),(void*)f_14388},
{C_text("f_14394:library_2escm"),(void*)f_14394},
{C_text("f_14405:library_2escm"),(void*)f_14405},
{C_text("f_14416:library_2escm"),(void*)f_14416},
{C_text("f_14428:library_2escm"),(void*)f_14428},
{C_text("f_14440:library_2escm"),(void*)f_14440},
{C_text("f_14452:library_2escm"),(void*)f_14452},
{C_text("f_14469:library_2escm"),(void*)f_14469},
{C_text("f_14476:library_2escm"),(void*)f_14476},
{C_text("f_14480:library_2escm"),(void*)f_14480},
{C_text("f_14482:library_2escm"),(void*)f_14482},
{C_text("f_14488:library_2escm"),(void*)f_14488},
{C_text("f_14492:library_2escm"),(void*)f_14492},
{C_text("f_14495:library_2escm"),(void*)f_14495},
{C_text("f_14500:library_2escm"),(void*)f_14500},
{C_text("f_14510:library_2escm"),(void*)f_14510},
{C_text("f_14528:library_2escm"),(void*)f_14528},
{C_text("f_14546:library_2escm"),(void*)f_14546},
{C_text("f_14549:library_2escm"),(void*)f_14549},
{C_text("f_14569:library_2escm"),(void*)f_14569},
{C_text("f_14579:library_2escm"),(void*)f_14579},
{C_text("f_14583:library_2escm"),(void*)f_14583},
{C_text("f_14587:library_2escm"),(void*)f_14587},
{C_text("f_14603:library_2escm"),(void*)f_14603},
{C_text("f_14620:library_2escm"),(void*)f_14620},
{C_text("f_14631:library_2escm"),(void*)f_14631},
{C_text("f_14651:library_2escm"),(void*)f_14651},
{C_text("f_14665:library_2escm"),(void*)f_14665},
{C_text("f_14668:library_2escm"),(void*)f_14668},
{C_text("f_14678:library_2escm"),(void*)f_14678},
{C_text("f_14680:library_2escm"),(void*)f_14680},
{C_text("f_14699:library_2escm"),(void*)f_14699},
{C_text("f_14723:library_2escm"),(void*)f_14723},
{C_text("f_14727:library_2escm"),(void*)f_14727},
{C_text("f_14731:library_2escm"),(void*)f_14731},
{C_text("f_14766:library_2escm"),(void*)f_14766},
{C_text("f_14773:library_2escm"),(void*)f_14773},
{C_text("f_14785:library_2escm"),(void*)f_14785},
{C_text("f_14805:library_2escm"),(void*)f_14805},
{C_text("f_14809:library_2escm"),(void*)f_14809},
{C_text("f_14829:library_2escm"),(void*)f_14829},
{C_text("f_14838:library_2escm"),(void*)f_14838},
{C_text("f_14849:library_2escm"),(void*)f_14849},
{C_text("f_14853:library_2escm"),(void*)f_14853},
{C_text("f_14857:library_2escm"),(void*)f_14857},
{C_text("f_14864:library_2escm"),(void*)f_14864},
{C_text("f_14880:library_2escm"),(void*)f_14880},
{C_text("f_14884:library_2escm"),(void*)f_14884},
{C_text("f_14925:library_2escm"),(void*)f_14925},
{C_text("f_14958:library_2escm"),(void*)f_14958},
{C_text("f_14987:library_2escm"),(void*)f_14987},
{C_text("f_14995:library_2escm"),(void*)f_14995},
{C_text("f_15001:library_2escm"),(void*)f_15001},
{C_text("f_15021:library_2escm"),(void*)f_15021},
{C_text("f_15046:library_2escm"),(void*)f_15046},
{C_text("f_15052:library_2escm"),(void*)f_15052},
{C_text("f_15056:library_2escm"),(void*)f_15056},
{C_text("f_15063:library_2escm"),(void*)f_15063},
{C_text("f_15083:library_2escm"),(void*)f_15083},
{C_text("f_15104:library_2escm"),(void*)f_15104},
{C_text("f_15118:library_2escm"),(void*)f_15118},
{C_text("f_15125:library_2escm"),(void*)f_15125},
{C_text("f_15130:library_2escm"),(void*)f_15130},
{C_text("f_15136:library_2escm"),(void*)f_15136},
{C_text("f_15140:library_2escm"),(void*)f_15140},
{C_text("f_15143:library_2escm"),(void*)f_15143},
{C_text("f_15150:library_2escm"),(void*)f_15150},
{C_text("f_15171:library_2escm"),(void*)f_15171},
{C_text("f_15185:library_2escm"),(void*)f_15185},
{C_text("f_15189:library_2escm"),(void*)f_15189},
{C_text("f_15226:library_2escm"),(void*)f_15226},
{C_text("f_15234:library_2escm"),(void*)f_15234},
{C_text("f_15261:library_2escm"),(void*)f_15261},
{C_text("f_15264:library_2escm"),(void*)f_15264},
{C_text("f_15281:library_2escm"),(void*)f_15281},
{C_text("f_15284:library_2escm"),(void*)f_15284},
{C_text("f_15291:library_2escm"),(void*)f_15291},
{C_text("f_15302:library_2escm"),(void*)f_15302},
{C_text("f_15313:library_2escm"),(void*)f_15313},
{C_text("f_15338:library_2escm"),(void*)f_15338},
{C_text("f_15353:library_2escm"),(void*)f_15353},
{C_text("f_15376:library_2escm"),(void*)f_15376},
{C_text("f_15379:library_2escm"),(void*)f_15379},
{C_text("f_15389:library_2escm"),(void*)f_15389},
{C_text("f_15447:library_2escm"),(void*)f_15447},
{C_text("f_15463:library_2escm"),(void*)f_15463},
{C_text("f_15469:library_2escm"),(void*)f_15469},
{C_text("f_15532:library_2escm"),(void*)f_15532},
{C_text("f_15571:library_2escm"),(void*)f_15571},
{C_text("f_15577:library_2escm"),(void*)f_15577},
{C_text("f_15621:library_2escm"),(void*)f_15621},
{C_text("f_15625:library_2escm"),(void*)f_15625},
{C_text("f_15628:library_2escm"),(void*)f_15628},
{C_text("f_15677:library_2escm"),(void*)f_15677},
{C_text("f_15692:library_2escm"),(void*)f_15692},
{C_text("f_15701:library_2escm"),(void*)f_15701},
{C_text("f_15738:library_2escm"),(void*)f_15738},
{C_text("f_15748:library_2escm"),(void*)f_15748},
{C_text("f_15757:library_2escm"),(void*)f_15757},
{C_text("f_15760:library_2escm"),(void*)f_15760},
{C_text("f_15769:library_2escm"),(void*)f_15769},
{C_text("f_15778:library_2escm"),(void*)f_15778},
{C_text("f_15790:library_2escm"),(void*)f_15790},
{C_text("f_15796:library_2escm"),(void*)f_15796},
{C_text("f_15802:library_2escm"),(void*)f_15802},
{C_text("f_15843:library_2escm"),(void*)f_15843},
{C_text("f_15950:library_2escm"),(void*)f_15950},
{C_text("f_15957:library_2escm"),(void*)f_15957},
{C_text("f_15970:library_2escm"),(void*)f_15970},
{C_text("f_15976:library_2escm"),(void*)f_15976},
{C_text("f_16028:library_2escm"),(void*)f_16028},
{C_text("f_16043:library_2escm"),(void*)f_16043},
{C_text("f_16053:library_2escm"),(void*)f_16053},
{C_text("f_16089:library_2escm"),(void*)f_16089},
{C_text("f_16115:library_2escm"),(void*)f_16115},
{C_text("f_16126:library_2escm"),(void*)f_16126},
{C_text("f_16293:library_2escm"),(void*)f_16293},
{C_text("f_16308:library_2escm"),(void*)f_16308},
{C_text("f_16334:library_2escm"),(void*)f_16334},
{C_text("f_16366:library_2escm"),(void*)f_16366},
{C_text("f_16403:library_2escm"),(void*)f_16403},
{C_text("f_16427:library_2escm"),(void*)f_16427},
{C_text("f_16477:library_2escm"),(void*)f_16477},
{C_text("f_16525:library_2escm"),(void*)f_16525},
{C_text("f_16528:library_2escm"),(void*)f_16528},
{C_text("f_16547:library_2escm"),(void*)f_16547},
{C_text("f_16617:library_2escm"),(void*)f_16617},
{C_text("f_16638:library_2escm"),(void*)f_16638},
{C_text("f_16685:library_2escm"),(void*)f_16685},
{C_text("f_16765:library_2escm"),(void*)f_16765},
{C_text("f_16775:library_2escm"),(void*)f_16775},
{C_text("f_16784:library_2escm"),(void*)f_16784},
{C_text("f_16791:library_2escm"),(void*)f_16791},
{C_text("f_17020:library_2escm"),(void*)f_17020},
{C_text("f_17066:library_2escm"),(void*)f_17066},
{C_text("f_17069:library_2escm"),(void*)f_17069},
{C_text("f_17096:library_2escm"),(void*)f_17096},
{C_text("f_17120:library_2escm"),(void*)f_17120},
{C_text("f_17137:library_2escm"),(void*)f_17137},
{C_text("f_17237:library_2escm"),(void*)f_17237},
{C_text("f_17240:library_2escm"),(void*)f_17240},
{C_text("f_17249:library_2escm"),(void*)f_17249},
{C_text("f_17255:library_2escm"),(void*)f_17255},
{C_text("f_17266:library_2escm"),(void*)f_17266},
{C_text("f_17268:library_2escm"),(void*)f_17268},
{C_text("f_17279:library_2escm"),(void*)f_17279},
{C_text("f_17281:library_2escm"),(void*)f_17281},
{C_text("f_17292:library_2escm"),(void*)f_17292},
{C_text("f_17294:library_2escm"),(void*)f_17294},
{C_text("f_17311:library_2escm"),(void*)f_17311},
{C_text("f_17315:library_2escm"),(void*)f_17315},
{C_text("f_17319:library_2escm"),(void*)f_17319},
{C_text("f_17328:library_2escm"),(void*)f_17328},
{C_text("f_17348:library_2escm"),(void*)f_17348},
{C_text("f_17356:library_2escm"),(void*)f_17356},
{C_text("f_17371:library_2escm"),(void*)f_17371},
{C_text("f_17373:library_2escm"),(void*)f_17373},
{C_text("f_17398:library_2escm"),(void*)f_17398},
{C_text("f_17407:library_2escm"),(void*)f_17407},
{C_text("f_17416:library_2escm"),(void*)f_17416},
{C_text("f_17425:library_2escm"),(void*)f_17425},
{C_text("f_17432:library_2escm"),(void*)f_17432},
{C_text("f_17443:library_2escm"),(void*)f_17443},
{C_text("f_17471:library_2escm"),(void*)f_17471},
{C_text("f_17475:library_2escm"),(void*)f_17475},
{C_text("f_17477:library_2escm"),(void*)f_17477},
{C_text("f_17481:library_2escm"),(void*)f_17481},
{C_text("f_17486:library_2escm"),(void*)f_17486},
{C_text("f_17492:library_2escm"),(void*)f_17492},
{C_text("f_17496:library_2escm"),(void*)f_17496},
{C_text("f_17501:library_2escm"),(void*)f_17501},
{C_text("f_17511:library_2escm"),(void*)f_17511},
{C_text("f_17513:library_2escm"),(void*)f_17513},
{C_text("f_17517:library_2escm"),(void*)f_17517},
{C_text("f_17523:library_2escm"),(void*)f_17523},
{C_text("f_17525:library_2escm"),(void*)f_17525},
{C_text("f_17529:library_2escm"),(void*)f_17529},
{C_text("f_17532:library_2escm"),(void*)f_17532},
{C_text("f_17548:library_2escm"),(void*)f_17548},
{C_text("f_17552:library_2escm"),(void*)f_17552},
{C_text("f_17555:library_2escm"),(void*)f_17555},
{C_text("f_17577:library_2escm"),(void*)f_17577},
{C_text("f_17593:library_2escm"),(void*)f_17593},
{C_text("f_17598:library_2escm"),(void*)f_17598},
{C_text("f_17629:library_2escm"),(void*)f_17629},
{C_text("f_17638:library_2escm"),(void*)f_17638},
{C_text("f_17656:library_2escm"),(void*)f_17656},
{C_text("f_17662:library_2escm"),(void*)f_17662},
{C_text("f_17668:library_2escm"),(void*)f_17668},
{C_text("f_17677:library_2escm"),(void*)f_17677},
{C_text("f_17696:library_2escm"),(void*)f_17696},
{C_text("f_17712:library_2escm"),(void*)f_17712},
{C_text("f_17715:library_2escm"),(void*)f_17715},
{C_text("f_17718:library_2escm"),(void*)f_17718},
{C_text("f_17723:library_2escm"),(void*)f_17723},
{C_text("f_17765:library_2escm"),(void*)f_17765},
{C_text("f_17784:library_2escm"),(void*)f_17784},
{C_text("f_17787:library_2escm"),(void*)f_17787},
{C_text("f_17790:library_2escm"),(void*)f_17790},
{C_text("f_17795:library_2escm"),(void*)f_17795},
{C_text("f_17836:library_2escm"),(void*)f_17836},
{C_text("f_17846:library_2escm"),(void*)f_17846},
{C_text("f_17857:library_2escm"),(void*)f_17857},
{C_text("f_17861:library_2escm"),(void*)f_17861},
{C_text("f_17864:library_2escm"),(void*)f_17864},
{C_text("f_17869:library_2escm"),(void*)f_17869},
{C_text("f_17896:library_2escm"),(void*)f_17896},
{C_text("f_17910:library_2escm"),(void*)f_17910},
{C_text("f_17921:library_2escm"),(void*)f_17921},
{C_text("f_17932:library_2escm"),(void*)f_17932},
{C_text("f_17943:library_2escm"),(void*)f_17943},
{C_text("f_17956:library_2escm"),(void*)f_17956},
{C_text("f_17958:library_2escm"),(void*)f_17958},
{C_text("f_17971:library_2escm"),(void*)f_17971},
{C_text("f_17999:library_2escm"),(void*)f_17999},
{C_text("f_18003:library_2escm"),(void*)f_18003},
{C_text("f_18012:library_2escm"),(void*)f_18012},
{C_text("f_18030:library_2escm"),(void*)f_18030},
{C_text("f_18033:library_2escm"),(void*)f_18033},
{C_text("f_18116:library_2escm"),(void*)f_18116},
{C_text("f_18119:library_2escm"),(void*)f_18119},
{C_text("f_18122:library_2escm"),(void*)f_18122},
{C_text("f_18125:library_2escm"),(void*)f_18125},
{C_text("f_18128:library_2escm"),(void*)f_18128},
{C_text("f_18131:library_2escm"),(void*)f_18131},
{C_text("f_18134:library_2escm"),(void*)f_18134},
{C_text("f_18137:library_2escm"),(void*)f_18137},
{C_text("f_18140:library_2escm"),(void*)f_18140},
{C_text("f_18143:library_2escm"),(void*)f_18143},
{C_text("f_18146:library_2escm"),(void*)f_18146},
{C_text("f_18149:library_2escm"),(void*)f_18149},
{C_text("f_18152:library_2escm"),(void*)f_18152},
{C_text("f_18155:library_2escm"),(void*)f_18155},
{C_text("f_18160:library_2escm"),(void*)f_18160},
{C_text("f_18166:library_2escm"),(void*)f_18166},
{C_text("f_18182:library_2escm"),(void*)f_18182},
{C_text("f_18198:library_2escm"),(void*)f_18198},
{C_text("f_18204:library_2escm"),(void*)f_18204},
{C_text("f_18224:library_2escm"),(void*)f_18224},
{C_text("f_18228:library_2escm"),(void*)f_18228},
{C_text("f_18240:library_2escm"),(void*)f_18240},
{C_text("f_18272:library_2escm"),(void*)f_18272},
{C_text("f_18276:library_2escm"),(void*)f_18276},
{C_text("f_18284:library_2escm"),(void*)f_18284},
{C_text("f_18294:library_2escm"),(void*)f_18294},
{C_text("f_18302:library_2escm"),(void*)f_18302},
{C_text("f_18338:library_2escm"),(void*)f_18338},
{C_text("f_18353:library_2escm"),(void*)f_18353},
{C_text("f_18363:library_2escm"),(void*)f_18363},
{C_text("f_18383:library_2escm"),(void*)f_18383},
{C_text("f_18396:library_2escm"),(void*)f_18396},
{C_text("f_18403:library_2escm"),(void*)f_18403},
{C_text("f_18405:library_2escm"),(void*)f_18405},
{C_text("f_18413:library_2escm"),(void*)f_18413},
{C_text("f_18415:library_2escm"),(void*)f_18415},
{C_text("f_18424:library_2escm"),(void*)f_18424},
{C_text("f_18442:library_2escm"),(void*)f_18442},
{C_text("f_18467:library_2escm"),(void*)f_18467},
{C_text("f_18483:library_2escm"),(void*)f_18483},
{C_text("f_18500:library_2escm"),(void*)f_18500},
{C_text("f_18504:library_2escm"),(void*)f_18504},
{C_text("f_18508:library_2escm"),(void*)f_18508},
{C_text("f_18510:library_2escm"),(void*)f_18510},
{C_text("f_18518:library_2escm"),(void*)f_18518},
{C_text("f_18520:library_2escm"),(void*)f_18520},
{C_text("f_18527:library_2escm"),(void*)f_18527},
{C_text("f_18531:library_2escm"),(void*)f_18531},
{C_text("f_18535:library_2escm"),(void*)f_18535},
{C_text("f_18544:library_2escm"),(void*)f_18544},
{C_text("f_18552:library_2escm"),(void*)f_18552},
{C_text("f_18562:library_2escm"),(void*)f_18562},
{C_text("f_18568:library_2escm"),(void*)f_18568},
{C_text("f_18571:library_2escm"),(void*)f_18571},
{C_text("f_18575:library_2escm"),(void*)f_18575},
{C_text("f_18602:library_2escm"),(void*)f_18602},
{C_text("f_18618:library_2escm"),(void*)f_18618},
{C_text("f_18624:library_2escm"),(void*)f_18624},
{C_text("f_18647:library_2escm"),(void*)f_18647},
{C_text("f_18660:library_2escm"),(void*)f_18660},
{C_text("f_18666:library_2escm"),(void*)f_18666},
{C_text("f_18671:library_2escm"),(void*)f_18671},
{C_text("f_18676:library_2escm"),(void*)f_18676},
{C_text("f_18680:library_2escm"),(void*)f_18680},
{C_text("f_18689:library_2escm"),(void*)f_18689},
{C_text("f_18720:library_2escm"),(void*)f_18720},
{C_text("f_18724:library_2escm"),(void*)f_18724},
{C_text("f_18728:library_2escm"),(void*)f_18728},
{C_text("f_18731:library_2escm"),(void*)f_18731},
{C_text("f_18734:library_2escm"),(void*)f_18734},
{C_text("f_18737:library_2escm"),(void*)f_18737},
{C_text("f_18739:library_2escm"),(void*)f_18739},
{C_text("f_18750:library_2escm"),(void*)f_18750},
{C_text("f_18761:library_2escm"),(void*)f_18761},
{C_text("f_18772:library_2escm"),(void*)f_18772},
{C_text("f_18783:library_2escm"),(void*)f_18783},
{C_text("f_18796:library_2escm"),(void*)f_18796},
{C_text("f_18798:library_2escm"),(void*)f_18798},
{C_text("f_18804:library_2escm"),(void*)f_18804},
{C_text("f_18809:library_2escm"),(void*)f_18809},
{C_text("f_18844:library_2escm"),(void*)f_18844},
{C_text("f_18857:library_2escm"),(void*)f_18857},
{C_text("f_18859:library_2escm"),(void*)f_18859},
{C_text("f_18865:library_2escm"),(void*)f_18865},
{C_text("f_18870:library_2escm"),(void*)f_18870},
{C_text("f_18905:library_2escm"),(void*)f_18905},
{C_text("f_18918:library_2escm"),(void*)f_18918},
{C_text("f_18920:library_2escm"),(void*)f_18920},
{C_text("f_18926:library_2escm"),(void*)f_18926},
{C_text("f_18931:library_2escm"),(void*)f_18931},
{C_text("f_18966:library_2escm"),(void*)f_18966},
{C_text("f_18978:library_2escm"),(void*)f_18978},
{C_text("f_18980:library_2escm"),(void*)f_18980},
{C_text("f_18986:library_2escm"),(void*)f_18986},
{C_text("f_18992:library_2escm"),(void*)f_18992},
{C_text("f_19002:library_2escm"),(void*)f_19002},
{C_text("f_19005:library_2escm"),(void*)f_19005},
{C_text("f_19008:library_2escm"),(void*)f_19008},
{C_text("f_19011:library_2escm"),(void*)f_19011},
{C_text("f_19014:library_2escm"),(void*)f_19014},
{C_text("f_19021:library_2escm"),(void*)f_19021},
{C_text("f_19025:library_2escm"),(void*)f_19025},
{C_text("f_19029:library_2escm"),(void*)f_19029},
{C_text("f_19035:library_2escm"),(void*)f_19035},
{C_text("f_19048:library_2escm"),(void*)f_19048},
{C_text("f_19090:library_2escm"),(void*)f_19090},
{C_text("f_19094:library_2escm"),(void*)f_19094},
{C_text("f_19127:library_2escm"),(void*)f_19127},
{C_text("f_19133:library_2escm"),(void*)f_19133},
{C_text("f_19139:library_2escm"),(void*)f_19139},
{C_text("f_19145:library_2escm"),(void*)f_19145},
{C_text("f_19151:library_2escm"),(void*)f_19151},
{C_text("f_19155:library_2escm"),(void*)f_19155},
{C_text("f_19160:library_2escm"),(void*)f_19160},
{C_text("f_19166:library_2escm"),(void*)f_19166},
{C_text("f_19170:library_2escm"),(void*)f_19170},
{C_text("f_19175:library_2escm"),(void*)f_19175},
{C_text("f_19179:library_2escm"),(void*)f_19179},
{C_text("f_19184:library_2escm"),(void*)f_19184},
{C_text("f_19190:library_2escm"),(void*)f_19190},
{C_text("f_19194:library_2escm"),(void*)f_19194},
{C_text("f_19199:library_2escm"),(void*)f_19199},
{C_text("f_19203:library_2escm"),(void*)f_19203},
{C_text("f_19208:library_2escm"),(void*)f_19208},
{C_text("f_19213:library_2escm"),(void*)f_19213},
{C_text("f_19219:library_2escm"),(void*)f_19219},
{C_text("f_19223:library_2escm"),(void*)f_19223},
{C_text("f_19228:library_2escm"),(void*)f_19228},
{C_text("f_19233:library_2escm"),(void*)f_19233},
{C_text("f_19237:library_2escm"),(void*)f_19237},
{C_text("f_19242:library_2escm"),(void*)f_19242},
{C_text("f_19247:library_2escm"),(void*)f_19247},
{C_text("f_19253:library_2escm"),(void*)f_19253},
{C_text("f_19257:library_2escm"),(void*)f_19257},
{C_text("f_19262:library_2escm"),(void*)f_19262},
{C_text("f_19267:library_2escm"),(void*)f_19267},
{C_text("f_19272:library_2escm"),(void*)f_19272},
{C_text("f_19293:library_2escm"),(void*)f_19293},
{C_text("f_19300:library_2escm"),(void*)f_19300},
{C_text("f_19306:library_2escm"),(void*)f_19306},
{C_text("f_19324:library_2escm"),(void*)f_19324},
{C_text("f_19333:library_2escm"),(void*)f_19333},
{C_text("f_19346:library_2escm"),(void*)f_19346},
{C_text("f_19354:library_2escm"),(void*)f_19354},
{C_text("f_19359:library_2escm"),(void*)f_19359},
{C_text("f_19396:library_2escm"),(void*)f_19396},
{C_text("f_19408:library_2escm"),(void*)f_19408},
{C_text("f_19418:library_2escm"),(void*)f_19418},
{C_text("f_19434:library_2escm"),(void*)f_19434},
{C_text("f_19447:library_2escm"),(void*)f_19447},
{C_text("f_19454:library_2escm"),(void*)f_19454},
{C_text("f_19456:library_2escm"),(void*)f_19456},
{C_text("f_19469:library_2escm"),(void*)f_19469},
{C_text("f_19475:library_2escm"),(void*)f_19475},
{C_text("f_19482:library_2escm"),(void*)f_19482},
{C_text("f_19484:library_2escm"),(void*)f_19484},
{C_text("f_19488:library_2escm"),(void*)f_19488},
{C_text("f_19491:library_2escm"),(void*)f_19491},
{C_text("f_19501:library_2escm"),(void*)f_19501},
{C_text("f_19505:library_2escm"),(void*)f_19505},
{C_text("f_19513:library_2escm"),(void*)f_19513},
{C_text("f_19516:library_2escm"),(void*)f_19516},
{C_text("f_19523:library_2escm"),(void*)f_19523},
{C_text("f_19526:library_2escm"),(void*)f_19526},
{C_text("f_19529:library_2escm"),(void*)f_19529},
{C_text("f_19532:library_2escm"),(void*)f_19532},
{C_text("f_19540:library_2escm"),(void*)f_19540},
{C_text("f_19548:library_2escm"),(void*)f_19548},
{C_text("f_19550:library_2escm"),(void*)f_19550},
{C_text("f_19566:library_2escm"),(void*)f_19566},
{C_text("f_19593:library_2escm"),(void*)f_19593},
{C_text("f_19597:library_2escm"),(void*)f_19597},
{C_text("f_19601:library_2escm"),(void*)f_19601},
{C_text("f_19605:library_2escm"),(void*)f_19605},
{C_text("f_19609:library_2escm"),(void*)f_19609},
{C_text("f_19613:library_2escm"),(void*)f_19613},
{C_text("f_19617:library_2escm"),(void*)f_19617},
{C_text("f_19621:library_2escm"),(void*)f_19621},
{C_text("f_19625:library_2escm"),(void*)f_19625},
{C_text("f_19629:library_2escm"),(void*)f_19629},
{C_text("f_19633:library_2escm"),(void*)f_19633},
{C_text("f_19637:library_2escm"),(void*)f_19637},
{C_text("f_19641:library_2escm"),(void*)f_19641},
{C_text("f_19645:library_2escm"),(void*)f_19645},
{C_text("f_19649:library_2escm"),(void*)f_19649},
{C_text("f_19653:library_2escm"),(void*)f_19653},
{C_text("f_19657:library_2escm"),(void*)f_19657},
{C_text("f_19664:library_2escm"),(void*)f_19664},
{C_text("f_19671:library_2escm"),(void*)f_19671},
{C_text("f_19672:library_2escm"),(void*)f_19672},
{C_text("f_19676:library_2escm"),(void*)f_19676},
{C_text("f_19679:library_2escm"),(void*)f_19679},
{C_text("f_19695:library_2escm"),(void*)f_19695},
{C_text("f_19706:library_2escm"),(void*)f_19706},
{C_text("f_19714:library_2escm"),(void*)f_19714},
{C_text("f_19726:library_2escm"),(void*)f_19726},
{C_text("f_19735:library_2escm"),(void*)f_19735},
{C_text("f_19740:library_2escm"),(void*)f_19740},
{C_text("f_19796:library_2escm"),(void*)f_19796},
{C_text("f_19810:library_2escm"),(void*)f_19810},
{C_text("f_19822:library_2escm"),(void*)f_19822},
{C_text("f_19828:library_2escm"),(void*)f_19828},
{C_text("f_19853:library_2escm"),(void*)f_19853},
{C_text("f_19871:library_2escm"),(void*)f_19871},
{C_text("f_19875:library_2escm"),(void*)f_19875},
{C_text("f_19931:library_2escm"),(void*)f_19931},
{C_text("f_19940:library_2escm"),(void*)f_19940},
{C_text("f_19953:library_2escm"),(void*)f_19953},
{C_text("f_19965:library_2escm"),(void*)f_19965},
{C_text("f_19983:library_2escm"),(void*)f_19983},
{C_text("f_20003:library_2escm"),(void*)f_20003},
{C_text("f_20006:library_2escm"),(void*)f_20006},
{C_text("f_20009:library_2escm"),(void*)f_20009},
{C_text("f_20017:library_2escm"),(void*)f_20017},
{C_text("f_20021:library_2escm"),(void*)f_20021},
{C_text("f_20025:library_2escm"),(void*)f_20025},
{C_text("f_20029:library_2escm"),(void*)f_20029},
{C_text("f_20033:library_2escm"),(void*)f_20033},
{C_text("f_20035:library_2escm"),(void*)f_20035},
{C_text("f_20043:library_2escm"),(void*)f_20043},
{C_text("f_20046:library_2escm"),(void*)f_20046},
{C_text("f_20056:library_2escm"),(void*)f_20056},
{C_text("f_20058:library_2escm"),(void*)f_20058},
{C_text("f_20066:library_2escm"),(void*)f_20066},
{C_text("f_20069:library_2escm"),(void*)f_20069},
{C_text("f_20079:library_2escm"),(void*)f_20079},
{C_text("f_20081:library_2escm"),(void*)f_20081},
{C_text("f_20085:library_2escm"),(void*)f_20085},
{C_text("f_20088:library_2escm"),(void*)f_20088},
{C_text("f_20091:library_2escm"),(void*)f_20091},
{C_text("f_20094:library_2escm"),(void*)f_20094},
{C_text("f_20097:library_2escm"),(void*)f_20097},
{C_text("f_20099:library_2escm"),(void*)f_20099},
{C_text("f_20105:library_2escm"),(void*)f_20105},
{C_text("f_20114:library_2escm"),(void*)f_20114},
{C_text("f_20122:library_2escm"),(void*)f_20122},
{C_text("f_20124:library_2escm"),(void*)f_20124},
{C_text("f_20131:library_2escm"),(void*)f_20131},
{C_text("f_20138:library_2escm"),(void*)f_20138},
{C_text("f_20151:library_2escm"),(void*)f_20151},
{C_text("f_20155:library_2escm"),(void*)f_20155},
{C_text("f_20160:library_2escm"),(void*)f_20160},
{C_text("f_20164:library_2escm"),(void*)f_20164},
{C_text("f_20175:library_2escm"),(void*)f_20175},
{C_text("f_20178:library_2escm"),(void*)f_20178},
{C_text("f_20186:library_2escm"),(void*)f_20186},
{C_text("f_20188:library_2escm"),(void*)f_20188},
{C_text("f_20201:library_2escm"),(void*)f_20201},
{C_text("f_20208:library_2escm"),(void*)f_20208},
{C_text("f_20217:library_2escm"),(void*)f_20217},
{C_text("f_20224:library_2escm"),(void*)f_20224},
{C_text("f_20226:library_2escm"),(void*)f_20226},
{C_text("f_20232:library_2escm"),(void*)f_20232},
{C_text("f_20242:library_2escm"),(void*)f_20242},
{C_text("f_20245:library_2escm"),(void*)f_20245},
{C_text("f_20255:library_2escm"),(void*)f_20255},
{C_text("f_20258:library_2escm"),(void*)f_20258},
{C_text("f_20286:library_2escm"),(void*)f_20286},
{C_text("f_20290:library_2escm"),(void*)f_20290},
{C_text("f_20298:library_2escm"),(void*)f_20298},
{C_text("f_20323:library_2escm"),(void*)f_20323},
{C_text("f_20331:library_2escm"),(void*)f_20331},
{C_text("f_20333:library_2escm"),(void*)f_20333},
{C_text("f_20350:library_2escm"),(void*)f_20350},
{C_text("f_20363:library_2escm"),(void*)f_20363},
{C_text("f_20380:library_2escm"),(void*)f_20380},
{C_text("f_20397:library_2escm"),(void*)f_20397},
{C_text("f_20414:library_2escm"),(void*)f_20414},
{C_text("f_20431:library_2escm"),(void*)f_20431},
{C_text("f_20448:library_2escm"),(void*)f_20448},
{C_text("f_20465:library_2escm"),(void*)f_20465},
{C_text("f_20485:library_2escm"),(void*)f_20485},
{C_text("f_20493:library_2escm"),(void*)f_20493},
{C_text("f_20502:library_2escm"),(void*)f_20502},
{C_text("f_20508:library_2escm"),(void*)f_20508},
{C_text("f_20514:library_2escm"),(void*)f_20514},
{C_text("f_20517:library_2escm"),(void*)f_20517},
{C_text("f_20520:library_2escm"),(void*)f_20520},
{C_text("f_20530:library_2escm"),(void*)f_20530},
{C_text("f_20534:library_2escm"),(void*)f_20534},
{C_text("f_20551:library_2escm"),(void*)f_20551},
{C_text("f_20556:library_2escm"),(void*)f_20556},
{C_text("f_20563:library_2escm"),(void*)f_20563},
{C_text("f_20567:library_2escm"),(void*)f_20567},
{C_text("f_20576:library_2escm"),(void*)f_20576},
{C_text("f_20582:library_2escm"),(void*)f_20582},
{C_text("f_20592:library_2escm"),(void*)f_20592},
{C_text("f_20596:library_2escm"),(void*)f_20596},
{C_text("f_20605:library_2escm"),(void*)f_20605},
{C_text("f_20612:library_2escm"),(void*)f_20612},
{C_text("f_20625:library_2escm"),(void*)f_20625},
{C_text("f_20630:library_2escm"),(void*)f_20630},
{C_text("f_20647:library_2escm"),(void*)f_20647},
{C_text("f_20662:library_2escm"),(void*)f_20662},
{C_text("f_20675:library_2escm"),(void*)f_20675},
{C_text("f_20697:library_2escm"),(void*)f_20697},
{C_text("f_20700:library_2escm"),(void*)f_20700},
{C_text("f_20729:library_2escm"),(void*)f_20729},
{C_text("f_20739:library_2escm"),(void*)f_20739},
{C_text("f_20755:library_2escm"),(void*)f_20755},
{C_text("f_20766:library_2escm"),(void*)f_20766},
{C_text("f_20773:library_2escm"),(void*)f_20773},
{C_text("f_20871:library_2escm"),(void*)f_20871},
{C_text("f_20877:library_2escm"),(void*)f_20877},
{C_text("f_20886:library_2escm"),(void*)f_20886},
{C_text("f_20900:library_2escm"),(void*)f_20900},
{C_text("f_20903:library_2escm"),(void*)f_20903},
{C_text("f_20914:library_2escm"),(void*)f_20914},
{C_text("f_20916:library_2escm"),(void*)f_20916},
{C_text("f_20919:library_2escm"),(void*)f_20919},
{C_text("f_20936:library_2escm"),(void*)f_20936},
{C_text("f_20941:library_2escm"),(void*)f_20941},
{C_text("f_20945:library_2escm"),(void*)f_20945},
{C_text("f_20948:library_2escm"),(void*)f_20948},
{C_text("f_20951:library_2escm"),(void*)f_20951},
{C_text("f_20961:library_2escm"),(void*)f_20961},
{C_text("f_20979:library_2escm"),(void*)f_20979},
{C_text("f_20982:library_2escm"),(void*)f_20982},
{C_text("f_20991:library_2escm"),(void*)f_20991},
{C_text("f_20994:library_2escm"),(void*)f_20994},
{C_text("f_20997:library_2escm"),(void*)f_20997},
{C_text("f_21003:library_2escm"),(void*)f_21003},
{C_text("f_21016:library_2escm"),(void*)f_21016},
{C_text("f_21020:library_2escm"),(void*)f_21020},
{C_text("f_21024:library_2escm"),(void*)f_21024},
{C_text("f_21035:library_2escm"),(void*)f_21035},
{C_text("f_21039:library_2escm"),(void*)f_21039},
{C_text("f_21042:library_2escm"),(void*)f_21042},
{C_text("f_21070:library_2escm"),(void*)f_21070},
{C_text("f_21126:library_2escm"),(void*)f_21126},
{C_text("f_21130:library_2escm"),(void*)f_21130},
{C_text("f_21137:library_2escm"),(void*)f_21137},
{C_text("f_21139:library_2escm"),(void*)f_21139},
{C_text("f_21143:library_2escm"),(void*)f_21143},
{C_text("f_21157:library_2escm"),(void*)f_21157},
{C_text("f_21163:library_2escm"),(void*)f_21163},
{C_text("f_21170:library_2escm"),(void*)f_21170},
{C_text("f_21177:library_2escm"),(void*)f_21177},
{C_text("f_21192:library_2escm"),(void*)f_21192},
{C_text("f_21198:library_2escm"),(void*)f_21198},
{C_text("f_21227:library_2escm"),(void*)f_21227},
{C_text("f_21237:library_2escm"),(void*)f_21237},
{C_text("f_21240:library_2escm"),(void*)f_21240},
{C_text("f_21276:library_2escm"),(void*)f_21276},
{C_text("f_21278:library_2escm"),(void*)f_21278},
{C_text("f_21288:library_2escm"),(void*)f_21288},
{C_text("f_21291:library_2escm"),(void*)f_21291},
{C_text("f_21343:library_2escm"),(void*)f_21343},
{C_text("f_21345:library_2escm"),(void*)f_21345},
{C_text("f_21353:library_2escm"),(void*)f_21353},
{C_text("f_21355:library_2escm"),(void*)f_21355},
{C_text("f_21365:library_2escm"),(void*)f_21365},
{C_text("f_21380:library_2escm"),(void*)f_21380},
{C_text("f_21387:library_2escm"),(void*)f_21387},
{C_text("f_21409:library_2escm"),(void*)f_21409},
{C_text("f_21417:library_2escm"),(void*)f_21417},
{C_text("f_21419:library_2escm"),(void*)f_21419},
{C_text("f_21429:library_2escm"),(void*)f_21429},
{C_text("f_21435:library_2escm"),(void*)f_21435},
{C_text("f_21442:library_2escm"),(void*)f_21442},
{C_text("f_21455:library_2escm"),(void*)f_21455},
{C_text("f_21461:library_2escm"),(void*)f_21461},
{C_text("f_21465:library_2escm"),(void*)f_21465},
{C_text("f_21472:library_2escm"),(void*)f_21472},
{C_text("f_21480:library_2escm"),(void*)f_21480},
{C_text("f_21486:library_2escm"),(void*)f_21486},
{C_text("f_21490:library_2escm"),(void*)f_21490},
{C_text("f_21499:library_2escm"),(void*)f_21499},
{C_text("f_21505:library_2escm"),(void*)f_21505},
{C_text("f_21512:library_2escm"),(void*)f_21512},
{C_text("f_21523:library_2escm"),(void*)f_21523},
{C_text("f_21563:library_2escm"),(void*)f_21563},
{C_text("f_21572:library_2escm"),(void*)f_21572},
{C_text("f_21579:library_2escm"),(void*)f_21579},
{C_text("f_21583:library_2escm"),(void*)f_21583},
{C_text("f_21587:library_2escm"),(void*)f_21587},
{C_text("f_21596:library_2escm"),(void*)f_21596},
{C_text("f_21607:library_2escm"),(void*)f_21607},
{C_text("f_21645:library_2escm"),(void*)f_21645},
{C_text("f_21694:library_2escm"),(void*)f_21694},
{C_text("f_21698:library_2escm"),(void*)f_21698},
{C_text("f_21701:library_2escm"),(void*)f_21701},
{C_text("f_21713:library_2escm"),(void*)f_21713},
{C_text("f_21733:library_2escm"),(void*)f_21733},
{C_text("f_21739:library_2escm"),(void*)f_21739},
{C_text("f_21749:library_2escm"),(void*)f_21749},
{C_text("f_21878:library_2escm"),(void*)f_21878},
{C_text("f_21885:library_2escm"),(void*)f_21885},
{C_text("f_21903:library_2escm"),(void*)f_21903},
{C_text("f_21909:library_2escm"),(void*)f_21909},
{C_text("f_21913:library_2escm"),(void*)f_21913},
{C_text("f_21949:library_2escm"),(void*)f_21949},
{C_text("f_21972:library_2escm"),(void*)f_21972},
{C_text("f_21990:library_2escm"),(void*)f_21990},
{C_text("f_21994:library_2escm"),(void*)f_21994},
{C_text("f_22001:library_2escm"),(void*)f_22001},
{C_text("f_22003:library_2escm"),(void*)f_22003},
{C_text("f_22007:library_2escm"),(void*)f_22007},
{C_text("f_22018:library_2escm"),(void*)f_22018},
{C_text("f_22034:library_2escm"),(void*)f_22034},
{C_text("f_22037:library_2escm"),(void*)f_22037},
{C_text("f_22040:library_2escm"),(void*)f_22040},
{C_text("f_22046:library_2escm"),(void*)f_22046},
{C_text("f_22054:library_2escm"),(void*)f_22054},
{C_text("f_22060:library_2escm"),(void*)f_22060},
{C_text("f_22082:library_2escm"),(void*)f_22082},
{C_text("f_22094:library_2escm"),(void*)f_22094},
{C_text("f_22106:library_2escm"),(void*)f_22106},
{C_text("f_22115:library_2escm"),(void*)f_22115},
{C_text("f_22125:library_2escm"),(void*)f_22125},
{C_text("f_22134:library_2escm"),(void*)f_22134},
{C_text("f_22137:library_2escm"),(void*)f_22137},
{C_text("f_22155:library_2escm"),(void*)f_22155},
{C_text("f_22158:library_2escm"),(void*)f_22158},
{C_text("f_22164:library_2escm"),(void*)f_22164},
{C_text("f_22181:library_2escm"),(void*)f_22181},
{C_text("f_22187:library_2escm"),(void*)f_22187},
{C_text("f_22215:library_2escm"),(void*)f_22215},
{C_text("f_22238:library_2escm"),(void*)f_22238},
{C_text("f_22244:library_2escm"),(void*)f_22244},
{C_text("f_22252:library_2escm"),(void*)f_22252},
{C_text("f_22258:library_2escm"),(void*)f_22258},
{C_text("f_22283:library_2escm"),(void*)f_22283},
{C_text("f_22295:library_2escm"),(void*)f_22295},
{C_text("f_22307:library_2escm"),(void*)f_22307},
{C_text("f_22319:library_2escm"),(void*)f_22319},
{C_text("f_22331:library_2escm"),(void*)f_22331},
{C_text("f_22343:library_2escm"),(void*)f_22343},
{C_text("f_22355:library_2escm"),(void*)f_22355},
{C_text("f_22358:library_2escm"),(void*)f_22358},
{C_text("f_22361:library_2escm"),(void*)f_22361},
{C_text("f_22366:library_2escm"),(void*)f_22366},
{C_text("f_22371:library_2escm"),(void*)f_22371},
{C_text("f_22377:library_2escm"),(void*)f_22377},
{C_text("f_22419:library_2escm"),(void*)f_22419},
{C_text("f_22431:library_2escm"),(void*)f_22431},
{C_text("f_22434:library_2escm"),(void*)f_22434},
{C_text("f_22446:library_2escm"),(void*)f_22446},
{C_text("f_22458:library_2escm"),(void*)f_22458},
{C_text("f_22461:library_2escm"),(void*)f_22461},
{C_text("f_22473:library_2escm"),(void*)f_22473},
{C_text("f_22485:library_2escm"),(void*)f_22485},
{C_text("f_22488:library_2escm"),(void*)f_22488},
{C_text("f_22497:library_2escm"),(void*)f_22497},
{C_text("f_22512:library_2escm"),(void*)f_22512},
{C_text("f_22515:library_2escm"),(void*)f_22515},
{C_text("f_22520:library_2escm"),(void*)f_22520},
{C_text("f_22525:library_2escm"),(void*)f_22525},
{C_text("f_22531:library_2escm"),(void*)f_22531},
{C_text("f_22538:library_2escm"),(void*)f_22538},
{C_text("f_22560:library_2escm"),(void*)f_22560},
{C_text("f_22572:library_2escm"),(void*)f_22572},
{C_text("f_22575:library_2escm"),(void*)f_22575},
{C_text("f_22578:library_2escm"),(void*)f_22578},
{C_text("f_22593:library_2escm"),(void*)f_22593},
{C_text("f_22602:library_2escm"),(void*)f_22602},
{C_text("f_22605:library_2escm"),(void*)f_22605},
{C_text("f_22611:library_2escm"),(void*)f_22611},
{C_text("f_22614:library_2escm"),(void*)f_22614},
{C_text("f_22620:library_2escm"),(void*)f_22620},
{C_text("f_22639:library_2escm"),(void*)f_22639},
{C_text("f_22658:library_2escm"),(void*)f_22658},
{C_text("f_22674:library_2escm"),(void*)f_22674},
{C_text("f_22680:library_2escm"),(void*)f_22680},
{C_text("f_22752:library_2escm"),(void*)f_22752},
{C_text("f_22764:library_2escm"),(void*)f_22764},
{C_text("f_22842:library_2escm"),(void*)f_22842},
{C_text("f_22918:library_2escm"),(void*)f_22918},
{C_text("f_23083:library_2escm"),(void*)f_23083},
{C_text("f_23095:library_2escm"),(void*)f_23095},
{C_text("f_23157:library_2escm"),(void*)f_23157},
{C_text("f_23160:library_2escm"),(void*)f_23160},
{C_text("f_23206:library_2escm"),(void*)f_23206},
{C_text("f_23210:library_2escm"),(void*)f_23210},
{C_text("f_23228:library_2escm"),(void*)f_23228},
{C_text("f_23292:library_2escm"),(void*)f_23292},
{C_text("f_23303:library_2escm"),(void*)f_23303},
{C_text("f_23305:library_2escm"),(void*)f_23305},
{C_text("f_23318:library_2escm"),(void*)f_23318},
{C_text("f_23330:library_2escm"),(void*)f_23330},
{C_text("f_23350:library_2escm"),(void*)f_23350},
{C_text("f_23357:library_2escm"),(void*)f_23357},
{C_text("f_23366:library_2escm"),(void*)f_23366},
{C_text("f_23378:library_2escm"),(void*)f_23378},
{C_text("f_23399:library_2escm"),(void*)f_23399},
{C_text("f_23414:library_2escm"),(void*)f_23414},
{C_text("f_23432:library_2escm"),(void*)f_23432},
{C_text("f_23450:library_2escm"),(void*)f_23450},
{C_text("f_23469:library_2escm"),(void*)f_23469},
{C_text("f_23479:library_2escm"),(void*)f_23479},
{C_text("f_23493:library_2escm"),(void*)f_23493},
{C_text("f_23496:library_2escm"),(void*)f_23496},
{C_text("f_23501:library_2escm"),(void*)f_23501},
{C_text("f_23520:library_2escm"),(void*)f_23520},
{C_text("f_23530:library_2escm"),(void*)f_23530},
{C_text("f_23544:library_2escm"),(void*)f_23544},
{C_text("f_23547:library_2escm"),(void*)f_23547},
{C_text("f_23554:library_2escm"),(void*)f_23554},
{C_text("f_23558:library_2escm"),(void*)f_23558},
{C_text("f_23562:library_2escm"),(void*)f_23562},
{C_text("f_23564:library_2escm"),(void*)f_23564},
{C_text("f_23571:library_2escm"),(void*)f_23571},
{C_text("f_23574:library_2escm"),(void*)f_23574},
{C_text("f_23577:library_2escm"),(void*)f_23577},
{C_text("f_23579:library_2escm"),(void*)f_23579},
{C_text("f_23589:library_2escm"),(void*)f_23589},
{C_text("f_23595:library_2escm"),(void*)f_23595},
{C_text("f_23607:library_2escm"),(void*)f_23607},
{C_text("f_23610:library_2escm"),(void*)f_23610},
{C_text("f_23613:library_2escm"),(void*)f_23613},
{C_text("f_23630:library_2escm"),(void*)f_23630},
{C_text("f_23651:library_2escm"),(void*)f_23651},
{C_text("f_23655:library_2escm"),(void*)f_23655},
{C_text("f_23668:library_2escm"),(void*)f_23668},
{C_text("f_23671:library_2escm"),(void*)f_23671},
{C_text("f_23680:library_2escm"),(void*)f_23680},
{C_text("f_23683:library_2escm"),(void*)f_23683},
{C_text("f_23711:library_2escm"),(void*)f_23711},
{C_text("f_23715:library_2escm"),(void*)f_23715},
{C_text("f_23724:library_2escm"),(void*)f_23724},
{C_text("f_23735:library_2escm"),(void*)f_23735},
{C_text("f_23742:library_2escm"),(void*)f_23742},
{C_text("f_23747:library_2escm"),(void*)f_23747},
{C_text("f_23769:library_2escm"),(void*)f_23769},
{C_text("f_23775:library_2escm"),(void*)f_23775},
{C_text("f_23778:library_2escm"),(void*)f_23778},
{C_text("f_23789:library_2escm"),(void*)f_23789},
{C_text("f_23798:library_2escm"),(void*)f_23798},
{C_text("f_23801:library_2escm"),(void*)f_23801},
{C_text("f_23824:library_2escm"),(void*)f_23824},
{C_text("f_23873:library_2escm"),(void*)f_23873},
{C_text("f_23889:library_2escm"),(void*)f_23889},
{C_text("f_23896:library_2escm"),(void*)f_23896},
{C_text("f_23915:library_2escm"),(void*)f_23915},
{C_text("f_23973:library_2escm"),(void*)f_23973},
{C_text("f_24030:library_2escm"),(void*)f_24030},
{C_text("f_24035:library_2escm"),(void*)f_24035},
{C_text("f_24084:library_2escm"),(void*)f_24084},
{C_text("f_24090:library_2escm"),(void*)f_24090},
{C_text("f_24094:library_2escm"),(void*)f_24094},
{C_text("f_24117:library_2escm"),(void*)f_24117},
{C_text("f_24124:library_2escm"),(void*)f_24124},
{C_text("f_24143:library_2escm"),(void*)f_24143},
{C_text("f_24182:library_2escm"),(void*)f_24182},
{C_text("f_24194:library_2escm"),(void*)f_24194},
{C_text("f_24200:library_2escm"),(void*)f_24200},
{C_text("f_24219:library_2escm"),(void*)f_24219},
{C_text("f_24226:library_2escm"),(void*)f_24226},
{C_text("f_24236:library_2escm"),(void*)f_24236},
{C_text("f_24245:library_2escm"),(void*)f_24245},
{C_text("f_24251:library_2escm"),(void*)f_24251},
{C_text("f_24264:library_2escm"),(void*)f_24264},
{C_text("f_24302:library_2escm"),(void*)f_24302},
{C_text("f_24368:library_2escm"),(void*)f_24368},
{C_text("f_24371:library_2escm"),(void*)f_24371},
{C_text("f_24378:library_2escm"),(void*)f_24378},
{C_text("f_24418:library_2escm"),(void*)f_24418},
{C_text("f_24421:library_2escm"),(void*)f_24421},
{C_text("f_24430:library_2escm"),(void*)f_24430},
{C_text("f_24440:library_2escm"),(void*)f_24440},
{C_text("f_24443:library_2escm"),(void*)f_24443},
{C_text("f_24452:library_2escm"),(void*)f_24452},
{C_text("f_24462:library_2escm"),(void*)f_24462},
{C_text("f_24465:library_2escm"),(void*)f_24465},
{C_text("f_24491:library_2escm"),(void*)f_24491},
{C_text("f_24497:library_2escm"),(void*)f_24497},
{C_text("f_24502:library_2escm"),(void*)f_24502},
{C_text("f_24515:library_2escm"),(void*)f_24515},
{C_text("f_24518:library_2escm"),(void*)f_24518},
{C_text("f_24529:library_2escm"),(void*)f_24529},
{C_text("f_24551:library_2escm"),(void*)f_24551},
{C_text("f_24563:library_2escm"),(void*)f_24563},
{C_text("f_24566:library_2escm"),(void*)f_24566},
{C_text("f_24573:library_2escm"),(void*)f_24573},
{C_text("f_24582:library_2escm"),(void*)f_24582},
{C_text("f_24585:library_2escm"),(void*)f_24585},
{C_text("f_24629:library_2escm"),(void*)f_24629},
{C_text("f_24632:library_2escm"),(void*)f_24632},
{C_text("f_24641:library_2escm"),(void*)f_24641},
{C_text("f_24654:library_2escm"),(void*)f_24654},
{C_text("f_24657:library_2escm"),(void*)f_24657},
{C_text("f_24682:library_2escm"),(void*)f_24682},
{C_text("f_24686:library_2escm"),(void*)f_24686},
{C_text("f_24696:library_2escm"),(void*)f_24696},
{C_text("f_24699:library_2escm"),(void*)f_24699},
{C_text("f_24719:library_2escm"),(void*)f_24719},
{C_text("f_24732:library_2escm"),(void*)f_24732},
{C_text("f_24737:library_2escm"),(void*)f_24737},
{C_text("f_24743:library_2escm"),(void*)f_24743},
{C_text("f_24749:library_2escm"),(void*)f_24749},
{C_text("f_24753:library_2escm"),(void*)f_24753},
{C_text("f_24756:library_2escm"),(void*)f_24756},
{C_text("f_24771:library_2escm"),(void*)f_24771},
{C_text("f_24774:library_2escm"),(void*)f_24774},
{C_text("f_24792:library_2escm"),(void*)f_24792},
{C_text("f_24794:library_2escm"),(void*)f_24794},
{C_text("f_24800:library_2escm"),(void*)f_24800},
{C_text("f_24809:library_2escm"),(void*)f_24809},
{C_text("f_24815:library_2escm"),(void*)f_24815},
{C_text("f_24822:library_2escm"),(void*)f_24822},
{C_text("f_24825:library_2escm"),(void*)f_24825},
{C_text("f_24828:library_2escm"),(void*)f_24828},
{C_text("f_24837:library_2escm"),(void*)f_24837},
{C_text("f_24853:library_2escm"),(void*)f_24853},
{C_text("f_24868:library_2escm"),(void*)f_24868},
{C_text("f_24870:library_2escm"),(void*)f_24870},
{C_text("f_24876:library_2escm"),(void*)f_24876},
{C_text("f_24882:library_2escm"),(void*)f_24882},
{C_text("f_24886:library_2escm"),(void*)f_24886},
{C_text("f_24889:library_2escm"),(void*)f_24889},
{C_text("f_24892:library_2escm"),(void*)f_24892},
{C_text("f_24896:library_2escm"),(void*)f_24896},
{C_text("f_24900:library_2escm"),(void*)f_24900},
{C_text("f_24904:library_2escm"),(void*)f_24904},
{C_text("f_24907:library_2escm"),(void*)f_24907},
{C_text("f_24910:library_2escm"),(void*)f_24910},
{C_text("f_24913:library_2escm"),(void*)f_24913},
{C_text("f_24925:library_2escm"),(void*)f_24925},
{C_text("f_24931:library_2escm"),(void*)f_24931},
{C_text("f_24935:library_2escm"),(void*)f_24935},
{C_text("f_24938:library_2escm"),(void*)f_24938},
{C_text("f_24941:library_2escm"),(void*)f_24941},
{C_text("f_24944:library_2escm"),(void*)f_24944},
{C_text("f_24947:library_2escm"),(void*)f_24947},
{C_text("f_24950:library_2escm"),(void*)f_24950},
{C_text("f_24955:library_2escm"),(void*)f_24955},
{C_text("f_24977:library_2escm"),(void*)f_24977},
{C_text("f_24983:library_2escm"),(void*)f_24983},
{C_text("f_24986:library_2escm"),(void*)f_24986},
{C_text("f_25011:library_2escm"),(void*)f_25011},
{C_text("f_25014:library_2escm"),(void*)f_25014},
{C_text("f_25021:library_2escm"),(void*)f_25021},
{C_text("f_25034:library_2escm"),(void*)f_25034},
{C_text("f_25044:library_2escm"),(void*)f_25044},
{C_text("f_25049:library_2escm"),(void*)f_25049},
{C_text("f_25055:library_2escm"),(void*)f_25055},
{C_text("f_25082:library_2escm"),(void*)f_25082},
{C_text("f_25088:library_2escm"),(void*)f_25088},
{C_text("f_25099:library_2escm"),(void*)f_25099},
{C_text("f_25105:library_2escm"),(void*)f_25105},
{C_text("f_25108:library_2escm"),(void*)f_25108},
{C_text("f_25113:library_2escm"),(void*)f_25113},
{C_text("f_25119:library_2escm"),(void*)f_25119},
{C_text("f_25143:library_2escm"),(void*)f_25143},
{C_text("f_25151:library_2escm"),(void*)f_25151},
{C_text("f_25168:library_2escm"),(void*)f_25168},
{C_text("f_25208:library_2escm"),(void*)f_25208},
{C_text("f_25215:library_2escm"),(void*)f_25215},
{C_text("f_25227:library_2escm"),(void*)f_25227},
{C_text("f_25231:library_2escm"),(void*)f_25231},
{C_text("f_25244:library_2escm"),(void*)f_25244},
{C_text("f_25246:library_2escm"),(void*)f_25246},
{C_text("f_25280:library_2escm"),(void*)f_25280},
{C_text("f_25284:library_2escm"),(void*)f_25284},
{C_text("f_25285:library_2escm"),(void*)f_25285},
{C_text("f_25295:library_2escm"),(void*)f_25295},
{C_text("f_25300:library_2escm"),(void*)f_25300},
{C_text("f_25310:library_2escm"),(void*)f_25310},
{C_text("f_25323:library_2escm"),(void*)f_25323},
{C_text("f_25334:library_2escm"),(void*)f_25334},
{C_text("f_25338:library_2escm"),(void*)f_25338},
{C_text("f_25342:library_2escm"),(void*)f_25342},
{C_text("f_25364:library_2escm"),(void*)f_25364},
{C_text("f_25368:library_2escm"),(void*)f_25368},
{C_text("f_25376:library_2escm"),(void*)f_25376},
{C_text("f_25392:library_2escm"),(void*)f_25392},
{C_text("f_25403:library_2escm"),(void*)f_25403},
{C_text("f_25422:library_2escm"),(void*)f_25422},
{C_text("f_25433:library_2escm"),(void*)f_25433},
{C_text("f_25441:library_2escm"),(void*)f_25441},
{C_text("f_25520:library_2escm"),(void*)f_25520},
{C_text("f_25530:library_2escm"),(void*)f_25530},
{C_text("f_25531:library_2escm"),(void*)f_25531},
{C_text("f_25544:library_2escm"),(void*)f_25544},
{C_text("f_25547:library_2escm"),(void*)f_25547},
{C_text("f_25550:library_2escm"),(void*)f_25550},
{C_text("f_25553:library_2escm"),(void*)f_25553},
{C_text("f_25561:library_2escm"),(void*)f_25561},
{C_text("f_25568:library_2escm"),(void*)f_25568},
{C_text("f_25571:library_2escm"),(void*)f_25571},
{C_text("f_25574:library_2escm"),(void*)f_25574},
{C_text("f_25597:library_2escm"),(void*)f_25597},
{C_text("f_25602:library_2escm"),(void*)f_25602},
{C_text("f_25612:library_2escm"),(void*)f_25612},
{C_text("f_25625:library_2escm"),(void*)f_25625},
{C_text("f_25656:library_2escm"),(void*)f_25656},
{C_text("f_25666:library_2escm"),(void*)f_25666},
{C_text("f_25716:library_2escm"),(void*)f_25716},
{C_text("f_25719:library_2escm"),(void*)f_25719},
{C_text("f_25738:library_2escm"),(void*)f_25738},
{C_text("f_25743:library_2escm"),(void*)f_25743},
{C_text("f_25749:library_2escm"),(void*)f_25749},
{C_text("f_25752:library_2escm"),(void*)f_25752},
{C_text("f_25758:library_2escm"),(void*)f_25758},
{C_text("f_25766:library_2escm"),(void*)f_25766},
{C_text("f_25785:library_2escm"),(void*)f_25785},
{C_text("f_25790:library_2escm"),(void*)f_25790},
{C_text("f_25800:library_2escm"),(void*)f_25800},
{C_text("f_25814:library_2escm"),(void*)f_25814},
{C_text("f_25821:library_2escm"),(void*)f_25821},
{C_text("f_25825:library_2escm"),(void*)f_25825},
{C_text("f_25829:library_2escm"),(void*)f_25829},
{C_text("f_25831:library_2escm"),(void*)f_25831},
{C_text("f_25857:library_2escm"),(void*)f_25857},
{C_text("f_25860:library_2escm"),(void*)f_25860},
{C_text("f_25863:library_2escm"),(void*)f_25863},
{C_text("f_25870:library_2escm"),(void*)f_25870},
{C_text("f_25874:library_2escm"),(void*)f_25874},
{C_text("f_25880:library_2escm"),(void*)f_25880},
{C_text("f_25885:library_2escm"),(void*)f_25885},
{C_text("f_25895:library_2escm"),(void*)f_25895},
{C_text("f_25912:library_2escm"),(void*)f_25912},
{C_text("f_25933:library_2escm"),(void*)f_25933},
{C_text("f_25936:library_2escm"),(void*)f_25936},
{C_text("f_25956:library_2escm"),(void*)f_25956},
{C_text("f_25964:library_2escm"),(void*)f_25964},
{C_text("f_26098:library_2escm"),(void*)f_26098},
{C_text("f_26115:library_2escm"),(void*)f_26115},
{C_text("f_26119:library_2escm"),(void*)f_26119},
{C_text("f_26132:library_2escm"),(void*)f_26132},
{C_text("f_26141:library_2escm"),(void*)f_26141},
{C_text("f_26144:library_2escm"),(void*)f_26144},
{C_text("f_26148:library_2escm"),(void*)f_26148},
{C_text("f_26187:library_2escm"),(void*)f_26187},
{C_text("f_26190:library_2escm"),(void*)f_26190},
{C_text("f_26197:library_2escm"),(void*)f_26197},
{C_text("f_26201:library_2escm"),(void*)f_26201},
{C_text("f_26227:library_2escm"),(void*)f_26227},
{C_text("f_26258:library_2escm"),(void*)f_26258},
{C_text("f_26261:library_2escm"),(void*)f_26261},
{C_text("f_26273:library_2escm"),(void*)f_26273},
{C_text("f_26276:library_2escm"),(void*)f_26276},
{C_text("f_26279:library_2escm"),(void*)f_26279},
{C_text("f_26304:library_2escm"),(void*)f_26304},
{C_text("f_26310:library_2escm"),(void*)f_26310},
{C_text("f_26314:library_2escm"),(void*)f_26314},
{C_text("f_26318:library_2escm"),(void*)f_26318},
{C_text("f_26331:library_2escm"),(void*)f_26331},
{C_text("f_26333:library_2escm"),(void*)f_26333},
{C_text("f_26339:library_2escm"),(void*)f_26339},
{C_text("f_26344:library_2escm"),(void*)f_26344},
{C_text("f_26379:library_2escm"),(void*)f_26379},
{C_text("f_26385:library_2escm"),(void*)f_26385},
{C_text("f_26401:library_2escm"),(void*)f_26401},
{C_text("f_26423:library_2escm"),(void*)f_26423},
{C_text("f_26447:library_2escm"),(void*)f_26447},
{C_text("f_26459:library_2escm"),(void*)f_26459},
{C_text("f_26461:library_2escm"),(void*)f_26461},
{C_text("f_26480:library_2escm"),(void*)f_26480},
{C_text("f_26484:library_2escm"),(void*)f_26484},
{C_text("f_26496:library_2escm"),(void*)f_26496},
{C_text("f_26498:library_2escm"),(void*)f_26498},
{C_text("f_26542:library_2escm"),(void*)f_26542},
{C_text("f_26544:library_2escm"),(void*)f_26544},
{C_text("f_26578:library_2escm"),(void*)f_26578},
{C_text("f_26601:library_2escm"),(void*)f_26601},
{C_text("f_26608:library_2escm"),(void*)f_26608},
{C_text("f_26618:library_2escm"),(void*)f_26618},
{C_text("f_26620:library_2escm"),(void*)f_26620},
{C_text("f_26670:library_2escm"),(void*)f_26670},
{C_text("f_26672:library_2escm"),(void*)f_26672},
{C_text("f_26697:library_2escm"),(void*)f_26697},
{C_text("f_26706:library_2escm"),(void*)f_26706},
{C_text("f_26712:library_2escm"),(void*)f_26712},
{C_text("f_26716:library_2escm"),(void*)f_26716},
{C_text("f_26720:library_2escm"),(void*)f_26720},
{C_text("f_26728:library_2escm"),(void*)f_26728},
{C_text("f_26734:library_2escm"),(void*)f_26734},
{C_text("f_26765:library_2escm"),(void*)f_26765},
{C_text("f_26790:library_2escm"),(void*)f_26790},
{C_text("f_26815:library_2escm"),(void*)f_26815},
{C_text("f_26825:library_2escm"),(void*)f_26825},
{C_text("f_26830:library_2escm"),(void*)f_26830},
{C_text("f_26832:library_2escm"),(void*)f_26832},
{C_text("f_26839:library_2escm"),(void*)f_26839},
{C_text("f_26851:library_2escm"),(void*)f_26851},
{C_text("f_26859:library_2escm"),(void*)f_26859},
{C_text("f_26897:library_2escm"),(void*)f_26897},
{C_text("f_26901:library_2escm"),(void*)f_26901},
{C_text("f_26908:library_2escm"),(void*)f_26908},
{C_text("f_26911:library_2escm"),(void*)f_26911},
{C_text("f_26914:library_2escm"),(void*)f_26914},
{C_text("f_26915:library_2escm"),(void*)f_26915},
{C_text("f_26917:library_2escm"),(void*)f_26917},
{C_text("f_26921:library_2escm"),(void*)f_26921},
{C_text("f_26926:library_2escm"),(void*)f_26926},
{C_text("f_26938:library_2escm"),(void*)f_26938},
{C_text("f_26948:library_2escm"),(void*)f_26948},
{C_text("f_26960:library_2escm"),(void*)f_26960},
{C_text("f_26962:library_2escm"),(void*)f_26962},
{C_text("f_26969:library_2escm"),(void*)f_26969},
{C_text("f_26972:library_2escm"),(void*)f_26972},
{C_text("f_26978:library_2escm"),(void*)f_26978},
{C_text("f_26981:library_2escm"),(void*)f_26981},
{C_text("f_26984:library_2escm"),(void*)f_26984},
{C_text("f_26987:library_2escm"),(void*)f_26987},
{C_text("f_27002:library_2escm"),(void*)f_27002},
{C_text("f_27008:library_2escm"),(void*)f_27008},
{C_text("f_27016:library_2escm"),(void*)f_27016},
{C_text("f_27020:library_2escm"),(void*)f_27020},
{C_text("f_27023:library_2escm"),(void*)f_27023},
{C_text("f_27026:library_2escm"),(void*)f_27026},
{C_text("f_27039:library_2escm"),(void*)f_27039},
{C_text("f_27043:library_2escm"),(void*)f_27043},
{C_text("f_27064:library_2escm"),(void*)f_27064},
{C_text("f_27080:library_2escm"),(void*)f_27080},
{C_text("f_27083:library_2escm"),(void*)f_27083},
{C_text("f_27089:library_2escm"),(void*)f_27089},
{C_text("f_27111:library_2escm"),(void*)f_27111},
{C_text("f_27116:library_2escm"),(void*)f_27116},
{C_text("f_27151:library_2escm"),(void*)f_27151},
{C_text("f_27161:library_2escm"),(void*)f_27161},
{C_text("f_27164:library_2escm"),(void*)f_27164},
{C_text("f_27167:library_2escm"),(void*)f_27167},
{C_text("f_27170:library_2escm"),(void*)f_27170},
{C_text("f_27173:library_2escm"),(void*)f_27173},
{C_text("f_27176:library_2escm"),(void*)f_27176},
{C_text("f_27183:library_2escm"),(void*)f_27183},
{C_text("f_27186:library_2escm"),(void*)f_27186},
{C_text("f_27189:library_2escm"),(void*)f_27189},
{C_text("f_27200:library_2escm"),(void*)f_27200},
{C_text("f_27223:library_2escm"),(void*)f_27223},
{C_text("f_27234:library_2escm"),(void*)f_27234},
{C_text("f_27238:library_2escm"),(void*)f_27238},
{C_text("f_27260:library_2escm"),(void*)f_27260},
{C_text("f_27271:library_2escm"),(void*)f_27271},
{C_text("f_27275:library_2escm"),(void*)f_27275},
{C_text("f_27867:library_2escm"),(void*)f_27867},
{C_text("f_27870:library_2escm"),(void*)f_27870},
{C_text("f_27873:library_2escm"),(void*)f_27873},
{C_text("f_27876:library_2escm"),(void*)f_27876},
{C_text("f_27881:library_2escm"),(void*)f_27881},
{C_text("f_27884:library_2escm"),(void*)f_27884},
{C_text("f_27887:library_2escm"),(void*)f_27887},
{C_text("f_27890:library_2escm"),(void*)f_27890},
{C_text("f_27893:library_2escm"),(void*)f_27893},
{C_text("f_27896:library_2escm"),(void*)f_27896},
{C_text("f_27899:library_2escm"),(void*)f_27899},
{C_text("f_27902:library_2escm"),(void*)f_27902},
{C_text("f_27905:library_2escm"),(void*)f_27905},
{C_text("f_27909:library_2escm"),(void*)f_27909},
{C_text("f_27911:library_2escm"),(void*)f_27911},
{C_text("f_27919:library_2escm"),(void*)f_27919},
{C_text("f_27921:library_2escm"),(void*)f_27921},
{C_text("f_27925:library_2escm"),(void*)f_27925},
{C_text("f_27927:library_2escm"),(void*)f_27927},
{C_text("f_27934:library_2escm"),(void*)f_27934},
{C_text("f_27944:library_2escm"),(void*)f_27944},
{C_text("f_27969:library_2escm"),(void*)f_27969},
{C_text("f_27972:library_2escm"),(void*)f_27972},
{C_text("f_27975:library_2escm"),(void*)f_27975},
{C_text("f_27978:library_2escm"),(void*)f_27978},
{C_text("f_27981:library_2escm"),(void*)f_27981},
{C_text("f_27991:library_2escm"),(void*)f_27991},
{C_text("f_27997:library_2escm"),(void*)f_27997},
{C_text("f_28001:library_2escm"),(void*)f_28001},
{C_text("f_28003:library_2escm"),(void*)f_28003},
{C_text("f_28013:library_2escm"),(void*)f_28013},
{C_text("f_28019:library_2escm"),(void*)f_28019},
{C_text("f_28023:library_2escm"),(void*)f_28023},
{C_text("f_28025:library_2escm"),(void*)f_28025},
{C_text("f_28030:library_2escm"),(void*)f_28030},
{C_text("f_28032:library_2escm"),(void*)f_28032},
{C_text("f_28035:library_2escm"),(void*)f_28035},
{C_text("f_28055:library_2escm"),(void*)f_28055},
{C_text("f_28061:library_2escm"),(void*)f_28061},
{C_text("f_28071:library_2escm"),(void*)f_28071},
{C_text("f_28081:library_2escm"),(void*)f_28081},
{C_text("f_28116:library_2escm"),(void*)f_28116},
{C_text("f_28120:library_2escm"),(void*)f_28120},
{C_text("f_28125:library_2escm"),(void*)f_28125},
{C_text("f_28135:library_2escm"),(void*)f_28135},
{C_text("f_28145:library_2escm"),(void*)f_28145},
{C_text("f_28154:library_2escm"),(void*)f_28154},
{C_text("f_28157:library_2escm"),(void*)f_28157},
{C_text("f_28160:library_2escm"),(void*)f_28160},
{C_text("f_28167:library_2escm"),(void*)f_28167},
{C_text("f_28174:library_2escm"),(void*)f_28174},
{C_text("f_28177:library_2escm"),(void*)f_28177},
{C_text("f_28181:library_2escm"),(void*)f_28181},
{C_text("f_28183:library_2escm"),(void*)f_28183},
{C_text("f_28186:library_2escm"),(void*)f_28186},
{C_text("f_28189:library_2escm"),(void*)f_28189},
{C_text("f_28192:library_2escm"),(void*)f_28192},
{C_text("f_28195:library_2escm"),(void*)f_28195},
{C_text("f_28198:library_2escm"),(void*)f_28198},
{C_text("f_28201:library_2escm"),(void*)f_28201},
{C_text("f_28204:library_2escm"),(void*)f_28204},
{C_text("f_28207:library_2escm"),(void*)f_28207},
{C_text("f_28210:library_2escm"),(void*)f_28210},
{C_text("f_28213:library_2escm"),(void*)f_28213},
{C_text("f_28217:library_2escm"),(void*)f_28217},
{C_text("f_28220:library_2escm"),(void*)f_28220},
{C_text("f_28236:library_2escm"),(void*)f_28236},
{C_text("f_28244:library_2escm"),(void*)f_28244},
{C_text("f_28247:library_2escm"),(void*)f_28247},
{C_text("f_28253:library_2escm"),(void*)f_28253},
{C_text("f_28262:library_2escm"),(void*)f_28262},
{C_text("f_28268:library_2escm"),(void*)f_28268},
{C_text("f_28277:library_2escm"),(void*)f_28277},
{C_text("f_28283:library_2escm"),(void*)f_28283},
{C_text("f_28289:library_2escm"),(void*)f_28289},
{C_text("f_28292:library_2escm"),(void*)f_28292},
{C_text("f_28296:library_2escm"),(void*)f_28296},
{C_text("f_28299:library_2escm"),(void*)f_28299},
{C_text("f_28304:library_2escm"),(void*)f_28304},
{C_text("f_28306:library_2escm"),(void*)f_28306},
{C_text("f_28310:library_2escm"),(void*)f_28310},
{C_text("f_28337:library_2escm"),(void*)f_28337},
{C_text("f_28347:library_2escm"),(void*)f_28347},
{C_text("f_28356:library_2escm"),(void*)f_28356},
{C_text("f_28363:library_2escm"),(void*)f_28363},
{C_text("f_28367:library_2escm"),(void*)f_28367},
{C_text("f_28381:library_2escm"),(void*)f_28381},
{C_text("f_28385:library_2escm"),(void*)f_28385},
{C_text("f_28392:library_2escm"),(void*)f_28392},
{C_text("f_28394:library_2escm"),(void*)f_28394},
{C_text("f_28416:library_2escm"),(void*)f_28416},
{C_text("f_28423:library_2escm"),(void*)f_28423},
{C_text("f_28428:library_2escm"),(void*)f_28428},
{C_text("f_28432:library_2escm"),(void*)f_28432},
{C_text("f_28435:library_2escm"),(void*)f_28435},
{C_text("f_28438:library_2escm"),(void*)f_28438},
{C_text("f_28443:library_2escm"),(void*)f_28443},
{C_text("f_28447:library_2escm"),(void*)f_28447},
{C_text("f_28473:library_2escm"),(void*)f_28473},
{C_text("f_28486:library_2escm"),(void*)f_28486},
{C_text("f_28489:library_2escm"),(void*)f_28489},
{C_text("f_28498:library_2escm"),(void*)f_28498},
{C_text("f_28501:library_2escm"),(void*)f_28501},
{C_text("f_28504:library_2escm"),(void*)f_28504},
{C_text("f_28510:library_2escm"),(void*)f_28510},
{C_text("f_28517:library_2escm"),(void*)f_28517},
{C_text("f_28519:library_2escm"),(void*)f_28519},
{C_text("f_28532:library_2escm"),(void*)f_28532},
{C_text("f_28545:library_2escm"),(void*)f_28545},
{C_text("f_28548:library_2escm"),(void*)f_28548},
{C_text("f_28551:library_2escm"),(void*)f_28551},
{C_text("f_28558:library_2escm"),(void*)f_28558},
{C_text("f_28611:library_2escm"),(void*)f_28611},
{C_text("f_28614:library_2escm"),(void*)f_28614},
{C_text("f_28617:library_2escm"),(void*)f_28617},
{C_text("f_28619:library_2escm"),(void*)f_28619},
{C_text("f_28623:library_2escm"),(void*)f_28623},
{C_text("f_28627:library_2escm"),(void*)f_28627},
{C_text("f_28633:library_2escm"),(void*)f_28633},
{C_text("f_28638:library_2escm"),(void*)f_28638},
{C_text("f_28642:library_2escm"),(void*)f_28642},
{C_text("f_28654:library_2escm"),(void*)f_28654},
{C_text("f_28666:library_2escm"),(void*)f_28666},
{C_text("f_28673:library_2escm"),(void*)f_28673},
{C_text("f_28679:library_2escm"),(void*)f_28679},
{C_text("f_28693:library_2escm"),(void*)f_28693},
{C_text("f_28702:library_2escm"),(void*)f_28702},
{C_text("f_28732:library_2escm"),(void*)f_28732},
{C_text("f_28751:library_2escm"),(void*)f_28751},
{C_text("f_28774:library_2escm"),(void*)f_28774},
{C_text("f_28783:library_2escm"),(void*)f_28783},
{C_text("f_28790:library_2escm"),(void*)f_28790},
{C_text("f_28807:library_2escm"),(void*)f_28807},
{C_text("f_28815:library_2escm"),(void*)f_28815},
{C_text("f_28826:library_2escm"),(void*)f_28826},
{C_text("f_28834:library_2escm"),(void*)f_28834},
{C_text("f_28841:library_2escm"),(void*)f_28841},
{C_text("f_28903:library_2escm"),(void*)f_28903},
{C_text("f_28910:library_2escm"),(void*)f_28910},
{C_text("f_28913:library_2escm"),(void*)f_28913},
{C_text("f_28919:library_2escm"),(void*)f_28919},
{C_text("f_28926:library_2escm"),(void*)f_28926},
{C_text("f_28930:library_2escm"),(void*)f_28930},
{C_text("f_28933:library_2escm"),(void*)f_28933},
{C_text("f_28941:library_2escm"),(void*)f_28941},
{C_text("f_28943:library_2escm"),(void*)f_28943},
{C_text("f_28952:library_2escm"),(void*)f_28952},
{C_text("f_28958:library_2escm"),(void*)f_28958},
{C_text("f_28969:library_2escm"),(void*)f_28969},
{C_text("f_28973:library_2escm"),(void*)f_28973},
{C_text("f_28975:library_2escm"),(void*)f_28975},
{C_text("f_28983:library_2escm"),(void*)f_28983},
{C_text("f_28995:library_2escm"),(void*)f_28995},
{C_text("f_29001:library_2escm"),(void*)f_29001},
{C_text("f_29005:library_2escm"),(void*)f_29005},
{C_text("f_29013:library_2escm"),(void*)f_29013},
{C_text("f_29031:library_2escm"),(void*)f_29031},
{C_text("f_29039:library_2escm"),(void*)f_29039},
{C_text("f_29043:library_2escm"),(void*)f_29043},
{C_text("f_29061:library_2escm"),(void*)f_29061},
{C_text("f_29068:library_2escm"),(void*)f_29068},
{C_text("f_29080:library_2escm"),(void*)f_29080},
{C_text("f_29088:library_2escm"),(void*)f_29088},
{C_text("f_29094:library_2escm"),(void*)f_29094},
{C_text("f_29116:library_2escm"),(void*)f_29116},
{C_text("f_29120:library_2escm"),(void*)f_29120},
{C_text("f_29124:library_2escm"),(void*)f_29124},
{C_text("f_29126:library_2escm"),(void*)f_29126},
{C_text("f_29129:library_2escm"),(void*)f_29129},
{C_text("f_29132:library_2escm"),(void*)f_29132},
{C_text("f_29136:library_2escm"),(void*)f_29136},
{C_text("f_29139:library_2escm"),(void*)f_29139},
{C_text("f_29157:library_2escm"),(void*)f_29157},
{C_text("f_29163:library_2escm"),(void*)f_29163},
{C_text("f_29167:library_2escm"),(void*)f_29167},
{C_text("f_29184:library_2escm"),(void*)f_29184},
{C_text("f_29194:library_2escm"),(void*)f_29194},
{C_text("f_29198:library_2escm"),(void*)f_29198},
{C_text("f_29202:library_2escm"),(void*)f_29202},
{C_text("f_29214:library_2escm"),(void*)f_29214},
{C_text("f_29224:library_2escm"),(void*)f_29224},
{C_text("f_29228:library_2escm"),(void*)f_29228},
{C_text("f_29232:library_2escm"),(void*)f_29232},
{C_text("f_29260:library_2escm"),(void*)f_29260},
{C_text("f_29263:library_2escm"),(void*)f_29263},
{C_text("f_29266:library_2escm"),(void*)f_29266},
{C_text("f_29272:library_2escm"),(void*)f_29272},
{C_text("f_29285:library_2escm"),(void*)f_29285},
{C_text("f_29288:library_2escm"),(void*)f_29288},
{C_text("f_29297:library_2escm"),(void*)f_29297},
{C_text("f_29303:library_2escm"),(void*)f_29303},
{C_text("f_29309:library_2escm"),(void*)f_29309},
{C_text("f_29315:library_2escm"),(void*)f_29315},
{C_text("f_29321:library_2escm"),(void*)f_29321},
{C_text("f_29338:library_2escm"),(void*)f_29338},
{C_text("f_29344:library_2escm"),(void*)f_29344},
{C_text("f_29359:library_2escm"),(void*)f_29359},
{C_text("f_29363:library_2escm"),(void*)f_29363},
{C_text("f_29367:library_2escm"),(void*)f_29367},
{C_text("f_29371:library_2escm"),(void*)f_29371},
{C_text("f_29377:library_2escm"),(void*)f_29377},
{C_text("f_29379:library_2escm"),(void*)f_29379},
{C_text("f_29385:library_2escm"),(void*)f_29385},
{C_text("f_29389:library_2escm"),(void*)f_29389},
{C_text("f_29398:library_2escm"),(void*)f_29398},
{C_text("f_29407:library_2escm"),(void*)f_29407},
{C_text("f_29450:library_2escm"),(void*)f_29450},
{C_text("f_29472:library_2escm"),(void*)f_29472},
{C_text("f_29485:library_2escm"),(void*)f_29485},
{C_text("f_29510:library_2escm"),(void*)f_29510},
{C_text("f_29526:library_2escm"),(void*)f_29526},
{C_text("f_29542:library_2escm"),(void*)f_29542},
{C_text("f_29558:library_2escm"),(void*)f_29558},
{C_text("f_29574:library_2escm"),(void*)f_29574},
{C_text("f_29590:library_2escm"),(void*)f_29590},
{C_text("f_29606:library_2escm"),(void*)f_29606},
{C_text("f_29622:library_2escm"),(void*)f_29622},
{C_text("f_29638:library_2escm"),(void*)f_29638},
{C_text("f_29654:library_2escm"),(void*)f_29654},
{C_text("f_29661:library_2escm"),(void*)f_29661},
{C_text("f_29702:library_2escm"),(void*)f_29702},
{C_text("f_29714:library_2escm"),(void*)f_29714},
{C_text("f_29720:library_2escm"),(void*)f_29720},
{C_text("f_29739:library_2escm"),(void*)f_29739},
{C_text("f_29741:library_2escm"),(void*)f_29741},
{C_text("f_29764:library_2escm"),(void*)f_29764},
{C_text("f_29810:library_2escm"),(void*)f_29810},
{C_text("f_29812:library_2escm"),(void*)f_29812},
{C_text("f_29819:library_2escm"),(void*)f_29819},
{C_text("f_29831:library_2escm"),(void*)f_29831},
{C_text("f_29875:library_2escm"),(void*)f_29875},
{C_text("f_29890:library_2escm"),(void*)f_29890},
{C_text("f_29898:library_2escm"),(void*)f_29898},
{C_text("f_29904:library_2escm"),(void*)f_29904},
{C_text("f_29912:library_2escm"),(void*)f_29912},
{C_text("f_29916:library_2escm"),(void*)f_29916},
{C_text("f_29922:library_2escm"),(void*)f_29922},
{C_text("f_29924:library_2escm"),(void*)f_29924},
{C_text("f_29933:library_2escm"),(void*)f_29933},
{C_text("f_29940:library_2escm"),(void*)f_29940},
{C_text("f_29944:library_2escm"),(void*)f_29944},
{C_text("f_29954:library_2escm"),(void*)f_29954},
{C_text("f_29961:library_2escm"),(void*)f_29961},
{C_text("f_29965:library_2escm"),(void*)f_29965},
{C_text("f_29975:library_2escm"),(void*)f_29975},
{C_text("f_29982:library_2escm"),(void*)f_29982},
{C_text("f_29986:library_2escm"),(void*)f_29986},
{C_text("f_29991:library_2escm"),(void*)f_29991},
{C_text("f_29997:library_2escm"),(void*)f_29997},
{C_text("f_30000:library_2escm"),(void*)f_30000},
{C_text("f_30003:library_2escm"),(void*)f_30003},
{C_text("f_30009:library_2escm"),(void*)f_30009},
{C_text("f_30018:library_2escm"),(void*)f_30018},
{C_text("f_30027:library_2escm"),(void*)f_30027},
{C_text("f_30033:library_2escm"),(void*)f_30033},
{C_text("f_30036:library_2escm"),(void*)f_30036},
{C_text("f_30039:library_2escm"),(void*)f_30039},
{C_text("f_30051:library_2escm"),(void*)f_30051},
{C_text("f_30054:library_2escm"),(void*)f_30054},
{C_text("f_30057:library_2escm"),(void*)f_30057},
{C_text("f_30060:library_2escm"),(void*)f_30060},
{C_text("f_30072:library_2escm"),(void*)f_30072},
{C_text("f_30075:library_2escm"),(void*)f_30075},
{C_text("f_30078:library_2escm"),(void*)f_30078},
{C_text("f_30081:library_2escm"),(void*)f_30081},
{C_text("f_30089:library_2escm"),(void*)f_30089},
{C_text("f_30092:library_2escm"),(void*)f_30092},
{C_text("f_30105:library_2escm"),(void*)f_30105},
{C_text("f_30106:library_2escm"),(void*)f_30106},
{C_text("f_30111:library_2escm"),(void*)f_30111},
{C_text("f_30112:library_2escm"),(void*)f_30112},
{C_text("f_30117:library_2escm"),(void*)f_30117},
{C_text("f_30118:library_2escm"),(void*)f_30118},
{C_text("f_30123:library_2escm"),(void*)f_30123},
{C_text("f_30124:library_2escm"),(void*)f_30124},
{C_text("f_30129:library_2escm"),(void*)f_30129},
{C_text("f_30130:library_2escm"),(void*)f_30130},
{C_text("f_30135:library_2escm"),(void*)f_30135},
{C_text("f_30137:library_2escm"),(void*)f_30137},
{C_text("f_30147:library_2escm"),(void*)f_30147},
{C_text("f_30150:library_2escm"),(void*)f_30150},
{C_text("f_30153:library_2escm"),(void*)f_30153},
{C_text("f_30156:library_2escm"),(void*)f_30156},
{C_text("f_30158:library_2escm"),(void*)f_30158},
{C_text("f_30172:library_2escm"),(void*)f_30172},
{C_text("f_30180:library_2escm"),(void*)f_30180},
{C_text("f_30184:library_2escm"),(void*)f_30184},
{C_text("f_30188:library_2escm"),(void*)f_30188},
{C_text("f_30192:library_2escm"),(void*)f_30192},
{C_text("f_30198:library_2escm"),(void*)f_30198},
{C_text("f_30205:library_2escm"),(void*)f_30205},
{C_text("f_30209:library_2escm"),(void*)f_30209},
{C_text("f_30213:library_2escm"),(void*)f_30213},
{C_text("f_30217:library_2escm"),(void*)f_30217},
{C_text("f_30256:library_2escm"),(void*)f_30256},
{C_text("f_30259:library_2escm"),(void*)f_30259},
{C_text("f_30262:library_2escm"),(void*)f_30262},
{C_text("f_30265:library_2escm"),(void*)f_30265},
{C_text("f_30268:library_2escm"),(void*)f_30268},
{C_text("f_30276:library_2escm"),(void*)f_30276},
{C_text("f_30286:library_2escm"),(void*)f_30286},
{C_text("f_30308:library_2escm"),(void*)f_30308},
{C_text("f_30314:library_2escm"),(void*)f_30314},
{C_text("f_30334:library_2escm"),(void*)f_30334},
{C_text("f_30349:library_2escm"),(void*)f_30349},
{C_text("f_30353:library_2escm"),(void*)f_30353},
{C_text("f_30376:library_2escm"),(void*)f_30376},
{C_text("f_30380:library_2escm"),(void*)f_30380},
{C_text("f_30397:library_2escm"),(void*)f_30397},
{C_text("f_30404:library_2escm"),(void*)f_30404},
{C_text("f_30426:library_2escm"),(void*)f_30426},
{C_text("f_30431:library_2escm"),(void*)f_30431},
{C_text("f_30446:library_2escm"),(void*)f_30446},
{C_text("f_30449:library_2escm"),(void*)f_30449},
{C_text("f_30452:library_2escm"),(void*)f_30452},
{C_text("f_30455:library_2escm"),(void*)f_30455},
{C_text("f_30458:library_2escm"),(void*)f_30458},
{C_text("f_30461:library_2escm"),(void*)f_30461},
{C_text("f_30464:library_2escm"),(void*)f_30464},
{C_text("f_30467:library_2escm"),(void*)f_30467},
{C_text("f_30470:library_2escm"),(void*)f_30470},
{C_text("f_30473:library_2escm"),(void*)f_30473},
{C_text("f_30476:library_2escm"),(void*)f_30476},
{C_text("f_30480:library_2escm"),(void*)f_30480},
{C_text("f_30483:library_2escm"),(void*)f_30483},
{C_text("f_30488:library_2escm"),(void*)f_30488},
{C_text("f_30494:library_2escm"),(void*)f_30494},
{C_text("f_30507:library_2escm"),(void*)f_30507},
{C_text("f_30509:library_2escm"),(void*)f_30509},
{C_text("f_30519:library_2escm"),(void*)f_30519},
{C_text("f_30532:library_2escm"),(void*)f_30532},
{C_text("f_30539:library_2escm"),(void*)f_30539},
{C_text("f_30543:library_2escm"),(void*)f_30543},
{C_text("f_30545:library_2escm"),(void*)f_30545},
{C_text("f_30574:library_2escm"),(void*)f_30574},
{C_text("f_30576:library_2escm"),(void*)f_30576},
{C_text("f_30601:library_2escm"),(void*)f_30601},
{C_text("f_30610:library_2escm"),(void*)f_30610},
{C_text("f_30613:library_2escm"),(void*)f_30613},
{C_text("f_30619:library_2escm"),(void*)f_30619},
{C_text("f_30643:library_2escm"),(void*)f_30643},
{C_text("f_30650:library_2escm"),(void*)f_30650},
{C_text("f_30654:library_2escm"),(void*)f_30654},
{C_text("f_30666:library_2escm"),(void*)f_30666},
{C_text("f_30674:library_2escm"),(void*)f_30674},
{C_text("f_30678:library_2escm"),(void*)f_30678},
{C_text("f_30687:library_2escm"),(void*)f_30687},
{C_text("f_30696:library_2escm"),(void*)f_30696},
{C_text("f_30706:library_2escm"),(void*)f_30706},
{C_text("f_30714:library_2escm"),(void*)f_30714},
{C_text("f_30718:library_2escm"),(void*)f_30718},
{C_text("f_30722:library_2escm"),(void*)f_30722},
{C_text("f_30752:library_2escm"),(void*)f_30752},
{C_text("f_30756:library_2escm"),(void*)f_30756},
{C_text("f_30760:library_2escm"),(void*)f_30760},
{C_text("f_30764:library_2escm"),(void*)f_30764},
{C_text("f_30768:library_2escm"),(void*)f_30768},
{C_text("f_30772:library_2escm"),(void*)f_30772},
{C_text("f_30775:library_2escm"),(void*)f_30775},
{C_text("f_30778:library_2escm"),(void*)f_30778},
{C_text("f_30788:library_2escm"),(void*)f_30788},
{C_text("f_30791:library_2escm"),(void*)f_30791},
{C_text("f_30793:library_2escm"),(void*)f_30793},
{C_text("f_30810:library_2escm"),(void*)f_30810},
{C_text("f_30837:library_2escm"),(void*)f_30837},
{C_text("f_30846:library_2escm"),(void*)f_30846},
{C_text("f_30866:library_2escm"),(void*)f_30866},
{C_text("f_30870:library_2escm"),(void*)f_30870},
{C_text("f_30874:library_2escm"),(void*)f_30874},
{C_text("f_30878:library_2escm"),(void*)f_30878},
{C_text("f_30882:library_2escm"),(void*)f_30882},
{C_text("f_30886:library_2escm"),(void*)f_30886},
{C_text("f_30890:library_2escm"),(void*)f_30890},
{C_text("f_30892:library_2escm"),(void*)f_30892},
{C_text("f_30901:library_2escm"),(void*)f_30901},
{C_text("f_30911:library_2escm"),(void*)f_30911},
{C_text("f_30936:library_2escm"),(void*)f_30936},
{C_text("f_30939:library_2escm"),(void*)f_30939},
{C_text("f_30941:library_2escm"),(void*)f_30941},
{C_text("f_30957:library_2escm"),(void*)f_30957},
{C_text("f_30976:library_2escm"),(void*)f_30976},
{C_text("f_30986:library_2escm"),(void*)f_30986},
{C_text("f_30996:library_2escm"),(void*)f_30996},
{C_text("f_31020:library_2escm"),(void*)f_31020},
{C_text("f_31024:library_2escm"),(void*)f_31024},
{C_text("f_31026:library_2escm"),(void*)f_31026},
{C_text("f_31030:library_2escm"),(void*)f_31030},
{C_text("f_31033:library_2escm"),(void*)f_31033},
{C_text("f_31048:library_2escm"),(void*)f_31048},
{C_text("f_31054:library_2escm"),(void*)f_31054},
{C_text("f_31058:library_2escm"),(void*)f_31058},
{C_text("f_31067:library_2escm"),(void*)f_31067},
{C_text("f_31070:library_2escm"),(void*)f_31070},
{C_text("f_31073:library_2escm"),(void*)f_31073},
{C_text("f_31076:library_2escm"),(void*)f_31076},
{C_text("f_31079:library_2escm"),(void*)f_31079},
{C_text("f_31085:library_2escm"),(void*)f_31085},
{C_text("f_31091:library_2escm"),(void*)f_31091},
{C_text("f_31094:library_2escm"),(void*)f_31094},
{C_text("f_31099:library_2escm"),(void*)f_31099},
{C_text("f_31109:library_2escm"),(void*)f_31109},
{C_text("f_31121:library_2escm"),(void*)f_31121},
{C_text("f_31129:library_2escm"),(void*)f_31129},
{C_text("f_31139:library_2escm"),(void*)f_31139},
{C_text("f_31155:library_2escm"),(void*)f_31155},
{C_text("f_31161:library_2escm"),(void*)f_31161},
{C_text("f_31164:library_2escm"),(void*)f_31164},
{C_text("f_31167:library_2escm"),(void*)f_31167},
{C_text("f_31168:library_2escm"),(void*)f_31168},
{C_text("f_31172:library_2escm"),(void*)f_31172},
{C_text("f_31178:library_2escm"),(void*)f_31178},
{C_text("f_31182:library_2escm"),(void*)f_31182},
{C_text("f_31184:library_2escm"),(void*)f_31184},
{C_text("f_31194:library_2escm"),(void*)f_31194},
{C_text("f_31211:library_2escm"),(void*)f_31211},
{C_text("f_31214:library_2escm"),(void*)f_31214},
{C_text("f_31218:library_2escm"),(void*)f_31218},
{C_text("f_31223:library_2escm"),(void*)f_31223},
{C_text("f_31229:library_2escm"),(void*)f_31229},
{C_text("f_31236:library_2escm"),(void*)f_31236},
{C_text("f_31245:library_2escm"),(void*)f_31245},
{C_text("f_31253:library_2escm"),(void*)f_31253},
{C_text("f_31278:library_2escm"),(void*)f_31278},
{C_text("f_31296:library_2escm"),(void*)f_31296},
{C_text("f_31300:library_2escm"),(void*)f_31300},
{C_text("f_31315:library_2escm"),(void*)f_31315},
{C_text("f_31319:library_2escm"),(void*)f_31319},
{C_text("f_31334:library_2escm"),(void*)f_31334},
{C_text("f_31337:library_2escm"),(void*)f_31337},
{C_text("f_31340:library_2escm"),(void*)f_31340},
{C_text("f_31350:library_2escm"),(void*)f_31350},
{C_text("f_31381:library_2escm"),(void*)f_31381},
{C_text("f_31405:library_2escm"),(void*)f_31405},
{C_text("f_31415:library_2escm"),(void*)f_31415},
{C_text("f_31424:library_2escm"),(void*)f_31424},
{C_text("f_31465:library_2escm"),(void*)f_31465},
{C_text("f_31484:library_2escm"),(void*)f_31484},
{C_text("f_31493:library_2escm"),(void*)f_31493},
{C_text("f_31503:library_2escm"),(void*)f_31503},
{C_text("f_31513:library_2escm"),(void*)f_31513},
{C_text("f_31523:library_2escm"),(void*)f_31523},
{C_text("f_31533:library_2escm"),(void*)f_31533},
{C_text("f_31543:library_2escm"),(void*)f_31543},
{C_text("f_31553:library_2escm"),(void*)f_31553},
{C_text("f_31563:library_2escm"),(void*)f_31563},
{C_text("f_31573:library_2escm"),(void*)f_31573},
{C_text("f_31583:library_2escm"),(void*)f_31583},
{C_text("f_31593:library_2escm"),(void*)f_31593},
{C_text("f_31603:library_2escm"),(void*)f_31603},
{C_text("f_31613:library_2escm"),(void*)f_31613},
{C_text("f_31623:library_2escm"),(void*)f_31623},
{C_text("f_31639:library_2escm"),(void*)f_31639},
{C_text("f_31647:library_2escm"),(void*)f_31647},
{C_text("f_31663:library_2escm"),(void*)f_31663},
{C_text("f_31679:library_2escm"),(void*)f_31679},
{C_text("f_31689:library_2escm"),(void*)f_31689},
{C_text("f_31699:library_2escm"),(void*)f_31699},
{C_text("f_31718:library_2escm"),(void*)f_31718},
{C_text("f_31734:library_2escm"),(void*)f_31734},
{C_text("f_31747:library_2escm"),(void*)f_31747},
{C_text("f_31753:library_2escm"),(void*)f_31753},
{C_text("f_31776:library_2escm"),(void*)f_31776},
{C_text("f_31780:library_2escm"),(void*)f_31780},
{C_text("f_31784:library_2escm"),(void*)f_31784},
{C_text("f_31787:library_2escm"),(void*)f_31787},
{C_text("f_31793:library_2escm"),(void*)f_31793},
{C_text("f_31816:library_2escm"),(void*)f_31816},
{C_text("f_31820:library_2escm"),(void*)f_31820},
{C_text("f_31824:library_2escm"),(void*)f_31824},
{C_text("f_31827:library_2escm"),(void*)f_31827},
{C_text("f_31830:library_2escm"),(void*)f_31830},
{C_text("f_31833:library_2escm"),(void*)f_31833},
{C_text("f_31839:library_2escm"),(void*)f_31839},
{C_text("f_31842:library_2escm"),(void*)f_31842},
{C_text("f_31845:library_2escm"),(void*)f_31845},
{C_text("f_31853:library_2escm"),(void*)f_31853},
{C_text("f_31855:library_2escm"),(void*)f_31855},
{C_text("f_31879:library_2escm"),(void*)f_31879},
{C_text("f_31902:library_2escm"),(void*)f_31902},
{C_text("f_31906:library_2escm"),(void*)f_31906},
{C_text("f_31910:library_2escm"),(void*)f_31910},
{C_text("f_31944:library_2escm"),(void*)f_31944},
{C_text("f_31948:library_2escm"),(void*)f_31948},
{C_text("f_31951:library_2escm"),(void*)f_31951},
{C_text("f_31964:library_2escm"),(void*)f_31964},
{C_text("f_31997:library_2escm"),(void*)f_31997},
{C_text("f_32012:library_2escm"),(void*)f_32012},
{C_text("f_32016:library_2escm"),(void*)f_32016},
{C_text("f_32040:library_2escm"),(void*)f_32040},
{C_text("f_32048:library_2escm"),(void*)f_32048},
{C_text("f_32052:library_2escm"),(void*)f_32052},
{C_text("f_32063:library_2escm"),(void*)f_32063},
{C_text("f_32067:library_2escm"),(void*)f_32067},
{C_text("f_32071:library_2escm"),(void*)f_32071},
{C_text("f_32085:library_2escm"),(void*)f_32085},
{C_text("f_32117:library_2escm"),(void*)f_32117},
{C_text("f_8515:library_2escm"),(void*)f_8515},
{C_text("f_8517:library_2escm"),(void*)f_8517},
{C_text("f_8520:library_2escm"),(void*)f_8520},
{C_text("f_8523:library_2escm"),(void*)f_8523},
{C_text("f_8526:library_2escm"),(void*)f_8526},
{C_text("f_8529:library_2escm"),(void*)f_8529},
{C_text("f_8532:library_2escm"),(void*)f_8532},
{C_text("f_8535:library_2escm"),(void*)f_8535},
{C_text("f_8538:library_2escm"),(void*)f_8538},
{C_text("f_8541:library_2escm"),(void*)f_8541},
{C_text("f_8544:library_2escm"),(void*)f_8544},
{C_text("f_8547:library_2escm"),(void*)f_8547},
{C_text("f_8550:library_2escm"),(void*)f_8550},
{C_text("f_8553:library_2escm"),(void*)f_8553},
{C_text("f_8556:library_2escm"),(void*)f_8556},
{C_text("f_8559:library_2escm"),(void*)f_8559},
{C_text("f_8562:library_2escm"),(void*)f_8562},
{C_text("f_8565:library_2escm"),(void*)f_8565},
{C_text("f_8568:library_2escm"),(void*)f_8568},
{C_text("f_8571:library_2escm"),(void*)f_8571},
{C_text("f_8585:library_2escm"),(void*)f_8585},
{C_text("f_8592:library_2escm"),(void*)f_8592},
{C_text("f_8599:library_2escm"),(void*)f_8599},
{C_text("f_8613:library_2escm"),(void*)f_8613},
{C_text("f_8620:library_2escm"),(void*)f_8620},
{C_text("f_8634:library_2escm"),(void*)f_8634},
{C_text("f_8648:library_2escm"),(void*)f_8648},
{C_text("f_8666:library_2escm"),(void*)f_8666},
{C_text("f_8677:library_2escm"),(void*)f_8677},
{C_text("f_8688:library_2escm"),(void*)f_8688},
{C_text("f_8695:library_2escm"),(void*)f_8695},
{C_text("f_8706:library_2escm"),(void*)f_8706},
{C_text("f_8710:library_2escm"),(void*)f_8710},
{C_text("f_8717:library_2escm"),(void*)f_8717},
{C_text("f_8735:library_2escm"),(void*)f_8735},
{C_text("f_8746:library_2escm"),(void*)f_8746},
{C_text("f_8757:library_2escm"),(void*)f_8757},
{C_text("f_8764:library_2escm"),(void*)f_8764},
{C_text("f_8782:library_2escm"),(void*)f_8782},
{C_text("f_8793:library_2escm"),(void*)f_8793},
{C_text("f_8811:library_2escm"),(void*)f_8811},
{C_text("f_8817:library_2escm"),(void*)f_8817},
{C_text("f_8820:library_2escm"),(void*)f_8820},
{C_text("f_8823:library_2escm"),(void*)f_8823},
{C_text("f_8826:library_2escm"),(void*)f_8826},
{C_text("f_8829:library_2escm"),(void*)f_8829},
{C_text("f_8835:library_2escm"),(void*)f_8835},
{C_text("f_8868:library_2escm"),(void*)f_8868},
{C_text("f_8871:library_2escm"),(void*)f_8871},
{C_text("f_8874:library_2escm"),(void*)f_8874},
{C_text("f_8877:library_2escm"),(void*)f_8877},
{C_text("f_8880:library_2escm"),(void*)f_8880},
{C_text("f_8883:library_2escm"),(void*)f_8883},
{C_text("f_8886:library_2escm"),(void*)f_8886},
{C_text("f_8889:library_2escm"),(void*)f_8889},
{C_text("f_8892:library_2escm"),(void*)f_8892},
{C_text("f_8895:library_2escm"),(void*)f_8895},
{C_text("f_8898:library_2escm"),(void*)f_8898},
{C_text("f_8901:library_2escm"),(void*)f_8901},
{C_text("f_8904:library_2escm"),(void*)f_8904},
{C_text("f_8908:library_2escm"),(void*)f_8908},
{C_text("f_8911:library_2escm"),(void*)f_8911},
{C_text("f_8917:library_2escm"),(void*)f_8917},
{C_text("f_8920:library_2escm"),(void*)f_8920},
{C_text("f_8923:library_2escm"),(void*)f_8923},
{C_text("f_8926:library_2escm"),(void*)f_8926},
{C_text("f_8929:library_2escm"),(void*)f_8929},
{C_text("f_8937:library_2escm"),(void*)f_8937},
{C_text("f_8941:library_2escm"),(void*)f_8941},
{C_text("f_8944:library_2escm"),(void*)f_8944},
{C_text("f_8947:library_2escm"),(void*)f_8947},
{C_text("f_8950:library_2escm"),(void*)f_8950},
{C_text("f_8953:library_2escm"),(void*)f_8953},
{C_text("f_8956:library_2escm"),(void*)f_8956},
{C_text("f_8959:library_2escm"),(void*)f_8959},
{C_text("f_8962:library_2escm"),(void*)f_8962},
{C_text("f_8966:library_2escm"),(void*)f_8966},
{C_text("f_8969:library_2escm"),(void*)f_8969},
{C_text("f_8972:library_2escm"),(void*)f_8972},
{C_text("f_8975:library_2escm"),(void*)f_8975},
{C_text("f_8978:library_2escm"),(void*)f_8978},
{C_text("f_8986:library_2escm"),(void*)f_8986},
{C_text("f_8989:library_2escm"),(void*)f_8989},
{C_text("f_8996:library_2escm"),(void*)f_8996},
{C_text("f_9000:library_2escm"),(void*)f_9000},
{C_text("f_9003:library_2escm"),(void*)f_9003},
{C_text("f_9006:library_2escm"),(void*)f_9006},
{C_text("f_9009:library_2escm"),(void*)f_9009},
{C_text("f_9012:library_2escm"),(void*)f_9012},
{C_text("f_9015:library_2escm"),(void*)f_9015},
{C_text("f_9018:library_2escm"),(void*)f_9018},
{C_text("f_9024:library_2escm"),(void*)f_9024},
{C_text("f_9035:library_2escm"),(void*)f_9035},
{C_text("f_9041:library_2escm"),(void*)f_9041},
{C_text("f_9047:library_2escm"),(void*)f_9047},
{C_text("f_9053:library_2escm"),(void*)f_9053},
{C_text("f_9059:library_2escm"),(void*)f_9059},
{C_text("f_9065:library_2escm"),(void*)f_9065},
{C_text("f_9072:library_2escm"),(void*)f_9072},
{C_text("f_9078:library_2escm"),(void*)f_9078},
{C_text("f_9094:library_2escm"),(void*)f_9094},
{C_text("f_9105:library_2escm"),(void*)f_9105},
{C_text("f_9111:library_2escm"),(void*)f_9111},
{C_text("f_9117:library_2escm"),(void*)f_9117},
{C_text("f_9123:library_2escm"),(void*)f_9123},
{C_text("f_9129:library_2escm"),(void*)f_9129},
{C_text("f_9138:library_2escm"),(void*)f_9138},
{C_text("f_9141:library_2escm"),(void*)f_9141},
{C_text("f_9144:library_2escm"),(void*)f_9144},
{C_text("f_9147:library_2escm"),(void*)f_9147},
{C_text("f_9150:library_2escm"),(void*)f_9150},
{C_text("f_9153:library_2escm"),(void*)f_9153},
{C_text("f_9157:library_2escm"),(void*)f_9157},
{C_text("f_9163:library_2escm"),(void*)f_9163},
{C_text("f_9169:library_2escm"),(void*)f_9169},
{C_text("f_9202:library_2escm"),(void*)f_9202},
{C_text("f_9205:library_2escm"),(void*)f_9205},
{C_text("f_9208:library_2escm"),(void*)f_9208},
{C_text("f_9216:library_2escm"),(void*)f_9216},
{C_text("f_9221:library_2escm"),(void*)f_9221},
{C_text("f_9227:library_2escm"),(void*)f_9227},
{C_text("f_9242:library_2escm"),(void*)f_9242},
{C_text("f_9263:library_2escm"),(void*)f_9263},
{C_text("f_9269:library_2escm"),(void*)f_9269},
{C_text("f_9275:library_2escm"),(void*)f_9275},
{C_text("f_9282:library_2escm"),(void*)f_9282},
{C_text("f_9287:library_2escm"),(void*)f_9287},
{C_text("f_9290:library_2escm"),(void*)f_9290},
{C_text("f_9299:library_2escm"),(void*)f_9299},
{C_text("f_9317:library_2escm"),(void*)f_9317},
{C_text("f_9327:library_2escm"),(void*)f_9327},
{C_text("f_9336:library_2escm"),(void*)f_9336},
{C_text("f_9354:library_2escm"),(void*)f_9354},
{C_text("f_9367:library_2escm"),(void*)f_9367},
{C_text("f_9374:library_2escm"),(void*)f_9374},
{C_text("f_9381:library_2escm"),(void*)f_9381},
{C_text("f_9392:library_2escm"),(void*)f_9392},
{C_text("f_9399:library_2escm"),(void*)f_9399},
{C_text("f_9411:library_2escm"),(void*)f_9411},
{C_text("f_9414:library_2escm"),(void*)f_9414},
{C_text("f_9416:library_2escm"),(void*)f_9416},
{C_text("f_9422:library_2escm"),(void*)f_9422},
{C_text("f_9438:library_2escm"),(void*)f_9438},
{C_text("f_9447:library_2escm"),(void*)f_9447},
{C_text("f_9449:library_2escm"),(void*)f_9449},
{C_text("f_9455:library_2escm"),(void*)f_9455},
{C_text("f_9468:library_2escm"),(void*)f_9468},
{C_text("f_9484:library_2escm"),(void*)f_9484},
{C_text("f_9495:library_2escm"),(void*)f_9495},
{C_text("f_9497:library_2escm"),(void*)f_9497},
{C_text("f_9505:library_2escm"),(void*)f_9505},
{C_text("f_9507:library_2escm"),(void*)f_9507},
{C_text("f_9513:library_2escm"),(void*)f_9513},
{C_text("f_9515:library_2escm"),(void*)f_9515},
{C_text("f_9523:library_2escm"),(void*)f_9523},
{C_text("f_9525:library_2escm"),(void*)f_9525},
{C_text("f_9528:library_2escm"),(void*)f_9528},
{C_text("f_9536:library_2escm"),(void*)f_9536},
{C_text("f_9542:library_2escm"),(void*)f_9542},
{C_text("f_9550:library_2escm"),(void*)f_9550},
{C_text("f_9561:library_2escm"),(void*)f_9561},
{C_text("f_9573:library_2escm"),(void*)f_9573},
{C_text("f_9587:library_2escm"),(void*)f_9587},
{C_text("f_9595:library_2escm"),(void*)f_9595},
{C_text("f_9598:library_2escm"),(void*)f_9598},
{C_text("f_9600:library_2escm"),(void*)f_9600},
{C_text("f_9602:library_2escm"),(void*)f_9602},
{C_text("f_9608:library_2escm"),(void*)f_9608},
{C_text("f_9627:library_2escm"),(void*)f_9627},
{C_text("f_9644:library_2escm"),(void*)f_9644},
{C_text("f_9652:library_2escm"),(void*)f_9652},
{C_text("f_9666:library_2escm"),(void*)f_9666},
{C_text("f_9672:library_2escm"),(void*)f_9672},
{C_text("f_9691:library_2escm"),(void*)f_9691},
{C_text("f_9700:library_2escm"),(void*)f_9700},
{C_text("f_9703:library_2escm"),(void*)f_9703},
{C_text("f_9715:library_2escm"),(void*)f_9715},
{C_text("f_9731:library_2escm"),(void*)f_9731},
{C_text("f_9737:library_2escm"),(void*)f_9737},
{C_text("f_9762:library_2escm"),(void*)f_9762},
{C_text("f_9764:library_2escm"),(void*)f_9764},
{C_text("f_9773:library_2escm"),(void*)f_9773},
{C_text("f_9794:library_2escm"),(void*)f_9794},
{C_text("f_9796:library_2escm"),(void*)f_9796},
{C_text("f_9802:library_2escm"),(void*)f_9802},
{C_text("f_9828:library_2escm"),(void*)f_9828},
{C_text("f_9835:library_2escm"),(void*)f_9835},
{C_text("f_9837:library_2escm"),(void*)f_9837},
{C_text("f_9841:library_2escm"),(void*)f_9841},
{C_text("f_9849:library_2escm"),(void*)f_9849},
{C_text("f_9884:library_2escm"),(void*)f_9884},
{C_text("f_9894:library_2escm"),(void*)f_9894},
{C_text("f_9903:library_2escm"),(void*)f_9903},
{C_text("f_9945:library_2escm"),(void*)f_9945},
{C_text("f_9974:library_2escm"),(void*)f_9974},
{C_text("f_9981:library_2escm"),(void*)f_9981},
{C_text("f_9984:library_2escm"),(void*)f_9984},
{C_text("toplevel:library_2escm"),(void*)C_library_toplevel},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: scheme#string-fill 
o|hiding unexported module binding: chicken.condition#prop-list->kind-prefixed-prop-list 
o|hiding unexported module binding: chicken.platform#path-list-separator 
o|hiding unexported module binding: chicken.platform#->feature-id 
S|applied compiler syntax:
S|  scheme#for-each		9
S|  ##sys#map		1
S|  ##sys#for-each		4
S|  scheme#map		7
o|eliminated procedure checks: 526 
o|folded constant expression: (scheme#char->integer (quote #\0)) 
o|folded constant expression: (scheme#char->integer (quote #\a)) 
o|folded constant expression: (scheme#char->integer (quote #\A)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|folded constant expression: (scheme#integer->char (quote 127)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#integer->char (quote 8)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|specializations:
o|  1 (scheme#zero? integer)
o|  1 (scheme#string-append string string)
o|  1 (scheme#make-string fixnum)
o|  1 (scheme#cdar (pair pair *))
o|  2 (scheme#cddr (pair * pair))
o|  1 (scheme#char>? char char)
o|  13 (scheme#char=? char char)
o|  3 (scheme#string-ref string fixnum)
o|  5 (##sys#check-input-port * * *)
o|  11 (##sys#check-output-port * * *)
o|  1 (##sys#check-output-port * *)
o|  1 (##sys#check-input-port * *)
o|  13 (##sys#check-list (or pair list) *)
o|  43 (scheme#cdr pair)
o|  4 (scheme#char>=? char char)
o|  6 (scheme#char<=? char char)
o|  5 (scheme#zero? *)
o|  26 (scheme#eqv? (or eof null fixnum char boolean symbol) *)
o|  1 (scheme#remainder * *)
o|  1 (scheme#> fixnum fixnum)
o|  1 (scheme#make-string fixnum char)
o|  1 (scheme#string-length string)
o|  6 (scheme#number->string * *)
o|  3 (scheme#integer? *)
o|  2 (scheme#even? *)
o|  5 (scheme#/ * *)
o|  1 (scheme#+ integer integer)
o|  2 (chicken.bitwise#bitwise-and * *)
o|  1 (scheme#- integer integer)
o|  11 (chicken.bitwise#arithmetic-shift * *)
o|  5 (chicken.bitwise#integer-length *)
o|  205 (scheme#eqv? * (or eof null fixnum char boolean symbol))
o|  2 (chicken.flonum#fp<= float float)
o|  7 (scheme#> * *)
o|  7 (scheme#- *)
o|  7 (scheme#< * *)
o|  1 (scheme#odd? *)
o|  3 (scheme#= * *)
o|  2 (scheme#>= * *)
o|  17 (scheme#quotient * *)
o|  1 (chicken.flonum#fp> float float)
o|  2 (scheme#angle cplxnum)
o|  5 (chicken.base#finite? *)
o|  13 (chicken.base#exact-integer? *)
o|  8 (scheme#abs *)
o|  44 (scheme#* * *)
o|  17 (scheme#exact->inexact number)
o|  5 (##sys#debug-mode?)
o|  48 (scheme#car pair)
o|  4 (scheme#length list)
o|  19 (scheme#- * *)
o|  23 (scheme#+ * *)
o|  12 (scheme#negative? *)
o|  4 (scheme#positive? *)
(o e)|safe calls: 3110 
(o e)|dropped branches: 3 
(o e)|assignments to immediate values: 27 
o|dropping redundant toplevel assignment: chicken.base#warning 
o|dropping redundant toplevel assignment: chicken.base#notice 
o|dropping redundant toplevel assignment: chicken.base#enable-warnings 
o|dropping redundant toplevel assignment: scheme#force 
o|dropping redundant toplevel assignment: scheme#append 
o|dropping redundant toplevel assignment: scheme#make-string 
o|dropping redundant toplevel assignment: scheme#string->list 
o|dropping redundant toplevel assignment: scheme#list->string 
o|dropping redundant toplevel assignment: scheme#string-fill! 
o|dropping redundant toplevel assignment: scheme#string-copy 
o|dropping redundant toplevel assignment: scheme#substring 
o|dropping redundant toplevel assignment: scheme#string<? 
o|dropping redundant toplevel assignment: scheme#string>? 
o|dropping redundant toplevel assignment: scheme#string<=? 
o|dropping redundant toplevel assignment: scheme#string>=? 
o|dropping redundant toplevel assignment: scheme#string-ci<? 
o|dropping redundant toplevel assignment: scheme#string-ci>? 
o|dropping redundant toplevel assignment: scheme#string-ci<=? 
o|dropping redundant toplevel assignment: scheme#string-ci>=? 
o|dropping redundant toplevel assignment: scheme#string-append 
o|dropping redundant toplevel assignment: scheme#string 
o|dropping redundant toplevel assignment: chicken.base#chop 
o|dropping redundant toplevel assignment: scheme#make-rectangular 
o|dropping redundant toplevel assignment: scheme#make-polar 
o|dropping redundant toplevel assignment: scheme#real-part 
o|dropping redundant toplevel assignment: scheme#imag-part 
o|dropping redundant toplevel assignment: scheme#angle 
o|dropping redundant toplevel assignment: scheme#magnitude 
o|dropping redundant toplevel assignment: scheme#numerator 
o|dropping redundant toplevel assignment: scheme#denominator 
o|dropping redundant toplevel assignment: scheme#inexact->exact 
o|dropping redundant toplevel assignment: scheme#/ 
o|dropping redundant toplevel assignment: scheme#floor 
o|dropping redundant toplevel assignment: scheme#ceiling 
o|dropping redundant toplevel assignment: scheme#truncate 
o|dropping redundant toplevel assignment: scheme#round 
o|dropping redundant toplevel assignment: scheme#rationalize 
o|dropping redundant toplevel assignment: scheme#max 
o|dropping redundant toplevel assignment: scheme#min 
o|dropping redundant toplevel assignment: scheme#exp 
o|dropping redundant toplevel assignment: scheme#log 
o|dropping redundant toplevel assignment: scheme#sin 
o|dropping redundant toplevel assignment: scheme#cos 
o|dropping redundant toplevel assignment: scheme#tan 
o|dropping redundant toplevel assignment: scheme#asin 
o|dropping redundant toplevel assignment: scheme#acos 
o|dropping redundant toplevel assignment: scheme#atan 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-sqrt 
o|dropping redundant toplevel assignment: scheme#sqrt 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-nth-root 
o|dropping redundant toplevel assignment: scheme#expt 
o|dropping redundant toplevel assignment: scheme#gcd 
o|dropping redundant toplevel assignment: scheme#lcm 
o|dropping redundant toplevel assignment: scheme#string->number 
o|dropping redundant toplevel assignment: ##sys#number->string 
o|dropping redundant toplevel assignment: chicken.base#equal=? 
o|dropping redundant toplevel assignment: scheme#symbol->string 
o|dropping redundant toplevel assignment: scheme#string->symbol 
o|dropping redundant toplevel assignment: chicken.base#string->uninterned-symbol 
o|dropping redundant toplevel assignment: chicken.base#gensym 
o|dropping redundant toplevel assignment: chicken.base#symbol-append 
o|dropping redundant toplevel assignment: ##sys#update-errno 
o|dropping redundant toplevel assignment: ##sys#errno 
o|safe globals: (chicken.keyword#keyword->string chicken.keyword#string->keyword chicken.keyword#keyword? chicken.base#symbol-append chicken.base#gensym chicken.base#string->uninterned-symbol scheme#string->symbol scheme#symbol->string ##sys#symbol->string ##sys#string->symbol ##sys#interned-symbol? ##sys#intern-keyword ##sys#intern-symbol ##sys#snafu chicken.base#equal=? ##sys#number->string ##sys#integer->string ##sys#flonum->string ##sys#fixnum->string ##sys#string->number scheme#string->number ##sys#string->compnum round-quotient ldexp mantexp->dbl ##sys#extended-number->string ##sys#integer->string/recursive scheme#lcm ##sys#lcm scheme#gcd ##sys#gcd ##sys#internal-gcd scheme#expt ##sys#integer-power ##sys#exact-integer-nth-root/loc chicken.base#exact-integer-nth-root scheme#sqrt ##sys#sqrt/loc chicken.base#exact-integer-sqrt ##sys#exact-integer-sqrt scheme#atan scheme#acos scheme#asin scheme#tan scheme#cos scheme#sin scheme#log ##sys#log-1 scheme#exp scheme#min scheme#max scheme#rationalize find-ratio find-ratio-between scheme#round scheme#truncate scheme#ceiling scheme#floor ##sys#/-2 scheme#/ chicken.bitwise#arithmetic-shift chicken.bitwise#integer-length chicken.bitwise#bit->boolean chicken.bitwise#bitwise-not chicken.bitwise#bitwise-xor chicken.bitwise#bitwise-ior chicken.bitwise#bitwise-and ##sys#inexact->exact ##sys#exact->inexact scheme#inexact->exact flonum->ratnum ##sys#extended-signum scheme#denominator scheme#numerator ratnum scheme#magnitude scheme#angle scheme#imag-part scheme#real-part scheme#make-polar scheme#make-rectangular make-complex ##sys#inexact? ##sys#exact? ##sys#integer? ##sys#number? chicken.flonum#flonum-print-precision chicken.flonum#fpinteger? chicken.flonum#fpabs chicken.flonum#fpsqrt chicken.flonum#fplog chicken.flonum#fpexpt chicken.flonum#fpexp chicken.flonum#fpatan2 chicken.flonum#fpatan chicken.flonum#fpacos chicken.flonum#fpasin chicken.flonum#fptan chicken.flonum#fpcos chicken.flonum#fpsin chicken.flonum#fpceiling chicken.flonum#fpround chicken.flonum#fptruncate chicken.flonum#fpfloor chicken.flonum#fpmin chicken.flonum#fpmax chicken.flonum#fpneg chicken.flonum#fp<= chicken.flonum#fp>= chicken.flonum#fp< chicken.flonum#fp> chicken.flonum#fp= chicken.flonum#fp/? chicken.flonum#fpgcd chicken.flonum#fp/ chicken.flonum#fp* chicken.flonum#fp- chicken.flonum#fp+ chicken.flonum#flonum-minimum-decimal-exponent chicken.flonum#flonum-maximum-decimal-exponent chicken.flonum#flonum-minimum-exponent chicken.flonum#flonum-maximum-exponent chicken.flonum#flonum-decimal-precision chicken.flonum#flonum-precision chicken.flonum#flonum-epsilon chicken.flonum#flonum-radix chicken.flonum#minimum-flonum chicken.flonum#maximum-flonum chicken.base#chop ##sys#fragments->string scheme#string scheme#string-append ##sys#string-append scheme#string-ci>=? scheme#string-ci<=? scheme#string-ci>? scheme#string-ci<? scheme#string>=? scheme#string<=? scheme#string>? scheme#string<? ##sys#substring scheme#substring scheme#string-copy scheme#string-fill! ##sys#reverse-list->string ##sys#list->string scheme#list->string ##sys#string->list scheme#string->list scheme#make-string ##sys#make-string ##sys#fast-reverse scheme#append ##sys#error-bad-base ##sys#error-bad-real ##sys#error-bad-inexact ##sys#error-bad-exact-uinteger ##sys#error-bad-exact-integer ##sys#error-bad-integer ##sys#error-bad-number ##sys#error-not-a-proper-list ##sys#set-dlopen-flags! ##sys#dload scheme#force ##sys#check-closure ##sys#check-special ##sys#check-range ##sys#check-real ##sys#check-exact-uinteger ##sys#check-exact-integer ##sys#check-integer ##sys#check-locative ##sys#check-boolean ##sys#check-char ##sys#check-vector ##sys#check-symbol ##sys#check-inexact ##sys#check-exact ##sys#check-fixnum ##sys#check-number ##sys#check-string ##sys#check-list ##sys#check-pair ##sys#check-byte-vector ##sys#check-blob ##sys#check-structure chicken.time#cpu-time chicken.time#current-seconds chicken.time#current-milliseconds ##sys#block-set! ##sys#copy-closure ##sys#apply-values ##sys#block-ref ##sys#become! ##sys#halt ##sys#undefined-value ##sys#void ##sys#setbyte ##sys#byte ##sys#message ##sys#immediate? ##sys#stop-timer ##sys#start-timer ##sys#memory-info ##sys#symbol-table-info ##sys#ensure-heap-reserve ##sys#make-structure ##sys#allocate-vector ##sys#setislot ##sys#setslot ##sys#gc ##sys#notice ##sys#warn ##sys#error chicken.base#enable-warnings chicken.base#notice chicken.base#warning ##sys#notices-enabled ##sys#warnings-enabled ##sys#debug-mode? chicken.fixnum#fx/? chicken.fixnum#fx*? chicken.fixnum#fx-? chicken.fixnum#fx+? chicken.fixnum#fxrem chicken.fixnum#fxmod chicken.fixnum#fxgcd chicken.fixnum#fx/ chicken.fixnum#fxlen chicken.fixnum#fxeven? chicken.fixnum#fxodd? chicken.fixnum#fxshr chicken.fixnum#fxshl chicken.fixnum#fxnot chicken.fixnum#fxxor chicken.fixnum#fxior chicken.fixnum#fxand chicken.fixnum#fxneg chicken.fixnum#fxmax chicken.fixnum#fxmin chicken.fixnum#fx<= chicken.fixnum#fx>= chicken.fixnum#fx< chicken.fixnum#fx> chicken.fixnum#fx= chicken.fixnum#fx* chicken.fixnum#fx- chicken.fixnum#fx+ chicken.fixnum#fixnum-precision chicken.fixnum#fixnum-bits chicken.fixnum#most-negative-fixnum chicken.fixnum#most-positive-fixnum maximal-string-length chicken.base#rassoc chicken.base#alist-ref chicken.base#alist-update chicken.base#alist-update! chicken.base#compress chicken.base#join chicken.base#flatten chicken.base#butlast chicken.base#intersperse chicken.base#tail? chicken.base#atom? chicken.base#each chicken.base#list-of? chicken.base#o chicken.base#compose chicken.base#complement chicken.base#flip chicken.base#constantly chicken.base#disjoin chicken.base#conjoin chicken.base#identity chicken.base#symbol-escape chicken.base#parentheses-synonyms chicken.base#keyword-style chicken.base#case-sensitive chicken.base#emergency-exit chicken.base#exit chicken.base#on-exit chicken.base#cleanup-tasks chicken.base#exit-handler chicken.base#implicit-exit-handler chicken.base#foldr chicken.base#foldl chicken.base#make-promise ##sys#make-promise chicken.base#promise? chicken.base#flush-output chicken.base#open-output-string chicken.base#open-input-string chicken.base#get-output-string chicken.base#output-port-open? chicken.base#input-port-open? chicken.base#port-closed? chicken.base#port? chicken.base#vector-resize chicken.base#subvector chicken.base#vector-copy! chicken.base#setter chicken.base#procedure-information chicken.base#make-parameter chicken.base#getter-with-setter chicken.base#char-name chicken.base#call/cc chicken.base#sleep chicken.base#void chicken.base#error chicken.base#current-error-port chicken.base#sub1 chicken.base#add1 chicken.base#print* chicken.base#print chicken.base#print-call-chain chicken.base#get-call-chain chicken.base#signum chicken.base#nan? chicken.base#infinite? chicken.base#finite? chicken.base#quotient&modulo chicken.base#quotient&remainder chicken.base#exact-integer? chicken.base#cplxnum? chicken.base#ratnum? chicken.base#bignum? chicken.base#flonum? chicken.base#fixnum? scheme#dynamic-wind scheme#map scheme#for-each scheme#load scheme#null-environment scheme#scheme-report-environment scheme#interaction-environment scheme#eval scheme#display scheme#write scheme#newline scheme#write-char scheme#read scheme#peek-char scheme#read-char scheme#char-ready? scheme#eof-object? scheme#with-output-to-file scheme#with-input-from-file scheme#call-with-output-file scheme#call-with-input-file scheme#close-output-port scheme#close-input-port scheme#open-output-file scheme#open-input-file scheme#current-output-port scheme#current-input-port scheme#output-port? scheme#input-port? scheme#call-with-current-continuation scheme#call-with-values scheme#values scheme#apply scheme#procedure? scheme#char-alphabetic? scheme#char-whitespace? scheme#char-numeric? scheme#char-lower-case? scheme#char-upper-case? scheme#char-ci<=? scheme#char-ci>=? scheme#char-ci<? scheme#char-ci>? scheme#char-ci=? scheme#char-downcase scheme#char-upcase scheme#char<=? scheme#char>=? scheme#char<? scheme#char>? scheme#char=? scheme#integer->char scheme#char->integer scheme#char? scheme#vector-fill! scheme#vector scheme#vector->list scheme#list->vector scheme#make-vector scheme#vector-set! scheme#vector-ref scheme#vector-length scheme#vector? scheme#symbol? scheme#number->string scheme#negative? scheme#positive? scheme#zero? scheme#inexact? scheme#exact? scheme#integer? scheme#rational? scheme#real? scheme#complex? scheme#number? scheme#<= scheme#>= scheme#< scheme#> scheme#= scheme#odd? scheme#even? scheme#modulo scheme#remainder scheme#quotient scheme#* scheme#- scheme#+ scheme#abs scheme#exact->inexact scheme#string-fill scheme#string-ci=? scheme#string=? scheme#string-set! scheme#string-ref scheme#string-length scheme#string? scheme#list? scheme#assoc scheme#assv scheme#assq scheme#member scheme#memv scheme#memq scheme#reverse scheme#list-ref scheme#list-tail scheme#length scheme#list scheme#null? scheme#cdddar scheme#cddadr scheme#cddaar scheme#cdaddr scheme#cdadar scheme#cdaadr scheme#cdaaar scheme#caddar scheme#cadadr scheme#cadaar scheme#caaddr scheme#caadar scheme#caaadr scheme#caaaar scheme#cdddr scheme#cddar scheme#cdadr scheme#cdaar scheme#cadar scheme#caadr scheme#caaar scheme#cddr scheme#cdar scheme#caar scheme#cddddr scheme#cadddr scheme#caddr scheme#cadr scheme#set-cdr! scheme#set-car! scheme#cdr scheme#car scheme#cons scheme#pair? scheme#equal? scheme#eqv? scheme#eq? scheme#boolean? scheme#not) 
o|inlining procedure: k8837 
o|inlining procedure: k8837 
o|removed side-effect free assignment to unused variable: scheme#string-fill 
o|inlining procedure: k9074 
o|inlining procedure: k9074 
o|inlining procedure: k9080 
o|inlining procedure: k9080 
o|inlining procedure: k9171 
o|inlining procedure: k9171 
o|substituted constant variable: a9219 
o|substituted constant variable: a9224 
o|inlining procedure: k9229 
o|inlining procedure: k9229 
o|inlining procedure: k9277 
o|inlining procedure: k9277 
o|inlining procedure: k9301 
o|inlining procedure: k9301 
o|inlining procedure: k9338 
o|inlining procedure: k9338 
o|inlining procedure: k9427 
o|inlining procedure: k9427 
o|inlining procedure: k9457 
o|inlining procedure: k9457 
o|inlining procedure: k9486 
o|inlining procedure: k9486 
o|inlining procedure: k9530 
o|inlining procedure: k9530 
o|inlining procedure: k9551 
o|propagated global variable: r955232145 scheme#values 
o|inlining procedure: k9551 
o|inlining procedure: k9563 
o|propagated global variable: r956432147 chicken.base#identity 
o|inlining procedure: k9563 
o|inlining procedure: k9581 
o|inlining procedure: k9581 
o|inlining procedure: k9610 
o|inlining procedure: k9610 
o|inlining procedure: k9622 
o|inlining procedure: k9622 
o|inlining procedure: k9646 
o|inlining procedure: k9646 
o|inlining procedure: k9680 
o|inlining procedure: k9680 
o|inlining procedure: k9708 
o|inlining procedure: k9708 
o|inlining procedure: k9717 
o|inlining procedure: k9717 
o|inlining procedure: k9739 
o|inlining procedure: k9739 
o|inlining procedure: k9778 
o|inlining procedure: k9778 
o|inlining procedure: k9804 
o|inlining procedure: k9804 
o|inlining procedure: k9851 
o|inlining procedure: k9851 
o|inlining procedure: k9872 
o|inlining procedure: k9872 
o|inlining procedure: k9905 
o|inlining procedure: k9905 
o|inlining procedure: k9920 
o|inlining procedure: k9920 
o|inlining procedure: k9985 
o|inlining procedure: k9985 
o|inlining procedure: k10001 
o|propagated global variable: r1000232179 scheme#assv 
o|inlining procedure: k10001 
o|inlining procedure: k10021 
o|inlining procedure: k10021 
o|inlining procedure: k10071 
o|inlining procedure: k10071 
o|inlining procedure: k10096 
o|inlining procedure: k10096 
o|inlining procedure: k10184 
o|inlining procedure: k10184 
o|inlining procedure: k10193 
o|propagated global variable: r1019432189 scheme#assv 
o|inlining procedure: k10193 
o|inlining procedure: k10213 
o|inlining procedure: k10213 
o|inlining procedure: k10231 
o|inlining procedure: k10231 
o|inlining procedure: k10290 
o|inlining procedure: k10290 
o|inlining procedure: k10423 
o|inlining procedure: k10423 
o|inlining procedure: k10432 
o|inlining procedure: k10432 
o|inlining procedure: k10444 
o|inlining procedure: k10444 
o|propagated global variable: r1044532202 ##sys#warnings-enabled 
o|inlining procedure: k10548 
o|inlining procedure: k10548 
o|inlining procedure: k10581 
o|inlining procedure: k10581 
o|inlining procedure: k10592 
o|inlining procedure: k10592 
o|inlining procedure: k10604 
o|inlining procedure: k10604 
o|inlining procedure: k10615 
o|inlining procedure: k10615 
o|inlining procedure: k10626 
o|inlining procedure: k10626 
o|inlining procedure: k10637 
o|inlining procedure: k10637 
o|inlining procedure: k10648 
o|inlining procedure: k10648 
o|inlining procedure: k10659 
o|inlining procedure: k10659 
o|inlining procedure: k10670 
o|inlining procedure: k10670 
o|inlining procedure: k10681 
o|inlining procedure: k10681 
o|inlining procedure: k10692 
o|inlining procedure: k10692 
o|inlining procedure: k10703 
o|inlining procedure: k10703 
o|inlining procedure: k10714 
o|inlining procedure: k10714 
o|inlining procedure: k10725 
o|inlining procedure: k10725 
o|inlining procedure: k10736 
o|inlining procedure: k10736 
o|inlining procedure: k10743 
o|inlining procedure: k10743 
o|inlining procedure: k10753 
o|inlining procedure: k10753 
o|inlining procedure: k10760 
o|inlining procedure: k10760 
o|inlining procedure: k10770 
o|inlining procedure: k10783 
o|inlining procedure: k10783 
o|inlining procedure: k10770 
o|inlining procedure: k10794 
o|inlining procedure: k10794 
o|inlining procedure: k10801 
o|inlining procedure: k10801 
o|inlining procedure: k10814 
o|inlining procedure: k10814 
o|inlining procedure: k10825 
o|inlining procedure: k10825 
o|inlining procedure: k10841 
o|inlining procedure: k10841 
o|inlining procedure: k10851 
o|inlining procedure: k10851 
o|inlining procedure: k10861 
o|inlining procedure: k10861 
o|inlining procedure: k10872 
o|inlining procedure: k10887 
o|inlining procedure: k10887 
o|inlining procedure: k10905 
o|inlining procedure: k10926 
o|inlining procedure: k10926 
o|inlining procedure: k10954 
o|inlining procedure: k10954 
o|inlining procedure: k10905 
o|inlining procedure: k10872 
o|inlining procedure: k11128 
o|inlining procedure: k11128 
o|inlining procedure: k11140 
o|inlining procedure: k11140 
o|inlining procedure: k11159 
o|inlining procedure: k11159 
o|inlining procedure: k11213 
o|inlining procedure: k11213 
o|contracted procedure: "(library.scm:1303) g14941495" 
o|contracted procedure: "(library.scm:1310) g15001501" 
o|inlining procedure: k11309 
o|inlining procedure: k11309 
o|inlining procedure: k11331 
o|inlining procedure: k11331 
o|inlining procedure: k11352 
o|inlining procedure: k11352 
o|inlining procedure: k11383 
o|inlining procedure: k11403 
o|inlining procedure: k11403 
o|inlining procedure: k11383 
o|inlining procedure: k11469 
o|inlining procedure: k11469 
o|inlining procedure: k11485 
o|inlining procedure: k11485 
o|inlining procedure: k11546 
o|inlining procedure: k11546 
o|inlining procedure: k11570 
o|inlining procedure: k11570 
o|inlining procedure: k11591 
o|inlining procedure: k11591 
o|inlining procedure: k11612 
o|inlining procedure: k11612 
o|inlining procedure: k11656 
o|inlining procedure: k11656 
o|inlining procedure: k11680 
o|inlining procedure: k11680 
o|inlining procedure: k11701 
o|inlining procedure: k11701 
o|inlining procedure: k11722 
o|inlining procedure: k11722 
o|inlining procedure: k11759 
o|inlining procedure: k11759 
o|inlining procedure: k11807 
o|inlining procedure: k11807 
o|inlining procedure: k11848 
o|inlining procedure: k11848 
o|inlining procedure: k11869 
o|inlining procedure: k11869 
o|contracted procedure: "(library.scm:1564) g17481749" 
o|inlining procedure: k11930 
o|inlining procedure: k11930 
o|contracted procedure: "(library.scm:1568) g17591760" 
o|inlining procedure: k11954 
o|inlining procedure: k11954 
o|contracted procedure: "(library.scm:1572) g17701771" 
o|inlining procedure: k11978 
o|inlining procedure: k11978 
o|contracted procedure: "(library.scm:1576) g17811782" 
o|inlining procedure: k12002 
o|inlining procedure: k12002 
o|contracted procedure: "(library.scm:1580) g17921793" 
o|inlining procedure: k12026 
o|inlining procedure: k12026 
o|contracted procedure: "(library.scm:1584) g18031804" 
o|inlining procedure: k12050 
o|inlining procedure: k12050 
o|contracted procedure: "(library.scm:1588) g18141815" 
o|inlining procedure: k12074 
o|inlining procedure: k12074 
o|contracted procedure: "(library.scm:1592) g18251826" 
o|inlining procedure: k12098 
o|inlining procedure: k12098 
o|contracted procedure: "(library.scm:1596) g18361837" 
o|inlining procedure: k12122 
o|inlining procedure: k12122 
o|contracted procedure: "(library.scm:1600) g18471848" 
o|inlining procedure: k12146 
o|inlining procedure: k12146 
o|contracted procedure: "(library.scm:1604) g18581859" 
o|inlining procedure: k12170 
o|inlining procedure: k12170 
o|contracted procedure: "(library.scm:1608) g18681869" 
o|inlining procedure: k12194 
o|inlining procedure: k12194 
o|contracted procedure: "(library.scm:1612) g18771878" 
o|inlining procedure: k12212 
o|inlining procedure: k12212 
o|contracted procedure: "(library.scm:1616) g18881889" 
o|inlining procedure: k12236 
o|inlining procedure: k12236 
o|contracted procedure: "(library.scm:1620) g18981899" 
o|inlining procedure: k12260 
o|inlining procedure: k12260 
o|contracted procedure: "(library.scm:1624) g19061907" 
o|inlining procedure: k12278 
o|inlining procedure: k12278 
o|contracted procedure: "(library.scm:1628) g19141915" 
o|inlining procedure: k12296 
o|inlining procedure: k12296 
o|contracted procedure: "(library.scm:1632) g19221923" 
o|inlining procedure: k12314 
o|inlining procedure: k12314 
o|contracted procedure: "(library.scm:1636) g19301931" 
o|inlining procedure: k12332 
o|inlining procedure: k12332 
o|contracted procedure: "(library.scm:1640) g19381939" 
o|inlining procedure: k12350 
o|inlining procedure: k12350 
o|contracted procedure: "(library.scm:1644) g19461947" 
o|inlining procedure: k12368 
o|inlining procedure: k12368 
o|contracted procedure: "(library.scm:1648) g19541955" 
o|inlining procedure: k12386 
o|inlining procedure: k12386 
o|contracted procedure: "(library.scm:1652) g19621963" 
o|inlining procedure: k12404 
o|inlining procedure: k12404 
o|contracted procedure: "(library.scm:1656) g19701971" 
o|inlining procedure: k12422 
o|inlining procedure: k12422 
o|contracted procedure: "(library.scm:1660) g19791980" 
o|inlining procedure: k12440 
o|inlining procedure: k12440 
o|contracted procedure: "(library.scm:1664) g19891990" 
o|inlining procedure: k12464 
o|inlining procedure: k12464 
o|contracted procedure: "(library.scm:1668) g19981999" 
o|inlining procedure: k12482 
o|inlining procedure: k12482 
o|contracted procedure: "(library.scm:1672) g20082009" 
o|inlining procedure: k12506 
o|inlining procedure: k12506 
o|contracted procedure: "(library.scm:1676) g20162017" 
o|inlining procedure: k12524 
o|inlining procedure: k12524 
o|contracted procedure: "(library.scm:1680) g20242025" 
o|inlining procedure: k12542 
o|inlining procedure: k12542 
o|contracted procedure: "(library.scm:1684) g20322033" 
o|inlining procedure: k12560 
o|inlining procedure: k12560 
o|inlining procedure: k12579 
o|inlining procedure: k12579 
o|inlining procedure: k12598 
o|inlining procedure: k12598 
o|inlining procedure: k12625 
o|inlining procedure: k12625 
o|inlining procedure: k12667 
o|contracted procedure: "(library.scm:1733) g21232124" 
o|inlining procedure: k12667 
o|inlining procedure: k12690 
o|contracted procedure: "(library.scm:1739) g21312132" 
o|inlining procedure: k12690 
o|inlining procedure: k12704 
o|inlining procedure: k12704 
o|inlining procedure: k12732 
o|contracted procedure: "(library.scm:1755) g21462147" 
o|contracted procedure: "(library.scm:1754) g21432144" 
o|inlining procedure: k12732 
o|inlining procedure: k12771 
o|inlining procedure: k12771 
o|contracted procedure: "(library.scm:1769) g21562157" 
o|inlining procedure: k12788 
o|contracted procedure: "(library.scm:1771) g21592160" 
o|contracted procedure: "(library.scm:1771) g21662167" 
o|contracted procedure: "(library.scm:1771) g21632164" 
o|inlining procedure: k12788 
o|contracted procedure: "(library.scm:1772) g21692170" 
o|inlining procedure: k12817 
o|inlining procedure: k12817 
o|inlining procedure: k12824 
o|inlining procedure: k12824 
o|inlining procedure: k12846 
o|contracted procedure: "(library.scm:1781) g21822183" 
o|inlining procedure: k12846 
o|inlining procedure: k12863 
o|inlining procedure: k12863 
o|inlining procedure: k12870 
o|inlining procedure: k12870 
o|inlining procedure: k12892 
o|contracted procedure: "(library.scm:1793) g21942195" 
o|inlining procedure: k12892 
o|inlining procedure: k12909 
o|contracted procedure: "(library.scm:1800) g22032204" 
o|inlining procedure: k12909 
o|inlining procedure: k13029 
o|inlining procedure: k13029 
o|inlining procedure: k13038 
o|contracted procedure: "(library.scm:1833) g22352236" 
o|inlining procedure: k13038 
o|contracted procedure: "(library.scm:1834) flonum->ratnum" 
o|inlining procedure: k12975 
o|contracted procedure: "(library.scm:1818) g22202221" 
o|inlining procedure: k12975 
o|contracted procedure: "(library.scm:1815) float-fraction-length2208" 
o|inlining procedure: k12950 
o|inlining procedure: k12950 
o|inlining procedure: k12999 
o|inlining procedure: k12999 
o|substituted constant variable: a13025 
o|inlining procedure: k13055 
o|contracted procedure: "(library.scm:1838) g22412242" 
o|contracted procedure: "(library.scm:1837) g22382239" 
o|inlining procedure: k13055 
o|inlining procedure: k13107 
o|inlining procedure: k13107 
o|inlining procedure: k13130 
o|inlining procedure: k13130 
o|inlining procedure: k13161 
o|contracted procedure: "(library.scm:1890) g22982299" 
o|contracted procedure: "(library.scm:1890) g22942295" 
o|contracted procedure: "(library.scm:1889) g22902291" 
o|inlining procedure: k13161 
o|inlining procedure: k13237 
o|inlining procedure: k13237 
o|inlining procedure: k13260 
o|contracted procedure: "(library.scm:1910) g23372338" 
o|contracted procedure: "(library.scm:1909) g23322333" 
o|contracted procedure: "(library.scm:1908) g23282329" 
o|contracted procedure: "(library.scm:1908) g23242325" 
o|contracted procedure: "(library.scm:1907) g23202321" 
o|contracted procedure: "(library.scm:1907) g23162317" 
o|inlining procedure: k13260 
o|contracted procedure: "(library.scm:1919) g23482349" 
o|contracted procedure: "(library.scm:1916) g23422343" 
o|inlining procedure: k13341 
o|contracted procedure: "(library.scm:1929) g23572358" 
o|contracted procedure: "(library.scm:1927) g23522353" 
o|inlining procedure: k13341 
o|inlining procedure: k13406 
o|inlining procedure: k13406 
o|inlining procedure: k13416 
o|substituted constant variable: a13438 
o|substituted constant variable: a13440 
o|contracted procedure: "(library.scm:1943) g23722373" 
o|contracted procedure: "(library.scm:1942) g23682369" 
o|inlining procedure: k13416 
o|inlining procedure: k13447 
o|inlining procedure: k13447 
o|inlining procedure: k13457 
o|substituted constant variable: a13479 
o|substituted constant variable: a13481 
o|contracted procedure: "(library.scm:1953) g23852386" 
o|contracted procedure: "(library.scm:1952) g23812382" 
o|inlining procedure: k13457 
o|inlining procedure: k13488 
o|inlining procedure: k13488 
o|inlining procedure: k13498 
o|contracted procedure: "(library.scm:1963) g23962397" 
o|contracted procedure: "(library.scm:1962) g23932394" 
o|inlining procedure: k13498 
o|inlining procedure: k13522 
o|inlining procedure: k13522 
o|inlining procedure: k13529 
o|substituted constant variable: a13552 
o|contracted procedure: "(library.scm:1972) g24052406" 
o|inlining procedure: k13529 
o|inlining procedure: k13571 
o|inlining procedure: k13571 
o|substituted constant variable: a13620 
o|inlining procedure: k13633 
o|inlining procedure: k13633 
o|inlining procedure: k13650 
o|inlining procedure: k13650 
o|inlining procedure: k13701 
o|inlining procedure: k13701 
o|contracted procedure: "(library.scm:1999) find-ratio" 
o|inlining procedure: k13733 
o|inlining procedure: k13733 
o|inlining procedure: k13776 
o|inlining procedure: k13776 
o|inlining procedure: k13812 
o|contracted procedure: "(library.scm:2032) g24682469" 
o|contracted procedure: "(library.scm:2031) g24642465" 
o|inlining procedure: k13812 
o|inlining procedure: k13851 
o|inlining procedure: k13851 
o|inlining procedure: k13897 
o|inlining procedure: k13897 
o|substituted constant variable: a13932 
o|inlining procedure: k13926 
o|inlining procedure: k13926 
o|substituted constant variable: a13962 
o|inlining procedure: k13956 
o|inlining procedure: k13956 
o|inlining procedure: k13986 
o|inlining procedure: k13986 
o|inlining procedure: k14011 
o|inlining procedure: k14011 
o|substituted constant variable: a14023 
o|substituted constant variable: a14030 
o|substituted constant variable: a14037 
o|inlining procedure: k14041 
o|inlining procedure: k14041 
o|inlining procedure: k14050 
o|substituted constant variable: a14057 
o|inlining procedure: k14050 
o|inlining procedure: k14064 
o|inlining procedure: k14064 
o|inlining procedure: k14081 
o|inlining procedure: k14081 
o|inlining procedure: k14090 
o|substituted constant variable: a14097 
o|inlining procedure: k14090 
o|inlining procedure: k14107 
o|substituted constant variable: a14119 
o|substituted constant variable: a14134 
o|substituted constant variable: a14137 
o|inlining procedure: k14107 
o|inlining procedure: k14159 
o|inlining procedure: k14177 
o|inlining procedure: k14177 
o|inlining procedure: k14195 
o|inlining procedure: k14195 
o|substituted constant variable: a14208 
o|substituted constant variable: a14210 
o|substituted constant variable: a14212 
o|substituted constant variable: a14217 
o|substituted constant variable: a14219 
o|inlining procedure: k14159 
o|substituted constant variable: a14245 
o|substituted constant variable: a14247 
o|substituted constant variable: a14273 
o|inlining procedure: k14289 
o|substituted constant variable: a14298 
o|substituted constant variable: a14304 
o|substituted constant variable: a14305 
o|inlining procedure: k14289 
o|inlining procedure: k14333 
o|inlining procedure: k14333 
o|inlining procedure: k14380 
o|inlining procedure: k14396 
o|inlining procedure: k14396 
o|inlining procedure: k14380 
o|contracted procedure: "(library.scm:2173) g26102611" 
o|inlining procedure: k14430 
o|contracted procedure: "(library.scm:2176) g26152616" 
o|inlining procedure: k14454 
o|inlining procedure: k14454 
o|inlining procedure: k14430 
o|inlining procedure: k14502 
o|inlining procedure: k14502 
o|substituted constant variable: a14525 
o|substituted constant variable: a14529 
o|substituted constant variable: a14532 
o|inlining procedure: k14551 
o|inlining procedure: k14551 
o|inlining procedure: k14596 
o|inlining procedure: k14596 
o|inlining procedure: k14610 
o|contracted procedure: "(library.scm:2218) g26482649" 
o|inlining procedure: k14610 
o|inlining procedure: k14633 
o|inlining procedure: k14633 
o|contracted procedure: "(library.scm:2223) square2646" 
o|substituted constant variable: a14654 
o|substituted constant variable: a14663 
o|inlining procedure: k14682 
o|inlining procedure: k14682 
o|inlining procedure: k14700 
o|inlining procedure: k14700 
o|inlining procedure: k14718 
o|contracted procedure: "(library.scm:2243) g26762677" 
o|contracted procedure: "(library.scm:2242) g26732674" 
o|inlining procedure: k14718 
o|inlining procedure: k14752 
o|contracted procedure: "(library.scm:2252) g26832684" 
o|inlining procedure: k14787 
o|contracted procedure: "(library.scm:2254) g26882689" 
o|inlining procedure: k14787 
o|inlining procedure: k14752 
o|inlining procedure: k14821 
o|inlining procedure: k14821 
o|inlining procedure: k14839 
o|inlining procedure: k14839 
o|inlining procedure: k14858 
o|inlining procedure: k14858 
o|inlining procedure: k14895 
o|inlining procedure: k14895 
o|inlining procedure: k14927 
o|contracted procedure: "(library.scm:2280) g27132714" 
o|inlining procedure: k14940 
o|contracted procedure: "(library.scm:2283) g27182719" 
o|inlining procedure: k14940 
o|inlining procedure: k14927 
o|inlining procedure: k14968 
o|inlining procedure: k14968 
o|contracted procedure: "(library.scm:2290) g27272728" 
o|inlining procedure: k15003 
o|inlining procedure: k15003 
o|inlining procedure: k15023 
o|inlining procedure: k15023 
o|inlining procedure: k15065 
o|inlining procedure: k15065 
o|inlining procedure: k15085 
o|inlining procedure: k15085 
o|substituted constant variable: a15155 
o|inlining procedure: k15173 
o|contracted procedure: "(library.scm:2346) g27932794" 
o|contracted procedure: "(library.scm:2344) g27902791" 
o|inlining procedure: k15173 
o|inlining procedure: k15237 
o|inlining procedure: k15237 
o|contracted procedure: "(library.scm:2350) g28012802" 
o|contracted procedure: "(library.scm:2349) g27982799" 
o|inlining procedure: k15345 
o|inlining procedure: k15345 
o|substituted constant variable: a15371 
o|contracted procedure: "(library.scm:2388) g28312832" 
o|inlining procedure: k15381 
o|inlining procedure: k15381 
o|inlining procedure: k15391 
o|substituted constant variable: a15404 
o|inlining procedure: k15400 
o|inlining procedure: k15411 
o|inlining procedure: k15411 
o|substituted constant variable: a15419 
o|inlining procedure: k15400 
o|inlining procedure: k15428 
o|inlining procedure: k15428 
o|inlining procedure: k15434 
o|contracted procedure: "(library.scm:2409) mantexp->dbl" 
o|inlining procedure: k15250 
o|inlining procedure: k15250 
o|contracted procedure: "(library.scm:2380) ldexp" 
o|substituted constant variable: a15305 
o|propagated global variable: a15308 chicken.flonum#flonum-precision 
o|inlining procedure: k15434 
o|inlining procedure: k15391 
o|inlining procedure: k15471 
o|inlining procedure: k15471 
o|inlining procedure: k15497 
o|inlining procedure: k15497 
o|inlining procedure: k15524 
o|inlining procedure: k15524 
o|inlining procedure: k15552 
o|inlining procedure: k15552 
o|substituted constant variable: a15559 
o|substituted constant variable: a15563 
o|substituted constant variable: a15570 
o|contracted procedure: "(library.scm:2431) g28692870" 
o|inlining procedure: k15579 
o|inlining procedure: k15579 
o|inlining procedure: k15612 
o|inlining procedure: k15612 
o|contracted procedure: "(library.scm:2446) g28922893" 
o|inlining procedure: k15632 
o|inlining procedure: k15632 
o|inlining procedure: k15654 
o|inlining procedure: k15654 
o|inlining procedure: k15665 
o|inlining procedure: k15665 
o|inlining procedure: k15679 
o|inlining procedure: k15702 
o|inlining procedure: k15702 
o|inlining procedure: k15728 
o|inlining procedure: k15728 
o|substituted constant variable: a15735 
o|substituted constant variable: a15737 
o|contracted procedure: "(library.scm:2468) g29282929" 
o|inlining procedure: k15679 
o|inlining procedure: k15740 
o|inlining procedure: k15761 
o|inlining procedure: k15779 
o|inlining procedure: k15791 
o|inlining procedure: k15807 
o|inlining procedure: k15807 
o|inlining procedure: k15791 
o|inlining procedure: k15779 
o|inlining procedure: k15761 
o|inlining procedure: k15851 
o|inlining procedure: k15851 
o|inlining procedure: k15865 
o|inlining procedure: k15865 
o|inlining procedure: k15877 
o|inlining procedure: k15877 
o|inlining procedure: k15889 
o|inlining procedure: k15889 
o|inlining procedure: k15901 
o|inlining procedure: k15901 
o|substituted constant variable: a15914 
o|substituted constant variable: a15916 
o|substituted constant variable: a15918 
o|substituted constant variable: a15920 
o|substituted constant variable: a15922 
o|substituted constant variable: a15924 
o|substituted constant variable: a15926 
o|substituted constant variable: a15928 
o|substituted constant variable: a15930 
o|substituted constant variable: a15932 
o|contracted procedure: "(library.scm:2484) g29572958" 
o|inlining procedure: k15941 
o|inlining procedure: k15941 
o|inlining procedure: k15740 
o|inlining procedure: k15952 
o|inlining procedure: k15952 
o|inlining procedure: k15977 
o|inlining procedure: k15992 
o|inlining procedure: k15992 
o|inlining procedure: k15977 
o|inlining procedure: k16032 
o|inlining procedure: k16044 
o|inlining procedure: k16054 
o|inlining procedure: k16054 
o|inlining procedure: k16044 
o|inlining procedure: k16032 
o|inlining procedure: k16074 
o|inlining procedure: k16090 
o|inlining procedure: k16100 
o|inlining procedure: k16118 
o|inlining procedure: k16138 
o|inlining procedure: "(library.scm:2537) make-nan2844" 
o|inlining procedure: k16138 
o|substituted constant variable: a16165 
o|substituted constant variable: a16167 
o|substituted constant variable: a16169 
o|inlining procedure: k16118 
o|inlining procedure: k16100 
o|inlining procedure: k16090 
o|inlining procedure: k16074 
o|substituted constant variable: a16187 
o|inlining procedure: k16191 
o|inlining procedure: k16191 
o|inlining procedure: k16203 
o|inlining procedure: k16203 
o|inlining procedure: k16215 
o|inlining procedure: k16215 
o|inlining procedure: k16227 
o|inlining procedure: k16227 
o|substituted constant variable: a16240 
o|substituted constant variable: a16242 
o|substituted constant variable: a16244 
o|substituted constant variable: a16246 
o|substituted constant variable: a16248 
o|substituted constant variable: a16250 
o|substituted constant variable: a16252 
o|substituted constant variable: a16254 
o|substituted constant variable: a16256 
o|substituted constant variable: a16258 
o|substituted constant variable: a16260 
o|contracted procedure: "(library.scm:2509) g30313032" 
o|inlining procedure: k16274 
o|contracted procedure: "(library.scm:2504) g30183019" 
o|inlining procedure: k16274 
o|inlining procedure: k16295 
o|inlining procedure: k16323 
o|inlining procedure: k16345 
o|inlining procedure: k16355 
o|inlining procedure: k16355 
o|inlining procedure: k16345 
o|inlining procedure: k16378 
o|inlining procedure: k16378 
o|inlining procedure: k16323 
o|inlining procedure: k16428 
o|inlining procedure: k16428 
o|inlining procedure: k16438 
o|inlining procedure: k16461 
o|inlining procedure: k16461 
o|inlining procedure: "(library.scm:2566) make-nan2844" 
o|inlining procedure: k16438 
o|substituted constant variable: a16497 
o|substituted constant variable: a16499 
o|substituted constant variable: a16504 
o|substituted constant variable: a16506 
o|contracted procedure: "(library.scm:2547) g31123113" 
o|inlining procedure: k16513 
o|inlining procedure: k16513 
o|substituted constant variable: a16520 
o|substituted constant variable: a16522 
o|contracted procedure: "(library.scm:2543) g31003101" 
o|inlining procedure: k16295 
o|inlining procedure: k16529 
o|inlining procedure: k16541 
o|inlining procedure: k16541 
o|inlining procedure: k16529 
o|inlining procedure: k16548 
o|inlining procedure: k16548 
o|inlining procedure: k16564 
o|contracted procedure: "(library.scm:2576) g31663167" 
o|contracted procedure: "(library.scm:2575) g31623163" 
o|inlining procedure: k16564 
o|inlining procedure: k16605 
o|inlining procedure: k16624 
o|inlining procedure: k16639 
o|inlining procedure: k16639 
o|contracted procedure: "(library.scm:2584) g31903191" 
o|contracted procedure: "(library.scm:2583) g31863187" 
o|inlining procedure: k16624 
o|inlining procedure: k16605 
o|inlining procedure: k16686 
o|inlining procedure: k16686 
o|substituted constant variable: a16713 
o|substituted constant variable: a16718 
o|substituted constant variable: a16720 
o|substituted constant variable: a16725 
o|substituted constant variable: a16727 
o|substituted constant variable: a16729 
o|contracted procedure: "(library.scm:2572) g31503151" 
o|inlining procedure: k16786 
o|inlining procedure: k16806 
o|inlining procedure: k16806 
o|inlining procedure: k16819 
o|inlining procedure: k16819 
o|inlining procedure: k16850 
o|inlining procedure: k16850 
o|inlining procedure: k16863 
o|inlining procedure: k16863 
o|inlining procedure: k16894 
o|inlining procedure: k16894 
o|inlining procedure: k16907 
o|inlining procedure: k16907 
o|substituted constant variable: a16933 
o|substituted constant variable: a16935 
o|substituted constant variable: a16940 
o|substituted constant variable: a16942 
o|substituted constant variable: a16947 
o|substituted constant variable: a16949 
o|substituted constant variable: a16954 
o|substituted constant variable: a16956 
o|substituted constant variable: a16961 
o|substituted constant variable: a16963 
o|substituted constant variable: a16968 
o|substituted constant variable: a16970 
o|contracted procedure: "(library.scm:2608) g32373238" 
o|inlining procedure: k16786 
o|inlining procedure: k16979 
o|inlining procedure: k16979 
o|contracted procedure: "(library.scm:2607) g32273228" 
o|inlining procedure: k17004 
o|inlining procedure: k17004 
o|inlining procedure: k17077 
o|inlining procedure: k17098 
o|inlining procedure: k17098 
o|inlining procedure: k17077 
o|inlining procedure: k17142 
o|inlining procedure: k17142 
o|inlining procedure: k17151 
o|inlining procedure: k17151 
o|inlining procedure: k17162 
o|inlining procedure: k17162 
o|inlining procedure: k17174 
o|inlining procedure: k17174 
o|inlining procedure: k17183 
o|inlining procedure: k17183 
o|inlining procedure: k17192 
o|inlining procedure: k17201 
o|inlining procedure: k17201 
o|inlining procedure: k17192 
o|inlining procedure: k17329 
o|inlining procedure: k17329 
o|inlining procedure: "(library.scm:2710) err3349" 
o|inlining procedure: k17335 
o|inlining procedure: k17335 
o|inlining procedure: "(library.scm:2709) err3349" 
o|inlining procedure: k17375 
o|contracted procedure: "(library.scm:2719) g33733382" 
o|inlining procedure: k17375 
o|inlining procedure: k17409 
o|inlining procedure: k17409 
o|inlining procedure: k17427 
o|inlining procedure: k17427 
o|inlining procedure: k17451 
o|inlining procedure: k17451 
o|inlining procedure: k17488 
o|inlining procedure: k17488 
o|inlining procedure: k17536 
o|inlining procedure: k17536 
o|inlining procedure: k17560 
o|inlining procedure: k17560 
o|inlining procedure: k17579 
o|inlining procedure: k17579 
o|inlining procedure: k17600 
o|inlining procedure: k17600 
o|inlining procedure: k17640 
o|inlining procedure: k17640 
o|inlining procedure: k17679 
o|inlining procedure: k17679 
o|inlining procedure: k17725 
o|inlining procedure: k17725 
o|inlining procedure: k17797 
o|inlining procedure: k17797 
o|inlining procedure: k17871 
o|inlining procedure: k17871 
o|inlining procedure: k17973 
o|inlining procedure: k17973 
o|inlining procedure: k18004 
o|inlining procedure: k18004 
o|inlining procedure: k18034 
o|inlining procedure: k18034 
o|inlining procedure: k18104 
o|inlining procedure: k18104 
o|inlining procedure: k18168 
o|inlining procedure: k18168 
o|inlining procedure: k18206 
o|inlining procedure: k18206 
o|inlining procedure: k18242 
o|inlining procedure: k18242 
o|inlining procedure: k18260 
o|inlining procedure: k18260 
o|inlining procedure: k18286 
o|inlining procedure: k18286 
o|inlining procedure: k18304 
o|inlining procedure: k18304 
o|inlining procedure: k18340 
o|inlining procedure: k18355 
o|inlining procedure: k18355 
o|inlining procedure: k18340 
o|inlining procedure: k18388 
o|inlining procedure: k18388 
o|inlining procedure: k18426 
o|inlining procedure: k18444 
o|inlining procedure: k18444 
o|inlining procedure: k18426 
o|inlining procedure: k18488 
o|inlining procedure: k18488 
o|inlining procedure: k18573 
o|inlining procedure: k18573 
o|inlining procedure: k18607 
o|inlining procedure: k18607 
o|inlining procedure: k18662 
o|inlining procedure: k18662 
o|substituted constant variable: a18669 
o|substituted constant variable: a18674 
o|inlining procedure: k18741 
o|inlining procedure: k18741 
o|inlining procedure: k18752 
o|inlining procedure: k18752 
o|inlining procedure: k18763 
o|inlining procedure: k18763 
o|inlining procedure: k18774 
o|inlining procedure: k18774 
o|inlining procedure: k18785 
o|propagated global variable: r1878632845 ##sys#standard-input 
o|removed unused formal parameters: (convert?3908) 
o|inlining procedure: k18800 
o|inlining procedure: k18800 
o|removed unused parameter to known procedure: convert?3908 "(library.scm:3296) body38983907" 
o|inlining procedure: k18785 
o|inlining procedure: k18827 
o|inlining procedure: k18827 
o|removed unused parameter to known procedure: convert?3908 "(library.scm:3296) body38983907" 
o|inlining procedure: k18846 
o|propagated global variable: r1884732851 ##sys#standard-output 
o|removed unused formal parameters: (convert?3933) 
o|inlining procedure: k18861 
o|inlining procedure: k18861 
o|removed unused parameter to known procedure: convert?3933 "(library.scm:3306) body39233932" 
o|inlining procedure: k18846 
o|inlining procedure: k18888 
o|inlining procedure: k18888 
o|removed unused parameter to known procedure: convert?3933 "(library.scm:3306) body39233932" 
o|inlining procedure: k18907 
o|propagated global variable: r1890832857 ##sys#standard-error 
o|removed unused formal parameters: (convert?3958) 
o|inlining procedure: k18922 
o|inlining procedure: k18922 
o|removed unused parameter to known procedure: convert?3958 "(library.scm:3316) body39483957" 
o|inlining procedure: k18907 
o|inlining procedure: k18949 
o|inlining procedure: k18949 
o|removed unused parameter to known procedure: convert?3958 "(library.scm:3316) body39483957" 
o|inlining procedure: k18968 
o|inlining procedure: k18968 
o|inlining procedure: k19006 
o|inlining procedure: k19006 
o|inlining procedure: k19031 
o|inlining procedure: k19031 
o|inlining procedure: k19037 
o|inlining procedure: k19037 
o|inlining procedure: k19060 
o|inlining procedure: k19060 
o|inlining procedure: k19073 
o|inlining procedure: k19073 
o|substituted constant variable: a19084 
o|substituted constant variable: a19086 
o|substituted constant variable: a19088 
o|inlining procedure: k19098 
o|inlining procedure: k19098 
o|inlining procedure: k19273 
o|inlining procedure: k19273 
o|substituted constant variable: a19289 
o|substituted constant variable: a19291 
o|substituted constant variable: a19312 
o|substituted constant variable: a19313 
o|inlining procedure: k19326 
o|inlining procedure: k19326 
o|inlining procedure: k19348 
o|inlining procedure: k19361 
o|inlining procedure: k19361 
o|inlining procedure: k19348 
o|inlining procedure: k19420 
o|inlining procedure: k19420 
o|inlining procedure: k19458 
o|inlining procedure: k19458 
o|inlining procedure: k19492 
o|inlining procedure: k19492 
o|inlining procedure: k19533 
o|inlining procedure: k19533 
o|inlining procedure: k19552 
o|inlining procedure: k19552 
o|inlining procedure: k19680 
o|inlining procedure: k19680 
o|inlining procedure: k19719 
o|inlining procedure: k19758 
o|inlining procedure: k19758 
o|inlining procedure: k19719 
o|inlining procedure: k19786 
o|inlining procedure: k19786 
o|substituted constant variable: a19834 
o|substituted constant variable: a19835 
o|substituted constant variable: a19859 
o|substituted constant variable: a19860 
o|inlining procedure: k19876 
o|inlining procedure: k19876 
o|substituted constant variable: a19934 
o|substituted constant variable: a19935 
o|inlining procedure: k19942 
o|inlining procedure: k19942 
o|substituted constant variable: a19971 
o|substituted constant variable: a19972 
o|substituted constant variable: a19989 
o|substituted constant variable: a19990 
o|inlining procedure: k20044 
o|inlining procedure: k20044 
o|inlining procedure: k20067 
o|inlining procedure: k20067 
o|inlining procedure: k20107 
o|inlining procedure: k20107 
o|inlining procedure: k20126 
o|inlining procedure: k20126 
o|inlining procedure: k20165 
o|inlining procedure: k20165 
o|inlining procedure: k20190 
o|inlining procedure: k20190 
o|inlining procedure: k20209 
o|inlining procedure: k20209 
o|inlining procedure: k20234 
o|inlining procedure: k20234 
o|inlining procedure: k20300 
o|inlining procedure: k20300 
o|inlining procedure: k20335 
o|inlining procedure: k20335 
o|inlining procedure: k20351 
o|inlining procedure: k20351 
o|inlining procedure: k20385 
o|inlining procedure: k20385 
o|inlining procedure: k20419 
o|inlining procedure: k20419 
o|inlining procedure: k20453 
o|inlining procedure: k20453 
o|inlining procedure: k20494 
o|inlining procedure: k20509 
o|inlining procedure: k20509 
o|substituted constant variable: a20547 
o|substituted constant variable: a20552 
o|inlining procedure: k20494 
o|inlining procedure: k20577 
o|inlining procedure: k20577 
o|inlining procedure: k20597 
o|inlining procedure: k20597 
o|inlining procedure: k20632 
o|inlining procedure: k20632 
o|inlining procedure: k20654 
o|inlining procedure: k20654 
o|inlining procedure: k20679 
o|inlining procedure: k20679 
o|substituted constant variable: a20708 
o|substituted constant variable: a20710 
o|substituted constant variable: a20715 
o|substituted constant variable: a20717 
o|inlining procedure: k20718 
o|inlining procedure: k20718 
o|inlining procedure: k20781 
o|inlining procedure: k20781 
o|inlining procedure: k20793 
o|inlining procedure: k20793 
o|substituted constant variable: a20806 
o|substituted constant variable: a20808 
o|substituted constant variable: a20810 
o|substituted constant variable: a20812 
o|inlining procedure: k20816 
o|inlining procedure: k20816 
o|substituted constant variable: a20829 
o|substituted constant variable: a20831 
o|substituted constant variable: a20833 
o|substituted constant variable: a20835 
o|substituted constant variable: a20837 
o|substituted constant variable: a20839 
o|substituted constant variable: a20841 
o|substituted constant variable: a20843 
o|substituted constant variable: a20845 
o|substituted constant variable: a20847 
o|substituted constant variable: a20849 
o|substituted constant variable: a20851 
o|substituted constant variable: a20853 
o|substituted constant variable: a20855 
o|inlining procedure: k20856 
o|inlining procedure: k20856 
o|inlining procedure: k20888 
o|inlining procedure: k20888 
o|inlining procedure: k20879 
o|inlining procedure: k20921 
o|inlining procedure: k20921 
o|inlining procedure: k20952 
o|inlining procedure: k20952 
o|inlining procedure: k20971 
o|inlining procedure: k21004 
o|inlining procedure: k21004 
o|inlining procedure: k21046 
o|inlining procedure: k21046 
o|inlining procedure: "(library.scm:3916) build-keyword4433" 
o|inlining procedure: k21062 
o|inlining procedure: "(library.scm:3917) build-keyword4433" 
o|inlining procedure: k21062 
o|inlining procedure: "(library.scm:3920) build-symbol4432" 
o|inlining procedure: k21092 
o|inlining procedure: k21092 
o|inlining procedure: k21104 
o|inlining procedure: k21104 
o|inlining procedure: k20971 
o|inlining procedure: k20879 
o|inlining procedure: k21144 
o|inlining procedure: k21144 
o|inlining procedure: k21165 
o|inlining procedure: "(library.scm:3948) build-keyword4433" 
o|inlining procedure: k21165 
o|inlining procedure: k21187 
o|inlining procedure: k21187 
o|inlining procedure: k21202 
o|inlining procedure: k21202 
o|inlining procedure: "(library.scm:3956) build-symbol4432" 
o|inlining procedure: k21212 
o|inlining procedure: k21212 
o|substituted constant variable: a21220 
o|substituted constant variable: a21221 
o|inlining procedure: k21229 
o|inlining procedure: k21250 
o|inlining procedure: k21250 
o|substituted constant variable: a21263 
o|inlining procedure: k21229 
o|inlining procedure: k21280 
o|inlining procedure: k21301 
o|inlining procedure: k21301 
o|substituted constant variable: a21314 
o|substituted constant variable: a21322 
o|inlining procedure: k21318 
o|inlining procedure: k21318 
o|substituted constant variable: a21330 
o|inlining procedure: k21280 
o|inlining procedure: k21357 
o|inlining procedure: k21357 
o|inlining procedure: k21393 
o|inlining procedure: k21393 
o|inlining procedure: k21402 
o|inlining procedure: k21402 
o|inlining procedure: k21421 
o|inlining procedure: k21421 
o|inlining procedure: "(library.scm:4008) build-keyword4433" 
o|inlining procedure: "(library.scm:4008) build-symbol4432" 
o|inlining procedure: k21491 
o|inlining procedure: k21525 
o|inlining procedure: k21525 
o|inlining procedure: k21535 
o|inlining procedure: k21535 
o|inlining procedure: k21491 
o|inlining procedure: k21564 
o|inlining procedure: k21564 
o|inlining procedure: k21608 
o|inlining procedure: k21608 
o|inlining procedure: k21646 
o|inlining procedure: k21646 
o|inlining procedure: k21670 
o|inlining procedure: k21670 
o|substituted constant variable: a21677 
o|substituted constant variable: a21679 
o|substituted constant variable: a21681 
o|substituted constant variable: a21683 
o|inlining procedure: k21687 
o|inlining procedure: k21687 
o|inlining procedure: k21705 
o|contracted procedure: "(library.scm:4062) g47214722" 
o|inlining procedure: k21734 
o|inlining procedure: k21734 
o|inlining procedure: k21753 
o|inlining procedure: k21771 
o|inlining procedure: k21787 
o|inlining procedure: k21787 
o|inlining procedure: k21771 
o|inlining procedure: k21753 
o|substituted constant variable: a21886 
o|inlining procedure: k21888 
o|inlining procedure: k21888 
o|substituted constant variable: a21891 
o|inlining procedure: k21705 
o|inlining procedure: k21914 
o|inlining procedure: k21926 
o|inlining procedure: k21926 
o|inlining procedure: k21914 
o|inlining procedure: k21960 
o|inlining procedure: k21960 
o|inlining procedure: k21973 
o|inlining procedure: k21973 
o|substituted constant variable: a21986 
o|substituted constant variable: a21988 
o|inlining procedure: "(library.scm:4109) build-symbol4432" 
o|inlining procedure: k22047 
o|inlining procedure: k22062 
o|inlining procedure: k22062 
o|inlining procedure: k22047 
o|inlining procedure: k22086 
o|inlining procedure: k22086 
o|inlining procedure: k22107 
o|inlining procedure: k22107 
o|inlining procedure: k22126 
o|inlining procedure: k22147 
o|inlining procedure: k22174 
o|inlining procedure: k22189 
o|inlining procedure: k22189 
o|inlining procedure: k22174 
o|inlining procedure: k22225 
o|inlining procedure: k22225 
o|inlining procedure: k22147 
o|inlining procedure: k22260 
o|inlining procedure: k22260 
o|inlining procedure: k22275 
o|inlining procedure: k22275 
o|inlining procedure: k22299 
o|inlining procedure: k22299 
o|inlining procedure: k22323 
o|inlining procedure: k22323 
o|inlining procedure: k22347 
o|inlining procedure: k22387 
o|inlining procedure: k22387 
o|inlining procedure: k22347 
o|inlining procedure: k22411 
o|inlining procedure: k22411 
o|inlining procedure: k22438 
o|inlining procedure: k22438 
o|inlining procedure: k22465 
o|inlining procedure: k22465 
o|inlining procedure: k22489 
o|inlining procedure: k22489 
o|inlining procedure: k22504 
o|inlining procedure: k22533 
o|inlining procedure: k22533 
o|inlining procedure: "(library.scm:4236) build-keyword4433" 
o|inlining procedure: k22504 
o|inlining procedure: k22594 
o|inlining procedure: k22621 
o|inlining procedure: k22621 
o|inlining procedure: "(library.scm:4255) build-symbol4432" 
o|inlining procedure: k22643 
o|inlining procedure: k22643 
o|inlining procedure: k22665 
o|inlining procedure: k22665 
o|substituted constant variable: a22668 
o|inlining procedure: k22594 
o|inlining procedure: k22682 
o|inlining procedure: k22682 
o|substituted constant variable: a22695 
o|substituted constant variable: a22697 
o|substituted constant variable: a22699 
o|substituted constant variable: a22701 
o|substituted constant variable: a22703 
o|substituted constant variable: a22705 
o|substituted constant variable: a22707 
o|substituted constant variable: a22709 
o|substituted constant variable: a22711 
o|substituted constant variable: a22713 
o|substituted constant variable: a22715 
o|substituted constant variable: a22717 
o|substituted constant variable: a22719 
o|substituted constant variable: a22721 
o|substituted constant variable: a22723 
o|substituted constant variable: a22725 
o|substituted constant variable: a22727 
o|inlining procedure: k22126 
o|inlining procedure: k22744 
o|inlining procedure: k22744 
o|inlining procedure: k22768 
o|inlining procedure: k22768 
o|inlining procedure: k22789 
o|inlining procedure: k22789 
o|inlining procedure: k22804 
o|inlining procedure: k22804 
o|inlining procedure: k22822 
o|inlining procedure: k22822 
o|substituted constant variable: a22853 
o|substituted constant variable: a22855 
o|substituted constant variable: a22857 
o|substituted constant variable: a22859 
o|substituted constant variable: a22864 
o|substituted constant variable: a22866 
o|substituted constant variable: a22868 
o|substituted constant variable: a22870 
o|substituted constant variable: a22872 
o|substituted constant variable: a22874 
o|substituted constant variable: a22876 
o|substituted constant variable: a22878 
o|substituted constant variable: a22880 
o|substituted constant variable: a22882 
o|inlining procedure: k22886 
o|inlining procedure: k22886 
o|inlining procedure: k22905 
o|inlining procedure: k22905 
o|inlining procedure: k22923 
o|inlining procedure: k22923 
o|inlining procedure: k22965 
o|inlining procedure: k22965 
o|inlining procedure: k23085 
o|inlining procedure: k23085 
o|inlining procedure: k23097 
o|inlining procedure: k23109 
o|inlining procedure: k23109 
o|inlining procedure: k23097 
o|inlining procedure: k23165 
o|inlining procedure: k23165 
o|substituted constant variable: a23195 
o|substituted constant variable: a23197 
o|substituted constant variable: a23199 
o|substituted constant variable: a23201 
o|inlining procedure: k23211 
o|inlining procedure: k23211 
o|inlining procedure: k23230 
o|inlining procedure: k23230 
o|inlining procedure: k23244 
o|inlining procedure: k23244 
o|inlining procedure: k23307 
o|inlining procedure: k23307 
o|substituted constant variable: a23338 
o|substituted constant variable: a23340 
o|substituted constant variable: a23345 
o|substituted constant variable: a23347 
o|substituted constant variable: a23369 
o|substituted constant variable: a23370 
o|substituted constant variable: a23387 
o|substituted constant variable: a23388 
o|inlining procedure: k23401 
o|propagated global variable: r2340233213 ##sys#standard-output 
o|inlining procedure: k23401 
o|substituted constant variable: a23420 
o|substituted constant variable: a23421 
o|substituted constant variable: a23438 
o|substituted constant variable: a23439 
o|propagated global variable: a23452 ##sys#standard-output 
o|substituted constant variable: a23453 
o|substituted constant variable: a23454 
o|contracted procedure: "(library.scm:4405) g50535054" 
o|inlining procedure: k23471 
o|contracted procedure: "(library.scm:4400) g50595066" 
o|propagated global variable: g50745075 ##sys#print 
o|inlining procedure: k23471 
o|propagated global variable: a23503 ##sys#standard-output 
o|substituted constant variable: a23504 
o|substituted constant variable: a23505 
o|contracted procedure: "(library.scm:4412) g50855086" 
o|inlining procedure: k23522 
o|contracted procedure: "(library.scm:4400) g50915098" 
o|propagated global variable: g51065107 ##sys#print 
o|inlining procedure: k23522 
o|substituted constant variable: a23567 
o|substituted constant variable: a23568 
o|inlining procedure: k23581 
o|inlining procedure: k23581 
o|inlining procedure: k23672 
o|inlining procedure: k23672 
o|inlining procedure: k23704 
o|inlining procedure: k23704 
o|substituted constant variable: special-characters5128 
o|inlining procedure: k23716 
o|inlining procedure: k23716 
o|inlining procedure: k23749 
o|inlining procedure: k23749 
o|substituted constant variable: a23822 
o|inlining procedure: k23829 
o|inlining procedure: k23829 
o|inlining procedure: k23841 
o|inlining procedure: k23841 
o|inlining procedure: k23856 
o|inlining procedure: k23856 
o|inlining procedure: k23875 
o|inlining procedure: k23897 
o|inlining procedure: k23897 
o|inlining procedure: k23919 
o|inlining procedure: k23919 
o|inlining procedure: k23932 
o|inlining procedure: k23932 
o|inlining procedure: k23956 
o|inlining procedure: k23956 
o|inlining procedure: k23875 
o|inlining procedure: k23974 
o|inlining procedure: k23999 
o|inlining procedure: k23999 
o|inlining procedure: k23974 
o|inlining procedure: k24037 
o|inlining procedure: k24037 
o|inlining procedure: k24055 
o|inlining procedure: k24055 
o|inlining procedure: k24070 
o|inlining procedure: k24070 
o|inlining procedure: k24079 
o|inlining procedure: k24106 
o|inlining procedure: k24106 
o|inlining procedure: k24079 
o|inlining procedure: k24134 
o|inlining procedure: k24134 
o|inlining procedure: k24150 
o|inlining procedure: k24150 
o|inlining procedure: k24165 
o|inlining procedure: k24174 
o|inlining procedure: k24174 
o|substituted constant variable: a24205 
o|substituted constant variable: a24207 
o|inlining procedure: k24165 
o|inlining procedure: k24227 
o|inlining procedure: k24227 
o|inlining procedure: k24240 
o|inlining procedure: k24253 
o|inlining procedure: k24253 
o|inlining procedure: k24282 
o|inlining procedure: k24282 
o|inlining procedure: k24303 
o|inlining procedure: k24303 
o|inlining procedure: k24321 
o|inlining procedure: k24321 
o|inlining procedure: k24339 
o|inlining procedure: k24339 
o|inlining procedure: k24357 
o|inlining procedure: k24357 
o|substituted constant variable: a24386 
o|substituted constant variable: a24388 
o|substituted constant variable: a24390 
o|substituted constant variable: a24392 
o|substituted constant variable: a24394 
o|substituted constant variable: a24396 
o|substituted constant variable: a24398 
o|substituted constant variable: a24407 
o|substituted constant variable: a24409 
o|inlining procedure: k24240 
o|inlining procedure: k24413 
o|inlining procedure: k24432 
o|inlining procedure: k24432 
o|inlining procedure: k24413 
o|inlining procedure: k24504 
o|inlining procedure: k24504 
o|inlining procedure: k24536 
o|inlining procedure: k24536 
o|inlining procedure: k24552 
o|inlining procedure: k24552 
o|inlining procedure: k24574 
o|inlining procedure: k24599 
o|inlining procedure: k24599 
o|substituted constant variable: a24612 
o|substituted constant variable: a24614 
o|inlining procedure: k24574 
o|inlining procedure: k24618 
o|inlining procedure: k24618 
o|inlining procedure: k24643 
o|inlining procedure: k24643 
o|inlining procedure: k24687 
o|inlining procedure: k24687 
o|inlining procedure: k24704 
o|inlining procedure: k24704 
o|inlining procedure: k24727 
o|inlining procedure: k24757 
o|inlining procedure: k24757 
o|inlining procedure: k24727 
o|inlining procedure: k24845 
o|inlining procedure: k24845 
o|substituted constant variable: a24862 
o|substituted constant variable: a24864 
o|substituted constant variable: saved543154325444 
o|inlining procedure: k24969 
o|inlining procedure: k24969 
o|inlining procedure: k25036 
o|inlining procedure: k25057 
o|inlining procedure: k25057 
o|inlining procedure: k25036 
o|inlining procedure: k25083 
o|inlining procedure: k25083 
o|inlining procedure: k25121 
o|inlining procedure: k25121 
o|inlining procedure: k25152 
o|inlining procedure: k25152 
o|inlining procedure: k25189 
o|inlining procedure: k25189 
o|substituted constant variable: a25249 
o|substituted constant variable: a25250 
o|inlining procedure: k25251 
o|inlining procedure: k25251 
o|inlining procedure: k25302 
o|inlining procedure: k25302 
o|inlining procedure: k25325 
o|inlining procedure: k25351 
o|inlining procedure: k25351 
o|inlining procedure: k25325 
o|inlining procedure: k25405 
o|inlining procedure: k25405 
o|substituted constant variable: c5640 
o|contracted procedure: "(library.scm:4909) extract5617" 
o|substituted constant variable: c5640 
o|inlining procedure: k25472 
o|inlining procedure: k25472 
o|substituted constant variable: c5640 
o|substituted constant variable: c5640 
o|inlining procedure: k25554 
o|inlining procedure: k25554 
o|inlining procedure: k25579 
o|inlining procedure: k25579 
o|inlining procedure: k25585 
o|inlining procedure: k25585 
o|inlining procedure: k25522 
o|inlining procedure: k25604 
o|inlining procedure: k25604 
o|inlining procedure: k25522 
o|substituted constant variable: a25652 
o|substituted constant variable: a25653 
o|inlining procedure: k25724 
o|inlining procedure: "(library.scm:4957) break5713" 
o|inlining procedure: k25724 
o|inlining procedure: k25753 
o|inlining procedure: k25753 
o|inlining procedure: k25769 
o|inlining procedure: k25769 
o|inlining procedure: k25792 
o|contracted procedure: "(library.scm:4978) g57235730" 
o|inlining procedure: k25792 
o|inlining procedure: k25833 
o|inlining procedure: k25833 
o|inlining procedure: k25887 
o|contracted procedure: "(library.scm:5042) g57915798" 
o|inlining procedure: k25887 
o|inlining procedure: k25925 
o|inlining procedure: k25925 
o|inlining procedure: k25968 
o|inlining procedure: k25968 
o|inlining procedure: k25980 
o|inlining procedure: k25980 
o|inlining procedure: k25992 
o|inlining procedure: k25992 
o|inlining procedure: k26004 
o|inlining procedure: k26004 
o|inlining procedure: k26016 
o|inlining procedure: k26016 
o|inlining procedure: k26028 
o|inlining procedure: k26028 
o|inlining procedure: k26040 
o|inlining procedure: k26040 
o|substituted constant variable: a26047 
o|substituted constant variable: a26049 
o|substituted constant variable: a26051 
o|substituted constant variable: a26053 
o|substituted constant variable: a26055 
o|substituted constant variable: a26057 
o|substituted constant variable: a26059 
o|substituted constant variable: a26061 
o|substituted constant variable: a26063 
o|substituted constant variable: a26065 
o|substituted constant variable: a26067 
o|substituted constant variable: a26069 
o|substituted constant variable: a26071 
o|substituted constant variable: a26073 
o|substituted constant variable: a26109 
o|substituted constant variable: a26111 
o|substituted constant variable: a26113 
o|inlining procedure: k26167 
o|inlining procedure: k26203 
o|inlining procedure: k26203 
o|inlining procedure: k26215 
o|inlining procedure: k26229 
o|inlining procedure: k26229 
o|inlining procedure: k26215 
o|inlining procedure: k26167 
o|inlining procedure: k26265 
o|inlining procedure: k26265 
o|inlining procedure: k26320 
o|propagated global variable: r2632133411 ##sys#current-exception-handler 
o|removed unused formal parameters: (convert?5960) 
o|inlining procedure: k26335 
o|inlining procedure: k26335 
o|removed unused parameter to known procedure: convert?5960 "(library.scm:5194) body59505959" 
o|inlining procedure: k26320 
o|inlining procedure: k26362 
o|inlining procedure: k26362 
o|removed unused parameter to known procedure: convert?5960 "(library.scm:5194) body59505959" 
o|inlining procedure: k26387 
o|inlining procedure: k26387 
o|inlining procedure: k26500 
o|contracted procedure: "(library.scm:5222) g60456054" 
o|inlining procedure: k26500 
o|inlining procedure: k26546 
o|contracted procedure: "(library.scm:5221) g60186027" 
o|inlining procedure: k26546 
o|inlining procedure: k26580 
o|contracted procedure: "(library.scm:5218) g59956002" 
o|inlining procedure: k26580 
o|inlining procedure: k26622 
o|inlining procedure: k26622 
o|inlining procedure: k26674 
o|contracted procedure: "(library.scm:5227) g60786087" 
o|inlining procedure: k26674 
o|inlining procedure: k26736 
o|inlining procedure: k26736 
o|inlining procedure: k26792 
o|inlining procedure: k26792 
o|inlining procedure: k26834 
o|inlining procedure: k26834 
o|inlining procedure: k26864 
o|inlining procedure: k26879 
o|inlining procedure: k26879 
o|inlining procedure: k26864 
o|inlining procedure: k26940 
o|inlining procedure: k26940 
o|substituted constant variable: a26965 
o|substituted constant variable: a26966 
o|inlining procedure: k26973 
o|inlining procedure: k26994 
o|inlining procedure: k26994 
o|inlining procedure: k27024 
o|inlining procedure: k27024 
o|inlining procedure: k27053 
o|inlining procedure: k27053 
o|inlining procedure: k26973 
o|inlining procedure: k27121 
o|inlining procedure: k27121 
o|inlining procedure: k27156 
o|inlining procedure: k27156 
o|inlining procedure: k27202 
o|inlining procedure: k27225 
o|inlining procedure: k27225 
o|inlining procedure: k27202 
o|inlining procedure: k27262 
o|inlining procedure: k27262 
o|inlining procedure: k27276 
o|inlining procedure: k27276 
o|inlining procedure: k27294 
o|inlining procedure: k27294 
o|inlining procedure: k27312 
o|inlining procedure: k27312 
o|inlining procedure: k27330 
o|inlining procedure: k27330 
o|inlining procedure: k27348 
o|inlining procedure: k27348 
o|inlining procedure: k27366 
o|inlining procedure: k27366 
o|inlining procedure: k27384 
o|inlining procedure: k27384 
o|inlining procedure: k27402 
o|inlining procedure: k27402 
o|inlining procedure: k27420 
o|inlining procedure: k27420 
o|inlining procedure: k27438 
o|inlining procedure: k27438 
o|inlining procedure: k27456 
o|inlining procedure: k27456 
o|inlining procedure: k27474 
o|inlining procedure: k27474 
o|inlining procedure: k27492 
o|inlining procedure: k27492 
o|inlining procedure: k27510 
o|inlining procedure: k27510 
o|inlining procedure: k27528 
o|inlining procedure: k27528 
o|inlining procedure: k27546 
o|inlining procedure: k27546 
o|inlining procedure: k27564 
o|inlining procedure: k27564 
o|inlining procedure: k27582 
o|inlining procedure: k27582 
o|inlining procedure: k27600 
o|inlining procedure: k27600 
o|inlining procedure: k27618 
o|inlining procedure: k27618 
o|inlining procedure: k27636 
o|inlining procedure: k27636 
o|inlining procedure: k27654 
o|inlining procedure: k27654 
o|inlining procedure: k27672 
o|inlining procedure: k27672 
o|inlining procedure: k27690 
o|inlining procedure: k27690 
o|inlining procedure: k27708 
o|inlining procedure: k27708 
o|inlining procedure: k27726 
o|inlining procedure: k27726 
o|inlining procedure: k27744 
o|inlining procedure: k27744 
o|substituted constant variable: a27757 
o|substituted constant variable: a27759 
o|substituted constant variable: a27761 
o|substituted constant variable: a27763 
o|substituted constant variable: a27765 
o|substituted constant variable: a27767 
o|substituted constant variable: a27769 
o|substituted constant variable: a27771 
o|substituted constant variable: a27773 
o|substituted constant variable: a27775 
o|substituted constant variable: a27777 
o|substituted constant variable: a27779 
o|substituted constant variable: a27781 
o|substituted constant variable: a27783 
o|substituted constant variable: a27785 
o|substituted constant variable: a27787 
o|substituted constant variable: a27789 
o|substituted constant variable: a27791 
o|substituted constant variable: a27793 
o|substituted constant variable: a27795 
o|substituted constant variable: a27797 
o|substituted constant variable: a27799 
o|substituted constant variable: a27801 
o|substituted constant variable: a27803 
o|substituted constant variable: a27805 
o|substituted constant variable: a27807 
o|substituted constant variable: a27809 
o|substituted constant variable: a27811 
o|substituted constant variable: a27813 
o|substituted constant variable: a27815 
o|substituted constant variable: a27817 
o|substituted constant variable: a27819 
o|substituted constant variable: a27821 
o|substituted constant variable: a27823 
o|substituted constant variable: a27825 
o|substituted constant variable: a27827 
o|substituted constant variable: a27829 
o|substituted constant variable: a27831 
o|substituted constant variable: a27833 
o|substituted constant variable: a27835 
o|substituted constant variable: a27837 
o|substituted constant variable: a27839 
o|substituted constant variable: a27841 
o|substituted constant variable: a27843 
o|substituted constant variable: a27845 
o|substituted constant variable: a27847 
o|substituted constant variable: a27849 
o|substituted constant variable: a27851 
o|substituted constant variable: a27853 
o|substituted constant variable: a27855 
o|substituted constant variable: a27857 
o|substituted constant variable: a27859 
o|substituted constant variable: a27861 
o|substituted constant variable: a27863 
o|substituted constant variable: a27865 
o|inlining procedure: k27945 
o|inlining procedure: k27945 
o|inlining procedure: k27983 
o|inlining procedure: k27983 
o|inlining procedure: k28005 
o|inlining procedure: k28005 
o|inlining procedure: k28063 
o|inlining procedure: k28063 
o|contracted procedure: "(library.scm:5531) fetch6456" 
o|contracted procedure: "(library.scm:5548) free6475" 
o|inlining procedure: k28110 
o|inlining procedure: k28110 
o|inlining procedure: k28127 
o|inlining procedure: k28127 
o|contracted procedure: "(library.scm:5543) fetch6474" 
o|propagated global variable: ct6576 ##sys#current-thread 
o|inlining procedure: k28311 
o|inlining procedure: k28311 
o|inlining procedure: k28339 
o|inlining procedure: k28339 
o|inlining procedure: k28396 
o|inlining procedure: k28396 
o|inlining procedure: k28436 
o|inlining procedure: k28448 
o|inlining procedure: k28448 
o|inlining procedure: k28436 
o|inlining procedure: k28475 
o|inlining procedure: k28475 
o|inlining procedure: k28521 
o|inlining procedure: k28521 
o|substituted constant variable: a28579 
o|inlining procedure: k28572 
o|inlining procedure: k28572 
o|substituted constant variable: a28592 
o|inlining procedure: k28603 
o|inlining procedure: k28643 
o|inlining procedure: k28681 
o|inlining procedure: k28681 
o|inlining procedure: k28643 
o|inlining procedure: k28775 
o|inlining procedure: k28775 
o|substituted constant variable: a28836 
o|substituted constant variable: a28838 
o|substituted constant variable: a28846 
o|substituted constant variable: a28851 
o|substituted constant variable: a28853 
o|substituted constant variable: a28867 
o|inlining procedure: k28860 
o|inlining procedure: k28860 
o|substituted constant variable: a28880 
o|inlining procedure: k28603 
o|substituted constant variable: a28895 
o|substituted constant variable: a28897 
o|inlining procedure: k28911 
o|inlining procedure: k28911 
o|inlining procedure: k29006 
o|inlining procedure: k29015 
o|inlining procedure: k29015 
o|inlining procedure: k29006 
o|contracted procedure: "(library.scm:5937) get6787" 
o|inlining procedure: k29082 
o|inlining procedure: k29082 
o|inlining procedure: k29096 
o|inlining procedure: k29096 
o|contracted procedure: "(library.scm:5966) fetch-arg6807" 
o|inlining procedure: k29165 
o|inlining procedure: k29185 
o|inlining procedure: k29185 
o|inlining procedure: k29212 
o|inlining procedure: k29212 
o|inlining procedure: k29165 
o|inlining procedure: k29236 
o|inlining procedure: k29236 
o|inlining procedure: k29248 
o|inlining procedure: k29248 
o|inlining procedure: k29274 
o|inlining procedure: k29274 
o|inlining procedure: k29390 
o|inlining procedure: k29390 
o|inlining procedure: k29412 
o|inlining procedure: k29412 
o|inlining procedure: k29452 
o|inlining procedure: k29452 
o|inlining procedure: k29477 
o|inlining procedure: k29477 
o|inlining procedure: k29499 
o|inlining procedure: k29499 
o|inlining procedure: k29531 
o|inlining procedure: k29531 
o|inlining procedure: k29563 
o|inlining procedure: k29563 
o|inlining procedure: k29595 
o|inlining procedure: k29595 
o|inlining procedure: k29627 
o|inlining procedure: k29627 
o|substituted constant variable: a29675 
o|substituted constant variable: a29677 
o|substituted constant variable: a29679 
o|substituted constant variable: a29681 
o|substituted constant variable: a29683 
o|substituted constant variable: a29685 
o|substituted constant variable: a29687 
o|substituted constant variable: a29689 
o|substituted constant variable: a29691 
o|substituted constant variable: a29693 
o|inlining procedure: k29694 
o|inlining procedure: k29694 
o|inlining procedure: k29749 
o|inlining procedure: k29749 
o|inlining procedure: k29766 
o|inlining procedure: k29790 
o|inlining procedure: k29790 
o|inlining procedure: k29766 
o|inlining procedure: k29833 
o|inlining procedure: k29833 
o|inlining procedure: k29896 
o|inlining procedure: k29896 
o|substituted constant variable: a29930 
o|inlining procedure: k29926 
o|inlining procedure: "(library.scm:6298) pstr7083" 
o|substituted constant variable: a29946 
o|inlining procedure: k29926 
o|substituted constant variable: a29951 
o|inlining procedure: "(library.scm:6300) pstr7083" 
o|substituted constant variable: a29967 
o|substituted constant variable: a29972 
o|inlining procedure: k29968 
o|inlining procedure: "(library.scm:6302) pstr7083" 
o|substituted constant variable: a29988 
o|inlining procedure: k29968 
o|inlining procedure: "(library.scm:6303) pstr7083" 
o|inlining procedure: "(library.scm:6329) pstr7083" 
o|inlining procedure: "(library.scm:6327) pstr7083" 
o|inlining procedure: "(library.scm:6325) pchr7084" 
o|inlining procedure: "(library.scm:6323) pstr7083" 
o|inlining procedure: "(library.scm:6319) pstr7083" 
o|inlining procedure: "(library.scm:6317) pchr7084" 
o|inlining procedure: "(library.scm:6315) pstr7083" 
o|substituted constant variable: a30086 
o|inlining procedure: "(library.scm:6311) pstr7083" 
o|inlining procedure: "(library.scm:6309) pstr7083" 
o|inlining procedure: "(library.scm:6306) pstr7083" 
o|inlining procedure: k30193 
o|inlining procedure: k30215 
o|inlining procedure: k30215 
o|contracted procedure: "(library.scm:6405) get-config7186" 
o|inlining procedure: k30160 
o|inlining procedure: k30160 
o|substituted constant variable: a30173 
o|inlining procedure: k30251 
o|inlining procedure: k30251 
o|inlining procedure: k30193 
o|propagated global variable: r3019433728 ##sys#build-version 
o|inlining procedure: k30288 
o|inlining procedure: k30288 
o|inlining procedure: k30316 
o|inlining procedure: k30316 
o|removed side-effect free assignment to unused variable: prefix7258 
o|inlining procedure: k30399 
o|inlining procedure: k30399 
o|inlining procedure: k30414 
o|inlining procedure: k30414 
o|contracted procedure: "(library.scm:6480) err7257" 
o|inlining procedure: k30433 
o|inlining procedure: k30433 
o|inlining procedure: k30511 
o|contracted procedure: "(library.scm:6516) g72897296" 
o|inlining procedure: k30495 
o|inlining procedure: k30495 
o|inlining procedure: k30511 
o|inlining procedure: k30547 
o|inlining procedure: k30547 
o|inlining procedure: k30578 
o|inlining procedure: k30578 
o|inlining procedure: k30624 
o|inlining procedure: k30624 
o|inlining procedure: k30655 
o|inlining procedure: k30655 
o|inlining procedure: k30667 
o|inlining procedure: k30667 
o|inlining procedure: k30679 
o|inlining procedure: k30679 
o|inlining procedure: k30688 
o|inlining procedure: k30688 
o|inlining procedure: k30697 
o|inlining procedure: k30697 
o|inlining procedure: k30773 
o|inlining procedure: k30773 
o|inlining procedure: k30795 
o|inlining procedure: k30812 
o|contracted procedure: "(library.scm:6458) g72317238" 
o|inlining procedure: k30812 
o|inlining procedure: k30795 
o|inlining procedure: k30838 
o|inlining procedure: k30838 
o|inlining procedure: k30912 
o|inlining procedure: k30912 
o|inlining procedure: k30959 
o|inlining procedure: k30959 
o|inlining procedure: k31034 
o|inlining procedure: k31034 
o|substituted constant variable: a31046 
o|inlining procedure: k31059 
o|inlining procedure: k31101 
o|inlining procedure: k31101 
o|inlining procedure: k31131 
o|contracted procedure: "(library.scm:5114) g58565863" 
o|inlining procedure: k31131 
o|inlining procedure: k31059 
o|inlining procedure: k31186 
o|inlining procedure: k31186 
o|inlining procedure: k31237 
o|inlining procedure: k31237 
o|inlining procedure: k31264 
o|inlining procedure: k31264 
o|inlining procedure: k31289 
o|inlining procedure: k31289 
o|inlining procedure: k31369 
o|inlining procedure: k31369 
o|inlining procedure: k31395 
o|inlining procedure: k31395 
o|inlining procedure: k31476 
o|inlining procedure: k31476 
o|inlining procedure: k31631 
o|inlining procedure: k31631 
o|inlining procedure: k31640 
o|inlining procedure: k31640 
o|inlining procedure: k31649 
o|inlining procedure: k31649 
o|inlining procedure: k31665 
o|inlining procedure: k31665 
o|inlining procedure: k31691 
o|inlining procedure: k31720 
o|inlining procedure: k31720 
o|inlining procedure: k31691 
o|inlining procedure: k31755 
o|inlining procedure: k31755 
o|inlining procedure: k31795 
o|inlining procedure: k31795 
o|inlining procedure: k31857 
o|inlining procedure: k31857 
o|inlining procedure: k31869 
o|inlining procedure: k31869 
o|inlining procedure: k31912 
o|inlining procedure: k31912 
o|inlining procedure: k31970 
o|inlining procedure: k31970 
o|inlining procedure: k31985 
o|inlining procedure: k31985 
o|inlining procedure: k32021 
o|inlining procedure: k32021 
o|substituted constant variable: sblen3854 
o|substituted constant variable: sblen3854 
o|replaced variables: 4506 
o|removed binding forms: 1857 
o|substituted constant variable: r907532124 
o|substituted constant variable: r908132126 
o|inlining procedure: k9394 
o|substituted constant variable: r945832140 
o|substituted constant variable: r961132151 
o|substituted constant variable: r962332154 
o|substituted constant variable: r971832161 
o|substituted constant variable: r977932166 
o|substituted constant variable: r985232169 
o|substituted constant variable: r990632173 
o|substituted constant variable: r1002232182 
o|substituted constant variable: r1021432191 
o|substituted constant variable: r1029132196 
o|substituted constant variable: r1074432237 
o|substituted constant variable: r1074432237 
o|substituted constant variable: r1076132243 
o|substituted constant variable: r1076132243 
o|substituted constant variable: r1078432248 
o|substituted constant variable: r1078432248 
o|substituted constant variable: r1080232255 
o|substituted constant variable: r1080232255 
o|substituted constant variable: r1082632261 
o|substituted constant variable: r1082632261 
o|substituted constant variable: r1085232267 
o|substituted constant variable: r1085232267 
o|substituted constant variable: r1095532278 
o|substituted constant variable: r1148632302 
o|substituted constant variable: r1184932323 
o|substituted constant variable: loc1752 
o|substituted constant variable: loc1763 
o|substituted constant variable: loc1774 
o|substituted constant variable: loc1785 
o|substituted constant variable: loc1796 
o|substituted constant variable: loc1807 
o|substituted constant variable: loc1818 
o|substituted constant variable: loc1829 
o|substituted constant variable: loc1840 
o|substituted constant variable: loc1851 
o|substituted constant variable: loc1862 
o|substituted constant variable: loc1871 
o|substituted constant variable: loc1881 
o|substituted constant variable: loc1892 
o|substituted constant variable: loc1901 
o|substituted constant variable: loc1909 
o|substituted constant variable: loc1917 
o|substituted constant variable: loc1925 
o|substituted constant variable: loc1933 
o|substituted constant variable: loc1941 
o|substituted constant variable: loc1949 
o|substituted constant variable: loc1957 
o|substituted constant variable: loc1965 
o|substituted constant variable: loc1973 
o|substituted constant variable: loc1983 
o|substituted constant variable: loc1992 
o|substituted constant variable: loc2002 
o|substituted constant variable: loc2011 
o|substituted constant variable: loc2019 
o|substituted constant variable: loc2027 
o|substituted constant variable: loc2035 
o|inlining procedure: k12612 
o|inlining procedure: k12612 
o|substituted constant variable: r1262632396 
o|substituted constant variable: r1270532401 
o|substituted constant variable: r1286432415 
o|converted assignments to bindings: (deliver2209) 
o|substituted constant variable: n2407 
o|substituted constant variable: d2408 
o|substituted constant variable: r1404232490 
o|substituted constant variable: r1405132492 
o|substituted constant variable: r1408232496 
o|substituted constant variable: r1409132498 
o|substituted constant variable: r1489632546 
o|substituted constant variable: r1500432553 
o|substituted constant variable: r1506632557 
o|substituted constant variable: r1523832564 
o|inlining procedure: k15356 
o|inlining procedure: k15356 
o|substituted constant variable: r1541232571 
o|substituted constant variable: r1542932574 
o|substituted constant variable: r1542932575 
o|substituted constant variable: r1539232580 
o|removed side-effect free assignment to unused variable: make-nan2844 
o|substituted constant variable: r1561332592 
o|substituted constant variable: r1563332594 
o|substituted constant variable: r1565532596 
o|substituted constant variable: r1566632598 
o|substituted constant variable: r1570332601 
o|substituted constant variable: r1572932602 
o|substituted constant variable: r1572932603 
o|substituted constant variable: r1568032604 
o|substituted constant variable: r1579232617 
o|substituted constant variable: r1578032618 
o|substituted constant variable: r1574132634 
o|substituted constant variable: r1605532644 
o|substituted constant variable: r1604532645 
o|substituted constant variable: r1603332646 
o|substituted constant variable: r1611932654 
o|substituted constant variable: r1610132655 
o|substituted constant variable: r1609132656 
o|substituted constant variable: r1627532667 
o|substituted constant variable: r1635632671 
o|substituted constant variable: r1635632671 
o|substituted constant variable: r1635632673 
o|substituted constant variable: r1635632673 
o|substituted constant variable: r1637932678 
o|substituted constant variable: r1637932678 
o|substituted constant variable: r1646232686 
o|substituted constant variable: r1646232686 
o|substituted constant variable: r1643932689 
o|substituted constant variable: r1651432690 
o|substituted constant variable: r1651432691 
o|substituted constant variable: r1629632692 
o|substituted constant variable: r1654232695 
o|substituted constant variable: r1653032696 
o|substituted constant variable: r1656532700 
o|substituted constant variable: r1664032704 
o|substituted constant variable: r1662532705 
o|substituted constant variable: r1668732708 
o|substituted constant variable: r1680732711 
o|substituted constant variable: r1685132715 
o|substituted constant variable: r1689532719 
o|substituted constant variable: r1690832721 
o|substituted constant variable: r1700532728 
o|substituted constant variable: r1707832732 
o|substituted constant variable: r1716332737 
o|substituted constant variable: r1717532739 
o|substituted constant variable: r1718432742 
o|substituted constant variable: r1720232745 
o|substituted constant variable: r1741032764 
o|substituted constant variable: r1748932770 
o|substituted constant variable: r1753732772 
o|substituted constant variable: r1764132781 
o|substituted constant variable: r1797432792 
o|substituted constant variable: r1810532798 
o|substituted constant variable: r1830532810 
o|substituted constant variable: r1848932822 
o|converted assignments to bindings: (continuation3764) 
o|substituted constant variable: r1866332836 
o|removed unused formal parameters: (%convert?38963911) 
o|removed unused parameter to known procedure: %convert?38963911 "(library.scm:3296) def-set?39013910" 
o|removed unused parameter to known procedure: %convert?38963911 "(library.scm:3296) def-set?39013910" 
o|removed unused formal parameters: (%convert?39213936) 
o|removed unused parameter to known procedure: %convert?39213936 "(library.scm:3306) def-set?39263935" 
o|removed unused parameter to known procedure: %convert?39213936 "(library.scm:3306) def-set?39263935" 
o|removed unused formal parameters: (%convert?39463961) 
o|removed unused parameter to known procedure: %convert?39463961 "(library.scm:3316) def-set?39513960" 
o|removed unused parameter to known procedure: %convert?39463961 "(library.scm:3316) def-set?39513960" 
o|substituted constant variable: r1896932864 
o|substituted constant variable: r1903232869 
o|substituted constant variable: r1903232869 
o|substituted constant variable: r1903232871 
o|substituted constant variable: r1903232871 
o|substituted constant variable: r1927432881 
o|substituted constant variable: r1932732884 
o|substituted constant variable: r1942132890 
o|substituted constant variable: r1945932892 
o|substituted constant variable: r1949332894 
o|substituted constant variable: r1955332898 
o|inlining procedure: k19876 
o|substituted constant variable: r1994332913 
o|inlining procedure: k19954 
o|substituted constant variable: r2078232964 
o|substituted constant variable: tok476432992 
o|inlining procedure: k21113 
o|converted assignments to bindings: (starting-line4538) 
o|substituted constant variable: r2121333034 
o|substituted constant variable: r2121333034 
o|substituted constant variable: r2152633069 
o|substituted constant variable: r2152633069 
o|substituted constant variable: r2153633072 
o|inlining procedure: k21774 
o|inlining procedure: k21774 
o|inlining procedure: k21774 
o|substituted constant variable: r2177233093 
o|substituted constant variable: r2175433094 
o|removed side-effect free assignment to unused variable: build-symbol4432 
o|removed side-effect free assignment to unused variable: build-keyword4433 
o|substituted constant variable: r2222633128 
o|substituted constant variable: r2238833139 
o|substituted constant variable: r2262233160 
o|substituted constant variable: r2288733186 
o|substituted constant variable: r2290633187 
o|substituted constant variable: r2290633187 
o|substituted constant variable: r2290633189 
o|substituted constant variable: r2290633189 
o|substituted constant variable: r2308633196 
o|substituted constant variable: r2311033199 
o|substituted constant variable: r2309833200 
o|converted assignments to bindings: (hex4955) 
o|substituted constant variable: r2330833211 
o|propagated global variable: port502333214 ##sys#standard-output 
o|substituted constant variable: r2383033237 
o|substituted constant variable: r2384233239 
o|substituted constant variable: r2385733241 
o|substituted constant variable: r2385733242 
o|substituted constant variable: r2392033246 
o|substituted constant variable: r2392033247 
o|inlining procedure: k23932 
o|substituted constant variable: r2393333250 
o|substituted constant variable: r2393333250 
o|folded constant expression: (scheme#not (quote #f)) 
o|substituted constant variable: r2397533258 
o|inlining procedure: k24441 
o|substituted constant variable: r2468833312 
o|inlining procedure: k24826 
o|substituted constant variable: r2519033336 
o|converted assignments to bindings: (copy&append5544) 
o|substituted constant variable: r2540633347 
o|converted assignments to bindings: (break5713) 
o|substituted constant variable: r2592633379 
o|substituted constant variable: r2592633379 
o|substituted constant variable: r2592633381 
o|substituted constant variable: r2592633381 
o|substituted constant variable: r2596933383 
o|substituted constant variable: r2598133385 
o|substituted constant variable: r2599333387 
o|substituted constant variable: r2600533389 
o|substituted constant variable: r2601733391 
o|substituted constant variable: r2602933393 
o|substituted constant variable: r2604133395 
o|substituted constant variable: r2604133396 
o|substituted constant variable: r2620433400 
o|substituted constant variable: r2620433400 
o|inlining procedure: k26229 
o|inlining procedure: k26229 
o|removed unused formal parameters: (%convert?59485963) 
o|removed unused parameter to known procedure: %convert?59485963 "(library.scm:5194) def-set?59535962" 
o|removed unused parameter to known procedure: %convert?59485963 "(library.scm:5194) def-set?59535962" 
o|substituted constant variable: r2638833417 
o|substituted constant variable: r2673733429 
o|substituted constant variable: r2683533434 
o|substituted constant variable: r2686533438 
o|substituted constant variable: r2722633464 
o|substituted constant variable: r2722633464 
o|substituted constant variable: r2726333469 
o|substituted constant variable: r2726333469 
o|substituted constant variable: r2798433528 
o|substituted constant variable: r2800633530 
o|substituted constant variable: r2806433531 
o|substituted constant variable: r2811133535 
o|substituted constant variable: r2811133535 
o|substituted constant variable: r2812833537 
o|inlining procedure: k28530 
o|converted assignments to bindings: (get/clear-str6676) 
o|substituted constant variable: r2900733574 
o|inlining procedure: k29165 
o|inlining procedure: k29165 
o|substituted constant variable: r2976733636 
o|removed side-effect free assignment to unused variable: pstr7083 
o|removed side-effect free assignment to unused variable: pchr7084 
o|substituted constant variable: r2989733639 
o|substituted constant variable: r2989733639 
o|substituted constant variable: str708833645 
o|substituted constant variable: str708833651 
o|substituted constant variable: str708833657 
o|substituted constant variable: str708833663 
o|substituted constant variable: str708833668 
o|substituted constant variable: str708833673 
o|substituted constant variable: chr708933678 
o|substituted constant variable: str708833683 
o|substituted constant variable: str708833688 
o|substituted constant variable: chr708933693 
o|substituted constant variable: str708833698 
o|substituted constant variable: str708833703 
o|substituted constant variable: str708833708 
o|substituted constant variable: str708833713 
o|substituted constant variable: r3021633718 
o|substituted constant variable: r3021633718 
o|substituted constant variable: r3016133722 
o|converted assignments to bindings: (str7191) 
o|substituted constant variable: r3025233724 
o|substituted constant variable: r3025233724 
o|substituted constant variable: r3025233726 
o|substituted constant variable: r3025233726 
o|substituted constant variable: r3028933729 
o|substituted constant variable: r3054833743 
o|substituted constant variable: r3066833752 
o|substituted constant variable: r3069833758 
o|inlining procedure: k30773 
o|substituted constant variable: r3079633766 
o|substituted constant variable: r3096033771 
o|inlining procedure: k31080 
o|inlining procedure: k31080 
o|substituted constant variable: r3126533785 
o|substituted constant variable: r3129033787 
o|substituted constant variable: r3139633793 
o|substituted constant variable: r3147733795 
o|substituted constant variable: r3164133800 
o|substituted constant variable: r3165033802 
o|substituted constant variable: r3166633804 
o|substituted constant variable: r3172133807 
o|converted assignments to bindings: (lookup-char3597) 
o|simplifications: ((let . 10)) 
o|replaced variables: 205 
o|removed binding forms: 4521 
o|removed conditional forms: 1 
o|inlining procedure: k9376 
o|substituted constant variable: r939533837 
o|inlining procedure: k10539 
o|inlining procedure: k10539 
o|inlining procedure: k10539 
o|inlining procedure: k11000 
o|inlining procedure: k11016 
o|inlining procedure: k11032 
o|inlining procedure: k11048 
o|inlining procedure: k11064 
o|inlining procedure: k11080 
o|inlining procedure: k11096 
o|inlining procedure: k11112 
o|inlining procedure: k11237 
o|inlining procedure: k11272 
o|inlining procedure: k11272 
o|inlining procedure: k11527 
o|inlining procedure: k11527 
o|inlining procedure: k11637 
o|inlining procedure: k11637 
o|inlining procedure: k12806 
o|inlining procedure: k12918 
o|inlining procedure: k12989 
o|inlining procedure: k13075 
o|inlining procedure: k13081 
o|inlining procedure: k13184 
o|inlining procedure: k13513 
o|inlining procedure: k13548 
o|inlining procedure: k13548 
o|inlining procedure: k13707 
o|inlining procedure: k13843 
o|inlining procedure: k14424 
o|inlining procedure: k14448 
o|inlining procedure: k14624 
o|inlining procedure: k14645 
o|inlining procedure: k14735 
o|inlining procedure: k14743 
o|inlining procedure: k14781 
o|inlining procedure: k14799 
o|inlining procedure: k14952 
o|inlining procedure: k14981 
o|inlining procedure: k15193 
o|inlining procedure: k15200 
o|substituted constant variable: r1535733983 
o|substituted constant variable: r1535733986 
o|inlining procedure: k15642 
o|inlining procedure: k16148 
o|inlining procedure: k16286 
o|inlining procedure: k16576 
o|inlining procedure: k16590 
o|inlining procedure: k16596 
o|inlining procedure: k16655 
o|inlining procedure: k16663 
o|inlining procedure: k16991 
o|inlining procedure: k16998 
o|inlining procedure: k16998 
o|inlining procedure: k17031 
o|inlining procedure: k19046 
o|inlining procedure: k19046 
o|inlining procedure: k19046 
o|inlining procedure: k19308 
o|propagated global variable: r1930934581 ##sys#standard-output 
o|propagated global variable: r1930934581 ##sys#standard-output 
o|inlining procedure: k19855 
o|propagated global variable: r1985634589 ##sys#standard-input 
o|propagated global variable: r1985634589 ##sys#standard-input 
o|inlining procedure: k19967 
o|propagated global variable: r1996834591 ##sys#standard-input 
o|propagated global variable: r1996834591 ##sys#standard-input 
o|inlining procedure: k19985 
o|propagated global variable: r1998634593 ##sys#standard-input 
o|propagated global variable: r1998634593 ##sys#standard-input 
o|inlining procedure: k20698 
o|inlining procedure: k23416 
o|propagated global variable: r2341734620 ##sys#standard-output 
o|propagated global variable: r2341734620 ##sys#standard-output 
o|inlining procedure: k23434 
o|propagated global variable: r2343534622 ##sys#standard-output 
o|propagated global variable: r2343534622 ##sys#standard-output 
o|inlining procedure: k23812 
o|substituted constant variable: r2393334163 
o|folded constant expression: (scheme#not (quote #f)) 
o|inlining procedure: k26083 
o|inlining procedure: k28345 
o|inlining procedure: "(library.scm:5764) ##sys#format-here-doc-warning" 
o|inlining procedure: k28580 
o|inlining procedure: k28580 
o|inlining procedure: "(library.scm:5798) ##sys#format-here-doc-warning" 
o|inlining procedure: k28868 
o|inlining procedure: k28868 
o|inlining procedure: k29409 
o|inlining procedure: k29409 
o|inlining procedure: k29778 
o|inlining procedure: k29778 
o|inlining procedure: k31628 
o|inlining procedure: k31628 
o|replaced variables: 34 
o|removed binding forms: 505 
o|substituted constant variable: r937734365 
o|substituted constant variable: code67933838 
o|substituted constant variable: code67933838 
o|substituted constant variable: r1100134407 
o|substituted constant variable: r1101734409 
o|substituted constant variable: r1103334411 
o|substituted constant variable: r1104934413 
o|substituted constant variable: r1106534415 
o|substituted constant variable: r1108134417 
o|substituted constant variable: r1109734419 
o|substituted constant variable: r1111334421 
o|substituted constant variable: r1123834429 
o|substituted constant variable: r1123834429 
o|substituted constant variable: r1127334433 
o|substituted constant variable: r1127334433 
o|contracted procedure: k12740 
o|contracted procedure: k12745 
o|contracted procedure: k12800 
o|contracted procedure: k13169 
o|contracted procedure: k13178 
o|contracted procedure: k13268 
o|contracted procedure: k13273 
o|contracted procedure: k13278 
o|contracted procedure: k13283 
o|contracted procedure: k13288 
o|contracted procedure: k13293 
o|contracted procedure: k13315 
o|contracted procedure: k13326 
o|contracted procedure: k13349 
o|contracted procedure: k13361 
o|contracted procedure: k13424 
o|contracted procedure: k13431 
o|contracted procedure: k13465 
o|contracted procedure: k13472 
o|contracted procedure: k13507 
o|contracted procedure: k13539 
o|substituted constant variable: r1354934480 
o|contracted procedure: k13826 
o|contracted procedure: k15212 
o|contracted procedure: k15217 
o|contracted procedure: k15342 
o|contracted procedure: k15488 
o|contracted procedure: k15596 
o|contracted procedure: k15687 
o|contracted procedure: k16303 
o|contracted procedure: k16320 
o|contracted procedure: k16457 
o|contracted procedure: k16794 
o|substituted constant variable: r1699934532 
o|substituted constant variable: r1699934533 
o|inlining procedure: k21068 
o|substituted constant variable: r2623034215 
o|removed side-effect free assignment to unused variable: ##sys#format-here-doc-warning 
o|substituted constant variable: r2941034723 
o|substituted constant variable: r2941034723 
o|substituted constant variable: r2977934724 
o|substituted constant variable: r2977934724 
o|substituted constant variable: r2977934725 
o|substituted constant variable: r2977934725 
o|substituted constant variable: r3162934748 
o|substituted constant variable: r3162934748 
o|substituted constant variable: r3162934748 
o|substituted constant variable: r3162934750 
o|substituted constant variable: r3162934750 
o|substituted constant variable: r3162934750 
o|simplifications: ((let . 3)) 
o|replaced variables: 31 
o|removed binding forms: 115 
o|removed conditional forms: 8 
o|substituted constant variable: code66634366 
o|substituted constant variable: r2106934896 
o|substituted constant variable: r2106934896 
o|replaced variables: 34 
o|removed binding forms: 55 
o|removed conditional forms: 1 
o|simplifications: ((let . 1)) 
o|removed binding forms: 21 
o|simplifications: ((if . 204) (##core#call . 2561)) 
o|  call simplifications:
o|    scheme#cdar	2
o|    scheme#set-cdr!	6
o|    scheme#list-tail
o|    scheme#set-car!	7
o|    ##sys#make-vector
o|    scheme#vector?
o|    ##sys#generic-structure?
o|    ##sys#foreign-string-argument
o|    scheme#read-char
o|    scheme#string-length	3
o|    scheme#string-ref	3
o|    ##sys#list	6
o|    ##sys#context-switch	2
o|    ##sys#foreign-pointer-argument	3
o|    ##sys#null-pointer?	2
o|    scheme#caddr	2
o|    scheme#write-char
o|    scheme#equal?	2
o|    scheme#memv	2
o|    scheme#caar	3
o|    scheme#cddr	3
o|    ##sys#check-structure	2
o|    scheme#string?	5
o|    ##sys#apply	2
o|    ##sys#byte
o|    scheme#char-upper-case?
o|    scheme#char<?
o|    ##sys#void	4
o|    scheme#string	4
o|    scheme#member	8
o|    chicken.fixnum#fxior	13
o|    scheme#string=?	6
o|    scheme#char-numeric?	7
o|    scheme#char<=?
o|    chicken.fixnum#fx*	9
o|    scheme#eof-object?	25
o|    scheme#char=?	12
o|    scheme#char-whitespace?	7
o|    scheme#memq	12
o|    ##sys#immediate?	3
o|    chicken.fixnum#fxnot
o|    chicken.fixnum#fxand	16
o|    ##sys#call-with-current-continuation	3
o|    scheme#char?	4
o|    scheme#assq	5
o|    ##sys#setislot	28
o|    scheme#char->integer	16
o|    scheme#char-downcase	14
o|    chicken.fixnum#fxmin	3
o|    ##sys#check-vector	6
o|    scheme#symbol?	8
o|    ##sys#check-symbol	10
o|    ##sys#intern-symbol	10
o|    scheme#integer->char	22
o|    scheme#string-ci=?	2
o|    scheme#char>=?	3
o|    ##sys#foreign-flonum-argument
o|    ##sys#foreign-fixnum-argument	4
o|    chicken.base#fixnum?	2
o|    chicken.fixnum#fxshr	13
o|    chicken.fixnum#fxshl	8
o|    chicken.fixnum#fxneg	5
o|    scheme#cadr	14
o|    scheme#exact?
o|    chicken.base#ratnum?	14
o|    ##sys#check-number	10
o|    chicken.base#cplxnum?	17
o|    scheme#number?	8
o|    scheme#inexact?	7
o|    chicken.base#flonum?	46
o|    scheme#list->string
o|    chicken.fixnum#fx>	34
o|    scheme#length	6
o|    chicken.fixnum#fx>=	34
o|    chicken.fixnum#fx+	126
o|    ##sys#check-string	25
o|    chicken.fixnum#fx-	54
o|    ##sys#call-with-values	22
o|    scheme#procedure?	6
o|    ##sys#values	2
o|    chicken.fixnum#fx<=	26
o|    chicken.fixnum#fx<	38
o|    scheme#vector	7
o|    chicken.fixnum#fx=	21
o|    ##sys#size	66
o|    scheme#list	25
o|    ##sys#setslot	46
o|    scheme#list?	5
o|    ##sys#check-pair	3
o|    chicken.base#void	3
o|    scheme#null?	128
o|    ##sys#check-list	19
o|    scheme#not	92
o|    ##sys#make-structure	11
o|    ##sys#structure?	8
o|    scheme#apply	96
o|    scheme#call-with-values	2
o|    scheme#values	23
o|    ##sys#check-char	15
o|    scheme#pair?	90
o|    ##sys#slot	346
o|    scheme#cons	142
o|    scheme#eq?	396
o|    scheme#cdr	46
o|    scheme#car	120
o|contracted procedure: k8581 
o|contracted procedure: k8577 
o|contracted procedure: k8595 
o|contracted procedure: k8609 
o|contracted procedure: k8605 
o|contracted procedure: k8630 
o|contracted procedure: k8626 
o|contracted procedure: k8644 
o|contracted procedure: k8640 
o|contracted procedure: k8662 
o|contracted procedure: k8658 
o|contracted procedure: k8654 
o|contracted procedure: k8672 
o|contracted procedure: k8684 
o|contracted procedure: k8702 
o|contracted procedure: k8698 
o|contracted procedure: k8713 
o|contracted procedure: k8731 
o|contracted procedure: k8727 
o|contracted procedure: k8723 
o|contracted procedure: k8741 
o|contracted procedure: k8753 
o|contracted procedure: k8778 
o|contracted procedure: k8774 
o|contracted procedure: k8770 
o|contracted procedure: k8788 
o|contracted procedure: k8807 
o|contracted procedure: k8803 
o|contracted procedure: k8799 
o|contracted procedure: k8840 
o|contracted procedure: k8846 
o|contracted procedure: k8853 
o|contracted procedure: k8861 
o|contracted procedure: k8857 
o|contracted procedure: k8991 
o|contracted procedure: k9020 
o|contracted procedure: k9026 
o|contracted procedure: k9037 
o|contracted procedure: k9043 
o|contracted procedure: k9049 
o|contracted procedure: k9055 
o|contracted procedure: k9061 
o|contracted procedure: k9232 
o|contracted procedure: k9292 
o|contracted procedure: k9323 
o|contracted procedure: k9304 
o|contracted procedure: k9311 
o|contracted procedure: k9319 
o|contracted procedure: k9329 
o|contracted procedure: k9360 
o|contracted procedure: k9341 
o|contracted procedure: k9348 
o|contracted procedure: k9356 
o|contracted procedure: k9370 
o|contracted procedure: k9385 
o|contracted procedure: k9376 
o|contracted procedure: k9400 
o|contracted procedure: k9394 
o|contracted procedure: k9424 
o|contracted procedure: k9433 
o|contracted procedure: k9443 
o|contracted procedure: k9480 
o|contracted procedure: k9460 
o|contracted procedure: k9463 
o|contracted procedure: k9476 
o|contracted procedure: k9489 
o|contracted procedure: k9492 
o|contracted procedure: k9533 
o|contracted procedure: k9554 
o|contracted procedure: k9566 
o|contracted procedure: k9575 
o|contracted procedure: k9578 
o|contracted procedure: k9584 
o|contracted procedure: k9613 
o|contracted procedure: k9640 
o|contracted procedure: k9619 
o|contracted procedure: k9632 
o|contracted procedure: k9636 
o|contracted procedure: k9649 
o|contracted procedure: k9696 
o|contracted procedure: k9660 
o|contracted procedure: k9674 
o|contracted procedure: k9677 
o|contracted procedure: k9683 
o|contracted procedure: k9705 
o|contracted procedure: k9727 
o|contracted procedure: k9742 
o|contracted procedure: k9752 
o|contracted procedure: k9756 
o|contracted procedure: k9766 
o|contracted procedure: k9775 
o|contracted procedure: k9781 
o|contracted procedure: k9788 
o|contracted procedure: k9807 
o|contracted procedure: k9810 
o|contracted procedure: k9813 
o|contracted procedure: k9819 
o|contracted procedure: k9842 
o|contracted procedure: k9854 
o|contracted procedure: k9886 
o|contracted procedure: k9860 
o|contracted procedure: k9866 
o|contracted procedure: k9869 
o|contracted procedure: k9875 
o|contracted procedure: k9889 
o|contracted procedure: k9896 
o|contracted procedure: k9908 
o|contracted procedure: k9970 
o|contracted procedure: k9914 
o|contracted procedure: k9966 
o|contracted procedure: k9923 
o|contracted procedure: k9932 
o|contracted procedure: k9939 
o|contracted procedure: k9947 
o|contracted procedure: k9951 
o|contracted procedure: k9958 
o|contracted procedure: k9962 
o|contracted procedure: k10053 
o|contracted procedure: k9976 
o|contracted procedure: k9988 
o|contracted procedure: k9995 
o|contracted procedure: k9998 
o|contracted procedure: k10004 
o|contracted procedure: k10010 
o|contracted procedure: k10024 
o|contracted procedure: k10027 
o|contracted procedure: k10040 
o|contracted procedure: k10043 
o|contracted procedure: k10050 
o|contracted procedure: k10157 
o|contracted procedure: k10062 
o|contracted procedure: k10074 
o|contracted procedure: k10081 
o|contracted procedure: k10154 
o|contracted procedure: k10087 
o|contracted procedure: k10093 
o|contracted procedure: k10150 
o|contracted procedure: k10099 
o|contracted procedure: k10115 
o|contracted procedure: k10119 
o|contracted procedure: k10138 
o|contracted procedure: k10142 
o|contracted procedure: k10126 
o|contracted procedure: k10134 
o|contracted procedure: k10146 
o|contracted procedure: k10269 
o|contracted procedure: k10166 
o|contracted procedure: k10263 
o|contracted procedure: k10169 
o|contracted procedure: k10257 
o|contracted procedure: k10172 
o|contracted procedure: k10251 
o|contracted procedure: k10175 
o|contracted procedure: k10190 
o|contracted procedure: k10196 
o|contracted procedure: k10202 
o|contracted procedure: k10216 
o|contracted procedure: k10222 
o|contracted procedure: k10225 
o|contracted procedure: k10228 
o|contracted procedure: k10241 
o|contracted procedure: k10245 
o|contracted procedure: k10278 
o|contracted procedure: k10293 
o|contracted procedure: k10296 
o|contracted procedure: k10299 
o|contracted procedure: k10312 
o|contracted procedure: k10316 
o|contracted procedure: k10319 
o|contracted procedure: k10435 
o|contracted procedure: k10447 
o|contracted procedure: k10486 
o|contracted procedure: k10482 
o|contracted procedure: k10533 
o|contracted procedure: k10536 
o|contracted procedure: k10545 
o|contracted procedure: k10564 
o|contracted procedure: k10571 
o|contracted procedure: k10575 
o|contracted procedure: k10584 
o|contracted procedure: k10595 
o|contracted procedure: k10607 
o|contracted procedure: k10618 
o|contracted procedure: k10629 
o|contracted procedure: k10640 
o|contracted procedure: k10651 
o|contracted procedure: k10662 
o|contracted procedure: k10673 
o|contracted procedure: k10684 
o|contracted procedure: k10695 
o|contracted procedure: k10706 
o|contracted procedure: k10717 
o|contracted procedure: k10728 
o|contracted procedure: k10746 
o|contracted procedure: k10763 
o|contracted procedure: k10773 
o|contracted procedure: k10776 
o|contracted procedure: k10786 
o|contracted procedure: k10804 
o|contracted procedure: k10832 
o|contracted procedure: k10817 
o|contracted procedure: k10828 
o|contracted procedure: k10844 
o|contracted procedure: k10854 
o|contracted procedure: k10864 
o|contracted procedure: k10875 
o|contracted procedure: k10884 
o|contracted procedure: k10890 
o|contracted procedure: k10899 
o|contracted procedure: k10908 
o|contracted procedure: k10911 
o|contracted procedure: k10980 
o|contracted procedure: k10976 
o|contracted procedure: k10920 
o|contracted procedure: k10932 
o|contracted procedure: k10942 
o|contracted procedure: k10935 
o|contracted procedure: k10945 
o|contracted procedure: k10972 
o|contracted procedure: k10951 
o|contracted procedure: k10968 
o|contracted procedure: k10957 
o|contracted procedure: k10964 
o|contracted procedure: k10989 
o|contracted procedure: k11007 
o|contracted procedure: k11000 
o|contracted procedure: k11023 
o|contracted procedure: k11016 
o|contracted procedure: k11039 
o|contracted procedure: k11032 
o|contracted procedure: k11055 
o|contracted procedure: k11048 
o|contracted procedure: k11071 
o|contracted procedure: k11064 
o|contracted procedure: k11087 
o|contracted procedure: k11080 
o|contracted procedure: k11103 
o|contracted procedure: k11096 
o|contracted procedure: k11119 
o|contracted procedure: k11112 
o|contracted procedure: k11131 
o|contracted procedure: k11201 
o|contracted procedure: k11143 
o|contracted procedure: k11153 
o|contracted procedure: k11162 
o|contracted procedure: k11169 
o|contracted procedure: k11175 
o|contracted procedure: k11182 
o|contracted procedure: k11190 
o|contracted procedure: k11197 
o|contracted procedure: k11216 
o|contracted procedure: k11223 
o|contracted procedure: k11231 
o|contracted procedure: k11227 
o|contracted procedure: k11248 
o|contracted procedure: k11237 
o|contracted procedure: k11275 
o|contracted procedure: k11278 
o|contracted procedure: k11281 
o|contracted procedure: k11284 
o|contracted procedure: k11293 
o|contracted procedure: k11296 
o|contracted procedure: k11303 
o|contracted procedure: k11312 
o|contracted procedure: k11319 
o|contracted procedure: k11323 
o|contracted procedure: k11376 
o|contracted procedure: k11334 
o|contracted procedure: k11340 
o|contracted procedure: k11355 
o|contracted procedure: k11358 
o|contracted procedure: k11361 
o|contracted procedure: k11368 
o|contracted procedure: k11372 
o|contracted procedure: k11386 
o|contracted procedure: k11397 
o|contracted procedure: k11406 
o|contracted procedure: k11409 
o|contracted procedure: k11412 
o|contracted procedure: k11419 
o|contracted procedure: k11423 
o|contracted procedure: k11432 
o|contracted procedure: k11435 
o|contracted procedure: k11439 
o|contracted procedure: k11445 
o|contracted procedure: k11448 
o|contracted procedure: k11457 
o|contracted procedure: k11466 
o|contracted procedure: k11482 
o|contracted procedure: k11488 
o|contracted procedure: k11494 
o|contracted procedure: k11511 
o|contracted procedure: k11516 
o|contracted procedure: k11519 
o|contracted procedure: k11530 
o|contracted procedure: k11543 
o|contracted procedure: k11552 
o|contracted procedure: k11567 
o|contracted procedure: k11576 
o|contracted procedure: k11594 
o|contracted procedure: k11615 
o|contracted procedure: k11626 
o|contracted procedure: k11629 
o|contracted procedure: k11640 
o|contracted procedure: k11653 
o|contracted procedure: k11662 
o|contracted procedure: k11677 
o|contracted procedure: k11686 
o|contracted procedure: k11704 
o|contracted procedure: k11725 
o|contracted procedure: k11737 
o|contracted procedure: k11740 
o|contracted procedure: k11747 
o|contracted procedure: k11762 
o|contracted procedure: k11769 
o|contracted procedure: k11772 
o|contracted procedure: k11775 
o|contracted procedure: k11782 
o|contracted procedure: k11786 
o|contracted procedure: k11810 
o|contracted procedure: k11813 
o|contracted procedure: k11816 
o|contracted procedure: k11823 
o|contracted procedure: k11827 
o|contracted procedure: k11839 
o|contracted procedure: k11851 
o|contracted procedure: k11857 
o|contracted procedure: k11872 
o|contracted procedure: k11887 
o|contracted procedure: k11906 
o|contracted procedure: k11894 
o|contracted procedure: k11898 
o|contracted procedure: k11902 
o|contracted procedure: k11909 
o|contracted procedure: k11940 
o|contracted procedure: k11933 
o|contracted procedure: k11964 
o|contracted procedure: k11957 
o|contracted procedure: k11988 
o|contracted procedure: k11981 
o|contracted procedure: k12012 
o|contracted procedure: k12005 
o|contracted procedure: k12036 
o|contracted procedure: k12029 
o|contracted procedure: k12060 
o|contracted procedure: k12053 
o|contracted procedure: k12084 
o|contracted procedure: k12077 
o|contracted procedure: k12108 
o|contracted procedure: k12101 
o|contracted procedure: k12132 
o|contracted procedure: k12125 
o|contracted procedure: k12156 
o|contracted procedure: k12149 
o|contracted procedure: k12180 
o|contracted procedure: k12173 
o|contracted procedure: k12197 
o|contracted procedure: k12222 
o|contracted procedure: k12215 
o|contracted procedure: k12246 
o|contracted procedure: k12239 
o|contracted procedure: k12263 
o|contracted procedure: k12281 
o|contracted procedure: k12299 
o|contracted procedure: k12317 
o|contracted procedure: k12335 
o|contracted procedure: k12353 
o|contracted procedure: k12371 
o|contracted procedure: k12389 
o|contracted procedure: k12407 
o|contracted procedure: k12425 
o|contracted procedure: k12450 
o|contracted procedure: k12443 
o|contracted procedure: k12467 
o|contracted procedure: k12492 
o|contracted procedure: k12485 
o|contracted procedure: k12509 
o|contracted procedure: k12527 
o|contracted procedure: k12545 
o|contracted procedure: k12563 
o|contracted procedure: k12585 
o|contracted procedure: k12576 
o|contracted procedure: k12601 
o|contracted procedure: k12615 
o|contracted procedure: k12619 
o|contracted procedure: k12670 
o|contracted procedure: k12681 
o|contracted procedure: k12693 
o|contracted procedure: k12707 
o|contracted procedure: k12716 
o|contracted procedure: k12735 
o|contracted procedure: k12761 
o|contracted procedure: k12774 
o|contracted procedure: k12780 
o|contracted procedure: k12827 
o|contracted procedure: k12849 
o|contracted procedure: k12873 
o|contracted procedure: k12895 
o|contracted procedure: k12912 
o|contracted procedure: k12924 
o|contracted procedure: k13032 
o|contracted procedure: k12961 
o|contracted procedure: k13002 
o|contracted procedure: k13058 
o|contracted procedure: k13110 
o|contracted procedure: k13120 
o|contracted procedure: k13133 
o|contracted procedure: k13140 
o|contracted procedure: k13148 
o|contracted procedure: k13152 
o|contracted procedure: k13190 
o|contracted procedure: k13193 
o|contracted procedure: k13240 
o|contracted procedure: k13257 
o|contracted procedure: k13263 
o|contracted procedure: k13344 
o|contracted procedure: k13388 
o|contracted procedure: k13378 
o|contracted procedure: k13396 
o|contracted procedure: k13419 
o|contracted procedure: k13460 
o|contracted procedure: k13501 
o|contracted procedure: k13532 
o|contracted procedure: k13574 
o|contracted procedure: k13593 
o|contracted procedure: k13644 
o|contracted procedure: k13669 
o|contracted procedure: k13673 
o|contracted procedure: k13704 
o|contracted procedure: k13707 
o|contracted procedure: k13730 
o|contracted procedure: k13736 
o|contracted procedure: k13743 
o|contracted procedure: k13750 
o|contracted procedure: k13754 
o|contracted procedure: k13758 
o|contracted procedure: k13773 
o|contracted procedure: k13779 
o|contracted procedure: k13786 
o|contracted procedure: k13793 
o|contracted procedure: k13797 
o|contracted procedure: k13801 
o|contracted procedure: k13809 
o|contracted procedure: k13815 
o|contracted procedure: k13854 
o|contracted procedure: k13863 
o|contracted procedure: k13914 
o|contracted procedure: k13894 
o|contracted procedure: k13923 
o|contracted procedure: k13929 
o|contracted procedure: k13953 
o|contracted procedure: k13959 
o|contracted procedure: k13983 
o|contracted procedure: k13989 
o|contracted procedure: k14008 
o|contracted procedure: k14044 
o|contracted procedure: k14061 
o|contracted procedure: k14084 
o|contracted procedure: k14150 
o|contracted procedure: k14101 
o|contracted procedure: k14104 
o|contracted procedure: k14110 
o|contracted procedure: k14315 
o|contracted procedure: k14162 
o|contracted procedure: k14168 
o|contracted procedure: k14171 
o|contracted procedure: k14180 
o|contracted procedure: k14189 
o|contracted procedure: k14198 
o|contracted procedure: k14310 
o|contracted procedure: k14220 
o|contracted procedure: k14223 
o|contracted procedure: k14238 
o|contracted procedure: k14253 
o|contracted procedure: k14336 
o|contracted procedure: k14399 
o|contracted procedure: k14409 
o|contracted procedure: k14433 
o|contracted procedure: k14457 
o|contracted procedure: k14505 
o|contracted procedure: k14589 
o|contracted procedure: k14593 
o|contracted procedure: k14636 
o|contracted procedure: k14685 
o|contracted procedure: k14921 
o|contracted procedure: k14703 
o|contracted procedure: k14917 
o|contracted procedure: k14712 
o|contracted procedure: k14749 
o|contracted procedure: k14790 
o|contracted procedure: k14824 
o|contracted procedure: k14868 
o|contracted procedure: k14871 
o|contracted procedure: k14898 
o|contracted procedure: k14906 
o|contracted procedure: k14913 
o|contracted procedure: k14943 
o|contracted procedure: k14965 
o|contracted procedure: k15006 
o|contracted procedure: k15013 
o|contracted procedure: k15017 
o|contracted procedure: k15026 
o|contracted procedure: k15037 
o|contracted procedure: k15048 
o|contracted procedure: k15068 
o|contracted procedure: k15075 
o|contracted procedure: k15079 
o|contracted procedure: k15088 
o|contracted procedure: k15099 
o|contracted procedure: k15114 
o|contracted procedure: k15167 
o|contracted procedure: k15120 
o|contracted procedure: k15157 
o|contracted procedure: k15152 
o|contracted procedure: k15176 
o|contracted procedure: k15207 
o|contracted procedure: k15228 
o|contracted procedure: k15348 
o|contracted procedure: k15359 
o|contracted procedure: k15384 
o|contracted procedure: k15397 
o|contracted procedure: k15408 
o|contracted procedure: k15425 
o|contracted procedure: k15431 
o|contracted procedure: k15437 
o|contracted procedure: k15253 
o|contracted procedure: k15315 
o|contracted procedure: k15265 
o|contracted procedure: k15271 
o|contracted procedure: k15276 
o|contracted procedure: k15330 
o|contracted procedure: k15334 
o|contracted procedure: k15292 
o|contracted procedure: k15296 
o|contracted procedure: k15451 
o|contracted procedure: k16761 
o|contracted procedure: k16757 
o|contracted procedure: k15454 
o|contracted procedure: k16753 
o|contracted procedure: k16749 
o|contracted procedure: k15457 
o|contracted procedure: k16745 
o|contracted procedure: k16741 
o|contracted procedure: k15460 
o|contracted procedure: k15474 
o|contracted procedure: k15480 
o|contracted procedure: k15494 
o|contracted procedure: k15519 
o|contracted procedure: k15500 
o|contracted procedure: k15507 
o|contracted procedure: k15513 
o|contracted procedure: k15566 
o|contracted procedure: k15527 
o|contracted procedure: k15537 
o|contracted procedure: k15543 
o|contracted procedure: k15549 
o|contracted procedure: k15582 
o|contracted procedure: k15588 
o|contracted procedure: k15602 
o|contracted procedure: k15609 
o|contracted procedure: k15615 
o|contracted procedure: k15629 
o|contracted procedure: k15636 
o|contracted procedure: k15657 
o|contracted procedure: k15671 
o|contracted procedure: k15682 
o|contracted procedure: k15693 
o|contracted procedure: k15713 
o|contracted procedure: k15717 
o|contracted procedure: k15725 
o|contracted procedure: k15731 
o|contracted procedure: k15743 
o|contracted procedure: k15749 
o|contracted procedure: k15764 
o|contracted procedure: k15770 
o|contracted procedure: k15782 
o|contracted procedure: k15797 
o|contracted procedure: k15825 
o|contracted procedure: k15821 
o|contracted procedure: k15829 
o|contracted procedure: k15832 
o|contracted procedure: k15835 
o|contracted procedure: k15838 
o|contracted procedure: k15844 
o|contracted procedure: k15862 
o|contracted procedure: k15868 
o|contracted procedure: k15874 
o|contracted procedure: k15880 
o|contracted procedure: k15886 
o|contracted procedure: k15892 
o|contracted procedure: k15898 
o|contracted procedure: k15904 
o|contracted procedure: k15938 
o|contracted procedure: k15965 
o|contracted procedure: k15980 
o|contracted procedure: k15989 
o|contracted procedure: k16015 
o|contracted procedure: k15995 
o|contracted procedure: k16002 
o|contracted procedure: k16023 
o|contracted procedure: k16029 
o|contracted procedure: k16035 
o|contracted procedure: k16063 
o|contracted procedure: k16067 
o|contracted procedure: k16077 
o|contracted procedure: k16081 
o|contracted procedure: k16097 
o|contracted procedure: k16175 
o|contracted procedure: k16106 
o|contracted procedure: k16171 
o|contracted procedure: k16121 
o|contracted procedure: k16130 
o|contracted procedure: k16141 
o|contracted procedure: k16156 
o|contracted procedure: k16179 
o|contracted procedure: k16188 
o|contracted procedure: k16194 
o|contracted procedure: k16200 
o|contracted procedure: k16206 
o|contracted procedure: k16212 
o|contracted procedure: k16218 
o|contracted procedure: k16224 
o|contracted procedure: k16230 
o|contracted procedure: k16261 
o|contracted procedure: k16290 
o|contracted procedure: k16271 
o|contracted procedure: k16277 
o|contracted procedure: k16298 
o|contracted procedure: k16309 
o|contracted procedure: k16315 
o|contracted procedure: k16326 
o|contracted procedure: k16329 
o|contracted procedure: k16342 
o|contracted procedure: k16413 
o|contracted procedure: k16348 
o|contracted procedure: k16358 
o|contracted procedure: k16391 
o|contracted procedure: k16374 
o|contracted procedure: k16388 
o|contracted procedure: k16381 
o|contracted procedure: k16378 
o|contracted procedure: k16409 
o|contracted procedure: k16394 
o|contracted procedure: k16405 
o|contracted procedure: k16419 
o|contracted procedure: k16422 
o|contracted procedure: k16435 
o|contracted procedure: k16483 
o|contracted procedure: k16441 
o|contracted procedure: k16447 
o|contracted procedure: k16471 
o|contracted procedure: k16464 
o|contracted procedure: k16461 
o|contracted procedure: k16479 
o|contracted procedure: k16490 
o|contracted procedure: k16510 
o|contracted procedure: k16516 
o|contracted procedure: k16535 
o|contracted procedure: k16551 
o|contracted procedure: k16558 
o|contracted procedure: k16561 
o|contracted procedure: k16600 
o|contracted procedure: k16567 
o|contracted procedure: k16573 
o|contracted procedure: k16576 
o|contracted procedure: k16608 
o|contracted procedure: k16611 
o|contracted procedure: k16621 
o|contracted procedure: k16669 
o|contracted procedure: k16627 
o|contracted procedure: k16633 
o|contracted procedure: k16679 
o|contracted procedure: k16703 
o|contracted procedure: k16689 
o|contracted procedure: k16707 
o|contracted procedure: k16730 
o|contracted procedure: k17013 
o|contracted procedure: k16767 
o|contracted procedure: k16770 
o|contracted procedure: k16780 
o|contracted procedure: k16972 
o|contracted procedure: k16800 
o|contracted procedure: k16803 
o|contracted procedure: k16809 
o|contracted procedure: k16816 
o|contracted procedure: k16822 
o|contracted procedure: k16825 
o|contracted procedure: k16831 
o|contracted procedure: k16838 
o|contracted procedure: k16844 
o|contracted procedure: k16847 
o|contracted procedure: k16853 
o|contracted procedure: k16860 
o|contracted procedure: k16866 
o|contracted procedure: k16869 
o|contracted procedure: k16875 
o|contracted procedure: k16882 
o|contracted procedure: k16888 
o|contracted procedure: k16891 
o|contracted procedure: k16897 
o|contracted procedure: k16904 
o|contracted procedure: k16910 
o|contracted procedure: k16913 
o|contracted procedure: k16919 
o|contracted procedure: k16926 
o|contracted procedure: k16995 
o|contracted procedure: k16982 
o|contracted procedure: k17007 
o|contracted procedure: k16998 
o|contracted procedure: k17055 
o|contracted procedure: k17022 
o|contracted procedure: k17049 
o|contracted procedure: k17025 
o|contracted procedure: k17043 
o|contracted procedure: k17028 
o|contracted procedure: k17037 
o|contracted procedure: k17031 
o|contracted procedure: k17071 
o|contracted procedure: k17074 
o|contracted procedure: k17080 
o|contracted procedure: k17083 
o|contracted procedure: k17089 
o|contracted procedure: k17101 
o|contracted procedure: k17108 
o|contracted procedure: k17112 
o|contracted procedure: k17125 
o|contracted procedure: k17129 
o|contracted procedure: k17133 
o|contracted procedure: k17139 
o|contracted procedure: k17148 
o|contracted procedure: k17154 
o|contracted procedure: k17165 
o|contracted procedure: k17171 
o|contracted procedure: k17177 
o|contracted procedure: k17198 
o|contracted procedure: k17208 
o|contracted procedure: k17204 
o|contracted procedure: k17211 
o|contracted procedure: k17224 
o|contracted procedure: k17217 
o|contracted procedure: k17242 
o|contracted procedure: k17257 
o|contracted procedure: k17270 
o|contracted procedure: k17283 
o|contracted procedure: k17302 
o|contracted procedure: k17320 
o|contracted procedure: k17323 
o|contracted procedure: k17358 
o|contracted procedure: k17378 
o|contracted procedure: k17381 
o|contracted procedure: k17384 
o|contracted procedure: k17392 
o|contracted procedure: k17400 
o|contracted procedure: k17363 
o|contracted procedure: k17412 
o|contracted procedure: k17418 
o|contracted procedure: k17440 
o|contracted procedure: k17463 
o|contracted procedure: k17445 
o|contracted procedure: k17448 
o|contracted procedure: k17454 
o|contracted procedure: k17503 
o|contracted procedure: k17506 
o|contracted procedure: k17518 
o|contracted procedure: k17533 
o|contracted procedure: k17544 
o|contracted procedure: k17539 
o|contracted procedure: k17563 
o|contracted procedure: k17560 
o|contracted procedure: k17569 
o|contracted procedure: k17625 
o|contracted procedure: k17582 
o|contracted procedure: k17588 
o|contracted procedure: k17603 
o|contracted procedure: k17621 
o|contracted procedure: k17606 
o|contracted procedure: k17613 
o|contracted procedure: k17617 
o|contracted procedure: k17631 
o|contracted procedure: k17643 
o|contracted procedure: k17650 
o|contracted procedure: k17658 
o|contracted procedure: k17670 
o|contracted procedure: k17682 
o|contracted procedure: k17685 
o|contracted procedure: k17692 
o|contracted procedure: k17698 
o|contracted procedure: k17701 
o|contracted procedure: k17704 
o|contracted procedure: k17707 
o|contracted procedure: k17728 
o|contracted procedure: k17742 
o|contracted procedure: k17731 
o|contracted procedure: k17738 
o|contracted procedure: k17745 
o|contracted procedure: k17748 
o|contracted procedure: k17757 
o|contracted procedure: k17829 
o|contracted procedure: k17767 
o|contracted procedure: k17770 
o|contracted procedure: k17773 
o|contracted procedure: k17776 
o|contracted procedure: k17779 
o|contracted procedure: k17800 
o|contracted procedure: k17818 
o|contracted procedure: k17814 
o|contracted procedure: k17803 
o|contracted procedure: k17810 
o|contracted procedure: k17822 
o|contracted procedure: k17826 
o|contracted procedure: k17850 
o|contracted procedure: k17838 
o|contracted procedure: k17841 
o|contracted procedure: k17874 
o|contracted procedure: k17888 
o|contracted procedure: k17877 
o|contracted procedure: k17884 
o|contracted procedure: k17892 
o|contracted procedure: k17902 
o|contracted procedure: k17906 
o|contracted procedure: k17913 
o|contracted procedure: k17917 
o|contracted procedure: k17924 
o|contracted procedure: k17928 
o|contracted procedure: k17935 
o|contracted procedure: k17939 
o|contracted procedure: k17946 
o|contracted procedure: k17950 
o|contracted procedure: k17960 
o|contracted procedure: k17967 
o|contracted procedure: k17976 
o|contracted procedure: k17979 
o|contracted procedure: k17996 
o|contracted procedure: k17985 
o|contracted procedure: k17992 
o|contracted procedure: k18007 
o|contracted procedure: k18022 
o|contracted procedure: k18025 
o|contracted procedure: k18037 
o|contracted procedure: k18040 
o|contracted procedure: k18054 
o|contracted procedure: k18050 
o|contracted procedure: k18058 
o|contracted procedure: k18081 
o|contracted procedure: k18062 
o|contracted procedure: k18073 
o|contracted procedure: k18077 
o|contracted procedure: k18069 
o|contracted procedure: k18095 
o|contracted procedure: k18091 
o|contracted procedure: k18084 
o|contracted procedure: k18098 
o|contracted procedure: k18101 
o|contracted procedure: k18110 
o|contracted procedure: k18171 
o|contracted procedure: k18177 
o|contracted procedure: k18187 
o|contracted procedure: k18191 
o|contracted procedure: k18209 
o|contracted procedure: k18215 
o|contracted procedure: k18230 
o|contracted procedure: k18234 
o|contracted procedure: k18245 
o|contracted procedure: k18248 
o|contracted procedure: k18254 
o|contracted procedure: k18263 
o|contracted procedure: k18278 
o|contracted procedure: k18289 
o|contracted procedure: k18332 
o|contracted procedure: k18307 
o|contracted procedure: k18328 
o|contracted procedure: k18324 
o|contracted procedure: k18313 
o|contracted procedure: k18320 
o|contracted procedure: k18343 
o|contracted procedure: k18346 
o|contracted procedure: k18358 
o|contracted procedure: k18368 
o|contracted procedure: k18372 
o|contracted procedure: k18379 
o|contracted procedure: k18385 
o|contracted procedure: k18391 
o|contracted procedure: k18429 
o|contracted procedure: k18432 
o|contracted procedure: k18435 
o|contracted procedure: k18447 
o|contracted procedure: k18450 
o|contracted procedure: k18453 
o|contracted procedure: k18461 
o|contracted procedure: k18469 
o|contracted procedure: k18479 
o|contracted procedure: k18485 
o|contracted procedure: k18491 
o|contracted procedure: k18557 
o|contracted procedure: k18537 
o|contracted procedure: k18547 
o|contracted procedure: k18579 
o|contracted procedure: k18590 
o|contracted procedure: k18594 
o|contracted procedure: k18586 
o|contracted procedure: k18604 
o|contracted procedure: k18613 
o|contracted procedure: k18627 
o|contracted procedure: k18619 
o|contracted procedure: k18631 
o|contracted procedure: k18635 
o|contracted procedure: k18656 
o|contracted procedure: k18638 
o|contracted procedure: k18642 
o|contracted procedure: k18652 
o|contracted procedure: k18685 
o|contracted procedure: k18691 
o|contracted procedure: k18694 
o|contracted procedure: k18697 
o|contracted procedure: k18700 
o|contracted procedure: k18703 
o|contracted procedure: k18706 
o|contracted procedure: k18709 
o|contracted procedure: k31758 
o|contracted procedure: k31764 
o|contracted procedure: k31798 
o|contracted procedure: k31804 
o|contracted procedure: k31860 
o|contracted procedure: k31866 
o|contracted procedure: k31872 
o|contracted procedure: k31885 
o|contracted procedure: k31889 
o|contracted procedure: k31893 
o|contracted procedure: k31915 
o|contracted procedure: k31922 
o|contracted procedure: k31926 
o|contracted procedure: k31930 
o|contracted procedure: k31940 
o|contracted procedure: k31956 
o|contracted procedure: k31960 
o|contracted procedure: k31967 
o|contracted procedure: k31973 
o|contracted procedure: k31982 
o|contracted procedure: k31988 
o|contracted procedure: k32002 
o|contracted procedure: k32006 
o|contracted procedure: k32018 
o|contracted procedure: k32024 
o|contracted procedure: k32030 
o|contracted procedure: k32054 
o|contracted procedure: k32033 
o|contracted procedure: k32091 
o|contracted procedure: k32087 
o|contracted procedure: k32076 
o|contracted procedure: k32105 
o|contracted procedure: k32101 
o|contracted procedure: k32094 
o|contracted procedure: k32108 
o|contracted procedure: k18713 
o|contracted procedure: k18744 
o|contracted procedure: k18755 
o|contracted procedure: k18766 
o|contracted procedure: k18777 
o|contracted procedure: k18788 
o|contracted procedure: k18791 
o|contracted procedure: k18817 
o|contracted procedure: k18823 
o|contracted procedure: k18830 
o|contracted procedure: k18836 
o|contracted procedure: k18849 
o|contracted procedure: k18852 
o|contracted procedure: k18878 
o|contracted procedure: k18884 
o|contracted procedure: k18891 
o|contracted procedure: k18897 
o|contracted procedure: k18910 
o|contracted procedure: k18913 
o|contracted procedure: k18939 
o|contracted procedure: k18945 
o|contracted procedure: k18952 
o|contracted procedure: k18958 
o|contracted procedure: k18971 
o|contracted procedure: k18994 
o|contracted procedure: k18997 
o|contracted procedure: k19040 
o|contracted procedure: k19043 
o|contracted procedure: k19053 
o|contracted procedure: k19056 
o|contracted procedure: k1905334570 
o|contracted procedure: k19063 
o|contracted procedure: k1905334574 
o|contracted procedure: k19070 
o|contracted procedure: k1905334578 
o|contracted procedure: k19095 
o|contracted procedure: k19119 
o|contracted procedure: k19123 
o|contracted procedure: k19115 
o|contracted procedure: k19101 
o|contracted procedure: k19111 
o|contracted procedure: k19104 
o|contracted procedure: k19276 
o|contracted procedure: k19282 
o|contracted procedure: k19302 
o|contracted procedure: k19295 
o|contracted procedure: k19317 
o|contracted procedure: k19308 
o|contracted procedure: k19335 
o|contracted procedure: k19342 
o|contracted procedure: k19364 
o|contracted procedure: k19381 
o|contracted procedure: k19370 
o|contracted procedure: k19377 
o|contracted procedure: k19385 
o|contracted procedure: k19388 
o|contracted procedure: k19404 
o|contracted procedure: k19443 
o|contracted procedure: k19414 
o|contracted procedure: k19423 
o|contracted procedure: k19426 
o|contracted procedure: k19439 
o|contracted procedure: k19449 
o|contracted procedure: k19465 
o|contracted procedure: k19461 
o|contracted procedure: k19477 
o|contracted procedure: k19507 
o|contracted procedure: k19584 
o|contracted procedure: k19518 
o|contracted procedure: k19542 
o|contracted procedure: k19555 
o|contracted procedure: k19562 
o|contracted procedure: k19572 
o|contracted procedure: k19568 
o|contracted procedure: k19575 
o|contracted procedure: k19659 
o|contracted procedure: k19819 
o|contracted procedure: k19666 
o|contracted procedure: k19680 
o|contracted procedure: k19689 
o|contracted procedure: k19697 
o|contracted procedure: k19701 
o|contracted procedure: k19707 
o|contracted procedure: k19716 
o|contracted procedure: k19722 
o|contracted procedure: k19732 
o|contracted procedure: k19748 
o|contracted procedure: k19754 
o|contracted procedure: k19761 
o|contracted procedure: k19767 
o|contracted procedure: k19777 
o|contracted procedure: k19783 
o|contracted procedure: k19789 
o|contracted procedure: k19798 
o|contracted procedure: k19816 
o|contracted procedure: k19804 
o|contracted procedure: k19812 
o|contracted procedure: k19846 
o|contracted procedure: k19830 
o|contracted procedure: k19843 
o|contracted procedure: k19836 
o|contracted procedure: k19864 
o|contracted procedure: k19855 
o|contracted procedure: k19879 
o|contracted procedure: k19893 
o|contracted procedure: k19889 
o|contracted procedure: k19882 
o|inlining procedure: k19876 
o|contracted procedure: k19899 
o|contracted procedure: k19910 
o|contracted procedure: k19906 
o|inlining procedure: k19876 
o|contracted procedure: k19914 
o|contracted procedure: k19917 
o|contracted procedure: k19927 
o|contracted procedure: k19920 
o|contracted procedure: k19945 
o|contracted procedure: k19961 
o|contracted procedure: k19948 
o|contracted procedure: k19954 
o|contracted procedure: k19976 
o|contracted procedure: k19967 
o|contracted procedure: k19994 
o|contracted procedure: k19985 
o|contracted procedure: k20047 
o|contracted procedure: k20070 
o|contracted procedure: k20139 
o|contracted procedure: k20146 
o|contracted procedure: k20168 
o|contracted procedure: k20196 
o|contracted procedure: k20212 
o|contracted procedure: k20237 
o|contracted procedure: k20262 
o|contracted procedure: k20265 
o|contracted procedure: k20275 
o|contracted procedure: k20279 
o|contracted procedure: k20291 
o|contracted procedure: k20303 
o|contracted procedure: k20310 
o|contracted procedure: k20314 
o|contracted procedure: k20319 
o|contracted procedure: k20344 
o|contracted procedure: k20354 
o|contracted procedure: k20365 
o|contracted procedure: k20371 
o|contracted procedure: k20382 
o|contracted procedure: k20388 
o|contracted procedure: k20399 
o|contracted procedure: k20405 
o|contracted procedure: k20416 
o|contracted procedure: k20422 
o|contracted procedure: k20433 
o|contracted procedure: k20439 
o|contracted procedure: k20450 
o|contracted procedure: k20456 
o|contracted procedure: k20467 
o|contracted procedure: k20473 
o|contracted procedure: k20476 
o|contracted procedure: k20487 
o|contracted procedure: k20497 
o|contracted procedure: k20541 
o|contracted procedure: k20571 
o|contracted procedure: k20600 
o|contracted procedure: k20614 
o|contracted procedure: k20620 
o|contracted procedure: k20635 
o|contracted procedure: k20638 
o|contracted procedure: k20651 
o|contracted procedure: k20666 
o|contracted procedure: k20682 
o|contracted procedure: k20761 
o|contracted procedure: k20757 
o|contracted procedure: k20749 
o|contracted procedure: k20745 
o|contracted procedure: k20730 
o|contracted procedure: k20741 
o|contracted procedure: k20775 
o|contracted procedure: k20778 
o|contracted procedure: k20784 
o|contracted procedure: k20790 
o|contracted procedure: k20796 
o|contracted procedure: k20813 
o|contracted procedure: k20819 
o|contracted procedure: k20859 
o|contracted procedure: k20873 
o|contracted procedure: k20882 
o|contracted procedure: k20891 
o|contracted procedure: k20924 
o|contracted procedure: k20965 
o|contracted procedure: k20974 
o|contracted procedure: k20986 
o|contracted procedure: k20998 
o|contracted procedure: k21007 
o|contracted procedure: k21025 
o|contracted procedure: k21043 
o|contracted procedure: k21046 
o|contracted procedure: k21083 
o|contracted procedure: k21056 
o|contracted procedure: k21077 
o|contracted procedure: k21089 
o|contracted procedure: k21095 
o|contracted procedure: k21101 
o|contracted procedure: k21110 
o|contracted procedure: k21113 
o|contracted procedure: k21147 
o|contracted procedure: k21181 
o|contracted procedure: k21223 
o|contracted procedure: k21215 
o|contracted procedure: k21232 
o|contracted procedure: k21244 
o|contracted procedure: k21253 
o|contracted procedure: k21283 
o|contracted procedure: k21295 
o|contracted procedure: k21304 
o|contracted procedure: k21360 
o|contracted procedure: k21372 
o|inlining procedure: k21389 
o|contracted procedure: k21393 
o|inlining procedure: k21389 
o|contracted procedure: k21399 
o|contracted procedure: k21424 
o|contracted procedure: k21444 
o|contracted procedure: k21451 
o|contracted procedure: k21494 
o|contracted procedure: k21514 
o|contracted procedure: k21532 
o|contracted procedure: k21525 
o|contracted procedure: k21538 
o|contracted procedure: k21549 
o|contracted procedure: k21545 
o|contracted procedure: k21555 
o|contracted procedure: k21567 
o|contracted procedure: k21591 
o|contracted procedure: k21601 
o|contracted procedure: k21611 
o|contracted procedure: k21631 
o|contracted procedure: k21617 
o|contracted procedure: k21628 
o|contracted procedure: k21640 
o|contracted procedure: k21649 
o|contracted procedure: k21659 
o|inlining procedure: k21666 
o|contracted procedure: k21670 
o|inlining procedure: k21666 
o|contracted procedure: k21684 
o|contracted procedure: k21702 
o|contracted procedure: k21708 
o|contracted procedure: k21725 
o|contracted procedure: k21728 
o|contracted procedure: k21750 
o|contracted procedure: k21869 
o|contracted procedure: k21756 
o|contracted procedure: k21865 
o|contracted procedure: k21857 
o|contracted procedure: k21861 
o|contracted procedure: k21853 
o|contracted procedure: k21759 
o|contracted procedure: k21762 
o|contracted procedure: k21849 
o|contracted procedure: k21845 
o|contracted procedure: k21841 
o|contracted procedure: k21837 
o|contracted procedure: k21824 
o|contracted procedure: k21832 
o|contracted procedure: k21828 
o|contracted procedure: k21768 
o|contracted procedure: k21780 
o|contracted procedure: k21811 
o|contracted procedure: k21819 
o|contracted procedure: k21815 
o|contracted procedure: k21784 
o|contracted procedure: k21790 
o|contracted procedure: k21798 
o|contracted procedure: k21806 
o|contracted procedure: k21802 
o|contracted procedure: k21794 
o|contracted procedure: k21873 
o|contracted procedure: k21896 
o|contracted procedure: k21917 
o|contracted procedure: k21923 
o|contracted procedure: k21940 
o|contracted procedure: k21929 
o|contracted procedure: k21936 
o|contracted procedure: k21953 
o|contracted procedure: k21963 
o|contracted procedure: k21960 
o|contracted procedure: k21976 
o|contracted procedure: k22012 
o|contracted procedure: k22041 
o|contracted procedure: k22065 
o|contracted procedure: k22077 
o|contracted procedure: k22089 
o|contracted procedure: k22101 
o|contracted procedure: k22110 
o|contracted procedure: k22129 
o|contracted procedure: k22141 
o|contracted procedure: k22150 
o|contracted procedure: k22159 
o|contracted procedure: k22168 
o|contracted procedure: k22192 
o|contracted procedure: k22204 
o|contracted procedure: k22207 
o|contracted procedure: k22222 
o|contracted procedure: k22232 
o|contracted procedure: k22239 
o|contracted procedure: k22263 
o|contracted procedure: k22272 
o|contracted procedure: k22278 
o|contracted procedure: k22290 
o|contracted procedure: k22302 
o|contracted procedure: k22314 
o|contracted procedure: k22326 
o|contracted procedure: k22338 
o|contracted procedure: k22350 
o|contracted procedure: k22381 
o|contracted procedure: k22390 
o|contracted procedure: k22396 
o|contracted procedure: k22405 
o|contracted procedure: k22414 
o|contracted procedure: k22426 
o|contracted procedure: k22441 
o|contracted procedure: k22453 
o|contracted procedure: k22468 
o|contracted procedure: k22480 
o|contracted procedure: k22492 
o|contracted procedure: k22507 
o|contracted procedure: k22556 
o|contracted procedure: k22545 
o|contracted procedure: k22552 
o|contracted procedure: k22567 
o|contracted procedure: k22587 
o|contracted procedure: k22583 
o|contracted procedure: k22597 
o|contracted procedure: k22624 
o|contracted procedure: k22630 
o|contracted procedure: k22640 
o|contracted procedure: k22646 
o|contracted procedure: k22659 
o|contracted procedure: k22662 
o|contracted procedure: k22685 
o|contracted procedure: k22732 
o|contracted procedure: k22738 
o|contracted procedure: k22747 
o|contracted procedure: k22759 
o|contracted procedure: k22771 
o|contracted procedure: k22780 
o|contracted procedure: k22783 
o|contracted procedure: k22792 
o|contracted procedure: k22798 
o|contracted procedure: k22807 
o|contracted procedure: k22816 
o|contracted procedure: k22825 
o|contracted procedure: k22834 
o|contracted procedure: k22837 
o|contracted procedure: k22897 
o|contracted procedure: k22883 
o|contracted procedure: k22893 
o|contracted procedure: k22911 
o|contracted procedure: k22901 
o|contracted procedure: k22908 
o|contracted procedure: k22920 
o|contracted procedure: k22926 
o|contracted procedure: k22935 
o|contracted procedure: k22962 
o|contracted procedure: k22958 
o|contracted procedure: k22942 
o|contracted procedure: k22954 
o|contracted procedure: k22950 
o|contracted procedure: k22946 
o|contracted procedure: k22968 
o|contracted procedure: k23011 
o|contracted procedure: k23007 
o|contracted procedure: k22975 
o|contracted procedure: k23003 
o|contracted procedure: k22999 
o|contracted procedure: k22995 
o|contracted procedure: k22979 
o|contracted procedure: k22991 
o|contracted procedure: k22987 
o|contracted procedure: k22983 
o|contracted procedure: k23017 
o|contracted procedure: k23076 
o|contracted procedure: k23072 
o|contracted procedure: k23024 
o|contracted procedure: k23068 
o|contracted procedure: k23064 
o|contracted procedure: k23060 
o|contracted procedure: k23028 
o|contracted procedure: k23056 
o|contracted procedure: k23052 
o|contracted procedure: k23048 
o|contracted procedure: k23032 
o|contracted procedure: k23044 
o|contracted procedure: k23040 
o|contracted procedure: k23036 
o|contracted procedure: k23088 
o|contracted procedure: k23100 
o|contracted procedure: k23106 
o|contracted procedure: k23112 
o|contracted procedure: k23118 
o|contracted procedure: k23153 
o|contracted procedure: k23149 
o|contracted procedure: k23145 
o|contracted procedure: k23125 
o|contracted procedure: k23141 
o|contracted procedure: k23133 
o|contracted procedure: k23137 
o|contracted procedure: k23129 
o|contracted procedure: k23162 
o|contracted procedure: k23168 
o|contracted procedure: k23175 
o|contracted procedure: k23181 
o|contracted procedure: k23188 
o|contracted procedure: k23214 
o|contracted procedure: k23223 
o|contracted procedure: k23241 
o|contracted procedure: k23237 
o|contracted procedure: k23230 
o|contracted procedure: k23247 
o|contracted procedure: k23265 
o|contracted procedure: k23261 
o|contracted procedure: k23257 
o|contracted procedure: k23286 
o|contracted procedure: k23282 
o|contracted procedure: k23278 
o|contracted procedure: k23297 
o|contracted procedure: k23310 
o|contracted procedure: k23313 
o|contracted procedure: k23322 
o|contracted procedure: k23325 
o|contracted procedure: k23362 
o|contracted procedure: k23352 
o|contracted procedure: k23371 
o|contracted procedure: k23392 
o|contracted procedure: k23380 
o|contracted procedure: k23383 
o|contracted procedure: k23407 
o|contracted procedure: k23401 
o|contracted procedure: k23425 
o|contracted procedure: k23416 
o|contracted procedure: k23443 
o|contracted procedure: k23434 
o|contracted procedure: k23462 
o|contracted procedure: k23474 
o|contracted procedure: k23484 
o|contracted procedure: k23488 
o|contracted procedure: k23513 
o|contracted procedure: k23525 
o|contracted procedure: k23535 
o|contracted procedure: k23539 
o|contracted procedure: k23584 
o|contracted procedure: k23590 
o|contracted procedure: k23599 
o|contracted procedure: k23602 
o|contracted procedure: k23618 
o|propagated global variable: r23619 ##sys#undefined-value 
o|contracted procedure: k23621 
o|contracted procedure: k23647 
o|contracted procedure: k23640 
o|contracted procedure: k23663 
o|contracted procedure: k23656 
o|contracted procedure: k23675 
o|contracted procedure: k23688 
o|propagated global variable: r23689 ##sys#undefined-value 
o|contracted procedure: k23692 
o|contracted procedure: k23698 
o|contracted procedure: k23701 
o|contracted procedure: k23719 
o|contracted procedure: k23737 
o|contracted procedure: k23752 
o|contracted procedure: k23761 
o|contracted procedure: k23764 
o|contracted procedure: k23770 
o|contracted procedure: k23783 
o|contracted procedure: k23790 
o|contracted procedure: k23806 
o|contracted procedure: k23809 
o|contracted procedure: k23812 
o|contracted procedure: k23826 
o|contracted procedure: k23832 
o|contracted procedure: k23838 
o|contracted procedure: k23844 
o|contracted procedure: k23847 
o|contracted procedure: k23859 
o|contracted procedure: k23869 
o|contracted procedure: k23878 
o|contracted procedure: k23884 
o|contracted procedure: k23900 
o|contracted procedure: k23907 
o|contracted procedure: k23925 
o|contracted procedure: k23935 
o|contracted procedure: k23941 
o|contracted procedure: k23948 
o|contracted procedure: k23932 
o|contracted procedure: k23953 
o|contracted procedure: k23959 
o|contracted procedure: k23977 
o|contracted procedure: k24014 
o|contracted procedure: k23983 
o|contracted procedure: k23993 
o|contracted procedure: k24010 
o|contracted procedure: k23996 
o|contracted procedure: k24006 
o|contracted procedure: k24025 
o|contracted procedure: k24040 
o|contracted procedure: k24049 
o|contracted procedure: k24058 
o|contracted procedure: k24085 
o|contracted procedure: k24100 
o|contracted procedure: k24109 
o|contracted procedure: k24112 
o|contracted procedure: k24153 
o|contracted procedure: k24208 
o|contracted procedure: k24171 
o|contracted procedure: k24177 
o|contracted procedure: k24189 
o|contracted procedure: k24256 
o|contracted procedure: k24269 
o|contracted procedure: k24273 
o|contracted procedure: k24276 
o|contracted procedure: k24285 
o|contracted procedure: k24294 
o|contracted procedure: k24297 
o|contracted procedure: k24306 
o|contracted procedure: k24315 
o|contracted procedure: k24324 
o|contracted procedure: k24333 
o|contracted procedure: k24342 
o|contracted procedure: k24351 
o|contracted procedure: k24360 
o|contracted procedure: k24379 
o|contracted procedure: k24426 
o|contracted procedure: k24435 
o|contracted procedure: k24457 
o|contracted procedure: k24447 
o|contracted procedure: k24470 
o|contracted procedure: k24474 
o|contracted procedure: k24483 
o|contracted procedure: k24492 
o|contracted procedure: k24507 
o|contracted procedure: k24510 
o|contracted procedure: k24523 
o|contracted procedure: k24530 
o|contracted procedure: k24577 
o|contracted procedure: k24590 
o|contracted procedure: k24593 
o|contracted procedure: k24602 
o|contracted procedure: k24621 
o|contracted procedure: k24637 
o|contracted procedure: k24646 
o|contracted procedure: k24662 
o|contracted procedure: k24666 
o|contracted procedure: k24670 
o|contracted procedure: k24674 
o|contracted procedure: k24701 
o|contracted procedure: k24704 
o|contracted procedure: k24715 
o|contracted procedure: k24711 
o|contracted procedure: k24721 
o|contracted procedure: k24724 
o|contracted procedure: k24760 
o|contracted procedure: k24783 
o|contracted procedure: k24763 
o|contracted procedure: k24779 
o|contracted procedure: k24802 
o|contracted procedure: k24832 
o|contracted procedure: k24842 
o|contracted procedure: k24848 
o|contracted procedure: k24858 
o|contracted procedure: k24957 
o|contracted procedure: k24960 
o|contracted procedure: k24963 
o|contracted procedure: k24966 
o|contracted procedure: k24972 
o|contracted procedure: k24997 
o|contracted procedure: k24978 
o|contracted procedure: k24987 
o|contracted procedure: k24990 
o|contracted procedure: k25000 
o|contracted procedure: k31255 
o|contracted procedure: k31258 
o|contracted procedure: k31261 
o|contracted procedure: k31267 
o|contracted procedure: k31274 
o|contracted procedure: k31270 
o|contracted procedure: k31280 
o|contracted procedure: k31283 
o|contracted procedure: k31286 
o|contracted procedure: k31292 
o|contracted procedure: k31301 
o|contracted procedure: k31304 
o|contracted procedure: k31311 
o|contracted procedure: k31320 
o|contracted procedure: k31323 
o|contracted procedure: k31330 
o|contracted procedure: k31342 
o|contracted procedure: k31377 
o|contracted procedure: k31345 
o|contracted procedure: k31352 
o|contracted procedure: k31356 
o|contracted procedure: k31363 
o|contracted procedure: k31359 
o|contracted procedure: k31366 
o|contracted procedure: k31369 
o|contracted procedure: k31383 
o|contracted procedure: k31386 
o|contracted procedure: k31389 
o|contracted procedure: k31392 
o|contracted procedure: k31398 
o|contracted procedure: k31420 
o|contracted procedure: k31411 
o|contracted procedure: k31429 
o|contracted procedure: k31443 
o|contracted procedure: k31439 
o|contracted procedure: k31432 
o|contracted procedure: k31454 
o|contracted procedure: k31458 
o|contracted procedure: k31450 
o|contracted procedure: k31467 
o|contracted procedure: k31470 
o|contracted procedure: k31473 
o|contracted procedure: k31479 
o|contracted procedure: k31485 
o|contracted procedure: k25007 
o|contracted procedure: k25016 
o|contracted procedure: k25027 
o|contracted procedure: k25023 
o|contracted procedure: k25039 
o|contracted procedure: k25069 
o|contracted procedure: k25076 
o|contracted procedure: k25093 
o|contracted procedure: k25127 
o|contracted procedure: k25134 
o|contracted procedure: k25155 
o|contracted procedure: k25162 
o|contracted procedure: k25173 
o|contracted procedure: k25176 
o|contracted procedure: k25183 
o|contracted procedure: k25186 
o|contracted procedure: k25204 
o|contracted procedure: k25192 
o|contracted procedure: k25200 
o|contracted procedure: k25210 
o|contracted procedure: k25216 
o|contracted procedure: k25219 
o|contracted procedure: k25222 
o|contracted procedure: k25232 
o|contracted procedure: k25235 
o|contracted procedure: k25238 
o|contracted procedure: k25276 
o|contracted procedure: k25272 
o|contracted procedure: k25254 
o|contracted procedure: k25264 
o|contracted procedure: k25268 
o|contracted procedure: k25290 
o|contracted procedure: k25305 
o|contracted procedure: k25315 
o|contracted procedure: k25319 
o|contracted procedure: k25344 
o|contracted procedure: k25354 
o|inlining procedure: k25347 
o|inlining procedure: k25347 
o|contracted procedure: k25513 
o|contracted procedure: k25378 
o|contracted procedure: k25507 
o|contracted procedure: k25381 
o|contracted procedure: k25501 
o|contracted procedure: k25384 
o|contracted procedure: k25495 
o|contracted procedure: k25387 
o|contracted procedure: k25485 
o|contracted procedure: k25393 
o|contracted procedure: k25396 
o|contracted procedure: k25408 
o|contracted procedure: k25479 
o|contracted procedure: k25411 
o|contracted procedure: k25417 
o|contracted procedure: k25455 
o|contracted procedure: k25443 
o|contracted procedure: k25451 
o|contracted procedure: k25447 
o|contracted procedure: k25427 
o|contracted procedure: k25435 
o|contracted procedure: k25459 
o|contracted procedure: k25466 
o|contracted procedure: k25469 
o|contracted procedure: k25492 
o|contracted procedure: k25525 
o|contracted procedure: k25533 
o|contracted procedure: k25536 
o|contracted procedure: k25539 
o|contracted procedure: k25579 
o|contracted procedure: k25592 
o|contracted procedure: k25607 
o|contracted procedure: k25617 
o|contracted procedure: k25621 
o|contracted procedure: k25709 
o|contracted procedure: k25627 
o|contracted procedure: k25703 
o|contracted procedure: k25630 
o|contracted procedure: k25697 
o|contracted procedure: k25633 
o|contracted procedure: k25691 
o|contracted procedure: k25636 
o|contracted procedure: k25685 
o|contracted procedure: k25639 
o|contracted procedure: k25679 
o|contracted procedure: k25642 
o|contracted procedure: k25673 
o|contracted procedure: k25645 
o|contracted procedure: k25667 
o|contracted procedure: k25648 
o|contracted procedure: k25657 
o|contracted procedure: k25727 
o|contracted procedure: k25744 
o|contracted procedure: k25772 
o|contracted procedure: k25780 
o|contracted procedure: k25795 
o|contracted procedure: k25805 
o|contracted procedure: k25809 
o|contracted procedure: k25836 
o|contracted procedure: k25843 
o|contracted procedure: k25849 
o|contracted procedure: k25852 
o|contracted procedure: k25890 
o|contracted procedure: k25900 
o|contracted procedure: k25904 
o|contracted procedure: k25907 
o|contracted procedure: k25928 
o|contracted procedure: k25937 
o|contracted procedure: k25940 
o|contracted procedure: k25943 
o|contracted procedure: k25958 
o|contracted procedure: k25950 
o|contracted procedure: k25965 
o|contracted procedure: k25971 
o|contracted procedure: k25977 
o|contracted procedure: k25983 
o|contracted procedure: k25989 
o|contracted procedure: k25995 
o|contracted procedure: k26001 
o|contracted procedure: k26007 
o|contracted procedure: k26013 
o|contracted procedure: k26019 
o|contracted procedure: k26025 
o|contracted procedure: k26031 
o|contracted procedure: k26037 
o|contracted procedure: k26043 
o|contracted procedure: k26080 
o|contracted procedure: k26083 
o|contracted procedure: k26099 
o|contracted procedure: k26092 
o|contracted procedure: k26128 
o|contracted procedure: k26124 
o|contracted procedure: k26157 
o|contracted procedure: k26153 
o|contracted procedure: k26160 
o|contracted procedure: k26164 
o|contracted procedure: k26170 
o|contracted procedure: k26173 
o|contracted procedure: k26176 
o|contracted procedure: k26179 
o|contracted procedure: k26182 
o|contracted procedure: k26203 
o|contracted procedure: k26209 
o|contracted procedure: k26212 
o|contracted procedure: k26218 
o|contracted procedure: k26232 
o|contracted procedure: k26229 
o|contracted procedure: k26241 
o|contracted procedure: k26300 
o|contracted procedure: k26253 
o|contracted procedure: k26296 
o|contracted procedure: k26268 
o|contracted procedure: k26292 
o|contracted procedure: k26288 
o|contracted procedure: k26284 
o|contracted procedure: k26323 
o|contracted procedure: k26326 
o|contracted procedure: k26352 
o|contracted procedure: k26358 
o|contracted procedure: k26365 
o|contracted procedure: k26371 
o|contracted procedure: k26390 
o|contracted procedure: k26443 
o|contracted procedure: k26396 
o|contracted procedure: k26428 
o|contracted procedure: k26409 
o|contracted procedure: k26417 
o|contracted procedure: k26413 
o|contracted procedure: k26439 
o|contracted procedure: k26435 
o|contracted procedure: k26453 
o|contracted procedure: k26463 
o|contracted procedure: k26486 
o|contracted procedure: k26503 
o|contracted procedure: k26525 
o|contracted procedure: k26521 
o|contracted procedure: k26506 
o|contracted procedure: k26509 
o|contracted procedure: k26517 
o|contracted procedure: k26532 
o|contracted procedure: k26549 
o|contracted procedure: k26571 
o|contracted procedure: k26567 
o|contracted procedure: k26552 
o|contracted procedure: k26555 
o|contracted procedure: k26563 
o|contracted procedure: k26583 
o|contracted procedure: k26597 
o|contracted procedure: k26586 
o|contracted procedure: k26593 
o|contracted procedure: k26603 
o|contracted procedure: k26613 
o|contracted procedure: k26625 
o|contracted procedure: k26647 
o|contracted procedure: k26643 
o|contracted procedure: k26628 
o|contracted procedure: k26631 
o|contracted procedure: k26639 
o|contracted procedure: k26654 
o|contracted procedure: k26677 
o|contracted procedure: k26680 
o|contracted procedure: k26683 
o|contracted procedure: k26691 
o|contracted procedure: k26699 
o|contracted procedure: k26663 
o|contracted procedure: k26717 
o|contracted procedure: k26730 
o|contracted procedure: k26739 
o|contracted procedure: k26777 
o|contracted procedure: k26745 
o|contracted procedure: k26759 
o|contracted procedure: k26755 
o|contracted procedure: k26773 
o|contracted procedure: k26780 
o|contracted procedure: k26783 
o|contracted procedure: k26795 
o|contracted procedure: k26798 
o|contracted procedure: k26801 
o|contracted procedure: k26809 
o|contracted procedure: k26817 
o|contracted procedure: k26847 
o|contracted procedure: k26843 
o|contracted procedure: k26853 
o|contracted procedure: k26856 
o|contracted procedure: k26861 
o|contracted procedure: k26893 
o|contracted procedure: k26867 
o|contracted procedure: k26889 
o|contracted procedure: k26870 
o|contracted procedure: k26931 
o|contracted procedure: k26943 
o|contracted procedure: k26953 
o|contracted procedure: k26957 
o|contracted procedure: k26988 
o|contracted procedure: k27013 
o|contracted procedure: k26997 
o|contracted procedure: k27030 
o|contracted procedure: k27050 
o|contracted procedure: k27056 
o|contracted procedure: k27069 
o|contracted procedure: k27075 
o|contracted procedure: k27094 
o|contracted procedure: k27108 
o|contracted procedure: k27097 
o|contracted procedure: k27104 
o|contracted procedure: k27124 
o|contracted procedure: k27130 
o|contracted procedure: k27137 
o|contracted procedure: k27143 
o|contracted procedure: k27193 
o|contracted procedure: k27153 
o|contracted procedure: k27205 
o|contracted procedure: k27208 
o|contracted procedure: k27211 
o|contracted procedure: k27214 
o|contracted procedure: k27225 
o|contracted procedure: k27242 
o|contracted procedure: k27245 
o|contracted procedure: k27248 
o|contracted procedure: k27251 
o|contracted procedure: k27262 
o|contracted procedure: k27279 
o|contracted procedure: k27288 
o|contracted procedure: k27297 
o|contracted procedure: k27306 
o|contracted procedure: k27315 
o|contracted procedure: k27324 
o|contracted procedure: k27333 
o|contracted procedure: k27342 
o|contracted procedure: k27351 
o|contracted procedure: k27360 
o|contracted procedure: k27369 
o|contracted procedure: k27378 
o|contracted procedure: k27387 
o|contracted procedure: k27396 
o|contracted procedure: k27405 
o|contracted procedure: k27414 
o|contracted procedure: k27423 
o|contracted procedure: k27432 
o|contracted procedure: k27441 
o|contracted procedure: k27450 
o|contracted procedure: k27459 
o|contracted procedure: k27468 
o|contracted procedure: k27477 
o|contracted procedure: k27486 
o|contracted procedure: k27495 
o|contracted procedure: k27504 
o|contracted procedure: k27513 
o|contracted procedure: k27522 
o|contracted procedure: k27531 
o|contracted procedure: k27540 
o|contracted procedure: k27549 
o|contracted procedure: k27558 
o|contracted procedure: k27567 
o|contracted procedure: k27576 
o|contracted procedure: k27585 
o|contracted procedure: k27594 
o|contracted procedure: k27603 
o|contracted procedure: k27612 
o|contracted procedure: k27621 
o|contracted procedure: k27630 
o|contracted procedure: k27639 
o|contracted procedure: k27648 
o|contracted procedure: k27657 
o|contracted procedure: k27666 
o|contracted procedure: k27675 
o|contracted procedure: k27684 
o|contracted procedure: k27693 
o|contracted procedure: k27702 
o|contracted procedure: k27711 
o|contracted procedure: k27720 
o|contracted procedure: k27729 
o|contracted procedure: k27738 
o|contracted procedure: k27747 
o|contracted procedure: k27930 
o|contracted procedure: k27960 
o|contracted procedure: k27936 
o|contracted procedure: k27939 
o|contracted procedure: k27948 
o|contracted procedure: k27957 
o|contracted procedure: k27993 
o|contracted procedure: k27986 
o|contracted procedure: k28015 
o|contracted procedure: k28008 
o|contracted procedure: k28066 
o|contracted procedure: k28083 
o|contracted procedure: k28045 
o|contracted procedure: k28049 
o|contracted procedure: k28110 
o|contracted procedure: k28130 
o|contracted procedure: k28147 
o|contracted procedure: k28097 
o|contracted procedure: k28101 
o|contracted procedure: k28163 
o|contracted procedure: k28170 
o|contracted procedure: k28226 
o|contracted procedure: k28230 
o|contracted procedure: k28238 
o|contracted procedure: k28255 
o|contracted procedure: k28270 
o|contracted procedure: k28333 
o|contracted procedure: k28314 
o|contracted procedure: k28323 
o|contracted procedure: k28342 
o|contracted procedure: k28399 
o|contracted procedure: k28402 
o|contracted procedure: k28408 
o|contracted procedure: k28451 
o|contracted procedure: k28467 
o|contracted procedure: k28460 
o|contracted procedure: k28899 
o|contracted procedure: k28478 
o|contracted procedure: k28493 
o|contracted procedure: k28597 
o|contracted procedure: k28505 
o|contracted procedure: k28524 
o|contracted procedure: k28527 
o|contracted procedure: k28536 
o|contracted procedure: k2837634692 
o|contracted procedure: k28566 
o|contracted procedure: k28594 
o|contracted procedure: k28576 
o|contracted procedure: k28589 
o|contracted procedure: k28606 
o|contracted procedure: k28885 
o|contracted procedure: k28628 
o|contracted procedure: k28646 
o|contracted procedure: k28649 
o|contracted procedure: k28658 
o|contracted procedure: k28661 
o|contracted procedure: k28675 
o|contracted procedure: k28684 
o|contracted procedure: k28739 
o|contracted procedure: k28697 
o|contracted procedure: k28709 
o|contracted procedure: k28726 
o|contracted procedure: k28720 
o|contracted procedure: k28742 
o|contracted procedure: k2837634705 
o|contracted procedure: k28760 
o|contracted procedure: k28756 
o|contracted procedure: k28769 
o|contracted procedure: k28778 
o|contracted procedure: k28794 
o|contracted procedure: k28809 
o|contracted procedure: k28801 
o|contracted procedure: k28828 
o|contracted procedure: k28820 
o|contracted procedure: k28854 
o|contracted procedure: k28882 
o|contracted procedure: k28864 
o|contracted procedure: k28877 
o|contracted procedure: k28905 
o|contracted procedure: k28914 
o|contracted procedure: k28954 
o|contracted procedure: k28960 
o|contracted procedure: k28963 
o|contracted procedure: k28977 
o|contracted procedure: k29018 
o|contracted procedure: k29025 
o|contracted procedure: k29033 
o|contracted procedure: k29045 
o|contracted procedure: k29049 
o|contracted procedure: k29056 
o|contracted procedure: k28992 
o|contracted procedure: k29090 
o|contracted procedure: k29099 
o|contracted procedure: k29106 
o|contracted procedure: k29110 
o|contracted procedure: k29140 
o|contracted procedure: k29147 
o|contracted procedure: k29151 
o|contracted procedure: k29158 
o|contracted procedure: k29171 
o|contracted procedure: k29178 
o|contracted procedure: k29209 
o|contracted procedure: k29205 
o|contracted procedure: k29233 
o|contracted procedure: k29242 
o|contracted procedure: k29255 
o|contracted procedure: k29267 
o|contracted procedure: k29277 
o|contracted procedure: k29350 
o|contracted procedure: k29280 
o|contracted procedure: k29293 
o|contracted procedure: k29334 
o|contracted procedure: k29323 
o|contracted procedure: k29330 
o|contracted procedure: k29403 
o|contracted procedure: k29393 
o|contracted procedure: k29421 
o|contracted procedure: k29455 
o|contracted procedure: k29464 
o|contracted procedure: k29467 
o|contracted procedure: k29474 
o|contracted procedure: k29480 
o|contracted procedure: k29487 
o|contracted procedure: k29493 
o|contracted procedure: k29496 
o|contracted procedure: k29502 
o|contracted procedure: k29505 
o|contracted procedure: k29512 
o|contracted procedure: k29518 
o|contracted procedure: k29521 
o|contracted procedure: k29528 
o|contracted procedure: k29534 
o|contracted procedure: k29537 
o|contracted procedure: k29544 
o|contracted procedure: k29550 
o|contracted procedure: k29553 
o|contracted procedure: k29560 
o|contracted procedure: k29566 
o|contracted procedure: k29569 
o|contracted procedure: k29576 
o|contracted procedure: k29582 
o|contracted procedure: k29585 
o|contracted procedure: k29592 
o|contracted procedure: k29598 
o|contracted procedure: k29601 
o|contracted procedure: k29608 
o|contracted procedure: k29614 
o|contracted procedure: k29617 
o|contracted procedure: k29624 
o|contracted procedure: k29630 
o|contracted procedure: k29633 
o|contracted procedure: k29640 
o|contracted procedure: k29646 
o|contracted procedure: k29649 
o|contracted procedure: k29656 
o|contracted procedure: k29663 
o|contracted procedure: k29671 
o|contracted procedure: k29667 
o|contracted procedure: k29697 
o|contracted procedure: k29704 
o|contracted procedure: k29716 
o|contracted procedure: k29728 
o|contracted procedure: k29722 
o|contracted procedure: k29725 
o|contracted procedure: k29743 
o|contracted procedure: k29756 
o|contracted procedure: k29752 
o|contracted procedure: k29760 
o|contracted procedure: k29804 
o|contracted procedure: k29769 
o|contracted procedure: k29772 
o|contracted procedure: k29775 
o|contracted procedure: k29800 
o|contracted procedure: k29787 
o|contracted procedure: k29790 
o|contracted procedure: k29814 
o|contracted procedure: k29820 
o|contracted procedure: k29827 
o|contracted procedure: k29836 
o|contracted procedure: k29842 
o|contracted procedure: k29845 
o|contracted procedure: k29848 
o|contracted procedure: k29854 
o|contracted procedure: k29861 
o|contracted procedure: k29867 
o|contracted procedure: k29871 
o|contracted procedure: k30004 
o|contracted procedure: k30010 
o|contracted procedure: k30013 
o|contracted procedure: k30019 
o|contracted procedure: k30022 
o|contracted procedure: k30028 
o|contracted procedure: k30043 
o|contracted procedure: k30046 
o|contracted procedure: k30067 
o|contracted procedure: k30097 
o|contracted procedure: k30269 
o|contracted procedure: k30139 
o|contracted procedure: k30225 
o|contracted procedure: k30218 
o|contracted procedure: k30163 
o|contracted procedure: k30235 
o|contracted procedure: k30239 
o|contracted procedure: k30243 
o|contracted procedure: k30247 
o|contracted procedure: k30282 
o|contracted procedure: k30291 
o|contracted procedure: k30370 
o|contracted procedure: k30297 
o|contracted procedure: k30303 
o|contracted procedure: k30310 
o|contracted procedure: k30319 
o|contracted procedure: k30325 
o|contracted procedure: k30339 
o|contracted procedure: k30355 
o|contracted procedure: k30359 
o|contracted procedure: k30366 
o|contracted procedure: k30408 
o|contracted procedure: k30417 
o|contracted procedure: k30436 
o|contracted procedure: k30440 
o|contracted procedure: k30708 
o|contracted procedure: k30484 
o|contracted procedure: k30514 
o|contracted procedure: k30524 
o|contracted procedure: k30528 
o|contracted procedure: k30498 
o|contracted procedure: k30502 
o|contracted procedure: k30534 
o|contracted procedure: k30550 
o|contracted procedure: k30553 
o|contracted procedure: k30556 
o|contracted procedure: k30562 
o|contracted procedure: k30581 
o|contracted procedure: k30584 
o|contracted procedure: k30587 
o|contracted procedure: k30595 
o|contracted procedure: k30603 
o|contracted procedure: k30621 
o|contracted procedure: k30630 
o|contracted procedure: k30637 
o|contracted procedure: k30645 
o|contracted procedure: k30725 
o|contracted procedure: k30729 
o|contracted procedure: k30734 
o|contracted procedure: k30738 
o|contracted procedure: k30742 
o|contracted procedure: k30746 
o|contracted procedure: k30798 
o|contracted procedure: k30815 
o|contracted procedure: k30829 
o|contracted procedure: k30818 
o|contracted procedure: k30825 
o|contracted procedure: k30853 
o|contracted procedure: k30860 
o|contracted procedure: k30894 
o|contracted procedure: k30903 
o|contracted procedure: k30906 
o|contracted procedure: k30915 
o|contracted procedure: k30930 
o|contracted procedure: k30926 
o|contracted procedure: k30943 
o|contracted procedure: k30946 
o|contracted procedure: k30953 
o|contracted procedure: k30962 
o|contracted procedure: k30965 
o|contracted procedure: k30968 
o|contracted procedure: k30998 
o|contracted procedure: k30987 
o|contracted procedure: k31008 
o|contracted procedure: k31011 
o|contracted procedure: k31062 
o|contracted procedure: k31086 
o|contracted procedure: k31104 
o|contracted procedure: k31114 
o|contracted procedure: k31134 
o|contracted procedure: k31144 
o|contracted procedure: k31148 
o|contracted procedure: k31189 
o|contracted procedure: k31199 
o|contracted procedure: k31203 
o|contracted procedure: k31246 
o|contracted procedure: k31231 
o|contracted procedure: k31489 
o|contracted procedure: k31499 
o|contracted procedure: k31509 
o|contracted procedure: k31519 
o|contracted procedure: k31529 
o|contracted procedure: k31539 
o|contracted procedure: k31549 
o|contracted procedure: k31559 
o|contracted procedure: k31569 
o|contracted procedure: k31579 
o|contracted procedure: k31589 
o|contracted procedure: k31599 
o|contracted procedure: k31609 
o|contracted procedure: k31619 
o|contracted procedure: k31625 
o|contracted procedure: k31628 
o|contracted procedure: k31652 
o|contracted procedure: k31659 
o|contracted procedure: k31668 
o|contracted procedure: k31675 
o|contracted procedure: k31694 
o|contracted procedure: k31703 
o|contracted procedure: k31714 
o|contracted procedure: k31710 
o|contracted procedure: k31723 
o|contracted procedure: k31730 
o|contracted procedure: k31740 
o|contracted procedure: k31736 
o|contracted procedure: k31685 
o|contracted procedure: k31681 
o|simplifications: ((if . 1) (let . 537)) 
o|removed binding forms: 2192 
o|inlining procedure: "(library.scm:4438) outstr05130" 
o|inlining procedure: "(library.scm:4437) outstr05130" 
o|inlining procedure: "(library.scm:4440) outstr05130" 
o|inlining procedure: "(library.scm:4442) outstr05130" 
o|inlining procedure: "(library.scm:4452) outstr05130" 
o|inlining procedure: k23653 
o|inlining procedure: k23653 
o|inlining procedure: k23986 
o|inlining procedure: k23986 
o|inlining procedure: k23986 
o|inlining procedure: k31426 
o|inlining procedure: k31426 
o|inlining procedure: k26146 
o|inlining procedure: k26146 
o|inlining procedure: k30937 
o|inlining procedure: k31002 
o|inlining procedure: k31002 
o|replaced variables: 759 
o|removed binding forms: 4 
o|inlining procedure: k11946 
o|inlining procedure: k11970 
o|inlining procedure: k11994 
o|inlining procedure: k12018 
o|inlining procedure: k12042 
o|inlining procedure: k12066 
o|inlining procedure: k12090 
o|inlining procedure: k12114 
o|inlining procedure: k12138 
o|inlining procedure: k12162 
o|inlining procedure: k12186 
o|inlining procedure: k12204 
o|inlining procedure: k12228 
o|inlining procedure: k12252 
o|inlining procedure: k12270 
o|inlining procedure: k12288 
o|inlining procedure: k12306 
o|inlining procedure: k12324 
o|inlining procedure: k12342 
o|inlining procedure: k12360 
o|inlining procedure: k12378 
o|inlining procedure: k12396 
o|inlining procedure: k12414 
o|inlining procedure: k12432 
o|inlining procedure: k12456 
o|inlining procedure: k12474 
o|inlining procedure: k12498 
o|inlining procedure: k12516 
o|inlining procedure: k12534 
o|inlining procedure: k12552 
o|inlining procedure: k12570 
o|substituted constant variable: str514836462 
o|removed side-effect free assignment to unused variable: outstr05130 
o|substituted constant variable: str514836482 
o|inlining procedure: k28121 
o|inlining procedure: k28121 
o|substituted constant variable: r3100336603 
o|simplifications: ((let . 1) (if . 8)) 
o|replaced variables: 14 
o|removed binding forms: 395 
o|inlining procedure: "(library.scm:4491) specialchar?5132" 
o|inlining procedure: "(library.scm:4510) specialchar?5132" 
o|inlining procedure: "(library.scm:4514) specialchar?5132" 
o|removed binding forms: 48 
o|removed side-effect free assignment to unused variable: specialchar?5132 
o|replaced variables: 11 
o|removed binding forms: 31 
o|inlining procedure: k23853 
o|inlining procedure: k23922 
o|removed binding forms: 9 
o|contracted procedure: k24018 
o|removed binding forms: 3 
o|direct leaf routine/allocation: loop776 0 
o|direct leaf routine/allocation: doloop15191520 0 
o|direct leaf routine/allocation: iter1532 0 
o|direct leaf routine/allocation: loop1683 0 
o|direct leaf routine/allocation: go-inexact!2842 0 
o|direct leaf routine/allocation: loop3489 0 
o|direct leaf routine/allocation: doloop35043505 0 
o|direct leaf routine/allocation: doloop35163520 0 
o|direct leaf routine/allocation: doloop35473548 0 
o|direct leaf routine/allocation: doloop35753576 0 
o|direct leaf routine/allocation: loop3601 0 
o|direct leaf routine/allocation: loop3672 0 
o|direct leaf routine/allocation: body38983907 0 
o|direct leaf routine/allocation: def-set?39013910 0 
o|direct leaf routine/allocation: def-convert?39003912 0 
o|direct leaf routine/allocation: body39233932 0 
o|direct leaf routine/allocation: def-set?39263935 0 
o|direct leaf routine/allocation: def-convert?39253937 0 
o|direct leaf routine/allocation: body39483957 0 
o|direct leaf routine/allocation: def-set?39513960 0 
o|direct leaf routine/allocation: def-convert?39503962 0 
o|direct leaf routine/allocation: body59505959 0 
o|direct leaf routine/allocation: def-set?59535962 0 
o|direct leaf routine/allocation: def-convert?59525964 0 
o|direct leaf routine/allocation: for-each-loop59946005 0 
o|direct leaf routine/allocation: loop7039 0 
o|direct leaf routine/allocation: for-each-loop72307241 0 
o|converted assignments to bindings: (loop776) 
o|converted assignments to bindings: (doloop15191520) 
o|contracted procedure: k11393 
o|converted assignments to bindings: (iter1532) 
o|converted assignments to bindings: (loop1683) 
o|contracted procedure: "(library.scm:2463) k15642" 
o|contracted procedure: "(library.scm:2472) k15705" 
o|contracted procedure: "(library.scm:2506) k15958" 
o|contracted procedure: "(library.scm:2511) k15983" 
o|contracted procedure: "(library.scm:2555) k16367" 
o|contracted procedure: "(library.scm:2565) k16450" 
o|converted assignments to bindings: (loop3489) 
o|converted assignments to bindings: (doloop35043505) 
o|converted assignments to bindings: (doloop35163520) 
o|converted assignments to bindings: (doloop35473548) 
o|converted assignments to bindings: (doloop35753576) 
o|converted assignments to bindings: (loop3601) 
o|converted assignments to bindings: (loop3672) 
o|inlining procedure: "(library.scm:3296) k18814" 
o|inlining procedure: "(library.scm:3296) k18814" 
o|inlining procedure: "(library.scm:3296) k18814" 
o|inlining procedure: "(library.scm:3306) k18875" 
o|inlining procedure: "(library.scm:3306) k18875" 
o|inlining procedure: "(library.scm:3306) k18875" 
o|inlining procedure: "(library.scm:3316) k18936" 
o|inlining procedure: "(library.scm:3316) k18936" 
o|inlining procedure: "(library.scm:3316) k18936" 
o|inlining procedure: "(library.scm:5194) k26349" 
o|inlining procedure: "(library.scm:5194) k26349" 
o|inlining procedure: "(library.scm:5194) k26349" 
o|contracted procedure: k26471 
o|converted assignments to bindings: (for-each-loop59946005) 
o|contracted procedure: k29746 
o|converted assignments to bindings: (loop7039) 
o|contracted procedure: k30806 
o|converted assignments to bindings: (for-each-loop72307241) 
o|simplifications: ((let . 14)) 
o|removed binding forms: 10 
o|replaced variables: 7 
o|removed binding forms: 4 
o|removed binding forms: 2 
x|number of unboxed float variables: 0
x|number of inline operations replaced with unboxed ones: 56
o|customizable procedures: (cleanup-before-exit g58875894 for-each-loop58865898 for-each-loop58555867 k30974 loop6824 k30133 check7269 k30462 k30465 k30468 k30471 k30474 loop7344 map-loop73117328 loop7335 for-each-loop72887300 loop7207 str7191 pmem7087 round-to7086 pnum7085 k29817 loop7064 loop6913 doloop68886889 k29230 doloop68136814 scan6796 loop6793 read-escaped-sexp6616 get/clear-str6676 loop6687 k28700 loop26710 readln6615 doloop66546663 loop6630 doloop66196620 loop6594 loop6494 loop6468 def-port62226271 def-header62236269 body62206229 k26976 g62436244 writeargs6194 g62006207 for-each-loop61996211 g61356144 map-loop61296154 loop6147 map-loop60726090 map-loop60996116 map-loop60126030 map-loop60396057 chicken.condition#prop-list->kind-prefixed-prop-list k26399 loop5975 k25931 k25934 k25954 k25910 for-each-loop57905802 for-each-loop57225733 loop5718 g56635670 for-each-loop56625683 k25566 k25420 loop5646 g55975604 for-each-loop55965607 k25086 k25103 copy&append5544 loop5553 k31348 doloop53525353 doloop53285329 k24438 doloop53145315 out5243 doloop52845285 outsym5133 g52595260 k23971 loop5210 k23887 k23913 loop5175 outchr5131 sym-is-readable?5135 outreadablesym5134 outstr5129 for-each-loop50905108 for-each-loop50585076 hex4955 loop4964 k22044 r-symbol4426 k22242 k22609 k22536 r-ext-symbol4430 r-comment4429 r-char4428 r-vector4420 r-number-with-radix4423 r-number-with-exactness4422 r-digits4425 k22162 r-quote4431 loop4750 r-token4424 k21876 k21731 k21497 r-string4418 loop4667 k21503 k21427 loop4650 k21363 read-unreserved-char-04401 loop4635 r-number4421 k21190 r-list4419 k20946 k20989 r-xtoken4427 loop4543 readrec4402 r-spaces4415 starting-line4538 info4398 k20603 k20623 k20727 eat-ws4508 k20512 r-cons-codepoint4417 r-usequence4416 loop4471 lp4466 loop4449 skip-to-eol4399 loop4434 reserved-character4400 k20129 skip4407 k19704 def-convert?42684280 def-set?42694278 body42664275 assign4250 k19674 loop4127 loop4108 doloop41154116 close3978 open3977 doloop39853986 k31949 loop3855 k31851 loop3838 ##sys#dynamic-unwind loop3737 map-loop37133730 loop3697 for-each-loop36823692 k18292 loop3644 loop3633 k18001 lookup-char3597 ##sys#vector-resize k17710 loop3496 map-loop33673386 compare-slots3294 loop3306 walk3295 k16789 ##sys#string->compnum scan-prefix3221 k16545 scan-real3090 k16636 k16306 k16425 k16364 k16332 scan-ureal3013 k15955 k15974 k16026 scan-decimal-tail2936 scan-digits+hashes2898 k15755 k15758 k15767 scan-exponent2918 k15794 safe-exponent2843 k15690 scan-digits2863 scan-hashes2886 lp2888 k15530 lp2865 round-quotient k15282 loop2745 loop2735 k14721 k14827 k14836 slow-expt2667 log-expt2666 lp2651 k14508 lp2639 k14067 k14073 k14014 k14020 k13866 loop2453 loop2441 find-ratio-between sr2418 k13164 ##sys#internal-gcd ratnum loop2276 deliver2209 doloop22112212 make-complex doloop17001701 loop1693 loop1668 k11463 k11472 loop1510 loop1478 copy1468 loop1466 k10929 lp1339 k10281 loop934 loop919 k10178 loop882 loop860 k9979 loop830 k9839 loop816 loop801 loop793 loop787 loop762 loop747 loop736 loop706 loop694 loop651 loop642 loop108) 
o|calls to known targets: 908 
o|identified direct recursive calls: f_8835 1 
o|unused rest argument: env348 f_9105 
o|unused rest argument: evaluator355 f_9129 
o|unused rest argument: _607 f_9242 
o|identified direct recursive calls: f_9336 1 
o|unused rest argument: _718 f_9495 
o|unused rest argument: _719 f_9497 
o|unused rest argument: _760 f_9652 
o|identified direct recursive calls: f_9715 1 
o|identified direct recursive calls: f_9737 1 
o|identified direct recursive calls: f_9773 1 
o|identified direct recursive calls: f_9802 2 
o|identified direct recursive calls: f_9849 1 
o|identified direct recursive calls: f_9903 2 
o|identified direct recursive calls: f_10882 1 
o|identified direct recursive calls: f_11157 1 
o|identified direct recursive calls: f_11211 1 
o|identified direct recursive calls: f_11307 1 
o|identified direct recursive calls: f_11350 1 
o|identified direct recursive calls: f_11401 1 
o|identified direct recursive calls: f_11757 1 
o|identified direct recursive calls: f_11805 1 
o|identified direct recursive calls: f_11867 1 
o|identified direct recursive calls: f_13560 1 
o|identified direct recursive calls: f_13728 1 
o|identified direct recursive calls: f_13771 1 
o|identified direct recursive calls: f_14631 2 
o|identified direct recursive calls: f_15469 1 
o|identified direct recursive calls: f_15577 1 
o|identified direct recursive calls: f_17598 1 
o|identified direct recursive calls: f_17638 1 
o|identified direct recursive calls: f_17677 1 
o|identified direct recursive calls: f_17723 1 
o|identified direct recursive calls: f_17795 1 
o|identified direct recursive calls: f_17869 1 
o|identified direct recursive calls: f_17971 1 
o|identified direct recursive calls: f_18302 1 
o|identified direct recursive calls: f_18602 1 
o|identified direct recursive calls: f_31855 1 
o|identified direct recursive calls: f_19035 3 
o|identified direct recursive calls: f_19359 1 
o|identified direct recursive calls: f_20298 1 
o|identified direct recursive calls: f_26578 1 
o|identified direct recursive calls: f_26498 1 
o|identified direct recursive calls: f_26544 1 
o|identified direct recursive calls: f_26620 1 
o|identified direct recursive calls: f_26734 2 
o|identified direct recursive calls: f_28337 1 
o|identified direct recursive calls: f_29013 1 
o|identified direct recursive calls: f_29764 1 
o|identified direct recursive calls: f_29831 1 
o|identified direct recursive calls: f_30314 1 
o|identified direct recursive calls: f_30545 2 
o|identified direct recursive calls: f_30810 1 
o|unused rest argument: args5845 f_31211 
o|fast box initializations: 161 
o|fast global references: 70 
o|fast global assignments: 20 
o|dropping unused closure argument: f_12596 
o|dropping unused closure argument: f_12769 
o|dropping unused closure argument: f_13560 
o|dropping unused closure argument: f_14668 
o|dropping unused closure argument: f_14680 
o|dropping unused closure argument: f_14925 
o|dropping unused closure argument: f_15338 
o|dropping unused closure argument: f_15376 
o|dropping unused closure argument: f_17857 
o|dropping unused closure argument: f_18302 
o|dropping unused closure argument: f_18602 
o|dropping unused closure argument: f_18992 
o|dropping unused closure argument: f_19090 
o|dropping unused closure argument: f_20286 
o|dropping unused closure argument: f_25014 
o|dropping unused closure argument: f_25738 
o|dropping unused closure argument: f_26379 
o|dropping unused closure argument: f_26578 
o|dropping unused closure argument: f_26915 
o|dropping unused closure argument: f_28381 
o|dropping unused closure argument: f_28428 
o|dropping unused closure argument: f_29890 
o|dropping unused closure argument: f_29904 
o|dropping unused closure argument: f_30158 
o|dropping unused closure argument: f_30431 
o|dropping unused closure argument: f_30810 
*/
/* end of file */
